/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.2.0 (rev 317468e4)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1404];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,57,50,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,57,56,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,51,50,50,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,53,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,56,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,51,49,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,51,51,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,52,51,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,53,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,55,55,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,55,50,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,54,50,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,51,56,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,56,56,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,55,48,50,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,48,52,57,32,120,32,108,115,116,41,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,50,52,49,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,107,101,121,119,111,114,100,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,50,54,32,108,115,116,41};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,57,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,56,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,49,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,51,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,53,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,50,50,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,57,55,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,50,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,52,53,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,54,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,55,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,10),40,114,97,116,110,117,109,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,56,32,120,32,105,41};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,56,55,41};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,8),40,97,49,52,52,49,56,41};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,20),40,97,49,52,52,51,52,32,113,50,53,56,54,32,117,50,53,56,56,41,0,0,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,22),40,97,49,52,52,48,49,32,115,94,50,53,54,54,32,114,94,50,53,54,56,41,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,8),40,97,49,52,53,55,53,41};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,14),40,97,49,52,53,56,49,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,54,48,51,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,8),40,97,49,52,54,50,55,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,54,51,57,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,16),40,97,49,52,54,49,53,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,8),40,97,49,52,57,57,54,41};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,15),40,97,49,53,48,48,56,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,8),40,97,49,53,51,53,57,41};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,22),40,97,49,53,51,54,53,32,104,105,50,55,55,49,32,108,111,50,55,55,51,41,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,13),40,103,111,45,105,110,101,120,97,99,116,33,41,0,0,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,19),67,95,115,116,114,105,110,103,95,116,111,95,107,101,121,119,111,114,100,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,56,51,32,103,51,51,57,53,41,0,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,50,48,41,0,0,0,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,51,50,41,0,0,0,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,54,51,41,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,57,49,41,0,0,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,9),40,108,112,32,108,115,116,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,14),40,97,49,56,53,49,54,32,101,109,112,116,121,41,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,24),40,109,97,112,115,97,102,101,51,54,54,55,32,112,32,108,115,116,115,32,108,111,99,41};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,54,56,55,32,103,51,54,57,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,51,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,52,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,49,53,32,103,51,55,50,55,41,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,10),40,97,49,56,55,51,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,10),40,97,49,56,55,52,53,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,18),40,97,49,56,55,54,53,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,13),40,97,49,56,55,56,57,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,55,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,10),40,97,51,50,49,49,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,12),40,97,51,50,49,53,54,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,12),40,97,51,50,49,53,57,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,12),40,97,51,50,49,54,50,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,10),40,97,51,50,49,54,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,10),40,97,51,50,49,55,49,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,8),40,97,51,50,50,48,56,41};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,23),40,97,51,50,49,55,52,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,8),40,97,51,50,51,54,57,41};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,17),40,97,51,50,50,55,51,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,56,57,53,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,48,41,0,0,0,0,0,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,52,53,41,0,0,0,0,0,0};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,51,57,56,50,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,56,49,41};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,56,55,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,48,53,41};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,49,49,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,50,57,41};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,52,48,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,51,52,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,52,57,41};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,54,51,41};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,55,52,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,54,56,41};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,56,51,41};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,49,50,32,105,41,0,0};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,12),40,97,49,57,55,54,49,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,10),40,97,49,57,55,55,49,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,56,55,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,48,52,52,32,120,41,0,0,0,0,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,54,51,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,50,54,54,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,54,53,41,0,0,0,0,0,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,15),40,97,49,57,57,51,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,12),40,97,50,48,48,49,55,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,51,50,49,32,99,41,0,0,0,0,0};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,11),40,102,95,50,49,49,52,49,32,99,41,0,0,0,0,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,15),40,97,50,49,50,53,54,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,51,55,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,15),40,97,50,49,51,56,52,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,15),40,97,50,49,54,56,50,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,22),40,108,111,111,112,32,108,115,116,32,112,107,119,32,115,107,119,32,113,116,100,41,0,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,11),40,114,45,113,117,111,116,101,32,113,41,0,0,0,0,0};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,56,54,41};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,57,50,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,49,51,41};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,49,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,56,52,41};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,57,48,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,57,56,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,48,51,41};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,8),40,97,50,50,54,48,57,41};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,53,50,41};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,15),40,97,50,50,55,54,51,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,53,55,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,57,50,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,8),40,97,50,50,57,48,54,41};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,13),40,97,50,50,57,49,50,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,54,52,32,103,53,48,55,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,54,32,103,53,49,48,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,10),40,103,53,50,54,50,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,50,56,51,32,105,32,99,41};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,49,51,32,120,41,0,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,50,55,32,105,41,0,0};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,53,49,32,105,32,99,41};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,41,0,0,0,0,0,0};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,101,116,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,33,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,57,48,41};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,11),40,97,50,52,57,56,52,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,52,49,41};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,53,54,41};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,53,48,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,51,53,41};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,10),40,97,50,52,57,55,56,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,50,51,41};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,54,54,41};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,55,50,41};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,15),40,97,50,53,49,49,55,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,52,55,49,32,112,32,110,41,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,55,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,57,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,54,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,14),40,97,51,49,54,51,53,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,53,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,53,55,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,23),40,97,51,49,54,54,48,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,51,53,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,8),40,97,51,49,55,50,53,41};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,29),40,97,51,49,55,52,52,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,16),40,97,51,49,55,48,49,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,10),40,97,51,49,55,56,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,8),40,97,50,53,50,57,48,41};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,25),40,97,50,53,50,57,54,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,53,52,41};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,54,48,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,9),40,103,53,54,48,49,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,48,48,32,103,53,54,48,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,8),40,97,50,53,56,48,50,41};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,12),40,103,53,54,54,55,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,54,54,32,103,53,54,55,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,50,54,32,103,53,55,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,8),40,97,50,54,49,49,49,41};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,57,52,32,103,53,56,48,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,53,49,41};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,53,53,41};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,53,52,41,0,0,0,0,0,0};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,57,56,41,0,0,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,52,51,32,103,54,48,53,53,41,0,0,0,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,49,54,32,103,54,48,50,56,41,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,48,51,32,103,54,49,49,53,41,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,55,54,32,103,54,48,56,56,41,0,0,0,0};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,9),40,103,54,49,51,57,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,51,51,32,103,54,49,52,53,41,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,55,52,32,99,41,0,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,49,48,49,32,99,41,0,0,0,0,0};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,54,55,41};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,9),40,103,54,50,48,52,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,50,48,51,32,103,54,50,49,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,11),40,103,54,50,52,55,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,50,52,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,50,55,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,50,54,41,0,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,8),40,97,50,56,53,53,55,41};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,15),40,97,50,56,53,52,56,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,50,54,32,99,41,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,54,49,32,108,110,41,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,71),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,54,55,55,56,41,0};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,50,48,32,105,32,118,41};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,57,54,41};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,11),40,97,50,57,53,57,48,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,8),40,97,50,57,54,48,56,41};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,8),40,97,50,57,54,51,49,41};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,15),40,97,50,57,54,50,53,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,8),40,97,50,57,54,48,50,41};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,10),40,97,50,57,53,56,52,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,56,57,57,32,105,41,0,0};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,115,116,97,114,116,32,112,111,115,41};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,112,108,105,116,45,112,97,116,104,32,112,97,116,104,41,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,51,48,55,32,103,55,51,49,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,51,48,32,103,55,51,52,50,41,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,111,110,102,105,103,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,97,99,104,101,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,52,57,41,0,0,0,0,0};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,12),40,97,51,49,49,49,51,32,110,101,119,41,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,12),40,97,51,49,50,49,50,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,16),40,97,51,49,50,50,49,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,10),40,97,51,49,50,54,49,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,19),40,102,51,55,48,52,52,32,120,54,56,51,55,51,55,48,52,51,41,0,0,0,0,0};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,19),40,102,51,55,48,53,48,32,120,54,56,50,55,51,55,48,52,57,41,0,0,0,0,0};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,19),40,102,51,55,48,53,54,32,120,54,56,50,55,51,55,48,53,53,41,0,0,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,8),40,97,51,49,51,52,54,41};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,12),40,97,51,49,51,54,56,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,53,57,32,103,53,56,54,54,41,0,0,0,0,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,49,57,41};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,9),40,103,53,56,57,49,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,57,48,32,103,53,56,57,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,15),40,97,51,49,53,51,49,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,19),40,97,51,49,51,55,52,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,8),40,97,51,49,53,51,52,41};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,8),40,97,51,49,53,52,51,41};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,15),40,97,51,49,53,52,57,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,49,51,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,14),40,97,51,49,56,50,50,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,51,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,52,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,53,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,54,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,55,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,56,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,57,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,12),40,97,51,49,57,48,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,12),40,97,51,49,57,49,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,12),40,97,51,49,57,50,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,12),40,97,51,49,57,51,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,12),40,97,51,49,57,52,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,55,54,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,13),40,97,51,49,57,53,50,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,57,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,52,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1004[] C_aligned={C_lihdr(0,0,15),40,97,51,50,48,54,51,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1005[] C_aligned={C_lihdr(0,0,16),40,97,51,50,48,49,56,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1006[] C_aligned={C_lihdr(0,0,15),40,97,51,50,48,48,56,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1007[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6816(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
C_regparm static C_word C_fcall stub6808(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29273 */
C_regparm static C_word C_fcall stub6796(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29231 in chicken.process-context#get-environment-variable in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
C_regparm static C_word C_fcall stub6779(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_c_string(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28391 */
C_regparm static C_word C_fcall stub6493(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28382 */
C_regparm static C_word C_fcall stub6485(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28330 */
C_regparm static C_word C_fcall stub6466(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5623(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15571 */
C_regparm static C_word C_fcall stub2829(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f34185)
static void C_ccall f34185(C_word c,C_word *av) C_noret;
C_noret_decl(f34740)
static void C_ccall f34740(C_word c,C_word *av) C_noret;
C_noret_decl(f34949)
static void C_ccall f34949(C_word c,C_word *av) C_noret;
C_noret_decl(f34953)
static void C_ccall f34953(C_word c,C_word *av) C_noret;
C_noret_decl(f37044)
static void C_ccall f37044(C_word c,C_word *av) C_noret;
C_noret_decl(f37050)
static void C_ccall f37050(C_word c,C_word *av) C_noret;
C_noret_decl(f37056)
static void C_ccall f37056(C_word c,C_word *av) C_noret;
C_noret_decl(f_10010)
static void C_ccall f_10010(C_word c,C_word *av) C_noret;
C_noret_decl(f_10017)
static void C_fcall f_10017(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10020)
static void C_ccall f_10020(C_word c,C_word *av) C_noret;
C_noret_decl(f_10049)
static void C_ccall f_10049(C_word c,C_word *av) C_noret;
C_noret_decl(f_10055)
static void C_fcall f_10055(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10071)
static void C_ccall f_10071(C_word c,C_word *av) C_noret;
C_noret_decl(f_10096)
static void C_ccall f_10096(C_word c,C_word *av) C_noret;
C_noret_decl(f_10105)
static void C_fcall f_10105(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10146)
static void C_ccall f_10146(C_word c,C_word *av) C_noret;
C_noret_decl(f_10168)
static void C_ccall f_10168(C_word c,C_word *av) C_noret;
C_noret_decl(f_10200)
static void C_ccall f_10200(C_word c,C_word *av) C_noret;
C_noret_decl(f_10216)
static void C_fcall f_10216(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10219)
static void C_ccall f_10219(C_word c,C_word *av) C_noret;
C_noret_decl(f_10241)
static void C_ccall f_10241(C_word c,C_word *av) C_noret;
C_noret_decl(f_10247)
static void C_fcall f_10247(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10272)
static void C_ccall f_10272(C_word c,C_word *av) C_noret;
C_noret_decl(f_10312)
static void C_ccall f_10312(C_word c,C_word *av) C_noret;
C_noret_decl(f_10324)
static void C_fcall f_10324(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10343)
static void C_ccall f_10343(C_word c,C_word *av) C_noret;
C_noret_decl(f_10365)
static void C_ccall f_10365(C_word c,C_word *av) C_noret;
C_noret_decl(f_10368)
static void C_ccall f_10368(C_word c,C_word *av) C_noret;
C_noret_decl(f_10371)
static void C_ccall f_10371(C_word c,C_word *av) C_noret;
C_noret_decl(f_10374)
static void C_ccall f_10374(C_word c,C_word *av) C_noret;
C_noret_decl(f_10380)
static void C_ccall f_10380(C_word c,C_word *av) C_noret;
C_noret_decl(f_10383)
static void C_ccall f_10383(C_word c,C_word *av) C_noret;
C_noret_decl(f_10386)
static void C_ccall f_10386(C_word c,C_word *av) C_noret;
C_noret_decl(f_10389)
static void C_ccall f_10389(C_word c,C_word *av) C_noret;
C_noret_decl(f_10392)
static void C_ccall f_10392(C_word c,C_word *av) C_noret;
C_noret_decl(f_10395)
static void C_ccall f_10395(C_word c,C_word *av) C_noret;
C_noret_decl(f_10398)
static void C_ccall f_10398(C_word c,C_word *av) C_noret;
C_noret_decl(f_10401)
static void C_ccall f_10401(C_word c,C_word *av) C_noret;
C_noret_decl(f_10404)
static void C_ccall f_10404(C_word c,C_word *av) C_noret;
C_noret_decl(f_10407)
static void C_ccall f_10407(C_word c,C_word *av) C_noret;
C_noret_decl(f_10410)
static void C_ccall f_10410(C_word c,C_word *av) C_noret;
C_noret_decl(f_10413)
static void C_ccall f_10413(C_word c,C_word *av) C_noret;
C_noret_decl(f_10416)
static void C_ccall f_10416(C_word c,C_word *av) C_noret;
C_noret_decl(f_10419)
static void C_ccall f_10419(C_word c,C_word *av) C_noret;
C_noret_decl(f_10422)
static void C_ccall f_10422(C_word c,C_word *av) C_noret;
C_noret_decl(f_10425)
static void C_ccall f_10425(C_word c,C_word *av) C_noret;
C_noret_decl(f_10428)
static void C_ccall f_10428(C_word c,C_word *av) C_noret;
C_noret_decl(f_10431)
static void C_ccall f_10431(C_word c,C_word *av) C_noret;
C_noret_decl(f_10434)
static void C_ccall f_10434(C_word c,C_word *av) C_noret;
C_noret_decl(f_10437)
static void C_ccall f_10437(C_word c,C_word *av) C_noret;
C_noret_decl(f_10440)
static void C_ccall f_10440(C_word c,C_word *av) C_noret;
C_noret_decl(f_10443)
static void C_ccall f_10443(C_word c,C_word *av) C_noret;
C_noret_decl(f_10446)
static void C_ccall f_10446(C_word c,C_word *av) C_noret;
C_noret_decl(f_10449)
static void C_ccall f_10449(C_word c,C_word *av) C_noret;
C_noret_decl(f_10452)
static void C_ccall f_10452(C_word c,C_word *av) C_noret;
C_noret_decl(f_10457)
static void C_ccall f_10457(C_word c,C_word *av) C_noret;
C_noret_decl(f_10466)
static void C_ccall f_10466(C_word c,C_word *av) C_noret;
C_noret_decl(f_10478)
static void C_ccall f_10478(C_word c,C_word *av) C_noret;
C_noret_decl(f_10493)
static void C_ccall f_10493(C_word c,C_word *av) C_noret;
C_noret_decl(f_10496)
static void C_ccall f_10496(C_word c,C_word *av) C_noret;
C_noret_decl(f_10504)
static void C_ccall f_10504(C_word c,C_word *av) C_noret;
C_noret_decl(f_10508)
static void C_ccall f_10508(C_word c,C_word *av) C_noret;
C_noret_decl(f_10510)
static void C_ccall f_10510(C_word c,C_word *av) C_noret;
C_noret_decl(f_10514)
static void C_ccall f_10514(C_word c,C_word *av) C_noret;
C_noret_decl(f_10517)
static void C_ccall f_10517(C_word c,C_word *av) C_noret;
C_noret_decl(f_10528)
static void C_ccall f_10528(C_word c,C_word *av) C_noret;
C_noret_decl(f_10530)
static void C_ccall f_10530(C_word c,C_word *av) C_noret;
C_noret_decl(f_10537)
static void C_ccall f_10537(C_word c,C_word *av) C_noret;
C_noret_decl(f_10540)
static void C_ccall f_10540(C_word c,C_word *av) C_noret;
C_noret_decl(f_10543)
static void C_ccall f_10543(C_word c,C_word *av) C_noret;
C_noret_decl(f_10548)
static void C_ccall f_10548(C_word c,C_word *av) C_noret;
C_noret_decl(f_10552)
static void C_ccall f_10552(C_word c,C_word *av) C_noret;
C_noret_decl(f_10557)
static void C_ccall f_10557(C_word c,C_word *av) C_noret;
C_noret_decl(f_10561)
static void C_ccall f_10561(C_word c,C_word *av) C_noret;
C_noret_decl(f_10564)
static void C_ccall f_10564(C_word c,C_word *av) C_noret;
C_noret_decl(f_10592)
static void C_ccall f_10592(C_word c,C_word *av) C_noret;
C_noret_decl(f_10595)
static void C_ccall f_10595(C_word c,C_word *av) C_noret;
C_noret_decl(f_10598)
static void C_ccall f_10598(C_word c,C_word *av) C_noret;
C_noret_decl(f_10615)
static void C_ccall f_10615(C_word c,C_word *av) C_noret;
C_noret_decl(f_10626)
static void C_ccall f_10626(C_word c,C_word *av) C_noret;
C_noret_decl(f_10638)
static void C_ccall f_10638(C_word c,C_word *av) C_noret;
C_noret_decl(f_10649)
static void C_ccall f_10649(C_word c,C_word *av) C_noret;
C_noret_decl(f_10660)
static void C_ccall f_10660(C_word c,C_word *av) C_noret;
C_noret_decl(f_10671)
static void C_ccall f_10671(C_word c,C_word *av) C_noret;
C_noret_decl(f_10682)
static void C_ccall f_10682(C_word c,C_word *av) C_noret;
C_noret_decl(f_10693)
static void C_ccall f_10693(C_word c,C_word *av) C_noret;
C_noret_decl(f_10704)
static void C_ccall f_10704(C_word c,C_word *av) C_noret;
C_noret_decl(f_10715)
static void C_ccall f_10715(C_word c,C_word *av) C_noret;
C_noret_decl(f_10726)
static void C_ccall f_10726(C_word c,C_word *av) C_noret;
C_noret_decl(f_10737)
static void C_ccall f_10737(C_word c,C_word *av) C_noret;
C_noret_decl(f_10748)
static void C_ccall f_10748(C_word c,C_word *av) C_noret;
C_noret_decl(f_10759)
static void C_ccall f_10759(C_word c,C_word *av) C_noret;
C_noret_decl(f_10770)
static void C_ccall f_10770(C_word c,C_word *av) C_noret;
C_noret_decl(f_10781)
static void C_ccall f_10781(C_word c,C_word *av) C_noret;
C_noret_decl(f_10798)
static void C_ccall f_10798(C_word c,C_word *av) C_noret;
C_noret_decl(f_10815)
static void C_ccall f_10815(C_word c,C_word *av) C_noret;
C_noret_decl(f_10839)
static void C_ccall f_10839(C_word c,C_word *av) C_noret;
C_noret_decl(f_10856)
static void C_ccall f_10856(C_word c,C_word *av) C_noret;
C_noret_decl(f_10860)
static void C_ccall f_10860(C_word c,C_word *av) C_noret;
C_noret_decl(f_10886)
static void C_ccall f_10886(C_word c,C_word *av) C_noret;
C_noret_decl(f_10906)
static void C_ccall f_10906(C_word c,C_word *av) C_noret;
C_noret_decl(f_10917)
static void C_ccall f_10917(C_word c,C_word *av) C_noret;
C_noret_decl(f_10929)
static void C_fcall f_10929(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10963)
static void C_ccall f_10963(C_word c,C_word *av) C_noret;
C_noret_decl(f_10978)
static void C_fcall f_10978(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11045)
static void C_ccall f_11045(C_word c,C_word *av) C_noret;
C_noret_decl(f_11061)
static void C_ccall f_11061(C_word c,C_word *av) C_noret;
C_noret_decl(f_11077)
static void C_ccall f_11077(C_word c,C_word *av) C_noret;
C_noret_decl(f_11093)
static void C_ccall f_11093(C_word c,C_word *av) C_noret;
C_noret_decl(f_11109)
static void C_ccall f_11109(C_word c,C_word *av) C_noret;
C_noret_decl(f_11125)
static void C_ccall f_11125(C_word c,C_word *av) C_noret;
C_noret_decl(f_11141)
static void C_ccall f_11141(C_word c,C_word *av) C_noret;
C_noret_decl(f_11157)
static void C_ccall f_11157(C_word c,C_word *av) C_noret;
C_noret_decl(f_11173)
static void C_ccall f_11173(C_word c,C_word *av) C_noret;
C_noret_decl(f_11185)
static void C_fcall f_11185(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11204)
static void C_fcall f_11204(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11235)
static void C_ccall f_11235(C_word c,C_word *av) C_noret;
C_noret_decl(f_11252)
static void C_ccall f_11252(C_word c,C_word *av) C_noret;
C_noret_decl(f_11258)
static void C_fcall f_11258(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11282)
static void C_ccall f_11282(C_word c,C_word *av) C_noret;
C_noret_decl(f_11302)
static void C_ccall f_11302(C_word c,C_word *av) C_noret;
C_noret_decl(f_11306)
static void C_ccall f_11306(C_word c,C_word *av) C_noret;
C_noret_decl(f_11309)
static void C_ccall f_11309(C_word c,C_word *av) C_noret;
C_noret_decl(f_11338)
static void C_ccall f_11338(C_word c,C_word *av) C_noret;
C_noret_decl(f_11354)
static void C_fcall f_11354(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11376)
static void C_ccall f_11376(C_word c,C_word *av) C_noret;
C_noret_decl(f_11392)
static void C_ccall f_11392(C_word c,C_word *av) C_noret;
C_noret_decl(f_11397)
static C_word C_fcall f_11397(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11428)
static void C_ccall f_11428(C_word c,C_word *av) C_noret;
C_noret_decl(f_11439)
static void C_ccall f_11439(C_word c,C_word *av) C_noret;
C_noret_decl(f_11448)
static C_word C_fcall f_11448(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11477)
static void C_ccall f_11477(C_word c,C_word *av) C_noret;
C_noret_decl(f_11490)
static void C_ccall f_11490(C_word c,C_word *av) C_noret;
C_noret_decl(f_11500)
static void C_ccall f_11500(C_word c,C_word *av) C_noret;
C_noret_decl(f_11502)
static void C_ccall f_11502(C_word c,C_word *av) C_noret;
C_noret_decl(f_11509)
static void C_ccall f_11509(C_word c,C_word *av) C_noret;
C_noret_decl(f_11512)
static void C_fcall f_11512(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11521)
static void C_fcall f_11521(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11547)
static void C_ccall f_11547(C_word c,C_word *av) C_noret;
C_noret_decl(f_11552)
static void C_ccall f_11552(C_word c,C_word *av) C_noret;
C_noret_decl(f_11556)
static void C_ccall f_11556(C_word c,C_word *av) C_noret;
C_noret_decl(f_11561)
static void C_ccall f_11561(C_word c,C_word *av) C_noret;
C_noret_decl(f_11582)
static void C_ccall f_11582(C_word c,C_word *av) C_noret;
C_noret_decl(f_11588)
static void C_ccall f_11588(C_word c,C_word *av) C_noret;
C_noret_decl(f_11606)
static void C_ccall f_11606(C_word c,C_word *av) C_noret;
C_noret_decl(f_11612)
static void C_ccall f_11612(C_word c,C_word *av) C_noret;
C_noret_decl(f_11630)
static void C_ccall f_11630(C_word c,C_word *av) C_noret;
C_noret_decl(f_11636)
static void C_ccall f_11636(C_word c,C_word *av) C_noret;
C_noret_decl(f_11651)
static void C_ccall f_11651(C_word c,C_word *av) C_noret;
C_noret_decl(f_11657)
static void C_ccall f_11657(C_word c,C_word *av) C_noret;
C_noret_decl(f_11671)
static void C_ccall f_11671(C_word c,C_word *av) C_noret;
C_noret_decl(f_11692)
static void C_ccall f_11692(C_word c,C_word *av) C_noret;
C_noret_decl(f_11698)
static void C_ccall f_11698(C_word c,C_word *av) C_noret;
C_noret_decl(f_11716)
static void C_ccall f_11716(C_word c,C_word *av) C_noret;
C_noret_decl(f_11722)
static void C_ccall f_11722(C_word c,C_word *av) C_noret;
C_noret_decl(f_11740)
static void C_ccall f_11740(C_word c,C_word *av) C_noret;
C_noret_decl(f_11746)
static void C_ccall f_11746(C_word c,C_word *av) C_noret;
C_noret_decl(f_11761)
static void C_ccall f_11761(C_word c,C_word *av) C_noret;
C_noret_decl(f_11767)
static void C_ccall f_11767(C_word c,C_word *av) C_noret;
C_noret_decl(f_11782)
static void C_ccall f_11782(C_word c,C_word *av) C_noret;
C_noret_decl(f_11792)
static void C_ccall f_11792(C_word c,C_word *av) C_noret;
C_noret_decl(f_11798)
static void C_ccall f_11798(C_word c,C_word *av) C_noret;
C_noret_decl(f_11802)
static void C_ccall f_11802(C_word c,C_word *av) C_noret;
C_noret_decl(f_11804)
static void C_fcall f_11804(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11815)
static void C_ccall f_11815(C_word c,C_word *av) C_noret;
C_noret_decl(f_11827)
static void C_ccall f_11827(C_word c,C_word *av) C_noret;
C_noret_decl(f_11837)
static void C_ccall f_11837(C_word c,C_word *av) C_noret;
C_noret_decl(f_11843)
static void C_ccall f_11843(C_word c,C_word *av) C_noret;
C_noret_decl(f_11847)
static void C_ccall f_11847(C_word c,C_word *av) C_noret;
C_noret_decl(f_11852)
static C_word C_fcall f_11852(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11878)
static void C_ccall f_11878(C_word c,C_word *av) C_noret;
C_noret_decl(f_11882)
static void C_ccall f_11882(C_word c,C_word *av) C_noret;
C_noret_decl(f_11885)
static void C_ccall f_11885(C_word c,C_word *av) C_noret;
C_noret_decl(f_11893)
static void C_fcall f_11893(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11914)
static void C_fcall f_11914(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11928)
static void C_ccall f_11928(C_word c,C_word *av) C_noret;
C_noret_decl(f_11932)
static void C_ccall f_11932(C_word c,C_word *av) C_noret;
C_noret_decl(f_11973)
static void C_ccall f_11973(C_word c,C_word *av) C_noret;
C_noret_decl(f_11995)
static void C_ccall f_11995(C_word c,C_word *av) C_noret;
C_noret_decl(f_11997)
static void C_ccall f_11997(C_word c,C_word *av) C_noret;
C_noret_decl(f_12019)
static void C_ccall f_12019(C_word c,C_word *av) C_noret;
C_noret_decl(f_12021)
static void C_ccall f_12021(C_word c,C_word *av) C_noret;
C_noret_decl(f_12043)
static void C_ccall f_12043(C_word c,C_word *av) C_noret;
C_noret_decl(f_12045)
static void C_ccall f_12045(C_word c,C_word *av) C_noret;
C_noret_decl(f_12067)
static void C_ccall f_12067(C_word c,C_word *av) C_noret;
C_noret_decl(f_12069)
static void C_ccall f_12069(C_word c,C_word *av) C_noret;
C_noret_decl(f_12091)
static void C_ccall f_12091(C_word c,C_word *av) C_noret;
C_noret_decl(f_12093)
static void C_ccall f_12093(C_word c,C_word *av) C_noret;
C_noret_decl(f_12115)
static void C_ccall f_12115(C_word c,C_word *av) C_noret;
C_noret_decl(f_12117)
static void C_ccall f_12117(C_word c,C_word *av) C_noret;
C_noret_decl(f_12139)
static void C_ccall f_12139(C_word c,C_word *av) C_noret;
C_noret_decl(f_12141)
static void C_ccall f_12141(C_word c,C_word *av) C_noret;
C_noret_decl(f_12163)
static void C_ccall f_12163(C_word c,C_word *av) C_noret;
C_noret_decl(f_12165)
static void C_ccall f_12165(C_word c,C_word *av) C_noret;
C_noret_decl(f_12187)
static void C_ccall f_12187(C_word c,C_word *av) C_noret;
C_noret_decl(f_12189)
static void C_ccall f_12189(C_word c,C_word *av) C_noret;
C_noret_decl(f_12211)
static void C_ccall f_12211(C_word c,C_word *av) C_noret;
C_noret_decl(f_12213)
static void C_ccall f_12213(C_word c,C_word *av) C_noret;
C_noret_decl(f_12235)
static void C_ccall f_12235(C_word c,C_word *av) C_noret;
C_noret_decl(f_12237)
static void C_ccall f_12237(C_word c,C_word *av) C_noret;
C_noret_decl(f_12253)
static void C_ccall f_12253(C_word c,C_word *av) C_noret;
C_noret_decl(f_12255)
static void C_ccall f_12255(C_word c,C_word *av) C_noret;
C_noret_decl(f_12277)
static void C_ccall f_12277(C_word c,C_word *av) C_noret;
C_noret_decl(f_12279)
static void C_ccall f_12279(C_word c,C_word *av) C_noret;
C_noret_decl(f_12301)
static void C_ccall f_12301(C_word c,C_word *av) C_noret;
C_noret_decl(f_12303)
static void C_ccall f_12303(C_word c,C_word *av) C_noret;
C_noret_decl(f_12319)
static void C_ccall f_12319(C_word c,C_word *av) C_noret;
C_noret_decl(f_12321)
static void C_ccall f_12321(C_word c,C_word *av) C_noret;
C_noret_decl(f_12337)
static void C_ccall f_12337(C_word c,C_word *av) C_noret;
C_noret_decl(f_12339)
static void C_ccall f_12339(C_word c,C_word *av) C_noret;
C_noret_decl(f_12355)
static void C_ccall f_12355(C_word c,C_word *av) C_noret;
C_noret_decl(f_12357)
static void C_ccall f_12357(C_word c,C_word *av) C_noret;
C_noret_decl(f_12373)
static void C_ccall f_12373(C_word c,C_word *av) C_noret;
C_noret_decl(f_12375)
static void C_ccall f_12375(C_word c,C_word *av) C_noret;
C_noret_decl(f_12391)
static void C_ccall f_12391(C_word c,C_word *av) C_noret;
C_noret_decl(f_12393)
static void C_ccall f_12393(C_word c,C_word *av) C_noret;
C_noret_decl(f_12409)
static void C_ccall f_12409(C_word c,C_word *av) C_noret;
C_noret_decl(f_12411)
static void C_ccall f_12411(C_word c,C_word *av) C_noret;
C_noret_decl(f_12427)
static void C_ccall f_12427(C_word c,C_word *av) C_noret;
C_noret_decl(f_12429)
static void C_ccall f_12429(C_word c,C_word *av) C_noret;
C_noret_decl(f_12445)
static void C_ccall f_12445(C_word c,C_word *av) C_noret;
C_noret_decl(f_12447)
static void C_ccall f_12447(C_word c,C_word *av) C_noret;
C_noret_decl(f_12463)
static void C_ccall f_12463(C_word c,C_word *av) C_noret;
C_noret_decl(f_12465)
static void C_ccall f_12465(C_word c,C_word *av) C_noret;
C_noret_decl(f_12481)
static void C_ccall f_12481(C_word c,C_word *av) C_noret;
C_noret_decl(f_12483)
static void C_ccall f_12483(C_word c,C_word *av) C_noret;
C_noret_decl(f_12505)
static void C_ccall f_12505(C_word c,C_word *av) C_noret;
C_noret_decl(f_12507)
static void C_ccall f_12507(C_word c,C_word *av) C_noret;
C_noret_decl(f_12523)
static void C_ccall f_12523(C_word c,C_word *av) C_noret;
C_noret_decl(f_12525)
static void C_ccall f_12525(C_word c,C_word *av) C_noret;
C_noret_decl(f_12547)
static void C_ccall f_12547(C_word c,C_word *av) C_noret;
C_noret_decl(f_12549)
static void C_ccall f_12549(C_word c,C_word *av) C_noret;
C_noret_decl(f_12565)
static void C_ccall f_12565(C_word c,C_word *av) C_noret;
C_noret_decl(f_12567)
static void C_ccall f_12567(C_word c,C_word *av) C_noret;
C_noret_decl(f_12583)
static void C_ccall f_12583(C_word c,C_word *av) C_noret;
C_noret_decl(f_12585)
static void C_ccall f_12585(C_word c,C_word *av) C_noret;
C_noret_decl(f_12601)
static void C_ccall f_12601(C_word c,C_word *av) C_noret;
C_noret_decl(f_12603)
static void C_ccall f_12603(C_word c,C_word *av) C_noret;
C_noret_decl(f_12619)
static void C_ccall f_12619(C_word c,C_word *av) C_noret;
C_noret_decl(f_12621)
static void C_ccall f_12621(C_word c,C_word *av) C_noret;
C_noret_decl(f_12631)
static void C_ccall f_12631(C_word c,C_word *av) C_noret;
C_noret_decl(f_12643)
static void C_fcall f_12643(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12653)
static void C_ccall f_12653(C_word c,C_word *av) C_noret;
C_noret_decl(f_12657)
static void C_ccall f_12657(C_word c,C_word *av) C_noret;
C_noret_decl(f_12679)
static void C_ccall f_12679(C_word c,C_word *av) C_noret;
C_noret_decl(f_12683)
static void C_ccall f_12683(C_word c,C_word *av) C_noret;
C_noret_decl(f_12686)
static void C_ccall f_12686(C_word c,C_word *av) C_noret;
C_noret_decl(f_12691)
static void C_ccall f_12691(C_word c,C_word *av) C_noret;
C_noret_decl(f_12695)
static void C_ccall f_12695(C_word c,C_word *av) C_noret;
C_noret_decl(f_12698)
static void C_ccall f_12698(C_word c,C_word *av) C_noret;
C_noret_decl(f_12701)
static void C_ccall f_12701(C_word c,C_word *av) C_noret;
C_noret_decl(f_12714)
static void C_ccall f_12714(C_word c,C_word *av) C_noret;
C_noret_decl(f_12737)
static void C_ccall f_12737(C_word c,C_word *av) C_noret;
C_noret_decl(f_12763)
static void C_ccall f_12763(C_word c,C_word *av) C_noret;
C_noret_decl(f_12772)
static void C_ccall f_12772(C_word c,C_word *av) C_noret;
C_noret_decl(f_12777)
static void C_ccall f_12777(C_word c,C_word *av) C_noret;
C_noret_decl(f_12779)
static void C_ccall f_12779(C_word c,C_word *av) C_noret;
C_noret_decl(f_12823)
static C_word C_fcall f_12823(C_word *a,C_word t0,C_word t1);
C_noret_decl(f_12869)
static void C_ccall f_12869(C_word c,C_word *av) C_noret;
C_noret_decl(f_12893)
static void C_ccall f_12893(C_word c,C_word *av) C_noret;
C_noret_decl(f_12897)
static void C_ccall f_12897(C_word c,C_word *av) C_noret;
C_noret_decl(f_12915)
static void C_ccall f_12915(C_word c,C_word *av) C_noret;
C_noret_decl(f_12939)
static void C_ccall f_12939(C_word c,C_word *av) C_noret;
C_noret_decl(f_12943)
static void C_ccall f_12943(C_word c,C_word *av) C_noret;
C_noret_decl(f_12961)
static void C_ccall f_12961(C_word c,C_word *av) C_noret;
C_noret_decl(f_13002)
static void C_fcall f_13002(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13013)
static void C_ccall f_13013(C_word c,C_word *av) C_noret;
C_noret_decl(f_13019)
static void C_fcall f_13019(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13023)
static void C_ccall f_13023(C_word c,C_word *av) C_noret;
C_noret_decl(f_13037)
static void C_ccall f_13037(C_word c,C_word *av) C_noret;
C_noret_decl(f_13050)
static void C_ccall f_13050(C_word c,C_word *av) C_noret;
C_noret_decl(f_13054)
static void C_ccall f_13054(C_word c,C_word *av) C_noret;
C_noret_decl(f_13071)
static void C_ccall f_13071(C_word c,C_word *av) C_noret;
C_noret_decl(f_13075)
static void C_ccall f_13075(C_word c,C_word *av) C_noret;
C_noret_decl(f_13081)
static void C_ccall f_13081(C_word c,C_word *av) C_noret;
C_noret_decl(f_13085)
static void C_ccall f_13085(C_word c,C_word *av) C_noret;
C_noret_decl(f_13125)
static void C_ccall f_13125(C_word c,C_word *av) C_noret;
C_noret_decl(f_13129)
static void C_ccall f_13129(C_word c,C_word *av) C_noret;
C_noret_decl(f_13151)
static void C_ccall f_13151(C_word c,C_word *av) C_noret;
C_noret_decl(f_13154)
static void C_ccall f_13154(C_word c,C_word *av) C_noret;
C_noret_decl(f_13157)
static void C_ccall f_13157(C_word c,C_word *av) C_noret;
C_noret_decl(f_13160)
static void C_ccall f_13160(C_word c,C_word *av) C_noret;
C_noret_decl(f_13163)
static void C_ccall f_13163(C_word c,C_word *av) C_noret;
C_noret_decl(f_13184)
static void C_ccall f_13184(C_word c,C_word *av) C_noret;
C_noret_decl(f_13186)
static void C_fcall f_13186(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13204)
static void C_ccall f_13204(C_word c,C_word *av) C_noret;
C_noret_decl(f_13214)
static void C_ccall f_13214(C_word c,C_word *av) C_noret;
C_noret_decl(f_13218)
static void C_ccall f_13218(C_word c,C_word *av) C_noret;
C_noret_decl(f_13256)
static void C_ccall f_13256(C_word c,C_word *av) C_noret;
C_noret_decl(f_13259)
static void C_ccall f_13259(C_word c,C_word *av) C_noret;
C_noret_decl(f_13262)
static void C_ccall f_13262(C_word c,C_word *av) C_noret;
C_noret_decl(f_13265)
static void C_ccall f_13265(C_word c,C_word *av) C_noret;
C_noret_decl(f_13271)
static void C_ccall f_13271(C_word c,C_word *av) C_noret;
C_noret_decl(f_13274)
static void C_ccall f_13274(C_word c,C_word *av) C_noret;
C_noret_decl(f_13322)
static void C_ccall f_13322(C_word c,C_word *av) C_noret;
C_noret_decl(f_13326)
static void C_ccall f_13326(C_word c,C_word *av) C_noret;
C_noret_decl(f_13403)
static void C_ccall f_13403(C_word c,C_word *av) C_noret;
C_noret_decl(f_13442)
static void C_ccall f_13442(C_word c,C_word *av) C_noret;
C_noret_decl(f_13497)
static void C_ccall f_13497(C_word c,C_word *av) C_noret;
C_noret_decl(f_13542)
static void C_ccall f_13542(C_word c,C_word *av) C_noret;
C_noret_decl(f_13587)
static void C_ccall f_13587(C_word c,C_word *av) C_noret;
C_noret_decl(f_13624)
static void C_ccall f_13624(C_word c,C_word *av) C_noret;
C_noret_decl(f_13644)
static void C_ccall f_13644(C_word c,C_word *av) C_noret;
C_noret_decl(f_13668)
static void C_fcall f_13668(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13671)
static void C_fcall f_13671(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13675)
static void C_ccall f_13675(C_word c,C_word *av) C_noret;
C_noret_decl(f_13678)
static void C_ccall f_13678(C_word c,C_word *av) C_noret;
C_noret_decl(f_13696)
static void C_ccall f_13696(C_word c,C_word *av) C_noret;
C_noret_decl(f_13719)
static void C_ccall f_13719(C_word c,C_word *av) C_noret;
C_noret_decl(f_13723)
static void C_ccall f_13723(C_word c,C_word *av) C_noret;
C_noret_decl(f_13746)
static void C_ccall f_13746(C_word c,C_word *av) C_noret;
C_noret_decl(f_13750)
static void C_ccall f_13750(C_word c,C_word *av) C_noret;
C_noret_decl(f_13782)
static void C_ccall f_13782(C_word c,C_word *av) C_noret;
C_noret_decl(f_13818)
static void C_ccall f_13818(C_word c,C_word *av) C_noret;
C_noret_decl(f_13822)
static void C_ccall f_13822(C_word c,C_word *av) C_noret;
C_noret_decl(f_13841)
static void C_ccall f_13841(C_word c,C_word *av) C_noret;
C_noret_decl(f_13843)
static void C_ccall f_13843(C_word c,C_word *av) C_noret;
C_noret_decl(f_13850)
static void C_fcall f_13850(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13887)
static void C_ccall f_13887(C_word c,C_word *av) C_noret;
C_noret_decl(f_13894)
static void C_fcall f_13894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13931)
static void C_ccall f_13931(C_word c,C_word *av) C_noret;
C_noret_decl(f_13949)
static void C_ccall f_13949(C_word c,C_word *av) C_noret;
C_noret_decl(f_13958)
static void C_ccall f_13958(C_word c,C_word *av) C_noret;
C_noret_decl(f_13963)
static void C_ccall f_13963(C_word c,C_word *av) C_noret;
C_noret_decl(f_13976)
static void C_ccall f_13976(C_word c,C_word *av) C_noret;
C_noret_decl(f_14002)
static void C_ccall f_14002(C_word c,C_word *av) C_noret;
C_noret_decl(f_14010)
static void C_ccall f_14010(C_word c,C_word *av) C_noret;
C_noret_decl(f_14014)
static void C_ccall f_14014(C_word c,C_word *av) C_noret;
C_noret_decl(f_14018)
static void C_ccall f_14018(C_word c,C_word *av) C_noret;
C_noret_decl(f_14022)
static void C_ccall f_14022(C_word c,C_word *av) C_noret;
C_noret_decl(f_14025)
static void C_ccall f_14025(C_word c,C_word *av) C_noret;
C_noret_decl(f_14039)
static void C_ccall f_14039(C_word c,C_word *av) C_noret;
C_noret_decl(f_14043)
static void C_ccall f_14043(C_word c,C_word *av) C_noret;
C_noret_decl(f_14054)
static void C_ccall f_14054(C_word c,C_word *av) C_noret;
C_noret_decl(f_14078)
static void C_ccall f_14078(C_word c,C_word *av) C_noret;
C_noret_decl(f_14082)
static void C_ccall f_14082(C_word c,C_word *av) C_noret;
C_noret_decl(f_14088)
static void C_ccall f_14088(C_word c,C_word *av) C_noret;
C_noret_decl(f_14112)
static void C_ccall f_14112(C_word c,C_word *av) C_noret;
C_noret_decl(f_14116)
static void C_ccall f_14116(C_word c,C_word *av) C_noret;
C_noret_decl(f_14122)
static void C_ccall f_14122(C_word c,C_word *av) C_noret;
C_noret_decl(f_14139)
static void C_ccall f_14139(C_word c,C_word *av) C_noret;
C_noret_decl(f_14143)
static void C_ccall f_14143(C_word c,C_word *av) C_noret;
C_noret_decl(f_14147)
static void C_ccall f_14147(C_word c,C_word *av) C_noret;
C_noret_decl(f_14157)
static void C_fcall f_14157(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14163)
static void C_fcall f_14163(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14170)
static void C_ccall f_14170(C_word c,C_word *av) C_noret;
C_noret_decl(f_14182)
static void C_ccall f_14182(C_word c,C_word *av) C_noret;
C_noret_decl(f_14205)
static void C_ccall f_14205(C_word c,C_word *av) C_noret;
C_noret_decl(f_14209)
static void C_ccall f_14209(C_word c,C_word *av) C_noret;
C_noret_decl(f_14219)
static void C_fcall f_14219(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14225)
static void C_fcall f_14225(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14232)
static void C_ccall f_14232(C_word c,C_word *av) C_noret;
C_noret_decl(f_14247)
static void C_ccall f_14247(C_word c,C_word *av) C_noret;
C_noret_decl(f_14251)
static void C_ccall f_14251(C_word c,C_word *av) C_noret;
C_noret_decl(f_14284)
static void C_ccall f_14284(C_word c,C_word *av) C_noret;
C_noret_decl(f_14288)
static void C_ccall f_14288(C_word c,C_word *av) C_noret;
C_noret_decl(f_14305)
static void C_ccall f_14305(C_word c,C_word *av) C_noret;
C_noret_decl(f_14315)
static void C_ccall f_14315(C_word c,C_word *av) C_noret;
C_noret_decl(f_14388)
static void C_ccall f_14388(C_word c,C_word *av) C_noret;
C_noret_decl(f_14402)
static void C_ccall f_14402(C_word c,C_word *av) C_noret;
C_noret_decl(f_14419)
static void C_ccall f_14419(C_word c,C_word *av) C_noret;
C_noret_decl(f_14435)
static void C_ccall f_14435(C_word c,C_word *av) C_noret;
C_noret_decl(f_14506)
static void C_ccall f_14506(C_word c,C_word *av) C_noret;
C_noret_decl(f_14510)
static void C_ccall f_14510(C_word c,C_word *av) C_noret;
C_noret_decl(f_14515)
static void C_ccall f_14515(C_word c,C_word *av) C_noret;
C_noret_decl(f_14525)
static void C_ccall f_14525(C_word c,C_word *av) C_noret;
C_noret_decl(f_14529)
static void C_ccall f_14529(C_word c,C_word *av) C_noret;
C_noret_decl(f_14544)
static void C_ccall f_14544(C_word c,C_word *av) C_noret;
C_noret_decl(f_14548)
static void C_ccall f_14548(C_word c,C_word *av) C_noret;
C_noret_decl(f_14565)
static void C_ccall f_14565(C_word c,C_word *av) C_noret;
C_noret_decl(f_14576)
static void C_ccall f_14576(C_word c,C_word *av) C_noret;
C_noret_decl(f_14582)
static void C_ccall f_14582(C_word c,C_word *av) C_noret;
C_noret_decl(f_14593)
static void C_ccall f_14593(C_word c,C_word *av) C_noret;
C_noret_decl(f_14604)
static void C_ccall f_14604(C_word c,C_word *av) C_noret;
C_noret_decl(f_14616)
static void C_ccall f_14616(C_word c,C_word *av) C_noret;
C_noret_decl(f_14628)
static void C_ccall f_14628(C_word c,C_word *av) C_noret;
C_noret_decl(f_14640)
static void C_ccall f_14640(C_word c,C_word *av) C_noret;
C_noret_decl(f_14657)
static void C_ccall f_14657(C_word c,C_word *av) C_noret;
C_noret_decl(f_14664)
static void C_ccall f_14664(C_word c,C_word *av) C_noret;
C_noret_decl(f_14668)
static void C_ccall f_14668(C_word c,C_word *av) C_noret;
C_noret_decl(f_14670)
static void C_ccall f_14670(C_word c,C_word *av) C_noret;
C_noret_decl(f_14676)
static void C_ccall f_14676(C_word c,C_word *av) C_noret;
C_noret_decl(f_14680)
static void C_ccall f_14680(C_word c,C_word *av) C_noret;
C_noret_decl(f_14683)
static void C_ccall f_14683(C_word c,C_word *av) C_noret;
C_noret_decl(f_14688)
static void C_ccall f_14688(C_word c,C_word *av) C_noret;
C_noret_decl(f_14698)
static void C_fcall f_14698(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14718)
static void C_ccall f_14718(C_word c,C_word *av) C_noret;
C_noret_decl(f_14733)
static void C_fcall f_14733(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14763)
static void C_ccall f_14763(C_word c,C_word *av) C_noret;
C_noret_decl(f_14774)
static void C_ccall f_14774(C_word c,C_word *av) C_noret;
C_noret_decl(f_14790)
static void C_ccall f_14790(C_word c,C_word *av) C_noret;
C_noret_decl(f_14794)
static void C_ccall f_14794(C_word c,C_word *av) C_noret;
C_noret_decl(f_14798)
static void C_ccall f_14798(C_word c,C_word *av) C_noret;
C_noret_decl(f_14814)
static void C_ccall f_14814(C_word c,C_word *av) C_noret;
C_noret_decl(f_14832)
static void C_ccall f_14832(C_word c,C_word *av) C_noret;
C_noret_decl(f_14843)
static void C_fcall f_14843(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14865)
static void C_ccall f_14865(C_word c,C_word *av) C_noret;
C_noret_decl(f_14882)
static void C_ccall f_14882(C_word c,C_word *av) C_noret;
C_noret_decl(f_14885)
static void C_fcall f_14885(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14897)
static void C_ccall f_14897(C_word c,C_word *av) C_noret;
C_noret_decl(f_14899)
static void C_fcall f_14899(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14920)
static void C_ccall f_14920(C_word c,C_word *av) C_noret;
C_noret_decl(f_14951)
static void C_ccall f_14951(C_word c,C_word *av) C_noret;
C_noret_decl(f_14955)
static void C_ccall f_14955(C_word c,C_word *av) C_noret;
C_noret_decl(f_14990)
static void C_ccall f_14990(C_word c,C_word *av) C_noret;
C_noret_decl(f_14997)
static void C_ccall f_14997(C_word c,C_word *av) C_noret;
C_noret_decl(f_15009)
static void C_ccall f_15009(C_word c,C_word *av) C_noret;
C_noret_decl(f_15029)
static void C_ccall f_15029(C_word c,C_word *av) C_noret;
C_noret_decl(f_15033)
static void C_ccall f_15033(C_word c,C_word *av) C_noret;
C_noret_decl(f_15053)
static void C_fcall f_15053(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15073)
static void C_ccall f_15073(C_word c,C_word *av) C_noret;
C_noret_decl(f_15077)
static void C_ccall f_15077(C_word c,C_word *av) C_noret;
C_noret_decl(f_15081)
static void C_ccall f_15081(C_word c,C_word *av) C_noret;
C_noret_decl(f_15088)
static void C_ccall f_15088(C_word c,C_word *av) C_noret;
C_noret_decl(f_15104)
static void C_ccall f_15104(C_word c,C_word *av) C_noret;
C_noret_decl(f_15108)
static void C_ccall f_15108(C_word c,C_word *av) C_noret;
C_noret_decl(f_15149)
static void C_fcall f_15149(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15182)
static void C_ccall f_15182(C_word c,C_word *av) C_noret;
C_noret_decl(f_15211)
static void C_ccall f_15211(C_word c,C_word *av) C_noret;
C_noret_decl(f_15219)
static void C_ccall f_15219(C_word c,C_word *av) C_noret;
C_noret_decl(f_15225)
static void C_ccall f_15225(C_word c,C_word *av) C_noret;
C_noret_decl(f_15245)
static void C_fcall f_15245(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15270)
static void C_ccall f_15270(C_word c,C_word *av) C_noret;
C_noret_decl(f_15276)
static void C_ccall f_15276(C_word c,C_word *av) C_noret;
C_noret_decl(f_15280)
static void C_ccall f_15280(C_word c,C_word *av) C_noret;
C_noret_decl(f_15290)
static void C_ccall f_15290(C_word c,C_word *av) C_noret;
C_noret_decl(f_15310)
static void C_fcall f_15310(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15331)
static void C_ccall f_15331(C_word c,C_word *av) C_noret;
C_noret_decl(f_15348)
static void C_ccall f_15348(C_word c,C_word *av) C_noret;
C_noret_decl(f_15355)
static void C_ccall f_15355(C_word c,C_word *av) C_noret;
C_noret_decl(f_15360)
static void C_ccall f_15360(C_word c,C_word *av) C_noret;
C_noret_decl(f_15366)
static void C_ccall f_15366(C_word c,C_word *av) C_noret;
C_noret_decl(f_15370)
static void C_ccall f_15370(C_word c,C_word *av) C_noret;
C_noret_decl(f_15373)
static void C_ccall f_15373(C_word c,C_word *av) C_noret;
C_noret_decl(f_15380)
static void C_ccall f_15380(C_word c,C_word *av) C_noret;
C_noret_decl(f_15401)
static void C_ccall f_15401(C_word c,C_word *av) C_noret;
C_noret_decl(f_15415)
static void C_ccall f_15415(C_word c,C_word *av) C_noret;
C_noret_decl(f_15419)
static void C_ccall f_15419(C_word c,C_word *av) C_noret;
C_noret_decl(f_15456)
static void C_ccall f_15456(C_word c,C_word *av) C_noret;
C_noret_decl(f_15464)
static void C_ccall f_15464(C_word c,C_word *av) C_noret;
C_noret_decl(f_15493)
static void C_ccall f_15493(C_word c,C_word *av) C_noret;
C_noret_decl(f_15496)
static void C_ccall f_15496(C_word c,C_word *av) C_noret;
C_noret_decl(f_15511)
static void C_ccall f_15511(C_word c,C_word *av) C_noret;
C_noret_decl(f_15514)
static void C_fcall f_15514(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15521)
static void C_ccall f_15521(C_word c,C_word *av) C_noret;
C_noret_decl(f_15532)
static void C_ccall f_15532(C_word c,C_word *av) C_noret;
C_noret_decl(f_15550)
static void C_ccall f_15550(C_word c,C_word *av) C_noret;
C_noret_decl(f_15575)
static void C_fcall f_15575(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15590)
static void C_ccall f_15590(C_word c,C_word *av) C_noret;
C_noret_decl(f_15618)
static void C_fcall f_15618(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15622)
static C_word C_fcall f_15622(C_word t0,C_word t1);
C_noret_decl(f_15636)
static void C_fcall f_15636(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15696)
static void C_ccall f_15696(C_word c,C_word *av) C_noret;
C_noret_decl(f_15716)
static void C_fcall f_15716(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15722)
static void C_fcall f_15722(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15785)
static void C_fcall f_15785(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15824)
static void C_fcall f_15824(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15830)
static void C_fcall f_15830(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15874)
static void C_fcall f_15874(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15878)
static void C_ccall f_15878(C_word c,C_word *av) C_noret;
C_noret_decl(f_15881)
static void C_ccall f_15881(C_word c,C_word *av) C_noret;
C_noret_decl(f_15930)
static void C_fcall f_15930(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15945)
static void C_fcall f_15945(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15954)
static void C_ccall f_15954(C_word c,C_word *av) C_noret;
C_noret_decl(f_15988)
static void C_fcall f_15988(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15998)
static void C_ccall f_15998(C_word c,C_word *av) C_noret;
C_noret_decl(f_16007)
static void C_fcall f_16007(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16019)
static void C_fcall f_16019(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16028)
static void C_ccall f_16028(C_word c,C_word *av) C_noret;
C_noret_decl(f_16040)
static void C_ccall f_16040(C_word c,C_word *av) C_noret;
C_noret_decl(f_16046)
static void C_fcall f_16046(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16052)
static void C_ccall f_16052(C_word c,C_word *av) C_noret;
C_noret_decl(f_16094)
static void C_ccall f_16094(C_word c,C_word *av) C_noret;
C_noret_decl(f_16202)
static void C_fcall f_16202(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_16209)
static void C_fcall f_16209(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16222)
static void C_ccall f_16222(C_word c,C_word *av) C_noret;
C_noret_decl(f_16280)
static void C_fcall f_16280(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16298)
static void C_ccall f_16298(C_word c,C_word *av) C_noret;
C_noret_decl(f_16308)
static void C_ccall f_16308(C_word c,C_word *av) C_noret;
C_noret_decl(f_16344)
static void C_ccall f_16344(C_word c,C_word *av) C_noret;
C_noret_decl(f_16370)
static void C_ccall f_16370(C_word c,C_word *av) C_noret;
C_noret_decl(f_16381)
static void C_ccall f_16381(C_word c,C_word *av) C_noret;
C_noret_decl(f_16548)
static void C_fcall f_16548(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16563)
static void C_fcall f_16563(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16621)
static void C_fcall f_16621(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16662)
static void C_ccall f_16662(C_word c,C_word *av) C_noret;
C_noret_decl(f_16740)
static void C_ccall f_16740(C_word c,C_word *av) C_noret;
C_noret_decl(f_16788)
static void C_ccall f_16788(C_word c,C_word *av) C_noret;
C_noret_decl(f_16791)
static void C_ccall f_16791(C_word c,C_word *av) C_noret;
C_noret_decl(f_16803)
static void C_ccall f_16803(C_word c,C_word *av) C_noret;
C_noret_decl(f_16890)
static void C_ccall f_16890(C_word c,C_word *av) C_noret;
C_noret_decl(f_16958)
static void C_ccall f_16958(C_word c,C_word *av) C_noret;
C_noret_decl(f_17038)
static void C_ccall f_17038(C_word c,C_word *av) C_noret;
C_noret_decl(f_17048)
static void C_ccall f_17048(C_word c,C_word *av) C_noret;
C_noret_decl(f_17057)
static void C_fcall f_17057(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_17293)
static void C_ccall f_17293(C_word c,C_word *av) C_noret;
C_noret_decl(f_17339)
static void C_ccall f_17339(C_word c,C_word *av) C_noret;
C_noret_decl(f_17342)
static void C_fcall f_17342(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17369)
static void C_fcall f_17369(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17393)
static void C_ccall f_17393(C_word c,C_word *av) C_noret;
C_noret_decl(f_17410)
static void C_fcall f_17410(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17511)
static void C_ccall f_17511(C_word c,C_word *av) C_noret;
C_noret_decl(f_17514)
static void C_ccall f_17514(C_word c,C_word *av) C_noret;
C_noret_decl(f_17523)
static void C_ccall f_17523(C_word c,C_word *av) C_noret;
C_noret_decl(f_17529)
static void C_ccall f_17529(C_word c,C_word *av) C_noret;
C_noret_decl(f_17540)
static void C_ccall f_17540(C_word c,C_word *av) C_noret;
C_noret_decl(f_17542)
static void C_ccall f_17542(C_word c,C_word *av) C_noret;
C_noret_decl(f_17553)
static void C_ccall f_17553(C_word c,C_word *av) C_noret;
C_noret_decl(f_17555)
static void C_ccall f_17555(C_word c,C_word *av) C_noret;
C_noret_decl(f_17566)
static void C_ccall f_17566(C_word c,C_word *av) C_noret;
C_noret_decl(f_17568)
static void C_ccall f_17568(C_word c,C_word *av) C_noret;
C_noret_decl(f_17585)
static void C_ccall f_17585(C_word c,C_word *av) C_noret;
C_noret_decl(f_17589)
static void C_ccall f_17589(C_word c,C_word *av) C_noret;
C_noret_decl(f_17593)
static void C_ccall f_17593(C_word c,C_word *av) C_noret;
C_noret_decl(f_17602)
static void C_ccall f_17602(C_word c,C_word *av) C_noret;
C_noret_decl(f_17622)
static void C_ccall f_17622(C_word c,C_word *av) C_noret;
C_noret_decl(f_17630)
static void C_ccall f_17630(C_word c,C_word *av) C_noret;
C_noret_decl(f_17645)
static void C_ccall f_17645(C_word c,C_word *av) C_noret;
C_noret_decl(f_17647)
static void C_fcall f_17647(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17672)
static void C_ccall f_17672(C_word c,C_word *av) C_noret;
C_noret_decl(f_17681)
static void C_ccall f_17681(C_word c,C_word *av) C_noret;
C_noret_decl(f_17684)
static void C_ccall f_17684(C_word c,C_word *av) C_noret;
C_noret_decl(f_17693)
static void C_ccall f_17693(C_word c,C_word *av) C_noret;
C_noret_decl(f_17700)
static void C_ccall f_17700(C_word c,C_word *av) C_noret;
C_noret_decl(f_17711)
static void C_ccall f_17711(C_word c,C_word *av) C_noret;
C_noret_decl(f_17718)
static void C_ccall f_17718(C_word c,C_word *av) C_noret;
C_noret_decl(f_17742)
static void C_ccall f_17742(C_word c,C_word *av) C_noret;
C_noret_decl(f_17746)
static void C_ccall f_17746(C_word c,C_word *av) C_noret;
C_noret_decl(f_17748)
static void C_ccall f_17748(C_word c,C_word *av) C_noret;
C_noret_decl(f_17752)
static void C_ccall f_17752(C_word c,C_word *av) C_noret;
C_noret_decl(f_17757)
static void C_ccall f_17757(C_word c,C_word *av) C_noret;
C_noret_decl(f_17763)
static void C_ccall f_17763(C_word c,C_word *av) C_noret;
C_noret_decl(f_17767)
static void C_ccall f_17767(C_word c,C_word *av) C_noret;
C_noret_decl(f_17772)
static void C_ccall f_17772(C_word c,C_word *av) C_noret;
C_noret_decl(f_17782)
static void C_ccall f_17782(C_word c,C_word *av) C_noret;
C_noret_decl(f_17784)
static void C_ccall f_17784(C_word c,C_word *av) C_noret;
C_noret_decl(f_17788)
static void C_ccall f_17788(C_word c,C_word *av) C_noret;
C_noret_decl(f_17794)
static void C_ccall f_17794(C_word c,C_word *av) C_noret;
C_noret_decl(f_17796)
static void C_ccall f_17796(C_word c,C_word *av) C_noret;
C_noret_decl(f_17800)
static void C_ccall f_17800(C_word c,C_word *av) C_noret;
C_noret_decl(f_17803)
static void C_ccall f_17803(C_word c,C_word *av) C_noret;
C_noret_decl(f_17819)
static void C_ccall f_17819(C_word c,C_word *av) C_noret;
C_noret_decl(f_17823)
static void C_ccall f_17823(C_word c,C_word *av) C_noret;
C_noret_decl(f_17826)
static void C_ccall f_17826(C_word c,C_word *av) C_noret;
C_noret_decl(f_17848)
static void C_ccall f_17848(C_word c,C_word *av) C_noret;
C_noret_decl(f_17864)
static void C_ccall f_17864(C_word c,C_word *av) C_noret;
C_noret_decl(f_17869)
static C_word C_fcall f_17869(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17900)
static void C_ccall f_17900(C_word c,C_word *av) C_noret;
C_noret_decl(f_17909)
static void C_fcall f_17909(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17927)
static void C_ccall f_17927(C_word c,C_word *av) C_noret;
C_noret_decl(f_17933)
static void C_ccall f_17933(C_word c,C_word *av) C_noret;
C_noret_decl(f_17939)
static void C_ccall f_17939(C_word c,C_word *av) C_noret;
C_noret_decl(f_17948)
static C_word C_fcall f_17948(C_word t0,C_word t1);
C_noret_decl(f_17967)
static void C_ccall f_17967(C_word c,C_word *av) C_noret;
C_noret_decl(f_17986)
static void C_ccall f_17986(C_word c,C_word *av) C_noret;
C_noret_decl(f_17989)
static void C_ccall f_17989(C_word c,C_word *av) C_noret;
C_noret_decl(f_17994)
static C_word C_fcall f_17994(C_word t0,C_word t1);
C_noret_decl(f_18036)
static void C_ccall f_18036(C_word c,C_word *av) C_noret;
C_noret_decl(f_18055)
static void C_ccall f_18055(C_word c,C_word *av) C_noret;
C_noret_decl(f_18058)
static void C_ccall f_18058(C_word c,C_word *av) C_noret;
C_noret_decl(f_18061)
static void C_ccall f_18061(C_word c,C_word *av) C_noret;
C_noret_decl(f_18066)
static C_word C_fcall f_18066(C_word t0,C_word t1);
C_noret_decl(f_18107)
static void C_ccall f_18107(C_word c,C_word *av) C_noret;
C_noret_decl(f_18117)
static void C_ccall f_18117(C_word c,C_word *av) C_noret;
C_noret_decl(f_18128)
static void C_fcall f_18128(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_18132)
static void C_ccall f_18132(C_word c,C_word *av) C_noret;
C_noret_decl(f_18135)
static void C_ccall f_18135(C_word c,C_word *av) C_noret;
C_noret_decl(f_18140)
static C_word C_fcall f_18140(C_word t0,C_word t1);
C_noret_decl(f_18167)
static void C_ccall f_18167(C_word c,C_word *av) C_noret;
C_noret_decl(f_18181)
static void C_ccall f_18181(C_word c,C_word *av) C_noret;
C_noret_decl(f_18192)
static void C_ccall f_18192(C_word c,C_word *av) C_noret;
C_noret_decl(f_18203)
static void C_ccall f_18203(C_word c,C_word *av) C_noret;
C_noret_decl(f_18214)
static void C_ccall f_18214(C_word c,C_word *av) C_noret;
C_noret_decl(f_18227)
static void C_ccall f_18227(C_word c,C_word *av) C_noret;
C_noret_decl(f_18229)
static void C_fcall f_18229(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18242)
static C_word C_fcall f_18242(C_word t0,C_word t1);
C_noret_decl(f_18270)
static void C_ccall f_18270(C_word c,C_word *av) C_noret;
C_noret_decl(f_18283)
static void C_ccall f_18283(C_word c,C_word *av) C_noret;
C_noret_decl(f_18301)
static void C_ccall f_18301(C_word c,C_word *av) C_noret;
C_noret_decl(f_18304)
static void C_ccall f_18304(C_word c,C_word *av) C_noret;
C_noret_decl(f_18387)
static void C_ccall f_18387(C_word c,C_word *av) C_noret;
C_noret_decl(f_18390)
static void C_ccall f_18390(C_word c,C_word *av) C_noret;
C_noret_decl(f_18393)
static void C_ccall f_18393(C_word c,C_word *av) C_noret;
C_noret_decl(f_18396)
static void C_ccall f_18396(C_word c,C_word *av) C_noret;
C_noret_decl(f_18399)
static void C_ccall f_18399(C_word c,C_word *av) C_noret;
C_noret_decl(f_18402)
static void C_ccall f_18402(C_word c,C_word *av) C_noret;
C_noret_decl(f_18405)
static void C_ccall f_18405(C_word c,C_word *av) C_noret;
C_noret_decl(f_18408)
static void C_ccall f_18408(C_word c,C_word *av) C_noret;
C_noret_decl(f_18411)
static void C_ccall f_18411(C_word c,C_word *av) C_noret;
C_noret_decl(f_18414)
static void C_ccall f_18414(C_word c,C_word *av) C_noret;
C_noret_decl(f_18417)
static void C_ccall f_18417(C_word c,C_word *av) C_noret;
C_noret_decl(f_18420)
static void C_ccall f_18420(C_word c,C_word *av) C_noret;
C_noret_decl(f_18423)
static void C_ccall f_18423(C_word c,C_word *av) C_noret;
C_noret_decl(f_18426)
static void C_ccall f_18426(C_word c,C_word *av) C_noret;
C_noret_decl(f_18431)
static void C_ccall f_18431(C_word c,C_word *av) C_noret;
C_noret_decl(f_18437)
static void C_fcall f_18437(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18453)
static void C_ccall f_18453(C_word c,C_word *av) C_noret;
C_noret_decl(f_18469)
static void C_ccall f_18469(C_word c,C_word *av) C_noret;
C_noret_decl(f_18475)
static void C_fcall f_18475(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18495)
static void C_ccall f_18495(C_word c,C_word *av) C_noret;
C_noret_decl(f_18499)
static void C_ccall f_18499(C_word c,C_word *av) C_noret;
C_noret_decl(f_18511)
static void C_ccall f_18511(C_word c,C_word *av) C_noret;
C_noret_decl(f_18517)
static void C_ccall f_18517(C_word c,C_word *av) C_noret;
C_noret_decl(f_18523)
static void C_fcall f_18523(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18555)
static void C_ccall f_18555(C_word c,C_word *av) C_noret;
C_noret_decl(f_18559)
static void C_ccall f_18559(C_word c,C_word *av) C_noret;
C_noret_decl(f_18569)
static void C_ccall f_18569(C_word c,C_word *av) C_noret;
C_noret_decl(f_18584)
static void C_fcall f_18584(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18594)
static void C_ccall f_18594(C_word c,C_word *av) C_noret;
C_noret_decl(f_18614)
static void C_fcall f_18614(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18621)
static void C_ccall f_18621(C_word c,C_word *av) C_noret;
C_noret_decl(f_18630)
static void C_ccall f_18630(C_word c,C_word *av) C_noret;
C_noret_decl(f_18637)
static void C_ccall f_18637(C_word c,C_word *av) C_noret;
C_noret_decl(f_18639)
static void C_ccall f_18639(C_word c,C_word *av) C_noret;
C_noret_decl(f_18645)
static void C_ccall f_18645(C_word c,C_word *av) C_noret;
C_noret_decl(f_18651)
static void C_ccall f_18651(C_word c,C_word *av) C_noret;
C_noret_decl(f_18669)
static void C_fcall f_18669(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18694)
static void C_ccall f_18694(C_word c,C_word *av) C_noret;
C_noret_decl(f_18710)
static void C_fcall f_18710(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18717)
static void C_ccall f_18717(C_word c,C_word *av) C_noret;
C_noret_decl(f_18730)
static void C_ccall f_18730(C_word c,C_word *av) C_noret;
C_noret_decl(f_18734)
static void C_ccall f_18734(C_word c,C_word *av) C_noret;
C_noret_decl(f_18738)
static void C_ccall f_18738(C_word c,C_word *av) C_noret;
C_noret_decl(f_18740)
static void C_ccall f_18740(C_word c,C_word *av) C_noret;
C_noret_decl(f_18746)
static void C_ccall f_18746(C_word c,C_word *av) C_noret;
C_noret_decl(f_18753)
static void C_ccall f_18753(C_word c,C_word *av) C_noret;
C_noret_decl(f_18757)
static void C_ccall f_18757(C_word c,C_word *av) C_noret;
C_noret_decl(f_18766)
static void C_ccall f_18766(C_word c,C_word *av) C_noret;
C_noret_decl(f_18774)
static void C_ccall f_18774(C_word c,C_word *av) C_noret;
C_noret_decl(f_18784)
static void C_ccall f_18784(C_word c,C_word *av) C_noret;
C_noret_decl(f_18790)
static void C_ccall f_18790(C_word c,C_word *av) C_noret;
C_noret_decl(f_18793)
static void C_ccall f_18793(C_word c,C_word *av) C_noret;
C_noret_decl(f_18797)
static void C_ccall f_18797(C_word c,C_word *av) C_noret;
C_noret_decl(f_18824)
static void C_fcall f_18824(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18840)
static void C_ccall f_18840(C_word c,C_word *av) C_noret;
C_noret_decl(f_18846)
static void C_ccall f_18846(C_word c,C_word *av) C_noret;
C_noret_decl(f_18869)
static void C_ccall f_18869(C_word c,C_word *av) C_noret;
C_noret_decl(f_18882)
static void C_ccall f_18882(C_word c,C_word *av) C_noret;
C_noret_decl(f_18888)
static void C_ccall f_18888(C_word c,C_word *av) C_noret;
C_noret_decl(f_18893)
static void C_ccall f_18893(C_word c,C_word *av) C_noret;
C_noret_decl(f_18898)
static void C_ccall f_18898(C_word c,C_word *av) C_noret;
C_noret_decl(f_18902)
static void C_ccall f_18902(C_word c,C_word *av) C_noret;
C_noret_decl(f_18911)
static void C_ccall f_18911(C_word c,C_word *av) C_noret;
C_noret_decl(f_18942)
static void C_ccall f_18942(C_word c,C_word *av) C_noret;
C_noret_decl(f_18946)
static void C_ccall f_18946(C_word c,C_word *av) C_noret;
C_noret_decl(f_18950)
static void C_ccall f_18950(C_word c,C_word *av) C_noret;
C_noret_decl(f_18953)
static void C_ccall f_18953(C_word c,C_word *av) C_noret;
C_noret_decl(f_18956)
static void C_ccall f_18956(C_word c,C_word *av) C_noret;
C_noret_decl(f_18959)
static void C_ccall f_18959(C_word c,C_word *av) C_noret;
C_noret_decl(f_18961)
static void C_ccall f_18961(C_word c,C_word *av) C_noret;
C_noret_decl(f_18972)
static void C_ccall f_18972(C_word c,C_word *av) C_noret;
C_noret_decl(f_18983)
static void C_ccall f_18983(C_word c,C_word *av) C_noret;
C_noret_decl(f_18994)
static void C_ccall f_18994(C_word c,C_word *av) C_noret;
C_noret_decl(f_19005)
static void C_ccall f_19005(C_word c,C_word *av) C_noret;
C_noret_decl(f_19018)
static void C_ccall f_19018(C_word c,C_word *av) C_noret;
C_noret_decl(f_19020)
static C_word C_fcall f_19020(C_word t0,C_word t1);
C_noret_decl(f_19026)
static C_word C_fcall f_19026(C_word t0);
C_noret_decl(f_19031)
static C_word C_fcall f_19031(C_word t0);
C_noret_decl(f_19066)
static void C_ccall f_19066(C_word c,C_word *av) C_noret;
C_noret_decl(f_19079)
static void C_ccall f_19079(C_word c,C_word *av) C_noret;
C_noret_decl(f_19081)
static C_word C_fcall f_19081(C_word t0,C_word t1);
C_noret_decl(f_19087)
static C_word C_fcall f_19087(C_word t0);
C_noret_decl(f_19092)
static C_word C_fcall f_19092(C_word t0);
C_noret_decl(f_19127)
static void C_ccall f_19127(C_word c,C_word *av) C_noret;
C_noret_decl(f_19140)
static void C_ccall f_19140(C_word c,C_word *av) C_noret;
C_noret_decl(f_19142)
static C_word C_fcall f_19142(C_word t0,C_word t1);
C_noret_decl(f_19148)
static C_word C_fcall f_19148(C_word t0);
C_noret_decl(f_19153)
static C_word C_fcall f_19153(C_word t0);
C_noret_decl(f_19188)
static void C_ccall f_19188(C_word c,C_word *av) C_noret;
C_noret_decl(f_19200)
static void C_ccall f_19200(C_word c,C_word *av) C_noret;
C_noret_decl(f_19202)
static void C_ccall f_19202(C_word c,C_word *av) C_noret;
C_noret_decl(f_19208)
static void C_ccall f_19208(C_word c,C_word *av) C_noret;
C_noret_decl(f_19214)
static void C_fcall f_19214(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19224)
static void C_ccall f_19224(C_word c,C_word *av) C_noret;
C_noret_decl(f_19227)
static void C_ccall f_19227(C_word c,C_word *av) C_noret;
C_noret_decl(f_19230)
static void C_ccall f_19230(C_word c,C_word *av) C_noret;
C_noret_decl(f_19233)
static void C_ccall f_19233(C_word c,C_word *av) C_noret;
C_noret_decl(f_19236)
static void C_ccall f_19236(C_word c,C_word *av) C_noret;
C_noret_decl(f_19243)
static void C_ccall f_19243(C_word c,C_word *av) C_noret;
C_noret_decl(f_19247)
static void C_ccall f_19247(C_word c,C_word *av) C_noret;
C_noret_decl(f_19251)
static void C_ccall f_19251(C_word c,C_word *av) C_noret;
C_noret_decl(f_19257)
static void C_fcall f_19257(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19270)
static void C_ccall f_19270(C_word c,C_word *av) C_noret;
C_noret_decl(f_19312)
static void C_fcall f_19312(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19316)
static void C_ccall f_19316(C_word c,C_word *av) C_noret;
C_noret_decl(f_19349)
static void C_ccall f_19349(C_word c,C_word *av) C_noret;
C_noret_decl(f_19355)
static void C_ccall f_19355(C_word c,C_word *av) C_noret;
C_noret_decl(f_19361)
static void C_ccall f_19361(C_word c,C_word *av) C_noret;
C_noret_decl(f_19367)
static void C_ccall f_19367(C_word c,C_word *av) C_noret;
C_noret_decl(f_19373)
static void C_ccall f_19373(C_word c,C_word *av) C_noret;
C_noret_decl(f_19377)
static void C_ccall f_19377(C_word c,C_word *av) C_noret;
C_noret_decl(f_19382)
static void C_ccall f_19382(C_word c,C_word *av) C_noret;
C_noret_decl(f_19388)
static void C_ccall f_19388(C_word c,C_word *av) C_noret;
C_noret_decl(f_19392)
static void C_ccall f_19392(C_word c,C_word *av) C_noret;
C_noret_decl(f_19397)
static void C_ccall f_19397(C_word c,C_word *av) C_noret;
C_noret_decl(f_19401)
static void C_ccall f_19401(C_word c,C_word *av) C_noret;
C_noret_decl(f_19406)
static void C_ccall f_19406(C_word c,C_word *av) C_noret;
C_noret_decl(f_19412)
static void C_ccall f_19412(C_word c,C_word *av) C_noret;
C_noret_decl(f_19416)
static void C_ccall f_19416(C_word c,C_word *av) C_noret;
C_noret_decl(f_19421)
static void C_ccall f_19421(C_word c,C_word *av) C_noret;
C_noret_decl(f_19425)
static void C_ccall f_19425(C_word c,C_word *av) C_noret;
C_noret_decl(f_19430)
static void C_ccall f_19430(C_word c,C_word *av) C_noret;
C_noret_decl(f_19435)
static void C_ccall f_19435(C_word c,C_word *av) C_noret;
C_noret_decl(f_19441)
static void C_ccall f_19441(C_word c,C_word *av) C_noret;
C_noret_decl(f_19445)
static void C_ccall f_19445(C_word c,C_word *av) C_noret;
C_noret_decl(f_19450)
static void C_ccall f_19450(C_word c,C_word *av) C_noret;
C_noret_decl(f_19455)
static void C_ccall f_19455(C_word c,C_word *av) C_noret;
C_noret_decl(f_19459)
static void C_ccall f_19459(C_word c,C_word *av) C_noret;
C_noret_decl(f_19464)
static void C_ccall f_19464(C_word c,C_word *av) C_noret;
C_noret_decl(f_19469)
static void C_ccall f_19469(C_word c,C_word *av) C_noret;
C_noret_decl(f_19475)
static void C_ccall f_19475(C_word c,C_word *av) C_noret;
C_noret_decl(f_19479)
static void C_ccall f_19479(C_word c,C_word *av) C_noret;
C_noret_decl(f_19484)
static void C_ccall f_19484(C_word c,C_word *av) C_noret;
C_noret_decl(f_19489)
static void C_ccall f_19489(C_word c,C_word *av) C_noret;
C_noret_decl(f_19494)
static void C_ccall f_19494(C_word c,C_word *av) C_noret;
C_noret_decl(f_19515)
static void C_ccall f_19515(C_word c,C_word *av) C_noret;
C_noret_decl(f_19522)
static void C_ccall f_19522(C_word c,C_word *av) C_noret;
C_noret_decl(f_19528)
static void C_ccall f_19528(C_word c,C_word *av) C_noret;
C_noret_decl(f_19546)
static void C_ccall f_19546(C_word c,C_word *av) C_noret;
C_noret_decl(f_19555)
static void C_ccall f_19555(C_word c,C_word *av) C_noret;
C_noret_decl(f_19568)
static void C_fcall f_19568(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19576)
static void C_ccall f_19576(C_word c,C_word *av) C_noret;
C_noret_decl(f_19581)
static void C_fcall f_19581(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19618)
static void C_ccall f_19618(C_word c,C_word *av) C_noret;
C_noret_decl(f_19630)
static void C_ccall f_19630(C_word c,C_word *av) C_noret;
C_noret_decl(f_19640)
static void C_fcall f_19640(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19656)
static void C_ccall f_19656(C_word c,C_word *av) C_noret;
C_noret_decl(f_19669)
static void C_ccall f_19669(C_word c,C_word *av) C_noret;
C_noret_decl(f_19676)
static void C_ccall f_19676(C_word c,C_word *av) C_noret;
C_noret_decl(f_19678)
static void C_ccall f_19678(C_word c,C_word *av) C_noret;
C_noret_decl(f_19691)
static void C_ccall f_19691(C_word c,C_word *av) C_noret;
C_noret_decl(f_19697)
static void C_ccall f_19697(C_word c,C_word *av) C_noret;
C_noret_decl(f_19704)
static void C_ccall f_19704(C_word c,C_word *av) C_noret;
C_noret_decl(f_19706)
static void C_ccall f_19706(C_word c,C_word *av) C_noret;
C_noret_decl(f_19710)
static void C_ccall f_19710(C_word c,C_word *av) C_noret;
C_noret_decl(f_19713)
static void C_ccall f_19713(C_word c,C_word *av) C_noret;
C_noret_decl(f_19723)
static void C_ccall f_19723(C_word c,C_word *av) C_noret;
C_noret_decl(f_19727)
static void C_ccall f_19727(C_word c,C_word *av) C_noret;
C_noret_decl(f_19735)
static void C_ccall f_19735(C_word c,C_word *av) C_noret;
C_noret_decl(f_19738)
static void C_ccall f_19738(C_word c,C_word *av) C_noret;
C_noret_decl(f_19745)
static void C_ccall f_19745(C_word c,C_word *av) C_noret;
C_noret_decl(f_19748)
static void C_ccall f_19748(C_word c,C_word *av) C_noret;
C_noret_decl(f_19751)
static void C_ccall f_19751(C_word c,C_word *av) C_noret;
C_noret_decl(f_19754)
static void C_ccall f_19754(C_word c,C_word *av) C_noret;
C_noret_decl(f_19762)
static void C_ccall f_19762(C_word c,C_word *av) C_noret;
C_noret_decl(f_19770)
static void C_ccall f_19770(C_word c,C_word *av) C_noret;
C_noret_decl(f_19772)
static void C_ccall f_19772(C_word c,C_word *av) C_noret;
C_noret_decl(f_19788)
static void C_ccall f_19788(C_word c,C_word *av) C_noret;
C_noret_decl(f_19815)
static void C_ccall f_19815(C_word c,C_word *av) C_noret;
C_noret_decl(f_19819)
static void C_ccall f_19819(C_word c,C_word *av) C_noret;
C_noret_decl(f_19823)
static void C_ccall f_19823(C_word c,C_word *av) C_noret;
C_noret_decl(f_19827)
static void C_ccall f_19827(C_word c,C_word *av) C_noret;
C_noret_decl(f_19831)
static void C_ccall f_19831(C_word c,C_word *av) C_noret;
C_noret_decl(f_19835)
static void C_ccall f_19835(C_word c,C_word *av) C_noret;
C_noret_decl(f_19839)
static void C_ccall f_19839(C_word c,C_word *av) C_noret;
C_noret_decl(f_19843)
static void C_ccall f_19843(C_word c,C_word *av) C_noret;
C_noret_decl(f_19847)
static void C_ccall f_19847(C_word c,C_word *av) C_noret;
C_noret_decl(f_19851)
static void C_ccall f_19851(C_word c,C_word *av) C_noret;
C_noret_decl(f_19855)
static void C_ccall f_19855(C_word c,C_word *av) C_noret;
C_noret_decl(f_19859)
static void C_ccall f_19859(C_word c,C_word *av) C_noret;
C_noret_decl(f_19863)
static void C_ccall f_19863(C_word c,C_word *av) C_noret;
C_noret_decl(f_19867)
static void C_ccall f_19867(C_word c,C_word *av) C_noret;
C_noret_decl(f_19871)
static void C_ccall f_19871(C_word c,C_word *av) C_noret;
C_noret_decl(f_19875)
static void C_ccall f_19875(C_word c,C_word *av) C_noret;
C_noret_decl(f_19879)
static void C_ccall f_19879(C_word c,C_word *av) C_noret;
C_noret_decl(f_19886)
static void C_ccall f_19886(C_word c,C_word *av) C_noret;
C_noret_decl(f_19893)
static void C_ccall f_19893(C_word c,C_word *av) C_noret;
C_noret_decl(f_19894)
static void C_fcall f_19894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19898)
static void C_fcall f_19898(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19901)
static void C_ccall f_19901(C_word c,C_word *av) C_noret;
C_noret_decl(f_19917)
static void C_ccall f_19917(C_word c,C_word *av) C_noret;
C_noret_decl(f_19928)
static void C_fcall f_19928(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19936)
static void C_ccall f_19936(C_word c,C_word *av) C_noret;
C_noret_decl(f_19948)
static void C_fcall f_19948(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19957)
static void C_fcall f_19957(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19962)
static void C_fcall f_19962(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20018)
static void C_ccall f_20018(C_word c,C_word *av) C_noret;
C_noret_decl(f_20032)
static void C_ccall f_20032(C_word c,C_word *av) C_noret;
C_noret_decl(f_20044)
static void C_ccall f_20044(C_word c,C_word *av) C_noret;
C_noret_decl(f_20050)
static void C_ccall f_20050(C_word c,C_word *av) C_noret;
C_noret_decl(f_20075)
static void C_ccall f_20075(C_word c,C_word *av) C_noret;
C_noret_decl(f_20093)
static void C_ccall f_20093(C_word c,C_word *av) C_noret;
C_noret_decl(f_20097)
static void C_ccall f_20097(C_word c,C_word *av) C_noret;
C_noret_decl(f_20153)
static void C_ccall f_20153(C_word c,C_word *av) C_noret;
C_noret_decl(f_20162)
static void C_ccall f_20162(C_word c,C_word *av) C_noret;
C_noret_decl(f_20175)
static void C_ccall f_20175(C_word c,C_word *av) C_noret;
C_noret_decl(f_20187)
static void C_ccall f_20187(C_word c,C_word *av) C_noret;
C_noret_decl(f_20205)
static void C_ccall f_20205(C_word c,C_word *av) C_noret;
C_noret_decl(f_20225)
static void C_ccall f_20225(C_word c,C_word *av) C_noret;
C_noret_decl(f_20228)
static void C_ccall f_20228(C_word c,C_word *av) C_noret;
C_noret_decl(f_20231)
static void C_ccall f_20231(C_word c,C_word *av) C_noret;
C_noret_decl(f_20239)
static void C_ccall f_20239(C_word c,C_word *av) C_noret;
C_noret_decl(f_20243)
static void C_ccall f_20243(C_word c,C_word *av) C_noret;
C_noret_decl(f_20247)
static void C_ccall f_20247(C_word c,C_word *av) C_noret;
C_noret_decl(f_20251)
static void C_ccall f_20251(C_word c,C_word *av) C_noret;
C_noret_decl(f_20255)
static void C_ccall f_20255(C_word c,C_word *av) C_noret;
C_noret_decl(f_20257)
static void C_ccall f_20257(C_word c,C_word *av) C_noret;
C_noret_decl(f_20265)
static void C_ccall f_20265(C_word c,C_word *av) C_noret;
C_noret_decl(f_20268)
static void C_ccall f_20268(C_word c,C_word *av) C_noret;
C_noret_decl(f_20278)
static void C_ccall f_20278(C_word c,C_word *av) C_noret;
C_noret_decl(f_20280)
static void C_ccall f_20280(C_word c,C_word *av) C_noret;
C_noret_decl(f_20288)
static void C_ccall f_20288(C_word c,C_word *av) C_noret;
C_noret_decl(f_20291)
static void C_ccall f_20291(C_word c,C_word *av) C_noret;
C_noret_decl(f_20301)
static void C_ccall f_20301(C_word c,C_word *av) C_noret;
C_noret_decl(f_20303)
static void C_ccall f_20303(C_word c,C_word *av) C_noret;
C_noret_decl(f_20307)
static void C_ccall f_20307(C_word c,C_word *av) C_noret;
C_noret_decl(f_20310)
static void C_ccall f_20310(C_word c,C_word *av) C_noret;
C_noret_decl(f_20313)
static void C_ccall f_20313(C_word c,C_word *av) C_noret;
C_noret_decl(f_20316)
static void C_ccall f_20316(C_word c,C_word *av) C_noret;
C_noret_decl(f_20319)
static void C_ccall f_20319(C_word c,C_word *av) C_noret;
C_noret_decl(f_20321)
static void C_ccall f_20321(C_word c,C_word *av) C_noret;
C_noret_decl(f_20327)
static void C_fcall f_20327(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20336)
static void C_fcall f_20336(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20344)
static void C_ccall f_20344(C_word c,C_word *av) C_noret;
C_noret_decl(f_20346)
static void C_fcall f_20346(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20360)
static void C_ccall f_20360(C_word c,C_word *av) C_noret;
C_noret_decl(f_20373)
static void C_fcall f_20373(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20377)
static void C_ccall f_20377(C_word c,C_word *av) C_noret;
C_noret_decl(f_20382)
static void C_fcall f_20382(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20386)
static void C_ccall f_20386(C_word c,C_word *av) C_noret;
C_noret_decl(f_20397)
static void C_fcall f_20397(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20400)
static void C_fcall f_20400(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20408)
static void C_ccall f_20408(C_word c,C_word *av) C_noret;
C_noret_decl(f_20410)
static void C_fcall f_20410(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20423)
static void C_ccall f_20423(C_word c,C_word *av) C_noret;
C_noret_decl(f_20430)
static void C_ccall f_20430(C_word c,C_word *av) C_noret;
C_noret_decl(f_20439)
static void C_ccall f_20439(C_word c,C_word *av) C_noret;
C_noret_decl(f_20446)
static void C_ccall f_20446(C_word c,C_word *av) C_noret;
C_noret_decl(f_20448)
static void C_fcall f_20448(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20454)
static void C_fcall f_20454(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20464)
static void C_ccall f_20464(C_word c,C_word *av) C_noret;
C_noret_decl(f_20467)
static void C_ccall f_20467(C_word c,C_word *av) C_noret;
C_noret_decl(f_20477)
static void C_ccall f_20477(C_word c,C_word *av) C_noret;
C_noret_decl(f_20480)
static void C_ccall f_20480(C_word c,C_word *av) C_noret;
C_noret_decl(f_20508)
static void C_fcall f_20508(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20512)
static void C_ccall f_20512(C_word c,C_word *av) C_noret;
C_noret_decl(f_20520)
static void C_fcall f_20520(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20545)
static void C_fcall f_20545(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20553)
static void C_ccall f_20553(C_word c,C_word *av) C_noret;
C_noret_decl(f_20555)
static void C_fcall f_20555(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20572)
static void C_ccall f_20572(C_word c,C_word *av) C_noret;
C_noret_decl(f_20585)
static void C_ccall f_20585(C_word c,C_word *av) C_noret;
C_noret_decl(f_20602)
static void C_ccall f_20602(C_word c,C_word *av) C_noret;
C_noret_decl(f_20619)
static void C_ccall f_20619(C_word c,C_word *av) C_noret;
C_noret_decl(f_20636)
static void C_ccall f_20636(C_word c,C_word *av) C_noret;
C_noret_decl(f_20653)
static void C_ccall f_20653(C_word c,C_word *av) C_noret;
C_noret_decl(f_20670)
static void C_ccall f_20670(C_word c,C_word *av) C_noret;
C_noret_decl(f_20687)
static void C_ccall f_20687(C_word c,C_word *av) C_noret;
C_noret_decl(f_20707)
static void C_ccall f_20707(C_word c,C_word *av) C_noret;
C_noret_decl(f_20715)
static void C_ccall f_20715(C_word c,C_word *av) C_noret;
C_noret_decl(f_20724)
static void C_ccall f_20724(C_word c,C_word *av) C_noret;
C_noret_decl(f_20730)
static void C_ccall f_20730(C_word c,C_word *av) C_noret;
C_noret_decl(f_20736)
static void C_fcall f_20736(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20739)
static void C_ccall f_20739(C_word c,C_word *av) C_noret;
C_noret_decl(f_20742)
static void C_ccall f_20742(C_word c,C_word *av) C_noret;
C_noret_decl(f_20752)
static void C_ccall f_20752(C_word c,C_word *av) C_noret;
C_noret_decl(f_20756)
static void C_ccall f_20756(C_word c,C_word *av) C_noret;
C_noret_decl(f_20773)
static void C_ccall f_20773(C_word c,C_word *av) C_noret;
C_noret_decl(f_20778)
static void C_ccall f_20778(C_word c,C_word *av) C_noret;
C_noret_decl(f_20785)
static void C_ccall f_20785(C_word c,C_word *av) C_noret;
C_noret_decl(f_20789)
static void C_ccall f_20789(C_word c,C_word *av) C_noret;
C_noret_decl(f_20798)
static void C_ccall f_20798(C_word c,C_word *av) C_noret;
C_noret_decl(f_20804)
static void C_ccall f_20804(C_word c,C_word *av) C_noret;
C_noret_decl(f_20814)
static void C_ccall f_20814(C_word c,C_word *av) C_noret;
C_noret_decl(f_20818)
static void C_ccall f_20818(C_word c,C_word *av) C_noret;
C_noret_decl(f_20827)
static void C_fcall f_20827(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20834)
static void C_ccall f_20834(C_word c,C_word *av) C_noret;
C_noret_decl(f_20847)
static void C_fcall f_20847(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20852)
static void C_fcall f_20852(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20869)
static void C_ccall f_20869(C_word c,C_word *av) C_noret;
C_noret_decl(f_20884)
static void C_ccall f_20884(C_word c,C_word *av) C_noret;
C_noret_decl(f_20897)
static void C_ccall f_20897(C_word c,C_word *av) C_noret;
C_noret_decl(f_20919)
static void C_ccall f_20919(C_word c,C_word *av) C_noret;
C_noret_decl(f_20922)
static void C_ccall f_20922(C_word c,C_word *av) C_noret;
C_noret_decl(f_20951)
static void C_fcall f_20951(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20961)
static void C_ccall f_20961(C_word c,C_word *av) C_noret;
C_noret_decl(f_20977)
static void C_ccall f_20977(C_word c,C_word *av) C_noret;
C_noret_decl(f_20988)
static void C_ccall f_20988(C_word c,C_word *av) C_noret;
C_noret_decl(f_20995)
static void C_ccall f_20995(C_word c,C_word *av) C_noret;
C_noret_decl(f_21093)
static void C_ccall f_21093(C_word c,C_word *av) C_noret;
C_noret_decl(f_21099)
static void C_fcall f_21099(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21108)
static void C_fcall f_21108(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21122)
static void C_ccall f_21122(C_word c,C_word *av) C_noret;
C_noret_decl(f_21125)
static void C_ccall f_21125(C_word c,C_word *av) C_noret;
C_noret_decl(f_21136)
static void C_ccall f_21136(C_word c,C_word *av) C_noret;
C_noret_decl(f_21138)
static void C_ccall f_21138(C_word c,C_word *av) C_noret;
C_noret_decl(f_21141)
static void C_ccall f_21141(C_word c,C_word *av) C_noret;
C_noret_decl(f_21158)
static void C_ccall f_21158(C_word c,C_word *av) C_noret;
C_noret_decl(f_21163)
static void C_fcall f_21163(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21167)
static void C_ccall f_21167(C_word c,C_word *av) C_noret;
C_noret_decl(f_21170)
static void C_fcall f_21170(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21173)
static void C_ccall f_21173(C_word c,C_word *av) C_noret;
C_noret_decl(f_21183)
static void C_ccall f_21183(C_word c,C_word *av) C_noret;
C_noret_decl(f_21201)
static void C_ccall f_21201(C_word c,C_word *av) C_noret;
C_noret_decl(f_21204)
static void C_ccall f_21204(C_word c,C_word *av) C_noret;
C_noret_decl(f_21213)
static void C_fcall f_21213(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21216)
static void C_ccall f_21216(C_word c,C_word *av) C_noret;
C_noret_decl(f_21219)
static void C_ccall f_21219(C_word c,C_word *av) C_noret;
C_noret_decl(f_21225)
static void C_ccall f_21225(C_word c,C_word *av) C_noret;
C_noret_decl(f_21238)
static void C_ccall f_21238(C_word c,C_word *av) C_noret;
C_noret_decl(f_21242)
static void C_ccall f_21242(C_word c,C_word *av) C_noret;
C_noret_decl(f_21246)
static void C_ccall f_21246(C_word c,C_word *av) C_noret;
C_noret_decl(f_21257)
static void C_ccall f_21257(C_word c,C_word *av) C_noret;
C_noret_decl(f_21261)
static void C_ccall f_21261(C_word c,C_word *av) C_noret;
C_noret_decl(f_21264)
static void C_ccall f_21264(C_word c,C_word *av) C_noret;
C_noret_decl(f_21292)
static void C_ccall f_21292(C_word c,C_word *av) C_noret;
C_noret_decl(f_21348)
static void C_ccall f_21348(C_word c,C_word *av) C_noret;
C_noret_decl(f_21352)
static void C_ccall f_21352(C_word c,C_word *av) C_noret;
C_noret_decl(f_21359)
static void C_ccall f_21359(C_word c,C_word *av) C_noret;
C_noret_decl(f_21361)
static void C_fcall f_21361(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21365)
static void C_ccall f_21365(C_word c,C_word *av) C_noret;
C_noret_decl(f_21379)
static void C_fcall f_21379(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21385)
static void C_ccall f_21385(C_word c,C_word *av) C_noret;
C_noret_decl(f_21392)
static void C_ccall f_21392(C_word c,C_word *av) C_noret;
C_noret_decl(f_21399)
static void C_ccall f_21399(C_word c,C_word *av) C_noret;
C_noret_decl(f_21420)
static void C_ccall f_21420(C_word c,C_word *av) C_noret;
C_noret_decl(f_21449)
static void C_fcall f_21449(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21459)
static void C_ccall f_21459(C_word c,C_word *av) C_noret;
C_noret_decl(f_21462)
static void C_ccall f_21462(C_word c,C_word *av) C_noret;
C_noret_decl(f_21498)
static void C_ccall f_21498(C_word c,C_word *av) C_noret;
C_noret_decl(f_21500)
static void C_fcall f_21500(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21510)
static void C_ccall f_21510(C_word c,C_word *av) C_noret;
C_noret_decl(f_21513)
static void C_ccall f_21513(C_word c,C_word *av) C_noret;
C_noret_decl(f_21565)
static void C_ccall f_21565(C_word c,C_word *av) C_noret;
C_noret_decl(f_21567)
static void C_fcall f_21567(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21575)
static void C_ccall f_21575(C_word c,C_word *av) C_noret;
C_noret_decl(f_21577)
static void C_fcall f_21577(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21587)
static void C_fcall f_21587(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21602)
static void C_ccall f_21602(C_word c,C_word *av) C_noret;
C_noret_decl(f_21609)
static void C_ccall f_21609(C_word c,C_word *av) C_noret;
C_noret_decl(f_21631)
static void C_fcall f_21631(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21639)
static void C_ccall f_21639(C_word c,C_word *av) C_noret;
C_noret_decl(f_21641)
static void C_fcall f_21641(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21657)
static void C_ccall f_21657(C_word c,C_word *av) C_noret;
C_noret_decl(f_21664)
static void C_ccall f_21664(C_word c,C_word *av) C_noret;
C_noret_decl(f_21677)
static void C_fcall f_21677(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21683)
static void C_ccall f_21683(C_word c,C_word *av) C_noret;
C_noret_decl(f_21687)
static void C_ccall f_21687(C_word c,C_word *av) C_noret;
C_noret_decl(f_21694)
static void C_ccall f_21694(C_word c,C_word *av) C_noret;
C_noret_decl(f_21702)
static void C_fcall f_21702(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21708)
static void C_fcall f_21708(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_21712)
static void C_ccall f_21712(C_word c,C_word *av) C_noret;
C_noret_decl(f_21721)
static void C_fcall f_21721(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21727)
static void C_fcall f_21727(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21734)
static void C_ccall f_21734(C_word c,C_word *av) C_noret;
C_noret_decl(f_21745)
static void C_ccall f_21745(C_word c,C_word *av) C_noret;
C_noret_decl(f_21791)
static void C_ccall f_21791(C_word c,C_word *av) C_noret;
C_noret_decl(f_21800)
static void C_ccall f_21800(C_word c,C_word *av) C_noret;
C_noret_decl(f_21807)
static void C_ccall f_21807(C_word c,C_word *av) C_noret;
C_noret_decl(f_21811)
static void C_ccall f_21811(C_word c,C_word *av) C_noret;
C_noret_decl(f_21815)
static void C_ccall f_21815(C_word c,C_word *av) C_noret;
C_noret_decl(f_21824)
static void C_ccall f_21824(C_word c,C_word *av) C_noret;
C_noret_decl(f_21835)
static void C_ccall f_21835(C_word c,C_word *av) C_noret;
C_noret_decl(f_21847)
static void C_fcall f_21847(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21878)
static void C_ccall f_21878(C_word c,C_word *av) C_noret;
C_noret_decl(f_21927)
static void C_fcall f_21927(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21931)
static void C_ccall f_21931(C_word c,C_word *av) C_noret;
C_noret_decl(f_21934)
static void C_ccall f_21934(C_word c,C_word *av) C_noret;
C_noret_decl(f_21946)
static void C_ccall f_21946(C_word c,C_word *av) C_noret;
C_noret_decl(f_21966)
static void C_fcall f_21966(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21972)
static void C_ccall f_21972(C_word c,C_word *av) C_noret;
C_noret_decl(f_21982)
static void C_ccall f_21982(C_word c,C_word *av) C_noret;
C_noret_decl(f_22111)
static void C_fcall f_22111(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22118)
static void C_ccall f_22118(C_word c,C_word *av) C_noret;
C_noret_decl(f_22136)
static void C_fcall f_22136(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22142)
static void C_fcall f_22142(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22146)
static void C_ccall f_22146(C_word c,C_word *av) C_noret;
C_noret_decl(f_22182)
static void C_ccall f_22182(C_word c,C_word *av) C_noret;
C_noret_decl(f_22205)
static void C_ccall f_22205(C_word c,C_word *av) C_noret;
C_noret_decl(f_22223)
static void C_fcall f_22223(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22227)
static void C_ccall f_22227(C_word c,C_word *av) C_noret;
C_noret_decl(f_22234)
static void C_ccall f_22234(C_word c,C_word *av) C_noret;
C_noret_decl(f_22236)
static void C_fcall f_22236(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22240)
static void C_ccall f_22240(C_word c,C_word *av) C_noret;
C_noret_decl(f_22251)
static void C_ccall f_22251(C_word c,C_word *av) C_noret;
C_noret_decl(f_22267)
static void C_ccall f_22267(C_word c,C_word *av) C_noret;
C_noret_decl(f_22270)
static void C_ccall f_22270(C_word c,C_word *av) C_noret;
C_noret_decl(f_22273)
static void C_ccall f_22273(C_word c,C_word *av) C_noret;
C_noret_decl(f_22287)
static void C_ccall f_22287(C_word c,C_word *av) C_noret;
C_noret_decl(f_22293)
static void C_ccall f_22293(C_word c,C_word *av) C_noret;
C_noret_decl(f_22315)
static void C_ccall f_22315(C_word c,C_word *av) C_noret;
C_noret_decl(f_22327)
static void C_ccall f_22327(C_word c,C_word *av) C_noret;
C_noret_decl(f_22339)
static void C_ccall f_22339(C_word c,C_word *av) C_noret;
C_noret_decl(f_22348)
static void C_ccall f_22348(C_word c,C_word *av) C_noret;
C_noret_decl(f_22358)
static void C_ccall f_22358(C_word c,C_word *av) C_noret;
C_noret_decl(f_22367)
static void C_ccall f_22367(C_word c,C_word *av) C_noret;
C_noret_decl(f_22370)
static void C_ccall f_22370(C_word c,C_word *av) C_noret;
C_noret_decl(f_22388)
static void C_ccall f_22388(C_word c,C_word *av) C_noret;
C_noret_decl(f_22391)
static void C_ccall f_22391(C_word c,C_word *av) C_noret;
C_noret_decl(f_22414)
static void C_ccall f_22414(C_word c,C_word *av) C_noret;
C_noret_decl(f_22420)
static void C_ccall f_22420(C_word c,C_word *av) C_noret;
C_noret_decl(f_22448)
static void C_ccall f_22448(C_word c,C_word *av) C_noret;
C_noret_decl(f_22471)
static void C_ccall f_22471(C_word c,C_word *av) C_noret;
C_noret_decl(f_22485)
static void C_ccall f_22485(C_word c,C_word *av) C_noret;
C_noret_decl(f_22491)
static void C_ccall f_22491(C_word c,C_word *av) C_noret;
C_noret_decl(f_22516)
static void C_ccall f_22516(C_word c,C_word *av) C_noret;
C_noret_decl(f_22528)
static void C_ccall f_22528(C_word c,C_word *av) C_noret;
C_noret_decl(f_22540)
static void C_ccall f_22540(C_word c,C_word *av) C_noret;
C_noret_decl(f_22552)
static void C_ccall f_22552(C_word c,C_word *av) C_noret;
C_noret_decl(f_22564)
static void C_ccall f_22564(C_word c,C_word *av) C_noret;
C_noret_decl(f_22576)
static void C_ccall f_22576(C_word c,C_word *av) C_noret;
C_noret_decl(f_22588)
static void C_ccall f_22588(C_word c,C_word *av) C_noret;
C_noret_decl(f_22591)
static void C_ccall f_22591(C_word c,C_word *av) C_noret;
C_noret_decl(f_22594)
static void C_ccall f_22594(C_word c,C_word *av) C_noret;
C_noret_decl(f_22599)
static void C_ccall f_22599(C_word c,C_word *av) C_noret;
C_noret_decl(f_22604)
static void C_ccall f_22604(C_word c,C_word *av) C_noret;
C_noret_decl(f_22610)
static void C_ccall f_22610(C_word c,C_word *av) C_noret;
C_noret_decl(f_22652)
static void C_ccall f_22652(C_word c,C_word *av) C_noret;
C_noret_decl(f_22664)
static void C_ccall f_22664(C_word c,C_word *av) C_noret;
C_noret_decl(f_22667)
static void C_ccall f_22667(C_word c,C_word *av) C_noret;
C_noret_decl(f_22679)
static void C_ccall f_22679(C_word c,C_word *av) C_noret;
C_noret_decl(f_22691)
static void C_ccall f_22691(C_word c,C_word *av) C_noret;
C_noret_decl(f_22694)
static void C_ccall f_22694(C_word c,C_word *av) C_noret;
C_noret_decl(f_22706)
static void C_ccall f_22706(C_word c,C_word *av) C_noret;
C_noret_decl(f_22718)
static void C_ccall f_22718(C_word c,C_word *av) C_noret;
C_noret_decl(f_22721)
static void C_ccall f_22721(C_word c,C_word *av) C_noret;
C_noret_decl(f_22730)
static void C_ccall f_22730(C_word c,C_word *av) C_noret;
C_noret_decl(f_22745)
static void C_ccall f_22745(C_word c,C_word *av) C_noret;
C_noret_decl(f_22748)
static void C_ccall f_22748(C_word c,C_word *av) C_noret;
C_noret_decl(f_22753)
static void C_ccall f_22753(C_word c,C_word *av) C_noret;
C_noret_decl(f_22758)
static void C_ccall f_22758(C_word c,C_word *av) C_noret;
C_noret_decl(f_22764)
static void C_ccall f_22764(C_word c,C_word *av) C_noret;
C_noret_decl(f_22793)
static void C_ccall f_22793(C_word c,C_word *av) C_noret;
C_noret_decl(f_22805)
static void C_ccall f_22805(C_word c,C_word *av) C_noret;
C_noret_decl(f_22808)
static void C_ccall f_22808(C_word c,C_word *av) C_noret;
C_noret_decl(f_22811)
static void C_ccall f_22811(C_word c,C_word *av) C_noret;
C_noret_decl(f_22826)
static void C_ccall f_22826(C_word c,C_word *av) C_noret;
C_noret_decl(f_22835)
static void C_ccall f_22835(C_word c,C_word *av) C_noret;
C_noret_decl(f_22838)
static void C_ccall f_22838(C_word c,C_word *av) C_noret;
C_noret_decl(f_22844)
static void C_fcall f_22844(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22847)
static void C_ccall f_22847(C_word c,C_word *av) C_noret;
C_noret_decl(f_22853)
static void C_ccall f_22853(C_word c,C_word *av) C_noret;
C_noret_decl(f_22872)
static void C_ccall f_22872(C_word c,C_word *av) C_noret;
C_noret_decl(f_22891)
static void C_ccall f_22891(C_word c,C_word *av) C_noret;
C_noret_decl(f_22907)
static void C_ccall f_22907(C_word c,C_word *av) C_noret;
C_noret_decl(f_22913)
static void C_ccall f_22913(C_word c,C_word *av) C_noret;
C_noret_decl(f_22985)
static void C_ccall f_22985(C_word c,C_word *av) C_noret;
C_noret_decl(f_22997)
static void C_ccall f_22997(C_word c,C_word *av) C_noret;
C_noret_decl(f_23075)
static void C_ccall f_23075(C_word c,C_word *av) C_noret;
C_noret_decl(f_23151)
static void C_ccall f_23151(C_word c,C_word *av) C_noret;
C_noret_decl(f_23316)
static void C_ccall f_23316(C_word c,C_word *av) C_noret;
C_noret_decl(f_23328)
static void C_ccall f_23328(C_word c,C_word *av) C_noret;
C_noret_decl(f_23390)
static void C_ccall f_23390(C_word c,C_word *av) C_noret;
C_noret_decl(f_23393)
static void C_fcall f_23393(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23439)
static void C_fcall f_23439(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23443)
static void C_ccall f_23443(C_word c,C_word *av) C_noret;
C_noret_decl(f_23461)
static void C_ccall f_23461(C_word c,C_word *av) C_noret;
C_noret_decl(f_23525)
static void C_ccall f_23525(C_word c,C_word *av) C_noret;
C_noret_decl(f_23536)
static void C_ccall f_23536(C_word c,C_word *av) C_noret;
C_noret_decl(f_23538)
static void C_ccall f_23538(C_word c,C_word *av) C_noret;
C_noret_decl(f_23551)
static void C_ccall f_23551(C_word c,C_word *av) C_noret;
C_noret_decl(f_23563)
static void C_ccall f_23563(C_word c,C_word *av) C_noret;
C_noret_decl(f_23583)
static void C_ccall f_23583(C_word c,C_word *av) C_noret;
C_noret_decl(f_23590)
static void C_ccall f_23590(C_word c,C_word *av) C_noret;
C_noret_decl(f_23599)
static void C_ccall f_23599(C_word c,C_word *av) C_noret;
C_noret_decl(f_23611)
static void C_ccall f_23611(C_word c,C_word *av) C_noret;
C_noret_decl(f_23632)
static void C_ccall f_23632(C_word c,C_word *av) C_noret;
C_noret_decl(f_23647)
static void C_ccall f_23647(C_word c,C_word *av) C_noret;
C_noret_decl(f_23665)
static void C_ccall f_23665(C_word c,C_word *av) C_noret;
C_noret_decl(f_23683)
static void C_ccall f_23683(C_word c,C_word *av) C_noret;
C_noret_decl(f_23702)
static void C_fcall f_23702(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23712)
static void C_ccall f_23712(C_word c,C_word *av) C_noret;
C_noret_decl(f_23726)
static void C_ccall f_23726(C_word c,C_word *av) C_noret;
C_noret_decl(f_23729)
static void C_ccall f_23729(C_word c,C_word *av) C_noret;
C_noret_decl(f_23734)
static void C_ccall f_23734(C_word c,C_word *av) C_noret;
C_noret_decl(f_23753)
static void C_fcall f_23753(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23763)
static void C_ccall f_23763(C_word c,C_word *av) C_noret;
C_noret_decl(f_23777)
static void C_ccall f_23777(C_word c,C_word *av) C_noret;
C_noret_decl(f_23780)
static void C_ccall f_23780(C_word c,C_word *av) C_noret;
C_noret_decl(f_23787)
static void C_ccall f_23787(C_word c,C_word *av) C_noret;
C_noret_decl(f_23791)
static void C_ccall f_23791(C_word c,C_word *av) C_noret;
C_noret_decl(f_23795)
static void C_ccall f_23795(C_word c,C_word *av) C_noret;
C_noret_decl(f_23797)
static void C_ccall f_23797(C_word c,C_word *av) C_noret;
C_noret_decl(f_23804)
static void C_ccall f_23804(C_word c,C_word *av) C_noret;
C_noret_decl(f_23807)
static void C_ccall f_23807(C_word c,C_word *av) C_noret;
C_noret_decl(f_23810)
static void C_ccall f_23810(C_word c,C_word *av) C_noret;
C_noret_decl(f_23812)
static void C_fcall f_23812(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23822)
static void C_ccall f_23822(C_word c,C_word *av) C_noret;
C_noret_decl(f_23828)
static void C_ccall f_23828(C_word c,C_word *av) C_noret;
C_noret_decl(f_23840)
static void C_ccall f_23840(C_word c,C_word *av) C_noret;
C_noret_decl(f_23843)
static void C_ccall f_23843(C_word c,C_word *av) C_noret;
C_noret_decl(f_23846)
static void C_ccall f_23846(C_word c,C_word *av) C_noret;
C_noret_decl(f_23863)
static void C_ccall f_23863(C_word c,C_word *av) C_noret;
C_noret_decl(f_23884)
static void C_fcall f_23884(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23888)
static void C_ccall f_23888(C_word c,C_word *av) C_noret;
C_noret_decl(f_23901)
static void C_ccall f_23901(C_word c,C_word *av) C_noret;
C_noret_decl(f_23904)
static void C_ccall f_23904(C_word c,C_word *av) C_noret;
C_noret_decl(f_23913)
static void C_ccall f_23913(C_word c,C_word *av) C_noret;
C_noret_decl(f_23916)
static void C_ccall f_23916(C_word c,C_word *av) C_noret;
C_noret_decl(f_23944)
static void C_fcall f_23944(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23948)
static void C_ccall f_23948(C_word c,C_word *av) C_noret;
C_noret_decl(f_23957)
static void C_ccall f_23957(C_word c,C_word *av) C_noret;
C_noret_decl(f_23968)
static void C_fcall f_23968(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23975)
static void C_ccall f_23975(C_word c,C_word *av) C_noret;
C_noret_decl(f_23980)
static void C_fcall f_23980(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24002)
static void C_ccall f_24002(C_word c,C_word *av) C_noret;
C_noret_decl(f_24008)
static void C_ccall f_24008(C_word c,C_word *av) C_noret;
C_noret_decl(f_24011)
static void C_ccall f_24011(C_word c,C_word *av) C_noret;
C_noret_decl(f_24022)
static void C_ccall f_24022(C_word c,C_word *av) C_noret;
C_noret_decl(f_24031)
static void C_ccall f_24031(C_word c,C_word *av) C_noret;
C_noret_decl(f_24034)
static void C_ccall f_24034(C_word c,C_word *av) C_noret;
C_noret_decl(f_24057)
static void C_fcall f_24057(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24106)
static void C_fcall f_24106(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24122)
static void C_fcall f_24122(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24129)
static void C_ccall f_24129(C_word c,C_word *av) C_noret;
C_noret_decl(f_24141)
static void C_fcall f_24141(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24246)
static void C_ccall f_24246(C_word c,C_word *av) C_noret;
C_noret_decl(f_24251)
static void C_fcall f_24251(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24300)
static void C_ccall f_24300(C_word c,C_word *av) C_noret;
C_noret_decl(f_24306)
static void C_ccall f_24306(C_word c,C_word *av) C_noret;
C_noret_decl(f_24310)
static void C_fcall f_24310(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24333)
static void C_ccall f_24333(C_word c,C_word *av) C_noret;
C_noret_decl(f_24340)
static void C_ccall f_24340(C_word c,C_word *av) C_noret;
C_noret_decl(f_24359)
static void C_ccall f_24359(C_word c,C_word *av) C_noret;
C_noret_decl(f_24395)
static void C_ccall f_24395(C_word c,C_word *av) C_noret;
C_noret_decl(f_24407)
static void C_ccall f_24407(C_word c,C_word *av) C_noret;
C_noret_decl(f_24413)
static void C_ccall f_24413(C_word c,C_word *av) C_noret;
C_noret_decl(f_24435)
static void C_ccall f_24435(C_word c,C_word *av) C_noret;
C_noret_decl(f_24442)
static void C_ccall f_24442(C_word c,C_word *av) C_noret;
C_noret_decl(f_24452)
static void C_ccall f_24452(C_word c,C_word *av) C_noret;
C_noret_decl(f_24461)
static void C_ccall f_24461(C_word c,C_word *av) C_noret;
C_noret_decl(f_24467)
static void C_fcall f_24467(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24480)
static void C_ccall f_24480(C_word c,C_word *av) C_noret;
C_noret_decl(f_24518)
static void C_ccall f_24518(C_word c,C_word *av) C_noret;
C_noret_decl(f_24584)
static void C_ccall f_24584(C_word c,C_word *av) C_noret;
C_noret_decl(f_24587)
static void C_ccall f_24587(C_word c,C_word *av) C_noret;
C_noret_decl(f_24594)
static void C_ccall f_24594(C_word c,C_word *av) C_noret;
C_noret_decl(f_24634)
static void C_ccall f_24634(C_word c,C_word *av) C_noret;
C_noret_decl(f_24637)
static void C_ccall f_24637(C_word c,C_word *av) C_noret;
C_noret_decl(f_24646)
static void C_fcall f_24646(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24659)
static void C_ccall f_24659(C_word c,C_word *av) C_noret;
C_noret_decl(f_24668)
static void C_ccall f_24668(C_word c,C_word *av) C_noret;
C_noret_decl(f_24678)
static void C_ccall f_24678(C_word c,C_word *av) C_noret;
C_noret_decl(f_24681)
static void C_ccall f_24681(C_word c,C_word *av) C_noret;
C_noret_decl(f_24707)
static void C_ccall f_24707(C_word c,C_word *av) C_noret;
C_noret_decl(f_24713)
static void C_ccall f_24713(C_word c,C_word *av) C_noret;
C_noret_decl(f_24718)
static void C_fcall f_24718(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24731)
static void C_ccall f_24731(C_word c,C_word *av) C_noret;
C_noret_decl(f_24734)
static void C_ccall f_24734(C_word c,C_word *av) C_noret;
C_noret_decl(f_24745)
static void C_ccall f_24745(C_word c,C_word *av) C_noret;
C_noret_decl(f_24767)
static void C_ccall f_24767(C_word c,C_word *av) C_noret;
C_noret_decl(f_24779)
static void C_ccall f_24779(C_word c,C_word *av) C_noret;
C_noret_decl(f_24782)
static void C_ccall f_24782(C_word c,C_word *av) C_noret;
C_noret_decl(f_24789)
static void C_ccall f_24789(C_word c,C_word *av) C_noret;
C_noret_decl(f_24798)
static void C_ccall f_24798(C_word c,C_word *av) C_noret;
C_noret_decl(f_24801)
static void C_ccall f_24801(C_word c,C_word *av) C_noret;
C_noret_decl(f_24845)
static void C_ccall f_24845(C_word c,C_word *av) C_noret;
C_noret_decl(f_24848)
static void C_ccall f_24848(C_word c,C_word *av) C_noret;
C_noret_decl(f_24857)
static void C_fcall f_24857(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24870)
static void C_ccall f_24870(C_word c,C_word *av) C_noret;
C_noret_decl(f_24873)
static void C_ccall f_24873(C_word c,C_word *av) C_noret;
C_noret_decl(f_24898)
static void C_ccall f_24898(C_word c,C_word *av) C_noret;
C_noret_decl(f_24902)
static void C_ccall f_24902(C_word c,C_word *av) C_noret;
C_noret_decl(f_24912)
static void C_ccall f_24912(C_word c,C_word *av) C_noret;
C_noret_decl(f_24915)
static void C_ccall f_24915(C_word c,C_word *av) C_noret;
C_noret_decl(f_24930)
static void C_ccall f_24930(C_word c,C_word *av) C_noret;
C_noret_decl(f_24937)
static void C_ccall f_24937(C_word c,C_word *av) C_noret;
C_noret_decl(f_24959)
static void C_ccall f_24959(C_word c,C_word *av) C_noret;
C_noret_decl(f_24961)
static void C_ccall f_24961(C_word c,C_word *av) C_noret;
C_noret_decl(f_24974)
static void C_ccall f_24974(C_word c,C_word *av) C_noret;
C_noret_decl(f_24979)
static void C_ccall f_24979(C_word c,C_word *av) C_noret;
C_noret_decl(f_24985)
static void C_ccall f_24985(C_word c,C_word *av) C_noret;
C_noret_decl(f_24991)
static void C_ccall f_24991(C_word c,C_word *av) C_noret;
C_noret_decl(f_24995)
static void C_ccall f_24995(C_word c,C_word *av) C_noret;
C_noret_decl(f_24998)
static void C_ccall f_24998(C_word c,C_word *av) C_noret;
C_noret_decl(f_25013)
static void C_ccall f_25013(C_word c,C_word *av) C_noret;
C_noret_decl(f_25016)
static void C_ccall f_25016(C_word c,C_word *av) C_noret;
C_noret_decl(f_25034)
static void C_ccall f_25034(C_word c,C_word *av) C_noret;
C_noret_decl(f_25036)
static void C_ccall f_25036(C_word c,C_word *av) C_noret;
C_noret_decl(f_25042)
static void C_ccall f_25042(C_word c,C_word *av) C_noret;
C_noret_decl(f_25051)
static void C_ccall f_25051(C_word c,C_word *av) C_noret;
C_noret_decl(f_25057)
static void C_ccall f_25057(C_word c,C_word *av) C_noret;
C_noret_decl(f_25064)
static void C_ccall f_25064(C_word c,C_word *av) C_noret;
C_noret_decl(f_25067)
static void C_ccall f_25067(C_word c,C_word *av) C_noret;
C_noret_decl(f_25070)
static void C_ccall f_25070(C_word c,C_word *av) C_noret;
C_noret_decl(f_25079)
static void C_ccall f_25079(C_word c,C_word *av) C_noret;
C_noret_decl(f_25095)
static void C_ccall f_25095(C_word c,C_word *av) C_noret;
C_noret_decl(f_25110)
static void C_ccall f_25110(C_word c,C_word *av) C_noret;
C_noret_decl(f_25112)
static void C_ccall f_25112(C_word c,C_word *av) C_noret;
C_noret_decl(f_25118)
static void C_ccall f_25118(C_word c,C_word *av) C_noret;
C_noret_decl(f_25124)
static void C_ccall f_25124(C_word c,C_word *av) C_noret;
C_noret_decl(f_25128)
static void C_ccall f_25128(C_word c,C_word *av) C_noret;
C_noret_decl(f_25131)
static void C_ccall f_25131(C_word c,C_word *av) C_noret;
C_noret_decl(f_25134)
static void C_ccall f_25134(C_word c,C_word *av) C_noret;
C_noret_decl(f_25138)
static void C_ccall f_25138(C_word c,C_word *av) C_noret;
C_noret_decl(f_25142)
static void C_ccall f_25142(C_word c,C_word *av) C_noret;
C_noret_decl(f_25146)
static void C_ccall f_25146(C_word c,C_word *av) C_noret;
C_noret_decl(f_25149)
static void C_ccall f_25149(C_word c,C_word *av) C_noret;
C_noret_decl(f_25152)
static void C_ccall f_25152(C_word c,C_word *av) C_noret;
C_noret_decl(f_25155)
static void C_ccall f_25155(C_word c,C_word *av) C_noret;
C_noret_decl(f_25167)
static void C_ccall f_25167(C_word c,C_word *av) C_noret;
C_noret_decl(f_25173)
static void C_ccall f_25173(C_word c,C_word *av) C_noret;
C_noret_decl(f_25177)
static void C_ccall f_25177(C_word c,C_word *av) C_noret;
C_noret_decl(f_25180)
static void C_ccall f_25180(C_word c,C_word *av) C_noret;
C_noret_decl(f_25183)
static void C_ccall f_25183(C_word c,C_word *av) C_noret;
C_noret_decl(f_25186)
static void C_ccall f_25186(C_word c,C_word *av) C_noret;
C_noret_decl(f_25189)
static void C_ccall f_25189(C_word c,C_word *av) C_noret;
C_noret_decl(f_25192)
static void C_ccall f_25192(C_word c,C_word *av) C_noret;
C_noret_decl(f_25197)
static void C_ccall f_25197(C_word c,C_word *av) C_noret;
C_noret_decl(f_25219)
static void C_ccall f_25219(C_word c,C_word *av) C_noret;
C_noret_decl(f_25225)
static void C_ccall f_25225(C_word c,C_word *av) C_noret;
C_noret_decl(f_25228)
static void C_ccall f_25228(C_word c,C_word *av) C_noret;
C_noret_decl(f_25253)
static void C_ccall f_25253(C_word c,C_word *av) C_noret;
C_noret_decl(f_25256)
static void C_fcall f_25256(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25263)
static void C_ccall f_25263(C_word c,C_word *av) C_noret;
C_noret_decl(f_25276)
static void C_fcall f_25276(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25286)
static void C_ccall f_25286(C_word c,C_word *av) C_noret;
C_noret_decl(f_25291)
static void C_ccall f_25291(C_word c,C_word *av) C_noret;
C_noret_decl(f_25297)
static void C_ccall f_25297(C_word c,C_word *av) C_noret;
C_noret_decl(f_25324)
static void C_ccall f_25324(C_word c,C_word *av) C_noret;
C_noret_decl(f_25330)
static void C_fcall f_25330(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25341)
static void C_ccall f_25341(C_word c,C_word *av) C_noret;
C_noret_decl(f_25350)
static void C_ccall f_25350(C_word c,C_word *av) C_noret;
C_noret_decl(f_25355)
static void C_ccall f_25355(C_word c,C_word *av) C_noret;
C_noret_decl(f_25361)
static void C_ccall f_25361(C_word c,C_word *av) C_noret;
C_noret_decl(f_25385)
static void C_ccall f_25385(C_word c,C_word *av) C_noret;
C_noret_decl(f_25393)
static void C_ccall f_25393(C_word c,C_word *av) C_noret;
C_noret_decl(f_25410)
static void C_ccall f_25410(C_word c,C_word *av) C_noret;
C_noret_decl(f_25450)
static void C_ccall f_25450(C_word c,C_word *av) C_noret;
C_noret_decl(f_25457)
static void C_ccall f_25457(C_word c,C_word *av) C_noret;
C_noret_decl(f_25469)
static void C_ccall f_25469(C_word c,C_word *av) C_noret;
C_noret_decl(f_25473)
static void C_ccall f_25473(C_word c,C_word *av) C_noret;
C_noret_decl(f_25486)
static void C_ccall f_25486(C_word c,C_word *av) C_noret;
C_noret_decl(f_25488)
static void C_ccall f_25488(C_word c,C_word *av) C_noret;
C_noret_decl(f_25522)
static void C_ccall f_25522(C_word c,C_word *av) C_noret;
C_noret_decl(f_25526)
static void C_ccall f_25526(C_word c,C_word *av) C_noret;
C_noret_decl(f_25527)
static void C_fcall f_25527(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25537)
static void C_ccall f_25537(C_word c,C_word *av) C_noret;
C_noret_decl(f_25542)
static void C_fcall f_25542(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25552)
static void C_ccall f_25552(C_word c,C_word *av) C_noret;
C_noret_decl(f_25565)
static void C_ccall f_25565(C_word c,C_word *av) C_noret;
C_noret_decl(f_25576)
static void C_ccall f_25576(C_word c,C_word *av) C_noret;
C_noret_decl(f_25580)
static void C_ccall f_25580(C_word c,C_word *av) C_noret;
C_noret_decl(f_25584)
static void C_ccall f_25584(C_word c,C_word *av) C_noret;
C_noret_decl(f_25606)
static void C_ccall f_25606(C_word c,C_word *av) C_noret;
C_noret_decl(f_25610)
static void C_ccall f_25610(C_word c,C_word *av) C_noret;
C_noret_decl(f_25618)
static void C_ccall f_25618(C_word c,C_word *av) C_noret;
C_noret_decl(f_25634)
static void C_ccall f_25634(C_word c,C_word *av) C_noret;
C_noret_decl(f_25645)
static void C_fcall f_25645(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25664)
static void C_fcall f_25664(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25675)
static void C_ccall f_25675(C_word c,C_word *av) C_noret;
C_noret_decl(f_25683)
static void C_ccall f_25683(C_word c,C_word *av) C_noret;
C_noret_decl(f_25762)
static void C_ccall f_25762(C_word c,C_word *av) C_noret;
C_noret_decl(f_25772)
static void C_ccall f_25772(C_word c,C_word *av) C_noret;
C_noret_decl(f_25773)
static void C_fcall f_25773(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25786)
static void C_ccall f_25786(C_word c,C_word *av) C_noret;
C_noret_decl(f_25789)
static void C_ccall f_25789(C_word c,C_word *av) C_noret;
C_noret_decl(f_25792)
static void C_ccall f_25792(C_word c,C_word *av) C_noret;
C_noret_decl(f_25795)
static void C_ccall f_25795(C_word c,C_word *av) C_noret;
C_noret_decl(f_25803)
static void C_ccall f_25803(C_word c,C_word *av) C_noret;
C_noret_decl(f_25810)
static void C_fcall f_25810(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25813)
static void C_ccall f_25813(C_word c,C_word *av) C_noret;
C_noret_decl(f_25816)
static void C_ccall f_25816(C_word c,C_word *av) C_noret;
C_noret_decl(f_25839)
static void C_ccall f_25839(C_word c,C_word *av) C_noret;
C_noret_decl(f_25844)
static void C_fcall f_25844(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25854)
static void C_ccall f_25854(C_word c,C_word *av) C_noret;
C_noret_decl(f_25867)
static void C_ccall f_25867(C_word c,C_word *av) C_noret;
C_noret_decl(f_25898)
static void C_ccall f_25898(C_word c,C_word *av) C_noret;
C_noret_decl(f_25908)
static void C_ccall f_25908(C_word c,C_word *av) C_noret;
C_noret_decl(f_25958)
static void C_ccall f_25958(C_word c,C_word *av) C_noret;
C_noret_decl(f_25961)
static void C_ccall f_25961(C_word c,C_word *av) C_noret;
C_noret_decl(f_25980)
static void C_fcall f_25980(C_word t0) C_noret;
C_noret_decl(f_25985)
static void C_ccall f_25985(C_word c,C_word *av) C_noret;
C_noret_decl(f_25991)
static void C_ccall f_25991(C_word c,C_word *av) C_noret;
C_noret_decl(f_25994)
static void C_ccall f_25994(C_word c,C_word *av) C_noret;
C_noret_decl(f_26000)
static void C_ccall f_26000(C_word c,C_word *av) C_noret;
C_noret_decl(f_26008)
static void C_fcall f_26008(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26027)
static void C_ccall f_26027(C_word c,C_word *av) C_noret;
C_noret_decl(f_26032)
static void C_fcall f_26032(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26042)
static void C_ccall f_26042(C_word c,C_word *av) C_noret;
C_noret_decl(f_26056)
static void C_ccall f_26056(C_word c,C_word *av) C_noret;
C_noret_decl(f_26063)
static void C_ccall f_26063(C_word c,C_word *av) C_noret;
C_noret_decl(f_26067)
static void C_ccall f_26067(C_word c,C_word *av) C_noret;
C_noret_decl(f_26071)
static void C_ccall f_26071(C_word c,C_word *av) C_noret;
C_noret_decl(f_26073)
static void C_ccall f_26073(C_word c,C_word *av) C_noret;
C_noret_decl(f_26099)
static void C_ccall f_26099(C_word c,C_word *av) C_noret;
C_noret_decl(f_26102)
static void C_ccall f_26102(C_word c,C_word *av) C_noret;
C_noret_decl(f_26105)
static void C_ccall f_26105(C_word c,C_word *av) C_noret;
C_noret_decl(f_26112)
static void C_ccall f_26112(C_word c,C_word *av) C_noret;
C_noret_decl(f_26116)
static void C_ccall f_26116(C_word c,C_word *av) C_noret;
C_noret_decl(f_26122)
static void C_ccall f_26122(C_word c,C_word *av) C_noret;
C_noret_decl(f_26127)
static void C_fcall f_26127(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26137)
static void C_ccall f_26137(C_word c,C_word *av) C_noret;
C_noret_decl(f_26175)
static void C_fcall f_26175(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26178)
static void C_fcall f_26178(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26198)
static void C_fcall f_26198(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26206)
static void C_ccall f_26206(C_word c,C_word *av) C_noret;
C_noret_decl(f_26340)
static void C_ccall f_26340(C_word c,C_word *av) C_noret;
C_noret_decl(f_26357)
static void C_ccall f_26357(C_word c,C_word *av) C_noret;
C_noret_decl(f_26361)
static void C_ccall f_26361(C_word c,C_word *av) C_noret;
C_noret_decl(f_26374)
static void C_ccall f_26374(C_word c,C_word *av) C_noret;
C_noret_decl(f_26383)
static void C_ccall f_26383(C_word c,C_word *av) C_noret;
C_noret_decl(f_26386)
static void C_ccall f_26386(C_word c,C_word *av) C_noret;
C_noret_decl(f_26390)
static void C_ccall f_26390(C_word c,C_word *av) C_noret;
C_noret_decl(f_26429)
static void C_ccall f_26429(C_word c,C_word *av) C_noret;
C_noret_decl(f_26432)
static void C_ccall f_26432(C_word c,C_word *av) C_noret;
C_noret_decl(f_26439)
static void C_ccall f_26439(C_word c,C_word *av) C_noret;
C_noret_decl(f_26443)
static void C_ccall f_26443(C_word c,C_word *av) C_noret;
C_noret_decl(f_26469)
static void C_ccall f_26469(C_word c,C_word *av) C_noret;
C_noret_decl(f_26500)
static void C_ccall f_26500(C_word c,C_word *av) C_noret;
C_noret_decl(f_26503)
static void C_ccall f_26503(C_word c,C_word *av) C_noret;
C_noret_decl(f_26515)
static void C_ccall f_26515(C_word c,C_word *av) C_noret;
C_noret_decl(f_26518)
static void C_ccall f_26518(C_word c,C_word *av) C_noret;
C_noret_decl(f_26521)
static void C_ccall f_26521(C_word c,C_word *av) C_noret;
C_noret_decl(f_26546)
static void C_ccall f_26546(C_word c,C_word *av) C_noret;
C_noret_decl(f_26552)
static void C_ccall f_26552(C_word c,C_word *av) C_noret;
C_noret_decl(f_26556)
static void C_ccall f_26556(C_word c,C_word *av) C_noret;
C_noret_decl(f_26560)
static void C_ccall f_26560(C_word c,C_word *av) C_noret;
C_noret_decl(f_26573)
static void C_ccall f_26573(C_word c,C_word *av) C_noret;
C_noret_decl(f_26575)
static C_word C_fcall f_26575(C_word t0,C_word t1);
C_noret_decl(f_26581)
static C_word C_fcall f_26581(C_word t0);
C_noret_decl(f_26586)
static C_word C_fcall f_26586(C_word t0);
C_noret_decl(f_26621)
static void C_fcall f_26621(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26627)
static void C_fcall f_26627(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26643)
static void C_fcall f_26643(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26665)
static void C_ccall f_26665(C_word c,C_word *av) C_noret;
C_noret_decl(f_26689)
static void C_ccall f_26689(C_word c,C_word *av) C_noret;
C_noret_decl(f_26701)
static void C_ccall f_26701(C_word c,C_word *av) C_noret;
C_noret_decl(f_26703)
static void C_ccall f_26703(C_word c,C_word *av) C_noret;
C_noret_decl(f_26722)
static void C_ccall f_26722(C_word c,C_word *av) C_noret;
C_noret_decl(f_26726)
static void C_ccall f_26726(C_word c,C_word *av) C_noret;
C_noret_decl(f_26738)
static void C_ccall f_26738(C_word c,C_word *av) C_noret;
C_noret_decl(f_26740)
static void C_fcall f_26740(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26784)
static void C_ccall f_26784(C_word c,C_word *av) C_noret;
C_noret_decl(f_26786)
static void C_fcall f_26786(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26820)
static C_word C_fcall f_26820(C_word t0);
C_noret_decl(f_26843)
static void C_ccall f_26843(C_word c,C_word *av) C_noret;
C_noret_decl(f_26850)
static void C_ccall f_26850(C_word c,C_word *av) C_noret;
C_noret_decl(f_26860)
static void C_ccall f_26860(C_word c,C_word *av) C_noret;
C_noret_decl(f_26862)
static void C_fcall f_26862(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26912)
static void C_ccall f_26912(C_word c,C_word *av) C_noret;
C_noret_decl(f_26914)
static void C_fcall f_26914(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26939)
static void C_ccall f_26939(C_word c,C_word *av) C_noret;
C_noret_decl(f_26948)
static void C_ccall f_26948(C_word c,C_word *av) C_noret;
C_noret_decl(f_26954)
static void C_ccall f_26954(C_word c,C_word *av) C_noret;
C_noret_decl(f_26958)
static void C_ccall f_26958(C_word c,C_word *av) C_noret;
C_noret_decl(f_26962)
static void C_fcall f_26962(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26970)
static void C_ccall f_26970(C_word c,C_word *av) C_noret;
C_noret_decl(f_26976)
static void C_fcall f_26976(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27007)
static void C_ccall f_27007(C_word c,C_word *av) C_noret;
C_noret_decl(f_27032)
static void C_fcall f_27032(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27057)
static void C_ccall f_27057(C_word c,C_word *av) C_noret;
C_noret_decl(f_27067)
static void C_ccall f_27067(C_word c,C_word *av) C_noret;
C_noret_decl(f_27072)
static void C_ccall f_27072(C_word c,C_word *av) C_noret;
C_noret_decl(f_27074)
static void C_ccall f_27074(C_word c,C_word *av) C_noret;
C_noret_decl(f_27081)
static void C_ccall f_27081(C_word c,C_word *av) C_noret;
C_noret_decl(f_27093)
static void C_ccall f_27093(C_word c,C_word *av) C_noret;
C_noret_decl(f_27101)
static void C_ccall f_27101(C_word c,C_word *av) C_noret;
C_noret_decl(f_27139)
static void C_ccall f_27139(C_word c,C_word *av) C_noret;
C_noret_decl(f_27143)
static void C_ccall f_27143(C_word c,C_word *av) C_noret;
C_noret_decl(f_27150)
static void C_ccall f_27150(C_word c,C_word *av) C_noret;
C_noret_decl(f_27153)
static void C_ccall f_27153(C_word c,C_word *av) C_noret;
C_noret_decl(f_27156)
static void C_ccall f_27156(C_word c,C_word *av) C_noret;
C_noret_decl(f_27157)
static void C_fcall f_27157(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27159)
static void C_fcall f_27159(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27163)
static void C_ccall f_27163(C_word c,C_word *av) C_noret;
C_noret_decl(f_27168)
static void C_ccall f_27168(C_word c,C_word *av) C_noret;
C_noret_decl(f_27180)
static void C_fcall f_27180(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27190)
static void C_ccall f_27190(C_word c,C_word *av) C_noret;
C_noret_decl(f_27202)
static void C_ccall f_27202(C_word c,C_word *av) C_noret;
C_noret_decl(f_27204)
static void C_fcall f_27204(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27211)
static void C_ccall f_27211(C_word c,C_word *av) C_noret;
C_noret_decl(f_27214)
static void C_ccall f_27214(C_word c,C_word *av) C_noret;
C_noret_decl(f_27223)
static void C_ccall f_27223(C_word c,C_word *av) C_noret;
C_noret_decl(f_27226)
static void C_ccall f_27226(C_word c,C_word *av) C_noret;
C_noret_decl(f_27229)
static void C_ccall f_27229(C_word c,C_word *av) C_noret;
C_noret_decl(f_27244)
static void C_ccall f_27244(C_word c,C_word *av) C_noret;
C_noret_decl(f_27250)
static void C_ccall f_27250(C_word c,C_word *av) C_noret;
C_noret_decl(f_27258)
static void C_fcall f_27258(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27262)
static void C_ccall f_27262(C_word c,C_word *av) C_noret;
C_noret_decl(f_27265)
static void C_ccall f_27265(C_word c,C_word *av) C_noret;
C_noret_decl(f_27268)
static void C_ccall f_27268(C_word c,C_word *av) C_noret;
C_noret_decl(f_27281)
static void C_ccall f_27281(C_word c,C_word *av) C_noret;
C_noret_decl(f_27285)
static void C_ccall f_27285(C_word c,C_word *av) C_noret;
C_noret_decl(f_27306)
static void C_ccall f_27306(C_word c,C_word *av) C_noret;
C_noret_decl(f_27322)
static void C_ccall f_27322(C_word c,C_word *av) C_noret;
C_noret_decl(f_27325)
static void C_ccall f_27325(C_word c,C_word *av) C_noret;
C_noret_decl(f_27331)
static void C_ccall f_27331(C_word c,C_word *av) C_noret;
C_noret_decl(f_27353)
static void C_fcall f_27353(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27358)
static void C_fcall f_27358(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27393)
static void C_ccall f_27393(C_word c,C_word *av) C_noret;
C_noret_decl(f_27403)
static void C_ccall f_27403(C_word c,C_word *av) C_noret;
C_noret_decl(f_27406)
static void C_ccall f_27406(C_word c,C_word *av) C_noret;
C_noret_decl(f_27409)
static void C_ccall f_27409(C_word c,C_word *av) C_noret;
C_noret_decl(f_27412)
static void C_ccall f_27412(C_word c,C_word *av) C_noret;
C_noret_decl(f_27415)
static void C_ccall f_27415(C_word c,C_word *av) C_noret;
C_noret_decl(f_27418)
static void C_ccall f_27418(C_word c,C_word *av) C_noret;
C_noret_decl(f_27425)
static void C_ccall f_27425(C_word c,C_word *av) C_noret;
C_noret_decl(f_27428)
static void C_ccall f_27428(C_word c,C_word *av) C_noret;
C_noret_decl(f_27431)
static void C_ccall f_27431(C_word c,C_word *av) C_noret;
C_noret_decl(f_27442)
static void C_ccall f_27442(C_word c,C_word *av) C_noret;
C_noret_decl(f_27465)
static void C_ccall f_27465(C_word c,C_word *av) C_noret;
C_noret_decl(f_27476)
static void C_ccall f_27476(C_word c,C_word *av) C_noret;
C_noret_decl(f_27480)
static void C_ccall f_27480(C_word c,C_word *av) C_noret;
C_noret_decl(f_27502)
static void C_ccall f_27502(C_word c,C_word *av) C_noret;
C_noret_decl(f_27513)
static void C_ccall f_27513(C_word c,C_word *av) C_noret;
C_noret_decl(f_27517)
static void C_ccall f_27517(C_word c,C_word *av) C_noret;
C_noret_decl(f_28016)
static void C_ccall f_28016(C_word c,C_word *av) C_noret;
C_noret_decl(f_28027)
static void C_ccall f_28027(C_word c,C_word *av) C_noret;
C_noret_decl(f_28031)
static void C_ccall f_28031(C_word c,C_word *av) C_noret;
C_noret_decl(f_28148)
static void C_ccall f_28148(C_word c,C_word *av) C_noret;
C_noret_decl(f_28151)
static void C_ccall f_28151(C_word c,C_word *av) C_noret;
C_noret_decl(f_28154)
static void C_ccall f_28154(C_word c,C_word *av) C_noret;
C_noret_decl(f_28157)
static void C_ccall f_28157(C_word c,C_word *av) C_noret;
C_noret_decl(f_28162)
static void C_ccall f_28162(C_word c,C_word *av) C_noret;
C_noret_decl(f_28165)
static void C_ccall f_28165(C_word c,C_word *av) C_noret;
C_noret_decl(f_28168)
static void C_ccall f_28168(C_word c,C_word *av) C_noret;
C_noret_decl(f_28171)
static void C_ccall f_28171(C_word c,C_word *av) C_noret;
C_noret_decl(f_28174)
static void C_ccall f_28174(C_word c,C_word *av) C_noret;
C_noret_decl(f_28177)
static void C_ccall f_28177(C_word c,C_word *av) C_noret;
C_noret_decl(f_28180)
static void C_ccall f_28180(C_word c,C_word *av) C_noret;
C_noret_decl(f_28183)
static void C_ccall f_28183(C_word c,C_word *av) C_noret;
C_noret_decl(f_28186)
static void C_ccall f_28186(C_word c,C_word *av) C_noret;
C_noret_decl(f_28190)
static void C_ccall f_28190(C_word c,C_word *av) C_noret;
C_noret_decl(f_28192)
static void C_ccall f_28192(C_word c,C_word *av) C_noret;
C_noret_decl(f_28200)
static void C_ccall f_28200(C_word c,C_word *av) C_noret;
C_noret_decl(f_28202)
static void C_ccall f_28202(C_word c,C_word *av) C_noret;
C_noret_decl(f_28206)
static void C_ccall f_28206(C_word c,C_word *av) C_noret;
C_noret_decl(f_28208)
static void C_ccall f_28208(C_word c,C_word *av) C_noret;
C_noret_decl(f_28215)
static void C_ccall f_28215(C_word c,C_word *av) C_noret;
C_noret_decl(f_28225)
static void C_ccall f_28225(C_word c,C_word *av) C_noret;
C_noret_decl(f_28250)
static void C_ccall f_28250(C_word c,C_word *av) C_noret;
C_noret_decl(f_28253)
static void C_ccall f_28253(C_word c,C_word *av) C_noret;
C_noret_decl(f_28256)
static void C_ccall f_28256(C_word c,C_word *av) C_noret;
C_noret_decl(f_28259)
static void C_ccall f_28259(C_word c,C_word *av) C_noret;
C_noret_decl(f_28262)
static void C_ccall f_28262(C_word c,C_word *av) C_noret;
C_noret_decl(f_28272)
static void C_ccall f_28272(C_word c,C_word *av) C_noret;
C_noret_decl(f_28278)
static void C_ccall f_28278(C_word c,C_word *av) C_noret;
C_noret_decl(f_28282)
static void C_ccall f_28282(C_word c,C_word *av) C_noret;
C_noret_decl(f_28284)
static void C_ccall f_28284(C_word c,C_word *av) C_noret;
C_noret_decl(f_28294)
static void C_ccall f_28294(C_word c,C_word *av) C_noret;
C_noret_decl(f_28300)
static void C_ccall f_28300(C_word c,C_word *av) C_noret;
C_noret_decl(f_28304)
static void C_ccall f_28304(C_word c,C_word *av) C_noret;
C_noret_decl(f_28306)
static void C_ccall f_28306(C_word c,C_word *av) C_noret;
C_noret_decl(f_28311)
static void C_ccall f_28311(C_word c,C_word *av) C_noret;
C_noret_decl(f_28313)
static void C_ccall f_28313(C_word c,C_word *av) C_noret;
C_noret_decl(f_28316)
static void C_ccall f_28316(C_word c,C_word *av) C_noret;
C_noret_decl(f_28336)
static void C_ccall f_28336(C_word c,C_word *av) C_noret;
C_noret_decl(f_28342)
static void C_fcall f_28342(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28352)
static void C_ccall f_28352(C_word c,C_word *av) C_noret;
C_noret_decl(f_28362)
static void C_ccall f_28362(C_word c,C_word *av) C_noret;
C_noret_decl(f_28397)
static void C_ccall f_28397(C_word c,C_word *av) C_noret;
C_noret_decl(f_28401)
static void C_ccall f_28401(C_word c,C_word *av) C_noret;
C_noret_decl(f_28406)
static void C_fcall f_28406(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28416)
static void C_ccall f_28416(C_word c,C_word *av) C_noret;
C_noret_decl(f_28426)
static void C_ccall f_28426(C_word c,C_word *av) C_noret;
C_noret_decl(f_28435)
static void C_ccall f_28435(C_word c,C_word *av) C_noret;
C_noret_decl(f_28438)
static void C_ccall f_28438(C_word c,C_word *av) C_noret;
C_noret_decl(f_28441)
static void C_ccall f_28441(C_word c,C_word *av) C_noret;
C_noret_decl(f_28448)
static void C_ccall f_28448(C_word c,C_word *av) C_noret;
C_noret_decl(f_28455)
static void C_ccall f_28455(C_word c,C_word *av) C_noret;
C_noret_decl(f_28458)
static void C_ccall f_28458(C_word c,C_word *av) C_noret;
C_noret_decl(f_28462)
static void C_ccall f_28462(C_word c,C_word *av) C_noret;
C_noret_decl(f_28464)
static void C_ccall f_28464(C_word c,C_word *av) C_noret;
C_noret_decl(f_28467)
static void C_ccall f_28467(C_word c,C_word *av) C_noret;
C_noret_decl(f_28470)
static void C_ccall f_28470(C_word c,C_word *av) C_noret;
C_noret_decl(f_28473)
static void C_ccall f_28473(C_word c,C_word *av) C_noret;
C_noret_decl(f_28476)
static void C_ccall f_28476(C_word c,C_word *av) C_noret;
C_noret_decl(f_28479)
static void C_ccall f_28479(C_word c,C_word *av) C_noret;
C_noret_decl(f_28482)
static void C_ccall f_28482(C_word c,C_word *av) C_noret;
C_noret_decl(f_28485)
static void C_ccall f_28485(C_word c,C_word *av) C_noret;
C_noret_decl(f_28488)
static void C_ccall f_28488(C_word c,C_word *av) C_noret;
C_noret_decl(f_28491)
static void C_ccall f_28491(C_word c,C_word *av) C_noret;
C_noret_decl(f_28494)
static void C_ccall f_28494(C_word c,C_word *av) C_noret;
C_noret_decl(f_28498)
static void C_ccall f_28498(C_word c,C_word *av) C_noret;
C_noret_decl(f_28501)
static void C_ccall f_28501(C_word c,C_word *av) C_noret;
C_noret_decl(f_28517)
static void C_ccall f_28517(C_word c,C_word *av) C_noret;
C_noret_decl(f_28525)
static void C_ccall f_28525(C_word c,C_word *av) C_noret;
C_noret_decl(f_28528)
static void C_ccall f_28528(C_word c,C_word *av) C_noret;
C_noret_decl(f_28534)
static void C_ccall f_28534(C_word c,C_word *av) C_noret;
C_noret_decl(f_28543)
static void C_ccall f_28543(C_word c,C_word *av) C_noret;
C_noret_decl(f_28549)
static void C_ccall f_28549(C_word c,C_word *av) C_noret;
C_noret_decl(f_28558)
static void C_ccall f_28558(C_word c,C_word *av) C_noret;
C_noret_decl(f_28564)
static void C_ccall f_28564(C_word c,C_word *av) C_noret;
C_noret_decl(f_28570)
static void C_ccall f_28570(C_word c,C_word *av) C_noret;
C_noret_decl(f_28573)
static void C_ccall f_28573(C_word c,C_word *av) C_noret;
C_noret_decl(f_28577)
static void C_ccall f_28577(C_word c,C_word *av) C_noret;
C_noret_decl(f_28580)
static void C_ccall f_28580(C_word c,C_word *av) C_noret;
C_noret_decl(f_28585)
static void C_ccall f_28585(C_word c,C_word *av) C_noret;
C_noret_decl(f_28587)
static void C_ccall f_28587(C_word c,C_word *av) C_noret;
C_noret_decl(f_28591)
static void C_ccall f_28591(C_word c,C_word *av) C_noret;
C_noret_decl(f_28618)
static void C_fcall f_28618(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28628)
static void C_ccall f_28628(C_word c,C_word *av) C_noret;
C_noret_decl(f_28637)
static void C_ccall f_28637(C_word c,C_word *av) C_noret;
C_noret_decl(f_28644)
static void C_ccall f_28644(C_word c,C_word *av) C_noret;
C_noret_decl(f_28648)
static void C_ccall f_28648(C_word c,C_word *av) C_noret;
C_noret_decl(f_28662)
static void C_fcall f_28662(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28666)
static void C_ccall f_28666(C_word c,C_word *av) C_noret;
C_noret_decl(f_28673)
static void C_ccall f_28673(C_word c,C_word *av) C_noret;
C_noret_decl(f_28675)
static void C_fcall f_28675(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28697)
static void C_ccall f_28697(C_word c,C_word *av) C_noret;
C_noret_decl(f_28704)
static void C_ccall f_28704(C_word c,C_word *av) C_noret;
C_noret_decl(f_28709)
static void C_fcall f_28709(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28713)
static void C_ccall f_28713(C_word c,C_word *av) C_noret;
C_noret_decl(f_28716)
static void C_ccall f_28716(C_word c,C_word *av) C_noret;
C_noret_decl(f_28719)
static void C_ccall f_28719(C_word c,C_word *av) C_noret;
C_noret_decl(f_28724)
static void C_fcall f_28724(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28728)
static void C_ccall f_28728(C_word c,C_word *av) C_noret;
C_noret_decl(f_28754)
static void C_ccall f_28754(C_word c,C_word *av) C_noret;
C_noret_decl(f_28767)
static void C_ccall f_28767(C_word c,C_word *av) C_noret;
C_noret_decl(f_28770)
static void C_ccall f_28770(C_word c,C_word *av) C_noret;
C_noret_decl(f_28779)
static void C_ccall f_28779(C_word c,C_word *av) C_noret;
C_noret_decl(f_28782)
static void C_ccall f_28782(C_word c,C_word *av) C_noret;
C_noret_decl(f_28785)
static void C_ccall f_28785(C_word c,C_word *av) C_noret;
C_noret_decl(f_28791)
static void C_ccall f_28791(C_word c,C_word *av) C_noret;
C_noret_decl(f_28798)
static void C_ccall f_28798(C_word c,C_word *av) C_noret;
C_noret_decl(f_28800)
static void C_fcall f_28800(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28813)
static void C_ccall f_28813(C_word c,C_word *av) C_noret;
C_noret_decl(f_28826)
static void C_ccall f_28826(C_word c,C_word *av) C_noret;
C_noret_decl(f_28829)
static void C_ccall f_28829(C_word c,C_word *av) C_noret;
C_noret_decl(f_28832)
static void C_ccall f_28832(C_word c,C_word *av) C_noret;
C_noret_decl(f_28839)
static void C_ccall f_28839(C_word c,C_word *av) C_noret;
C_noret_decl(f_28892)
static void C_ccall f_28892(C_word c,C_word *av) C_noret;
C_noret_decl(f_28895)
static void C_ccall f_28895(C_word c,C_word *av) C_noret;
C_noret_decl(f_28898)
static void C_ccall f_28898(C_word c,C_word *av) C_noret;
C_noret_decl(f_28900)
static void C_fcall f_28900(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28904)
static void C_ccall f_28904(C_word c,C_word *av) C_noret;
C_noret_decl(f_28908)
static void C_ccall f_28908(C_word c,C_word *av) C_noret;
C_noret_decl(f_28914)
static void C_ccall f_28914(C_word c,C_word *av) C_noret;
C_noret_decl(f_28919)
static void C_fcall f_28919(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28923)
static void C_ccall f_28923(C_word c,C_word *av) C_noret;
C_noret_decl(f_28935)
static void C_ccall f_28935(C_word c,C_word *av) C_noret;
C_noret_decl(f_28947)
static void C_ccall f_28947(C_word c,C_word *av) C_noret;
C_noret_decl(f_28954)
static void C_ccall f_28954(C_word c,C_word *av) C_noret;
C_noret_decl(f_28960)
static void C_fcall f_28960(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28974)
static void C_ccall f_28974(C_word c,C_word *av) C_noret;
C_noret_decl(f_29013)
static void C_ccall f_29013(C_word c,C_word *av) C_noret;
C_noret_decl(f_29032)
static void C_ccall f_29032(C_word c,C_word *av) C_noret;
C_noret_decl(f_29055)
static void C_ccall f_29055(C_word c,C_word *av) C_noret;
C_noret_decl(f_29064)
static void C_ccall f_29064(C_word c,C_word *av) C_noret;
C_noret_decl(f_29071)
static void C_ccall f_29071(C_word c,C_word *av) C_noret;
C_noret_decl(f_29088)
static void C_ccall f_29088(C_word c,C_word *av) C_noret;
C_noret_decl(f_29096)
static void C_ccall f_29096(C_word c,C_word *av) C_noret;
C_noret_decl(f_29107)
static void C_ccall f_29107(C_word c,C_word *av) C_noret;
C_noret_decl(f_29115)
static void C_ccall f_29115(C_word c,C_word *av) C_noret;
C_noret_decl(f_29122)
static void C_ccall f_29122(C_word c,C_word *av) C_noret;
C_noret_decl(f_29184)
static void C_ccall f_29184(C_word c,C_word *av) C_noret;
C_noret_decl(f_29191)
static void C_ccall f_29191(C_word c,C_word *av) C_noret;
C_noret_decl(f_29194)
static void C_ccall f_29194(C_word c,C_word *av) C_noret;
C_noret_decl(f_29200)
static void C_ccall f_29200(C_word c,C_word *av) C_noret;
C_noret_decl(f_29207)
static void C_ccall f_29207(C_word c,C_word *av) C_noret;
C_noret_decl(f_29211)
static void C_ccall f_29211(C_word c,C_word *av) C_noret;
C_noret_decl(f_29214)
static void C_ccall f_29214(C_word c,C_word *av) C_noret;
C_noret_decl(f_29222)
static void C_ccall f_29222(C_word c,C_word *av) C_noret;
C_noret_decl(f_29224)
static void C_ccall f_29224(C_word c,C_word *av) C_noret;
C_noret_decl(f_29233)
static void C_ccall f_29233(C_word c,C_word *av) C_noret;
C_noret_decl(f_29239)
static void C_ccall f_29239(C_word c,C_word *av) C_noret;
C_noret_decl(f_29250)
static void C_ccall f_29250(C_word c,C_word *av) C_noret;
C_noret_decl(f_29254)
static void C_ccall f_29254(C_word c,C_word *av) C_noret;
C_noret_decl(f_29256)
static void C_ccall f_29256(C_word c,C_word *av) C_noret;
C_noret_decl(f_29264)
static void C_ccall f_29264(C_word c,C_word *av) C_noret;
C_noret_decl(f_29276)
static void C_ccall f_29276(C_word c,C_word *av) C_noret;
C_noret_decl(f_29282)
static void C_fcall f_29282(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29286)
static void C_ccall f_29286(C_word c,C_word *av) C_noret;
C_noret_decl(f_29294)
static void C_fcall f_29294(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29312)
static void C_ccall f_29312(C_word c,C_word *av) C_noret;
C_noret_decl(f_29320)
static void C_ccall f_29320(C_word c,C_word *av) C_noret;
C_noret_decl(f_29324)
static void C_ccall f_29324(C_word c,C_word *av) C_noret;
C_noret_decl(f_29342)
static void C_ccall f_29342(C_word c,C_word *av) C_noret;
C_noret_decl(f_29349)
static void C_ccall f_29349(C_word c,C_word *av) C_noret;
C_noret_decl(f_29361)
static void C_ccall f_29361(C_word c,C_word *av) C_noret;
C_noret_decl(f_29369)
static void C_ccall f_29369(C_word c,C_word *av) C_noret;
C_noret_decl(f_29375)
static void C_fcall f_29375(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29397)
static void C_ccall f_29397(C_word c,C_word *av) C_noret;
C_noret_decl(f_29401)
static void C_ccall f_29401(C_word c,C_word *av) C_noret;
C_noret_decl(f_29405)
static void C_ccall f_29405(C_word c,C_word *av) C_noret;
C_noret_decl(f_29407)
static void C_ccall f_29407(C_word c,C_word *av) C_noret;
C_noret_decl(f_29410)
static void C_ccall f_29410(C_word c,C_word *av) C_noret;
C_noret_decl(f_29413)
static void C_ccall f_29413(C_word c,C_word *av) C_noret;
C_noret_decl(f_29417)
static void C_ccall f_29417(C_word c,C_word *av) C_noret;
C_noret_decl(f_29420)
static void C_ccall f_29420(C_word c,C_word *av) C_noret;
C_noret_decl(f_29442)
static void C_ccall f_29442(C_word c,C_word *av) C_noret;
C_noret_decl(f_29448)
static void C_ccall f_29448(C_word c,C_word *av) C_noret;
C_noret_decl(f_29452)
static void C_ccall f_29452(C_word c,C_word *av) C_noret;
C_noret_decl(f_29469)
static void C_ccall f_29469(C_word c,C_word *av) C_noret;
C_noret_decl(f_29479)
static void C_ccall f_29479(C_word c,C_word *av) C_noret;
C_noret_decl(f_29483)
static void C_ccall f_29483(C_word c,C_word *av) C_noret;
C_noret_decl(f_29487)
static void C_ccall f_29487(C_word c,C_word *av) C_noret;
C_noret_decl(f_29499)
static void C_ccall f_29499(C_word c,C_word *av) C_noret;
C_noret_decl(f_29509)
static void C_ccall f_29509(C_word c,C_word *av) C_noret;
C_noret_decl(f_29513)
static void C_ccall f_29513(C_word c,C_word *av) C_noret;
C_noret_decl(f_29517)
static void C_ccall f_29517(C_word c,C_word *av) C_noret;
C_noret_decl(f_29548)
static void C_ccall f_29548(C_word c,C_word *av) C_noret;
C_noret_decl(f_29551)
static void C_ccall f_29551(C_word c,C_word *av) C_noret;
C_noret_decl(f_29554)
static void C_ccall f_29554(C_word c,C_word *av) C_noret;
C_noret_decl(f_29560)
static void C_fcall f_29560(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29573)
static void C_ccall f_29573(C_word c,C_word *av) C_noret;
C_noret_decl(f_29576)
static void C_ccall f_29576(C_word c,C_word *av) C_noret;
C_noret_decl(f_29585)
static void C_ccall f_29585(C_word c,C_word *av) C_noret;
C_noret_decl(f_29591)
static void C_ccall f_29591(C_word c,C_word *av) C_noret;
C_noret_decl(f_29597)
static void C_ccall f_29597(C_word c,C_word *av) C_noret;
C_noret_decl(f_29603)
static void C_ccall f_29603(C_word c,C_word *av) C_noret;
C_noret_decl(f_29609)
static void C_ccall f_29609(C_word c,C_word *av) C_noret;
C_noret_decl(f_29626)
static void C_ccall f_29626(C_word c,C_word *av) C_noret;
C_noret_decl(f_29632)
static void C_ccall f_29632(C_word c,C_word *av) C_noret;
C_noret_decl(f_29647)
static void C_ccall f_29647(C_word c,C_word *av) C_noret;
C_noret_decl(f_29651)
static void C_ccall f_29651(C_word c,C_word *av) C_noret;
C_noret_decl(f_29655)
static void C_ccall f_29655(C_word c,C_word *av) C_noret;
C_noret_decl(f_29659)
static void C_ccall f_29659(C_word c,C_word *av) C_noret;
C_noret_decl(f_29680)
static void C_ccall f_29680(C_word c,C_word *av) C_noret;
C_noret_decl(f_29682)
static void C_ccall f_29682(C_word c,C_word *av) C_noret;
C_noret_decl(f_29688)
static void C_fcall f_29688(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29692)
static void C_ccall f_29692(C_word c,C_word *av) C_noret;
C_noret_decl(f_29701)
static void C_ccall f_29701(C_word c,C_word *av) C_noret;
C_noret_decl(f_29710)
static void C_ccall f_29710(C_word c,C_word *av) C_noret;
C_noret_decl(f_29753)
static void C_ccall f_29753(C_word c,C_word *av) C_noret;
C_noret_decl(f_29775)
static void C_ccall f_29775(C_word c,C_word *av) C_noret;
C_noret_decl(f_29788)
static void C_ccall f_29788(C_word c,C_word *av) C_noret;
C_noret_decl(f_29813)
static void C_ccall f_29813(C_word c,C_word *av) C_noret;
C_noret_decl(f_29829)
static void C_ccall f_29829(C_word c,C_word *av) C_noret;
C_noret_decl(f_29845)
static void C_ccall f_29845(C_word c,C_word *av) C_noret;
C_noret_decl(f_29861)
static void C_ccall f_29861(C_word c,C_word *av) C_noret;
C_noret_decl(f_29877)
static void C_ccall f_29877(C_word c,C_word *av) C_noret;
C_noret_decl(f_29893)
static void C_ccall f_29893(C_word c,C_word *av) C_noret;
C_noret_decl(f_29909)
static void C_ccall f_29909(C_word c,C_word *av) C_noret;
C_noret_decl(f_29925)
static void C_ccall f_29925(C_word c,C_word *av) C_noret;
C_noret_decl(f_29941)
static void C_ccall f_29941(C_word c,C_word *av) C_noret;
C_noret_decl(f_29957)
static void C_ccall f_29957(C_word c,C_word *av) C_noret;
C_noret_decl(f_29964)
static void C_ccall f_29964(C_word c,C_word *av) C_noret;
C_noret_decl(f_30005)
static void C_ccall f_30005(C_word c,C_word *av) C_noret;
C_noret_decl(f_30017)
static void C_ccall f_30017(C_word c,C_word *av) C_noret;
C_noret_decl(f_30023)
static void C_ccall f_30023(C_word c,C_word *av) C_noret;
C_noret_decl(f_30042)
static void C_ccall f_30042(C_word c,C_word *av) C_noret;
C_noret_decl(f_30044)
static void C_ccall f_30044(C_word c,C_word *av) C_noret;
C_noret_decl(f_30067)
static C_word C_fcall f_30067(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30113)
static void C_ccall f_30113(C_word c,C_word *av) C_noret;
C_noret_decl(f_30115)
static void C_ccall f_30115(C_word c,C_word *av) C_noret;
C_noret_decl(f_30122)
static void C_fcall f_30122(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30134)
static void C_fcall f_30134(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30178)
static void C_ccall f_30178(C_word c,C_word *av) C_noret;
C_noret_decl(f_30193)
static void C_fcall f_30193(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30201)
static void C_ccall f_30201(C_word c,C_word *av) C_noret;
C_noret_decl(f_30207)
static void C_fcall f_30207(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30215)
static void C_ccall f_30215(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30227)
static void C_ccall f_30227(C_word c,C_word *av) C_noret;
C_noret_decl(f_30229)
static void C_fcall f_30229(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30239)
static void C_ccall f_30239(C_word c,C_word *av) C_noret;
C_noret_decl(f_30246)
static void C_ccall f_30246(C_word c,C_word *av) C_noret;
C_noret_decl(f_30250)
static void C_ccall f_30250(C_word c,C_word *av) C_noret;
C_noret_decl(f_30261)
static void C_ccall f_30261(C_word c,C_word *av) C_noret;
C_noret_decl(f_30268)
static void C_ccall f_30268(C_word c,C_word *av) C_noret;
C_noret_decl(f_30272)
static void C_ccall f_30272(C_word c,C_word *av) C_noret;
C_noret_decl(f_30283)
static void C_ccall f_30283(C_word c,C_word *av) C_noret;
C_noret_decl(f_30290)
static void C_ccall f_30290(C_word c,C_word *av) C_noret;
C_noret_decl(f_30294)
static void C_ccall f_30294(C_word c,C_word *av) C_noret;
C_noret_decl(f_30299)
static void C_ccall f_30299(C_word c,C_word *av) C_noret;
C_noret_decl(f_30305)
static void C_ccall f_30305(C_word c,C_word *av) C_noret;
C_noret_decl(f_30308)
static void C_ccall f_30308(C_word c,C_word *av) C_noret;
C_noret_decl(f_30311)
static void C_ccall f_30311(C_word c,C_word *av) C_noret;
C_noret_decl(f_30317)
static void C_ccall f_30317(C_word c,C_word *av) C_noret;
C_noret_decl(f_30326)
static void C_ccall f_30326(C_word c,C_word *av) C_noret;
C_noret_decl(f_30335)
static void C_ccall f_30335(C_word c,C_word *av) C_noret;
C_noret_decl(f_30341)
static void C_ccall f_30341(C_word c,C_word *av) C_noret;
C_noret_decl(f_30344)
static void C_ccall f_30344(C_word c,C_word *av) C_noret;
C_noret_decl(f_30347)
static void C_ccall f_30347(C_word c,C_word *av) C_noret;
C_noret_decl(f_30359)
static void C_ccall f_30359(C_word c,C_word *av) C_noret;
C_noret_decl(f_30362)
static void C_ccall f_30362(C_word c,C_word *av) C_noret;
C_noret_decl(f_30365)
static void C_ccall f_30365(C_word c,C_word *av) C_noret;
C_noret_decl(f_30368)
static void C_ccall f_30368(C_word c,C_word *av) C_noret;
C_noret_decl(f_30380)
static void C_ccall f_30380(C_word c,C_word *av) C_noret;
C_noret_decl(f_30383)
static void C_ccall f_30383(C_word c,C_word *av) C_noret;
C_noret_decl(f_30386)
static void C_ccall f_30386(C_word c,C_word *av) C_noret;
C_noret_decl(f_30389)
static void C_ccall f_30389(C_word c,C_word *av) C_noret;
C_noret_decl(f_30398)
static void C_ccall f_30398(C_word c,C_word *av) C_noret;
C_noret_decl(f_30401)
static void C_ccall f_30401(C_word c,C_word *av) C_noret;
C_noret_decl(f_30414)
static void C_ccall f_30414(C_word c,C_word *av) C_noret;
C_noret_decl(f_30415)
static void C_ccall f_30415(C_word c,C_word *av) C_noret;
C_noret_decl(f_30420)
static void C_ccall f_30420(C_word c,C_word *av) C_noret;
C_noret_decl(f_30421)
static void C_ccall f_30421(C_word c,C_word *av) C_noret;
C_noret_decl(f_30426)
static void C_ccall f_30426(C_word c,C_word *av) C_noret;
C_noret_decl(f_30427)
static void C_ccall f_30427(C_word c,C_word *av) C_noret;
C_noret_decl(f_30432)
static void C_ccall f_30432(C_word c,C_word *av) C_noret;
C_noret_decl(f_30433)
static void C_ccall f_30433(C_word c,C_word *av) C_noret;
C_noret_decl(f_30438)
static void C_ccall f_30438(C_word c,C_word *av) C_noret;
C_noret_decl(f_30439)
static void C_ccall f_30439(C_word c,C_word *av) C_noret;
C_noret_decl(f_30444)
static void C_fcall f_30444(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30446)
static void C_ccall f_30446(C_word c,C_word *av) C_noret;
C_noret_decl(f_30456)
static void C_ccall f_30456(C_word c,C_word *av) C_noret;
C_noret_decl(f_30459)
static void C_ccall f_30459(C_word c,C_word *av) C_noret;
C_noret_decl(f_30462)
static void C_ccall f_30462(C_word c,C_word *av) C_noret;
C_noret_decl(f_30465)
static void C_ccall f_30465(C_word c,C_word *av) C_noret;
C_noret_decl(f_30467)
static void C_fcall f_30467(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30481)
static void C_ccall f_30481(C_word c,C_word *av) C_noret;
C_noret_decl(f_30489)
static void C_ccall f_30489(C_word c,C_word *av) C_noret;
C_noret_decl(f_30493)
static void C_ccall f_30493(C_word c,C_word *av) C_noret;
C_noret_decl(f_30497)
static void C_ccall f_30497(C_word c,C_word *av) C_noret;
C_noret_decl(f_30501)
static void C_ccall f_30501(C_word c,C_word *av) C_noret;
C_noret_decl(f_30507)
static void C_ccall f_30507(C_word c,C_word *av) C_noret;
C_noret_decl(f_30514)
static void C_ccall f_30514(C_word c,C_word *av) C_noret;
C_noret_decl(f_30518)
static void C_ccall f_30518(C_word c,C_word *av) C_noret;
C_noret_decl(f_30522)
static void C_ccall f_30522(C_word c,C_word *av) C_noret;
C_noret_decl(f_30526)
static void C_ccall f_30526(C_word c,C_word *av) C_noret;
C_noret_decl(f_30565)
static void C_ccall f_30565(C_word c,C_word *av) C_noret;
C_noret_decl(f_30568)
static void C_ccall f_30568(C_word c,C_word *av) C_noret;
C_noret_decl(f_30571)
static void C_ccall f_30571(C_word c,C_word *av) C_noret;
C_noret_decl(f_30574)
static void C_ccall f_30574(C_word c,C_word *av) C_noret;
C_noret_decl(f_30577)
static void C_ccall f_30577(C_word c,C_word *av) C_noret;
C_noret_decl(f_30585)
static void C_ccall f_30585(C_word c,C_word *av) C_noret;
C_noret_decl(f_30589)
static void C_ccall f_30589(C_word c,C_word *av) C_noret;
C_noret_decl(f_30592)
static void C_ccall f_30592(C_word c,C_word *av) C_noret;
C_noret_decl(f_30607)
static void C_ccall f_30607(C_word c,C_word *av) C_noret;
C_noret_decl(f_30629)
static void C_ccall f_30629(C_word c,C_word *av) C_noret;
C_noret_decl(f_30635)
static void C_fcall f_30635(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_30655)
static void C_ccall f_30655(C_word c,C_word *av) C_noret;
C_noret_decl(f_30670)
static void C_ccall f_30670(C_word c,C_word *av) C_noret;
C_noret_decl(f_30674)
static void C_ccall f_30674(C_word c,C_word *av) C_noret;
C_noret_decl(f_30697)
static void C_ccall f_30697(C_word c,C_word *av) C_noret;
C_noret_decl(f_30701)
static void C_ccall f_30701(C_word c,C_word *av) C_noret;
C_noret_decl(f_30718)
static void C_ccall f_30718(C_word c,C_word *av) C_noret;
C_noret_decl(f_30725)
static void C_ccall f_30725(C_word c,C_word *av) C_noret;
C_noret_decl(f_30747)
static void C_ccall f_30747(C_word c,C_word *av) C_noret;
C_noret_decl(f_30752)
static void C_fcall f_30752(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30767)
static void C_ccall f_30767(C_word c,C_word *av) C_noret;
C_noret_decl(f_30770)
static void C_ccall f_30770(C_word c,C_word *av) C_noret;
C_noret_decl(f_30773)
static void C_ccall f_30773(C_word c,C_word *av) C_noret;
C_noret_decl(f_30776)
static void C_ccall f_30776(C_word c,C_word *av) C_noret;
C_noret_decl(f_30779)
static void C_ccall f_30779(C_word c,C_word *av) C_noret;
C_noret_decl(f_30782)
static void C_ccall f_30782(C_word c,C_word *av) C_noret;
C_noret_decl(f_30785)
static void C_fcall f_30785(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30788)
static void C_fcall f_30788(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30791)
static void C_fcall f_30791(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30794)
static void C_fcall f_30794(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30797)
static void C_fcall f_30797(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30801)
static void C_ccall f_30801(C_word c,C_word *av) C_noret;
C_noret_decl(f_30804)
static void C_ccall f_30804(C_word c,C_word *av) C_noret;
C_noret_decl(f_30809)
static void C_ccall f_30809(C_word c,C_word *av) C_noret;
C_noret_decl(f_30815)
static void C_ccall f_30815(C_word c,C_word *av) C_noret;
C_noret_decl(f_30828)
static void C_ccall f_30828(C_word c,C_word *av) C_noret;
C_noret_decl(f_30830)
static void C_fcall f_30830(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30853)
static void C_ccall f_30853(C_word c,C_word *av) C_noret;
C_noret_decl(f_30860)
static void C_ccall f_30860(C_word c,C_word *av) C_noret;
C_noret_decl(f_30864)
static void C_ccall f_30864(C_word c,C_word *av) C_noret;
C_noret_decl(f_30866)
static void C_fcall f_30866(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30895)
static void C_ccall f_30895(C_word c,C_word *av) C_noret;
C_noret_decl(f_30897)
static void C_fcall f_30897(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30922)
static void C_ccall f_30922(C_word c,C_word *av) C_noret;
C_noret_decl(f_30931)
static void C_ccall f_30931(C_word c,C_word *av) C_noret;
C_noret_decl(f_30934)
static void C_ccall f_30934(C_word c,C_word *av) C_noret;
C_noret_decl(f_30940)
static void C_fcall f_30940(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30964)
static void C_ccall f_30964(C_word c,C_word *av) C_noret;
C_noret_decl(f_30971)
static void C_ccall f_30971(C_word c,C_word *av) C_noret;
C_noret_decl(f_30975)
static void C_ccall f_30975(C_word c,C_word *av) C_noret;
C_noret_decl(f_30987)
static void C_ccall f_30987(C_word c,C_word *av) C_noret;
C_noret_decl(f_30995)
static void C_ccall f_30995(C_word c,C_word *av) C_noret;
C_noret_decl(f_30999)
static void C_ccall f_30999(C_word c,C_word *av) C_noret;
C_noret_decl(f_31008)
static void C_ccall f_31008(C_word c,C_word *av) C_noret;
C_noret_decl(f_31017)
static void C_ccall f_31017(C_word c,C_word *av) C_noret;
C_noret_decl(f_31027)
static void C_ccall f_31027(C_word c,C_word *av) C_noret;
C_noret_decl(f_31035)
static void C_ccall f_31035(C_word c,C_word *av) C_noret;
C_noret_decl(f_31039)
static void C_ccall f_31039(C_word c,C_word *av) C_noret;
C_noret_decl(f_31043)
static void C_ccall f_31043(C_word c,C_word *av) C_noret;
C_noret_decl(f_31073)
static void C_ccall f_31073(C_word c,C_word *av) C_noret;
C_noret_decl(f_31077)
static void C_ccall f_31077(C_word c,C_word *av) C_noret;
C_noret_decl(f_31081)
static void C_ccall f_31081(C_word c,C_word *av) C_noret;
C_noret_decl(f_31085)
static void C_ccall f_31085(C_word c,C_word *av) C_noret;
C_noret_decl(f_31089)
static void C_ccall f_31089(C_word c,C_word *av) C_noret;
C_noret_decl(f_31093)
static void C_ccall f_31093(C_word c,C_word *av) C_noret;
C_noret_decl(f_31096)
static void C_ccall f_31096(C_word c,C_word *av) C_noret;
C_noret_decl(f_31099)
static void C_ccall f_31099(C_word c,C_word *av) C_noret;
C_noret_decl(f_31109)
static void C_ccall f_31109(C_word c,C_word *av) C_noret;
C_noret_decl(f_31112)
static void C_ccall f_31112(C_word c,C_word *av) C_noret;
C_noret_decl(f_31114)
static void C_ccall f_31114(C_word c,C_word *av) C_noret;
C_noret_decl(f_31131)
static C_word C_fcall f_31131(C_word t0);
C_noret_decl(f_31158)
static void C_ccall f_31158(C_word c,C_word *av) C_noret;
C_noret_decl(f_31167)
static void C_ccall f_31167(C_word c,C_word *av) C_noret;
C_noret_decl(f_31187)
static void C_ccall f_31187(C_word c,C_word *av) C_noret;
C_noret_decl(f_31191)
static void C_ccall f_31191(C_word c,C_word *av) C_noret;
C_noret_decl(f_31195)
static void C_ccall f_31195(C_word c,C_word *av) C_noret;
C_noret_decl(f_31199)
static void C_ccall f_31199(C_word c,C_word *av) C_noret;
C_noret_decl(f_31203)
static void C_ccall f_31203(C_word c,C_word *av) C_noret;
C_noret_decl(f_31207)
static void C_ccall f_31207(C_word c,C_word *av) C_noret;
C_noret_decl(f_31211)
static void C_ccall f_31211(C_word c,C_word *av) C_noret;
C_noret_decl(f_31213)
static void C_ccall f_31213(C_word c,C_word *av) C_noret;
C_noret_decl(f_31222)
static void C_ccall f_31222(C_word c,C_word *av) C_noret;
C_noret_decl(f_31232)
static void C_ccall f_31232(C_word c,C_word *av) C_noret;
C_noret_decl(f_31257)
static void C_ccall f_31257(C_word c,C_word *av) C_noret;
C_noret_decl(f_31260)
static void C_ccall f_31260(C_word c,C_word *av) C_noret;
C_noret_decl(f_31262)
static void C_ccall f_31262(C_word c,C_word *av) C_noret;
C_noret_decl(f_31278)
static void C_fcall f_31278(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31297)
static void C_fcall f_31297(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31307)
static void C_ccall f_31307(C_word c,C_word *av) C_noret;
C_noret_decl(f_31317)
static void C_ccall f_31317(C_word c,C_word *av) C_noret;
C_noret_decl(f_31341)
static void C_ccall f_31341(C_word c,C_word *av) C_noret;
C_noret_decl(f_31345)
static void C_ccall f_31345(C_word c,C_word *av) C_noret;
C_noret_decl(f_31347)
static void C_ccall f_31347(C_word c,C_word *av) C_noret;
C_noret_decl(f_31351)
static void C_ccall f_31351(C_word c,C_word *av) C_noret;
C_noret_decl(f_31354)
static void C_ccall f_31354(C_word c,C_word *av) C_noret;
C_noret_decl(f_31369)
static void C_ccall f_31369(C_word c,C_word *av) C_noret;
C_noret_decl(f_31375)
static void C_ccall f_31375(C_word c,C_word *av) C_noret;
C_noret_decl(f_31379)
static void C_ccall f_31379(C_word c,C_word *av) C_noret;
C_noret_decl(f_31388)
static void C_ccall f_31388(C_word c,C_word *av) C_noret;
C_noret_decl(f_31391)
static void C_ccall f_31391(C_word c,C_word *av) C_noret;
C_noret_decl(f_31394)
static void C_ccall f_31394(C_word c,C_word *av) C_noret;
C_noret_decl(f_31397)
static void C_ccall f_31397(C_word c,C_word *av) C_noret;
C_noret_decl(f_31400)
static void C_ccall f_31400(C_word c,C_word *av) C_noret;
C_noret_decl(f_31406)
static void C_ccall f_31406(C_word c,C_word *av) C_noret;
C_noret_decl(f_31412)
static void C_ccall f_31412(C_word c,C_word *av) C_noret;
C_noret_decl(f_31415)
static void C_ccall f_31415(C_word c,C_word *av) C_noret;
C_noret_decl(f_31420)
static void C_ccall f_31420(C_word c,C_word *av) C_noret;
C_noret_decl(f_31430)
static void C_ccall f_31430(C_word c,C_word *av) C_noret;
C_noret_decl(f_31442)
static void C_ccall f_31442(C_word c,C_word *av) C_noret;
C_noret_decl(f_31450)
static void C_fcall f_31450(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31460)
static void C_ccall f_31460(C_word c,C_word *av) C_noret;
C_noret_decl(f_31476)
static void C_ccall f_31476(C_word c,C_word *av) C_noret;
C_noret_decl(f_31482)
static void C_ccall f_31482(C_word c,C_word *av) C_noret;
C_noret_decl(f_31485)
static void C_ccall f_31485(C_word c,C_word *av) C_noret;
C_noret_decl(f_31488)
static void C_ccall f_31488(C_word c,C_word *av) C_noret;
C_noret_decl(f_31489)
static void C_fcall f_31489(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31493)
static void C_ccall f_31493(C_word c,C_word *av) C_noret;
C_noret_decl(f_31499)
static void C_ccall f_31499(C_word c,C_word *av) C_noret;
C_noret_decl(f_31503)
static void C_ccall f_31503(C_word c,C_word *av) C_noret;
C_noret_decl(f_31505)
static void C_fcall f_31505(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31515)
static void C_ccall f_31515(C_word c,C_word *av) C_noret;
C_noret_decl(f_31532)
static void C_ccall f_31532(C_word c,C_word *av) C_noret;
C_noret_decl(f_31535)
static void C_ccall f_31535(C_word c,C_word *av) C_noret;
C_noret_decl(f_31539)
static void C_ccall f_31539(C_word c,C_word *av) C_noret;
C_noret_decl(f_31544)
static void C_ccall f_31544(C_word c,C_word *av) C_noret;
C_noret_decl(f_31550)
static void C_ccall f_31550(C_word c,C_word *av) C_noret;
C_noret_decl(f_31557)
static void C_ccall f_31557(C_word c,C_word *av) C_noret;
C_noret_decl(f_31566)
static void C_ccall f_31566(C_word c,C_word *av) C_noret;
C_noret_decl(f_31574)
static void C_ccall f_31574(C_word c,C_word *av) C_noret;
C_noret_decl(f_31599)
static void C_ccall f_31599(C_word c,C_word *av) C_noret;
C_noret_decl(f_31617)
static void C_ccall f_31617(C_word c,C_word *av) C_noret;
C_noret_decl(f_31621)
static void C_ccall f_31621(C_word c,C_word *av) C_noret;
C_noret_decl(f_31636)
static void C_ccall f_31636(C_word c,C_word *av) C_noret;
C_noret_decl(f_31640)
static void C_ccall f_31640(C_word c,C_word *av) C_noret;
C_noret_decl(f_31655)
static void C_ccall f_31655(C_word c,C_word *av) C_noret;
C_noret_decl(f_31658)
static void C_ccall f_31658(C_word c,C_word *av) C_noret;
C_noret_decl(f_31661)
static void C_ccall f_31661(C_word c,C_word *av) C_noret;
C_noret_decl(f_31671)
static void C_fcall f_31671(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31702)
static void C_ccall f_31702(C_word c,C_word *av) C_noret;
C_noret_decl(f_31726)
static void C_ccall f_31726(C_word c,C_word *av) C_noret;
C_noret_decl(f_31736)
static void C_ccall f_31736(C_word c,C_word *av) C_noret;
C_noret_decl(f_31745)
static void C_ccall f_31745(C_word c,C_word *av) C_noret;
C_noret_decl(f_31786)
static void C_ccall f_31786(C_word c,C_word *av) C_noret;
C_noret_decl(f_31805)
static void C_ccall f_31805(C_word c,C_word *av) C_noret;
C_noret_decl(f_31814)
static void C_ccall f_31814(C_word c,C_word *av) C_noret;
C_noret_decl(f_31818)
static void C_ccall f_31818(C_word c,C_word *av) C_noret;
C_noret_decl(f_31823)
static void C_ccall f_31823(C_word c,C_word *av) C_noret;
C_noret_decl(f_31833)
static void C_ccall f_31833(C_word c,C_word *av) C_noret;
C_noret_decl(f_31843)
static void C_ccall f_31843(C_word c,C_word *av) C_noret;
C_noret_decl(f_31853)
static void C_ccall f_31853(C_word c,C_word *av) C_noret;
C_noret_decl(f_31863)
static void C_ccall f_31863(C_word c,C_word *av) C_noret;
C_noret_decl(f_31873)
static void C_ccall f_31873(C_word c,C_word *av) C_noret;
C_noret_decl(f_31883)
static void C_ccall f_31883(C_word c,C_word *av) C_noret;
C_noret_decl(f_31893)
static void C_ccall f_31893(C_word c,C_word *av) C_noret;
C_noret_decl(f_31903)
static void C_ccall f_31903(C_word c,C_word *av) C_noret;
C_noret_decl(f_31913)
static void C_ccall f_31913(C_word c,C_word *av) C_noret;
C_noret_decl(f_31923)
static void C_ccall f_31923(C_word c,C_word *av) C_noret;
C_noret_decl(f_31933)
static void C_ccall f_31933(C_word c,C_word *av) C_noret;
C_noret_decl(f_31943)
static void C_ccall f_31943(C_word c,C_word *av) C_noret;
C_noret_decl(f_31953)
static void C_ccall f_31953(C_word c,C_word *av) C_noret;
C_noret_decl(f_31969)
static void C_ccall f_31969(C_word c,C_word *av) C_noret;
C_noret_decl(f_31977)
static void C_ccall f_31977(C_word c,C_word *av) C_noret;
C_noret_decl(f_31993)
static void C_ccall f_31993(C_word c,C_word *av) C_noret;
C_noret_decl(f_32009)
static void C_ccall f_32009(C_word c,C_word *av) C_noret;
C_noret_decl(f_32019)
static void C_ccall f_32019(C_word c,C_word *av) C_noret;
C_noret_decl(f_32029)
static void C_ccall f_32029(C_word c,C_word *av) C_noret;
C_noret_decl(f_32048)
static void C_ccall f_32048(C_word c,C_word *av) C_noret;
C_noret_decl(f_32064)
static void C_ccall f_32064(C_word c,C_word *av) C_noret;
C_noret_decl(f_32077)
static void C_ccall f_32077(C_word c,C_word *av) C_noret;
C_noret_decl(f_32083)
static void C_ccall f_32083(C_word c,C_word *av) C_noret;
C_noret_decl(f_32106)
static void C_ccall f_32106(C_word c,C_word *av) C_noret;
C_noret_decl(f_32110)
static void C_ccall f_32110(C_word c,C_word *av) C_noret;
C_noret_decl(f_32114)
static void C_ccall f_32114(C_word c,C_word *av) C_noret;
C_noret_decl(f_32117)
static void C_ccall f_32117(C_word c,C_word *av) C_noret;
C_noret_decl(f_32123)
static void C_ccall f_32123(C_word c,C_word *av) C_noret;
C_noret_decl(f_32146)
static void C_ccall f_32146(C_word c,C_word *av) C_noret;
C_noret_decl(f_32150)
static void C_ccall f_32150(C_word c,C_word *av) C_noret;
C_noret_decl(f_32154)
static void C_ccall f_32154(C_word c,C_word *av) C_noret;
C_noret_decl(f_32157)
static void C_ccall f_32157(C_word c,C_word *av) C_noret;
C_noret_decl(f_32160)
static void C_ccall f_32160(C_word c,C_word *av) C_noret;
C_noret_decl(f_32163)
static void C_ccall f_32163(C_word c,C_word *av) C_noret;
C_noret_decl(f_32169)
static void C_ccall f_32169(C_word c,C_word *av) C_noret;
C_noret_decl(f_32172)
static void C_ccall f_32172(C_word c,C_word *av) C_noret;
C_noret_decl(f_32175)
static void C_ccall f_32175(C_word c,C_word *av) C_noret;
C_noret_decl(f_32185)
static void C_fcall f_32185(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_32209)
static void C_ccall f_32209(C_word c,C_word *av) C_noret;
C_noret_decl(f_32232)
static void C_ccall f_32232(C_word c,C_word *av) C_noret;
C_noret_decl(f_32236)
static void C_ccall f_32236(C_word c,C_word *av) C_noret;
C_noret_decl(f_32240)
static void C_ccall f_32240(C_word c,C_word *av) C_noret;
C_noret_decl(f_32274)
static void C_ccall f_32274(C_word c,C_word *av) C_noret;
C_noret_decl(f_32278)
static void C_ccall f_32278(C_word c,C_word *av) C_noret;
C_noret_decl(f_32281)
static void C_fcall f_32281(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32294)
static void C_fcall f_32294(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32327)
static void C_ccall f_32327(C_word c,C_word *av) C_noret;
C_noret_decl(f_32342)
static void C_ccall f_32342(C_word c,C_word *av) C_noret;
C_noret_decl(f_32346)
static void C_ccall f_32346(C_word c,C_word *av) C_noret;
C_noret_decl(f_32370)
static void C_ccall f_32370(C_word c,C_word *av) C_noret;
C_noret_decl(f_32378)
static void C_ccall f_32378(C_word c,C_word *av) C_noret;
C_noret_decl(f_32382)
static void C_ccall f_32382(C_word c,C_word *av) C_noret;
C_noret_decl(f_32393)
static void C_ccall f_32393(C_word c,C_word *av) C_noret;
C_noret_decl(f_32397)
static void C_ccall f_32397(C_word c,C_word *av) C_noret;
C_noret_decl(f_32401)
static void C_ccall f_32401(C_word c,C_word *av) C_noret;
C_noret_decl(f_32415)
static void C_ccall f_32415(C_word c,C_word *av) C_noret;
C_noret_decl(f_32447)
static void C_ccall f_32447(C_word c,C_word *av) C_noret;
C_noret_decl(f_8545)
static void C_ccall f_8545(C_word c,C_word *av) C_noret;
C_noret_decl(f_8547)
static void C_ccall f_8547(C_word c,C_word *av) C_noret;
C_noret_decl(f_8550)
static void C_ccall f_8550(C_word c,C_word *av) C_noret;
C_noret_decl(f_8553)
static void C_ccall f_8553(C_word c,C_word *av) C_noret;
C_noret_decl(f_8556)
static void C_ccall f_8556(C_word c,C_word *av) C_noret;
C_noret_decl(f_8559)
static void C_ccall f_8559(C_word c,C_word *av) C_noret;
C_noret_decl(f_8562)
static void C_ccall f_8562(C_word c,C_word *av) C_noret;
C_noret_decl(f_8565)
static void C_ccall f_8565(C_word c,C_word *av) C_noret;
C_noret_decl(f_8568)
static void C_ccall f_8568(C_word c,C_word *av) C_noret;
C_noret_decl(f_8571)
static void C_ccall f_8571(C_word c,C_word *av) C_noret;
C_noret_decl(f_8574)
static void C_ccall f_8574(C_word c,C_word *av) C_noret;
C_noret_decl(f_8577)
static void C_ccall f_8577(C_word c,C_word *av) C_noret;
C_noret_decl(f_8580)
static void C_ccall f_8580(C_word c,C_word *av) C_noret;
C_noret_decl(f_8583)
static void C_ccall f_8583(C_word c,C_word *av) C_noret;
C_noret_decl(f_8586)
static void C_ccall f_8586(C_word c,C_word *av) C_noret;
C_noret_decl(f_8589)
static void C_ccall f_8589(C_word c,C_word *av) C_noret;
C_noret_decl(f_8592)
static void C_ccall f_8592(C_word c,C_word *av) C_noret;
C_noret_decl(f_8595)
static void C_ccall f_8595(C_word c,C_word *av) C_noret;
C_noret_decl(f_8598)
static void C_ccall f_8598(C_word c,C_word *av) C_noret;
C_noret_decl(f_8601)
static void C_ccall f_8601(C_word c,C_word *av) C_noret;
C_noret_decl(f_8615)
static void C_ccall f_8615(C_word c,C_word *av) C_noret;
C_noret_decl(f_8622)
static void C_ccall f_8622(C_word c,C_word *av) C_noret;
C_noret_decl(f_8629)
static void C_ccall f_8629(C_word c,C_word *av) C_noret;
C_noret_decl(f_8643)
static void C_ccall f_8643(C_word c,C_word *av) C_noret;
C_noret_decl(f_8650)
static void C_ccall f_8650(C_word c,C_word *av) C_noret;
C_noret_decl(f_8664)
static void C_ccall f_8664(C_word c,C_word *av) C_noret;
C_noret_decl(f_8678)
static void C_ccall f_8678(C_word c,C_word *av) C_noret;
C_noret_decl(f_8696)
static void C_ccall f_8696(C_word c,C_word *av) C_noret;
C_noret_decl(f_8707)
static void C_ccall f_8707(C_word c,C_word *av) C_noret;
C_noret_decl(f_8718)
static void C_ccall f_8718(C_word c,C_word *av) C_noret;
C_noret_decl(f_8725)
static void C_ccall f_8725(C_word c,C_word *av) C_noret;
C_noret_decl(f_8736)
static void C_ccall f_8736(C_word c,C_word *av) C_noret;
C_noret_decl(f_8740)
static void C_ccall f_8740(C_word c,C_word *av) C_noret;
C_noret_decl(f_8747)
static void C_ccall f_8747(C_word c,C_word *av) C_noret;
C_noret_decl(f_8765)
static void C_ccall f_8765(C_word c,C_word *av) C_noret;
C_noret_decl(f_8776)
static void C_ccall f_8776(C_word c,C_word *av) C_noret;
C_noret_decl(f_8787)
static void C_ccall f_8787(C_word c,C_word *av) C_noret;
C_noret_decl(f_8794)
static void C_ccall f_8794(C_word c,C_word *av) C_noret;
C_noret_decl(f_8812)
static void C_ccall f_8812(C_word c,C_word *av) C_noret;
C_noret_decl(f_8823)
static void C_ccall f_8823(C_word c,C_word *av) C_noret;
C_noret_decl(f_8841)
static void C_ccall f_8841(C_word c,C_word *av) C_noret;
C_noret_decl(f_8847)
static void C_ccall f_8847(C_word c,C_word *av) C_noret;
C_noret_decl(f_8850)
static void C_ccall f_8850(C_word c,C_word *av) C_noret;
C_noret_decl(f_8853)
static void C_ccall f_8853(C_word c,C_word *av) C_noret;
C_noret_decl(f_8856)
static void C_ccall f_8856(C_word c,C_word *av) C_noret;
C_noret_decl(f_8859)
static void C_ccall f_8859(C_word c,C_word *av) C_noret;
C_noret_decl(f_8865)
static void C_fcall f_8865(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8898)
static void C_ccall f_8898(C_word c,C_word *av) C_noret;
C_noret_decl(f_8901)
static void C_ccall f_8901(C_word c,C_word *av) C_noret;
C_noret_decl(f_8904)
static void C_ccall f_8904(C_word c,C_word *av) C_noret;
C_noret_decl(f_8907)
static void C_ccall f_8907(C_word c,C_word *av) C_noret;
C_noret_decl(f_8910)
static void C_ccall f_8910(C_word c,C_word *av) C_noret;
C_noret_decl(f_8913)
static void C_ccall f_8913(C_word c,C_word *av) C_noret;
C_noret_decl(f_8916)
static void C_ccall f_8916(C_word c,C_word *av) C_noret;
C_noret_decl(f_8919)
static void C_ccall f_8919(C_word c,C_word *av) C_noret;
C_noret_decl(f_8922)
static void C_ccall f_8922(C_word c,C_word *av) C_noret;
C_noret_decl(f_8925)
static void C_ccall f_8925(C_word c,C_word *av) C_noret;
C_noret_decl(f_8928)
static void C_ccall f_8928(C_word c,C_word *av) C_noret;
C_noret_decl(f_8931)
static void C_ccall f_8931(C_word c,C_word *av) C_noret;
C_noret_decl(f_8934)
static void C_ccall f_8934(C_word c,C_word *av) C_noret;
C_noret_decl(f_8938)
static void C_ccall f_8938(C_word c,C_word *av) C_noret;
C_noret_decl(f_8941)
static void C_ccall f_8941(C_word c,C_word *av) C_noret;
C_noret_decl(f_8947)
static void C_ccall f_8947(C_word c,C_word *av) C_noret;
C_noret_decl(f_8950)
static void C_ccall f_8950(C_word c,C_word *av) C_noret;
C_noret_decl(f_8953)
static void C_ccall f_8953(C_word c,C_word *av) C_noret;
C_noret_decl(f_8956)
static void C_ccall f_8956(C_word c,C_word *av) C_noret;
C_noret_decl(f_8959)
static void C_ccall f_8959(C_word c,C_word *av) C_noret;
C_noret_decl(f_8967)
static void C_ccall f_8967(C_word c,C_word *av) C_noret;
C_noret_decl(f_8971)
static void C_ccall f_8971(C_word c,C_word *av) C_noret;
C_noret_decl(f_8974)
static void C_ccall f_8974(C_word c,C_word *av) C_noret;
C_noret_decl(f_8977)
static void C_ccall f_8977(C_word c,C_word *av) C_noret;
C_noret_decl(f_8980)
static void C_ccall f_8980(C_word c,C_word *av) C_noret;
C_noret_decl(f_8983)
static void C_ccall f_8983(C_word c,C_word *av) C_noret;
C_noret_decl(f_8986)
static void C_ccall f_8986(C_word c,C_word *av) C_noret;
C_noret_decl(f_8989)
static void C_ccall f_8989(C_word c,C_word *av) C_noret;
C_noret_decl(f_8992)
static void C_ccall f_8992(C_word c,C_word *av) C_noret;
C_noret_decl(f_8996)
static void C_ccall f_8996(C_word c,C_word *av) C_noret;
C_noret_decl(f_8999)
static void C_ccall f_8999(C_word c,C_word *av) C_noret;
C_noret_decl(f_9002)
static void C_ccall f_9002(C_word c,C_word *av) C_noret;
C_noret_decl(f_9005)
static void C_ccall f_9005(C_word c,C_word *av) C_noret;
C_noret_decl(f_9008)
static void C_ccall f_9008(C_word c,C_word *av) C_noret;
C_noret_decl(f_9016)
static void C_ccall f_9016(C_word c,C_word *av) C_noret;
C_noret_decl(f_9019)
static void C_ccall f_9019(C_word c,C_word *av) C_noret;
C_noret_decl(f_9026)
static void C_ccall f_9026(C_word c,C_word *av) C_noret;
C_noret_decl(f_9030)
static void C_ccall f_9030(C_word c,C_word *av) C_noret;
C_noret_decl(f_9033)
static void C_ccall f_9033(C_word c,C_word *av) C_noret;
C_noret_decl(f_9036)
static void C_ccall f_9036(C_word c,C_word *av) C_noret;
C_noret_decl(f_9039)
static void C_ccall f_9039(C_word c,C_word *av) C_noret;
C_noret_decl(f_9042)
static void C_ccall f_9042(C_word c,C_word *av) C_noret;
C_noret_decl(f_9045)
static void C_ccall f_9045(C_word c,C_word *av) C_noret;
C_noret_decl(f_9048)
static void C_ccall f_9048(C_word c,C_word *av) C_noret;
C_noret_decl(f_9054)
static void C_ccall f_9054(C_word c,C_word *av) C_noret;
C_noret_decl(f_9065)
static void C_ccall f_9065(C_word c,C_word *av) C_noret;
C_noret_decl(f_9071)
static void C_ccall f_9071(C_word c,C_word *av) C_noret;
C_noret_decl(f_9077)
static void C_ccall f_9077(C_word c,C_word *av) C_noret;
C_noret_decl(f_9083)
static void C_ccall f_9083(C_word c,C_word *av) C_noret;
C_noret_decl(f_9089)
static void C_ccall f_9089(C_word c,C_word *av) C_noret;
C_noret_decl(f_9095)
static void C_ccall f_9095(C_word c,C_word *av) C_noret;
C_noret_decl(f_9102)
static void C_ccall f_9102(C_word c,C_word *av) C_noret;
C_noret_decl(f_9108)
static void C_ccall f_9108(C_word c,C_word *av) C_noret;
C_noret_decl(f_9124)
static void C_ccall f_9124(C_word c,C_word *av) C_noret;
C_noret_decl(f_9135)
static void C_ccall f_9135(C_word c,C_word *av) C_noret;
C_noret_decl(f_9141)
static void C_ccall f_9141(C_word c,C_word *av) C_noret;
C_noret_decl(f_9147)
static void C_ccall f_9147(C_word c,C_word *av) C_noret;
C_noret_decl(f_9153)
static void C_ccall f_9153(C_word c,C_word *av) C_noret;
C_noret_decl(f_9159)
static void C_ccall f_9159(C_word c,C_word *av) C_noret;
C_noret_decl(f_9168)
static void C_ccall f_9168(C_word c,C_word *av) C_noret;
C_noret_decl(f_9171)
static void C_ccall f_9171(C_word c,C_word *av) C_noret;
C_noret_decl(f_9174)
static void C_ccall f_9174(C_word c,C_word *av) C_noret;
C_noret_decl(f_9177)
static void C_ccall f_9177(C_word c,C_word *av) C_noret;
C_noret_decl(f_9180)
static void C_ccall f_9180(C_word c,C_word *av) C_noret;
C_noret_decl(f_9183)
static void C_ccall f_9183(C_word c,C_word *av) C_noret;
C_noret_decl(f_9187)
static void C_ccall f_9187(C_word c,C_word *av) C_noret;
C_noret_decl(f_9193)
static void C_ccall f_9193(C_word c,C_word *av) C_noret;
C_noret_decl(f_9199)
static void C_ccall f_9199(C_word c,C_word *av) C_noret;
C_noret_decl(f_9234)
static void C_ccall f_9234(C_word c,C_word *av) C_noret;
C_noret_decl(f_9237)
static void C_ccall f_9237(C_word c,C_word *av) C_noret;
C_noret_decl(f_9240)
static void C_ccall f_9240(C_word c,C_word *av) C_noret;
C_noret_decl(f_9248)
static void C_ccall f_9248(C_word c,C_word *av) C_noret;
C_noret_decl(f_9254)
static void C_ccall f_9254(C_word c,C_word *av) C_noret;
C_noret_decl(f_9261)
static void C_ccall f_9261(C_word c,C_word *av) C_noret;
C_noret_decl(f_9276)
static void C_ccall f_9276(C_word c,C_word *av) C_noret;
C_noret_decl(f_9299)
static void C_ccall f_9299(C_word c,C_word *av) C_noret;
C_noret_decl(f_9305)
static void C_ccall f_9305(C_word c,C_word *av) C_noret;
C_noret_decl(f_9311)
static void C_ccall f_9311(C_word c,C_word *av) C_noret;
C_noret_decl(f_9318)
static void C_ccall f_9318(C_word c,C_word *av) C_noret;
C_noret_decl(f_9323)
static void C_ccall f_9323(C_word c,C_word *av) C_noret;
C_noret_decl(f_9326)
static void C_ccall f_9326(C_word c,C_word *av) C_noret;
C_noret_decl(f_9335)
static void C_fcall f_9335(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9353)
static void C_ccall f_9353(C_word c,C_word *av) C_noret;
C_noret_decl(f_9363)
static void C_ccall f_9363(C_word c,C_word *av) C_noret;
C_noret_decl(f_9372)
static void C_fcall f_9372(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9390)
static void C_ccall f_9390(C_word c,C_word *av) C_noret;
C_noret_decl(f_9403)
static void C_ccall f_9403(C_word c,C_word *av) C_noret;
C_noret_decl(f_9410)
static void C_ccall f_9410(C_word c,C_word *av) C_noret;
C_noret_decl(f_9417)
static void C_ccall f_9417(C_word c,C_word *av) C_noret;
C_noret_decl(f_9428)
static void C_ccall f_9428(C_word c,C_word *av) C_noret;
C_noret_decl(f_9435)
static void C_ccall f_9435(C_word c,C_word *av) C_noret;
C_noret_decl(f_9447)
static void C_ccall f_9447(C_word c,C_word *av) C_noret;
C_noret_decl(f_9450)
static void C_ccall f_9450(C_word c,C_word *av) C_noret;
C_noret_decl(f_9452)
static void C_ccall f_9452(C_word c,C_word *av) C_noret;
C_noret_decl(f_9458)
static void C_fcall f_9458(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9474)
static void C_ccall f_9474(C_word c,C_word *av) C_noret;
C_noret_decl(f_9483)
static void C_ccall f_9483(C_word c,C_word *av) C_noret;
C_noret_decl(f_9485)
static void C_ccall f_9485(C_word c,C_word *av) C_noret;
C_noret_decl(f_9491)
static void C_fcall f_9491(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9504)
static void C_ccall f_9504(C_word c,C_word *av) C_noret;
C_noret_decl(f_9520)
static void C_ccall f_9520(C_word c,C_word *av) C_noret;
C_noret_decl(f_9531)
static void C_ccall f_9531(C_word c,C_word *av) C_noret;
C_noret_decl(f_9533)
static void C_ccall f_9533(C_word c,C_word *av) C_noret;
C_noret_decl(f_9541)
static void C_ccall f_9541(C_word c,C_word *av) C_noret;
C_noret_decl(f_9543)
static void C_ccall f_9543(C_word c,C_word *av) C_noret;
C_noret_decl(f_9549)
static void C_ccall f_9549(C_word c,C_word *av) C_noret;
C_noret_decl(f_9551)
static void C_ccall f_9551(C_word c,C_word *av) C_noret;
C_noret_decl(f_9559)
static void C_ccall f_9559(C_word c,C_word *av) C_noret;
C_noret_decl(f_9561)
static void C_ccall f_9561(C_word c,C_word *av) C_noret;
C_noret_decl(f_9564)
static void C_ccall f_9564(C_word c,C_word *av) C_noret;
C_noret_decl(f_9572)
static void C_ccall f_9572(C_word c,C_word *av) C_noret;
C_noret_decl(f_9578)
static void C_ccall f_9578(C_word c,C_word *av) C_noret;
C_noret_decl(f_9586)
static void C_ccall f_9586(C_word c,C_word *av) C_noret;
C_noret_decl(f_9597)
static void C_ccall f_9597(C_word c,C_word *av) C_noret;
C_noret_decl(f_9609)
static void C_fcall f_9609(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9623)
static void C_ccall f_9623(C_word c,C_word *av) C_noret;
C_noret_decl(f_9631)
static void C_ccall f_9631(C_word c,C_word *av) C_noret;
C_noret_decl(f_9634)
static void C_ccall f_9634(C_word c,C_word *av) C_noret;
C_noret_decl(f_9636)
static void C_ccall f_9636(C_word c,C_word *av) C_noret;
C_noret_decl(f_9638)
static void C_ccall f_9638(C_word c,C_word *av) C_noret;
C_noret_decl(f_9644)
static void C_fcall f_9644(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9663)
static void C_ccall f_9663(C_word c,C_word *av) C_noret;
C_noret_decl(f_9680)
static void C_ccall f_9680(C_word c,C_word *av) C_noret;
C_noret_decl(f_9688)
static void C_ccall f_9688(C_word c,C_word *av) C_noret;
C_noret_decl(f_9702)
static void C_ccall f_9702(C_word c,C_word *av) C_noret;
C_noret_decl(f_9708)
static void C_fcall f_9708(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9727)
static void C_ccall f_9727(C_word c,C_word *av) C_noret;
C_noret_decl(f_9736)
static void C_ccall f_9736(C_word c,C_word *av) C_noret;
C_noret_decl(f_9739)
static void C_ccall f_9739(C_word c,C_word *av) C_noret;
C_noret_decl(f_9751)
static C_word C_fcall f_9751(C_word t0,C_word t1);
C_noret_decl(f_9767)
static void C_ccall f_9767(C_word c,C_word *av) C_noret;
C_noret_decl(f_9773)
static void C_fcall f_9773(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9798)
static void C_ccall f_9798(C_word c,C_word *av) C_noret;
C_noret_decl(f_9800)
static void C_ccall f_9800(C_word c,C_word *av) C_noret;
C_noret_decl(f_9809)
static void C_fcall f_9809(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9830)
static void C_ccall f_9830(C_word c,C_word *av) C_noret;
C_noret_decl(f_9832)
static void C_ccall f_9832(C_word c,C_word *av) C_noret;
C_noret_decl(f_9838)
static void C_fcall f_9838(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9864)
static void C_ccall f_9864(C_word c,C_word *av) C_noret;
C_noret_decl(f_9871)
static void C_ccall f_9871(C_word c,C_word *av) C_noret;
C_noret_decl(f_9873)
static void C_ccall f_9873(C_word c,C_word *av) C_noret;
C_noret_decl(f_9885)
static void C_fcall f_9885(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9920)
static void C_ccall f_9920(C_word c,C_word *av) C_noret;
C_noret_decl(f_9930)
static void C_ccall f_9930(C_word c,C_word *av) C_noret;
C_noret_decl(f_9939)
static void C_fcall f_9939(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9981)
static void C_ccall f_9981(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10017)
static void C_ccall trf_10017(C_word c,C_word *av) C_noret;
static void C_ccall trf_10017(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10017(t0,t1);}

C_noret_decl(trf_10055)
static void C_ccall trf_10055(C_word c,C_word *av) C_noret;
static void C_ccall trf_10055(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10055(t0,t1,t2);}

C_noret_decl(trf_10105)
static void C_ccall trf_10105(C_word c,C_word *av) C_noret;
static void C_ccall trf_10105(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10105(t0,t1,t2);}

C_noret_decl(trf_10216)
static void C_ccall trf_10216(C_word c,C_word *av) C_noret;
static void C_ccall trf_10216(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10216(t0,t1);}

C_noret_decl(trf_10247)
static void C_ccall trf_10247(C_word c,C_word *av) C_noret;
static void C_ccall trf_10247(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10247(t0,t1,t2);}

C_noret_decl(trf_10324)
static void C_ccall trf_10324(C_word c,C_word *av) C_noret;
static void C_ccall trf_10324(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10324(t0,t1,t2);}

C_noret_decl(trf_10929)
static void C_ccall trf_10929(C_word c,C_word *av) C_noret;
static void C_ccall trf_10929(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10929(t0,t1,t2,t3);}

C_noret_decl(trf_10978)
static void C_ccall trf_10978(C_word c,C_word *av) C_noret;
static void C_ccall trf_10978(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10978(t0,t1);}

C_noret_decl(trf_11185)
static void C_ccall trf_11185(C_word c,C_word *av) C_noret;
static void C_ccall trf_11185(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11185(t0,t1,t2);}

C_noret_decl(trf_11204)
static void C_ccall trf_11204(C_word c,C_word *av) C_noret;
static void C_ccall trf_11204(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11204(t0,t1,t2);}

C_noret_decl(trf_11258)
static void C_ccall trf_11258(C_word c,C_word *av) C_noret;
static void C_ccall trf_11258(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11258(t0,t1,t2,t3);}

C_noret_decl(trf_11354)
static void C_ccall trf_11354(C_word c,C_word *av) C_noret;
static void C_ccall trf_11354(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11354(t0,t1,t2,t3);}

C_noret_decl(trf_11512)
static void C_ccall trf_11512(C_word c,C_word *av) C_noret;
static void C_ccall trf_11512(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11512(t0,t1);}

C_noret_decl(trf_11521)
static void C_ccall trf_11521(C_word c,C_word *av) C_noret;
static void C_ccall trf_11521(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11521(t0,t1);}

C_noret_decl(trf_11804)
static void C_ccall trf_11804(C_word c,C_word *av) C_noret;
static void C_ccall trf_11804(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11804(t0,t1,t2,t3);}

C_noret_decl(trf_11893)
static void C_ccall trf_11893(C_word c,C_word *av) C_noret;
static void C_ccall trf_11893(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11893(t0,t1,t2,t3);}

C_noret_decl(trf_11914)
static void C_ccall trf_11914(C_word c,C_word *av) C_noret;
static void C_ccall trf_11914(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11914(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12643)
static void C_ccall trf_12643(C_word c,C_word *av) C_noret;
static void C_ccall trf_12643(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12643(t0,t1,t2);}

C_noret_decl(trf_13002)
static void C_ccall trf_13002(C_word c,C_word *av) C_noret;
static void C_ccall trf_13002(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13002(t0,t1,t2,t3);}

C_noret_decl(trf_13019)
static void C_ccall trf_13019(C_word c,C_word *av) C_noret;
static void C_ccall trf_13019(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13019(t0,t1,t2,t3);}

C_noret_decl(trf_13186)
static void C_ccall trf_13186(C_word c,C_word *av) C_noret;
static void C_ccall trf_13186(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13186(t0,t1,t2,t3);}

C_noret_decl(trf_13668)
static void C_ccall trf_13668(C_word c,C_word *av) C_noret;
static void C_ccall trf_13668(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13668(t0,t1,t2);}

C_noret_decl(trf_13671)
static void C_ccall trf_13671(C_word c,C_word *av) C_noret;
static void C_ccall trf_13671(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13671(t0,t1,t2,t3);}

C_noret_decl(trf_13850)
static void C_ccall trf_13850(C_word c,C_word *av) C_noret;
static void C_ccall trf_13850(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13850(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13894)
static void C_ccall trf_13894(C_word c,C_word *av) C_noret;
static void C_ccall trf_13894(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13894(t0,t1,t2,t3,t4);}

C_noret_decl(trf_14157)
static void C_ccall trf_14157(C_word c,C_word *av) C_noret;
static void C_ccall trf_14157(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14157(t0,t1);}

C_noret_decl(trf_14163)
static void C_ccall trf_14163(C_word c,C_word *av) C_noret;
static void C_ccall trf_14163(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14163(t0,t1);}

C_noret_decl(trf_14219)
static void C_ccall trf_14219(C_word c,C_word *av) C_noret;
static void C_ccall trf_14219(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14219(t0,t1);}

C_noret_decl(trf_14225)
static void C_ccall trf_14225(C_word c,C_word *av) C_noret;
static void C_ccall trf_14225(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14225(t0,t1);}

C_noret_decl(trf_14698)
static void C_ccall trf_14698(C_word c,C_word *av) C_noret;
static void C_ccall trf_14698(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14698(t0,t1);}

C_noret_decl(trf_14733)
static void C_ccall trf_14733(C_word c,C_word *av) C_noret;
static void C_ccall trf_14733(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14733(t0,t1,t2,t3);}

C_noret_decl(trf_14843)
static void C_ccall trf_14843(C_word c,C_word *av) C_noret;
static void C_ccall trf_14843(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14843(t0,t1,t2,t3);}

C_noret_decl(trf_14885)
static void C_ccall trf_14885(C_word c,C_word *av) C_noret;
static void C_ccall trf_14885(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14885(t0,t1,t2);}

C_noret_decl(trf_14899)
static void C_ccall trf_14899(C_word c,C_word *av) C_noret;
static void C_ccall trf_14899(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14899(t0,t1,t2);}

C_noret_decl(trf_15053)
static void C_ccall trf_15053(C_word c,C_word *av) C_noret;
static void C_ccall trf_15053(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15053(t0,t1);}

C_noret_decl(trf_15149)
static void C_ccall trf_15149(C_word c,C_word *av) C_noret;
static void C_ccall trf_15149(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15149(t0,t1,t2,t3);}

C_noret_decl(trf_15245)
static void C_ccall trf_15245(C_word c,C_word *av) C_noret;
static void C_ccall trf_15245(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15245(t0,t1,t2,t3);}

C_noret_decl(trf_15310)
static void C_ccall trf_15310(C_word c,C_word *av) C_noret;
static void C_ccall trf_15310(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15310(t0,t1,t2,t3);}

C_noret_decl(trf_15514)
static void C_ccall trf_15514(C_word c,C_word *av) C_noret;
static void C_ccall trf_15514(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15514(t0,t1);}

C_noret_decl(trf_15575)
static void C_ccall trf_15575(C_word c,C_word *av) C_noret;
static void C_ccall trf_15575(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15575(t0,t1,t2);}

C_noret_decl(trf_15618)
static void C_ccall trf_15618(C_word c,C_word *av) C_noret;
static void C_ccall trf_15618(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15618(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15636)
static void C_ccall trf_15636(C_word c,C_word *av) C_noret;
static void C_ccall trf_15636(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15636(t0,t1,t2,t3);}

C_noret_decl(trf_15716)
static void C_ccall trf_15716(C_word c,C_word *av) C_noret;
static void C_ccall trf_15716(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15716(t0,t1,t2);}

C_noret_decl(trf_15722)
static void C_ccall trf_15722(C_word c,C_word *av) C_noret;
static void C_ccall trf_15722(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15722(t0,t1,t2);}

C_noret_decl(trf_15785)
static void C_ccall trf_15785(C_word c,C_word *av) C_noret;
static void C_ccall trf_15785(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15785(t0,t1);}

C_noret_decl(trf_15824)
static void C_ccall trf_15824(C_word c,C_word *av) C_noret;
static void C_ccall trf_15824(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15824(t0,t1,t2);}

C_noret_decl(trf_15830)
static void C_ccall trf_15830(C_word c,C_word *av) C_noret;
static void C_ccall trf_15830(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15830(t0,t1,t2);}

C_noret_decl(trf_15874)
static void C_ccall trf_15874(C_word c,C_word *av) C_noret;
static void C_ccall trf_15874(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15874(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15930)
static void C_ccall trf_15930(C_word c,C_word *av) C_noret;
static void C_ccall trf_15930(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15930(t0,t1,t2);}

C_noret_decl(trf_15945)
static void C_ccall trf_15945(C_word c,C_word *av) C_noret;
static void C_ccall trf_15945(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15945(t0,t1);}

C_noret_decl(trf_15988)
static void C_ccall trf_15988(C_word c,C_word *av) C_noret;
static void C_ccall trf_15988(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15988(t0,t1,t2,t3,t4);}

C_noret_decl(trf_16007)
static void C_ccall trf_16007(C_word c,C_word *av) C_noret;
static void C_ccall trf_16007(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16007(t0,t1);}

C_noret_decl(trf_16019)
static void C_ccall trf_16019(C_word c,C_word *av) C_noret;
static void C_ccall trf_16019(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16019(t0,t1);}

C_noret_decl(trf_16046)
static void C_ccall trf_16046(C_word c,C_word *av) C_noret;
static void C_ccall trf_16046(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16046(t0,t1);}

C_noret_decl(trf_16202)
static void C_ccall trf_16202(C_word c,C_word *av) C_noret;
static void C_ccall trf_16202(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_16202(t0,t1,t2,t3);}

C_noret_decl(trf_16209)
static void C_ccall trf_16209(C_word c,C_word *av) C_noret;
static void C_ccall trf_16209(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16209(t0,t1);}

C_noret_decl(trf_16280)
static void C_ccall trf_16280(C_word c,C_word *av) C_noret;
static void C_ccall trf_16280(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16280(t0,t1);}

C_noret_decl(trf_16548)
static void C_ccall trf_16548(C_word c,C_word *av) C_noret;
static void C_ccall trf_16548(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16548(t0,t1,t2);}

C_noret_decl(trf_16563)
static void C_ccall trf_16563(C_word c,C_word *av) C_noret;
static void C_ccall trf_16563(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16563(t0,t1);}

C_noret_decl(trf_16621)
static void C_ccall trf_16621(C_word c,C_word *av) C_noret;
static void C_ccall trf_16621(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16621(t0,t1);}

C_noret_decl(trf_17057)
static void C_ccall trf_17057(C_word c,C_word *av) C_noret;
static void C_ccall trf_17057(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_17057(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_17342)
static void C_ccall trf_17342(C_word c,C_word *av) C_noret;
static void C_ccall trf_17342(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17342(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17369)
static void C_ccall trf_17369(C_word c,C_word *av) C_noret;
static void C_ccall trf_17369(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17369(t0,t1,t2);}

C_noret_decl(trf_17410)
static void C_ccall trf_17410(C_word c,C_word *av) C_noret;
static void C_ccall trf_17410(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17410(t0,t1,t2,t3);}

C_noret_decl(trf_17647)
static void C_ccall trf_17647(C_word c,C_word *av) C_noret;
static void C_ccall trf_17647(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17647(t0,t1,t2);}

C_noret_decl(trf_17909)
static void C_ccall trf_17909(C_word c,C_word *av) C_noret;
static void C_ccall trf_17909(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17909(t0,t1,t2);}

C_noret_decl(trf_18128)
static void C_ccall trf_18128(C_word c,C_word *av) C_noret;
static void C_ccall trf_18128(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_18128(t0,t1,t2,t3);}

C_noret_decl(trf_18229)
static void C_ccall trf_18229(C_word c,C_word *av) C_noret;
static void C_ccall trf_18229(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18229(t0,t1,t2);}

C_noret_decl(trf_18437)
static void C_ccall trf_18437(C_word c,C_word *av) C_noret;
static void C_ccall trf_18437(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18437(t0,t1,t2);}

C_noret_decl(trf_18475)
static void C_ccall trf_18475(C_word c,C_word *av) C_noret;
static void C_ccall trf_18475(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18475(t0,t1,t2);}

C_noret_decl(trf_18523)
static void C_ccall trf_18523(C_word c,C_word *av) C_noret;
static void C_ccall trf_18523(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18523(t0,t1,t2);}

C_noret_decl(trf_18584)
static void C_ccall trf_18584(C_word c,C_word *av) C_noret;
static void C_ccall trf_18584(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18584(t0,t1,t2);}

C_noret_decl(trf_18614)
static void C_ccall trf_18614(C_word c,C_word *av) C_noret;
static void C_ccall trf_18614(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18614(t0,t1,t2);}

C_noret_decl(trf_18669)
static void C_ccall trf_18669(C_word c,C_word *av) C_noret;
static void C_ccall trf_18669(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18669(t0,t1,t2);}

C_noret_decl(trf_18710)
static void C_ccall trf_18710(C_word c,C_word *av) C_noret;
static void C_ccall trf_18710(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18710(t0,t1,t2);}

C_noret_decl(trf_18824)
static void C_ccall trf_18824(C_word c,C_word *av) C_noret;
static void C_ccall trf_18824(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18824(t0,t1,t2);}

C_noret_decl(trf_19214)
static void C_ccall trf_19214(C_word c,C_word *av) C_noret;
static void C_ccall trf_19214(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19214(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19257)
static void C_ccall trf_19257(C_word c,C_word *av) C_noret;
static void C_ccall trf_19257(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19257(t0,t1,t2);}

C_noret_decl(trf_19312)
static void C_ccall trf_19312(C_word c,C_word *av) C_noret;
static void C_ccall trf_19312(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19312(t0,t1,t2,t3);}

C_noret_decl(trf_19568)
static void C_ccall trf_19568(C_word c,C_word *av) C_noret;
static void C_ccall trf_19568(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19568(t0,t1,t2);}

C_noret_decl(trf_19581)
static void C_ccall trf_19581(C_word c,C_word *av) C_noret;
static void C_ccall trf_19581(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19581(t0,t1,t2);}

C_noret_decl(trf_19640)
static void C_ccall trf_19640(C_word c,C_word *av) C_noret;
static void C_ccall trf_19640(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19640(t0,t1,t2);}

C_noret_decl(trf_19894)
static void C_ccall trf_19894(C_word c,C_word *av) C_noret;
static void C_ccall trf_19894(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19894(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19898)
static void C_ccall trf_19898(C_word c,C_word *av) C_noret;
static void C_ccall trf_19898(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19898(t0,t1);}

C_noret_decl(trf_19928)
static void C_ccall trf_19928(C_word c,C_word *av) C_noret;
static void C_ccall trf_19928(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19928(t0,t1);}

C_noret_decl(trf_19948)
static void C_ccall trf_19948(C_word c,C_word *av) C_noret;
static void C_ccall trf_19948(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19948(t0,t1,t2,t3);}

C_noret_decl(trf_19957)
static void C_ccall trf_19957(C_word c,C_word *av) C_noret;
static void C_ccall trf_19957(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19957(t0,t1,t2);}

C_noret_decl(trf_19962)
static void C_ccall trf_19962(C_word c,C_word *av) C_noret;
static void C_ccall trf_19962(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19962(t0,t1);}

C_noret_decl(trf_20327)
static void C_ccall trf_20327(C_word c,C_word *av) C_noret;
static void C_ccall trf_20327(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20327(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20336)
static void C_ccall trf_20336(C_word c,C_word *av) C_noret;
static void C_ccall trf_20336(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20336(t0,t1);}

C_noret_decl(trf_20346)
static void C_ccall trf_20346(C_word c,C_word *av) C_noret;
static void C_ccall trf_20346(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20346(t0,t1,t2);}

C_noret_decl(trf_20373)
static void C_ccall trf_20373(C_word c,C_word *av) C_noret;
static void C_ccall trf_20373(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20373(t0,t1,t2);}

C_noret_decl(trf_20382)
static void C_ccall trf_20382(C_word c,C_word *av) C_noret;
static void C_ccall trf_20382(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20382(t0,t1,t2);}

C_noret_decl(trf_20397)
static void C_ccall trf_20397(C_word c,C_word *av) C_noret;
static void C_ccall trf_20397(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20397(t0,t1);}

C_noret_decl(trf_20400)
static void C_ccall trf_20400(C_word c,C_word *av) C_noret;
static void C_ccall trf_20400(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20400(t0,t1);}

C_noret_decl(trf_20410)
static void C_ccall trf_20410(C_word c,C_word *av) C_noret;
static void C_ccall trf_20410(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20410(t0,t1,t2);}

C_noret_decl(trf_20448)
static void C_ccall trf_20448(C_word c,C_word *av) C_noret;
static void C_ccall trf_20448(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20448(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20454)
static void C_ccall trf_20454(C_word c,C_word *av) C_noret;
static void C_ccall trf_20454(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20454(t0,t1,t2,t3);}

C_noret_decl(trf_20508)
static void C_ccall trf_20508(C_word c,C_word *av) C_noret;
static void C_ccall trf_20508(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20508(t0,t1,t2);}

C_noret_decl(trf_20520)
static void C_ccall trf_20520(C_word c,C_word *av) C_noret;
static void C_ccall trf_20520(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20520(t0,t1,t2,t3);}

C_noret_decl(trf_20545)
static void C_ccall trf_20545(C_word c,C_word *av) C_noret;
static void C_ccall trf_20545(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20545(t0,t1,t2);}

C_noret_decl(trf_20555)
static void C_ccall trf_20555(C_word c,C_word *av) C_noret;
static void C_ccall trf_20555(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20555(t0,t1,t2,t3);}

C_noret_decl(trf_20736)
static void C_ccall trf_20736(C_word c,C_word *av) C_noret;
static void C_ccall trf_20736(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20736(t0,t1);}

C_noret_decl(trf_20827)
static void C_ccall trf_20827(C_word c,C_word *av) C_noret;
static void C_ccall trf_20827(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20827(t0,t1);}

C_noret_decl(trf_20847)
static void C_ccall trf_20847(C_word c,C_word *av) C_noret;
static void C_ccall trf_20847(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20847(t0,t1);}

C_noret_decl(trf_20852)
static void C_ccall trf_20852(C_word c,C_word *av) C_noret;
static void C_ccall trf_20852(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20852(t0,t1,t2,t3);}

C_noret_decl(trf_20951)
static void C_ccall trf_20951(C_word c,C_word *av) C_noret;
static void C_ccall trf_20951(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20951(t0,t1);}

C_noret_decl(trf_21099)
static void C_ccall trf_21099(C_word c,C_word *av) C_noret;
static void C_ccall trf_21099(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21099(t0,t1,t2,t3);}

C_noret_decl(trf_21108)
static void C_ccall trf_21108(C_word c,C_word *av) C_noret;
static void C_ccall trf_21108(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21108(t0,t1,t2);}

C_noret_decl(trf_21163)
static void C_ccall trf_21163(C_word c,C_word *av) C_noret;
static void C_ccall trf_21163(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21163(t0,t1,t2);}

C_noret_decl(trf_21170)
static void C_ccall trf_21170(C_word c,C_word *av) C_noret;
static void C_ccall trf_21170(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21170(t0,t1);}

C_noret_decl(trf_21213)
static void C_ccall trf_21213(C_word c,C_word *av) C_noret;
static void C_ccall trf_21213(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21213(t0,t1);}

C_noret_decl(trf_21361)
static void C_ccall trf_21361(C_word c,C_word *av) C_noret;
static void C_ccall trf_21361(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21361(t0,t1);}

C_noret_decl(trf_21379)
static void C_ccall trf_21379(C_word c,C_word *av) C_noret;
static void C_ccall trf_21379(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21379(t0,t1,t2,t3);}

C_noret_decl(trf_21449)
static void C_ccall trf_21449(C_word c,C_word *av) C_noret;
static void C_ccall trf_21449(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21449(t0,t1,t2);}

C_noret_decl(trf_21500)
static void C_ccall trf_21500(C_word c,C_word *av) C_noret;
static void C_ccall trf_21500(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21500(t0,t1,t2);}

C_noret_decl(trf_21567)
static void C_ccall trf_21567(C_word c,C_word *av) C_noret;
static void C_ccall trf_21567(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21567(t0,t1);}

C_noret_decl(trf_21577)
static void C_ccall trf_21577(C_word c,C_word *av) C_noret;
static void C_ccall trf_21577(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21577(t0,t1,t2,t3);}

C_noret_decl(trf_21587)
static void C_ccall trf_21587(C_word c,C_word *av) C_noret;
static void C_ccall trf_21587(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21587(t0,t1);}

C_noret_decl(trf_21631)
static void C_ccall trf_21631(C_word c,C_word *av) C_noret;
static void C_ccall trf_21631(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21631(t0,t1);}

C_noret_decl(trf_21641)
static void C_ccall trf_21641(C_word c,C_word *av) C_noret;
static void C_ccall trf_21641(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21641(t0,t1,t2,t3);}

C_noret_decl(trf_21677)
static void C_ccall trf_21677(C_word c,C_word *av) C_noret;
static void C_ccall trf_21677(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21677(t0,t1);}

C_noret_decl(trf_21702)
static void C_ccall trf_21702(C_word c,C_word *av) C_noret;
static void C_ccall trf_21702(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21702(t0,t1,t2);}

C_noret_decl(trf_21708)
static void C_ccall trf_21708(C_word c,C_word *av) C_noret;
static void C_ccall trf_21708(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_21708(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_21721)
static void C_ccall trf_21721(C_word c,C_word *av) C_noret;
static void C_ccall trf_21721(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21721(t0,t1);}

C_noret_decl(trf_21727)
static void C_ccall trf_21727(C_word c,C_word *av) C_noret;
static void C_ccall trf_21727(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21727(t0,t1);}

C_noret_decl(trf_21847)
static void C_ccall trf_21847(C_word c,C_word *av) C_noret;
static void C_ccall trf_21847(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21847(t0,t1);}

C_noret_decl(trf_21927)
static void C_ccall trf_21927(C_word c,C_word *av) C_noret;
static void C_ccall trf_21927(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21927(t0,t1);}

C_noret_decl(trf_21966)
static void C_ccall trf_21966(C_word c,C_word *av) C_noret;
static void C_ccall trf_21966(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21966(t0,t1);}

C_noret_decl(trf_22111)
static void C_ccall trf_22111(C_word c,C_word *av) C_noret;
static void C_ccall trf_22111(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22111(t0,t1);}

C_noret_decl(trf_22136)
static void C_ccall trf_22136(C_word c,C_word *av) C_noret;
static void C_ccall trf_22136(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22136(t0,t1);}

C_noret_decl(trf_22142)
static void C_ccall trf_22142(C_word c,C_word *av) C_noret;
static void C_ccall trf_22142(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22142(t0,t1,t2);}

C_noret_decl(trf_22223)
static void C_ccall trf_22223(C_word c,C_word *av) C_noret;
static void C_ccall trf_22223(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22223(t0,t1);}

C_noret_decl(trf_22236)
static void C_ccall trf_22236(C_word c,C_word *av) C_noret;
static void C_ccall trf_22236(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22236(t0,t1,t2);}

C_noret_decl(trf_22844)
static void C_ccall trf_22844(C_word c,C_word *av) C_noret;
static void C_ccall trf_22844(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22844(t0,t1);}

C_noret_decl(trf_23393)
static void C_ccall trf_23393(C_word c,C_word *av) C_noret;
static void C_ccall trf_23393(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23393(t0,t1,t2);}

C_noret_decl(trf_23439)
static void C_ccall trf_23439(C_word c,C_word *av) C_noret;
static void C_ccall trf_23439(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23439(t0,t1,t2,t3);}

C_noret_decl(trf_23702)
static void C_ccall trf_23702(C_word c,C_word *av) C_noret;
static void C_ccall trf_23702(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23702(t0,t1,t2);}

C_noret_decl(trf_23753)
static void C_ccall trf_23753(C_word c,C_word *av) C_noret;
static void C_ccall trf_23753(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23753(t0,t1,t2);}

C_noret_decl(trf_23812)
static void C_ccall trf_23812(C_word c,C_word *av) C_noret;
static void C_ccall trf_23812(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23812(t0,t1,t2,t3);}

C_noret_decl(trf_23884)
static void C_ccall trf_23884(C_word c,C_word *av) C_noret;
static void C_ccall trf_23884(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23884(t0,t1,t2,t3);}

C_noret_decl(trf_23944)
static void C_ccall trf_23944(C_word c,C_word *av) C_noret;
static void C_ccall trf_23944(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23944(t0,t1,t2,t3);}

C_noret_decl(trf_23968)
static void C_ccall trf_23968(C_word c,C_word *av) C_noret;
static void C_ccall trf_23968(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23968(t0,t1,t2,t3);}

C_noret_decl(trf_23980)
static void C_ccall trf_23980(C_word c,C_word *av) C_noret;
static void C_ccall trf_23980(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23980(t0,t1,t2);}

C_noret_decl(trf_24057)
static void C_ccall trf_24057(C_word c,C_word *av) C_noret;
static void C_ccall trf_24057(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24057(t0,t1,t2);}

C_noret_decl(trf_24106)
static void C_ccall trf_24106(C_word c,C_word *av) C_noret;
static void C_ccall trf_24106(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24106(t0,t1,t2);}

C_noret_decl(trf_24122)
static void C_ccall trf_24122(C_word c,C_word *av) C_noret;
static void C_ccall trf_24122(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24122(t0,t1);}

C_noret_decl(trf_24141)
static void C_ccall trf_24141(C_word c,C_word *av) C_noret;
static void C_ccall trf_24141(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24141(t0,t1);}

C_noret_decl(trf_24251)
static void C_ccall trf_24251(C_word c,C_word *av) C_noret;
static void C_ccall trf_24251(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24251(t0,t1,t2);}

C_noret_decl(trf_24310)
static void C_ccall trf_24310(C_word c,C_word *av) C_noret;
static void C_ccall trf_24310(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24310(t0,t1,t2);}

C_noret_decl(trf_24467)
static void C_ccall trf_24467(C_word c,C_word *av) C_noret;
static void C_ccall trf_24467(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24467(t0,t1,t2,t3);}

C_noret_decl(trf_24646)
static void C_ccall trf_24646(C_word c,C_word *av) C_noret;
static void C_ccall trf_24646(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24646(t0,t1,t2);}

C_noret_decl(trf_24718)
static void C_ccall trf_24718(C_word c,C_word *av) C_noret;
static void C_ccall trf_24718(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24718(t0,t1,t2);}

C_noret_decl(trf_24857)
static void C_ccall trf_24857(C_word c,C_word *av) C_noret;
static void C_ccall trf_24857(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24857(t0,t1,t2,t3);}

C_noret_decl(trf_25256)
static void C_ccall trf_25256(C_word c,C_word *av) C_noret;
static void C_ccall trf_25256(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25256(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25276)
static void C_ccall trf_25276(C_word c,C_word *av) C_noret;
static void C_ccall trf_25276(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25276(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25330)
static void C_ccall trf_25330(C_word c,C_word *av) C_noret;
static void C_ccall trf_25330(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25330(t0,t1);}

C_noret_decl(trf_25527)
static void C_ccall trf_25527(C_word c,C_word *av) C_noret;
static void C_ccall trf_25527(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25527(t0,t1,t2);}

C_noret_decl(trf_25542)
static void C_ccall trf_25542(C_word c,C_word *av) C_noret;
static void C_ccall trf_25542(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25542(t0,t1,t2);}

C_noret_decl(trf_25645)
static void C_ccall trf_25645(C_word c,C_word *av) C_noret;
static void C_ccall trf_25645(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25645(t0,t1,t2);}

C_noret_decl(trf_25664)
static void C_ccall trf_25664(C_word c,C_word *av) C_noret;
static void C_ccall trf_25664(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25664(t0,t1);}

C_noret_decl(trf_25773)
static void C_ccall trf_25773(C_word c,C_word *av) C_noret;
static void C_ccall trf_25773(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25773(t0,t1,t2);}

C_noret_decl(trf_25810)
static void C_ccall trf_25810(C_word c,C_word *av) C_noret;
static void C_ccall trf_25810(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25810(t0,t1);}

C_noret_decl(trf_25844)
static void C_ccall trf_25844(C_word c,C_word *av) C_noret;
static void C_ccall trf_25844(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25844(t0,t1,t2);}

C_noret_decl(trf_25980)
static void C_ccall trf_25980(C_word c,C_word *av) C_noret;
static void C_ccall trf_25980(C_word c,C_word *av){
C_word t0=av[0];
f_25980(t0);}

C_noret_decl(trf_26008)
static void C_ccall trf_26008(C_word c,C_word *av) C_noret;
static void C_ccall trf_26008(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26008(t0,t1);}

C_noret_decl(trf_26032)
static void C_ccall trf_26032(C_word c,C_word *av) C_noret;
static void C_ccall trf_26032(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26032(t0,t1,t2);}

C_noret_decl(trf_26127)
static void C_ccall trf_26127(C_word c,C_word *av) C_noret;
static void C_ccall trf_26127(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26127(t0,t1,t2);}

C_noret_decl(trf_26175)
static void C_ccall trf_26175(C_word c,C_word *av) C_noret;
static void C_ccall trf_26175(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26175(t0,t1);}

C_noret_decl(trf_26178)
static void C_ccall trf_26178(C_word c,C_word *av) C_noret;
static void C_ccall trf_26178(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26178(t0,t1);}

C_noret_decl(trf_26198)
static void C_ccall trf_26198(C_word c,C_word *av) C_noret;
static void C_ccall trf_26198(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26198(t0,t1);}

C_noret_decl(trf_26621)
static void C_ccall trf_26621(C_word c,C_word *av) C_noret;
static void C_ccall trf_26621(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26621(t0,t1,t2,t3);}

C_noret_decl(trf_26627)
static void C_ccall trf_26627(C_word c,C_word *av) C_noret;
static void C_ccall trf_26627(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26627(t0,t1,t2);}

C_noret_decl(trf_26643)
static void C_ccall trf_26643(C_word c,C_word *av) C_noret;
static void C_ccall trf_26643(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26643(t0,t1);}

C_noret_decl(trf_26740)
static void C_ccall trf_26740(C_word c,C_word *av) C_noret;
static void C_ccall trf_26740(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26740(t0,t1,t2);}

C_noret_decl(trf_26786)
static void C_ccall trf_26786(C_word c,C_word *av) C_noret;
static void C_ccall trf_26786(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26786(t0,t1,t2);}

C_noret_decl(trf_26862)
static void C_ccall trf_26862(C_word c,C_word *av) C_noret;
static void C_ccall trf_26862(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26862(t0,t1,t2);}

C_noret_decl(trf_26914)
static void C_ccall trf_26914(C_word c,C_word *av) C_noret;
static void C_ccall trf_26914(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26914(t0,t1,t2);}

C_noret_decl(trf_26962)
static void C_ccall trf_26962(C_word c,C_word *av) C_noret;
static void C_ccall trf_26962(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26962(t0,t1,t2);}

C_noret_decl(trf_26976)
static void C_ccall trf_26976(C_word c,C_word *av) C_noret;
static void C_ccall trf_26976(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26976(t0,t1,t2);}

C_noret_decl(trf_27032)
static void C_ccall trf_27032(C_word c,C_word *av) C_noret;
static void C_ccall trf_27032(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27032(t0,t1,t2);}

C_noret_decl(trf_27157)
static void C_ccall trf_27157(C_word c,C_word *av) C_noret;
static void C_ccall trf_27157(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27157(t0,t1,t2);}

C_noret_decl(trf_27159)
static void C_ccall trf_27159(C_word c,C_word *av) C_noret;
static void C_ccall trf_27159(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27159(t0,t1,t2);}

C_noret_decl(trf_27180)
static void C_ccall trf_27180(C_word c,C_word *av) C_noret;
static void C_ccall trf_27180(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27180(t0,t1,t2);}

C_noret_decl(trf_27204)
static void C_ccall trf_27204(C_word c,C_word *av) C_noret;
static void C_ccall trf_27204(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27204(t0,t1,t2,t3);}

C_noret_decl(trf_27258)
static void C_ccall trf_27258(C_word c,C_word *av) C_noret;
static void C_ccall trf_27258(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27258(t0,t1,t2);}

C_noret_decl(trf_27353)
static void C_ccall trf_27353(C_word c,C_word *av) C_noret;
static void C_ccall trf_27353(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27353(t0,t1,t2);}

C_noret_decl(trf_27358)
static void C_ccall trf_27358(C_word c,C_word *av) C_noret;
static void C_ccall trf_27358(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27358(t0,t1);}

C_noret_decl(trf_28342)
static void C_ccall trf_28342(C_word c,C_word *av) C_noret;
static void C_ccall trf_28342(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28342(t0,t1,t2);}

C_noret_decl(trf_28406)
static void C_ccall trf_28406(C_word c,C_word *av) C_noret;
static void C_ccall trf_28406(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28406(t0,t1,t2);}

C_noret_decl(trf_28618)
static void C_ccall trf_28618(C_word c,C_word *av) C_noret;
static void C_ccall trf_28618(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28618(t0,t1,t2);}

C_noret_decl(trf_28662)
static void C_ccall trf_28662(C_word c,C_word *av) C_noret;
static void C_ccall trf_28662(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28662(t0,t1);}

C_noret_decl(trf_28675)
static void C_ccall trf_28675(C_word c,C_word *av) C_noret;
static void C_ccall trf_28675(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28675(t0,t1,t2);}

C_noret_decl(trf_28709)
static void C_ccall trf_28709(C_word c,C_word *av) C_noret;
static void C_ccall trf_28709(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28709(t0,t1,t2);}

C_noret_decl(trf_28724)
static void C_ccall trf_28724(C_word c,C_word *av) C_noret;
static void C_ccall trf_28724(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28724(t0,t1);}

C_noret_decl(trf_28800)
static void C_ccall trf_28800(C_word c,C_word *av) C_noret;
static void C_ccall trf_28800(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28800(t0,t1,t2);}

C_noret_decl(trf_28900)
static void C_ccall trf_28900(C_word c,C_word *av) C_noret;
static void C_ccall trf_28900(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28900(t0,t1);}

C_noret_decl(trf_28919)
static void C_ccall trf_28919(C_word c,C_word *av) C_noret;
static void C_ccall trf_28919(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28919(t0,t1,t2);}

C_noret_decl(trf_28960)
static void C_ccall trf_28960(C_word c,C_word *av) C_noret;
static void C_ccall trf_28960(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28960(t0,t1,t2,t3,t4);}

C_noret_decl(trf_29282)
static void C_ccall trf_29282(C_word c,C_word *av) C_noret;
static void C_ccall trf_29282(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29282(t0,t1,t2);}

C_noret_decl(trf_29294)
static void C_ccall trf_29294(C_word c,C_word *av) C_noret;
static void C_ccall trf_29294(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29294(t0,t1,t2);}

C_noret_decl(trf_29375)
static void C_ccall trf_29375(C_word c,C_word *av) C_noret;
static void C_ccall trf_29375(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29375(t0,t1,t2,t3);}

C_noret_decl(trf_29560)
static void C_ccall trf_29560(C_word c,C_word *av) C_noret;
static void C_ccall trf_29560(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29560(t0,t1,t2);}

C_noret_decl(trf_29688)
static void C_ccall trf_29688(C_word c,C_word *av) C_noret;
static void C_ccall trf_29688(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29688(t0,t1);}

C_noret_decl(trf_30122)
static void C_ccall trf_30122(C_word c,C_word *av) C_noret;
static void C_ccall trf_30122(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30122(t0,t1);}

C_noret_decl(trf_30134)
static void C_ccall trf_30134(C_word c,C_word *av) C_noret;
static void C_ccall trf_30134(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30134(t0,t1,t2);}

C_noret_decl(trf_30193)
static void C_ccall trf_30193(C_word c,C_word *av) C_noret;
static void C_ccall trf_30193(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30193(t0,t1);}

C_noret_decl(trf_30207)
static void C_ccall trf_30207(C_word c,C_word *av) C_noret;
static void C_ccall trf_30207(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30207(t0,t1,t2);}

C_noret_decl(trf_30229)
static void C_ccall trf_30229(C_word c,C_word *av) C_noret;
static void C_ccall trf_30229(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30229(t0,t1,t2);}

C_noret_decl(trf_30444)
static void C_ccall trf_30444(C_word c,C_word *av) C_noret;
static void C_ccall trf_30444(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30444(t0,t1);}

C_noret_decl(trf_30467)
static void C_ccall trf_30467(C_word c,C_word *av) C_noret;
static void C_ccall trf_30467(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30467(t0,t1);}

C_noret_decl(trf_30635)
static void C_ccall trf_30635(C_word c,C_word *av) C_noret;
static void C_ccall trf_30635(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_30635(t0,t1,t2,t3);}

C_noret_decl(trf_30752)
static void C_ccall trf_30752(C_word c,C_word *av) C_noret;
static void C_ccall trf_30752(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30752(t0,t1);}

C_noret_decl(trf_30785)
static void C_ccall trf_30785(C_word c,C_word *av) C_noret;
static void C_ccall trf_30785(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30785(t0,t1);}

C_noret_decl(trf_30788)
static void C_ccall trf_30788(C_word c,C_word *av) C_noret;
static void C_ccall trf_30788(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30788(t0,t1);}

C_noret_decl(trf_30791)
static void C_ccall trf_30791(C_word c,C_word *av) C_noret;
static void C_ccall trf_30791(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30791(t0,t1);}

C_noret_decl(trf_30794)
static void C_ccall trf_30794(C_word c,C_word *av) C_noret;
static void C_ccall trf_30794(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30794(t0,t1);}

C_noret_decl(trf_30797)
static void C_ccall trf_30797(C_word c,C_word *av) C_noret;
static void C_ccall trf_30797(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30797(t0,t1);}

C_noret_decl(trf_30830)
static void C_ccall trf_30830(C_word c,C_word *av) C_noret;
static void C_ccall trf_30830(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30830(t0,t1,t2);}

C_noret_decl(trf_30866)
static void C_ccall trf_30866(C_word c,C_word *av) C_noret;
static void C_ccall trf_30866(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30866(t0,t1,t2);}

C_noret_decl(trf_30897)
static void C_ccall trf_30897(C_word c,C_word *av) C_noret;
static void C_ccall trf_30897(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30897(t0,t1,t2);}

C_noret_decl(trf_30940)
static void C_ccall trf_30940(C_word c,C_word *av) C_noret;
static void C_ccall trf_30940(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30940(t0,t1,t2);}

C_noret_decl(trf_31278)
static void C_ccall trf_31278(C_word c,C_word *av) C_noret;
static void C_ccall trf_31278(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31278(t0,t1,t2);}

C_noret_decl(trf_31297)
static void C_ccall trf_31297(C_word c,C_word *av) C_noret;
static void C_ccall trf_31297(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31297(t0,t1);}

C_noret_decl(trf_31450)
static void C_ccall trf_31450(C_word c,C_word *av) C_noret;
static void C_ccall trf_31450(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31450(t0,t1,t2);}

C_noret_decl(trf_31489)
static void C_ccall trf_31489(C_word c,C_word *av) C_noret;
static void C_ccall trf_31489(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31489(t0,t1,t2);}

C_noret_decl(trf_31505)
static void C_ccall trf_31505(C_word c,C_word *av) C_noret;
static void C_ccall trf_31505(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31505(t0,t1,t2);}

C_noret_decl(trf_31671)
static void C_ccall trf_31671(C_word c,C_word *av) C_noret;
static void C_ccall trf_31671(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31671(t0,t1);}

C_noret_decl(trf_32185)
static void C_ccall trf_32185(C_word c,C_word *av) C_noret;
static void C_ccall trf_32185(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_32185(t0,t1,t2,t3,t4);}

C_noret_decl(trf_32281)
static void C_ccall trf_32281(C_word c,C_word *av) C_noret;
static void C_ccall trf_32281(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32281(t0,t1);}

C_noret_decl(trf_32294)
static void C_ccall trf_32294(C_word c,C_word *av) C_noret;
static void C_ccall trf_32294(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32294(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8865)
static void C_ccall trf_8865(C_word c,C_word *av) C_noret;
static void C_ccall trf_8865(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8865(t0,t1,t2,t3);}

C_noret_decl(trf_9335)
static void C_ccall trf_9335(C_word c,C_word *av) C_noret;
static void C_ccall trf_9335(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9335(t0,t1,t2,t3);}

C_noret_decl(trf_9372)
static void C_ccall trf_9372(C_word c,C_word *av) C_noret;
static void C_ccall trf_9372(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9372(t0,t1,t2);}

C_noret_decl(trf_9458)
static void C_ccall trf_9458(C_word c,C_word *av) C_noret;
static void C_ccall trf_9458(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9458(t0,t1,t2);}

C_noret_decl(trf_9491)
static void C_ccall trf_9491(C_word c,C_word *av) C_noret;
static void C_ccall trf_9491(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9491(t0,t1,t2);}

C_noret_decl(trf_9609)
static void C_ccall trf_9609(C_word c,C_word *av) C_noret;
static void C_ccall trf_9609(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9609(t0,t1,t2);}

C_noret_decl(trf_9644)
static void C_ccall trf_9644(C_word c,C_word *av) C_noret;
static void C_ccall trf_9644(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9644(t0,t1,t2);}

C_noret_decl(trf_9708)
static void C_ccall trf_9708(C_word c,C_word *av) C_noret;
static void C_ccall trf_9708(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9708(t0,t1,t2);}

C_noret_decl(trf_9773)
static void C_ccall trf_9773(C_word c,C_word *av) C_noret;
static void C_ccall trf_9773(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9773(t0,t1,t2);}

C_noret_decl(trf_9809)
static void C_ccall trf_9809(C_word c,C_word *av) C_noret;
static void C_ccall trf_9809(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9809(t0,t1,t2);}

C_noret_decl(trf_9838)
static void C_ccall trf_9838(C_word c,C_word *av) C_noret;
static void C_ccall trf_9838(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9838(t0,t1,t2,t3);}

C_noret_decl(trf_9885)
static void C_ccall trf_9885(C_word c,C_word *av) C_noret;
static void C_ccall trf_9885(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9885(t0,t1,t2);}

C_noret_decl(trf_9939)
static void C_ccall trf_9939(C_word c,C_word *av) C_noret;
static void C_ccall trf_9939(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9939(t0,t1,t2,t3);}

/* f34185 in chicken.base#emergency-exit in k8543 */
static void C_ccall f34185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f34185,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34740 in chicken.base#exit in k8543 */
static void C_ccall f34740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34740,c,av);}
/* library.scm:724: g673 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f34949 in chicken.base#gensym in k8543 */
static void C_ccall f34949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f34949,c,av);}
/* library.scm:2717: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[641];
av2[3]=t1;
tp(4,av2);}}

/* f34953 in k17600 in chicken.base#gensym in k8543 */
static void C_ccall f34953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f34953,c,av);}
/* library.scm:2717: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* f37044 in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f37044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f37044,c,av);}
t3=C_i_check_list_2(t2,lf[1366]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f37050 in k31343 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f37050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f37050,c,av);}
t3=C_i_check_string_2(t2,lf[1368]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f37056 in k31339 in k31343 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f37056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f37056,c,av);}
t3=C_i_check_string_2(t2,lf[1368]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.base#alist-update! in k8543 */
static void C_ccall f_10010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_10010,c,av);}
a=C_alloc(10);
t5=C_rest_nullp(c,5);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_get_rest_arg(c,5,av,5,t0));
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10017,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t8=C_eqp(*((C_word*)lf[4]+1),t6);
if(C_truep(t8)){
t9=t7;
f_10017(t9,*((C_word*)lf[52]+1));}
else{
t9=C_eqp(*((C_word*)lf[5]+1),t6);
if(C_truep(t9)){
t10=t7;
f_10017(t10,*((C_word*)lf[53]+1));}
else{
t10=C_eqp(*((C_word*)lf[6]+1),t6);
t11=t7;
f_10017(t11,(C_truep(t10)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10049,a[2]=t6,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10015 in chicken.base#alist-update! in k8543 */
static void C_fcall f_10017(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10017,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10020,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:898: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10018 in k10015 in chicken.base#alist-update! in k8543 */
static void C_ccall f_10020(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_10020,c,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* f_10049 in chicken.base#alist-update! in k8543 */
static void C_ccall f_10049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10049,c,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10055,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10055(t7,t1,t3);}

/* loop */
static void C_fcall f_10055(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10055,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10071,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t3))){
/* library.scm:895: cmp */
t5=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
av2[3]=C_slot(t3,C_fix(0));
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
/* library.scm:897: loop */
t6=t1;
t7=C_slot(t2,C_fix(1));
t1=t6;
t2=t7;
goto loop;}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10069 in loop */
static void C_ccall f_10071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10071,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:897: loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_10055(t2,((C_word*)t0)[2],C_slot(((C_word*)t0)[5],C_fix(1)));}}

/* chicken.base#alist-update in k8543 */
static void C_ccall f_10096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_10096,c,av);}
a=C_alloc(9);
t5=C_rest_nullp(c,5);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_get_rest_arg(c,5,av,5,t0));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10105,a[2]=t2,a[3]=t3,a[4]=t8,a[5]=t6,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t10=((C_word*)t8)[1];
f_10105(t10,t1,t4);}

/* loop in chicken.base#alist-update in k8543 */
static void C_fcall f_10105(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10105,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:910: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[263];
av2[3]=lf[264];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_i_pairp(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:914: chicken.base#error */
t6=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[263];
av2[3]=lf[265];
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t4,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:915: cmp */
t7=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=C_slot(t4,C_fix(0));
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}}}

/* k10144 in loop in chicken.base#alist-update in k8543 */
static void C_ccall f_10146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10146,c,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10168,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:919: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_10105(t6,t5,C_slot(((C_word*)t0)[4],C_fix(1)));}}

/* k10166 in k10144 in loop in chicken.base#alist-update in k8543 */
static void C_ccall f_10168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10168,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8543 */
static void C_ccall f_10200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_10200,c,av);}
a=C_alloc(10);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?*((C_word*)lf[5]+1):C_get_rest_arg(c,4,av,4,t0));
t6=C_rest_nullp(c,4);
t7=C_rest_nullp(c,5);
t8=(C_truep(t7)?C_SCHEME_FALSE:C_get_rest_arg(c,5,av,4,t0));
t9=C_rest_nullp(c,5);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10216,a[2]=t1,a[3]=t8,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t11=C_eqp(*((C_word*)lf[4]+1),t5);
if(C_truep(t11)){
t12=t10;
f_10216(t12,*((C_word*)lf[52]+1));}
else{
t12=C_eqp(*((C_word*)lf[5]+1),t5);
if(C_truep(t12)){
t13=t10;
f_10216(t13,*((C_word*)lf[53]+1));}
else{
t13=C_eqp(*((C_word*)lf[6]+1),t5);
t14=t10;
f_10216(t14,(C_truep(t13)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10241,a[2]=t5,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10214 in chicken.base#alist-ref in k8543 */
static void C_fcall f_10216(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10216,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:937: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10217 in k10214 in chicken.base#alist-ref in k8543 */
static void C_ccall f_10219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10219,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10241 in chicken.base#alist-ref in k8543 */
static void C_ccall f_10241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10241,c,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10247,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10247(t7,t1,t3);}

/* loop */
static void C_fcall f_10247(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10247,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_check_pair_2(t3,lf[267]);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10272,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:933: cmp */
t6=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=C_slot(t3,C_fix(0));
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
/* library.scm:936: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[267];
av2[3]=lf[268];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10270 in loop */
static void C_ccall f_10272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10272,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:935: loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_10247(t2,((C_word*)t0)[2],C_slot(((C_word*)t0)[5],C_fix(1)));}}

/* chicken.base#rassoc in k8543 */
static void C_ccall f_10312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_10312,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t5=C_i_check_list_2(t3,lf[270]);
t6=C_i_pairp(t4);
t7=(C_truep(t6)?C_get_rest_arg(c,4,av,4,t0):*((C_word*)lf[5]+1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10324,a[2]=t9,a[3]=t7,a[4]=t2,a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_10324(t11,t1,t3);}

/* loop in chicken.base#rassoc in k8543 */
static void C_fcall f_10324(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10324,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_check_pair_2(t3,lf[270]);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10343,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:950: tst */
t6=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=C_slot(t3,C_fix(1));
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10341 in loop in chicken.base#rassoc in k8543 */
static void C_ccall f_10343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10343,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:952: loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_10324(t2,((C_word*)t0)[2],C_slot(((C_word*)t0)[5],C_fix(1)));}}

/* chicken.fixnum#fx+ in k8543 */
static void C_ccall f_10365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10365,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8543 */
static void C_ccall f_10368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10368,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8543 */
static void C_ccall f_10371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10371,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8543 */
static void C_ccall f_10374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10374,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8543 */
static void C_ccall f_10380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10380,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8543 */
static void C_ccall f_10383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10383,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8543 */
static void C_ccall f_10386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10386,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8543 */
static void C_ccall f_10389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10389,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8543 */
static void C_ccall f_10392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10392,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8543 */
static void C_ccall f_10395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10395,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8543 */
static void C_ccall f_10398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10398,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8543 */
static void C_ccall f_10401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10401,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8543 */
static void C_ccall f_10404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10404,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8543 */
static void C_ccall f_10407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10407,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8543 */
static void C_ccall f_10410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10410,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8543 */
static void C_ccall f_10413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10413,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8543 */
static void C_ccall f_10416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10416,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8543 */
static void C_ccall f_10419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10419,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8543 */
static void C_ccall f_10422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10422,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8543 */
static void C_ccall f_10425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10425,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8543 */
static void C_ccall f_10428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10428,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8543 */
static void C_ccall f_10431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10431,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8543 */
static void C_ccall f_10434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10434,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8543 */
static void C_ccall f_10437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10437,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8543 */
static void C_ccall f_10440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10440,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8543 */
static void C_ccall f_10443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10443,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8543 */
static void C_ccall f_10446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10446,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8543 */
static void C_ccall f_10449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10449,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8543 */
static void C_ccall f_10452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10452,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8543 */
static void C_ccall f_10457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10457,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[306]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8543 */
static void C_ccall f_10466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10466,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[307]+1))?*((C_word*)lf[306]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[311];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8543 */
static void C_ccall f_10478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10478,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
if(C_truep(C_i_pairp(t2))){
t3=C_mutate((C_word*)lf[306]+1 /* (set! ##sys#warnings-enabled ...) */,C_get_rest_arg(c,2,av,2,t0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=*((C_word*)lf[306]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[306]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8543 */
static void C_ccall f_10493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10493,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8543 */
static void C_ccall f_10496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10496,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8543 */
static void C_ccall f_10504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10504,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10508,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1051: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10506 in ##sys#start-timer in k8543 */
static void C_ccall f_10508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10508,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8543 */
static void C_ccall f_10510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10510,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10514,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1055: g1206 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10512 in ##sys#stop-timer in k8543 */
static void C_ccall f_10514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10514,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10517,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1058: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10515 in k10512 in ##sys#stop-timer in k8543 */
static void C_ccall f_10517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10517,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10528,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1059: g1208 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10526 in k10515 in k10512 in ##sys#stop-timer in k8543 */
static void C_ccall f_10528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10528,c,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8543 */
static void C_ccall f_10530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10530,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(C_blockp(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#message in k8543 */
static void C_ccall f_10537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10537,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8543 */
static void C_ccall f_10540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10540,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8543 */
static void C_ccall f_10543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10543,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8543 */
static void C_ccall f_10548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10548,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8543 */
static void C_ccall f_10552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10552,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8543 */
static void C_ccall f_10557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10557,c,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10561,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_not(C_blockp(t2));
if(C_truep(t6)){
if(C_truep(t6)){
/* library.scm:1078: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=lf[260];
av2[3]=lf[335];
av2[4]=lf[337];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_10561(2,av2);}}}
else{
t7=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1078: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[260];
av2[3]=lf[335];
av2[4]=lf[337];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10561(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1078: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[260];
av2[3]=lf[335];
av2[4]=lf[337];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10561(2,av2);}}}}}

/* k10559 in ##sys#block-set! in k8543 */
static void C_ccall f_10561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10561,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10564,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1079: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=C_block_size(((C_word*)t0)[3]);
av2[5]=lf[335];
tp(6,av2);}}

/* k10562 in k10559 in ##sys#block-set! in k8543 */
static void C_ccall f_10564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10564,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8543 */
static void C_ccall f_10592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10592,c,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8543 */
static void C_ccall f_10595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10595,c,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8543 */
static void C_ccall f_10598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10598,c,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
/* library.scm:1106: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_slot(t2,C_fix(0));
av2[3]=C_slot(t2,C_fix(1));
C_values(4,av2);}}

/* ##sys#check-structure in k8543 */
static void C_ccall f_10615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10615,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=C_i_pairp(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_i_check_structure_2(t2,t3,C_get_rest_arg(c,4,av,4,t0)):C_i_check_structure(t2,t3));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#check-blob in k8543 */
static void C_ccall f_10626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10626,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_bytevector_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_bytevector(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-pair in k8543 */
static void C_ccall f_10638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10638,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_pair_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_pair(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-list in k8543 */
static void C_ccall f_10649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10649,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_list_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_list(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-string in k8543 */
static void C_ccall f_10660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10660,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_string_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_string(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-number in k8543 */
static void C_ccall f_10671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10671,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_number_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_number(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-fixnum in k8543 */
static void C_ccall f_10682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10682,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_fixnum_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_fixnum(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-exact in k8543 */
static void C_ccall f_10693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10693,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_exact_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_exact(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-inexact in k8543 */
static void C_ccall f_10704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10704,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_inexact_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_inexact(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-symbol in k8543 */
static void C_ccall f_10715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10715,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_symbol_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_symbol(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-keyword in k8543 */
static void C_ccall f_10726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10726,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_keyword_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_keyword(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-vector in k8543 */
static void C_ccall f_10737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10737,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_vector_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_vector(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-char in k8543 */
static void C_ccall f_10748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10748,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_char_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_char(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-boolean in k8543 */
static void C_ccall f_10759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10759,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_boolean_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_boolean(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-locative in k8543 */
static void C_ccall f_10770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10770,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_locative_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_locative(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-integer in k8543 */
static void C_ccall f_10781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10781,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
/* library.scm:1189: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_get_rest_arg(c,3,av,3,t0);
tp(4,av2);}}
else{
/* library.scm:1189: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8543 */
static void C_ccall f_10798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10798,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
/* library.scm:1193: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_get_rest_arg(c,3,av,3,t0);
tp(4,av2);}}
else{
/* library.scm:1193: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8543 */
static void C_ccall f_10815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10815,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_not(C_i_exact_integerp(t2));
t5=(C_truep(t4)?t4:C_i_integer_negativep(t2));
if(C_truep(t5)){
if(C_truep(C_i_pairp(t3))){
/* library.scm:1198: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_get_rest_arg(c,3,av,3,t0);
tp(4,av2);}}
else{
/* library.scm:1198: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* ##sys#check-real in k8543 */
static void C_ccall f_10839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10839,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
/* library.scm:1202: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_get_rest_arg(c,3,av,3,t0);
tp(4,av2);}}
else{
/* library.scm:1202: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8543 */
static void C_ccall f_10856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10856,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10860,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1205: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10858 in ##sys#check-range in k8543 */
static void C_ccall f_10860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10860,c,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
/* library.scm:1207: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_u_i_car(((C_word*)t0)[6]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1207: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8543 */
static void C_ccall f_10886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10886,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
/* library.scm:1213: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=C_get_rest_arg(c,3,av,3,t0);
av2[4]=lf[367];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
/* library.scm:1213: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[367];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8543 */
static void C_ccall f_10906(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10906,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_closure_2(t2,C_get_rest_arg(c,3,av,3,t0)):C_i_check_closure(t2));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#force in k8543 */
static void C_ccall f_10917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10917,c,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[218]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10929,a[2]=t4,a[3]=((C_word)li275),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10929(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* lp in scheme#force in k8543 */
static void C_fcall f_10929(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10929,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1226: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10963,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1230: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[370]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[218]))){
/* library.scm:1242: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10961 in lp in scheme#force in k8543 */
static void C_ccall f_10963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10963,c,av);}
a=C_alloc(6);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_closurep(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1232: lp */
t4=((C_word*)((C_word*)t0)[3])[1];
f_10929(t4,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10978,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=C_i_nullp(t1);
if(C_truep(C_i_not(t5))){
t6=C_i_cdr(t1);
t7=C_i_nullp(t6);
t8=t4;
f_10978(t8,(C_truep(t7)?C_i_structurep(C_slot(t1,C_fix(0)),lf[218]):C_SCHEME_FALSE));}
else{
t6=t4;
f_10978(t6,C_SCHEME_FALSE);}}}

/* k10976 in k10961 in lp in scheme#force in k8543 */
static void C_fcall f_10978(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10978,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1237: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10929(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8543 */
static void C_ccall f_11045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11045,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1252: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8543 */
static void C_ccall f_11061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11061,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1256: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8543 */
static void C_ccall f_11077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11077,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1260: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8543 */
static void C_ccall f_11093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11093,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1264: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8543 */
static void C_ccall f_11109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11109,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1268: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8543 */
static void C_ccall f_11125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11125,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1272: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8543 */
static void C_ccall f_11141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11141,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1276: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1276: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8543 */
static void C_ccall f_11157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11157,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1280: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1280: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[5];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t3;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8543 */
static void C_ccall f_11173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11173,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11185,a[2]=t5,a[3]=((C_word)li288),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11185(t7,t1,t2);}}

/* loop in scheme#append in k8543 */
static void C_fcall f_11185(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11185,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11204,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t7,a[5]=((C_word)li287),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11204(t9,t1,t5);}}

/* copy in loop in scheme#append in k8543 */
static void C_fcall f_11204(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11204,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
/* library.scm:1291: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_11185(t4,t1,C_slot(((C_word*)t0)[3],C_fix(1)));}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11235,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1293: copy */
t7=t5;
t8=C_slot(t2,C_fix(1));
t1=t7;
t2=t8;
goto loop;}
else{
/* library.scm:1295: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=C_slot(((C_word*)t0)[3],C_fix(0));
av2[3]=lf[377];
tp(4,av2);}}}}

/* k11233 in copy in loop in scheme#append in k8543 */
static void C_ccall f_11235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11235,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8543 */
static void C_ccall f_11252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11252,c,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11258,a[2]=t4,a[3]=((C_word)li290),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11258(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in ##sys#fast-reverse in k8543 */
static void C_fcall f_11258(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11258,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1301: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#make-string in k8543 */
static void C_ccall f_11282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11282,c,av);}
if(C_truep(C_rest_nullp(c,3))){
/* library.scm:1308: ##sys#allocate-vector */
t3=*((C_word*)lf[318]+1);{
C_word av2[6];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
/* library.scm:1308: ##sys#allocate-vector */
t3=*((C_word*)lf[318]+1);{
C_word av2[6];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_get_rest_arg(c,3,av,3,t0);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#make-string in k8543 */
static void C_ccall f_11302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11302,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11306,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1315: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[381];
tp(4,av2);}}

/* k11304 in scheme#make-string in k8543 */
static void C_ccall f_11306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11306,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11309,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1317: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[382];
av2[3]=lf[381];
av2[4]=lf[383];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11309(2,av2);}}}

/* k11307 in k11304 in scheme#make-string in k8543 */
static void C_ccall f_11309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11309,c,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
/* library.scm:1308: ##sys#allocate-vector */
t2=*((C_word*)lf[318]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[381]);
/* library.scm:1308: ##sys#allocate-vector */
t4=*((C_word*)lf[318]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* scheme#string->list in k8543 */
static void C_ccall f_11338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11338,c,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[385]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11354,a[2]=t2,a[3]=t7,a[4]=((C_word)li294),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11354(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8543 */
static void C_fcall f_11354(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11354,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1333: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8543 */
static void C_ccall f_11376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11376,c,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1341: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[388];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11392,a[2]=t4,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1343: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k11390 in scheme#list->string in k8543 */
static void C_ccall f_11392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11392,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11397,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word)li296),tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_11397(t2,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop1526 in k11390 in scheme#list->string in k8543 */
static C_word C_fcall f_11397(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[388]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t7=C_fixnum_plus(t1,C_fix(1));
t8=C_slot(t2,C_fix(1));
t1=t7;
t2=t8;
goto loop;}}

/* ##sys#reverse-list->string in k8543 */
static void C_ccall f_11428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11428,c,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=C_u_i_length(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11439,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1358: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:1366: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[391];
tp(4,av2);}}}

/* k11437 in ##sys#reverse-list->string in k8543 */
static void C_ccall f_11439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11439,c,av);}
a=C_alloc(4);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11448,a[2]=t1,a[3]=((C_word)li298),tmp=(C_word)a,a+=4,tmp);
t4=(
  f_11448(t3,((C_word*)t0)[3],t2)
);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* iter in k11437 in ##sys#reverse-list->string in k8543 */
static C_word C_fcall f_11448(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[391]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t7=C_slot(t1,C_fix(1));
t8=C_fixnum_difference(t2,C_fix(1));
t1=t7;
t2=t8;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8543 */
static void C_ccall f_11477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11477,c,av);}
t4=C_i_check_string_2(t2,lf[393]);
t5=C_i_check_char_2(t3,lf[393]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8543 */
static void C_ccall f_11490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11490,c,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[395]);
t4=C_block_size(t2);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11500,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1379: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k11498 in scheme#string-copy in k8543 */
static void C_ccall f_11500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11500,c,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8543 */
static void C_ccall f_11502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11502,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[397]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11509,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1386: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[397];
tp(4,av2);}}

/* k11507 in scheme#substring in k8543 */
static void C_ccall f_11509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11509,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11512,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=C_u_i_car(((C_word*)t0)[5]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11547,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1389: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[397];
tp(4,av2);}}
else{
t3=t2;
f_11512(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11510 in k11507 in scheme#substring in k8543 */
static void C_fcall f_11512(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11512,2,t0,t1);}
a=C_alloc(6);
t2=C_block_size(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11521,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t1))){
t4=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t5=t3;
f_11521(t5,(C_truep(t4)?C_fixnum_less_or_equal_p(t1,t2):C_SCHEME_FALSE));}
else{
t4=t3;
f_11521(t4,C_SCHEME_FALSE);}}

/* k11519 in k11510 in k11507 in scheme#substring in k8543 */
static void C_fcall f_11521(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11521,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1396: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1397: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word av2[6];
av2[0]=*((C_word*)lf[365]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[397];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11545 in k11507 in scheme#substring in k8543 */
static void C_ccall f_11547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11547,c,av);}
t2=((C_word*)t0)[2];
f_11512(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8543 */
static void C_ccall f_11552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11552,c,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11556,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1402: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=C_fixnum_difference(t4,t3);
tp(3,av2);}}

/* k11554 in ##sys#substring in k8543 */
static void C_ccall f_11556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11556,c,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1579 in k8543 */
static void C_ccall f_11561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11561,c,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
/* library.scm:1412: k */
t10=t5;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=C_string_compare(t2,t3,t8);
((C_proc)C_fast_retrieve_proc(t10))(5,av2);}}
else{
/* library.scm:1412: k */
t10=t5;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=C_string_compare(t2,t3,t9);
((C_proc)C_fast_retrieve_proc(t10))(5,av2);}}}

/* scheme#string<? in k8543 */
static void C_ccall f_11582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11582,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11588,a[2]=((C_word)li305),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1420: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[400];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11587 in scheme#string<? in k8543 */
static void C_ccall f_11588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11588,c,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8543 */
static void C_ccall f_11606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11606,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11612,a[2]=((C_word)li307),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1427: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[402];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11611 in scheme#string>? in k8543 */
static void C_ccall f_11612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11612,c,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8543 */
static void C_ccall f_11630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11630,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11636,a[2]=((C_word)li309),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1434: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[404];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11635 in scheme#string<=? in k8543 */
static void C_ccall f_11636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11636,c,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8543 */
static void C_ccall f_11651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11651,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11657,a[2]=((C_word)li311),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1441: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[406];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11656 in scheme#string>=? in k8543 */
static void C_ccall f_11657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11657,c,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1622 in k8543 */
static void C_ccall f_11671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11671,c,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
/* library.scm:1454: k */
t10=t5;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=C_string_compare_case_insensitive(t2,t3,t8);
((C_proc)C_fast_retrieve_proc(t10))(5,av2);}}
else{
/* library.scm:1454: k */
t10=t5;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=C_string_compare_case_insensitive(t2,t3,t9);
((C_proc)C_fast_retrieve_proc(t10))(5,av2);}}}

/* scheme#string-ci<? in k8543 */
static void C_ccall f_11692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11692,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11698,a[2]=((C_word)li314),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1462: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[408];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11697 in scheme#string-ci<? in k8543 */
static void C_ccall f_11698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11698,c,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8543 */
static void C_ccall f_11716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11716,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11722,a[2]=((C_word)li316),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1469: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[410];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11721 in scheme#string-ci>? in k8543 */
static void C_ccall f_11722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11722,c,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8543 */
static void C_ccall f_11740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11740,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11746,a[2]=((C_word)li318),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1476: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[412];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11745 in scheme#string-ci<=? in k8543 */
static void C_ccall f_11746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11746,c,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8543 */
static void C_ccall f_11761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11761,c,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11767,a[2]=((C_word)li320),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1483: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[414];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11766 in scheme#string-ci>=? in k8543 */
static void C_ccall f_11767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11767,c,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8543 */
static void C_ccall f_11782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11782,c,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=C_block_size(t3);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11792,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t5,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1493: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t6;
av2[2]=C_fixnum_plus(t4,t5);
tp(3,av2);}}

/* k11790 in ##sys#string-append in k8543 */
static void C_ccall f_11792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11792,c,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8543 */
static void C_ccall f_11798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11798,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11802,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11804,a[2]=t4,a[3]=t7,a[4]=((C_word)li323),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11804(t9,t5,t2,C_fix(0));}

/* k11800 in scheme#string-append in k8543 */
static void C_ccall f_11802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11802,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8543 */
static void C_fcall f_11804(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11804,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11815,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1503: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_i_check_string_2(t5,lf[417]);
t7=C_block_size(t5);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11827,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=t7,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1507: loop */
t10=t8;
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t7);
t1=t10;
t2=t11;
t3=t12;
goto loop;}}

/* k11813 in loop in scheme#string-append in k8543 */
static void C_ccall f_11815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11815,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11825 in loop in scheme#string-append in k8543 */
static void C_ccall f_11827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11827,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_substring_copy(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1],C_fix(0),((C_word*)t0)[5],((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#string in k8543 */
static void C_ccall f_11837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11837,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* ##sys#list->string */
t3=*((C_word*)lf[389]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8543 */
static void C_ccall f_11843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11843,c,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11847,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1516: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11845 in ##sys#fragments->string in k8543 */
static void C_ccall f_11847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11847,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11852,a[2]=t1,a[3]=((C_word)li326),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_11852(t2,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k11845 in ##sys#fragments->string in k8543 */
static C_word C_fcall f_11852(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t7=C_slot(t1,C_fix(1));
t8=C_fixnum_plus(t2,t4);
t1=t7;
t2=t8;
goto loop;}}

/* chicken.base#chop in k8543 */
static void C_ccall f_11878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11878,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11882,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1527: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[421];
tp(4,av2);}}

/* k11880 in chicken.base#chop in k8543 */
static void C_ccall f_11882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11882,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11885,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1528: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[421];
av2[3]=lf[422];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11885(2,av2);}}}

/* k11883 in k11880 in chicken.base#chop in k8543 */
static void C_ccall f_11885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11885,c,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11893,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li329),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11893(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11883 in k11880 in chicken.base#chop in k8543 */
static void C_fcall f_11893(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11893,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11914,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=((C_word)li328),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11914(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1707 in loop in k11883 in k11880 in chicken.base#chop in k8543 */
static void C_fcall f_11914(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11914,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11928,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1538: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t9=t1;
t10=t7;
t11=C_slot(t3,C_fix(1));
t12=C_fixnum_difference(t4,C_fix(1));
t1=t9;
t2=t10;
t3=t11;
t4=t12;
goto loop;}}

/* k11926 in doloop1707 in loop in k11883 in k11880 in chicken.base#chop in k8543 */
static void C_ccall f_11928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11928,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11932,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1538: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_11893(t3,t2,((C_word*)t0)[4],C_fixnum_difference(((C_word*)t0)[5],((C_word*)t0)[6]));}

/* k11930 in k11926 in doloop1707 in loop in k11883 in k11880 in chicken.base#chop in k8543 */
static void C_ccall f_11932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11932,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8543 */
static void C_ccall f_11973(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11973,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11995,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[435];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k11993 in chicken.flonum#fp+ in k8543 */
static void C_ccall f_11995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11995,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8543 */
static void C_ccall f_11997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11997,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12019,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[437];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12017 in chicken.flonum#fp- in k8543 */
static void C_ccall f_12019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12019,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8543 */
static void C_ccall f_12021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12021,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12043,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[439];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12041 in chicken.flonum#fp* in k8543 */
static void C_ccall f_12043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12043,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8543 */
static void C_ccall f_12045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12045,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12067,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[441];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12065 in chicken.flonum#fp/ in k8543 */
static void C_ccall f_12067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12067,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8543 */
static void C_ccall f_12069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12069,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12091,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[443];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12089 in chicken.flonum#fpgcd in k8543 */
static void C_ccall f_12091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12091,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8543 */
static void C_ccall f_12093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12093,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12115,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[445];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12113 in chicken.flonum#fp/? in k8543 */
static void C_ccall f_12115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12115,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8543 */
static void C_ccall f_12117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12117,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12139,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[447];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12137 in chicken.flonum#fp= in k8543 */
static void C_ccall f_12139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12139,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8543 */
static void C_ccall f_12141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12141,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12163,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[449];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12161 in chicken.flonum#fp> in k8543 */
static void C_ccall f_12163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12163,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8543 */
static void C_ccall f_12165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12165,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12187,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[451];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12185 in chicken.flonum#fp< in k8543 */
static void C_ccall f_12187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12187,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8543 */
static void C_ccall f_12189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12189,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12211,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[453];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12209 in chicken.flonum#fp>= in k8543 */
static void C_ccall f_12211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12211,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8543 */
static void C_ccall f_12213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12213,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12235,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[455];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12233 in chicken.flonum#fp<= in k8543 */
static void C_ccall f_12235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12235,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8543 */
static void C_ccall f_12237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12237,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12253,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[457];
av2[4]=t2;
tp(5,av2);}}}

/* k12251 in chicken.flonum#fpneg in k8543 */
static void C_ccall f_12253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12253,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8543 */
static void C_ccall f_12255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12255,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12277,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[459];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12275 in chicken.flonum#fpmax in k8543 */
static void C_ccall f_12277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12277,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8543 */
static void C_ccall f_12279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12279,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12301,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[461];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12299 in chicken.flonum#fpmin in k8543 */
static void C_ccall f_12301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12301,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8543 */
static void C_ccall f_12303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12303,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12319,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[463];
av2[4]=t2;
tp(5,av2);}}}

/* k12317 in chicken.flonum#fpfloor in k8543 */
static void C_ccall f_12319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12319,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8543 */
static void C_ccall f_12321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12321,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12337,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[465];
av2[4]=t2;
tp(5,av2);}}}

/* k12335 in chicken.flonum#fptruncate in k8543 */
static void C_ccall f_12337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12337,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8543 */
static void C_ccall f_12339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12339,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12355,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[467];
av2[4]=t2;
tp(5,av2);}}}

/* k12353 in chicken.flonum#fpround in k8543 */
static void C_ccall f_12355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12355,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8543 */
static void C_ccall f_12357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12357,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12373,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[469];
av2[4]=t2;
tp(5,av2);}}}

/* k12371 in chicken.flonum#fpceiling in k8543 */
static void C_ccall f_12373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12373,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8543 */
static void C_ccall f_12375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12375,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12391,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[471];
av2[4]=t2;
tp(5,av2);}}}

/* k12389 in chicken.flonum#fpsin in k8543 */
static void C_ccall f_12391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12391,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8543 */
static void C_ccall f_12393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12393,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12409,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[473];
av2[4]=t2;
tp(5,av2);}}}

/* k12407 in chicken.flonum#fpcos in k8543 */
static void C_ccall f_12409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12409,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8543 */
static void C_ccall f_12411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12411,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12427,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[475];
av2[4]=t2;
tp(5,av2);}}}

/* k12425 in chicken.flonum#fptan in k8543 */
static void C_ccall f_12427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12427,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8543 */
static void C_ccall f_12429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12429,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12445,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[477];
av2[4]=t2;
tp(5,av2);}}}

/* k12443 in chicken.flonum#fpasin in k8543 */
static void C_ccall f_12445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12445,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8543 */
static void C_ccall f_12447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12447,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12463,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[479];
av2[4]=t2;
tp(5,av2);}}}

/* k12461 in chicken.flonum#fpacos in k8543 */
static void C_ccall f_12463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12463,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8543 */
static void C_ccall f_12465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12465,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12481,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[481];
av2[4]=t2;
tp(5,av2);}}}

/* k12479 in chicken.flonum#fpatan in k8543 */
static void C_ccall f_12481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12481,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8543 */
static void C_ccall f_12483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12483,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12505,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[483];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12503 in chicken.flonum#fpatan2 in k8543 */
static void C_ccall f_12505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12505,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8543 */
static void C_ccall f_12507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12507,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12523,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[485];
av2[4]=t2;
tp(5,av2);}}}

/* k12521 in chicken.flonum#fpexp in k8543 */
static void C_ccall f_12523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12523,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8543 */
static void C_ccall f_12525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12525,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12547,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_flonump(t2);
t6=(C_truep(t5)?C_i_flonump(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1569: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t7;
av2[3]=lf[487];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}}

/* k12545 in chicken.flonum#fpexpt in k8543 */
static void C_ccall f_12547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12547,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8543 */
static void C_ccall f_12549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12549,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12565,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[489];
av2[4]=t2;
tp(5,av2);}}}

/* k12563 in chicken.flonum#fplog in k8543 */
static void C_ccall f_12565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12565,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8543 */
static void C_ccall f_12567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12567,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12583,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[491];
av2[4]=t2;
tp(5,av2);}}}

/* k12581 in chicken.flonum#fpsqrt in k8543 */
static void C_ccall f_12583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12583,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8543 */
static void C_ccall f_12585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12585,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12601,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[493];
av2[4]=t2;
tp(5,av2);}}}

/* k12599 in chicken.flonum#fpabs in k8543 */
static void C_ccall f_12601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12601,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8543 */
static void C_ccall f_12603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12603,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12619,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1565: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=lf[495];
av2[4]=t2;
tp(5,av2);}}}

/* k12617 in chicken.flonum#fpinteger? in k8543 */
static void C_ccall f_12619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12619,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8543 */
static void C_ccall f_12621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12621,c,av);}
a=C_alloc(5);
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?C_SCHEME_FALSE:C_get_rest_arg(c,2,av,2,t0));
t4=C_get_print_precision();
if(C_truep(t3)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12631,a[2]=t3,a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1698: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[497];
tp(4,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k12629 in chicken.flonum#flonum-print-precision in k8543 */
static void C_ccall f_12631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12631,c,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8543 */
static void C_fcall f_12643(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12643,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12653,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12653(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1718: chicken.flonum#fp= */
t6=*((C_word*)lf[446]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[503];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12653(2,av2);}}}}

/* k12651 in make-complex in k8543 */
static void C_ccall f_12653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12653,c,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12657,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1721: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
f_12657(2,av2);}}}}

/* k12655 in k12651 in make-complex in k8543 */
static void C_ccall f_12657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12657,c,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[3]);
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cplxnum(&a,2,t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#make-rectangular in k8543 */
static void C_ccall f_12679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12679,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12683,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1726: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[363]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[505];
tp(4,av2);}}

/* k12681 in scheme#make-rectangular in k8543 */
static void C_ccall f_12683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12683,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12686,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1727: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[363]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[505];
tp(4,av2);}}

/* k12684 in k12681 in scheme#make-rectangular in k8543 */
static void C_ccall f_12686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12686,c,av);}
/* library.scm:1728: make-complex */
f_12643(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8543 */
static void C_ccall f_12691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12691,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12695,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1732: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[363]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[507];
tp(4,av2);}}

/* k12693 in scheme#make-polar in k8543 */
static void C_ccall f_12695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12695,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12698,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1733: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[363]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[507];
tp(4,av2);}}

/* k12696 in k12693 in scheme#make-polar in k8543 */
static void C_ccall f_12698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12698,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12701,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1734: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12699 in k12696 in k12693 in scheme#make-polar in k8543 */
static void C_ccall f_12701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12701,c,av);}
a=C_alloc(74);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],C_a_i_cos(&a,1,t1));
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],C_a_i_sin(&a,1,t1));
/* library.scm:1735: make-complex */
f_12643(((C_word*)t0)[3],t2,t3);}

/* scheme#real-part in k8543 */
static void C_ccall f_12714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12714,c,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_u_i_cplxnum_real(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1743: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[509];
tp(4,av2);}}}}

/* scheme#imag-part in k8543 */
static void C_ccall f_12737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12737,c,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_u_i_cplxnum_imag(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[503];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1750: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[511];
tp(4,av2);}}}}}

/* scheme#angle in k8543 */
static void C_ccall f_12763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12763,c,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[513]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12772,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1756: scheme#imag-part */
t5=*((C_word*)lf[510]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12770 in scheme#angle in k8543 */
static void C_ccall f_12772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12772,c,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12777,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1757: scheme#real-part */
t4=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12775 in k12770 in scheme#angle in k8543 */
static void C_ccall f_12777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12777,c,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8543 */
static void C_ccall f_12779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12779,c,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=C_u_i_cplxnum_real(t2);
t4=C_u_i_cplxnum_imag(t2);
t5=C_s_a_i_times(&a,2,t3,t3);
t6=C_s_a_i_times(&a,2,t4,t4);
t7=C_s_a_i_plus(&a,2,t5,t6);
/* library.scm:1764: scheme#sqrt */
t8=*((C_word*)lf[515]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1766: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[516];
tp(4,av2);}}}}

/* ratnum in k8543 */
static C_word C_fcall f_12823(C_word *a,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;{}
switch(t2){
case C_fix(1):
return(t1);
case C_fix(-1):
return(C_s_a_u_i_integer_negate(&a,1,t1));
default:
if(C_truep(C_i_negativep(t2))){
t3=C_s_a_u_i_integer_negate(&a,1,t1);
t4=C_s_a_u_i_integer_negate(&a,1,t2);
return(C_a_i_ratnum(&a,2,t3,t4));}
else{
return(C_a_i_ratnum(&a,2,t1,t2));}}}

/* scheme#numerator in k8543 */
static void C_ccall f_12869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12869,c,av);}
a=C_alloc(6);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_i_not(C_i_finitep(t2)))){
/* library.scm:1786: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[519]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[519]+1);
av2[1]=t1;
av2[2]=lf[520];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12893,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12897,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1788: scheme#inexact->exact */
t5=*((C_word*)lf[521]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_u_i_ratnum_num(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1790: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[520];
av2[4]=lf[522];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}}}

/* k12891 in scheme#numerator in k8543 */
static void C_ccall f_12893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12893,c,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12895 in scheme#numerator in k8543 */
static void C_ccall f_12897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12897,c,av);}
/* library.scm:1788: scheme#numerator */
t2=*((C_word*)lf[518]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8543 */
static void C_ccall f_12915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12915,c,av);}
a=C_alloc(6);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_i_not(C_i_finitep(t2)))){
/* library.scm:1798: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[519]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[519]+1);
av2[1]=t1;
av2[2]=lf[524];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[525];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12939,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12943,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1800: scheme#inexact->exact */
t5=*((C_word*)lf[521]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_u_i_ratnum_denom(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1802: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[520];
av2[4]=lf[526];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}}}

/* k12937 in scheme#denominator in k8543 */
static void C_ccall f_12939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12939,c,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12941 in scheme#denominator in k8543 */
static void C_ccall f_12943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12943,c,av);}
/* library.scm:1800: scheme#denominator */
t2=*((C_word*)lf[523]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8543 */
static void C_ccall f_12961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12961,c,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_u_i_integer_signum(C_u_i_ratnum_num(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=C_u_i_cplxnum_imag(t2);
t4=C_a_i_exact_to_inexact(&a,1,t3);
t5=C_u_i_cplxnum_real(t2);
t6=C_a_i_exact_to_inexact(&a,1,t5);
t7=C_flonum(&a,C_atan2(C_flonum_magnitude(t4),C_flonum_magnitude(t6)));
/* library.scm:1809: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[506]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[506]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t7;
tp(4,av2);}}
else{
/* library.scm:1810: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[528];
tp(4,av2);}}}}

/* doloop2218 in deliver in scheme#inexact->exact in k8543 */
static void C_fcall f_13002(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13002,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13013,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1818: chicken.flonum#fp* */
t5=*((C_word*)lf[438]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[532];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k13011 in doloop2218 in deliver in scheme#inexact->exact in k8543 */
static void C_ccall f_13013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13013,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_13002(t2,((C_word*)t0)[3],t1,C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* deliver in scheme#inexact->exact in k8543 */
static void C_fcall f_13019(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_13019,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13023,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13054,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13002,a[2]=t7,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_13002(t9,t5,t2,C_fix(0));}

/* k13021 in deliver in scheme#inexact->exact in k8543 */
static void C_ccall f_13023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_13023,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13050,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1824: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13035 in k13048 in k13021 in deliver in scheme#inexact->exact in k8543 */
static void C_ccall f_13037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13037,c,av);}
/* library.scm:1826: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k13048 in k13021 in deliver in scheme#inexact->exact in k8543 */
static void C_ccall f_13050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_13050,c,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13037,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1826: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1827: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[374]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[374]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[530];
tp(4,av2);}}}

/* k13052 in deliver in scheme#inexact->exact in k8543 */
static void C_ccall f_13054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13054,c,av);}
/* library.scm:1823: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[531]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13069 in k13073 in k13079 in scheme#inexact->exact in k8543 */
static void C_ccall f_13071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13071,c,av);}
/* library.scm:1831: deliver */
t2=((C_word*)t0)[2];
f_13019(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13073 in k13079 in scheme#inexact->exact in k8543 */
static void C_ccall f_13075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13075,c,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13071,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1834: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[428]+1);
tp(4,av2);}}

/* k13079 in scheme#inexact->exact in k8543 */
static void C_ccall f_13081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13081,c,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[2]),(double)-1.0):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13075,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1831: scheme#expt */
t4=*((C_word*)lf[533]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[532];
av2[3]=*((C_word*)lf[428]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
/* library.scm:1835: deliver */
t3=((C_word*)t0)[3];
f_13019(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8543 */
static void C_ccall f_13085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13085,c,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13019,a[2]=t2,a[3]=((C_word)li375),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13081,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1829: chicken.flonum#fp< */
t5=*((C_word*)lf[450]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[525];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:1843: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[374]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[374]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[530];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13125,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1845: scheme#inexact->exact */
t4=*((C_word*)lf[521]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=C_u_i_cplxnum_real(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
/* library.scm:1847: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[530];
tp(4,av2);}}}}}

/* k13123 in scheme#inexact->exact in k8543 */
static void C_ccall f_13125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13125,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13129,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1846: scheme#inexact->exact */
t3=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_u_i_cplxnum_imag(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13127 in k13123 in scheme#inexact->exact in k8543 */
static void C_ccall f_13129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13129,c,av);}
/* library.scm:1845: make-complex */
f_12643(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8543 */
static void C_ccall f_13151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13151,c,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8543 */
static void C_ccall f_13154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13154,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8543 */
static void C_ccall f_13157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13157,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8543 */
static void C_ccall f_13160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13160,c,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8543 */
static void C_ccall f_13163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13163,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_rest_nullp(c,3))){
/* library.scm:1882: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13184,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1884: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_slot(t3,C_fix(0));
tp(4,av2);}}}

/* k13182 in scheme#/ in k8543 */
static void C_ccall f_13184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13184,c,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13186,a[2]=t3,a[3]=((C_word)li384),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13186(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13182 in scheme#/ in k8543 */
static void C_fcall f_13186(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13186,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13204,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1888: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=C_slot(t2,C_fix(0));
tp(4,av2);}}}

/* k13202 in loop in k13182 in scheme#/ in k8543 */
static void C_ccall f_13204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13204,c,av);}
/* library.scm:1887: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13186(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8543 */
static void C_ccall f_13214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13214,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13218,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1895: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[546];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13218(2,av2);}}}

/* k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(117,c,4)))){
C_save_and_reclaim((void *)f_13218,c,av);}
a=C_alloc(117);
t2=(C_truep(C_i_exact_integerp(((C_word*)t0)[2]))?C_i_exact_integerp(((C_word*)t0)[3]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_s_a_u_i_integer_gcd(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_quotient(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_u_i_integer_quotient(&a,2,((C_word*)t0)[3],t3);
/* library.scm:1898: ratnum */
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=(
/* library.scm:1898: ratnum */
  f_12823(C_a_i(&a,21),t4,t5)
);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t3=C_i_cplxnump(((C_word*)t0)[2]);
t4=(C_truep(t3)?t3:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13256,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1901: scheme#real-part */
t6=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t5=C_i_flonump(((C_word*)t0)[2]);
t6=(C_truep(t5)?t5:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13322,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1909: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t7=C_u_i_ratnum_num(((C_word*)t0)[2]);
t8=C_u_i_ratnum_denom(((C_word*)t0)[2]);
t9=C_u_i_ratnum_num(((C_word*)t0)[3]);
t10=C_u_i_ratnum_denom(((C_word*)t0)[3]);
t11=C_s_a_u_i_integer_gcd(&a,2,t7,t9);
t12=C_s_a_u_i_integer_gcd(&a,2,t8,t10);
t13=C_s_a_i_quotient(&a,2,t7,t11);
t14=C_s_a_i_quotient(&a,2,t10,t12);
t15=C_s_a_i_times(&a,2,t13,t14);
t16=C_s_a_i_quotient(&a,2,t8,t12);
t17=C_s_a_i_quotient(&a,2,t9,t11);
t18=C_s_a_i_times(&a,2,t16,t17);
/* library.scm:1919: ratnum */
t19=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t19;
av2[1]=(
/* library.scm:1919: ratnum */
  f_12823(C_a_i(&a,21),t15,t18)
);
((C_proc)(void*)(*((C_word*)t19+1)))(2,av2);}}
else{
t7=C_u_i_ratnum_num(((C_word*)t0)[2]);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13403,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1925: ##sys#internal-gcd */
f_15149(t8,lf[546],t7,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t7=C_u_i_ratnum_num(((C_word*)t0)[3]);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13442,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t7,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1936: ##sys#internal-gcd */
f_15149(t8,lf[546],((C_word*)t0)[2],t7);}
else{
t7=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t7))){
/* library.scm:1942: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[546];
tp(4,av2);}}
else{
/* library.scm:1943: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[546];
tp(4,av2);}}}}}}}}

/* k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13256,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13259,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1901: scheme#imag-part */
t3=*((C_word*)lf[510]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13257 in k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13259,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13262,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1902: scheme#real-part */
t3=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13260 in k13257 in k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13262,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13265,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1902: scheme#imag-part */
t3=*((C_word*)lf[510]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13263 in k13260 in k13257 in k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13265,c,av);}
a=C_alloc(198);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_s_a_i_times(&a,2,t1,t1);
t4=C_s_a_i_plus(&a,2,t2,t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13271,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t6=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t7=C_s_a_i_times(&a,2,((C_word*)t0)[4],t1);
t8=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:1904: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t8;
av2[3]=t4;
tp(4,av2);}}

/* k13269 in k13263 in k13260 in k13257 in k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13271,c,av);}
a=C_alloc(99);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13274,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t5=C_s_a_i_minus(&a,2,t3,t4);
/* library.scm:1905: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t2;
av2[2]=t5;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13272 in k13269 in k13263 in k13260 in k13257 in k13254 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13274,c,av);}
/* library.scm:1906: make-complex */
f_12643(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13320 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13322,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13326,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1909: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k13324 in k13320 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13326,c,av);}
/* library.scm:1909: chicken.flonum#fp/ */
t2=*((C_word*)lf[440]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13401 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(64,c,3)))){
C_save_and_reclaim((void *)f_13403,c,av);}
a=C_alloc(64);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_ratnum_denom(((C_word*)t0)[3]);
t4=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
t5=C_s_a_i_times(&a,2,t3,t4);
if(C_truep(C_i_flonump(t5))){
/* library.scm:1929: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1930: ratnum */
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=(
/* library.scm:1930: ratnum */
  f_12823(C_a_i(&a,21),t2,t5)
);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k13440 in k13216 in ##sys#/-2 in k8543 */
static void C_ccall f_13442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(64,c,3)))){
C_save_and_reclaim((void *)f_13442,c,av);}
a=C_alloc(64);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_ratnum_denom(((C_word*)t0)[3]);
t4=C_s_a_i_times(&a,2,t2,t3);
t5=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t5))){
/* library.scm:1940: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1941: ratnum */
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=(
/* library.scm:1941: ratnum */
  f_12823(C_a_i(&a,21),t4,t5)
);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* scheme#floor in k8543 */
static void C_ccall f_13497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13497,c,av);}
a=C_alloc(34);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1948: chicken.flonum#fpfloor */
t3=*((C_word*)lf[462]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=C_u_i_ratnum_num(t2);
t4=C_u_i_ratnum_denom(t2);
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_i_greater_or_equalp(t3,C_fix(0));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?t5:C_s_a_i_minus(&a,2,t5,C_fix(1)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:1953: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[548];
tp(4,av2);}}}}}

/* scheme#ceiling in k8543 */
static void C_ccall f_13542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13542,c,av);}
a=C_alloc(34);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1958: chicken.flonum#fpceiling */
t3=*((C_word*)lf[468]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=C_u_i_ratnum_num(t2);
t4=C_u_i_ratnum_denom(t2);
t5=C_s_a_i_quotient(&a,2,t3,t4);
t6=C_i_greater_or_equalp(t3,C_fix(0));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_s_a_i_plus(&a,2,t5,C_fix(1)):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:1963: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[550];
tp(4,av2);}}}}}

/* scheme#truncate in k8543 */
static void C_ccall f_13587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13587,c,av);}
a=C_alloc(5);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1968: chicken.flonum#fptruncate */
t3=*((C_word*)lf[464]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=C_u_i_ratnum_num(t2);
t4=C_u_i_ratnum_denom(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_i_quotient(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:1972: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[552];
tp(4,av2);}}}}}

/* scheme#round in k8543 */
static void C_ccall f_13624(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13624,c,av);}
a=C_alloc(36);
if(C_truep(C_i_exact_integerp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t3=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t4=C_s_a_i_plus(&a,2,t2,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13644,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1981: scheme#floor */
t6=*((C_word*)lf[547]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1983: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[554];
tp(4,av2);}}}}}

/* k13642 in scheme#round in k8543 */
static void C_ccall f_13644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13644,c,av);}
a=C_alloc(29);
t2=C_i_nequalp(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(t2)?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* find-ratio-between in k8543 */
static void C_fcall f_13668(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13668,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13671,a[2]=t5,a[3]=((C_word)li391),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_lessp(t3,t2))){
/* library.scm:1996: find-ratio-between */
t12=t1;
t13=t3;
t14=t2;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t7=C_i_lessp(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_i_positivep(t2))){
/* library.scm:1998: sr */
t8=((C_word*)t5)[1];
f_13671(t8,t1,t2,t3);}
else{
if(C_truep(C_i_negativep(t3))){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13782,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_s_a_i_negate(&a,1,t3);
t10=C_s_a_i_negate(&a,1,t2);
/* library.scm:1999: sr */
t11=((C_word*)t5)[1];
f_13671(t11,t8,t9,t10);}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=lf[556];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8543 */
static void C_fcall f_13671(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13671,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13675,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13750,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1987: scheme#floor */
t6=*((C_word*)lf[547]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13675,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13678,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13746,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1988: scheme#floor */
t4=*((C_word*)lf[547]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13676 in k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13678,c,av);}
a=C_alloc(39);
t2=C_i_lessp(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(C_i_not(t2))){
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[2],t1))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13696,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13719,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=C_s_a_i_minus(&a,2,((C_word*)t0)[6],t1);
/* library.scm:1991: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}
else{
t3=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[2]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,t3,C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k13694 in k13676 in k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13696,c,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13717 in k13676 in k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13719,c,av);}
a=C_alloc(34);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13723,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t3=C_s_a_i_minus(&a,2,((C_word*)t0)[4],((C_word*)t0)[5]);
/* library.scm:1992: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=t3;
tp(4,av2);}}

/* k13721 in k13717 in k13676 in k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13723,c,av);}
/* library.scm:1991: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13671(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13744 in k13673 in sr in find-ratio-between in k8543 */
static void C_ccall f_13746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13746,c,av);}
/* library.scm:1988: scheme#inexact->exact */
t2=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13748 in sr in find-ratio-between in k8543 */
static void C_ccall f_13750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13750,c,av);}
/* library.scm:1987: scheme#inexact->exact */
t2=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13780 in find-ratio-between in k8543 */
static void C_ccall f_13782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13782,c,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8543 */
static void C_ccall f_13818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13818,c,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13822,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13841,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=C_s_a_i_minus(&a,2,t2,t3);
t7=C_s_a_i_plus(&a,2,t2,t3);
/* library.scm:2003: find-ratio-between */
f_13668(t5,t6,t7);}

/* k13820 in scheme#rationalize in k8543 */
static void C_ccall f_13822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13822,c,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2009: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2009: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13839 in scheme#rationalize in k8543 */
static void C_ccall f_13841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13841,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[529]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8543 */
static void C_ccall f_13843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13843,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13850,a[2]=t6,a[3]=((C_word)li394),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13850(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8543 */
static void C_fcall f_13850(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13850,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[559]);
if(C_truep(C_i_nullp(t4))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t2)?C_a_i_exact_to_inexact(&a,1,t3):t3);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_slot(t4,C_fix(0));
t7=(C_truep(t2)?t2:C_i_flonump(t6));
t8=C_i_greaterp(t6,t3);
t9=(C_truep(t8)?t6:t3);
/* library.scm:2019: loop */
t11=t1;
t12=t7;
t13=t9;
t14=C_slot(t4,C_fix(1));
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* scheme#min in k8543 */
static void C_ccall f_13887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13887,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13894,a[2]=t6,a[3]=((C_word)li396),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13894(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8543 */
static void C_fcall f_13894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13894,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[561]);
if(C_truep(C_i_nullp(t4))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t2)?C_a_i_exact_to_inexact(&a,1,t3):t3);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_slot(t4,C_fix(0));
t7=(C_truep(t2)?t2:C_i_flonump(t6));
t8=C_i_lessp(t6,t3);
t9=(C_truep(t8)?t6:t3);
/* library.scm:2030: loop */
t11=t1;
t12=t7;
t13=t9;
t14=C_slot(t4,C_fix(1));
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* scheme#exp in k8543 */
static void C_ccall f_13931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13931,c,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[563]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13949,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2039: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=C_u_i_cplxnum_real(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_a_i_exact_to_inexact(&a,1,t2);
t5=C_flonum(&a,C_exp(C_flonum_magnitude(t4)));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k13947 in scheme#exp in k8543 */
static void C_ccall f_13949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13949,c,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=C_u_i_cplxnum_imag(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13958,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13963,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2042: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13956 in k13947 in scheme#exp in k8543 */
static void C_ccall f_13958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13958,c,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k13961 in k13947 in scheme#exp in k8543 */
static void C_ccall f_13963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13963,c,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2041: make-complex */
f_12643(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8543 */
static void C_ccall f_13976(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_13976,c,av);}
a=C_alloc(7);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2049: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[565];
av2[3]=lf[566];
av2[4]=lf[567];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(C_truep(t4)?t4:C_i_negativep(t2));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14002,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14018,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2052: scheme#magnitude */
t8=*((C_word*)lf[514]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14022,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2055: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k14000 in ##sys#log-1 in k8543 */
static void C_ccall f_14002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14002,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14010,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2053: make-complex */
f_12643(t2,C_fix(0),C_fix(1));}

/* k14008 in k14000 in ##sys#log-1 in k8543 */
static void C_ccall f_14010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14010,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14014,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2053: scheme#angle */
t3=*((C_word*)lf[512]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14012 in k14008 in k14000 in ##sys#log-1 in k8543 */
static void C_ccall f_14014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_14014,c,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k14016 in ##sys#log-1 in k8543 */
static void C_ccall f_14018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14018,c,av);}
/* library.scm:2052: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[564]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k14020 in ##sys#log-1 in k8543 */
static void C_ccall f_14022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14022,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8543 */
static void C_ccall f_14025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14025,c,av);}
a=C_alloc(4);
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_get_rest_arg(c,3,av,3,t0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14039,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2059: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2059: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k14037 in scheme#log in k8543 */
static void C_ccall f_14039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14039,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14043,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2059: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k14041 in k14037 in scheme#log in k8543 */
static void C_ccall f_14043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14043,c,av);}
/* library.scm:2059: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8543 */
static void C_ccall f_14054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_14054,c,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[570]);
if(C_truep(C_i_cplxnump(t2))){
t4=C_s_a_i_times(&a,2,lf[571],t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14078,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2066: scheme#exp */
t6=*((C_word*)lf[562]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_a_i_exact_to_inexact(&a,1,t2);
t5=C_a_i_sin(&a,1,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k14076 in scheme#sin in k8543 */
static void C_ccall f_14078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14078,c,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14082,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2066: scheme#exp */
t4=*((C_word*)lf[562]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14080 in k14076 in scheme#sin in k8543 */
static void C_ccall f_14082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14082,c,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2066: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[572];
tp(4,av2);}}

/* scheme#cos in k8543 */
static void C_ccall f_14088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_14088,c,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[574]);
if(C_truep(C_i_cplxnump(t2))){
t4=C_s_a_i_times(&a,2,lf[571],t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14112,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2074: scheme#exp */
t6=*((C_word*)lf[562]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_a_i_exact_to_inexact(&a,1,t2);
t5=C_a_i_cos(&a,1,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k14110 in scheme#cos in k8543 */
static void C_ccall f_14112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14112,c,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14116,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2074: scheme#exp */
t4=*((C_word*)lf[562]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14114 in k14110 in scheme#cos in k8543 */
static void C_ccall f_14116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14116,c,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2074: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8543 */
static void C_ccall f_14122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_14122,c,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[576]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14139,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2081: scheme#sin */
t5=*((C_word*)lf[569]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_a_i_exact_to_inexact(&a,1,t2);
t5=C_a_i_tan(&a,1,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k14137 in scheme#tan in k8543 */
static void C_ccall f_14139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14139,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14143,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2081: scheme#cos */
t3=*((C_word*)lf[573]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14141 in k14137 in scheme#tan in k8543 */
static void C_ccall f_14143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14143,c,av);}
/* library.scm:2081: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8543 */
static void C_ccall f_14147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_14147,c,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[578]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14157,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14205,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2088: chicken.flonum#fp>= */
t6=*((C_word*)lf[452]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[581];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14157(t5,C_SCHEME_FALSE);}}

/* k14155 in scheme#asin in k8543 */
static void C_fcall f_14157(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14157,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14163,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14163(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14163(t3,C_SCHEME_FALSE);}}}

/* k14161 in k14155 in scheme#asin in k8543 */
static void C_fcall f_14163(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14163,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14170,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_times(&a,2,lf[571],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14182,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[3]);
t6=C_s_a_i_minus(&a,2,C_fix(1),t5);
/* library.scm:2097: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[580]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[580]+1);
av2[1]=t4;
av2[2]=lf[578];
av2[3]=t6;
tp(4,av2);}}}

/* k14168 in k14161 in k14155 in scheme#asin in k8543 */
static void C_ccall f_14170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14170,c,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[579],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14180 in k14161 in k14155 in scheme#asin in k8543 */
static void C_ccall f_14182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14182,c,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2095: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[564]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14203 in scheme#asin in k8543 */
static void C_ccall f_14205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14205,c,av);}
t2=((C_word*)t0)[2];
f_14157(t2,(C_truep(t1)?C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),(double)1.0):C_SCHEME_FALSE));}

/* scheme#acos in k8543 */
static void C_ccall f_14209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14209,c,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[583]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14219,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14247,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2105: chicken.flonum#fp>= */
t6=*((C_word*)lf[452]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[581];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14219(t5,C_SCHEME_FALSE);}}

/* k14217 in scheme#acos in k8543 */
static void C_fcall f_14219(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14219,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14225,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14225(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14225(t3,C_SCHEME_FALSE);}}}

/* k14223 in k14217 in scheme#acos in k8543 */
static void C_fcall f_14225(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14225,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14232,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2112: scheme#asin */
t3=*((C_word*)lf[577]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k14230 in k14223 in k14217 in scheme#acos in k8543 */
static void C_ccall f_14232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14232,c,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14245 in scheme#acos in k8543 */
static void C_ccall f_14247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14247,c,av);}
t2=((C_word*)t0)[2];
f_14219(t2,(C_truep(t1)?C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),(double)1.0):C_SCHEME_FALSE));}

/* scheme#atan in k8543 */
static void C_ccall f_14251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_14251,c,av);}
a=C_alloc(66);
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_get_rest_arg(c,3,av,3,t0));
t5=C_i_check_number_2(t2,lf[585]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t4)){
/* library.scm:2119: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[364]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[364]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[585];
tp(4,av2);}}
else{
t6=C_s_a_i_times(&a,2,lf[571],t2);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14284,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=C_s_a_i_plus(&a,2,C_fix(1),t6);
/* library.scm:2121: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t7;
av2[2]=t8;
tp(3,av2);}}}
else{
if(C_truep(t4)){
t6=C_a_i_exact_to_inexact(&a,1,t2);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14305,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2125: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t6=C_a_i_exact_to_inexact(&a,1,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_atan(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* k14282 in scheme#atan in k8543 */
static void C_ccall f_14284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14284,c,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14288,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2122: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k14286 in k14282 in scheme#atan in k8543 */
static void C_ccall f_14288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14288,c,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2121: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[572];
tp(4,av2);}}

/* k14303 in scheme#atan in k8543 */
static void C_ccall f_14305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14305,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8543 */
static void C_ccall f_14315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14315,c,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_eqp(t2,C_fix(0));
t6=(C_truep(t5)?t5:C_eqp(t2,C_fix(1)));
if(C_truep(t6)){
/* library.scm:2137: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t2){
case C_fix(2):
/* library.scm:2138: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2139: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2140: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2141: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[587];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}
else{
t5=C_fixnum_plus(C_i_integer_length(t2),C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(2));
t7=C_fixnum_shift_left(t6,C_fix(1));
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14388,a[2]=t7,a[3]=t2,a[4]=((C_word)li407),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14402,a[2]=t6,a[3]=t2,a[4]=((C_word)li411),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2142: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
C_call_with_values(4,av2);}}}

/* a14387 in ##sys#exact-integer-sqrt in k8543 */
static void C_ccall f_14388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14388,c,av);}
a=C_alloc(5);
t2=C_fixnum_negate(((C_word*)t0)[2]);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t2);
/* library.scm:2145: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[586]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[586]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14401 in ##sys#exact-integer-sqrt in k8543 */
static void C_ccall f_14402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14402,c,av);}
a=C_alloc(38);
t4=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t5=C_s_a_u_i_integer_minus(&a,2,t4,C_fix(1));
t6=C_s_a_i_bitwise_and(&a,2,((C_word*)t0)[3],t5);
t7=C_fixnum_negate(((C_word*)t0)[2]);
t8=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t7);
t9=C_s_a_i_bitwise_and(&a,2,t8,t5);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14419,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t2,a[6]=((C_word)li409),tmp=(C_word)a,a+=7,tmp);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14435,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li410),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2142: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t11;
C_call_with_values(4,av2);}}

/* a14418 in a14401 in ##sys#exact-integer-sqrt in k8543 */
static void C_ccall f_14419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14419,c,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li408),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2142: g2590 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14434 in a14401 in ##sys#exact-integer-sqrt in k8543 */
static void C_ccall f_14435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14435,c,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2156: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2158: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8543 */
static void C_ccall f_14506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14506,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14510,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2162: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[589];
tp(4,av2);}}

/* k14508 in chicken.base#exact-integer-sqrt in k8543 */
static void C_ccall f_14510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14510,c,av);}
/* library.scm:2163: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[586]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[586]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8543 */
static void C_ccall f_14515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14515,c,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14525,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_u_i_cplxnum_imag(t3);
t6=C_a_i_exact_to_inexact(&a,1,t5);
t7=C_u_i_cplxnum_real(t3);
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=C_flonum(&a,C_atan2(C_flonum_magnitude(t6),C_flonum_magnitude(t8)));
/* library.scm:2169: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14565,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_s_a_i_negate(&a,1,t3);
/* library.scm:2174: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
if(C_truep(C_i_exact_integerp(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14576,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14582,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2176: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14604,a[2]=t3,a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14616,a[2]=t3,a[3]=t2,a[4]=((C_word)li419),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2181: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14668,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2189: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}}}}

/* k14523 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14525,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14529,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2170: scheme#magnitude */
t3=*((C_word*)lf[514]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14527 in k14523 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_14529,c,av);}
a=C_alloc(9);
t2=C_a_i_sqrt(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14548,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2171: scheme#cos */
t4=*((C_word*)lf[573]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14542 in k14546 in k14527 in k14523 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14544,c,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2171: make-complex */
f_12643(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14546 in k14527 in k14523 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14548,c,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14544,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2171: scheme#sin */
t4=*((C_word*)lf[569]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14563 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14565,c,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2173: make-complex */
f_12643(((C_word*)t0)[2],lf[503],t2);}

/* a14575 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14576,c,av);}
/* library.scm:2176: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[586]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[586]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14581 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14582,c,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14593,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2179: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14591 in a14581 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14593,c,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14603 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14604,c,av);}
/* library.scm:2181: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[586]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[586]+1);
av2[1]=t1;
av2[2]=C_u_i_ratnum_num(((C_word*)t0)[2]);
tp(3,av2);}}

/* a14615 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14616,c,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14628,a[2]=((C_word*)t0)[2],a[3]=((C_word)li417),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14640,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li418),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2183: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14664,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2188: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14627 in a14615 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14628,c,av);}
/* library.scm:2184: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[586]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[586]+1);
av2[1]=t1;
av2[2]=C_u_i_ratnum_denom(((C_word*)t0)[2]);
tp(3,av2);}}

/* a14639 in a14615 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14640,c,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2186: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14657,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2187: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14655 in a14639 in a14615 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14657,c,av);}
/* library.scm:2187: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[580]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[580]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14662 in a14615 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14664,c,av);}
/* library.scm:2188: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[580]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[580]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14666 in ##sys#sqrt/loc in k8543 */
static void C_ccall f_14668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14668,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8543 */
static void C_ccall f_14670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14670,c,av);}
/* library.scm:2191: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[580]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[580]+1);
av2[1]=t1;
av2[2]=lf[590];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8543 */
static void C_ccall f_14676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14676,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14680,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2195: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[593];
tp(4,av2);}}

/* k14678 in chicken.base#exact-integer-nth-root in k8543 */
static void C_ccall f_14680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14680,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14683,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2196: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[593];
tp(4,av2);}}

/* k14681 in k14678 in chicken.base#exact-integer-nth-root in k8543 */
static void C_ccall f_14683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14683,c,av);}
/* library.scm:2197: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[592]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[592]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[593];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14688,c,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14698,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14698(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14698(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_fcall f_14698(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14698,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2203: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=C_i_integer_length(((C_word*)t0)[3]);
if(C_truep(C_i_lessp(t2,((C_word*)t0)[4]))){
t3=C_s_a_i_minus(&a,2,((C_word*)t0)[3],C_fix(1));
/* library.scm:2206: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t3;
C_values(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14718,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14794,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14798,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=C_fixnum_plus(t2,C_fix(1));
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}}

/* k14716 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(75,c,3)))){
C_save_and_reclaim((void *)f_14718,c,av);}
a=C_alloc(75);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=C_s_a_i_minus(&a,2,((C_word*)t0)[2],C_fix(1));
t4=C_s_a_i_times(&a,2,t3,t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14790,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2214: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* lp in k14788 in k14716 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_fcall f_14733(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14733,4,t0,t1,t2,t3);}
a=C_alloc(41);
if(C_truep(C_i_lessp(t3,t2))){
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14763,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2219: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14774,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2221: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14761 in lp in k14788 in k14716 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14763,c,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=C_s_a_i_quotient(&a,2,t3,((C_word*)t0)[4]);
/* library.scm:2217: lp */
t5=((C_word*)((C_word*)t0)[5])[1];
f_14733(t5,((C_word*)t0)[6],((C_word*)t0)[7],t4);}

/* k14772 in lp in k14788 in k14716 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14774,c,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2221: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14788 in k14716 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14790,c,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=C_s_a_i_quotient(&a,2,t3,((C_word*)t0)[4]);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14733,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t6,a[6]=((C_word)li423),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_14733(t8,((C_word*)t0)[6],((C_word*)t0)[7],t4);}

/* k14792 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14794,c,av);}
/* library.scm:2208: scheme#inexact->exact */
t2=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14796 in k14696 in ##sys#exact-integer-nth-root/loc in k8543 */
static void C_ccall f_14798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14798,c,av);}
/* library.scm:2208: scheme#ceiling */
t2=*((C_word*)lf[549]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8543 */
static void C_ccall f_14814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14814,c,av);}
a=C_alloc(8);
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14832,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_s_a_u_i_integer_negate(&a,1,t3);
/* library.scm:2226: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14843,a[2]=t5,a[3]=t2,a[4]=((C_word)li425),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_14843(t7,t1,C_fix(1),t3);}}

/* k14830 in ##sys#integer-power in k8543 */
static void C_ccall f_14832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14832,c,av);}
/* library.scm:2226: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in ##sys#integer-power in k8543 */
static void C_fcall f_14843(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14843,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_evenp(t3))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14865,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,C_fix(-1));
/* library.scm:2231: lp */
t8=t5;
t9=C_fix(1);
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t6=C_s_a_i_minus(&a,2,t3,C_fix(1));
/* library.scm:2233: lp */
t8=t1;
t9=t5;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k14863 in lp in ##sys#integer-power in k8543 */
static void C_ccall f_14865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14865,c,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8543 */
static void C_ccall f_14882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(21,c,4)))){
C_save_and_reclaim((void *)f_14882,c,av);}
a=C_alloc(21);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14885,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14899,a[2]=((C_word)li428),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2245: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[594];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2246: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[594];
tp(4,av2);}}
else{
t12=C_i_ratnump(t2);
t13=(C_truep(t12)?C_i_not(C_i_inexactp(t3)):C_SCHEME_FALSE);
if(C_truep(t13)){
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14951,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2250: scheme#expt */
t15=*((C_word*)lf[533]+1);{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
av2[2]=C_u_i_ratnum_num(t2);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t15+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
if(C_truep(C_i_exact_integerp(t2))){
if(C_truep(C_i_negativep(t2))){
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14990,a[2]=t3,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2257: scheme#exact->inexact */
t15=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t15+1)))(3,av2);}}
else{
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14997,a[2]=t2,a[3]=t3,a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15009,a[2]=t3,a[3]=t2,a[4]=((C_word)li430),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2258: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t14;
av2[3]=t15;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(t2))){
t14=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2267: log-expt */
f_14885(t1,t2,t14);}
else{
/* library.scm:2268: slow-expt */
f_14899(t1,t2,t3);}}}
else{
t14=C_i_cplxnump(t3);
t15=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15053,a[2]=t7,a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t14)){
t16=t15;
f_15053(t16,t14);}
else{
t16=C_i_cplxnump(t2);
t17=t15;
f_15053(t17,(C_truep(t16)?C_i_not(C_i_integerp(t3)):C_SCHEME_FALSE));}}}}}}

/* log-expt in scheme#expt in k8543 */
static void C_fcall f_14885(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14885,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14897,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2238: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k14895 in log-expt in scheme#expt in k8543 */
static void C_ccall f_14897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14897,c,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2238: scheme#exp */
t3=*((C_word*)lf[562]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8543 */
static void C_fcall f_14899(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14899,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2241: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[565];
av2[3]=lf[594];
av2[4]=lf[595];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14920,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2244: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[564]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[564]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}}

/* k14918 in slow-expt in scheme#expt in k8543 */
static void C_ccall f_14920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14920,c,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2244: scheme#exp */
t3=*((C_word*)lf[562]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14949 in scheme#expt in k8543 */
static void C_ccall f_14951(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14951,c,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14955,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_u_i_ratnum_denom(((C_word*)t0)[3]);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[4]);
/* library.scm:2251: scheme#expt */
t5=*((C_word*)lf[533]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k14953 in k14949 in scheme#expt in k8543 */
static void C_ccall f_14955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14955,c,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14988 in scheme#expt in k8543 */
static void C_ccall f_14990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14990,c,av);}
a=C_alloc(11);
t2=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
/* library.scm:2257: log-expt */
f_14885(((C_word*)t0)[4],t1,t2);}

/* a14996 in scheme#expt in k8543 */
static void C_ccall f_14997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14997,c,av);}
/* library.scm:2259: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[592]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[592]+1);
av2[1]=t1;
av2[2]=lf[594];
av2[3]=((C_word*)t0)[2];
av2[4]=C_u_i_ratnum_denom(((C_word*)t0)[3]);
tp(5,av2);}}

/* a15008 in scheme#expt in k8543 */
static void C_ccall f_15009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15009,c,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2262: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_u_i_ratnum_num(((C_word*)t0)[2]);
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15029,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2264: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k15027 in a15008 in scheme#expt in k8543 */
static void C_ccall f_15029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_15029,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15033,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2265: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15031 in k15027 in a15008 in scheme#expt in k8543 */
static void C_ccall f_15033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_15033,c,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15051 in scheme#expt in k8543 */
static void C_fcall f_15053(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15053,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:2270: slow-expt */
f_14899(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(C_truep(C_i_flonump(((C_word*)t0)[5]))?C_i_not(C_u_i_fpintegerp(((C_word*)t0)[5])):C_SCHEME_FALSE);
if(C_truep(t2)){
if(C_truep(C_i_negativep(((C_word*)t0)[4]))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15073,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2274: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15081,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2276: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[4]))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15088,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2278: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=C_i_inexactp(((C_word*)t0)[4]);
t4=(C_truep(t3)?t3:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15104,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15108,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2282: scheme#inexact->exact */
t7=*((C_word*)lf[521]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
/* library.scm:2283: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}}

/* k15071 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15073,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15077,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2274: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15075 in k15071 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15077,c,av);}
/* library.scm:2274: log-expt */
f_14885(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k15079 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_15081,c,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15086 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_15088,c,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15102 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_15104,c,av);}
/* library.scm:2282: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k15106 in k15051 in scheme#expt in k8543 */
static void C_ccall f_15108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15108,c,av);}
/* library.scm:2282: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[531]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8543 */
static void C_fcall f_15149(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15149,4,t1,t2,t3,t4);}
a=C_alloc(5);
if(C_truep(C_i_exact_integerp(t3))){
if(C_truep(C_i_exact_integerp(t4))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15182,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2291: scheme#inexact->exact */
t7=*((C_word*)lf[521]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
/* library.scm:2292: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t5=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t5)){
if(C_truep(C_i_flonump(t4))){
t6=C_a_i_flonum_gcd(&a,2,t3,t4);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_i_exact_integerp(t4))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15211,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2298: scheme#inexact->exact */
t7=*((C_word*)lf[521]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
/* library.scm:2299: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2300: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k15180 in ##sys#internal-gcd in k8543 */
static void C_ccall f_15182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15182,c,av);}
a=C_alloc(5);
t2=C_s_a_u_i_integer_gcd(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2291: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15209 in ##sys#internal-gcd in k8543 */
static void C_ccall f_15211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15211,c,av);}
a=C_alloc(5);
t2=C_s_a_u_i_integer_gcd(&a,2,t1,((C_word*)t0)[2]);
/* library.scm:2298: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#gcd in k8543 */
static void C_ccall f_15219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15219,c,av);}
/* library.scm:2302: ##sys#internal-gcd */
f_15149(t1,lf[597],t2,t3);}

/* scheme#gcd in k8543 */
static void C_ccall f_15225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15225,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15245,a[2]=t7,a[3]=((C_word)li434),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15245(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8543 */
static void C_fcall f_15245(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15245,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
if(C_truep(C_i_integerp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:2311: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[597];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15270,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2313: ##sys#internal-gcd */
f_15149(t5,lf[597],t2,t4);}}

/* k15268 in loop in scheme#gcd in k8543 */
static void C_ccall f_15270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15270,c,av);}
/* library.scm:2313: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_15245(t2,((C_word*)t0)[3],t1,C_slot(((C_word*)t0)[4],C_fix(1)));}

/* ##sys#lcm in k8543 */
static void C_ccall f_15276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15276,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15280,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2317: ##sys#internal-gcd */
f_15149(t4,lf[600],t2,t3);}

/* k15278 in ##sys#lcm in k8543 */
static void C_ccall f_15280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15280,c,av);}
a=C_alloc(45);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#lcm in k8543 */
static void C_ccall f_15290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15290,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_rest_nullp(c,2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15310,a[2]=t6,a[3]=((C_word)li437),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15310(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8543 */
static void C_fcall f_15310(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15310,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
if(C_truep(C_i_integerp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:2327: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[600];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15331,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2329: ##sys#internal-gcd */
f_15149(t5,lf[600],t2,t4);}}

/* k15329 in loop in scheme#lcm in k8543 */
static void C_ccall f_15331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15331,c,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_s_a_i_quotient(&a,2,t2,t1);
/* library.scm:2330: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_15310(t4,((C_word*)t0)[5],t3,C_slot(((C_word*)t0)[6],C_fix(1)));}

/* ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15348,c,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15355,a[2]=t2,a[3]=t6,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2337: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t7;
av2[2]=t3;
av2[3]=t6;
tp(4,av2);}}

/* k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15355,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15360,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15366,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li441),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2336: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a15359 in k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15360,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li439),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2336: g2775 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15365 in k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15366,c,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15370,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k15368 in a15365 in k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15370,c,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15373,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}

/* k15371 in k15368 in a15365 in k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15373,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15380,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t3=C_block_size(t1);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t2;
av2[2]=C_fixnum_difference(((C_word*)t0)[4],t3);
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15378 in k15371 in k15368 in a15365 in k15353 in ##sys#integer->string/recursive in k8543 */
static void C_ccall f_15380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15380,c,av);}
/* library.scm:2342: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8543 */
static void C_ccall f_15401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15401,c,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15415,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=C_u_i_ratnum_num(t2);
av2[3]=t3;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=C_u_i_cplxnum_real(t2);
t5=C_u_i_cplxnum_imag(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15456,a[2]=t5,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=t3;
tp(4,av2);}}
else{
/* library.scm:2364: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[609];
tp(4,av2);}}}}

/* k15413 in ##sys#extended-number->string in k8543 */
static void C_ccall f_15415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15415,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15419,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=C_u_i_ratnum_denom(((C_word*)t0)[3]);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k15417 in k15413 in ##sys#extended-number->string in k8543 */
static void C_ccall f_15419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15419,c,av);}
/* library.scm:2352: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[605];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15454 in ##sys#extended-number->string in k8543 */
static void C_ccall f_15456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15456,c,av);}
a=C_alloc(5);
t2=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[606]:lf[607]):lf[607]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15464,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k15462 in k15454 in ##sys#extended-number->string in k8543 */
static void C_ccall f_15464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15464,c,av);}
/* library.scm:2359: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[608];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15491 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15493,c,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15496,c,av);}
a=C_alloc(13);
t2=C_fixnum_difference(C_i_integer_length(((C_word*)t0)[2]),C_i_integer_length(t1));
t3=C_fixnum_difference(t2,*((C_word*)lf[428]+1));
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t5)[1],C_fix(0)))){
t6=C_fixnum_negate(((C_word*)t5)[1]);
t7=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t6);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15511,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2383: round-quotient */
f_15575(t8,t7,t1);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15550,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2390: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15509 in k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15511,c,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15514,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[428]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[428]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15532,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2387: round-quotient */
f_15575(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15514(t8,C_SCHEME_UNDEFINED);}}

/* k15512 in k15509 in k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_fcall f_15514(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15514,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15521,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2388: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15519 in k15512 in k15509 in k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15521,c,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=stub2829(t3,C_i_foreign_flonum_argumentp(t1),C_i_foreign_fixnum_argumentp(t2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15530 in k15509 in k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15532,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15514(t3,t2);}

/* k15548 in k15494 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15550,c,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8543 */
static void C_fcall f_15575(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15575,3,t1,t2,t3);}
a=C_alloc(63);
t4=C_s_a_u_i_integer_quotient(&a,2,t2,t3);
t5=(C_truep(C_i_evenp(t4))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15590,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t7=C_s_a_i_remainder(&a,2,t2,t3);
t8=C_s_a_i_abs(&a,1,t7);
t9=C_s_a_i_times(&a,2,t8,C_fix(2));
t10=C_s_a_i_abs(&a,1,t3);
/* library.scm:2397: g2842 */
t11=t5;{
C_word av2[4];
av2[0]=t11;
av2[1]=t6;
av2[2]=t9;
av2[3]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}

/* k15588 in round-quotient in k8543 */
static void C_ccall f_15590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15590,c,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=C_eqp(C_i_negativep(((C_word*)t0)[2]),C_i_negativep(((C_word*)t0)[3]));
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(t2)?C_s_a_i_plus(&a,2,((C_word*)t0)[5],C_fix(1)):C_s_a_i_plus(&a,2,((C_word*)t0)[5],C_fix(-1)));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8543 */
static void C_fcall f_15618(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(87,0,5)))){
C_save_and_reclaim_args((void *)trf_15618,5,t1,t2,t3,t4,t5);}
a=C_alloc(87);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t8,0,C_SCHEME_FALSE);
t14=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15622,a[2]=t6,a[3]=t8,a[4]=((C_word)li445),tmp=(C_word)a,a+=5,tmp));
t15=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15636,a[2]=t6,a[3]=((C_word)li446),tmp=(C_word)a,a+=4,tmp));
t16=C_block_size(t3);
t17=C_fixnum_difference(t2,C_fix(1));
t18=C_fixnum_plus(C_fix(48),t17);
t19=C_make_character(C_unfix(t18));
t20=C_fixnum_difference(t2,C_fix(11));
t21=C_fixnum_plus(C_fix(97),t20);
t22=C_make_character(C_unfix(t21));
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=C_SCHEME_FALSE;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15716,a[2]=t16,a[3]=t3,a[4]=t2,a[5]=t19,a[6]=t22,a[7]=t25,a[8]=((C_word)li448),tmp=(C_word)a,a+=9,tmp);
t29=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15824,a[2]=t16,a[3]=t3,a[4]=((C_word)li450),tmp=(C_word)a,a+=5,tmp);
t30=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15874,a[2]=t3,a[3]=t2,a[4]=t27,a[5]=t10,a[6]=t29,a[7]=t28,a[8]=((C_word)li451),tmp=(C_word)a,a+=9,tmp);
t31=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15930,a[2]=t16,a[3]=t3,a[4]=t2,a[5]=t28,a[6]=((C_word)li452),tmp=(C_word)a,a+=7,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15988,a[2]=t16,a[3]=t3,a[4]=t12,a[5]=t31,a[6]=t30,a[7]=((C_word)li453),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_16202,a[2]=t10,a[3]=t32,a[4]=t3,a[5]=t2,a[6]=t16,a[7]=t12,a[8]=t31,a[9]=t27,a[10]=t6,a[11]=t30,a[12]=((C_word)li454),tmp=(C_word)a,a+=13,tmp);
t34=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16548,a[2]=t16,a[3]=t3,a[4]=t33,a[5]=t10,a[6]=((C_word)li455),tmp=(C_word)a,a+=7,tmp);
t35=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16788,a[2]=t6,a[3]=t8,a[4]=t1,a[5]=t3,a[6]=t16,a[7]=t4,a[8]=t27,a[9]=t34,tmp=(C_word)a,a+=10,tmp);
/* library.scm:2583: scan-real */
t36=t34;
f_16548(t36,t35,t4);}

/* go-inexact! in ##sys#string->compnum in k8543 */
static C_word C_fcall f_15622(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;{}
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[612]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
return(t3);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[613]);
t4=((C_word*)((C_word*)t0)[3])[1];
if(C_truep(t4)){
t5=C_mutate(((C_word *)((C_word*)t0)[3])+1,t4);
return(t5);}
else{
t5=C_mutate(((C_word *)((C_word*)t0)[3])+1,t1);
return(t5);}}}

/* safe-exponent in ##sys#string->compnum in k8543 */
static void C_fcall f_15636(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15636,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_greaterp(t3,C_fix(10000)))){
t4=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[613]);
if(C_truep(t4)){
if(C_truep(C_i_zerop(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=lf[503];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_i_greaterp(t2,lf[503]);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t5)?lf[614]:lf[615]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t3,t4))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[613]);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t5)?lf[503]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[613]);
if(C_truep(t5)){
if(C_truep(C_i_not(C_i_negativep(t3)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15493,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2376: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15496,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t7=C_s_a_i_abs(&a,1,t3);
/* library.scm:2377: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t7;
tp(4,av2);}}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15696,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2422: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[531]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[531]+1);
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15694 in safe-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15696,c,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scan-digits in ##sys#string->compnum in k8543 */
static void C_fcall f_15716(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15716,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15722,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li447),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15722(t6,t1,t2);}

/* lp in scan-digits in ##sys#string->compnum in k8543 */
static void C_fcall f_15722(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15722,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_subchar(((C_word*)t0)[4],t2);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t5=C_i_char_greater_or_equal_p(t4,C_make_character(48));
t6=(C_truep(t5)?C_u_i_char_less_or_equal_p(t4,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t6)){
/* library.scm:2446: lp */
t10=t1;
t11=C_fixnum_plus(t2,C_fix(1));
t1=t10;
t2=t11;
goto loop;}
else{
t7=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t5=C_i_char_greater_or_equal_p(t4,C_make_character(48));
t6=(C_truep(t5)?C_u_i_char_less_or_equal_p(t4,C_make_character(57)):C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15785,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t6)){
t8=t7;
f_15785(t8,t6);}
else{
t8=(C_truep(C_u_i_char_greater_or_equal_p(t4,C_make_character(97)))?C_u_i_char_less_or_equal_p(t4,((C_word*)t0)[8]):C_SCHEME_FALSE);
t9=t7;
f_15785(t9,(C_truep(t8)?t8:(C_truep(C_u_i_char_greater_or_equal_p(t4,C_make_character(65)))?C_u_i_char_less_or_equal_p(t4,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15783 in lp in scan-digits in ##sys#string->compnum in k8543 */
static void C_fcall f_15785(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15785,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
/* library.scm:2451: lp */
t2=((C_word*)((C_word*)t0)[2])[1];
f_15722(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[4],((C_word*)t0)[4]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in ##sys#string->compnum in k8543 */
static void C_fcall f_15824(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15824,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15830,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li449),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15830(t6,t1,t2);}

/* lp in scan-hashes in ##sys#string->compnum in k8543 */
static void C_fcall f_15830(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15830,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_subchar(((C_word*)t0)[4],t2);
t5=C_eqp(t4,C_make_character(35));
if(C_truep(t5)){
/* library.scm:2460: lp */
t8=t1;
t9=C_fixnum_plus(t2,C_fix(1));
t1=t8;
t2=t9;
goto loop;}
else{
t6=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(C_truep(t6)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* scan-digits+hashes in ##sys#string->compnum in k8543 */
static void C_fcall f_15874(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15874,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15878,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2464: scan-digits */
t6=((C_word*)t0)[7];
f_15716(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15878(2,av2);}}}

/* k15876 in scan-digits+hashes in ##sys#string->compnum in k8543 */
static void C_ccall f_15878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15878,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15881,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t1)){
if(C_truep(C_i_cdr(t1))){
/* library.scm:2466: scan-hashes */
t3=((C_word*)t0)[9];
f_15824(t3,t2,C_u_i_cdr(t1));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_15881(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2467: scan-hashes */
t3=((C_word*)t0)[9];
f_15824(t3,t2,((C_word*)t0)[3]);}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_15881(2,av2);}}}}

/* k15879 in k15876 in scan-digits+hashes in ##sys#string->compnum in k8543 */
static void C_ccall f_15881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_15881,c,av);}
a=C_alloc(9);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
/* library.scm:2475: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[8])[1],((C_word*)t0)[6])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in ##sys#string->compnum in k8543 */
static void C_fcall f_15930(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_15930,3,t0,t1,t2);}
a=C_alloc(7);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=C_subchar(((C_word*)t0)[3],t2);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15945,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=C_eqp(t3,C_make_character(43));
if(C_truep(t5)){
t6=t4;
f_15945(t6,lf[617]);}
else{
t6=C_eqp(t3,C_make_character(45));
t7=t4;
f_15945(t7,(C_truep(t6)?lf[616]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15943 in scan-exponent in ##sys#string->compnum in k8543 */
static void C_fcall f_15945(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_15945,2,t0,t1);}
a=C_alloc(7);
t2=(C_truep(t1)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15954,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2483: scan-digits */
t4=((C_word*)t0)[6];
f_15716(t4,t3,t2);}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15952 in k15943 in scan-exponent in ##sys#string->compnum in k8543 */
static void C_ccall f_15954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_15954,c,av);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_i_car(t1);
t3=C_eqp(((C_word*)t0)[2],lf[616]);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t2,((C_word*)t0)[5],t3);
t5=C_u_i_cdr(t1);
t6=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t2=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_fcall f_15988(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15988,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15998,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=t4,a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2491: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15874(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_ccall f_15998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15998,c,av);}
a=C_alloc(11);
t2=(C_truep(t1)?C_i_cdr(t1):((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_16007,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)t0)[7])){
t4=t3;
f_16007(t4,((C_word*)t0)[7]);}
else{
t4=C_i_not(t2);
t5=t3;
f_16007(t5,(C_truep(t4)?t4:C_fixnum_greaterp(t2,((C_word*)t0)[2])));}}

/* k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_fcall f_16007(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16007,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(C_truep(((C_word*)t0)[2])?C_subchar(((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=C_eqp(t2,C_make_character(101));
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_16019,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t3)){
t5=t4;
f_16019(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(115));
if(C_truep(t5)){
t6=t4;
f_16019(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(102));
if(C_truep(t6)){
t7=t4;
f_16019(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(100));
if(C_truep(t7)){
t8=t4;
f_16019(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(108));
if(C_truep(t8)){
t9=t4;
f_16019(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(69));
if(C_truep(t9)){
t10=t4;
f_16019(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(83));
if(C_truep(t10)){
t11=t4;
f_16019(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(70));
if(C_truep(t11)){
t12=t4;
f_16019(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(68));
t13=t4;
f_16019(t13,(C_truep(t12)?t12:C_eqp(t2,C_make_character(76))));}}}}}}}}}
else{
t2=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_fcall f_16019(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_16019,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16028,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2499: scan-exponent */
t3=((C_word*)t0)[9];
f_15930(t3,t2,C_fixnum_plus(((C_word*)t0)[3],C_fix(1)));}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16094,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2509: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15636(t6,t5,t4,t3);}}

/* k16026 in k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_ccall f_16028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_16028,c,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=C_i_car(t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16040,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2501: safe-exponent */
t4=((C_word*)((C_word*)t0)[4])[1];
f_15636(t4,t3,((C_word*)t0)[6],t2);}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16038 in k16026 in k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_ccall f_16040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_16040,c,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16046,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t3=C_i_cdr(((C_word*)t0)[2]);
t4=t2;
f_16046(t4,C_fixnum_difference(((C_word*)t0)[6],C_fixnum_difference(t3,((C_word*)t0)[7])));}
else{
t3=t2;
f_16046(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16044 in k16038 in k16026 in k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_fcall f_16046(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_16046,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16052,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2504: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15636(t4,t3,t2,t1);}

/* k16050 in k16044 in k16038 in k16026 in k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_ccall f_16052(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_16052,c,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16092 in k16017 in k16005 in k15996 in scan-decimal-tail in ##sys#string->compnum in k8543 */
static void C_ccall f_16094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_16094,c,av);}
a=C_alloc(32);
t2=(C_truep(((C_word*)t0)[2])?((C_word*)t0)[2]:C_fix(0));
if(C_truep(t1)){
t3=C_s_a_i_plus(&a,2,t2,t1);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-ureal in ##sys#string->compnum in k8543 */
static void C_fcall f_16202(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_16202,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_16209,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[6],t5))){
t6=C_eqp(((C_word*)t0)[5],C_fix(10));
t7=t4;
f_16209(t7,(C_truep(t6)?C_eqp(C_subchar(((C_word*)t0)[4],t2),C_make_character(46)):C_SCHEME_FALSE));}
else{
t6=t4;
f_16209(t6,C_SCHEME_FALSE);}}

/* k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_fcall f_16209(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_16209,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
/* library.scm:2517: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3])
);
/* library.scm:2518: scan-decimal-tail */
t3=((C_word*)t0)[4];
f_15988(t3,((C_word*)t0)[5],C_fixnum_plus(((C_word*)t0)[6],C_fix(1)),((C_word*)t0)[3],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_16222,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2519: scan-digits+hashes */
t3=((C_word*)t0)[14];
f_15874(t3,t2,((C_word*)t0)[6],((C_word*)t0)[3],C_SCHEME_FALSE);}}

/* k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_16222,c,av);}
a=C_alloc(14);
if(C_truep(t1)){
t2=C_i_cdr(t1);
t3=(C_truep(t2)?C_subchar(((C_word*)t0)[2],C_u_i_cdr(t1)):C_SCHEME_FALSE);
t4=C_eqp(t3,C_make_character(46));
if(C_truep(t4)){
t5=(
/* library.scm:2522: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[4])
);
t6=C_eqp(((C_word*)t0)[5],C_fix(10));
if(C_truep(t6)){
t7=C_fixnum_plus(C_u_i_cdr(t1),C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[6],t7))){
/* library.scm:2525: scan-decimal-tail */
t8=((C_word*)t0)[7];
f_15988(t8,((C_word*)t0)[8],C_fixnum_plus(C_u_i_cdr(t1),C_fix(1)),((C_word*)t0)[4],C_u_i_car(t1));}
else{
t8=C_u_i_car(t1);
t9=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t7=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t5=C_eqp(t3,C_make_character(101));
t6=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_16280,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=t3,a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],tmp=(C_word)a,a+=14,tmp);
if(C_truep(t5)){
t7=t6;
f_16280(t7,t5);}
else{
t7=C_eqp(t3,C_make_character(115));
if(C_truep(t7)){
t8=t6;
f_16280(t8,t7);}
else{
t8=C_eqp(t3,C_make_character(102));
if(C_truep(t8)){
t9=t6;
f_16280(t9,t8);}
else{
t9=C_eqp(t3,C_make_character(100));
if(C_truep(t9)){
t10=t6;
f_16280(t10,t9);}
else{
t10=C_eqp(t3,C_make_character(108));
if(C_truep(t10)){
t11=t6;
f_16280(t11,t10);}
else{
t11=C_eqp(t3,C_make_character(69));
if(C_truep(t11)){
t12=t6;
f_16280(t12,t11);}
else{
t12=C_eqp(t3,C_make_character(83));
if(C_truep(t12)){
t13=t6;
f_16280(t13,t12);}
else{
t13=C_eqp(t3,C_make_character(70));
if(C_truep(t13)){
t14=t6;
f_16280(t14,t13);}
else{
t14=C_eqp(t3,C_make_character(68));
t15=t6;
f_16280(t15,(C_truep(t14)?t14:C_eqp(t3,C_make_character(76))));}}}}}}}}}}
else{
t2=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_fcall f_16280(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16280,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(
/* library.scm:2529: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3])
);
t3=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t3)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],C_u_i_cdr(((C_word*)t0)[6])))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16298,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2532: scan-exponent */
t5=((C_word*)t0)[9];
f_15930(t5,t4,C_fixnum_plus(C_u_i_cdr(((C_word*)t0)[6]),C_fix(1)));}
else{
t4=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[11],0,C_SCHEME_FALSE);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],C_u_i_cdr(((C_word*)t0)[6])))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16344,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[12],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2539: scan-digits+hashes */
t5=((C_word*)t0)[13];
f_15874(t5,t4,C_fixnum_plus(C_u_i_cdr(((C_word*)t0)[6]),C_fix(1)),C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t4=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16296 in k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16298,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16308,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2534: safe-exponent */
t4=((C_word*)((C_word*)t0)[4])[1];
f_15636(t4,t3,t2,C_i_car(t1));}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16306 in k16296 in k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16308,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16342 in k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16344,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t1);
if(C_truep(t3)){
t4=C_eqp(t3,C_fix(0));
if(C_truep(C_i_not(t4))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16370,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2543: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t5=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[612]);
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16381,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2547: chicken.base#signum */
t7=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16368 in k16342 in k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16370,c,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16379 in k16342 in k16278 in k16220 in k16207 in scan-ureal in ##sys#string->compnum in k8543 */
static void C_ccall f_16381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16381,c,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[615],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_flonum(&a,C_ub_i_flonum_quotient((double)0.0,(double)0.0));
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[614],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in ##sys#string->compnum in k8543 */
static void C_fcall f_16548(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16548,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=C_subchar(((C_word*)t0)[3],t2);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16563,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t5=C_eqp(t3,C_make_character(43));
if(C_truep(t5)){
t6=t4;
f_16563(t6,lf[617]);}
else{
t6=C_eqp(t3,C_make_character(45));
t7=t4;
f_16563(t7,(C_truep(t6)?lf[616]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16561 in scan-real in ##sys#string->compnum in k8543 */
static void C_fcall f_16563(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_16563,2,t0,t1);}
a=C_alloc(11);
t2=(C_truep(t1)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[3]))){
t3=C_subchar(((C_word*)t0)[4],t2);
t4=C_eqp(t3,C_make_character(105));
t5=(C_truep(t4)?t4:C_eqp(t3,C_make_character(73)));
if(C_truep(t5)){
if(C_truep(t1)){
t6=C_fixnum_plus(t2,C_fix(1));
t7=C_eqp(t6,((C_word*)t0)[3]);
if(C_truep(t7)){
t8=C_eqp(t1,lf[616]);
t9=(C_truep(t8)?C_a_i_cons(&a,2,C_fix(-1),t2):C_a_i_cons(&a,2,C_fix(1),t2));
if(C_truep(t9)){
t10=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
/* library.scm:2572: scan-ureal */
t10=((C_word*)t0)[6];
f_16202(t10,((C_word*)t0)[5],t2,C_eqp(t1,lf[616]));}}
else{
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16621,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_plus(t2,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t9,((C_word*)t0)[3]))){
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16662,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2566: scheme#substring */
t11=*((C_word*)lf[396]+1);{
C_word av2[5];
av2[0]=t11;
av2[1]=t10;
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
av2[4]=C_fixnum_plus(t2,C_fix(5));
((C_proc)(void*)(*((C_word*)t11+1)))(5,av2);}}
else{
t10=t8;
f_16621(t10,C_SCHEME_FALSE);}}}
else{
/* library.scm:2572: scan-ureal */
t6=((C_word*)t0)[6];
f_16202(t6,((C_word*)t0)[5],t2,C_eqp(t1,lf[616]));}}
else{
t6=C_eqp(t3,C_make_character(110));
t7=(C_truep(t6)?t6:C_eqp(t3,C_make_character(78)));
if(C_truep(t7)){
if(C_truep(t1)){
t8=C_fixnum_plus(t2,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t8,((C_word*)t0)[3]))){
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16740,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2576: scheme#substring */
t10=*((C_word*)lf[396]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
av2[4]=C_fixnum_plus(t2,C_fix(5));
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:2581: scan-ureal */
t9=((C_word*)t0)[6];
f_16202(t9,((C_word*)t0)[5],t2,C_eqp(t1,lf[616]));}}
else{
/* library.scm:2581: scan-ureal */
t8=((C_word*)t0)[6];
f_16202(t8,((C_word*)t0)[5],t2,C_eqp(t1,lf[616]));}}
else{
/* library.scm:2582: scan-ureal */
t8=((C_word*)t0)[6];
f_16202(t8,((C_word*)t0)[5],t2,C_eqp(t1,lf[616]));}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16619 in k16561 in scan-real in ##sys#string->compnum in k8543 */
static void C_fcall f_16621(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_16621,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
/* library.scm:2567: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[2])[1],C_eqp(((C_word*)t0)[3],lf[616]))
);
t3=C_eqp(((C_word*)t0)[3],lf[616]);
t4=(C_truep(t3)?lf[615]:lf[614]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=C_a_i_cons(&a,2,t4,t6);
if(C_truep(t7)){
t8=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2572: scan-ureal */
t8=((C_word*)t0)[7];
f_16202(t8,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}
else{
t6=C_a_i_cons(&a,2,t4,C_SCHEME_FALSE);
if(C_truep(t6)){
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:2572: scan-ureal */
t7=((C_word*)t0)[7];
f_16202(t7,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}}
else{
/* library.scm:2572: scan-ureal */
t2=((C_word*)t0)[7];
f_16202(t2,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}

/* k16660 in k16561 in scan-real in ##sys#string->compnum in k8543 */
static void C_ccall f_16662(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16662,c,av);}
t2=((C_word*)t0)[2];
f_16621(t2,C_i_string_ci_equal_p(t1,lf[618]));}

/* k16738 in k16561 in scan-real in ##sys#string->compnum in k8543 */
static void C_ccall f_16740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_16740,c,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[619]))){
t2=(
/* library.scm:2577: go-inexact! */
  f_15622(((C_word*)((C_word*)t0)[2])[1],C_eqp(((C_word*)t0)[3],lf[616]))
);
t3=C_flonum(&a,C_ub_i_flonum_quotient((double)0.0,(double)0.0));
t4=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[5]))){
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t6=C_a_i_cons(&a,2,t3,t5);
if(C_truep(t6)){
t7=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:2581: scan-ureal */
t7=((C_word*)t0)[7];
f_16202(t7,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}
else{
t5=C_a_i_cons(&a,2,t3,C_SCHEME_FALSE);
if(C_truep(t5)){
t6=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2581: scan-ureal */
t6=((C_word*)t0)[7];
f_16202(t6,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}}
else{
/* library.scm:2581: scan-ureal */
t2=((C_word*)t0)[7];
f_16202(t2,((C_word*)t0)[6],((C_word*)t0)[4],C_eqp(((C_word*)t0)[3],lf[616]));}}

/* k16786 in ##sys#string->compnum in k8543 */
static void C_ccall f_16788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_16788,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16791,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t1)){
t3=C_i_cdr(t1);
t4=(C_truep(t3)?C_subchar(((C_word*)t0)[5],C_u_i_cdr(t1)):C_SCHEME_FALSE);
t5=C_eqp(t4,C_SCHEME_FALSE);
if(C_truep(t5)){
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_car(t1);
f_16791(2,av2);}}
else{
t6=C_eqp(t4,C_make_character(105));
t7=(C_truep(t6)?t6:C_eqp(t4,C_make_character(73)));
if(C_truep(t7)){
t8=C_fixnum_plus(C_u_i_cdr(t1),C_fix(1));
t9=C_eqp(((C_word*)t0)[6],t8);
if(C_truep(t9)){
t10=C_eqp(C_subchar(((C_word*)t0)[5],((C_word*)t0)[7]),C_make_character(43));
if(C_truep(t10)){
if(C_truep(t10)){
/* library.scm:2589: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=C_u_i_car(t1);
tp(4,av2);}}
else{
t11=t2;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t11=C_eqp(C_subchar(((C_word*)t0)[5],((C_word*)t0)[7]),C_make_character(45));
if(C_truep(t11)){
/* library.scm:2589: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=C_u_i_car(t1);
tp(4,av2);}}
else{
t12=t2;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}}
else{
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t8=C_eqp(t4,C_make_character(43));
t9=(C_truep(t8)?t8:C_eqp(t4,C_make_character(45)));
if(C_truep(t9)){
t10=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_FALSE);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16890,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2592: scan-real */
t12=((C_word*)t0)[9];
f_16548(t12,t11,C_u_i_cdr(t1));}
else{
t10=C_eqp(t4,C_make_character(64));
if(C_truep(t10)){
t11=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_FALSE);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16958,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2600: scan-real */
t13=((C_word*)t0)[9];
f_16548(t13,t12,C_fixnum_plus(C_u_i_cdr(t1),C_fix(1)));}
else{
t11=t2;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}}}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}

/* k16789 in k16786 in ##sys#string->compnum in k8543 */
static void C_ccall f_16791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_16791,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[613]);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16803,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2605: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16801 in k16789 in k16786 in ##sys#string->compnum in k8543 */
static void C_ccall f_16803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16803,c,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
if(C_truep(C_u_i_zerop2(t1))){
/* library.scm:2608: chicken.flonum#fpneg */
t2=*((C_word*)lf[456]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16888 in k16786 in ##sys#string->compnum in k8543 */
static void C_ccall f_16890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16890,c,av);}
if(C_truep(t1)){
if(C_truep(C_i_cdr(t1))){
t2=C_fixnum_plus(C_u_i_cdr(t1),C_fix(1));
t3=C_eqp(((C_word*)t0)[2],t2);
if(C_truep(t3)){
t4=C_u_i_cdr(t1);
t5=C_eqp(C_subchar(((C_word*)t0)[3],t4),C_make_character(105));
if(C_truep(t5)){
if(C_truep(t5)){
/* library.scm:2597: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_u_i_car(((C_word*)t0)[5]);
av2[3]=C_u_i_car(t1);
tp(4,av2);}}
else{
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t6=C_u_i_cdr(t1);
t7=C_eqp(C_subchar(((C_word*)t0)[3],t6),C_make_character(73));
if(C_truep(t7)){
/* library.scm:2597: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_u_i_car(((C_word*)t0)[5]);
av2[3]=C_u_i_car(t1);
tp(4,av2);}}
else{
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}}
else{
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}

/* k16956 in k16786 in ##sys#string->compnum in k8543 */
static void C_ccall f_16958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16958,c,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
/* library.scm:2602: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[506]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[506]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_u_i_car(((C_word*)t0)[3]);
av2[3]=C_u_i_car(t1);
tp(4,av2);}}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16791(2,av2);}}}

/* scheme#string->number in k8543 */
static void C_ccall f_17038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17038,c,av);}
a=C_alloc(5);
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?C_fix(10):C_get_rest_arg(c,3,av,3,t0));
t5=C_i_check_string_2(t2,lf[621]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17048,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t4))){
if(C_truep(C_fixnum_lessp(C_fix(1),t4))){
if(C_truep(C_fixnum_lessp(t4,C_fix(37)))){
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_17048(2,av2);}}
else{
/* library.scm:2617: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[375]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[621];
tp(4,av2);}}}
else{
/* library.scm:2617: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[375]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[621];
tp(4,av2);}}}
else{
/* library.scm:2617: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[375]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[375]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[621];
tp(4,av2);}}}

/* k17046 in scheme#string->number in k8543 */
static void C_ccall f_17048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_17048,c,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17057,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li457),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_17057(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k17046 in scheme#string->number in k8543 */
static void C_fcall f_17057(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_17057,6,t0,t1,t2,t3,t4,t5);}
t6=C_fixnum_plus(t2,C_fix(2));
t7=C_fixnum_lessp(t6,t5);
t8=(C_truep(t7)?C_eqp(C_subchar(((C_word*)t0)[2],t2),C_make_character(35)):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
t10=C_subchar(((C_word*)t0)[2],t9);
t11=C_eqp(t10,C_make_character(105));
t12=(C_truep(t11)?t11:C_eqp(t10,C_make_character(73)));
if(C_truep(t12)){
if(C_truep(C_i_not(t3))){
/* library.scm:2624: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=lf[613];
t27=t4;
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t13=t1;{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t10,C_make_character(101));
t14=(C_truep(t13)?t13:C_eqp(t10,C_make_character(69)));
if(C_truep(t14)){
if(C_truep(C_i_not(t3))){
/* library.scm:2625: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=lf[612];
t27=t4;
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t15=t1;{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t10,C_make_character(98));
t16=(C_truep(t15)?t15:C_eqp(t10,C_make_character(66)));
if(C_truep(t16)){
if(C_truep(C_i_not(t4))){
/* library.scm:2626: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=t3;
t27=C_fix(2);
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t17=t1;{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=C_eqp(t10,C_make_character(111));
t18=(C_truep(t17)?t17:C_eqp(t10,C_make_character(79)));
if(C_truep(t18)){
if(C_truep(C_i_not(t4))){
/* library.scm:2627: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=t3;
t27=C_fix(8);
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t19=t1;{
C_word av2[2];
av2[0]=t19;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t19+1)))(2,av2);}}}
else{
t19=C_eqp(t10,C_make_character(100));
t20=(C_truep(t19)?t19:C_eqp(t10,C_make_character(68)));
if(C_truep(t20)){
if(C_truep(C_i_not(t4))){
/* library.scm:2628: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=t3;
t27=C_fix(10);
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t21=t1;{
C_word av2[2];
av2[0]=t21;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t21+1)))(2,av2);}}}
else{
t21=C_eqp(t10,C_make_character(120));
t22=(C_truep(t21)?t21:C_eqp(t10,C_make_character(88)));
if(C_truep(t22)){
if(C_truep(C_i_not(t4))){
/* library.scm:2629: scan-prefix */
t24=t1;
t25=C_fixnum_plus(t2,C_fix(2));
t26=t3;
t27=C_fix(16);
t28=t5;
t1=t24;
t2=t25;
t3=t26;
t4=t27;
t5=t28;
goto loop;}
else{
t23=t1;{
C_word av2[2];
av2[0]=t23;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t23+1)))(2,av2);}}}
else{
t23=t1;{
C_word av2[2];
av2[0]=t23;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t23+1)))(2,av2);}}}}}}}}
else{
if(C_truep(t4)){
/* library.scm:2631: ##sys#string->compnum */
f_15618(t1,t4,((C_word*)t0)[2],t2,t3);}
else{
/* library.scm:2631: ##sys#string->compnum */
f_15618(t1,((C_word*)t0)[4],((C_word*)t0)[2],t2,t3);}}}

/* ##sys#string->number in k8543 */
static void C_ccall f_17293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17293,c,av);}
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?C_fix(10):C_get_rest_arg(c,3,av,3,t0));
t5=C_rest_nullp(c,3);
t6=C_rest_nullp(c,4);
t7=(C_truep(t6)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,3,t0));
if(C_truep(C_rest_nullp(c,4))){
/* library.scm:2634: ##sys#string->compnum */
f_15618(t1,t4,t2,C_fix(0),t7);}
else{
/* library.scm:2634: ##sys#string->compnum */
f_15618(t1,t4,t2,C_fix(0),t7);}}

/* chicken.base#equal=? in k8543 */
static void C_ccall f_17339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17339,c,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17342,a[2]=t7,a[3]=((C_word)li464),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17410,a[2]=t5,a[3]=((C_word)li465),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2677: walk */
t10=((C_word*)t7)[1];
f_17410(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8543 */
static void C_fcall f_17342(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17342,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17369,a[2]=t9,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=t11,a[7]=((C_word)li463),tmp=(C_word)a,a+=8,tmp));
t13=((C_word*)t11)[1];
f_17369(t13,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8543 */
static void C_fcall f_17369(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17369,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:2651: walk */
t4=((C_word*)((C_word*)t0)[3])[1];
f_17410(t4,t1,C_slot(((C_word*)t0)[4],t2),C_slot(((C_word*)t0)[5],t2));}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17393,a[2]=((C_word*)t0)[6],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2652: walk */
t5=((C_word*)((C_word*)t0)[3])[1];
f_17410(t5,t4,C_slot(((C_word*)t0)[4],t2),C_slot(((C_word*)t0)[5],t2));}}

/* k17391 in loop in compare-slots in chicken.base#equal=? in k8543 */
static void C_ccall f_17393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17393,c,av);}
if(C_truep(t1)){
/* library.scm:2653: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_17369(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8543 */
static void C_fcall f_17410(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17410,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t5=C_i_numberp(t3);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t5)?C_i_nequalp(t2,t3):C_eqp(t2,t3));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_not(C_blockp(t2)))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_not(C_blockp(t3)))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_not(C_sametypep(t2,t3)))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:2667: compare-slots */
t5=((C_word*)((C_word*)t0)[2])[1];
f_17342(t5,t1,t2,t3,C_fix(1));}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=(C_truep(t7)?C_substring_compare(t2,t3,C_fix(0),C_fix(0),t5):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
/* library.scm:2676: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17342(t8,t1,t2,t3,C_fix(0));}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8543 */
static void C_ccall f_17511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17511,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8543 */
static void C_ccall f_17514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17514,c,av);}
t3=C_i_check_string(t2);
/* library.scm:2689: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* ##sys#symbol->string in k8543 */
static void C_ccall f_17523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17523,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol->string in k8543 */
static void C_ccall f_17529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17529,c,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[635]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17540,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2697: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17538 in scheme#symbol->string in k8543 */
static void C_ccall f_17540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17540,c,av);}
/* library.scm:2697: scheme#string-copy */
t2=*((C_word*)lf[394]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8543 */
static void C_ccall f_17542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17542,c,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[637]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17553,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2703: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17551 in scheme#string->symbol in k8543 */
static void C_ccall f_17553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17553,c,av);}
/* library.scm:2703: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8543 */
static void C_ccall f_17555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17555,c,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[639]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li474),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17566,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2709: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17564 in chicken.base#string->uninterned-symbol in k8543 */
static void C_ccall f_17566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17566,c,av);}
/* library.scm:2707: g3360 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8543 */
static void C_ccall f_17568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,5)))){
C_save_and_reclaim((void*)f_17568,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li476),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17585,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17589,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34949,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2726: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t9;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t9=C_get_rest_arg(c,2,av,2,t0);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17602,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=t9,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t9))){
if(C_truep(C_stringp(t9))){
t11=t10;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
f_17602(2,av2);}}
else{
if(C_truep(C_symbolp(t9))){
/* library.scm:2723: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t10;
av2[2]=t9;
tp(3,av2);}}
else{
/* library.scm:2714: ##sys#signal-hook */
t11=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t11;
av2[1]=t10;
av2[2]=lf[260];
av2[3]=lf[642];
av2[4]=lf[643];
av2[5]=t9;
((C_proc)(void*)(*((C_word*)t11+1)))(6,av2);}}}}
else{
t11=t10;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_17602(2,av2);}}}}

/* k17583 in chicken.base#gensym in k8543 */
static void C_ccall f_17585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17585,c,av);}
/* library.scm:2714: g3367 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17587 in chicken.base#gensym in k8543 */
static void C_ccall f_17589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17589,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17593,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2726: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17591 in k17587 in chicken.base#gensym in k8543 */
static void C_ccall f_17593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17593,c,av);}
/* library.scm:2717: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17600 in chicken.base#gensym in k8543 */
static void C_ccall f_17602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_17602,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f34953,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2726: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
/* library.scm:2714: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[260];
av2[3]=lf[642];
av2[4]=lf[643];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8543 */
static void C_ccall f_17622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17622,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17630,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17645,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17647,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li478),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17647(t12,t8,t2);}

/* k17628 in chicken.base#symbol-append in k8543 */
static void C_ccall f_17630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17630,c,av);}
/* library.scm:2731: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17643 in chicken.base#symbol-append in k8543 */
static void C_ccall f_17645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17645,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3383 in chicken.base#symbol-append in k8543 */
static void C_fcall f_17647(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17647,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17672,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[645]);
/* library.scm:2736: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17670 in map-loop3383 in chicken.base#symbol-append in k8543 */
static void C_ccall f_17672(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17672,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=((C_word*)((C_word*)t0)[3])[1];
f_17647(t5,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(1)));}

/* chicken.keyword#keyword? in k8543 */
static void C_ccall f_17681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17681,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_keywordp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.keyword#string->keyword in k8543 */
static void C_ccall f_17684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17684,c,av);}
t3=C_i_check_string_2(t2,lf[649]);
/* library.scm:2753: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* chicken.keyword#keyword->string in k8543 */
static void C_ccall f_17693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17693,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17700,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2758: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17698 in chicken.keyword#keyword->string in k8543 */
static void C_ccall f_17700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17700,c,av);}
if(C_truep(t1)){
/* library.scm:2759: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2760: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[260];
av2[3]=lf[651];
av2[4]=lf[652];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8543 */
static void C_ccall f_17711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_17711,c,av);}
a=C_alloc(7);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,4,t0));
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17718,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2765: ##sys#check-keyword */
t7=*((C_word*)lf[352]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[655];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k17716 in chicken.keyword#get-keyword in k8543 */
static void C_ccall f_17718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17718,c,av);}
t2=C_i_check_list_2(((C_word*)t0)[2],lf[655]);
t3=C_i_get_keyword(((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);
t4=C_eqp(t3,((C_word*)t0)[4]);
if(C_truep(t4)){
if(C_truep(((C_word*)t0)[5])){
/* library.scm:2769: thunk */
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-blob in k8543 */
static void C_ccall f_17742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17742,c,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17746,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2785: ##sys#allocate-vector */
t4=*((C_word*)lf[318]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17744 in ##sys#make-blob in k8543 */
static void C_ccall f_17746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17746,c,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8543 */
static void C_ccall f_17748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17748,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17752,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2790: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[660];
tp(4,av2);}}

/* k17750 in chicken.blob#make-blob in k8543 */
static void C_ccall f_17752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17752,c,av);}
/* library.scm:2791: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[658]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[658]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8543 */
static void C_ccall f_17757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17757,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob-size in k8543 */
static void C_ccall f_17763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17763,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17767,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2798: ##sys#check-blob */
t4=*((C_word*)lf[343]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[663];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17765 in chicken.blob#blob-size in k8543 */
static void C_ccall f_17767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17767,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8543 */
static void C_ccall f_17772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17772,c,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[665]);
t4=C_block_size(t2);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17782,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2804: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[658]);
C_word *av2=av;
av2[0]=*((C_word*)lf[658]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k17780 in chicken.blob#string->blob in k8543 */
static void C_ccall f_17782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17782,c,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8543 */
static void C_ccall f_17784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17784,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17788,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2809: ##sys#check-blob */
t4=*((C_word*)lf[343]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[667];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17786 in chicken.blob#blob->string in k8543 */
static void C_ccall f_17788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17788,c,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17794,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2811: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k17792 in k17786 in chicken.blob#blob->string in k8543 */
static void C_ccall f_17794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17794,c,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8543 */
static void C_ccall f_17796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17796,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17800,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2816: ##sys#check-blob */
t5=*((C_word*)lf[343]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[669];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17798 in chicken.blob#blob=? in k8543 */
static void C_ccall f_17800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17800,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17803,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2817: ##sys#check-blob */
t3=*((C_word*)lf[343]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[669];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17801 in k17798 in chicken.blob#blob=? in k8543 */
static void C_ccall f_17803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17803,c,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_zerop(C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#make-vector in k8543 */
static void C_ccall f_17819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17819,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17823,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2829: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[670];
tp(4,av2);}}

/* k17821 in scheme#make-vector in k8543 */
static void C_ccall f_17823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17823,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17826,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2830: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[670];
av2[3]=lf[671];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17826(2,av2);}}}

/* k17824 in k17821 in scheme#make-vector in k8543 */
static void C_ccall f_17826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17826,c,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2831: ##sys#allocate-vector */
t3=*((C_word*)lf[318]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
/* library.scm:2831: ##sys#allocate-vector */
t2=*((C_word*)lf[318]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_i_car(((C_word*)t0)[2]);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* scheme#list->vector in k8543 */
static void C_ccall f_17848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17848,c,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2843: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[673];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17864,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2845: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[672]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[672]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17862 in scheme#list->vector in k8543 */
static void C_ccall f_17864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17864,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17869,a[2]=t1,a[3]=((C_word)li492),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17869(t2,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k17862 in scheme#list->vector in k8543 */
static C_word C_fcall f_17869(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,C_fix(1));
t1=t6;
t2=t7;
goto loop;}}

/* scheme#vector->list in k8543 */
static void C_ccall f_17900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17900,c,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[674]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17909,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li494),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17909(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8543 */
static void C_fcall f_17909(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17909,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17927,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2862: loop */
t6=t4;
t7=C_fixnum_plus(t2,C_fix(1));
t1=t6;
t2=t7;
goto loop;}}

/* k17925 in loop in scheme#vector->list in k8543 */
static void C_ccall f_17927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17927,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8543 */
static void C_ccall f_17933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17933,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2864: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8543 */
static void C_ccall f_17939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17939,c,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[675]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17948,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li497),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17948(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3520 in scheme#vector-fill! in k8543 */
static C_word C_fcall f_17948(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t4=C_fixnum_plus(t1,C_fix(1));
t1=t4;
goto loop;}}

/* chicken.base#vector-copy! in k8543 */
static void C_ccall f_17967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_17967,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t5=C_i_check_vector_2(t2,lf[676]);
t6=C_i_check_vector_2(t3,lf[676]);
t7=C_block_size(t2);
t8=C_block_size(t3);
t9=C_i_pairp(t4);
t10=(C_truep(t9)?C_get_rest_arg(c,4,av,4,t0):C_i_fixnum_min(t8,t7));
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17986,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t8,a[7]=t7,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2881: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t11;
av2[2]=t10;
av2[3]=lf[676];
tp(4,av2);}}

/* k17984 in chicken.base#vector-copy! in k8543 */
static void C_ccall f_17986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17986,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17989,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2883: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[382];
av2[3]=lf[676];
av2[4]=lf[677];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17989(2,av2);}}}

/* k17987 in k17984 in chicken.base#vector-copy! in k8543 */
static void C_ccall f_17989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17989,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li499),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17994(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3532 in k17987 in k17984 in chicken.base#vector-copy! in k8543 */
static C_word C_fcall f_17994(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t5=C_fixnum_plus(t1,C_fix(1));
t1=t5;
goto loop;}}

/* chicken.base#subvector in k8543 */
static void C_ccall f_18036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_18036,c,av);}
a=C_alloc(8);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,4,t0));
t6=C_i_check_vector_2(t2,lf[678]);
t7=C_block_size(t2);
t8=(C_truep(t5)?t5:t7);
t9=C_fixnum_difference(t8,t3);
t10=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18055,a[2]=t9,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t8,a[7]=t7,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2896: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t10;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_fixnum_plus(t7,C_fix(1));
av2[5]=lf[678];
tp(6,av2);}}

/* k18053 in chicken.base#subvector in k8543 */
static void C_ccall f_18055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_18055,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18058,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2897: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=C_fixnum_plus(((C_word*)t0)[7],C_fix(1));
av2[5]=lf[678];
tp(6,av2);}}

/* k18056 in k18053 in chicken.base#subvector in k8543 */
static void C_ccall f_18058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18058,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18061,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2898: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k18059 in k18056 in k18053 in chicken.base#subvector in k8543 */
static void C_ccall f_18061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18061,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18066,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li501),tmp=(C_word)a,a+=7,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_18066(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3563 in k18059 in k18056 in k18053 in chicken.base#subvector in k8543 */
static C_word C_fcall f_18066(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t1=t6;
goto loop;}}

/* chicken.base#vector-resize in k8543 */
static void C_ccall f_18107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_18107,c,av);}
a=C_alloc(6);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,4,t0));
t6=C_i_check_vector_2(t2,lf[679]);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18117,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2906: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t3;
av2[3]=lf[679];
tp(4,av2);}}

/* k18115 in chicken.base#vector-resize in k8543 */
static void C_ccall f_18117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_18117,c,av);}
/* library.scm:2907: ##sys#vector-resize */
f_18128(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8543 */
static void C_fcall f_18128(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18128,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18132,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2910: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[672]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[672]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k18130 in ##sys#vector-resize in k8543 */
static void C_ccall f_18132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18132,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18135,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2911: scheme#min */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_block_size(((C_word*)t0)[2]);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18133 in k18130 in ##sys#vector-resize in k8543 */
static void C_ccall f_18135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18135,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18140,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li504),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_18140(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3591 in k18133 in k18130 in ##sys#vector-resize in k8543 */
static C_word C_fcall f_18140(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t5=C_fixnum_plus(t1,C_fix(1));
t1=t5;
goto loop;}}

/* scheme#char-ci=? in k8543 */
static void C_ccall f_18167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18167,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_u_i_char_downcase(t2),C_u_i_char_downcase(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-ci>? in k8543 */
static void C_ccall f_18181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18181,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_greaterp(C_u_i_char_downcase(t2),C_u_i_char_downcase(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-ci<? in k8543 */
static void C_ccall f_18192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18192,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lessp(C_u_i_char_downcase(t2),C_u_i_char_downcase(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-ci>=? in k8543 */
static void C_ccall f_18203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18203,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_greater_or_equal_p(C_u_i_char_downcase(t2),C_u_i_char_downcase(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-ci<=? in k8543 */
static void C_ccall f_18214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18214,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_less_or_equal_p(C_u_i_char_downcase(t2),C_u_i_char_downcase(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k18225 in k8543 */
static void C_ccall f_18227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18227,c,av);}
a=C_alloc(15);
t2=C_SCHEME_END_OF_LIST;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18229,a[2]=t1,a[3]=((C_word)li512),tmp=(C_word)a,a+=4,tmp);
t5=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18270,a[2]=t4,a[3]=t3,a[4]=t1,a[5]=((C_word)li513),tmp=(C_word)a,a+=6,tmp));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18387,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2980: chicken.base#char-name */
t7=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1403];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* lookup-char in k18225 in k8543 */
static void C_fcall f_18229(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18229,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18242,a[2]=t2,a[3]=((C_word)li511),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18242(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18225 in k8543 */
static C_word C_fcall f_18242(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t6=C_slot(t1,C_fix(1));
t1=t6;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18225 in k8543 */
static void C_ccall f_18270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_18270,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_pairp(t3);
t5=(C_truep(t4)?C_get_rest_arg(c,3,av,3,t0):C_SCHEME_FALSE);
if(C_truep(C_charp(t2))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18283,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2954: lookup-char */
t7=((C_word*)t0)[2];
f_18229(t7,t6,t2);}
else{
if(C_truep(t5)){
t6=C_i_check_symbol_2(t2,lf[681]);
t7=C_i_check_char_2(t5,lf[681]);
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18301,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t5,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_block_size(t9);
if(C_truep(C_fixnum_lessp(t10,C_fix(2)))){
/* library.scm:2960: ##sys#signal-hook */
t11=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t11;
av2[1]=t8;
av2[2]=lf[260];
av2[3]=lf[681];
av2[4]=lf[682];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t11+1)))(6,av2);}}
else{
t11=t8;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_SCHEME_UNDEFINED;
f_18301(2,av2);}}}
else{
t6=C_i_check_symbol_2(t2,lf[681]);
t7=C_i_assq(t2,((C_word*)((C_word*)t0)[3])[1]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=(C_truep(t7)?C_slot(t7,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* k18281 in chicken.base#char-name in k18225 in k8543 */
static void C_ccall f_18283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18283,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18299 in chicken.base#char-name in k18225 in k8543 */
static void C_ccall f_18301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18301,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18304,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2961: lookup-char */
t3=((C_word*)t0)[7];
f_18229(t3,t2,((C_word*)t0)[5]);}

/* k18302 in k18299 in chicken.base#char-name in k18225 in k8543 */
static void C_ccall f_18304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18304,c,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18385 in k18225 in k8543 */
static void C_ccall f_18387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18387,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18390,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2981: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1402];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18390,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18393,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2982: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1401];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18393,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18396,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2983: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1400];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18396,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18399,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2984: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1399];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18399,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18402,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2985: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1398];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18402,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18405,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2986: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1397];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18405,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18408,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2987: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1396];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18408,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18411,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2988: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1395];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18411,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18414,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2989: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1394];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18414,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18417,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2990: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1393];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18417,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18420,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2991: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1392];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18420,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18423,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2992: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1391];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18423,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18426,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2993: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1390];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(93,c,6)))){
C_save_and_reclaim((void *)f_18426,c,av);}
a=C_alloc(93);
t2=C_mutate((C_word*)lf[683]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li514),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[684]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li515),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[685]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18431,a[2]=((C_word)li517),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[688]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18469,a[2]=((C_word)li519),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18511,a[2]=((C_word)li522),tmp=(C_word)a,a+=3,tmp);
t10=C_set_block_item(t8,0,t9);
t11=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18569,a[2]=t8,a[3]=((C_word)li527),tmp=(C_word)a,a+=4,tmp));
t12=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18651,a[2]=t8,a[3]=((C_word)li532),tmp=(C_word)a,a+=4,tmp));
t13=C_set_block_item(lf[690] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t14=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18753,a[2]=((C_word)li534),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[691]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t16=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18784,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t18=C_mutate(&lf[692] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18824,a[2]=((C_word)li538),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18882,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18888,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18893,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18898,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[697]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18911,a[2]=((C_word)li543),tmp=(C_word)a,a+=3,tmp));
t24=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32077,a[2]=((C_word)li545),tmp=(C_word)a,a+=3,tmp);
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32117,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t26=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32157,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t27=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32160,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32163,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32169,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32172,a[2]=((C_word)li552),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32175,a[2]=((C_word)li555),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32274,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp);
t33=C_a_i_vector(&a,10,t24,t25,t26,t27,t28,t29,t30,t31,t32,C_SCHEME_FALSE);
t34=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#stream-port-class ...) */,t33);
t35=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li559),tmp=(C_word)a,a+=3,tmp));
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18942,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3271: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t36;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[711]);
av2[4]=lf[1389];
av2[5]=lf[730];
tp(6,av2);}}

/* ##sys#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18431,c,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18437,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li516),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18437(t7,t1,t3);}

/* loop in ##sys#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18437(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18437,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18453,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3006: p */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
/* library.scm:3008: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[687];
tp(4,av2);}}}}

/* k18451 in loop in ##sys#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18453,c,av);}
/* library.scm:3007: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18437(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* ##sys#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18469,c,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18475,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li518),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18475(t7,t1,t3);}

/* loop in ##sys#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18475(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18475,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18495,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3014: p */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
/* library.scm:3015: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[689];
tp(4,av2);}}}}

/* k18493 in loop in ##sys#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18495,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18499,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3014: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18475(t3,t2,C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k18497 in k18493 in loop in ##sys#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18499,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3667 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_18511,c,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18517,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=((C_word)li521),tmp=(C_word)a,a+=6,tmp);
/* library.scm:3019: scheme#call-with-current-continuation */
t6=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* a18516 in mapsafe3667 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_18517,c,av);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18523,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li520),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_18523(t6,t1,((C_word*)t0)[4]);}

/* lp in a18516 in mapsafe3667 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18523(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18523,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_eqp(t4,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
/* library.scm:3025: empty */
t6=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=C_SCHEME_END_OF_LIST;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
if(C_truep(C_i_pairp(t4))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18555,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3027: p */
t7=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t7))(3,av2);}}
else{
/* library.scm:3028: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k18553 in lp in a18516 in mapsafe3667 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18555,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18559,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3027: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18523(t3,t2,C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k18557 in k18553 in lp in a18516 in mapsafe3667 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18559,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_18569,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
if(C_truep(C_rest_nullp(c,4))){
t5=C_i_check_list_2(t3,lf[687]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18584,a[2]=t7,a[3]=t2,a[4]=((C_word)li523),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_18584(t9,t1,t3);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18614,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li526),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_18614(t9,t1,t5);}}

/* for-each-loop3687 in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18584(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18584,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18594,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3033: g3688 */
t4=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18592 in for-each-loop3687 in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18594,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_18584(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18614(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_18614,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18621,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18645,a[2]=((C_word)li525),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3036: mapsafe */
t5=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[5];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=t2;
av2[4]=lf[687];
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}

/* k18619 in loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_18621,c,av);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t1))){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18630,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=t1;
C_apply(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18628 in k18619 in loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18630,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18639,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3039: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=lf[687];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k18635 in k18628 in k18619 in loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18637,c,av);}
/* library.scm:3039: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18614(t2,((C_word*)t0)[3],t1);}

/* a18638 in k18628 in k18619 in loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18639,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a18644 in loop in scheme#for-each in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18645,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18651,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
if(C_truep(C_rest_nullp(c,4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=C_i_check_list_2(t3,lf[689]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18669,a[2]=t7,a[3]=t11,a[4]=t2,a[5]=t8,a[6]=((C_word)li528),tmp=(C_word)a,a+=7,tmp));
t13=((C_word*)t11)[1];
f_18669(t13,t1,t3);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18710,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li531),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_18710(t9,t1,t5);}}

/* map-loop3715 in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18669(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18669,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18694,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3044: g3721 */
t4=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18692 in map-loop3715 in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18694,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=((C_word*)((C_word*)t0)[3])[1];
f_18669(t5,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(1)));}

/* loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18710(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,4)))){
C_save_and_reclaim_args((void *)trf_18710,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18717,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18746,a[2]=((C_word)li530),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3047: mapsafe */
t5=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[5];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=t2;
av2[4]=lf[689];
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}

/* k18715 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_18717,c,av);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t1))){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18730,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=t1;
C_apply(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k18728 in k18715 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_18730,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18734,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18738,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18740,a[2]=((C_word)li529),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3050: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
av2[4]=lf[689];
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}

/* k18732 in k18728 in k18715 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18734,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18736 in k18728 in k18715 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18738,c,av);}
/* library.scm:3050: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18710(t2,((C_word*)t0)[3],t1);}

/* a18739 in k18728 in k18715 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18740,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a18745 in loop in scheme#map in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18746,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#dynamic-wind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18753,c,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18757,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3070: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18755 in scheme#dynamic-wind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18757,c,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[690]));
t4=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18766,a[2]=((C_word*)t0)[3],a[3]=((C_word)li533),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3072: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18765 in k18755 in scheme#dynamic-wind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18766(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18766,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[690]),C_fix(1));
t4=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18774,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3076: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18772 in a18765 in k18755 in scheme#dynamic-wind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18774,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18784,c,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[690]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18790,a[2]=t3,a[3]=t2,a[4]=((C_word)li536),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3084: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18789 in scheme#call-with-current-continuation in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18790,c,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18793,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li535),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3090: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18789 in scheme#call-with-current-continuation in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18793,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18797,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[690]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[690]));
t6=C_i_length(((C_word*)t0)[3]);
/* library.scm:3088: ##sys#dynamic-unwind */
f_18824(t3,((C_word*)t0)[3],C_fixnum_difference(t5,t6));}}

/* k18795 in continuation in a18789 in scheme#call-with-current-continuation in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18797,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_18824(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18824,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[690]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18840,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3097: ##sys#dynamic-unwind */
t11=t5;
t12=C_slot(t2,C_fix(1));
t13=C_fixnum_plus(t3,C_fix(1));
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[690]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[690]),C_fix(1));
t8=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18869,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3103: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18838 in ##sys#dynamic-unwind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18840,c,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18846,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3095: g3775 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18844 in k18838 in ##sys#dynamic-unwind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18846,c,av);}
t2=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18867 in ##sys#dynamic-unwind in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18869,c,av);}
/* library.scm:3104: ##sys#dynamic-unwind */
f_18824(((C_word*)t0)[2],((C_word*)t0)[3],C_fixnum_difference(((C_word*)t0)[4],C_fix(1)));}

/* chicken.base#port? in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18882,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_blockp(t2))?C_portp(t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#input-port-open? in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18888,c,av);}
t3=C_i_check_port(t2,C_fix(1),lf[693]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18893,c,av);}
t3=C_i_check_port(t2,C_fix(2),lf[694]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.base#port-closed? in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18898,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18902,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3126: ##sys#check-port */
t4=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[696];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18900 in chicken.base#port-closed? in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18902,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_slot(((C_word*)t0)[3],C_fix(8)),C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#make-port in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18911,c,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18942(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18942,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18946,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3272: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[711]);
av2[4]=lf[1388];
av2[5]=lf[730];
tp(6,av2);}}

/* k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18946,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18950,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3273: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[711]);
av2[4]=lf[1387];
av2[5]=lf[730];
tp(6,av2);}}

/* k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18950,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18953,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3275: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[712]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[712]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[713]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18953,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18956,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3276: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[712]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[712]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[714]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_18956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18956,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18959,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3277: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[712]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[712]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[715]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 in ... */
static void C_ccall f_18959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18959,c,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18961,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18972,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[695]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18983,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[718]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18994,a[2]=((C_word)li563),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19005,a[2]=((C_word)li565),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19066,a[2]=((C_word)li567),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19127,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[722]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19188,a[2]=((C_word)li570),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[724]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19202,a[2]=((C_word)li571),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[725]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19208,a[2]=((C_word)li572),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19214,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19312,a[2]=((C_word)li575),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19349,a[2]=t13,a[3]=((C_word)li576),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19355,a[2]=t13,a[3]=((C_word)li577),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19361,a[2]=t15,a[3]=((C_word)li578),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19367,a[2]=t15,a[3]=((C_word)li579),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19373,a[2]=t22,a[3]=((C_word)li582),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19397,a[2]=t24,a[3]=((C_word)li585),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19421,a[2]=t26,a[3]=((C_word)li590),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19455,a[2]=t28,a[3]=((C_word)li595),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[743]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19489,a[2]=((C_word)li596),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[746]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19515,a[2]=((C_word)li597),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[216]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19528,a[2]=((C_word)li598),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19546,a[2]=((C_word)li599),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19555,a[2]=((C_word)li602),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[750]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19630,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19669,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19678,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19691,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19697,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19706,a[2]=((C_word)li609),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[757]);
t42=C_mutate(&lf[758] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19735,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31953,a[2]=((C_word)li1001),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31993,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32009,a[2]=((C_word)li1006),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3506: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_18961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18961,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=C_i_pairp(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_i_check_port_2(t2,C_fix(1),t3,C_get_rest_arg(c,4,av,4,t0)):C_i_check_port(t2,C_fix(1),t3));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#check-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_18972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18972,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=C_i_pairp(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_i_check_port_2(t2,C_fix(2),t3,C_get_rest_arg(c,4,av,4,t0)):C_i_check_port(t2,C_fix(2),t3));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#check-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_18983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18983,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,C_get_rest_arg(c,3,av,3,t0)):C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#check-open-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_18994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18994,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=C_i_pairp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,C_get_rest_arg(c,3,av,3,t0)):C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#current-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19005,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[713]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19018,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3304: ##sys#check-port */
t5=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[719];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k19016 in scheme#current-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19018,c,av);}
a=C_alloc(10);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19020,a[2]=((C_word*)t0)[3],a[3]=((C_word)li564),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19026,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19031,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
t6=(
/* library.scm:3305: def-convert?3897 */
  f_19031(t5)
);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_u_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=(
/* library.scm:3305: def-set?3898 */
  f_19026(t4)
);
t9=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_i_car(t7);
t9=C_u_i_cdr(t7);
t10=(
/* library.scm:3305: body3895 */
  f_19020(t3,t8)
);
t11=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t11;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}

/* body3895 in k19016 in scheme#current-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19020(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3898 in k19016 in scheme#current-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19026(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3305: body3895 */
  f_19020(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3897 in k19016 in scheme#current-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19031(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3305: def-set?3898 */
  f_19026(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19066,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[714]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19079,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3314: ##sys#check-port */
t5=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[720];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k19077 in scheme#current-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19079,c,av);}
a=C_alloc(10);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19081,a[2]=((C_word*)t0)[3],a[3]=((C_word)li566),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19087,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19092,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
t6=(
/* library.scm:3315: def-convert?3922 */
  f_19092(t5)
);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_u_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=(
/* library.scm:3315: def-set?3923 */
  f_19087(t4)
);
t9=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_i_car(t7);
t9=C_u_i_cdr(t7);
t10=(
/* library.scm:3315: body3920 */
  f_19081(t3,t8)
);
t11=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t11;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}

/* body3920 in k19077 in scheme#current-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19081(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3923 in k19077 in scheme#current-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19087(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3315: body3920 */
  f_19081(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3922 in k19077 in scheme#current-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19092(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3315: def-set?3923 */
  f_19087(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19127,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[715]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19140,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3324: ##sys#check-port */
t5=*((C_word*)lf[695]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[721];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k19138 in chicken.base#current-error-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19140,c,av);}
a=C_alloc(10);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19142,a[2]=((C_word*)t0)[3],a[3]=((C_word)li568),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19148,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19153,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
t6=(
/* library.scm:3325: def-convert?3947 */
  f_19153(t5)
);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_u_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=(
/* library.scm:3325: def-set?3948 */
  f_19148(t4)
);
t9=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_i_car(t7);
t9=C_u_i_cdr(t7);
t10=(
/* library.scm:3325: body3945 */
  f_19142(t3,t8)
);
t11=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t11;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}

/* body3945 in k19138 in chicken.base#current-error-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19142(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3948 in k19138 in chicken.base#current-error-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19148(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3325: body3945 */
  f_19142(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3947 in k19138 in chicken.base#current-error-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static C_word C_fcall f_19153(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3325: def-set?3948 */
  f_19148(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19188,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19200,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3330: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[723]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[723]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19198 in ##sys#tty-port? in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19200,c,av);}
t2=C_i_not(C_i_zerop(t1));
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(t2)?C_tty_portp(((C_word*)t0)[3]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#port-data in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19202,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19208,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_fcall f_19214(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19214,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[726]:lf[727]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[728];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19224,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19257,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li573),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19257(t16,t12,t4);}

/* k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19224,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19227,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3352: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[711]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[730];
tp(6,av2);}}
else{
/* library.scm:3352: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[711]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[730];
tp(6,av2);}}}

/* k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19227,c,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19230,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19233,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19251,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3353: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19228 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19230,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19231 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19233,c,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19236,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3354: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19234 in k19231 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_19236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19236,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19243,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19247,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19241 in k19234 in k19231 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_19243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19243,c,av);}
/* library.scm:3355: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19245 in k19234 in k19231 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_19247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19247,c,av);}
/* library.scm:3355: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[729];
av2[3]=t1;
tp(4,av2);}}

/* k19249 in k19225 in k19222 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19251,c,av);}
/* library.scm:3353: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[712]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[712]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop3982 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_fcall f_19257(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19257,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19270,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[731]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[732]);
t10=t1;
t11=C_slot(t2,C_fix(1));
t1=t10;
t2=t11;
goto loop;}
else{
t6=C_eqp(t3,lf[733]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[734]);
t10=t1;
t11=C_slot(t2,C_fix(1));
t1=t10;
t2=t11;
goto loop;}
else{
t7=C_eqp(t3,lf[735]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3349: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[736];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[737]);
t10=t1;
t11=C_slot(t2,C_fix(1));
t1=t10;
t2=t11;
goto loop;}}
else{
/* library.scm:3351: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[738];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19268 in doloop3982 in open in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19270,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_19257(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* close in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_fcall f_19312(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19312,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19316,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3359: ##sys#check-port */
t6=*((C_word*)lf[695]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19314 in close in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19316,c,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
/* library.scm:3362: g4003 */
t8=C_slot(t7,C_fix(4));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19349,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3366: open */
f_19214(t1,t2,C_SCHEME_TRUE,t3,lf[739]);}

/* scheme#open-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19355,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3367: open */
f_19214(t1,t2,C_SCHEME_FALSE,t3,lf[740]);}

/* scheme#close-input-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19361,c,av);}
/* library.scm:3368: close */
f_19312(t1,t2,C_SCHEME_TRUE,lf[741]);}

/* scheme#close-output-port in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19367,c,av);}
/* library.scm:3369: close */
f_19312(t1,t2,C_SCHEME_FALSE,lf[742]);}

/* scheme#call-with-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19373,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19377,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19375 in scheme#call-with-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19377,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19382,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word)li580),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19388,a[2]=t1,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3376: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a19381 in k19375 in scheme#call-with-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19382,c,av);}
/* library.scm:3377: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19387 in k19375 in scheme#call-with-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19388,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19392,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3379: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19390 in a19387 in k19375 in scheme#call-with-input-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19392,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19397,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19401,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19399 in scheme#call-with-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19401,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19406,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word)li583),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19412,a[2]=t1,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3387: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a19405 in k19399 in scheme#call-with-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19406,c,av);}
/* library.scm:3388: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19411 in k19399 in scheme#call-with-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19412,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19416,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3390: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19414 in a19411 in k19399 in scheme#call-with-output-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19416,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19421,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19425,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19425,c,av);}
a=C_alloc(19);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19430,a[2]=t5,a[3]=t3,a[4]=((C_word)li586),tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19435,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word)li588),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19450,a[2]=t3,a[3]=t5,a[4]=((C_word)li589),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3398: ##sys#dynamic-wind */
t9=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a19429 in k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19430,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[713]+1));
t3=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19434 in k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19435,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19441,a[2]=((C_word*)t0)[2],a[3]=((C_word)li587),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3399: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19440 in a19434 in k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19441,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19445,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3401: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19443 in a19440 in a19434 in k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_19445(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19445,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19449 in k19423 in scheme#with-input-from-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19450,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[713]+1));
t3=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19455,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19459,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19459,c,av);}
a=C_alloc(19);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19464,a[2]=t5,a[3]=t3,a[4]=((C_word)li591),tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19469,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word)li593),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19484,a[2]=t3,a[3]=t5,a[4]=((C_word)li594),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3409: ##sys#dynamic-wind */
t9=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a19463 in k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19464,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[714]+1));
t3=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19468 in k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19469,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19475,a[2]=((C_word*)t0)[2],a[3]=((C_word)li592),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3410: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19474 in a19468 in k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19475,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19479,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3412: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19477 in a19474 in a19468 in k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_19479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19479,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19483 in k19457 in scheme#with-output-to-file in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19484,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[714]+1));
t3=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19489,c,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19494,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3416: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19492 in ##sys#file-exists? in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19494,c,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3420: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[699];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[744];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19515,c,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19522,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3424: g4083 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19520 in ##sys#flush-output in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19522,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19528,c,av);}
if(C_truep(C_rest_nullp(c,2))){
t2=*((C_word*)lf[714]+1);
t3=C_i_check_port_2(*((C_word*)lf[714]+1),C_fix(2),C_SCHEME_TRUE,lf[747]);
/* library.scm:3431: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word av2[3];
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[714]+1);
tp(3,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=C_i_check_port_2(t2,C_fix(2),C_SCHEME_TRUE,lf[747]);
/* library.scm:3431: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word av2[3];
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* ##sys#port-line in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19546,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19555,c,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_fixnum_difference(t5,C_fix(1));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19568,a[2]=t5,a[3]=t2,a[4]=t4,a[5]=t8,a[6]=t3,a[7]=((C_word)li601),tmp=(C_word)a,a+=8,tmp));
t10=((C_word*)t8)[1];
f_19568(t10,t1,t6);}

/* loop in ##sys#decorate-lambda in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_fcall f_19568(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19568,3,t0,t1,t2);}
a=C_alloc(7);
if(C_truep(C_i_zerop(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19576,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3445: scheme#make-vector */
t4=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19618,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3454: pred */
t5=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}}

/* k19574 in loop in ##sys#decorate-lambda in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19576,c,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19581,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,a[7]=((C_word)li600),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_19581(t5,((C_word*)t0)[5],C_fix(1));}

/* doloop4112 in k19574 in loop in ##sys#decorate-lambda in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_fcall f_19581(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19581,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3450: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t6=t1;
t7=C_fixnum_plus(t2,C_fix(1));
t1=t6;
t2=t7;
goto loop;}}

/* k19616 in loop in ##sys#decorate-lambda in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19618,c,av);}
if(C_truep(t1)){
/* library.scm:3455: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
/* library.scm:3456: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_19568(t2,((C_word*)t0)[3],C_fixnum_difference(((C_word*)t0)[5],C_fix(1)));}}

/* ##sys#lambda-decoration in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19630,c,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19640,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li603),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19640(t9,t1,t5);}

/* loop in ##sys#lambda-decoration in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_fcall f_19640(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19640,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19656,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3462: pred */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19654 in loop in ##sys#lambda-decoration in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19656,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:3464: loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_19640(t2,((C_word*)t0)[2],C_fixnum_difference(((C_word*)t0)[5],C_fix(1)));}}

/* ##sys#make-lambda-info in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19669,c,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19676,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3471: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k19674 in ##sys#make-lambda-info in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19676,c,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19678,c,av);}
t3=C_immp(t2);
t4=C_i_not(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_lambdainfop(t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#lambda-info in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19691,c,av);}
/* library.scm:3483: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[752]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19697,c,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19704,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3487: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k19702 in ##sys#lambda-info->string in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19704,c,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19706,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19710,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3493: ##sys#check-closure */
t4=*((C_word*)lf[368]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[756];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19708 in chicken.base#procedure-information in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19710,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19713,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3494: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19711 in k19708 in chicken.base#procedure-information in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19713,c,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19723,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19727,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3495: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19721 in k19711 in k19708 in chicken.base#procedure-information in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19723,c,av);}
/* library.scm:3495: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[755]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[755]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19725 in k19711 in k19708 in chicken.base#procedure-information in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19727,c,av);}
/* library.scm:3495: chicken.base#open-input-string */
t2=*((C_word*)lf[214]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_19735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19735,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[759]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19738,a[2]=((C_word)li613),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19815,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3555: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19738,c,av);}
a=C_alloc(6);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,4,t0));
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19745,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3534: ##sys#check-closure */
t7=*((C_word*)lf[368]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[760];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19745,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19748,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3535: ##sys#check-closure */
t3=*((C_word*)lf[368]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[760];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19748,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[760]);
/* library.scm:3538: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[751]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[751]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3539: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_19751(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19751,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19754,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19770,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3541: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19752 in k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_19754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19754,c,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19762,a[2]=((C_word*)t0)[2],a[3]=((C_word)li610),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3547: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[752]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* a19761 in k19752 in k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in ... */
static void C_ccall f_19762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19762,c,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19768 in k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_19770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19770,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19772,a[2]=((C_word)li611),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19788,a[2]=((C_word*)t0)[2],a[3]=((C_word)li612),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3540: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19771 in k19768 in k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in ... */
static void C_ccall f_19772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19772,c,av);}
t3=C_i_pairp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_eqp(C_retrieve2(lf[758],C_text("setter-tag")),C_slot(t2,C_fix(0))):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19787 in k19768 in k19749 in k19746 in k19743 in chicken.base#getter-with-setter in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in ... */
static void C_ccall f_19788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19788,c,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[758],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_19815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19815,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19819,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3556: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_19819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19819,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19823,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31943,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3557: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_19823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19823,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19827,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31933,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3558: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_19827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19827,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19831,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31923,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3559: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_19831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19831,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19835,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31913,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3560: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in ... */
static void C_ccall f_19835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19835,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19839,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31903,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3561: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in ... */
static void C_ccall f_19839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19839,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19843,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31893,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3562: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in ... */
static void C_ccall f_19843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19843,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19847,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31883,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3563: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in ... */
static void C_ccall f_19847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19847,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19851,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31873,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3564: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in ... */
static void C_ccall f_19851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19851,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19855,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31863,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3565: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in ... */
static void C_ccall f_19855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19855,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19859,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31853,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3566: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in ... */
static void C_ccall f_19859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19859,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19863,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31843,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3567: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in ... */
static void C_ccall f_19863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19863,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19867,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31833,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3568: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in ... */
static void C_ccall f_19867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19867,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19871,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3569: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in ... */
static void C_ccall f_19871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19871,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19875,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3570: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in ... */
static void C_ccall f_19875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19875,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19879,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31823,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3573: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in ... */
static void C_ccall f_19879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19879,c,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[761] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[763]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19886,a[2]=t8,a[3]=((C_word)li621),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20050,a[2]=((C_word)li622),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20075,a[2]=((C_word)li623),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20093,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[766]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20153,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[767]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20162,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20187,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20205,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[769] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[770] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_mutate((C_word*)lf[771]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20225,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[772]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20228,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[773]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20231,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20239,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3683: chicken.base#make-parameter */
t23=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t23;
av2[1]=t22;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t23+1)))(3,av2);}}

/* chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_19886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19886,c,av);}
a=C_alloc(8);
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20044,a[2]=((C_word)li614),tmp=(C_word)a,a+=3,tmp):C_get_rest_arg(c,3,av,3,t0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19893,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3586: guard */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in ... */
static void C_ccall f_19893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19893,c,av);}
a=C_alloc(14);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19894,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word)li615),tmp=(C_word)a,a+=5,tmp);
t4=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t5=C_set_block_item(((C_word*)t0)[2],0,t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19928,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t7=C_block_size(C_retrieve2(lf[761],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t2,t7))){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20032,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3603: ##sys#vector-resize */
f_18128(t8,C_retrieve2(lf[761],C_text("##sys#default-parameter-vector")),C_fixnum_plus(t2,C_fix(1)),C_SCHEME_UNDEFINED);}
else{
t8=t6;
f_19928(t8,C_SCHEME_UNDEFINED);}}

/* assign in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in ... */
static void C_fcall f_19894(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19894,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19898,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19917,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3591: ##sys#vector-resize */
f_18128(t7,C_fast_retrieve(lf[762]),C_fixnum_plus(((C_word*)t0)[2],C_fix(1)),*((C_word*)lf[627]+1));}
else{
t7=t6;
f_19898(t7,C_SCHEME_UNDEFINED);}}

/* k19896 in assign in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_fcall f_19898(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19898,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19901,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3595: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19901(2,av2);}}}

/* k19899 in k19896 in assign in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_ccall f_19901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19901,c,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[762]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19915 in assign in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_ccall f_19917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19917,c,av);}
t2=C_mutate((C_word*)lf[762]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19898(t3,t2);}

/* k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in ... */
static void C_fcall f_19928(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19928,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[761],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19936,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li619),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20018,a[2]=((C_word*)t0)[4],a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3609: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19935 in k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_ccall f_19936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19936,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_block_size(C_fast_retrieve(lf[762]));
if(C_truep(C_i_pairp(t2))){
t4=C_u_i_cdr(t2);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19948,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word)li616),tmp=(C_word)a,a+=6,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19957,a[2]=t5,a[3]=((C_word)li617),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19962,a[2]=t6,a[3]=((C_word)li618),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t4))){
/* library.scm:3613: def-convert?4265 */
t8=t7;
f_19962(t8,t1);}
else{
t8=C_i_car(t4);
t9=C_u_i_cdr(t4);
if(C_truep(C_i_nullp(t9))){
/* library.scm:3613: def-set?4266 */
t10=t6;
f_19957(t10,t1,t8);}
else{
t10=C_i_car(t9);
t11=C_u_i_cdr(t9);
/* library.scm:3613: body4263 */
t12=t5;
f_19948(t12,t1,t8,t10);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(C_retrieve2(lf[761],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(C_fast_retrieve(lf[762]),((C_word*)t0)[3]);
t5=C_eqp(t4,*((C_word*)lf[627]+1));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_slot(C_retrieve2(lf[761],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}

/* body4263 in a19935 in k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_fcall f_19948(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19948,4,t0,t1,t2,t3);}
/* library.scm:3615: assign */
t4=((C_word*)t0)[2];
f_19894(t4,t1,C_i_car(((C_word*)t0)[3]),((C_word*)t0)[4],t2,t3);}

/* def-set?4266 in a19935 in k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_fcall f_19957(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19957,3,t0,t1,t2);}
/* library.scm:3613: body4263 */
t3=((C_word*)t0)[2];
f_19948(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4265 in a19935 in k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_fcall f_19962(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19962,2,t0,t1);}
/* library.scm:3613: def-set?4266 */
t2=((C_word*)t0)[2];
f_19957(t2,t1,C_SCHEME_TRUE);}

/* a20017 in k19926 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_ccall f_20018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20018,c,av);}
/* library.scm:3625: assign */
t3=((C_word*)t0)[2];
f_19894(t3,t1,t2,C_block_size(C_fast_retrieve(lf[762])),C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k20030 in k19891 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in ... */
static void C_ccall f_20032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20032,c,av);}
t2=C_mutate(&lf[761] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19928(t3,t2);}

/* f_20044 in chicken.base#make-parameter in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in ... */
static void C_ccall f_20044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20044,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20050,c,av);}
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?*((C_word*)lf[713]+1):C_get_rest_arg(c,2,av,2,t0));
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[764]);
t5=C_slot(t3,C_fix(2));
/* library.scm:3631: g4298 */
t6=C_slot(t5,C_fix(6));{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* scheme#read-char in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20075,c,av);}
if(C_truep(C_rest_nullp(c,2))){
t2=*((C_word*)lf[713]+1);
t3=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(1),C_SCHEME_TRUE,lf[700]);
/* library.scm:3638: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=C_i_check_port_2(t2,C_fix(1),C_SCHEME_TRUE,lf[700]);
/* library.scm:3638: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20093,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20097,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_20097(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
/* library.scm:3641: g4316 */
t5=C_slot(t4,C_fix(0));{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}}

/* k20095 in ##sys#read-char-0 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in ... */
static void C_ccall f_20097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20097,c,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_i_not(C_eofp(t1)))){
t3=C_slot(((C_word*)t0)[2],C_fix(5));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t4);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20153,c,av);}
t3=C_i_check_port_2(t2,C_fix(1),C_SCHEME_TRUE,lf[700]);
/* library.scm:3655: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2=av;
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20162,c,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20175,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3660: g4330 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20173 in ##sys#peek-char-0 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in ... */
static void C_ccall f_20175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20175,c,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20187,c,av);}
if(C_truep(C_rest_nullp(c,2))){
t2=*((C_word*)lf[713]+1);
t3=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(1),C_SCHEME_TRUE,lf[704]);
/* library.scm:3668: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=C_i_check_port_2(t2,C_fix(1),C_SCHEME_TRUE,lf[704]);
/* library.scm:3668: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* scheme#read in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20205,c,av);}
if(C_truep(C_rest_nullp(c,2))){
t2=*((C_word*)lf[713]+1);
t3=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(1),C_SCHEME_TRUE,lf[768]);
/* library.scm:3673: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[755]);
C_word av2[4];
av2[0]=*((C_word*)lf[755]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[713]+1);
av2[3]=C_fast_retrieve(lf[769]);
tp(4,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=C_i_check_port_2(t2,C_fix(1),C_SCHEME_TRUE,lf[768]);
/* library.scm:3673: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[755]);
C_word av2[4];
av2[0]=*((C_word*)lf[755]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[769]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20225,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20228,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20231,c,av);}
/* library.scm:3681: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[775];
av2[4]=t3;
tp(5,av2);}}

/* k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in ... */
static void C_ccall f_20239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20239,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20243,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3684: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in ... */
static void C_ccall f_20243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20243,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20247,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3685: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in ... */
static void C_ccall f_20247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20247,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20251,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31814,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3688: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=lf[811];
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_ccall f_20251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20251,c,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20255,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1383],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3690: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_ccall f_20255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_20255,c,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[777]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20257,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[774]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20280,a[2]=((C_word)li633),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[233]+1);
t6=*((C_word*)lf[232]+1);
t7=*((C_word*)lf[234]+1);
t8=*((C_word*)lf[235]+1);
t9=C_fast_retrieve(lf[776]);
t10=C_mutate((C_word*)lf[755]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20303,a[2]=t9,a[3]=t8,a[4]=t7,a[5]=t5,a[6]=t6,a[7]=((C_word)li689),tmp=(C_word)a,a+=8,tmp));
t11=C_mutate((C_word*)lf[789]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23151,a[2]=((C_word)li690),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[796]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23316,a[2]=((C_word)li691),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[793]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23328,a[2]=((C_word)li692),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[843]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23390,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[855]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23538,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t16=C_set_block_item(lf[853] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t17=C_mutate((C_word*)lf[862]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23583,a[2]=((C_word)li697),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[863]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23599,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23611,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23632,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23647,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23665,a[2]=((C_word)li702),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23683,a[2]=((C_word)li704),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23734,a[2]=((C_word)li706),tmp=(C_word)a,a+=3,tmp));
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23787,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4429: chicken.base#make-parameter */
t26=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t26;
av2[1]=t25;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t26+1)))(3,av2);}}

/* ##sys#read-warning in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_20257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20257,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20265,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3697: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20263 in ##sys#read-warning in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_20265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20265,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20268,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[770]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20278,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3699: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[313]+1);
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20266 in k20263 in ##sys#read-warning in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_20268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20268,c,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[313]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20276 in k20263 in ##sys#read-warning in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_20278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20278,c,av);}
/* library.scm:3699: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[778];
av2[3]=t1;
av2[4]=lf[779];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_20280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20280,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20288,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3709: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2=av;
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20286 in ##sys#read-error in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_20288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20288,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[770]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20301,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3711: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[780];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20289 in k20286 in ##sys#read-error in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_20291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20291,c,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[780];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20299 in k20286 in ##sys#read-error in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_20301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20301,c,av);}
/* library.scm:3711: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[781];
av2[3]=t1;
av2[4]=lf[782];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_20303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20303,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20307,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3723: case-sensitive */
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_20307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20307,c,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20310,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3724: keyword-style */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_20310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20310,c,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20313,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3725: parentheses-synonyms */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_20313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20313,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20316,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3726: symbol-escape */
t3=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_20316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20316,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20319,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3727: current-read-table */
t3=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_20319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(52,c,5)))){
C_save_and_reclaim((void *)f_20319,c,av);}
a=C_alloc(52);
t2=lf[783];
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_SCHEME_UNDEFINED;
t16=(*a=C_VECTOR_TYPE|1,a[1]=t15,tmp=(C_word)a,a+=2,tmp);
t17=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20321,a[2]=((C_word*)t0)[2],a[3]=((C_word)li634),tmp=(C_word)a,a+=4,tmp));
t18=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20327,a[2]=((C_word*)t0)[3],a[3]=((C_word)li635),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20336,a[2]=((C_word*)t0)[2],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20373,a[2]=((C_word*)t0)[2],a[3]=((C_word)li638),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20382,a[2]=t4,a[3]=t12,a[4]=((C_word)li639),tmp=(C_word)a,a+=5,tmp));
t22=C_set_block_item(t16,0,(*a=C_CLOSURE_TYPE|16,a[1]=(C_word)f_20397,a[2]=((C_word*)t0)[2],a[3]=t10,a[4]=t6,a[5]=t8,a[6]=t16,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t14,a[10]=t2,a[11]=t4,a[12]=t12,a[13]=t1,a[14]=((C_word*)t0)[6],a[15]=((C_word*)t0)[7],a[16]=((C_word)li688),tmp=(C_word)a,a+=17,tmp));
/* library.scm:4296: readrec */
t23=((C_word*)t16)[1];
f_20397(t23,((C_word*)t0)[8]);}

/* f_20321 in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_20321(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20321,c,av);}
/* library.scm:3733: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[784];
av2[4]=t2;
tp(5,av2);}}

/* info in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_20327(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20327,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3737: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* skip-to-eol in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_20336(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20336,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20344,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3741: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20342 in skip-to-eol in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_20344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20344,c,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20346,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li636),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20346(t5,((C_word*)t0)[3],t1);}

/* skip in k20342 in skip-to-eol in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_20346(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20346,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_i_not(C_eofp(t2));
t4=(C_truep(t3)?C_i_not(C_eqp(C_make_character(10),t2)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20360,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3743: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k20358 in skip in k20342 in skip-to-eol in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_20360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20360,c,av);}
/* library.scm:3743: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20346(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_20373(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20373,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20377,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3746: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20375 in reserved-character in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_20377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20377,c,av);}
/* library.scm:3747: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[785];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_20382(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20382,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20386,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3750: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20384 in read-unreserved-char-0 in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_20386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20386,c,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3752: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20373(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_20397(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(158,0,5)))){
C_save_and_reclaim_args((void *)trf_20397,2,t0,t1);}
a=C_alloc(158);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20400,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li641),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20448,a[2]=((C_word*)t0)[2],a[3]=((C_word)li643),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20508,a[2]=((C_word)li645),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20545,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li648),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21099,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t27,a[9]=((C_word)li654),tmp=(C_word)a,a+=10,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21361,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li655),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21379,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li657),tmp=(C_word)a,a+=6,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21449,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li658),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21500,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li659),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21567,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li661),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21631,a[2]=((C_word*)t0)[2],a[3]=((C_word)li663),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21677,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li665),tmp=(C_word)a,a+=6,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21702,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li667),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21927,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li668),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22136,a[2]=((C_word*)t0)[2],a[3]=((C_word)li670),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22223,a[2]=t21,a[3]=((C_word)li671),tmp=(C_word)a,a+=4,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22236,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word)li672),tmp=(C_word)a,a+=6,tmp));
t53=(*a=C_CLOSURE_TYPE|27,a[1]=(C_word)f_22267,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[13],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t35,a[8]=t23,a[9]=t17,a[10]=t19,a[11]=((C_word*)t0)[8],a[12]=t13,a[13]=t29,a[14]=t31,a[15]=t33,a[16]=((C_word*)t0)[7],a[17]=t27,a[18]=((C_word*)t0)[5],a[19]=((C_word*)t0)[3],a[20]=t21,a[21]=t11,a[22]=((C_word*)t0)[4],a[23]=t9,a[24]=t15,a[25]=((C_word*)t0)[12],a[26]=t25,a[27]=t3,tmp=(C_word)a,a+=28,tmp);
t54=C_i_not(((C_word*)t0)[14]);
t55=(C_truep(t54)?lf[856]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[15]))){
/* library.scm:4136: scheme#append */
t56=*((C_word*)lf[376]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[857];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4136: scheme#append */
t56=*((C_word*)lf[376]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_20400(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20400,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20408,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3758: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_20408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20408,c,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20410,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li640),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20410(t5,((C_word*)t0)[4],t1);}

/* loop in k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_20410(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20410,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20423,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3761: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20336(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20439,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3764: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20421 in loop in k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_20423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20423,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20430,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3762: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20428 in k20421 in loop in k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20430,c,av);}
/* library.scm:3762: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20410(t2,((C_word*)t0)[3],t1);}

/* k20437 in loop in k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_20439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20439,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20446,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3765: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20444 in k20437 in loop in k20406 in r-spaces in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20446,c,av);}
/* library.scm:3765: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20410(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_20448(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20448,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20454,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li642),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20454(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_20454(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20454,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20464,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3770: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20480,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3777: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20462 in loop in r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_20464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20464,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20467,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3771: scheme#string->number */
t3=*((C_word*)lf[620]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k20465 in k20462 in loop in r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_20467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20467,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20477,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3775: string-append */
t3=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[786];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[787];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20475 in k20465 in k20462 in loop in r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20477(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20477,c,av);}
/* library.scm:3773: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20478 in loop in r-usequence in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_20480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20480,c,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3779: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[788];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:3780: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_20454(t5,((C_word*)t0)[2],t4,C_fixnum_difference(((C_word*)t0)[6],C_fix(1)));}}

/* r-cons-codepoint in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_20508(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20508,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20512,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3783: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[789]);
C_word av2[3];
av2[0]=*((C_word*)lf[789]+1);
av2[1]=t4;
av2[2]=C_make_character(C_unfix(t2));
tp(3,av2);}}

/* k20510 in r-cons-codepoint in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_20512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20512,c,av);}
a=C_alloc(8);
t2=C_block_size(t1);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20520,a[2]=t2,a[3]=t1,a[4]=t4,a[5]=((C_word)li644),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_20520(t6,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20510 in r-cons-codepoint in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_20520(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20520,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3788: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_20545(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20545,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20553,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_20553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20553,c,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20555,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li647),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20555(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_20555(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20555,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3793: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[790];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20572,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3795: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3866: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21093,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3867: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_20572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20572,c,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20585,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3797: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20602,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3798: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20619,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3799: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20636,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3800: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20653,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3801: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20670,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3802: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20687,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3803: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20715,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3805: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20448(t5,t4,lf[791],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20724,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3808: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20448(t5,t4,lf[797],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20798,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3821: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20448(t5,t4,lf[799],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20827,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20827(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20827(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20827(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20583 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20585,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3797: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20600 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20602,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3798: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20617 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20619,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3799: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20634 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20636,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3800: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20651 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20653,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3801: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20668 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20670,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3802: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20685 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20687,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3803: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20555(t3,((C_word*)t0)[4],t1,t2);}

/* k20705 in k20713 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_20707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20707,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3806: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20555(t3,((C_word*)t0)[5],t1,t2);}

/* k20713 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20715,c,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20707,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3806: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20724,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20730,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3809: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[796]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[796]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}

/* k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_20730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20730,c,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20736,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20778,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3810: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20785,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3819: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20734 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_fcall f_20736(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20736,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20739,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3812: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20448(t3,t2,lf[794],C_fix(4),C_fix(16));}
else{
/* library.scm:3818: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[5];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[795];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20737 in k20734 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20739,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20742,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t1,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3813: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[793]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[793]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=t1;
tp(4,av2);}}

/* k20740 in k20737 in k20734 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_20742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20742,c,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20752,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3815: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3817: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[792];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20750 in k20740 in k20737 in k20734 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_20752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20752,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20756,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3816: r-cons-codepoint */
f_20508(t2,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20754 in k20750 in k20740 in k20737 in k20734 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_20756(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20756,c,av);}
/* library.scm:3815: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20555(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20771 in k20776 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20773,c,av);}
t2=((C_word*)t0)[2];
f_20736(t2,C_eqp(C_make_character(117),t1));}

/* k20776 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_20778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20778,c,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20773,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3811: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20736(t3,C_SCHEME_FALSE);}}

/* k20783 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_20785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20785,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20789,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3819: r-cons-codepoint */
f_20508(t2,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20787 in k20783 in k20728 in k20722 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20789,c,av);}
/* library.scm:3819: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20555(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20796 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_20798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20798,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20804,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3822: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[796]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[796]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}

/* k20802 in k20796 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_20804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20804,c,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3823: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[798];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20814,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3824: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20812 in k20802 in k20796 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_20814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20814,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3824: r-cons-codepoint */
f_20508(t2,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20816 in k20812 in k20802 in k20796 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20818,c,av);}
/* library.scm:3824: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20555(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_20827(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20827,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20834,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3826: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20847,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20847(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20847(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20847(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20832 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_20834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20834,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3826: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20555(t3,((C_word*)t0)[5],t1,t2);}

/* k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_20847(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20847,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20852,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li646),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20852(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3852: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[801];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20951,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20951(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20951(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_fcall f_20852(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20852,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_eqp(t2,C_make_character(32));
t5=(C_truep(t4)?t4:C_eqp(t2,C_make_character(9)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20869,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3832: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t2){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3835: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20555(t6,t1,t2,((C_word*)t0)[5]);}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20884,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3836: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3842: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20555(t6,t1,t2,((C_word*)t0)[5]);}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20919,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3843: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20922,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3849: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20555(t7,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3846: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word av2[4];
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[800];
tp(4,av2);}}}}}

/* k20867 in eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20869,c,av);}
/* library.scm:3832: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20852(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20882 in eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20884,c,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20897,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3838: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3839: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20852(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20895 in k20882 in eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_20897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20897,c,av);}
/* library.scm:3838: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20852(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20917 in eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20919,c,av);}
/* library.scm:3843: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20852(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20920 in eat-ws in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20922,c,av);}
/* library.scm:3849: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20555(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20949 in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_fcall f_20951(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20951,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20977,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3858: r-usequence */
t6=((C_word*)((C_word*)t0)[7])[1];
f_20448(t6,t5,lf[802],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20988,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3861: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word av2[5];
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[803];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20959 in k20975 in k20949 in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_20961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20961,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3859: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20555(t3,((C_word*)t0)[5],t1,t2);}

/* k20975 in k20949 in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20977,c,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20961,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3859: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20986 in k20949 in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_20988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20988,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20995,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3865: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20993 in k20986 in k20949 in k20845 in k20825 in k20570 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_20995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20995,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3865: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20555(t3,((C_word*)t0)[5],t1,t2);}

/* k21091 in loop in k20551 in r-string in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21093,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3867: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20555(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21099(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_21099,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_21359,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],tmp=(C_word)a,a+=12,tmp);
/* library.scm:3870: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_21108(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21108,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[770]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21122,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3878: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k21120 in starting-line in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21122,c,av);}
/* library.scm:3876: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[804];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21123 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21125,c,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21136,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3945: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[772]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21134 in k21123 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21136(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21136,c,av);}
/* library.scm:3945: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20327(t2,((C_word*)t0)[3],lf[805],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(22,c,3)))){
C_save_and_reclaim((void *)f_21138,c,av);}
a=C_alloc(22);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21141,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li650),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21163,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word)li652),tmp=(C_word)a,a+=13,tmp));
t7=((C_word*)t5)[1];
f_21163(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21141 in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21141,c,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3885: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21158,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3888: starting-line */
t5=((C_word*)t0)[5];
f_21108(t5,t4,lf[806]);}}

/* k21156 */
static void C_ccall f_21158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21158,c,av);}
/* library.scm:3886: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_21163(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21163,3,t0,t1,t2);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21167,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3891: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20400(t4,t3);}

/* k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_21167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_21167,c,av);}
a=C_alloc(17);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21170,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21170(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21352,a[2]=((C_word*)t0)[13],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3892: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_21170(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21170,2,t0,t1);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21173,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3893: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_21173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_21173,c,av);}
a=C_alloc(13);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3897: starting-line */
t3=((C_word*)t0)[4];
f_21108(t3,t2,lf[807]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3899: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21201,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3901: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21348,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3938: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20397(t5,t4);}}}}

/* k21181 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_21183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21183,c,av);}
/* library.scm:3895: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_21201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_21201,c,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3902: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_21204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21204,c,av);}
a=C_alloc(14);
t2=C_u_i_char_whitespacep(t1);
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21213,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=t1,a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(t2)){
t4=t3;
f_21213(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(40));
if(C_truep(t4)){
t5=t3;
f_21213(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(41));
if(C_truep(t5)){
t6=t3;
f_21213(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(34));
t7=t3;
f_21213(t7,(C_truep(t6)?t6:C_eqp(t1,C_make_character(59))));}}}}

/* k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_fcall f_21213(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21213,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21216,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21216(2,av2);}}
else{
/* library.scm:3909: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[809];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21257,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word)li651),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3919: r-xtoken */
t3=((C_word*)((C_word*)t0)[13])[1];
f_21702(t3,((C_word*)t0)[4],t2);}}

/* k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_21216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21216,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3910: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20400(t3,t2);}

/* k21217 in k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in ... */
static void C_ccall f_21219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21219,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21246,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3911: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20397(t3,t2);}

/* k21223 in k21244 in k21217 in k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in ... */
static void C_ccall f_21225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21225,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21242,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3913: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21236 in k21240 in k21223 in k21244 in k21217 in k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ... */
static void C_ccall f_21238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21238,c,av);}
/* library.scm:3914: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21240 in k21223 in k21244 in k21217 in k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in ... */
static void C_ccall f_21242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21242,c,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21238,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3916: starting-line */
t4=((C_word*)t0)[5];
f_21108(t4,t3,lf[808]);}}

/* k21244 in k21217 in k21214 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in ... */
static void C_ccall f_21246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21246,c,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21225,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3912: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20400(t4,t3);}

/* a21256 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_21257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21257,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21261,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=t3,a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3921: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t4;
av2[2]=lf[813];
av2[3]=t2;
tp(4,av2);}}

/* k21259 in a21256 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in ... */
static void C_ccall f_21261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21261,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21264,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_string_equal_p(t1,lf[810]);
t4=(C_truep(t3)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[811]):C_SCHEME_FALSE);
if(C_truep(t4)){
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=lf[812];
tp(3,av2);}}
else{
if(C_truep(((C_word*)t0)[7])){
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21292,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[8]))){
/* library.scm:3930: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[622]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[622]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}}}}

/* k21262 in k21259 in a21256 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in ... */
static void C_ccall f_21264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21264,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3936: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21163(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3936: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21163(t4,((C_word*)t0)[5],t2);}}

/* k21290 in k21259 in a21256 in k21211 in k21202 in k21199 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in ... */
static void C_ccall f_21292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21292,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21264(2,av2);}}
else{
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21346 in k21171 in k21168 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_21348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21348,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3942: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21163(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3942: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21163(t4,((C_word*)t0)[5],t2);}}

/* k21350 in k21165 in loop in a21137 in k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21352,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21170(t3,t2);}

/* k21357 in r-list in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_21359,c,av);}
a=C_alloc(29);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21108,a[2]=t6,a[3]=((C_word)li649),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21125,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21138,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=t6,a[12]=((C_word)li653),tmp=(C_word)a,a+=13,tmp);
/* library.scm:3880: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3947: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[814];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21361(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21361,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21365,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3950: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21099(t3,t2,C_make_character(40),C_make_character(41));}

/* k21363 in r-vector in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21365,c,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3952: ##sys#list->vector */
t2=*((C_word*)lf[815]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3953: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[816];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21379(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_21379,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=((C_word)li656),tmp=(C_word)a,a+=7,tmp);
/* library.scm:3956: r-xtoken */
t5=((C_word*)((C_word*)t0)[4])[1];
f_21702(t5,t1,t4);}

/* a21384 in r-number in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_21385,c,av);}
a=C_alloc(6);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21392,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_i_string_equal_p(t2,lf[818]))){
/* library.scm:3962: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2=av;
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[819];
tp(4,av2);}}
else{
t4=C_block_size(t2);
t5=C_fixnum_greaterp(t4,C_fix(0));
t6=(C_truep(t5)?C_u_i_char_equalp(C_i_string_ref(t2,C_fix(0)),C_make_character(35)):C_SCHEME_FALSE);
if(C_truep(t6)){
/* library.scm:3964: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[820];
av2[4]=t2;
tp(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21420,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3965: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[622]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[622]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
/* library.scm:3965: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[622]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[622]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}}}}}

/* k21390 in a21384 in r-number in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21392,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3960: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21397 in k21390 in a21384 in r-number in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21399,c,av);}
/* library.scm:3960: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20327(t2,((C_word*)t0)[3],lf[817],((C_word*)t0)[4],t1);}

/* k21418 in a21384 in r-number in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21420,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:3966: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[821];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21449(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21449,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21498,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3970: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21457 in k21496 in r-number-with-exactness in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21459,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21462,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3972: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21460 in k21457 in k21496 in r-number-with-exactness in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21462,c,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3974: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[822];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:3975: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[613]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:3976: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[612]);}
else{
/* library.scm:3978: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21496 in r-number-with-exactness in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21498,c,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21459,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3971: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3981: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21379(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21500(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21500,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21565,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3984: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21508 in k21563 in r-number-with-radix in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21510,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21513,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3986: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21511 in k21508 in k21563 in r-number-with-radix in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21513,c,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3987: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:3988: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:3989: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:3990: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:3991: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21379(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:3992: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[825];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21563 in r-number-with-radix in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21565,c,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21510,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3985: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3993: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21379(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21567(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21567,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21575,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3996: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21573 in r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21575,c,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21577,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li660),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21577(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21573 in r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_21577(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21577,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21587,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21587(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21587(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21585 in loop in k21573 in r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_21587(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21587,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:4000: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:4002: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[826];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21602,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4004: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20382(t3,t2,((C_word*)t0)[5]);}}}

/* k21600 in k21585 in loop in k21573 in r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_21602(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21602,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21609,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4005: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21607 in k21600 in k21585 in loop in k21573 in r-token in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21609,c,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:4005: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21577(t3,((C_word*)t0)[6],t1,t2);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4005: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21577(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21631(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21631,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21639,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4009: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21637 in r-digits in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21639,c,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21641,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li662),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21641(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21637 in r-digits in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_21641(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21641,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(C_truep(t4)?t4:C_i_not(C_u_i_char_numericp(t2)));
if(C_truep(t5)){
/* library.scm:4011: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21657,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4013: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21655 in loop in k21637 in r-digits in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21657,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21664,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4014: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21662 in k21655 in loop in k21637 in r-digits in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_21664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21664,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4014: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21641(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21677(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_21677,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21683,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li664),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4017: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21702(t3,t1,t2);}

/* a21682 in r-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21683,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21687,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}

/* k21685 in a21682 in r-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21687,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21694,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4020: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21692 in k21685 in a21682 in r-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21694,c,av);}
/* library.scm:4020: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20327(t2,((C_word*)t0)[3],lf[817],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21702(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,6)))){
C_save_and_reclaim_args((void *)trf_21702,3,t0,t1,t2);}
a=C_alloc(14);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_21708,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word)li666),tmp=(C_word)a,a+=12,tmp));
t6=((C_word*)t4)[1];
f_21708(t6,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_21708(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,2)))){
C_save_and_reclaim_args((void *)trf_21708,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(16);
t6=(*a=C_CLOSURE_TYPE|15,a[1]=(C_word)f_21712,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t5,a[7]=t4,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[4],a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],a[12]=((C_word*)t0)[7],a[13]=((C_word*)t0)[8],a[14]=((C_word*)t0)[9],a[15]=((C_word*)t0)[10],tmp=(C_word)a,a+=16,tmp);
/* library.scm:4024: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[8];
tp(3,av2);}}

/* k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,2)))){
C_save_and_reclaim((void *)f_21712,c,av);}
a=C_alloc(16);
t2=C_eofp(t1);
t3=(*a=C_CLOSURE_TYPE|15,a[1]=(C_word)f_21721,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t1,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],tmp=(C_word)a,a+=16,tmp);
if(C_truep(t2)){
t4=t3;
f_21721(t4,t2);}
else{
t4=C_u_i_char_whitespacep(t1);
t5=t3;
f_21721(t5,(C_truep(t4)?t4:C_i_memq(t1,((C_word*)t0)[15])));}}

/* k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_21721(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_21721,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21727,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
t3=C_eqp(((C_word*)((C_word*)t0)[8])[1],lf[811]);
if(C_truep(t3)){
if(C_truep(((C_word*)t0)[6])){
t4=t2;
f_21727(t4,((C_word*)t0)[6]);}
else{
t4=C_i_cdr(((C_word*)t0)[4]);
t5=t2;
f_21727(t5,C_i_not(C_i_nullp(t4)));}}
else{
t4=t2;
f_21727(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21727(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[9],((C_word*)((C_word*)t0)[10])[1]))){
/* library.scm:4038: reserved-character */
t2=((C_word*)((C_word*)t0)[11])[1];
f_20373(t2,((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_21791,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[14],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[15],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4040: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[14];
tp(3,av2);}}}}

/* k21725 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_21727(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21727,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21734,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4034: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t2;
av2[2]=C_i_cdr(((C_word*)t0)[4]);
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21745,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4035: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21732 in k21725 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21734,c,av);}
/* library.scm:4034: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21743 in k21725 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21745,c,av);}
if(C_truep(((C_word*)t0)[2])){
if(C_truep(((C_word*)t0)[3])){
/* library.scm:4035: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_i_nullp(((C_word*)t0)[6]);
/* library.scm:4035: k */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_i_not(t2);
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}}
else{
/* library.scm:4035: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_21791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_21791,c,av);}
a=C_alloc(11);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4043: r-string */
t3=((C_word*)((C_word*)t0)[6])[1];
f_20545(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21824,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21835,a[2]=t2,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4049: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(58):
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21847,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_nullp(((C_word*)t0)[5]))){
t3=C_i_not(((C_word*)t0)[7]);
t4=t2;
f_21847(t4,(C_truep(t3)?C_eqp(((C_word*)((C_word*)t0)[9])[1],lf[828]):C_SCHEME_FALSE));}
else{
t3=t2;
f_21847(t3,C_SCHEME_FALSE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21878,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4058: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[8];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[10])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
/* library.scm:4065: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21708(t3,((C_word*)t0)[3],t2,((C_word*)t0)[4],C_SCHEME_FALSE,((C_word*)t0)[7]);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[5]);
/* library.scm:4065: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21708(t4,((C_word*)t0)[3],t3,((C_word*)t0)[4],C_SCHEME_FALSE,((C_word*)t0)[7]);}}}

/* k21798 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_21800,c,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21807,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21811,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21815,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4044: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[386]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[386]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21805 in k21798 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_21807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21807,c,av);}
/* library.scm:4044: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21708(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4],C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k21809 in k21798 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_21811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21811,c,av);}
/* library.scm:4044: scheme#append */
t2=*((C_word*)lf[376]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21813 in k21798 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_21815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21815,c,av);}
/* library.scm:4044: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[378]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[378]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21822 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21824(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_21824,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4050: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21708(t3,((C_word*)t0)[4],t2,((C_word*)t0)[5],C_SCHEME_FALSE,((C_word*)t0)[6]);}

/* k21833 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21835,c,av);}
/* library.scm:4047: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[827];
av2[4]=t1;
tp(5,av2);}}

/* k21845 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_21847(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,5)))){
C_save_and_reclaim_args((void *)trf_21847,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
/* library.scm:4055: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21708(t2,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_TRUE,C_SCHEME_FALSE,((C_word*)t0)[4]);}
else{
t2=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[5]);
/* library.scm:4056: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21708(t3,((C_word*)t0)[3],t2,((C_word*)t0)[6],C_SCHEME_TRUE,((C_word*)t0)[4]);}}

/* k21876 in k21789 in k21719 in k21710 in loop in r-xtoken in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_21878,c,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4060: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4063: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21708(t3,((C_word*)t0)[2],t2,((C_word*)t0)[6],C_SCHEME_FALSE,((C_word*)t0)[7]);}}

/* r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_21927(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21927,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21931,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4071: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word av2[3];
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_21931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21931,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21934,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4072: r-token */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21567(t3,t2);}

/* k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_21934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21934,c,av);}
a=C_alloc(11);
t2=C_block_size(t1);
if(C_truep(C_fixnum_greaterp(t2,C_fix(1)))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21946,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22111,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;
f_22111(t6,t4);}
else{
t6=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
t7=t5;
f_22111(t7,(C_truep(t6)?t6:C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4])));}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4102: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k21944 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_21946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21946,c,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_make_character(C_unfix(t1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21966,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21966(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21966(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21966(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21966(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21966(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21966(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21966(t6,C_SCHEME_FALSE);}}}

/* k21964 in k21944 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_21966(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21966,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21972,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21982,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4100: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21970 in k21964 in k21944 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21972,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4101: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[830];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21980 in k21964 in k21944 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_21982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21982,c,av);}
/* library.scm:4100: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22109 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_22111(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22111,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22118,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4076: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21946(2,av2);}}}

/* k22116 in k22109 in k21932 in k21929 in r-char in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_22118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22118,c,av);}
/* library.scm:4076: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[622]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[622]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_22136(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22136,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22142,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li669),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22142(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_22142(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22142,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22146,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4107: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22144 in loop in r-comment in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_22146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22146,c,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22182,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4109: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22205,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4113: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4117: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[831];
tp(4,av2);}}
else{
/* library.scm:4118: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22142(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22180 in k22144 in loop in r-comment in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22182,c,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
/* library.scm:4111: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22142(t4,((C_word*)t0)[4],C_fixnum_difference(((C_word*)t0)[2],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4112: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22142(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22203 in k22144 in loop in r-comment in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22205,c,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
/* library.scm:4113: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_22142(t3,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}
else{
/* library.scm:4113: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_22142(t3,((C_word*)t0)[3],((C_word*)t0)[4]);}}

/* r-ext-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_22223(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_22223,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22227,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4121: r-token */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21567(t3,t2);}

/* k22225 in r-ext-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_22227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_22227,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22234,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4122: string-append */
t3=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[832];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k22232 in k22225 in r-ext-symbol in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_22234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22234,c,av);}
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* r-quote in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_22236(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22236,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22240,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4125: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word av2[3];
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22238 in r-quote in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_22240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22240,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22251,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4126: readrec */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20397(t3,t2);}

/* k22249 in k22238 in r-quote in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_22251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22251,c,av);}
a=C_alloc(6);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
/* library.scm:4126: info */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20327(t3,((C_word*)t0)[4],lf[805],t2,((C_word*)t0)[5]);}

/* k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_22267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22267,c,av);}
a=C_alloc(27);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22270,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[24],a[24]=((C_word*)t0)[2],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4139: r-spaces */
t4=((C_word*)((C_word*)t0)[27])[1];
f_20400(t4,t3);}

/* k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_22270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22270,c,av);}
a=C_alloc(27);
t2=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22273,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4140: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_22273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,3)))){
C_save_and_reclaim((void *)f_22273,c,av);}
a=C_alloc(21);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_eofp(t1);
t4=C_i_not(t3);
t5=(C_truep(t4)?(C_truep(t2)?C_slot(t2,C_fix(C_character_code(t1))):C_SCHEME_FALSE):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22287,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word)li673),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22293,a[2]=((C_word*)t0)[4],a[3]=((C_word)li674),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4146: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
switch(t1){
case C_make_character(39):
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22315,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4152: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22327,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4155: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22339,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4158: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t6=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22367,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[6],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4164: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4279: r-list */
t6=((C_word*)((C_word*)t0)[20])[1];
f_21099(t6,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22985,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4280: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22997,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4281: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4282: r-number */
t6=((C_word*)((C_word*)t0)[23])[1];
f_21379(t6,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t6=C_eqp(t1,C_make_character(45));
t7=(C_truep(t6)?t6:C_eqp(t1,C_make_character(43)));
if(C_truep(t7)){
/* library.scm:4283: r-number */
t8=((C_word*)((C_word*)t0)[23])[1];
f_21379(t8,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(t1))){
t8=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t1))){
/* library.scm:4286: r-number */
t8=((C_word*)((C_word*)t0)[23])[1];
f_21379(t8,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[24])[1]))){
/* library.scm:4288: reserved-character */
t8=((C_word*)((C_word*)t0)[25])[1];
f_20373(t8,((C_word*)t0)[5],t1);}
else{
switch(t1){
case C_make_character(91):
/* library.scm:4291: r-list */
t8=((C_word*)((C_word*)t0)[20])[1];
f_21099(t8,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4292: r-list */
t8=((C_word*)((C_word*)t0)[20])[1];
f_21099(t8,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t8=C_eqp(t1,C_make_character(93));
t9=(C_truep(t8)?t8:C_eqp(t1,C_make_character(125)));
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23075,a[2]=((C_word*)t0)[21],a[3]=((C_word*)t0)[5],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4293: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t10;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4294: r-symbol */
t10=((C_word*)((C_word*)t0)[26])[1];
f_21677(t10,((C_word*)t0)[5]);}}}}}}}}}

/* a22286 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22287,c,av);}
/* library.scm:4147: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22292 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22293,c,av);}
if(C_truep(C_rest_nullp(c,2))){
/* library.scm:4148: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,t1);}
else{
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_get_rest_arg(c,2,av,2,t0);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k22313 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22315,c,av);}
/* library.scm:4153: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22236(t2,((C_word*)t0)[3],lf[833]);}

/* k22325 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22327,c,av);}
/* library.scm:4156: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22236(t2,((C_word*)t0)[3],lf[834]);}

/* k22337 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22339,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4159: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22346 in k22356 in k22337 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22348,c,av);}
/* library.scm:4161: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22236(t2,((C_word*)t0)[3],lf[835]);}

/* k22356 in k22337 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_22358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22358,c,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22348,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4160: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:4162: r-quote */
t3=((C_word*)((C_word*)t0)[2])[1];
f_22236(t3,((C_word*)t0)[3],lf[836]);}}

/* k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_22367,c,av);}
a=C_alloc(21);
t2=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22370,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4165: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_22370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_22370,c,av);}
a=C_alloc(10);
if(C_truep(C_eofp(t1))){
/* library.scm:4168: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[837];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t1))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22388,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22471,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4171: r-digits */
t4=((C_word*)((C_word*)t0)[7])[1];
f_21631(t4,t3);}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(2));
t3=(C_truep(t2)?C_slot(t2,C_fix(C_character_code(t1))):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22485,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word)li677),tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22491,a[2]=((C_word*)t0)[6],a[3]=((C_word)li678),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4196: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}
else{
t4=C_u_i_char_downcase(t1);
switch(t4){
case C_make_character(120):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22516,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4201: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22528,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4202: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22540,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4203: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22552,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4204: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22564,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4205: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22576,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4206: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22588,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4208: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4217: r-vector */
t5=((C_word*)((C_word*)t0)[11])[1];
f_21361(t5,((C_word*)t0)[2]);
case C_make_character(92):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22652,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4218: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22664,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[13],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4220: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22679,a[2]=((C_word*)t0)[14],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4223: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22691,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4226: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22706,a[2]=((C_word*)t0)[15],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4229: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22718,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[15],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4232: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22745,a[2]=((C_word*)t0)[16],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[17],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4241: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22805,a[2]=((C_word*)t0)[18],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4251: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22835,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[19],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[20],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4258: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22907,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word)li686),tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22913,a[2]=((C_word*)t0)[6],a[3]=((C_word)li687),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4277: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}}}}}

/* k22386 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22388,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22391,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4172: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22389 in k22386 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_22391,c,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(3));
t3=C_charp(t1);
t4=(C_truep(t3)?(C_truep(t2)?C_slot(t2,C_fix(C_character_code(t1))):C_SCHEME_FALSE):C_SCHEME_FALSE);
if(C_truep(C_eofp(t1))){
/* library.scm:4178: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[838];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22414,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li675),tmp=(C_word)a,a+=7,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22420,a[2]=((C_word*)t0)[7],a[3]=((C_word)li676),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4181: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=C_eqp(t1,C_make_character(41));
t6=(C_truep(t5)?t5:C_u_i_char_whitespacep(t1));
if(C_truep(t6)){
/* library.scm:4186: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22448,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4187: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22413 in k22389 in k22386 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22414,c,av);}
/* library.scm:4182: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22419 in k22389 in k22386 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22420,c,av);}
if(C_truep(C_rest_nullp(c,2))){
/* library.scm:4183: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,t1);}
else{
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_get_rest_arg(c,2,av,2,t0);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k22446 in k22389 in k22386 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22448,c,av);}
/* library.scm:4188: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[839];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22469 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22471,c,av);}
/* library.scm:4171: scheme#string->number */
t2=*((C_word*)lf[620]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a22484 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22485,c,av);}
/* library.scm:4197: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22490 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22491,c,av);}
if(C_truep(C_rest_nullp(c,2))){
/* library.scm:4198: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,t1);}
else{
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_get_rest_arg(c,2,av,2,t0);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k22514 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22516,c,av);}
/* library.scm:4201: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21449(t2,((C_word*)t0)[3],C_fix(16));}

/* k22526 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22528,c,av);}
/* library.scm:4202: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21449(t2,((C_word*)t0)[3],C_fix(10));}

/* k22538 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22540,c,av);}
/* library.scm:4203: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21449(t2,((C_word*)t0)[3],C_fix(8));}

/* k22550 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22552,c,av);}
/* library.scm:4204: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21449(t2,((C_word*)t0)[3],C_fix(2));}

/* k22562 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22564,c,av);}
/* library.scm:4205: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21500(t2,((C_word*)t0)[3],lf[613]);}

/* k22574 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22576,c,av);}
/* library.scm:4206: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21500(t2,((C_word*)t0)[3],lf[612]);}

/* k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22588,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22591,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4209: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22589 in k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22591,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22594,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4212: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[840];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22594(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22594(2,av2);}
default:
/* library.scm:4215: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[841];
av2[4]=t1;
tp(5,av2);}}}}

/* k22592 in k22589 in k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22594,c,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22599,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li679),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22604,a[2]=((C_word*)t0)[3],a[3]=((C_word)li680),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22610,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li681),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4210: ##sys#dynamic-wind */
t9=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22598 in k22592 in k22589 in k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22599,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22603 in k22592 in k22589 in k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22604(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22604,c,av);}
/* library.scm:4216: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,t1);}

/* a22609 in k22592 in k22589 in k22586 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22610,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22650 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22652,c,av);}
/* library.scm:4218: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21927(t2,((C_word*)t0)[3]);}

/* k22662 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22664,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22667,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4221: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22136(t3,t2);}

/* k22665 in k22662 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22667,c,av);}
/* library.scm:4221: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,((C_word*)t0)[3]);}

/* k22677 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22679,c,av);}
/* library.scm:4224: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22223(t2,((C_word*)t0)[3]);}

/* k22689 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22691,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22694,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4227: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20397(t3,t2);}

/* k22692 in k22689 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22694,c,av);}
/* library.scm:4227: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,((C_word*)t0)[3]);}

/* k22704 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22706,c,av);}
/* library.scm:4230: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22236(t2,((C_word*)t0)[3],lf[842]);}

/* k22716 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22718,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22721,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4233: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22719 in k22716 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22721,c,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22730,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4235: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4239: r-quote */
t2=((C_word*)((C_word*)t0)[4])[1];
f_22236(t2,((C_word*)t0)[2],lf[844]);}}

/* k22728 in k22719 in k22716 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22730,c,av);}
/* library.scm:4236: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[843]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[843]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22745,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22748,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4242: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22746 in k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,4)))){
C_save_and_reclaim((void *)f_22748,c,av);}
a=C_alloc(22);
t2=C_SCHEME_FALSE;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22753,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li682),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22758,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li684),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22793,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li685),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4243: ##sys#dynamic-wind */
t9=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[5];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22752 in k22746 in k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22753,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22757 in k22746 in k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22758,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22764,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li683),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4244: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21702(t3,t1,t2);}

/* a22763 in a22757 in k22746 in k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22764,c,av);}
t4=C_block_size(t2);
t5=C_eqp(C_fix(0),t4);
if(C_truep(t5)){
t6=C_i_char_equalp(((C_word*)t0)[2],C_make_character(124));
if(C_truep(C_i_not(t6))){
/* library.scm:4248: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2=av;
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[845];
tp(4,av2);}}
else{
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}
else{
/* library.scm:4132: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[630]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[630]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* a22792 in k22746 in k22743 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22793,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22803 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22805,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22808,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4252: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22806 in k22803 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22808,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22811,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4253: readrec */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20397(t3,t2);}

/* k22809 in k22806 in k22803 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_22811(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22811,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22826,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4255: readrec */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20397(t3,t2);}

/* k22824 in k22809 in k22806 in k22803 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_22826,c,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_list3(&a,3,lf[846],t2,lf[847]);
/* library.scm:4254: info */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20327(t4,((C_word*)t0)[4],lf[805],t3,((C_word*)t0)[5]);}

/* k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22835(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22835,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22838,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4259: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_22838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22838,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22844,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
t4=t2;
f_22844(t4,(C_truep(t3)?t3:C_u_i_char_equalp(C_make_character(47),t1)));}
else{
t3=t2;
f_22844(t3,C_SCHEME_FALSE);}}

/* k22842 in k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_fcall f_22844(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22844,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22847,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4262: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20336(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22853,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4265: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21567(t3,t2);}}

/* k22845 in k22842 in k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22847,c,av);}
/* library.scm:4263: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,((C_word*)t0)[3]);}

/* k22851 in k22842 in k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_22853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22853,c,av);}
a=C_alloc(5);
if(C_truep(C_i_string_equal_p(lf[848],t1))){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t1,lf[849]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t1,lf[850]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t1,lf[851]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22872,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4268: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t2;
av2[2]=lf[852];
av2[3]=t1;
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22891,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4270: scheme#string->symbol */
t3=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k22870 in k22851 in k22842 in k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_22872(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22872,c,av);}
/* library.scm:4129: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22889 in k22851 in k22842 in k22836 in k22833 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_22891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22891,c,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[853]));
if(C_truep(t2)){
/* library.scm:4271: g4891 */
t3=C_slot(t2,C_fix(1));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
/* library.scm:4273: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[854];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22906 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22907,c,av);}
/* library.scm:4277: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[855]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[855]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22912 in k22368 in k22365 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_22913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22913,c,av);}
if(C_truep(C_rest_nullp(c,2))){
/* library.scm:4278: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20397(t2,t1);}
else{
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_get_rest_arg(c,2,av,2,t0);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k22983 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22985,c,av);}
/* library.scm:4280: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22995 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_22997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22997,c,av);}
/* library.scm:4281: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20545(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23073 in k22271 in k22268 in k22265 in readrec in k20317 in k20314 in k20311 in k20308 in k20305 in ##sys#read in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_23075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23075,c,av);}
/* library.scm:4293: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23151,c,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4318: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[858];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23316,c,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23328,c,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=t1;{
C_word *av2=av;
av2[0]=t11;
av2[1]=C_fixnum_or(t7,C_fixnum_or(t9,t10));
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23390,c,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23393,a[2]=t2,a[3]=((C_word)li693),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23439,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li694),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23439(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_fcall f_23393(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23393,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_fixnum_difference(C_fix(C_character_code(t3)),C_fix(87));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(C_fix(C_character_code(t3)),C_fix(48));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:4338: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word av2[4];
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[859];
tp(4,av2);}}}}

/* loop in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_fcall f_23439(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23439,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23443,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4340: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23441 in loop in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23443,c,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4342: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[860];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23461,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4344: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:4344: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[390]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[390]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4352: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23439(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4353: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23439(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23525,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4354: hex */
t3=((C_word*)t0)[7];
f_23393(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23536,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4355: hex */
t3=((C_word*)t0)[7];
f_23393(t3,t2,t1);}}}}}

/* k23459 in k23441 in loop in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_23461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23461,c,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23523 in k23441 in loop in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_23525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23525,c,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4354: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23439(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23534 in k23441 in loop in ##sys#read-bytevector-literal in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_23536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23536,c,av);}
/* library.scm:4355: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23439(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_fixnum_shift_left(t1,C_fix(4)));}

/* ##sys#user-read-hook in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23538,c,av);}
a=C_alloc(3);
t4=C_eqp(t2,C_make_character(102));
t5=(C_truep(t4)?t4:C_eqp(t2,C_make_character(70)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23551,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4367: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2=av;
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t6;
av2[2]=t3;
tp(3,av2);}}
else{
t6=C_eqp(t2,C_make_character(116));
t7=(C_truep(t6)?t6:C_eqp(t2,C_make_character(84)));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23563,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4368: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2=av;
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t8;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4369: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[861];
av2[4]=t2;
tp(5,av2);}}}}

/* k23549 in ##sys#user-read-hook in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23551,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23561 in ##sys#user-read-hook in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23563,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23583,c,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23590,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4383: g5003 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23588 in ##sys#write-char-0 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23590,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[246]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23599,c,av);}
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[864]);
t5=C_i_check_char_2(t2,lf[864]);
/* library.scm:4390: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2=av;
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23611,c,av);}
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?*((C_word*)lf[714]+1):C_get_rest_arg(c,3,av,3,t0));
t5=C_i_check_char_2(t2,lf[864]);
t6=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[864]);
/* library.scm:4396: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word av2[4];
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* scheme#newline in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23632,c,av);}
if(C_truep(C_rest_nullp(c,2))){
t2=*((C_word*)lf[714]+1);
t3=*((C_word*)lf[714]+1);
/* library.scm:4400: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[863]);
C_word av2[4];
av2[0]=*((C_word*)lf[863]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}
else{
/* library.scm:4400: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[863]);
C_word av2[4];
av2[0]=*((C_word*)lf[863]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=C_get_rest_arg(c,2,av,2,t0);
tp(4,av2);}}}

/* scheme#write in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_23647,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=*((C_word*)lf[714]+1);
t4=C_i_check_port_2(*((C_word*)lf[714]+1),C_fix(2),C_SCHEME_TRUE,lf[865]);
/* library.scm:4405: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[865]);
/* library.scm:4405: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* scheme#display in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_23665,c,av);}
if(C_truep(C_rest_nullp(c,3))){
t3=*((C_word*)lf[714]+1);
t4=C_i_check_port_2(*((C_word*)lf[714]+1),C_fix(2),C_SCHEME_TRUE,lf[867]);
/* library.scm:4410: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t3=C_get_rest_arg(c,3,av,3,t0);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[867]);
/* library.scm:4410: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* chicken.base#print in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23683,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[714]+1);
t4=C_i_check_port_2(*((C_word*)lf[714]+1),C_fix(2),C_SCHEME_TRUE,lf[868]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23726,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[687]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23702,a[2]=t8,a[3]=((C_word)li703),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23702(t10,t5,t2);}

/* for-each-loop5064 in chicken.base#print in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_fcall f_23702(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23702,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23712,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[866]+1);
/* library.scm:4413: g5080 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[866]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[866]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23710 in for-each-loop5064 in chicken.base#print in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23712(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23712,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_23702(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k23724 in chicken.base#print in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23726,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23729,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4419: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}

/* k23727 in k23724 in chicken.base#print in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23729,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[246]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23734,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[714]+1);
t4=C_i_check_port_2(*((C_word*)lf[714]+1),C_fix(2),C_SCHEME_TRUE,lf[868]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23777,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[687]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23753,a[2]=t8,a[3]=((C_word)li705),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23753(t10,t5,t2);}

/* for-each-loop5096 in chicken.base#print* in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_fcall f_23753(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23753,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23763,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[866]+1);
/* library.scm:4413: g5112 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[866]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[866]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23761 in for-each-loop5096 in chicken.base#print* in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23763,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_23753(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k23775 in chicken.base#print* in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23777,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23780,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4426: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[714]+1);
tp(3,av2);}}

/* k23778 in k23775 in chicken.base#print* in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23780,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[246]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in ... */
static void C_ccall f_23787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23787,c,av);}
a=C_alloc(3);
t2=C_mutate(&lf[869] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23791,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4430: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in ... */
static void C_ccall f_23791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23791,c,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[870]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23795,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4431: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in ... */
static void C_ccall f_23795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,5)))){
C_save_and_reclaim((void *)f_23795,c,av);}
a=C_alloc(17);
t2=C_mutate(&lf[871] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[232]+1);
t4=*((C_word*)lf[233]+1);
t5=C_mutate((C_word*)lf[866]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23797,a[2]=t4,a[3]=t3,a[4]=((C_word)li720),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[893]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24898,a[2]=((C_word)li721),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[906] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24915,a[2]=((C_word)li722),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#set-record-printer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24930,a[2]=((C_word)li723),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[909]+1 /* (set! ##sys#register-record-printer ...) */,*((C_word*)lf[205]+1));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24959,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4680: chicken.base#getter-with-setter */
t12=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=*((C_word*)lf[204]+1);
av2[3]=*((C_word*)lf[205]+1);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_23797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23797,c,av);}
a=C_alloc(7);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23804,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4438: case-sensitive */
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_23804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23804,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23807,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4439: keyword-style */
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_23807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23807,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23810,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4440: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[870]);
C_word *av2=av;
av2[0]=*((C_word*)lf[870]+1);
av2[1]=t2;
tp(2,av2);}}

/* k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_23810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(49,c,4)))){
C_save_and_reclaim((void *)f_23810,c,av);}
a=C_alloc(49);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23812,a[2]=t1,a[3]=((C_word)li707),tmp=(C_word)a,a+=4,tmp));
t13=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23884,a[2]=t1,a[3]=((C_word)li708),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23944,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t9,a[5]=t11,a[6]=((C_word)li709),tmp=(C_word)a,a+=7,tmp));
t15=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23968,a[2]=t5,a[3]=t3,a[4]=((C_word)li711),tmp=(C_word)a,a+=5,tmp));
t16=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24057,a[2]=((C_word*)t0)[3],a[3]=((C_word)li713),tmp=(C_word)a,a+=4,tmp));
t17=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24246,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24251,a[2]=t3,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=((C_word*)t0)[6],a[7]=t7,a[8]=t19,a[9]=((C_word)li719),tmp=(C_word)a,a+=10,tmp));
t21=((C_word*)t19)[1];
f_24251(t21,t17,((C_word*)t0)[7]);}

/* outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_23812(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23812,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23822,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4446: current-print-length */
t6=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
/* g51555156 */
t5=C_slot(t4,C_fix(3));{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}}

/* k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_23822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23822,c,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23828,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t2,((C_word*)t0)[4]))){
t4=C_fixnum_difference(((C_word*)t0)[4],t1);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23840,a[2]=t3,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t4,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23863,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4450: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t4;
tp(5,av2);}}
else{
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_23840(2,av2);}}}
else{
t4=C_slot(((C_word*)t0)[5],C_fix(2));
/* g51555156 */
t5=C_slot(t4,C_fix(3));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}}

/* k23826 in k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_23828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23828,c,av);}
/* library.scm:4454: current-print-length */
t2=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23838 in k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_23840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23840,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23843,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
/* g51555156 */
t4=C_slot(t3,C_fix(3));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[872];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23841 in k23838 in k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_23843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23843,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23846,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4452: ##sys#print-exit */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23844 in k23841 in k23838 in k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_23846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23846,c,av);}
t2=*((C_word*)lf[246]+1);
/* library.scm:4449: g5148 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[246]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23861 in k23820 in outstr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_23863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23863,c,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
/* g51555156 */
t3=C_slot(t2,C_fix(3));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_23884(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23884,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23888,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23901,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4462: current-print-length */
t6=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
/* g51645165 */
t6=C_slot(t5,C_fix(2));{
C_word av2[4];
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}}

/* k23886 in outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_23888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23888,c,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
/* g51645165 */
t3=C_slot(t2,C_fix(2));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* k23899 in outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_23901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23901,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23904,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4463: current-print-length */
t3=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fixnum_plus(t1,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k23902 in k23899 in outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_23904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23904,c,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23913,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(2));
/* g51555156 */
t4=C_slot(t3,C_fix(3));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[873];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
/* g51645165 */
t3=C_slot(t2,C_fix(2));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}}

/* k23911 in k23902 in k23899 in outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_23913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23913,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23916,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4466: ##sys#print-exit */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23914 in k23911 in k23902 in k23899 in outchr in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_23916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23916,c,av);}
t2=*((C_word*)lf[246]+1);
/* library.scm:4464: g5160 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[246]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_23944(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23944,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23948,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4475: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23946 in outsym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_23948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23948,c,av);}
a=C_alloc(7);
t2=C_i_not(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23957,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t1,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
f_23957(2,av2);}}
else{
/* library.scm:4476: sym-is-readable? */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24057(t4,t3,t1);}}

/* k23955 in k23946 in outsym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_23957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23957,c,av);}
if(C_truep(t1)){
/* library.scm:4477: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4478: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23968(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_23968(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23968,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23975,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4482: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23884(t6,t5,t2,C_make_character(124));}

/* k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_23975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23975,c,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23980,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li710),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23980(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_23980(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23980,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4485: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23884(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24002,a[2]=t3,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4488: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23812(t7,t6,((C_word*)t0)[4],lf[874]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24031,a[2]=((C_word*)t0)[6],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4494: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23884(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24031(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4494: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23884(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24031(2,av2);}}}}}}

/* k24000 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_24002,c,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24008,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(16)))){
/* library.scm:4490: outchr */
t4=((C_word*)((C_word*)t0)[8])[1];
f_23884(t4,t3,((C_word*)t0)[7],C_make_character(48));}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_24008(2,av2);}}}

/* k24006 in k24000 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24008,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24011,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24022,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4491: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24009 in k24006 in k24000 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24011,c,av);}
/* library.scm:4492: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23980(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* k24020 in k24006 in k24000 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24022,c,av);}
/* library.scm:4491: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24029 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24031,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24034,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4495: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23884(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24032 in k24029 in loop in k23973 in outreadablesym in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24034,c,av);}
/* library.scm:4496: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23980(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* sym-is-readable? in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_24057(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24057,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_block_size(t2);
switch(t3){
case C_fix(0):
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t4=C_subchar(t2,C_fix(0));
t5=C_eqp(C_make_character(35),t4);
t6=(C_truep(t5)?t5:C_eqp(C_make_character(46),t4));
if(C_truep(t6)){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_fix(C_character_code(t4));
t8=C_fixnum_less_or_equal_p(t7,C_fix(32));
t9=(C_truep(t8)?t8:C_i_memq(t4,lf[875]));
if(C_truep(t9)){
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t10=C_u_i_char_numericp(t4);
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=(C_truep(t10)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
default:
t4=C_fixnum_difference(t3,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24106,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word)li712),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_24106(t8,t1,t4);}}

/* loop in sym-is-readable? in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_24106(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_24106,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24122,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24122(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24122(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24122(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(C_truep(((C_word*)t0)[4])?((C_word*)t0)[4]:C_i_not(C_u_i_char_upper_casep(t4)));
if(C_truep(t5)){
t6=C_fix(C_character_code(t4));
t7=C_fixnum_less_or_equal_p(t6,C_fix(32));
t8=(C_truep(t7)?t7:C_i_memq(t4,lf[875]));
if(C_truep(C_i_not(t8))){
t9=C_eqp(t4,C_make_character(58));
t10=C_i_not(t9);
t11=(C_truep(t10)?t10:C_fixnum_lessp(t2,C_fixnum_difference(((C_word*)t0)[3],C_fix(1))));
if(C_truep(t11)){
/* library.scm:4530: loop */
t13=t1;
t14=C_fixnum_difference(t2,C_fix(1));
t1=t13;
t2=t14;
goto loop;}
else{
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
else{
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}

/* k24120 in loop in sym-is-readable? in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_24122(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_24122,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24129,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4515: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[622]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[622]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[4],C_make_character(58));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24141,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(((C_word*)t0)[4],C_make_character(35));
if(C_truep(t4)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],C_fix(2)))){
t5=C_eqp(C_subchar(((C_word*)t0)[3],C_fix(1)),C_make_character(35));
if(C_truep(t5)){
t6=C_eqp(C_subchar(((C_word*)t0)[3],C_fix(2)),C_make_character(35));
t7=t3;
f_24141(t7,C_i_not(C_i_not(t6)));}
else{
t6=t3;
f_24141(t6,C_SCHEME_TRUE);}}
else{
t5=t3;
f_24141(t5,C_SCHEME_TRUE);}}
else{
t5=t3;
f_24141(t5,C_SCHEME_FALSE);}}}}

/* k24127 in k24120 in loop in sym-is-readable? in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24129,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24139 in k24120 in loop in sym-is-readable? in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_24141(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_24141,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_i_member(((C_word*)t0)[3],lf[876]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[875]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k24244 in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_24246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24246,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[246]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_24251(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24251,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4533: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[877]);
case C_SCHEME_TRUE:
/* library.scm:4534: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[878]);
case C_SCHEME_FALSE:
/* library.scm:4535: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[879]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4536: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[880]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4537: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[881]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24300,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4540: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23812(t4,t3,((C_word*)t0)[3],lf[882]);}
else{
/* library.scm:4549: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23884(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24359,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4550: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4551: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[883]);}
else{
if(C_truep(C_i_not(C_blockp(t2)))){
/* library.scm:4552: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[884]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4553: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],lf[885]);}
else{
if(C_truep(C_i_keywordp(t2))){
t3=C_i_not(((C_word*)t0)[4]);
t4=(C_truep(t3)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t5=C_eqp(t4,lf[828]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24395,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4558: outchr */
t7=((C_word*)((C_word*)t0)[5])[1];
f_23884(t7,t6,((C_word*)t0)[3],C_make_character(58));}
else{
t6=C_eqp(t4,lf[811]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24407,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4561: outsym */
t8=((C_word*)((C_word*)t0)[7])[1];
f_23944(t8,t7,((C_word*)t0)[3],t2);}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24413,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4564: outstr */
t8=((C_word*)((C_word*)t0)[2])[1];
f_23812(t8,t7,((C_word*)t0)[3],lf[886]);}}}
else{
if(C_truep(C_i_symbolp(t2))){
/* library.scm:4566: outsym */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23944(t3,t1,((C_word*)t0)[3],t2);}
else{
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24435,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4567: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[498]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[498]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}}

/* k24298 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24300,c,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24306,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4542: chicken.base#char-name */
t4=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k24304 in k24298 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24306,c,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24310,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li714),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4542: g5262 */
t3=t2;
f_24310(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24333,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4546: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23884(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4548: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23884(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5262 in k24304 in k24298 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_24310(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24310,3,t0,t1,t2);}
/* library.scm:4544: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t1,((C_word*)t0)[3],C_slot(t2,C_fix(1)));}

/* k24331 in k24304 in k24298 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24333,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24340,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4547: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24338 in k24331 in k24304 in k24298 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24340,c,av);}
/* library.scm:4547: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24357 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24359,c,av);}
/* library.scm:4550: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24393 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24395,c,av);}
/* library.scm:4559: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23944(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24405 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24407,c,av);}
/* library.scm:4562: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23884(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24411 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24413,c,av);}
/* library.scm:4565: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23944(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24435,c,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24442,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4567: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24452,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4568: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[887]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[887]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24461,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4571: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23884(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4597: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24634,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4599: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23884(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24707,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4611: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t2,((C_word*)t0)[4],lf[891]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4620: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[892]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[892]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24767,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4621: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[893]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[893]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4622: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[894]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24779,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4624: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t2,((C_word*)t0)[4],lf[895]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24798,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4629: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23812(t4,t3,((C_word*)t0)[4],lf[897]);
case C_fix(2):
/* library.scm:4630: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23812(t4,t3,((C_word*)t0)[4],lf[898]);
default:
/* library.scm:4631: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23812(t4,t3,((C_word*)t0)[4],lf[899]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4637: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23812(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[900]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24845,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4639: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23812(t5,t4,((C_word*)t0)[4],lf[901]);}}
else{
/* library.scm:4647: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[902];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24440 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24442,c,av);}
/* library.scm:4567: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24450 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24452,c,av);}
/* library.scm:4568: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24461,c,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24467,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li715),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24467(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_24467(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24467,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4575: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23884(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24480,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4578: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23812(t7,t6,((C_word*)t0)[3],lf[888]);
case C_fix(92):
/* library.scm:4579: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23812(t7,t6,((C_word*)t0)[3],lf[889]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24518,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4583: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23884(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
/* library.scm:4596: outchr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23884(t9,t6,((C_word*)t0)[3],C_fix_to_char(t5));}}}}

/* k24478 in doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24480,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_24467(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)),C_fixnum_difference(((C_word*)t0)[5],C_fix(1)));}

/* k24516 in doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24518,c,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4585: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4586: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4587: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4588: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4589: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4590: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4591: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23884(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24584,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4593: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23884(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24582 in k24516 in doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24584,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24587,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4594: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23884(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24587(2,av2);}}}

/* k24585 in k24582 in k24516 in doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_24587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24587,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24594,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4595: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24592 in k24585 in k24582 in k24516 in doloop5283 in k24459 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_24594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24594,c,av);}
/* library.scm:4595: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24634,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4600: out */
t3=((C_word*)((C_word*)t0)[5])[1];
f_24251(t3,t2,C_slot(((C_word*)t0)[2],C_fix(0)));}

/* k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24637,c,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24646,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li716),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24646(t6,((C_word*)t0)[7],t2);}

/* doloop5313 in k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_24646(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24646,3,t0,t1,t2);}
a=C_alloc(10);
t3=C_i_not(C_blockp(t2));
t4=(C_truep(t3)?t3:C_i_not(C_pairp(t2)));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24659,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t6=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24668,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4605: outstr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23812(t8,t7,((C_word*)t0)[3],lf[890]);}
else{
/* library.scm:4607: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23884(t7,t1,((C_word*)t0)[3],C_make_character(41));}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24678,a[2]=((C_word*)t0)[6],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4608: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23884(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24657 in doloop5313 in k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24659,c,av);}
/* library.scm:4607: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23884(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24666 in doloop5313 in k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24668,c,av);}
/* library.scm:4606: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24251(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24676 in doloop5313 in k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24678,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24681,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4609: out */
t3=((C_word*)((C_word*)t0)[5])[1];
f_24251(t3,t2,C_slot(((C_word*)t0)[4],C_fix(0)));}

/* k24679 in k24676 in doloop5313 in k24635 in k24632 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_24681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24681,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_24646(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24707,c,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24713,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24718,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li717),tmp=(C_word)a,a+=9,tmp));
t7=((C_word*)t5)[1];
f_24718(t7,t3,C_fix(0));}

/* k24711 in k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24713,c,av);}
/* library.scm:4619: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23884(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5327 in k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_24718(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24718,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24731,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4617: outchr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23884(t5,t4,((C_word*)t0)[6],C_make_character(48));}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_24731(2,av2);}}}}

/* k24729 in doloop5327 in k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_24731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24731,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24734,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24745,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4618: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24732 in k24729 in doloop5327 in k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24734,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_24718(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* k24743 in k24729 in doloop5327 in k24705 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24745,c,av);}
/* library.scm:4618: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24765 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24767,c,av);}
/* library.scm:4621: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24777 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24779,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24782,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24789,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4625: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24780 in k24777 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24782,c,av);}
/* library.scm:4626: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23884(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24787 in k24777 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24789,c,av);}
/* library.scm:4625: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24796 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24798,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24801,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4632: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23812(t3,t2,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(3)));}

/* k24799 in k24796 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24801,c,av);}
/* library.scm:4633: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23812(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[896]);}

/* k24843 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24845,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24848,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4640: out */
t3=((C_word*)((C_word*)t0)[5])[1];
f_24251(t3,t2,C_slot(((C_word*)t0)[6],C_fix(0)));}

/* k24846 in k24843 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_24848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24848,c,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24857,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li718),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24857(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5351 in k24846 in k24843 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_24857(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24857,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4644: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23884(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24870,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4645: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23884(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24868 in doloop5351 in k24846 in k24843 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_24870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24870,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24873,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4646: out */
t3=((C_word*)((C_word*)t0)[6])[1];
f_24251(t3,t2,C_slot(((C_word*)t0)[7],((C_word*)t0)[4]));}

/* k24871 in k24868 in doloop5351 in k24846 in k24843 in k24433 in out in k23808 in k23805 in k23802 in ##sys#print in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_24873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24873,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_24857(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)),C_fixnum_difference(((C_word*)t0)[5],C_fix(1)));}

/* ##sys#procedure->string in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_24898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24898,c,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24902,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4653: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2=av;
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24900 in ##sys#procedure->string in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_24902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24902,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24912,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4655: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[905];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24910 in k24900 in ##sys#procedure->string in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_24912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24912,c,av);}
/* library.scm:4655: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[903];
av2[3]=t1;
av2[4]=lf[904];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#record-printer in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_24915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24915,c,av);}
t3=C_i_check_symbol_2(t2,lf[907]);
t4=C_i_assq(t2,C_fast_retrieve(lf[906]));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_i_cdr(t4):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#set-record-printer! in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_24930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24930,c,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[908]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24937,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4669: ##sys#check-closure */
t6=*((C_word*)lf[368]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[908];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k24935 in chicken.base#set-record-printer! in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_24937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24937,c,av);}
a=C_alloc(6);
t2=C_i_assq(((C_word*)t0)[2],C_fast_retrieve(lf[906]));
if(C_truep(t2)){
t3=C_i_setslot(t2,C_fix(1),((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_a_i_cons(&a,2,t3,C_fast_retrieve(lf[906]));
t5=C_mutate((C_word*)lf[906]+1 /* (set! ##sys#record-printers ...) */,t4);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in ... */
static void C_ccall f_24959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(93,c,6)))){
C_save_and_reclaim((void *)f_24959,c,av);}
a=C_alloc(93);
t2=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#record-printer ...) */,t1);
t3=C_mutate((C_word*)lf[892]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24961,a[2]=((C_word)li731),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[920]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25112,a[2]=((C_word)li736),tmp=(C_word)a,a+=3,tmp));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25197,a[2]=t6,a[3]=((C_word)li737),tmp=(C_word)a,a+=4,tmp);
t8=C_set_block_item(t6,0,t7);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31574,a[2]=((C_word)li738),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31599,a[2]=((C_word)li739),tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31617,a[2]=t6,a[3]=((C_word)li740),tmp=(C_word)a,a+=4,tmp);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31636,a[2]=t6,a[3]=((C_word)li741),tmp=(C_word)a,a+=4,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31655,a[2]=((C_word)li742),tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31658,a[2]=((C_word)li743),tmp=(C_word)a,a+=3,tmp);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31661,a[2]=((C_word)li744),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31702,a[2]=((C_word)li748),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31786,a[2]=((C_word)li749),tmp=(C_word)a,a+=3,tmp);
t18=C_a_i_vector(&a,10,t9,t10,t11,t12,*((C_word*)lf[196]+1),t13,t14,t15,t16,t17);
t19=C_mutate((C_word*)lf[925]+1 /* (set! ##sys#string-port-class ...) */,t18);
t20=C_mutate((C_word*)lf[923]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25253,a[2]=((C_word)li756),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25450,a[2]=((C_word)li757),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25469,a[2]=((C_word)li758),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25488,a[2]=((C_word)li759),tmp=(C_word)a,a+=3,tmp));
t24=*((C_word*)lf[213]+1);
t25=*((C_word*)lf[215]+1);
t26=C_mutate((C_word*)lf[935]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25522,a[2]=t24,a[3]=t25,a[4]=((C_word)li762),tmp=(C_word)a,a+=5,tmp));
t27=C_mutate((C_word*)lf[887]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25565,a[2]=((C_word)li763),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25618,a[2]=((C_word)li765),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[944]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25762,a[2]=((C_word)li769),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25867,a[2]=((C_word)li770),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[952]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25958,a[2]=((C_word)li772),tmp=(C_word)a,a+=3,tmp));
t32=lf[955] /* exit-in-progress */ =C_SCHEME_FALSE;;
t33=C_mutate(&lf[956] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25980,a[2]=((C_word)li775),tmp=(C_word)a,a+=3,tmp));
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26063,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31550,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5011: chicken.base#make-parameter */
t36=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t36;
av2[1]=t34;
av2[2]=t35;
((C_proc)(void*)(*((C_word*)t36+1)))(3,av2);}}

/* ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_24961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24961,c,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=C_i_assq(t5,C_fast_retrieve(lf[906]));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24974,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24979,a[2]=t4,a[3]=t5,a[4]=t6,a[5]=t2,a[6]=((C_word)li730),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4685: scheme#call-with-current-continuation */
t9=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t7;
av2[2]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25064,a[2]=t1,a[3]=t4,a[4]=t5,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4697: ##sys#print */
t8=*((C_word*)lf[866]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[919];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}

/* k24972 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_24974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24974,c,av);}
/* library.scm:4685: g5397 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_24979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24979,c,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24985,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li725),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25036,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li729),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4685: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[915]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_24985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24985,c,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24991,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li724),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4685: k5394 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_24991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24991,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24995,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4687: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[914];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24993 in a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_24995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24995,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24998,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25034,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4688: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24996 in k24993 in a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_24998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24998,c,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[910]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[911],t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25013,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4691: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[912];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
/* library.scm:4694: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[913];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k25011 in k24996 in k24993 in a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_25013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25013,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25016,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4692: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_i_cadr(((C_word*)t0)[4]);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25014 in k25011 in k24996 in k24993 in a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_25016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25016,c,av);}
/* library.scm:4693: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25032 in k24993 in a24990 in a24984 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25034,c,av);}
/* library.scm:4688: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a25035 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25036,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25042,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li726),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25051,a[2]=((C_word*)t0)[5],a[3]=((C_word)li728),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4685: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25041 in a25035 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25042,c,av);}
/* library.scm:4685: g5407 */
t2=C_slot(((C_word*)t0)[2],C_fix(1));{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a25050 in a25035 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25051(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25051,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25057,a[2]=t2,a[3]=((C_word)li727),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4685: k5394 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25056 in a25050 in a25035 in a24978 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25057,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25064,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25067,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25110,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4698: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25065 in k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25067,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[910]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25079,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4701: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[917]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25095,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4704: ##sys#print */
t6=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[918];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4706: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25068 in k25065 in k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25070,c,av);}
/* library.scm:4706: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25077 in k25065 in k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25079,c,av);}
/* library.scm:4702: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_slot(((C_word*)t0)[3],C_fix(1));
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25093 in k25065 in k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25095,c,av);}
/* library.scm:4705: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_slot(((C_word*)t0)[3],C_fix(6));
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25108 in k25062 in ##sys#user-print-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25110,c,av);}
/* library.scm:4698: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25112,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25118,a[2]=t2,a[3]=t3,a[4]=((C_word)li735),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4711: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(27,c,4)))){
C_save_and_reclaim((void *)f_25118,c,av);}
a=C_alloc(27);
t3=C_fast_retrieve(lf[870]);
t4=C_retrieve2(lf[871],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[869],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=t2;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_fix(0);
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_TRUE;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25124,a[2]=t7,a[3]=t9,a[4]=t11,a[5]=t13,a[6]=t3,a[7]=((C_word)li732),tmp=(C_word)a,a+=8,tmp);
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25167,a[2]=((C_word*)t0)[3],a[3]=((C_word)li733),tmp=(C_word)a,a+=4,tmp);
t16=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25173,a[2]=t7,a[3]=t9,a[4]=t11,a[5]=t3,a[6]=((C_word)li734),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: ##sys#dynamic-wind */
t17=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t1;
av2[2]=t14;
av2[3]=t15;
av2[4]=t16;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25124,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25128,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4713: ##sys#print-length-limit5427 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25128(2,av2);}}}

/* k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25128,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25131,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t1,tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4713: ##sys#print-exit5428 */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25131(2,av2);}}}

/* k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25131,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25134,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4713: current-print-length54295430 */
t3=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25134(2,av2);}}}

/* k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25134,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25138,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4713: ##sys#print-length-limit5427 */
t3=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_25138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25138,c,av);}
a=C_alloc(10);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25142,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4713: ##sys#print-exit5428 */
t4=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25140 in k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_25142(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25142,c,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25146,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4713: current-print-length54295430 */
t4=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25144 in k25140 in k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_25146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25146,c,av);}
a=C_alloc(6);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25149,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4713: ##sys#print-length-limit5427 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25147 in k25144 in k25140 in k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_25149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25149,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25152,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4713: ##sys#print-exit5428 */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25150 in k25147 in k25144 in k25140 in k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_25152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25152,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25155,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4713: current-print-length54295430 */
t3=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25153 in k25150 in k25147 in k25144 in k25140 in k25136 in k25132 in k25129 in k25126 in a25123 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_25155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25155,c,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25166 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25167,c,av);}
/* library.scm:4716: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25173,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4713: ##sys#print-length-limit5427 */
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25177,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25180,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4713: ##sys#print-exit5428 */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25178 in k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25180,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4713: current-print-length54295430 */
t3=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25181 in k25178 in k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25183,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25186,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4713: ##sys#print-length-limit5427 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}

/* k25184 in k25181 in k25178 in k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_25186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25186,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4713: ##sys#print-exit5428 */
t3=C_retrieve2(lf[871],C_text("##sys#print-exit"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25187 in k25184 in k25181 in k25178 in k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_25189(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25189,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25192,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4713: current-print-length54295430 */
t3=C_retrieve2(lf[869],C_text("current-print-length"));{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25190 in k25187 in k25184 in k25181 in k25178 in k25175 in a25172 in a25117 in ##sys#with-print-length-limit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_25192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25192,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5471 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25197,c,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=C_slot(t2,C_fix(11));
t6=C_slot(t2,C_fix(12));
t7=C_fixnum_plus(t4,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t7,t5))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25219,a[2]=t5,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t6,a[8]=t4,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t7,lf[271]))){
/* library.scm:4744: ##sys#error */
t9=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[922];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}
else{
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_25219(2,av2);}}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k25217 in check5471 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25219,c,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[271],t2);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25225,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4746: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k25223 in k25217 in check5471 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25225,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25228,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4747: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[921]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[921]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=t1;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25226 in k25223 in k25217 in check5471 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25228,c,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4750: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25253,c,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25256,a[2]=((C_word)li750),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25276,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li755),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25276(t10,t1,t2,t4,t4,t3,lf[928]);}

/* copy&append in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_fcall f_25256(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25256,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25263,a[2]=t5,a[3]=t6,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t8=C_fixnum_difference(t4,t3);
/* library.scm:4827: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t7;
av2[2]=C_fixnum_plus(t6,t8);
tp(3,av2);}}

/* k25261 in copy&append in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25263,c,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_fcall f_25276(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25276,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25286,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4837: copy&append */
f_25256(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25324,a[2]=t1,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4844: copy&append */
f_25256(t11,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25330,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=t8,a[9]=t5,a[10]=((C_word*)t0)[2],a[11]=((C_word*)t0)[3],tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=t10;
f_25330(t14,C_eqp(C_subchar(t2,t13),C_make_character(10)));}
else{
t13=t10;
f_25330(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25330(t12,C_SCHEME_FALSE);}}}}

/* k25284 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25286,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25291,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li751),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25297,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word)li752),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4838: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25290 in k25284 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25291,c,av);}
/* library.scm:4838: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25296 in k25284 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25297,c,av);}
if(C_truep(t2)){
/* library.scm:4840: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25276(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4841: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25322 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25324,c,av);}
/* library.scm:4844: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25330(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25330,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25341,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4848: copy&append */
f_25256(t3,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(13));
t3=(C_truep(t2)?C_eqp(((C_word*)t0)[9],C_fixnum_plus(((C_word*)t0)[2],C_fix(1))):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25350,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[11],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4851: copy&append */
f_25256(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t4=C_eqp(((C_word*)t0)[8],C_make_character(13));
if(C_truep(t4)){
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25410,a[2]=((C_word*)t0)[3],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4862: copy&append */
f_25256(t6,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
/* library.scm:4863: loop */
t5=((C_word*)((C_word*)t0)[11])[1];
f_25276(t5,((C_word*)t0)[3],((C_word*)t0)[5],((C_word*)t0)[6],C_fixnum_plus(((C_word*)t0)[2],C_fix(1)),((C_word*)t0)[9],((C_word*)t0)[7]);}}}}

/* k25339 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25341,c,av);}
/* library.scm:4848: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25348 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25350,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25355,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li753),tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25361,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word)li754),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4852: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a25354 in k25348 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25355,c,av);}
/* library.scm:4852: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25360 in k25348 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25361,c,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_eqp(C_subchar(t2,t3),C_make_character(10));
if(C_truep(t5)){
/* library.scm:4855: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=C_fixnum_plus(t3,C_fix(1));
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25385,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4858: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[926];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25393,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4860: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[927];
tp(4,av2);}}}

/* k25383 in a25360 in k25348 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25385,c,av);}
/* library.scm:4857: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25276(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25391 in a25360 in k25348 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25393,c,av);}
/* library.scm:4860: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25408 in k25328 in loop in ##sys#scan-buffer-line in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25410,c,av);}
/* library.scm:4862: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25450,c,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[929]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25457,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4868: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[925]);
av2[4]=lf[930];
av2[5]=lf[931];
tp(6,av2);}}

/* k25455 in chicken.base#open-input-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25457,c,av);}
t2=C_i_set_i_slot(t1,C_fix(11),C_block_size(((C_word*)t0)[2]));
t3=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t4=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#open-output-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25469,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25473,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4876: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[925]);
av2[4]=lf[932];
av2[5]=lf[931];
tp(6,av2);}}

/* k25471 in chicken.base#open-output-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25473,c,av);}
a=C_alloc(4);
t2=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t3=C_i_set_i_slot(t1,C_fix(11),C_fix(256));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25486,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4879: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t4;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25484 in k25471 in chicken.base#open-output-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25486,c,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25488,c,av);}
t3=C_i_check_port_2(t2,C_fix(2),C_SCHEME_FALSE,lf[933]);
t4=C_slot(t2,C_fix(7));
t5=C_eqp(lf[931],t4);
if(C_truep(C_i_not(t5))){
/* library.scm:4886: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[933];
av2[4]=lf[934];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
/* library.scm:4888: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t1;
av2[2]=C_slot(t2,C_fix(12));
av2[3]=C_fix(0);
av2[4]=C_slot(t2,C_fix(10));
tp(5,av2);}}}

/* ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25522,c,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25526,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4894: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25524 in ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25526,c,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25527,a[2]=t1,a[3]=((C_word)li760),tmp=(C_word)a,a+=4,tmp);
t3=C_i_check_list_2(((C_word*)t0)[2],lf[687]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25537,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25542,a[2]=t6,a[3]=t2,a[4]=((C_word)li761),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25542(t8,t4,((C_word*)t0)[2]);}

/* g5601 in k25524 in ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25527(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25527,3,t0,t1,t2);}
/* library.scm:4895: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25535 in k25524 in ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25537,c,av);}
/* library.scm:4896: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5600 in k25524 in ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25542(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25542,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25552,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4895: g5601 */
t4=((C_word*)t0)[3];
f_25527(t4,t3,C_slot(t2,C_fix(0)));}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25550 in for-each-loop5600 in k25524 in ##sys#print-to-string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25552,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_25542(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25565,c,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25576,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4904: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2=av;
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4904: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2=av;
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25606,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25610,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4910: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[939]);
C_word *av2=av;
av2[0]=*((C_word*)lf[939]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25574 in ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25576,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25580,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25584,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4908: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[939]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[939]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25578 in k25574 in ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25580,c,av);}
/* library.scm:4902: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[936];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[937];
av2[5]=t1;
av2[6]=lf[938];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25582 in k25574 in ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25584,c,av);}
/* library.scm:4908: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25604 in ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25606,c,av);}
/* library.scm:4910: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[940];
av2[3]=t1;
av2[4]=lf[941];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25608 in ##sys#pointer->string in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25610,c,av);}
/* library.scm:4910: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_25618,c,av);}
a=C_alloc(6);
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?C_fix(0):C_get_rest_arg(c,2,av,2,t0));
t4=C_rest_nullp(c,2);
t5=C_rest_nullp(c,3);
t6=(C_truep(t5)?C_fast_retrieve(lf[942]):C_get_rest_arg(c,3,av,2,t0));
t7=C_rest_nullp(c,3);
t8=C_fix((C_word)C_trace_buffer_size);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25634,a[2]=t3,a[3]=t8,a[4]=t6,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4924: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[672]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[672]+1);
av2[1]=t9;
av2[2]=C_fixnum_times(C_fix(4),t8);
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25632 in chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25634,c,av);}
a=C_alloc(10);
t2=C_fetch_trace(((C_word*)t0)[2],t1);
t3=C_fixnump(t2);
t4=(C_truep(t3)?t2:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t5=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25645,a[2]=t4,a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[4],a[6]=t5,a[7]=((C_word)li764),tmp=(C_word)a,a+=8,tmp));
t9=((C_word*)t7)[1];
f_25645(t9,((C_word*)t0)[5],C_fix(0));}

/* loop in k25632 in chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25645(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25645,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25664,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25664(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25664(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25662 in loop in k25632 in chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_25664(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25664,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25683,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
/* library.scm:4919: ##sys#peek-nonnull-c-string */
t5=*((C_word*)lf[943]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=stub5623(t4,t3);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
/* library.scm:4938: loop */
t2=((C_word*)((C_word*)t0)[5])[1];
f_25645(t2,((C_word*)t0)[4],C_fixnum_plus(((C_word*)t0)[2],C_fix(4)));}}

/* k25673 in k25681 in k25662 in loop in k25632 in chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25675,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25681 in k25662 in loop in k25632 in chicken.base#get-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25683,c,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25675,a[2]=((C_word*)t0)[4],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4937: loop */
t8=((C_word*)((C_word*)t0)[5])[1];
f_25645(t8,t7,C_fixnum_plus(((C_word*)t0)[2],C_fix(4)));}

/* ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25762,c,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25772,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4942: ##sys#print */
t6=*((C_word*)lf[866]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25772,c,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25773,a[2]=((C_word*)t0)[2],a[3]=((C_word)li767),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25839,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25844,a[2]=t5,a[3]=t2,a[4]=((C_word)li768),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_25844(t7,t3,((C_word*)t0)[4]);}

/* g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25773(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25773,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_slot(t2,C_fix(2));
t5=C_i_structurep(t4,lf[945]);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25786,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,a[6]=t4,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4948: ##sys#print */
t7=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[948];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25786,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25789,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4949: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_slot(((C_word*)t0)[7],C_fix(0));
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_25789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25789,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25792,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4950: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[947];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_25792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25792,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25795,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25810,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25810(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25810(t5,t4);}}
else{
t4=t3;
f_25810(t4,C_SCHEME_FALSE);}}

/* k25793 in k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_25795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25795,c,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25803,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li766),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4960: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[920]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[920]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25802 in k25793 in k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_25803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25803,c,av);}
/* library.scm:4963: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25808 in k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_25810(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25810,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25813,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4952: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word av2[4];
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25795(2,av2);}}}

/* k25811 in k25808 in k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_25813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25813,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25816,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:4953: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_slot(((C_word*)t0)[5],C_fix(1));
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
/* library.scm:4953: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25814 in k25811 in k25808 in k25790 in k25787 in k25784 in g5667 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_25816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25816,c,av);}
/* library.scm:4958: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[946];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25837 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25839,c,av);}
/* library.scm:4965: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[949];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5666 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_25844(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25844,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25854,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4943: g5667 */
t4=((C_word*)t0)[3];
f_25773(t4,t3,C_slot(t2,C_fix(0)));}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25852 in for-each-loop5666 in k25770 in ##sys#really-print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25854,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_25844(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* chicken.base#print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_25867,c,av);}
a=C_alloc(7);
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?*((C_word*)lf[714]+1):C_get_rest_arg(c,2,av,2,t0));
t4=C_rest_nullp(c,2);
t5=C_rest_nullp(c,3);
t6=(C_truep(t5)?C_fix(0):C_get_rest_arg(c,3,av,2,t0));
t7=C_rest_nullp(c,3);
t8=C_rest_nullp(c,4);
t9=(C_truep(t8)?C_fast_retrieve(lf[942]):C_get_rest_arg(c,4,av,2,t0));
t10=C_rest_nullp(c,4);
t11=C_rest_nullp(c,5);
t12=(C_truep(t11)?lf[950]:C_get_rest_arg(c,5,av,2,t0));
t13=C_rest_nullp(c,5);
t14=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[951]);
t15=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25898,a[2]=t12,a[3]=t1,a[4]=t3,a[5]=t6,a[6]=t9,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4972: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t15;
av2[2]=t6;
av2[3]=lf[951];
tp(4,av2);}}

/* k25896 in chicken.base#print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25898,c,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[951]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25908,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4974: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25906 in k25896 in chicken.base#print-call-chain in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25908,c,av);}
/* library.scm:4974: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[944]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[944]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_25958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25958,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25961,a[2]=((C_word)li771),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[942]),C_fast_retrieve(lf[954]));
if(C_truep(t3)){
/* library.scm:4980: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[953];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[954]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in ##sys#user-interrupt-hook in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25961,c,av);}
/* library.scm:4980: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[953];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_fcall f_25980(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25980,1,t1);}
a=C_alloc(6);
t2=lf[955] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25985,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26056,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4995: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[961];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25985(2,av2);}}}

/* k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_25985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25985,c,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25991,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26008,a[2]=t5,a[3]=((C_word)li774),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26008(t7,t3);}

/* k25989 in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_25991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25991,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25994,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:5006: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[959];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25994(2,av2);}}}

/* k25992 in k25989 in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_25994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25994,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26000,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5007: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[958]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25998 in k25992 in k25989 in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26000,c,av);}
if(C_truep(t1)){
/* library.scm:5008: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[957]);
C_word *av2=av;
av2[0]=*((C_word*)lf[957]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_fcall f_26008(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_26008,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[227]+1);
t3=C_set_block_item(lf[227] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[687]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26027,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26032,a[2]=t7,a[3]=((C_word)li773),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_26032(t9,t5,t2);}}

/* k26025 in loop in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_26027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26027,c,av);}
/* library.scm:5004: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_26008(t2,((C_word*)t0)[3]);}

/* for-each-loop5726 in loop in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_fcall f_26032(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26032,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26042,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5003: t */
t4=C_slot(t2,C_fix(0));{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26040 in for-each-loop5726 in loop in k25983 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26042,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_26032(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k26054 in cleanup-before-exit in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_26056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26056,c,av);}
/* library.scm:4996: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[960]);
C_word *av2=av;
av2[0]=*((C_word*)lf[960]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_26063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26063,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26067,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31544,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5021: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_26067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26067,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26071,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31535,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5026: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_26071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26071,c,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[962]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[963]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26073,a[2]=((C_word)li778),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[965]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26357,a[2]=((C_word)li779),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1003]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26374,a[2]=((C_word)li780),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1004]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26383,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31375,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5123: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_26073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26073,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=C_eqp(t2,lf[953]);
if(C_truep(t8)){
t9=C_a_i_record3(&a,3,lf[910],lf[964],C_SCHEME_END_OF_LIST);
/* library.scm:5054: abort */
t10=C_fast_retrieve(lf[965]);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t9=C_eqp(t2,lf[309]);
t10=(C_truep(t9)?t9:C_eqp(t2,lf[311]));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26099,a[2]=t1,a[3]=t4,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t12=C_eqp(t2,lf[309]);
if(C_truep(t12)){
/* library.scm:5060: ##sys#print */
t13=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t13;
av2[1]=t11;
av2[2]=lf[967];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t13+1)))(5,av2);}}
else{
/* library.scm:5060: ##sys#print */
t13=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t13;
av2[1]=t11;
av2[2]=lf[968];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t13+1)))(5,av2);}}}
else{
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26175,a[2]=t5,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t12=C_i_symbolp(((C_word*)t5)[1]);
t13=(C_truep(t12)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t13)){
t14=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26340,a[2]=t5,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5078: scheme#symbol->string */
t15=*((C_word*)lf[634]+1);{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t15+1)))(3,av2);}}
else{
t14=t11;
f_26175(t14,C_SCHEME_UNDEFINED);}}}}

/* k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26099,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26102,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5063: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26102,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26105,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[3]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(C_u_i_length(((C_word*)t0)[3]),C_fix(1)));
if(C_truep(t4)){
/* library.scm:5065: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[715]+1);
tp(4,av2);}}
else{
/* library.scm:5066: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[966];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26105,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26122,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26127,a[2]=t4,a[3]=((C_word)li777),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_26127(t6,t2,((C_word*)t0)[3]);}

/* a26111 in for-each-loop5794 in k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_26112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26112,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26116,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5072: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26114 in a26111 in for-each-loop5794 in k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_26116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26116,c,av);}
/* library.scm:5073: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[715]+1);
tp(4,av2);}}

/* k26120 in k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_26122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26122,c,av);}
/* library.scm:5075: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[715]+1);
tp(3,av2);}}

/* for-each-loop5794 in k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_26127(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26127,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26137,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26112,a[2]=t4,a[3]=((C_word)li776),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5069: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[920]);
C_word av2[4];
av2[0]=*((C_word*)lf[920]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t5;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26135 in for-each-loop5794 in k26103 in k26100 in k26097 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_26137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26137,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_26127(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k26173 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_26175(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26175,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26178,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26178(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26178(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26176 in k26173 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_26178(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26178,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26198,a[2]=t3,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_eqp(((C_word*)t0)[5],lf[260]);
if(C_truep(t6)){
t7=t5;
f_26198(t7,lf[973]);}
else{
t7=C_eqp(((C_word*)t0)[5],lf[780]);
if(C_truep(t7)){
t8=t5;
f_26198(t8,lf[974]);}
else{
t8=C_eqp(((C_word*)t0)[5],lf[382]);
if(C_truep(t8)){
t9=t5;
f_26198(t9,lf[975]);}
else{
t9=C_eqp(((C_word*)t0)[5],lf[565]);
if(C_truep(t9)){
t10=t5;
f_26198(t10,lf[976]);}
else{
t10=C_eqp(((C_word*)t0)[5],lf[699]);
if(C_truep(t10)){
t11=t5;
f_26198(t11,lf[977]);}
else{
t11=C_eqp(((C_word*)t0)[5],lf[978]);
if(C_truep(t11)){
t12=t5;
f_26198(t12,lf[979]);}
else{
t12=C_eqp(((C_word*)t0)[5],lf[980]);
if(C_truep(t12)){
t13=t5;
f_26198(t13,lf[981]);}
else{
t13=C_eqp(((C_word*)t0)[5],lf[982]);
if(C_truep(t13)){
t14=t5;
f_26198(t14,lf[983]);}
else{
t14=C_eqp(((C_word*)t0)[5],lf[984]);
if(C_truep(t14)){
t15=t5;
f_26198(t15,lf[985]);}
else{
t15=C_eqp(((C_word*)t0)[5],lf[986]);
if(C_truep(t15)){
t16=t5;
f_26198(t16,lf[987]);}
else{
t16=C_eqp(((C_word*)t0)[5],lf[988]);
if(C_truep(t16)){
t17=t5;
f_26198(t17,lf[989]);}
else{
t17=C_eqp(((C_word*)t0)[5],lf[990]);
if(C_truep(t17)){
t18=t5;
f_26198(t18,lf[991]);}
else{
t18=C_eqp(((C_word*)t0)[5],lf[992]);
if(C_truep(t18)){
t19=t5;
f_26198(t19,lf[993]);}
else{
t19=C_eqp(((C_word*)t0)[5],lf[994]);
t20=t5;
f_26198(t20,(C_truep(t19)?lf[995]:lf[996]));}}}}}}}}}}}}}}

/* k26196 in k26176 in k26173 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_26198(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26198,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26206,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5104: chicken.base#get-call-chain */
t3=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k26204 in k26196 in k26176 in k26173 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_26206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26206,c,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[969],((C_word*)t0)[2],lf[970],((C_word*)t0)[3],lf[971],t1,lf[972],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[910],((C_word*)t0)[5],t2);
/* library.scm:5083: abort */
t4=C_fast_retrieve(lf[965]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26338 in ##sys#signal-hook in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26340,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26175(t3,t2);}

/* chicken.condition#abort in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_26357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26357,c,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26361,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5108: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1002]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1002]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26359 in chicken.condition#abort in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26361,c,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[997],lf[998],lf[999],C_SCHEME_END_OF_LIST,lf[1000],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[910],lf[1001],t2);
/* library.scm:5109: abort */
t4=C_fast_retrieve(lf[965]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_26374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26374,c,av);}
/* library.scm:5118: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1002]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1002]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_26383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26383,c,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1005]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1006] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26386,a[2]=((C_word)li781),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[915]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26546,a[2]=((C_word)li784),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1022]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26560,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1024] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26621,a[2]=((C_word)li788),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1026]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26689,a[2]=((C_word)li789),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1028]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26703,a[2]=((C_word)li793),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1030]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26843,a[2]=((C_word)li796),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1031]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26948,a[2]=((C_word)li797),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1032]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26954,a[2]=((C_word)li801),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1035]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27072,a[2]=((C_word)li803),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1036]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27093,a[2]=((C_word)li805),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1039]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27139,a[2]=((C_word)li806),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27150,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5306: condition-property-accessor */
t17=C_fast_retrieve(lf[1036]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1009];
av2[3]=lf[1376];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26386,c,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26390,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[910]))){
t4=C_mutate((C_word*)lf[1006]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1009],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1010],t6);
t8=C_i_member(lf[1011],t6);
t9=C_i_member(lf[1012],t6);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26429,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26439,a[2]=t8,a[3]=t10,a[4]=t7,a[5]=t9,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5175: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t11;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1017],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26500,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5193: ##sys#print */
t9=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1018];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1019],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26515,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5196: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1007],t2);
t11=C_a_i_record3(&a,3,lf[910],lf[1008],t10);
/* library.scm:5200: abort */
t12=C_fast_retrieve(lf[965]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1007],t2);
t5=C_a_i_record3(&a,3,lf[910],lf[1008],t4);
/* library.scm:5200: abort */
t6=C_fast_retrieve(lf[965]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26388 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26390,c,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1007],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[910],lf[1008],t2);
/* library.scm:5200: abort */
t4=C_fast_retrieve(lf[965]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26427 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26429,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26432,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5191: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[962]);
C_word *av2=av;
av2[0]=*((C_word*)lf[962]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26430 in k26427 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26432,c,av);}
/* library.scm:5170: g5932 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26437 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26439,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26443,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_i_cadr(((C_word*)t0)[4]);
t4=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t5=(C_truep(t4)?C_i_symbolp(t4):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26469,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5181: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t6;
av2[2]=t4;
tp(3,av2);}}
else{
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
f_26443(2,av2);}}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[1016];
f_26443(2,av2);}}}

/* k26441 in k26437 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26443,c,av);}
if(C_truep(((C_word*)t0)[2])){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=C_i_cadr(((C_word*)t0)[2]);
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26467 in k26437 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26469,c,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
/* library.scm:5180: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1013];
av2[3]=t1;
av2[4]=lf[1014];
av2[5]=C_slot(((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5180: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1013];
av2[3]=t1;
av2[4]=lf[1014];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5180: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1013];
av2[3]=t1;
av2[4]=lf[1014];
av2[5]=lf[1015];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26498 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26500,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26503,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5194: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[962]);
C_word *av2=av;
av2[0]=*((C_word*)lf[962]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26501 in k26498 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26503,c,av);}
/* library.scm:5169: g5935 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26513 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26515,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26518,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1020],t3);
/* library.scm:5169: g5938 */
t5=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[1021];
av2[3]=C_i_cadr(t4);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k26516 in k26513 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26518,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26521,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5199: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[962]);
C_word *av2=av;
av2[0]=*((C_word*)lf[962]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26519 in k26516 in k26513 in ##sys#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_26521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26521,c,av);}
/* library.scm:5169: g5940 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26546,c,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[1002]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26552,a[2]=t2,a[3]=((C_word)li782),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26556,a[2]=t4,a[3]=((C_word)li783),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5208: ##sys#dynamic-wind */
t7=*((C_word*)lf[691]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26551 in chicken.condition#with-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26552,c,av);}
t2=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26555 in chicken.condition#with-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26556,c,av);}
t2=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26560,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[1002]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[1002]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26573,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5218: ##sys#check-closure */
t5=*((C_word*)lf[368]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[1023];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k26571 in chicken.condition#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26573,c,av);}
a=C_alloc(10);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26575,a[2]=((C_word*)t0)[3],a[3]=((C_word)li785),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26581,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26586,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
t6=(
/* library.scm:5219: def-convert?5956 */
  f_26586(t5)
);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_u_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=(
/* library.scm:5219: def-set?5957 */
  f_26581(t4)
);
t9=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t9;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_i_car(t7);
t9=C_u_i_cdr(t7);
t10=(
/* library.scm:5219: body5954 */
  f_26575(t3,t8)
);
t11=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t11;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}

/* body5954 in k26571 in chicken.condition#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static C_word C_fcall f_26575(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5957 in k26571 in chicken.condition#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static C_word C_fcall f_26581(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5219: body5954 */
  f_26575(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5956 in k26571 in chicken.condition#current-exception-handler in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static C_word C_fcall f_26586(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5219: def-set?5957 */
  f_26581(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_fcall f_26621(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26621,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26627,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li787),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26627(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_26627(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26627,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26643,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26643(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=t5;
f_26643(t7,C_i_not(C_i_pairp(t6)));}}}

/* k26641 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_26643(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26643,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5229: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[260];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1025];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=C_i_cadr(((C_word*)t0)[5]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26665,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[5]);
/* library.scm:5233: loop */
t7=((C_word*)((C_word*)t0)[7])[1];
f_26627(t7,t5,C_u_i_cdr(t6));}}

/* k26663 in k26641 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_26665(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26665,c,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26689,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_a_i_list1(&a,1,t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26701,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5238: prop-list->kind-prefixed-prop-list */
f_26621(t5,lf[1027],t2,t3);}

/* k26699 in chicken.condition#make-property-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26701,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[910],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26703,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t4=C_a_i_cons(&a,2,t2,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26820,a[2]=((C_word)li790),tmp=(C_word)a,a+=3,tmp);
t6=(
  f_26820(t4)
);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26722,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t8=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t9=t8;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=((C_word*)t10)[1];
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26784,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26786,a[2]=t10,a[3]=t14,a[4]=t11,a[5]=((C_word)li792),tmp=(C_word)a,a+=6,tmp));
t16=((C_word*)t14)[1];
f_26786(t16,t12,t4);}

/* k26720 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26722,c,av);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26726,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26738,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26740,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li791),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26740(t11,t7,((C_word*)t0)[3]);}

/* k26724 in k26720 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26726,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[910],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26736 in k26720 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26738,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[256]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6043 in k26720 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_26740(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26740,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t9=t1;
t10=C_slot(t2,C_fix(1));
t1=t9;
t2=t10;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26782 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26784,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[256]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6016 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_26786(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26786,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t9=t1;
t10=C_slot(t2,C_fix(1));
t1=t9;
t2=t10;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop5998 in chicken.condition#make-composite-condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static C_word C_fcall f_26820(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[910],lf[1029]);
t5=C_slot(t1,C_fix(1));
t1=t5;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26843,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t4=C_a_i_cons(&a,2,t2,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26850,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=((C_word*)t8)[1];
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26912,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26914,a[2]=t8,a[3]=t12,a[4]=t9,a[5]=((C_word)li795),tmp=(C_word)a,a+=6,tmp));
t14=((C_word*)t12)[1];
f_26914(t14,t10,t4);}

/* k26848 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26850,c,av);}
a=C_alloc(17);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26860,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26862,a[2]=t4,a[3]=t8,a[4]=t5,a[5]=((C_word)li794),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_26862(t10,t6,((C_word*)t0)[3]);}

/* k26858 in k26848 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26860,c,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[910],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6103 in k26848 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_26862(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26862,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t9=t1;
t10=C_slot(t2,C_fix(1));
t1=t9;
t2=t10;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26910 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26912,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[256]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6076 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_fcall f_26914(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26914,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26939,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5253: prop-list->kind-prefixed-prop-list */
f_26621(t3,lf[910],C_i_car(t4),C_u_i_cdr(t4));}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26937 in map-loop6076 in chicken.condition#condition in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_26939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26939,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=((C_word*)((C_word*)t0)[3])[1];
f_26914(t5,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(1)));}

/* chicken.condition#condition? in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26948,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[910]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_26954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26954,c,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26958,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27067,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5261: condition? */
t5=C_fast_retrieve(lf[1031]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_26958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26958,c,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26962,a[2]=((C_word*)t0)[2],a[3]=((C_word)li799),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[689]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27032,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li800),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_27032(t12,((C_word*)t0)[3],t7);}

/* g6139 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_26962(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26962,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26970,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26976,a[2]=t2,a[3]=t6,a[4]=((C_word)li798),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26976(t8,t3,t4);}

/* k26968 in g6139 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_26970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26970,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6139 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_26976(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26976,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=C_u_i_car(t2);
t6=C_u_i_cdr(t5);
t7=C_i_cadr(t2);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27007,a[2]=t7,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=C_u_i_cdr(t2);
/* library.scm:5271: loop */
t11=t8;
t12=C_u_i_cdr(t9);
t1=t11;
t2=t12;
goto loop;}
else{
/* library.scm:5273: loop */
t11=t1;
t12=C_i_cddr(t2);
t1=t11;
t2=t12;
goto loop;}}}

/* k27005 in loop in g6139 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27007(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_27007,c,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6133 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_fcall f_27032(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_27032,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27057,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5265: g6139 */
t4=((C_word*)t0)[4];
f_26962(t4,t3,C_slot(t2,C_fix(0)));}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27055 in map-loop6133 in k26956 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_27057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27057,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=((C_word*)((C_word*)t0)[3])[1];
f_27032(t5,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(1)));}

/* k27065 in chicken.condition#condition->list in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_27067(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27067,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26958(2,av2);}}
else{
/* library.scm:5262: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[260];
av2[3]=lf[1033];
av2[4]=lf[1034];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_27072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27072,c,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27074,a[2]=t2,a[3]=((C_word)li802),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27074 in chicken.condition#condition-predicate in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_27074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27074,c,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27081,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5278: condition? */
t4=C_fast_retrieve(lf[1031]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27079 */
static void C_ccall f_27081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27081,c,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_27093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27093,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_nullp(t4);
t6=C_a_i_cons(&a,2,t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27101,a[2]=t2,a[3]=t6,a[4]=t5,a[5]=t3,a[6]=t4,a[7]=((C_word)li804),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* f_27101 in chicken.condition#condition-property-accessor in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_27101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27101,c,av);}
t3=C_i_check_structure(t2,lf[910]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5289: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[1037];
av2[4]=lf[1038];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_27139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27139,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27143,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1036]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27141 in chicken.condition#get-condition-property in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_27143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27143,c,av);}
/* library.scm:5295: g6188 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_27150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27150,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27153,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5307: condition-property-accessor */
t3=C_fast_retrieve(lf[1036]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1009];
av2[3]=lf[844];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_27153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27153,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27156,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5308: condition-property-accessor */
t3=C_fast_retrieve(lf[1036]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1009];
av2[3]=lf[1375];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_27156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27156,c,av);}
a=C_alloc(182);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27157,a[2]=((C_word)li810),tmp=(C_word)a,a+=3,tmp);
t3=C_mutate((C_word*)lf[1040]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27202,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li815),tmp=(C_word)a,a+=7,tmp));
t4=C_fast_retrieve(lf[1040]);
t5=*((C_word*)lf[187]+1);
t6=*((C_word*)lf[215]+1);
t7=*((C_word*)lf[213]+1);
t8=C_mutate((C_word*)lf[1052]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27393,a[2]=t5,a[3]=t4,a[4]=t7,a[5]=t6,a[6]=((C_word)li816),tmp=(C_word)a,a+=7,tmp));
t9=C_mutate((C_word*)lf[365]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27442,a[2]=((C_word)li817),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28148,a[2]=((C_word)li818),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28151,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28154,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28157,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28162,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28165,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28168,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28171,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28174,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28177,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28180,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28183,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28186,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28192,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28202,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[939]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28208,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[745]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28215,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[723]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28250,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28253,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28256,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28259,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[702]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28262,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[943]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28278,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28284,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28300,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28306,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28313,a[2]=((C_word)li848),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28316,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28336,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28397,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28435,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28438,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[921]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28441,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28448,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28455,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28458,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28464,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28467,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28470,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28473,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28476,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28479,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1156]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28482,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28485,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1158]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28488,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28491,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28494,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t61=C_set_block_item(lf[1161] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t62=C_mutate((C_word*)lf[1162]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28498,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[1164]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28501,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t64=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28525,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5671: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1164]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1164]+1);
av2[1]=t64;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1373];
av2[4]=lf[1374];
av2[5]=C_fast_retrieve(lf[1161]);
tp(6,av2);}}

/* writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_fcall f_27157(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27157,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27159,a[2]=t3,a[3]=((C_word)li808),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[687]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27180,a[2]=t7,a[3]=t4,a[4]=((C_word)li809),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27180(t9,t1,t2);}

/* g6204 in writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_27159(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27159,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27163,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27168,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li807),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5313: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[920]);
C_word av2[4];
av2[0]=*((C_word*)lf[920]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27161 in g6204 in writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27163,c,av);}
/* library.scm:5314: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27167 in g6204 in writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27168,c,av);}
/* library.scm:5313: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6203 in writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_27180(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27180,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27190,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5311: g6204 */
t4=((C_word*)t0)[3];
f_27159(t4,t3,C_slot(t2,C_fix(0)));}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27188 in for-each-loop6203 in writeargs in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27190,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_27180(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_27202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(16,c,4)))){
C_save_and_reclaim((void *)f_27202,c,av);}
a=C_alloc(16);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27204,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li812),tmp=(C_word)a,a+=8,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27353,a[2]=t3,a[3]=((C_word)li813),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27358,a[2]=t4,a[3]=((C_word)li814),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_rest_nullp(c,3))){
/* library.scm:5317: def-port6226 */
t6=t5;
f_27358(t6,t1);}
else{
t6=C_get_rest_arg(c,3,av,3,t0);
if(C_truep(C_rest_nullp(c,4))){
/* library.scm:5317: def-header6227 */
t7=t4;
f_27353(t7,t1,t6);}
else{
t7=C_get_rest_arg(c,4,av,3,t0);
/* library.scm:5317: body6224 */
t8=t3;
f_27204(t8,t1,t6,t7);}}}

/* body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_27204(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27204,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=C_i_check_port_2(t2,C_fix(2),C_SCHEME_TRUE,lf[1041]);
t5=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27211,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5320: newline */
t6=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27211,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27214,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5321: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_27214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_27214,c,av);}
a=C_alloc(8);
t2=C_immp(((C_word*)t0)[2]);
t3=C_i_not(t2);
t4=(C_truep(t3)?C_eqp(lf[910],C_slot(((C_word*)t0)[2],C_fix(0))):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27223,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5323: errmsg */
t6=((C_word*)t0)[8];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27322,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5347: display */
t6=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1049];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27331,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5351: display */
t6=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}}

/* k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_27223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27223,c,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27226,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27258,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li811),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5323: g6247 */
t4=t3;
f_27258(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1046],t3))){
/* library.scm:5333: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1047];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27306,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5335: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1048];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27224 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_27226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27226,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27229,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5337: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27227 in k27224 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_27229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27229,c,av);}
a=C_alloc(6);
t2=C_i_not(t1);
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_length(t1);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27244,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5341: display */
t6=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1042];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27250,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5344: newline */
t6=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}}

/* k27242 in k27227 in k27224 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_27244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27244,c,av);}
/* library.scm:5342: writeargs */
f_27157(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27248 in k27227 in k27224 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_27250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27250,c,av);}
/* library.scm:5345: writeargs */
f_27157(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_fcall f_27258(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27258,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27262,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5325: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1045];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27260 in g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_27262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27262,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27265,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5326: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27263 in k27260 in g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_27265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27265,c,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27268,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27281,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27285,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5328: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5329: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27266 in k27263 in k27260 in g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_27268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27268,c,av);}
/* library.scm:5329: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27279 in k27263 in k27260 in g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_27281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27281,c,av);}
/* library.scm:5328: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27283 in k27263 in k27260 in g6247 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_27285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27285,c,av);}
/* library.scm:5328: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1043];
av2[3]=t1;
av2[4]=lf[1044];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27304 in k27221 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_27306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27306,c,av);}
/* library.scm:5336: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_slot(((C_word*)t0)[3],C_fix(1));
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27320 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_27322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27322,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27325,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5348: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27323 in k27320 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_27325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27325,c,av);}
/* library.scm:5349: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27329 in k27212 in k27209 in body6224 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_27331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27331,c,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5352: writeargs */
f_27157(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6227 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_27353(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27353,3,t0,t1,t2);}
/* library.scm:5317: body6224 */
t3=((C_word*)t0)[2];
f_27204(t3,t1,t2,lf[1051]);}

/* def-port6226 in chicken.condition#print-error-message in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_27358(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27358,2,t0,t1);}
/* library.scm:5317: def-header6227 */
t2=((C_word*)t0)[2];
f_27353(t2,t1,*((C_word*)lf[714]+1));}

/* ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_27393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27393,c,av);}
a=C_alloc(9);
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_fast_retrieve(lf[942]):C_get_rest_arg(c,4,av,4,t0));
if(C_truep(*((C_word*)lf[306]+1))){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27403,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5367: open-output-string */
t7=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27403,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27406,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t1,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5368: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1055];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27406,c,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27409,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27428,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5370: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1054];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27409(2,av2);}}}

/* k27407 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_27409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27409,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27412,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5373: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1053];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27410 in k27407 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_27412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27412,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27415,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5374: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27413 in k27410 in k27407 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_27415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27415,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27418,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27425,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5375: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27416 in k27413 in k27410 in k27407 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_27418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27418,c,av);}
/* library.scm:5376: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[715]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27423 in k27413 in k27410 in k27407 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_27425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27425,c,av);}
/* library.scm:5375: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[715]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27426 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_27428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27428,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27431,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5371: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27429 in k27426 in k27404 in k27401 in ##sys#show-exception-warning in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_27431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27431,c,av);}
/* ##sys#write-char/port */
t2=C_fast_retrieve(lf[863]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_27442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27442,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
switch(t2){
case C_fix(1):
t5=C_get_rest_arg(c,4,av,4,t0);
t6=C_i_cadr(t4);
t7=C_i_caddr(t4);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27465,a[2]=t7,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27476,a[2]=t8,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5391: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}
case C_fix(2):
t5=C_get_rest_arg(c,4,av,4,t0);
t6=C_i_cadr(t4);
t7=C_i_caddr(t4);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27502,a[2]=t7,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27513,a[2]=t8,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5400: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1060];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[978];
av2[4]=t3;
av2[5]=lf[1061];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(5):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[986];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[565];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[382];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[986];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[986];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[986];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[699];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[994];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[565];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[978];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[994];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1111];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=t3;
av2[5]=lf[1112];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(56):
t5=C_get_rest_arg(c,4,av,4,t0);
t6=C_i_cadr(t4);
t7=C_i_caddr(t4);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28016,a[2]=t7,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28027,a[2]=t8,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5462: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[978];
av2[4]=t3;
av2[5]=lf[1115];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27463 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27465,c,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[988];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27474 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27476,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27480,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5392: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27478 in k27474 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27480,c,av);}
/* library.scm:5391: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1056];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1057];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27500 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27502,c,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[988];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[988];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27511 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_27513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27513,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27517,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5401: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27515 in k27511 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_27517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27517,c,av);}
/* library.scm:5400: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1058];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1059];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k28014 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_28016,c,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[382];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[382];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k28025 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28027,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28031,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5463: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28029 in k28025 in ##sys#error-hook in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28031(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_28031,c,av);}
/* library.scm:5462: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1113];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1114];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28148,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28151,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28154,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28157,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28162,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28165,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28168,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28171,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28174,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28177,c,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28180,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28183,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_srfi_4_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28186(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28186,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28190,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5489: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28188 in ##sys#null-pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28190,c,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28192,c,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28200,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5494: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[939]);
C_word *av2=av;
av2[0]=*((C_word*)lf[939]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28198 in ##sys#null-pointer? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28200,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28202,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28206,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5497: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28204 in ##sys#address->pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28206,c,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28208(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28208,c,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28215,c,av);}
a=C_alloc(6);
t3=C_rest_nullp(c,3);
t4=(C_truep(t3)?lf[745]:C_get_rest_arg(c,3,av,3,t0));
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28225,a[2]=t2,a[3]=t5,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5507: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t6;
av2[2]=C_fixnum_plus(t5,C_fix(1));
tp(3,av2);}}

/* k28223 in ##sys#make-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28225,c,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_eqp(C_asciiz_strlen(t1),((C_word*)t0)[3]);
if(C_truep(t4)){
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5512: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[365]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[365]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28250,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28253,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28256,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28259,c,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28262,c,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28272,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5528: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28270 in ##sys#peek-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28272,c,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28278,c,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28282,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5534: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28280 in ##sys#peek-nonnull-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28282,c,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28284,c,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28294,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5541: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28292 in ##sys#peek-and-free-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28294,c,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28300,c,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28304,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5548: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28302 in ##sys#peek-and-free-nonnull-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28304,c,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28306,c,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28311,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5554: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28309 in ##sys#poke-c-string in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28311,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28313,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28316,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28336,c,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28342,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li850),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28342(t7,t1,C_fix(0));}

/* loop in ##sys#peek-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_28342(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28342,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28352,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_truep(((C_word*)t0)[4])?C_i_foreign_pointer_argumentp(((C_word*)t0)[4]):C_SCHEME_FALSE);
t7=C_i_foreign_fixnum_argumentp(t2);
/* library.scm:5560: ##sys#peek-c-string */
t8=*((C_word*)lf[702]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=stub6466(t5,t6,t7);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}}

/* k28350 in loop in ##sys#peek-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28352,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28362,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5567: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_28342(t3,t2,C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k28360 in k28350 in loop in ##sys#peek-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28362,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28397,c,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28401,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28406,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li852),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28406(t8,t4,C_fix(0));}

/* k28399 in ##sys#peek-and-free-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28401,c,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_foreign_pointer_argumentp(((C_word*)t0)[2]);
t3=stub6493(C_SCHEME_UNDEFINED,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=stub6493(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in ##sys#peek-and-free-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_28406(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28406,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28416,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=(C_truep(((C_word*)t0)[3])?C_i_foreign_pointer_argumentp(((C_word*)t0)[3]):C_SCHEME_FALSE);
t7=C_i_foreign_fixnum_argumentp(t2);
/* library.scm:5571: ##sys#peek-c-string */
t8=*((C_word*)lf[702]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=stub6485(t5,t6,t7);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}}

/* k28414 in loop in ##sys#peek-and-free-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28416,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28426,a[2]=((C_word*)t0)[4],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5580: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_28406(t4,t3,C_fixnum_plus(((C_word*)t0)[3],C_fix(1)));}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k28424 in k28414 in loop in ##sys#peek-and-free-c-string-list in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28426,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28435,c,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28438,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28441,c,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_copy(t2,t3,t4,C_fixnum_plus(t4,t6),t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#copy-words in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28448,c,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_subvector_copy(t2,t3,t4,C_fixnum_plus(t4,t6),t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#compare-bytes in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28455,c,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28458,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28462,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5613: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1120]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1120]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28460 in ##sys#block-pointer in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28462,c,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28464,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28467,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28470,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28473,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28476,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28479,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28482,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28485,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28488,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28491,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28494,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28498,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1163]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28501,c,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28517,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5658: ##sys#vector-resize */
f_18128(t6,C_fast_retrieve(lf[762]),C_block_size(C_fast_retrieve(lf[762])),C_SCHEME_FALSE);}

/* k28515 in ##sys#make-thread in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28517,c,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[690]),*((C_word*)lf[713]+1),*((C_word*)lf[714]+1),*((C_word*)lf[715]+1),C_fast_retrieve(lf[1162]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[917],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_28525(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28525,c,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[954]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[942]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[954]));
t4=C_mutate((C_word*)lf[1165]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28528,a[2]=((C_word)li873),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28534,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28543,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28564,a[2]=((C_word)li878),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1170]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28570,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28573,a[2]=((C_word)li880),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1172]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28585,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5714: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28528(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28528,c,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1166],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28534,c,av);}
/* library.scm:5685: g6579 */
t2=C_slot(C_fast_retrieve(lf[942]),C_fix(1));{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* ##sys#thread-yield! in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28543,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28549,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5688: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28548 in ##sys#thread-yield! in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28549,c,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[942]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28558,a[2]=t2,a[3]=((C_word)li875),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[942]),C_fix(1),t4);
/* library.scm:5692: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1167]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1167]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28557 in a28548 in ##sys#thread-yield! in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28558,c,av);}
/* library.scm:5691: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28564,c,av);}
/* library.scm:5695: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28570,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28573,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28577,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5705: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1171];
tp(4,av2);}}

/* k28575 in chicken.base#sleep in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28577,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28580,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5706: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1170]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1170]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28578 in k28575 in chicken.base#sleep in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28580,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_28585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28585,c,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1173]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1174]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28587,a[2]=((C_word)li883),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[698]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28637,a[2]=((C_word)li884),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[703]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28644,a[2]=t6,a[3]=((C_word)li885),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1177]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28648,a[2]=t6,a[3]=((C_word)li886),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[855]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28662,a[2]=((C_word)li888),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28709,a[2]=((C_word)li890),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[855]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28754,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li895),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1188]);
t18=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29184,a[2]=((C_word)li896),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1192]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29214,a[2]=((C_word)li897),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29222,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31347,a[2]=((C_word)li975),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31369,a[2]=((C_word)li976),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5932: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1372];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28587,c,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28591,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28618,a[2]=t6,a[3]=((C_word)li882),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28618(t8,t4,t2);}

/* k28589 in ##sys#interrupt-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28591,c,av);}
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5724: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5725: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5726: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in ##sys#interrupt-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_fcall f_28618(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28618,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1173]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28628,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5721: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
/* library.scm:5722: loop */
t6=t1;
t7=C_i_pending_interrupt(C_SCHEME_FALSE);
t1=t6;
t2=t7;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28626 in loop in ##sys#interrupt-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_28628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28628,c,av);}
/* library.scm:5722: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28618(t2,((C_word*)t0)[3],C_i_pending_interrupt(C_SCHEME_FALSE));}

/* ##sys#dispatch-interrupt in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28637,c,av);}
/* library.scm:5729: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1174]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1174]+1);
av2[1]=t1;
av2[2]=C_i_pending_interrupt(C_SCHEME_FALSE);
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28644,c,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28648,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_fcall f_28662(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28662,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28666,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5758: chicken.base#open-output-string */
t4=*((C_word*)lf[215]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28664 in readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28666,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28673,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5759: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28671 in k28664 in readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_28673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28673,c,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28675,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li887),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28675(t5,((C_word*)t0)[4],t1);}

/* doloop6626 in k28671 in k28664 in readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_fcall f_28675(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28675,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5761: chicken.base#get-output-string */
t5=*((C_word*)lf[213]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28697,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5762: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word av2[4];
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28695 in doloop6626 in k28671 in k28664 in readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_28697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28697,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28704,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5759: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28702 in k28695 in doloop6626 in k28671 in k28664 in readln in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_28704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28704,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28675(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_fcall f_28709(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28709,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28713,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5764: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28713(2,av2);}}}

/* k28711 in read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28713,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28716,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5765: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28714 in k28711 in read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_28716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28716,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28719,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28724,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li889),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_28724(t6,t2);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28717 in k28714 in k28711 in read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_28719(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28719,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28714 in k28711 in read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_fcall f_28724(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28724,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28728,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5769: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28726 in loop in k28714 in k28711 in read-escaped-sexp in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_28728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28728,c,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5771: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1178];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5772: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28724(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_28754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28754,c,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5775: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28767,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* ##sys#read-char/port */
t6=C_fast_retrieve(lf[766]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_28767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28767,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28770,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5778: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_28770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28770,c,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28779,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5780: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28892,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5805: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5860: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[774]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[774]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1187];
tp(4,av2);}}}

/* k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_28779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28779,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28782,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5781: chicken.base#open-output-string */
t3=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_28782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28782,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28785,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5782: readln */
f_28662(t2,((C_word*)t0)[2]);}

/* k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_28785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28785,c,av);}
a=C_alloc(10);
t2=C_SCHEME_FALSE;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_eofp(t1);
t5=(C_truep(t4)?C_fix(0):C_i_string_length(t1));
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28791,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_fix(0));
if(C_truep(t7)){
/* library.scm:5787: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1181];
tp(4,av2);}}
else{
t8=C_fixnum_difference(t5,C_fix(1));
t9=C_i_string_ref(t1,t8);
t10=C_u_i_char_equalp(t9,C_make_character(32));
if(C_truep(t10)){
if(C_truep(t10)){
/* library.scm:5791: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t6;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
f_28791(2,av2);}}}
else{
t11=C_fixnum_difference(t5,C_fix(1));
t12=C_i_string_ref(t1,t11);
if(C_truep(C_u_i_char_equalp(t12,C_make_character(9)))){
/* library.scm:5791: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1182];
tp(4,av2);}}
else{
t13=C_SCHEME_UNDEFINED;
t14=t6;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
f_28791(2,av2);}}}}}

/* k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_28791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28791,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28798,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5794: readln */
f_28662(t2,((C_word*)t0)[4]);}

/* k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_28798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28798,c,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28800,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li891),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28800(t5,((C_word*)t0)[7],t1);}

/* doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_fcall f_28800(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28800,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28813,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28826,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[2],lf[1180]);
/* library.scm:5749: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word av2[3];
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5799: chicken.base#get-output-string */
t6=*((C_word*)lf[213]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28829,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5801: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word av2[4];
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28829(2,av2);}}}}

/* k28811 in doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_28813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28813,c,av);}
/* library.scm:5799: chicken.base#get-output-string */
t2=*((C_word*)lf[213]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28824 in doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_28826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28826,c,av);}
/* library.scm:5797: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28827 in doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_28829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28829,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28832,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5803: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28830 in k28827 in doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_28832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28832,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28839,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5794: readln */
f_28662(t2,((C_word*)t0)[5]);}

/* k28837 in k28830 in k28827 in doloop6661 in k28796 in k28789 in k28783 in k28780 in k28777 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_28839(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28839,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28800(t2,((C_word*)t0)[3],t1);}

/* k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_28892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28892,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28895,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5806: readln */
f_28662(t2,((C_word*)t0)[2]);}

/* k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_28895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28895,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28898,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5807: chicken.base#open-output-string */
t3=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_28898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28898,c,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28900,a[2]=t3,a[3]=((C_word)li892),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28914,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5816: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1185];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5820: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28914(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5820: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1186];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28914(2,av2);}}}}}

/* get/clear-str in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_fcall f_28900(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28900,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28904,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5809: chicken.base#get-output-string */
t3=*((C_word*)lf[213]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28902 in get/clear-str in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_28904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28904,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28908,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5810: chicken.base#open-output-string */
t3=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28906 in k28902 in get/clear-str in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_28908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28908,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_28914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28914,c,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28919,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li894),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28919(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_fcall f_28919(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28919,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28923,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5825: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word av2[3];
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_28923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28923,c,av);}
a=C_alloc(9);
t2=C_eqp(t1,C_make_character(10));
t3=(C_truep(t2)?t2:C_eqp(t1,C_SCHEME_END_OF_FILE));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28935,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5828: get/clear-str */
t5=((C_word*)t0)[7];
f_28900(t5,t4);}
else{
t4=C_eqp(t1,C_make_character(35));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_29055,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5848: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[767]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[767]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29122,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5858: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t5;
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_28935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28935,c,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28947,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29032,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1179],((C_word*)t0)[3],lf[1180]);
/* library.scm:5749: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28947(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5846: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28919(t6,((C_word*)t0)[4],t5);}}

/* k28945 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_28947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28947,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28954,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28960,a[2]=t5,a[3]=((C_word)li893),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28960(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1184]);}

/* k28952 in k28945 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_28954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28954,c,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[935],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28945 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_fcall f_28960(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28960,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28974,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5838: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word av2[3];
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(C_truep(t6)?t6:C_charp(C_u_i_car(t2)));
if(C_truep(t7)){
t8=C_u_i_cdr(t2);
t9=C_u_i_car(t2);
t10=C_a_i_cons(&a,2,t9,t3);
/* library.scm:5840: loop2 */
t12=t1;
t13=t8;
t14=t10;
t15=t4;
t1=t12;
t2=t13;
t3=t14;
t4=t15;
goto loop;}
else{
t8=C_u_i_cdr(t2);
t9=C_u_i_car(t2);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29013,a[2]=t4,a[3]=t9,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5845: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[935]);
C_word av2[3];
av2[0]=*((C_word*)lf[935]+1);
av2[1]=t10;
av2[2]=t3;
tp(3,av2);}}}}

/* k28972 in loop2 in k28945 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_28974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28974,c,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29011 in loop2 in k28945 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_29013(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_29013,c,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1183],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1183],((C_word*)t0)[3],t2);
/* library.scm:5842: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28960(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k29030 in k28933 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29032,c,av);}
/* library.scm:5831: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[777]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[777]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_29055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29055,c,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29064,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29071,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5851: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[765]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[765]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29088,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5853: read-escaped-sexp */
f_28709(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29107,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5855: read-escaped-sexp */
f_28709(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k29062 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29064,c,av);}
/* library.scm:5852: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28919(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k29069 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29071,c,av);}
/* library.scm:5851: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29086 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29088,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29096,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5854: get/clear-str */
t3=((C_word*)t0)[5];
f_28900(t3,t2);}

/* k29094 in k29086 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_29096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29096,c,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5853: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28919(t4,((C_word*)t0)[5],t3);}

/* k29105 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29107,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29115,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5856: get/clear-str */
t3=((C_word*)t0)[5];
f_28900(t3,t2);}

/* k29113 in k29105 in k29053 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_29115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29115,c,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5855: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28919(t4,((C_word*)t0)[5],t3);}

/* k29120 in k28921 in loop in k28912 in k28896 in k28893 in k28890 in k28768 in k28765 in ##sys#user-read-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_29122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29122,c,av);}
/* library.scm:5859: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28919(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_29184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29184,c,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1190]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29191,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5921: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1190];
tp(4,av2);}}

/* k29189 in chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29191,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29194,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_chdir(t1),C_fix(0));
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29200,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5923: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k29192 in k29189 in chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29194(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29194,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29198 in k29189 in chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29200,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29207,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29211,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29205 in k29198 in k29189 in chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29207,c,av);}
/* library.scm:5924: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=lf[1190];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29209 in k29198 in k29189 in chicken.process-context#change-directory in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29211,c,av);}
/* library.scm:5925: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1191];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_29214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29214,c,av);}
/* library.scm:5929: change-directory */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_29222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29222,c,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1193]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29224,a[2]=((C_word)li898),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29239,a[2]=((C_word)li899),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1197]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29256,a[2]=((C_word)li900),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1199]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29276,a[2]=((C_word)li903),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1200]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29342,a[2]=((C_word)li904),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29349,a[2]=((C_word)li905),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29361,a[2]=t10,a[3]=((C_word)li907),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29401,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31345,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6006: argv */
t14=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_29224,c,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29233,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5951: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t4;
av2[2]=C_i_foreign_string_argumentp(t2);
tp(3,av2);}}

/* k29231 in chicken.process-context#get-environment-variable in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29233,c,av);}
/* library.scm:5951: ##sys#peek-c-string */
t2=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=stub6779(((C_word*)t0)[3],t1);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29239,c,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1196]);
t5=C_i_check_string_2(t3,lf[1196]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29250,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5957: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1196];
tp(4,av2);}}

/* k29248 in chicken.process-context#set-environment-variable! in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29250,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29254,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5958: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1196];
tp(4,av2);}}

/* k29252 in k29248 in chicken.process-context#set-environment-variable! in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29254,c,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29256,c,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1198]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29264,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5964: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1198];
tp(4,av2);}}

/* k29262 in chicken.process-context#unset-environment-variable! in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29264,c,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29276,c,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29282,a[2]=t3,a[3]=((C_word)li902),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29282(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_fcall f_29282(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29282,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29286,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=C_i_foreign_fixnum_argumentp(t2);
/* library.scm:5968: ##sys#peek-c-string */
t6=*((C_word*)lf[702]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t3;
av2[2]=stub6796(t4,t5);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k29284 in loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29286,c,av);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29294,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word)li901),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_29294(t5,((C_word*)t0)[4],C_fix(0));}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan in k29284 in loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_fcall f_29294(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29294,3,t0,t1,t2);}
a=C_alloc(7);
if(C_truep(C_i_char_equalp(C_make_character(61),C_subchar(((C_word*)t0)[2],t2)))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29320,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5975: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
/* library.scm:5978: scan */
t5=t1;
t6=C_fixnum_plus(t2,C_fix(1));
t1=t5;
t2=t6;
goto loop;}}

/* k29310 in k29322 in k29318 in scan in k29284 in loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29312,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29318 in scan in k29284 in loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29320,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29324,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5976: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
av2[4]=C_block_size(((C_word*)t0)[5]);
tp(5,av2);}}

/* k29322 in k29318 in scan in k29284 in loop in chicken.process-context#get-environment-variables in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29324,c,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29312,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5977: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_29282(t4,t3,C_fixnum_plus(((C_word*)t0)[5],C_fix(1)));}

/* chicken.process-context#executable-pathname in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29342,c,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
/* library.scm:5988: ##sys#peek-and-free-c-string */
t3=*((C_word*)lf[1138]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=stub6808(t2);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29349,c,av);}
a=C_alloc(3);
/* library.scm:5991: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29361,c,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29369,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29375,a[2]=t5,a[3]=((C_word)li906),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29375(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29367 in chicken.process-context#argv in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29369,c,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6820 in chicken.process-context#argv in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_fcall f_29375(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29375,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29397,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_a_i_bytevector(&a,1,C_fix(3));
/* library.scm:5995: ##sys#peek-c-string */
t7=*((C_word*)lf[702]+1);{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=stub6816(t6,t2);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}}

/* k29395 in doloop6820 in chicken.process-context#argv in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29397,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29375(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_29401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29401,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29405,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31257,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6015: argv */
t5=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_29405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29405,c,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1204]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1205]);
t4=C_mutate((C_word*)lf[1206]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29407,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1207]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29410,a[2]=((C_word)li909),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1208]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29413,a[2]=((C_word)li910),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29442,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
/* library.scm:6063: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[672]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[672]+1);
av2[1]=t7;
av2[2]=C_fixnum_plus(t8,C_fix(1));
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29407,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29410,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29413,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29417,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6053: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29415 in chicken.gc#memory-statistics in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_29417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29417,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29420,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6054: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[322]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[322]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29418 in k29415 in chicken.gc#memory-statistics in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29420,c,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_divide(t2,C_fix(2));
t4=C_fixnum_difference(t3,((C_word*)t0)[2]);
t5=C_slot(t1,C_fix(1));
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_vector3(&a,3,t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_29442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29442,c,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1209]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li911),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1210]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29448,a[2]=((C_word)li912),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1176]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29513,a[2]=t7,a[3]=((C_word)li921),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29680,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6141: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_29448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29448,c,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29452,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(C_i_live_finalizer_count(),C_fix((C_word)C_max_pending_finalizers)))){
t5=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t5))){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29469,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t7=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
/* library.scm:6075: ##sys#vector-resize */
f_18128(t6,C_fast_retrieve(lf[1175]),C_fixnum_plus(t7,C_fix(1)),C_SCHEME_UNDEFINED);}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29499,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29509,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6091: string-append */
t8=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1214];
av2[3]=C_i_live_finalizer_count();
av2[4]=lf[1215];
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
/* library.scm:6096: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[957]);
C_word *av2=av;
av2[0]=*((C_word*)lf[957]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6097: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29450 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29452,c,av);}
/* library.scm:6097: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29467 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29469,c,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1175]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29479,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29483,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6082: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t4;
av2[2]=C_i_live_finalizer_count();
tp(3,av2);}}
else{
/* library.scm:6097: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1209]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1209]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29477 in k29467 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29479,c,av);}
/* library.scm:6079: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29481 in k29467 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29483,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29487,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6085: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29485 in k29481 in k29467 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29487(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29487,c,av);}
/* library.scm:6080: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1211];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1212];
av2[5]=t1;
av2[6]=lf[1213];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29497 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29499,c,av);}
/* library.scm:6096: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[957]);
C_word *av2=av;
av2[0]=*((C_word*)lf[957]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29507 in chicken.gc#set-finalizer! in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29509,c,av);}
/* library.scm:6090: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_29513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29513,c,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29517,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[2])[1]))){
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,C_fast_retrieve(lf[942]));
t5=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29548,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29647,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29651,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6110: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t8;
av2[2]=t5;
tp(3,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_29548(2,av2);}}}
else{
if(C_truep(t2)){
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
f_29517(2,av2);}}
else{
t4=C_eqp(((C_word*)((C_word*)t0)[2])[1],C_fast_retrieve(lf[942]));
if(C_truep(t4)){
/* library.scm:6131: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=lf[195];
av2[3]=lf[1176];
av2[4]=lf[1221];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6136: ##sys#thread-yield! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1168]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1168]+1);
av2[1]=t3;
tp(2,av2);}}}}}

/* k29515 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29517,c,av);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6138: state */
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6139: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29548,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29551,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29560,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li920),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29560(t6,t2,C_fix(0));}

/* k29549 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29551,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29554,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6126: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1175]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29552 in k29549 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29554(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29554,c,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1175]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
f_29517(2,av2);}}

/* doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_fcall f_29560(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29560,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29573,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29585,a[2]=t4,a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6122: scheme#call-with-current-continuation */
t7=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}

/* k29571 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29573,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29576,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6121: g6906 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29574 in k29571 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_29576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29576,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_29560(t2,((C_word*)t0)[3],C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29585,c,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29591,a[2]=t2,a[3]=((C_word)li914),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29603,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li918),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6122: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[915]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29590 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_29591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29591,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29597,a[2]=t2,a[3]=((C_word)li913),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6122: k6903 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29596 in a29590 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_29597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29597,c,av);}
/* library.scm:6123: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1052]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1052]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1216];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29602 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_29603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29603,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29609,a[2]=((C_word*)t0)[2],a[3]=((C_word)li915),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29626,a[2]=((C_word*)t0)[3],a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6122: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29608 in a29602 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_29609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29609,c,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:6122: g6910 */
t3=C_slot(C_fast_retrieve(lf[1175]),t2);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=C_slot(C_fast_retrieve(lf[1175]),((C_word*)t0)[2]);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* a29625 in a29602 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_29626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29626,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29632,a[2]=t2,a[3]=((C_word)li916),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6122: k6903 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29631 in a29625 in a29602 in a29584 in doloop6899 in k29546 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_29632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29632,c,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29645 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29647,c,av);}
/* library.scm:6109: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29649 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29651,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29655,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6112: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=C_i_live_finalizer_count();
tp(3,av2);}}

/* k29653 in k29649 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29655,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29659,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6115: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=C_i_allocated_finalizer_count();
tp(3,av2);}}

/* k29657 in k29653 in k29649 in ##sys#run-pending-finalizers in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29659,c,av);}
/* library.scm:6110: string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1217];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1218];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1219];
av2[7]=t1;
av2[8]=lf[1220];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_29680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29680,c,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[958]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[957]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29682,a[2]=((C_word)li923),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1222]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29710,a[2]=((C_word)li924),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[815]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[256]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[376]+1));
t10=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1239]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1240]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1241]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1242]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1243]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1244]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29753,a[2]=((C_word)li925),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1257]);
t31=C_mutate((C_word*)lf[1258]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30017,a[2]=((C_word)li926),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30023,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1262]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1258]));
t34=C_mutate((C_word*)lf[1263]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1260]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30042,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6275: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1260]);
av2[3]=C_fast_retrieve(lf[1258]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29682,c,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29688,a[2]=t3,a[3]=((C_word)li922),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29688(t5,t1);}

/* loop in ##sys#force-finalizers in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_fcall f_29688(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29688,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29692,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6145: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29690 in loop in ##sys#force-finalizers in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_29692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29692,c,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1175]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29701,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6147: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1176]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1176]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29699 in k29690 in loop in ##sys#force-finalizers in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_29701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29701,c,av);}
/* library.scm:6148: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29688(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29710,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
if(C_truep(C_i_pairp(t2))){
t3=C_get_rest_arg(c,2,av,2,t0);
if(C_truep(t3)){
/* library.scm:6154: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[957]);
C_word *av2=av;
av2[0]=*((C_word*)lf[957]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6155: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}
else{
/* library.scm:6155: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[315]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[315]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_29753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29753,c,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6188: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=t5;
av2[4]=lf[1245];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29775,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6190: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t2);
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29788,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6197: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t2);
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1246]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29813,a[2]=t11,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6203: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t12;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t11);
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1247]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29829,a[2]=t1,a[3]=t12,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6207: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t12);
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1248]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29845,a[2]=t13,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6211: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t13);
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1249]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29861,a[2]=t1,a[3]=t14,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6215: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t14);
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1250]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29877,a[2]=t15,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6219: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t15);
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1251]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29893,a[2]=t1,a[3]=t16,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6223: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t16);
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1252]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29909,a[2]=t17,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6227: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t17);
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1253]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29925,a[2]=t1,a[3]=t18,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6231: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t18);
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1254]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29941,a[2]=t19,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6235: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t19);
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1255]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29957,a[2]=t1,a[3]=t20,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6239: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t20);
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29964,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
/* library.scm:6243: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_fixnum_difference(t21,C_fix(1));
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30005,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6246: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[336]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[336]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_block_size(t2);
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6249: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=t5;
av2[4]=lf[1256];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29773 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29775,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29786 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29788,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29811 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29813,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29827 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29829,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29843 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29845,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29859 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29861,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29875 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29877,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29891 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29893,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29907 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29909,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29923 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29925,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29939 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29941,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29955 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29957(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29957,c,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29962 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_29964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29964,c,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k30003 in ##sys#make-locative in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_30005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_30005,c,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_30017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_30017,c,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1259]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_30023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30023,c,av);}
t4=C_rest_nullp(c,4);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_get_rest_arg(c,4,av,4,t0));
t6=C_i_check_symbol_2(t2,lf[1261]);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_getprop(t2,t3,t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_30042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30042,c,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1264]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30044,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30113,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31213,a[2]=((C_word)li968),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31222,a[2]=((C_word)li969),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6295: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1365];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_30044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30044,c,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1265]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30067,a[2]=t3,a[3]=t2,a[4]=((C_word)li928),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_30067(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_unpersist_symbol(t2);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static C_word C_fcall f_30067(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_30113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30113,c,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1266]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1267]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30115,a[2]=((C_word)li931),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1269]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30178,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[960]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li936),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1285]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li937),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1286]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30414,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31211,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6401: g7169 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_30115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30115,c,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30122,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30122(t9,t8);}
else{
t7=t6;
f_30122(t7,C_SCHEME_UNDEFINED);}}

/* k30120 in chicken.plist#get-properties in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_fcall f_30122(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30122,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1268]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30134,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li930),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30134(t7,((C_word*)t0)[4],t3);}

/* loop in k30120 in chicken.plist#get-properties in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_fcall f_30134(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30134,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6319: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:6324: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_slot(t4,C_fix(0));
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6325: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}}

/* ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_30178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30178,c,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30193,a[2]=((C_word)li932),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30207,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30229,a[2]=t4,a[3]=t6,a[4]=((C_word)li934),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30305,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6347: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2=av;
av2[0]=*((C_word*)lf[746]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[714]+1);
tp(3,av2);}}

/* pnum in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_fcall f_30193(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30193,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30201,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_zerop(t2))){
/* library.scm:6336: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:6336: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30199 in pnum in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30201,c,av);}
/* library.scm:6336: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_fcall f_30207(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30207,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30215,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30227,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6338: scheme#expt */
t6=*((C_word*)lf[533]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k30213 in round-to in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30215,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30219,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6338: scheme#expt */
t3=*((C_word*)lf[533]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1271];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k30217 in k30213 in round-to in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30219,c,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30225 in round-to in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30227,c,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6338: scheme#round */
t3=*((C_word*)lf[553]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_fcall f_30229(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30229,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_i_greaterp(t2,lf[1272]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30239,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30246,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30250,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[1272];
tp(4,av2);}}
else{
if(C_truep(C_i_greaterp(t2,C_fix(1048576)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30261,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30268,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30272,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
if(C_truep(C_i_greaterp(t2,C_fix(1024)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30283,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30290,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30294,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30299,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6346: pnum */
f_30193(t3,t2);}}}}

/* k30237 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30239,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30244 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30246,c,av);}
/* library.scm:6341: pnum */
f_30193(((C_word*)t0)[3],t1);}

/* k30248 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30250,c,av);}
/* library.scm:6341: round-to */
f_30207(((C_word*)t0)[3],t1,C_fix(2));}

/* k30259 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30261,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30266 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30268,c,av);}
/* library.scm:6343: pnum */
f_30193(((C_word*)t0)[3],t1);}

/* k30270 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30272,c,av);}
/* library.scm:6343: round-to */
f_30207(((C_word*)t0)[3],t1,C_fix(2));}

/* k30281 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30283,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30288 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30290(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30290,c,av);}
/* library.scm:6345: pnum */
f_30193(((C_word*)t0)[3],t1);}

/* k30292 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30294,c,av);}
/* library.scm:6345: round-to */
f_30207(((C_word*)t0)[3],t1,C_fix(2));}

/* k30297 in pmem in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30299,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_30305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30305,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30308,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6348: pnum */
f_30193(t2,C_slot(((C_word*)t0)[2],C_fix(0)));}

/* k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30308,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30311,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6333: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1284];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_30311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30311,c,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30317,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30398,a[2]=t3,a[3]=((C_word*)t0)[5],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6333: ##sys#print */
t5=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1283];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_30317(2,av2);}}}

/* k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_30317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30317,c,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30326,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30380,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6333: ##sys#print */
t6=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1281];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30326(2,av2);}}}

/* k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_30326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30326,c,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=C_slot(((C_word*)t0)[2],C_fix(5));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30335,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_greaterp(t2,C_fix(0));
t6=(C_truep(t5)?t5:C_fixnum_greaterp(t3,C_fix(0)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30359,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6333: ##sys#print */
t8=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1279];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t4;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30335(2,av2);}}}

/* k30333 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30335,c,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30341,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6333: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k30339 in k30333 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30341,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30344,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6373: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30229(t3,t2,((C_word*)t0)[4]);}

/* k30342 in k30339 in k30333 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30344,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30347,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6374: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[715]+1);
tp(4,av2);}}

/* k30345 in k30342 in k30339 in k30333 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30347,c,av);}
/* library.scm:6375: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[746]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[746]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[715]+1);
tp(3,av2);}}

/* k30357 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30359,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30362,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6367: pnum */
f_30193(t2,((C_word*)t0)[5]);}

/* k30360 in k30357 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30362,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30365,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6334: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[715]+1);
tp(4,av2);}}

/* k30363 in k30360 in k30357 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30365,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30368,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6369: pnum */
f_30193(t2,((C_word*)t0)[4]);}

/* k30366 in k30363 in k30360 in k30357 in k30324 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30368,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30378 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_30380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30380,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30383,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6359: pnum */
f_30193(t2,((C_word*)t0)[5]);}

/* k30381 in k30378 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30383,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30386,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6334: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[715]+1);
tp(4,av2);}}

/* k30384 in k30381 in k30378 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30386,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30389,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6361: pnum */
f_30193(t2,((C_word*)t0)[4]);}

/* k30387 in k30384 in k30381 in k30378 in k30315 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30389(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30389,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1280];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30396 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_30398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30398,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30401,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6353: pnum */
f_30193(t2,((C_word*)t0)[4]);}

/* k30399 in k30396 in k30309 in k30306 in k30303 in ##sys#display-times in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_30401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30401,c,av);}
/* library.scm:6333: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1282];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_30414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30414,c,av);}
a=C_alloc(13);
t2=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30415,a[2]=t1,a[3]=((C_word)li938),tmp=(C_word)a,a+=4,tmp));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30420,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31207,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6405: g7173 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* chicken.platform#software-type in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_30415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30415,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_30420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30420,c,av);}
a=C_alloc(13);
t2=C_mutate((C_word*)lf[1288]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30421,a[2]=t1,a[3]=((C_word)li939),tmp=(C_word)a,a+=4,tmp));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30426,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31203,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6409: g7177 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* chicken.platform#machine-type in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30421,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_30426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30426,c,av);}
a=C_alloc(13);
t2=C_mutate((C_word*)lf[1289]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30427,a[2]=t1,a[3]=((C_word)li940),tmp=(C_word)a,a+=4,tmp));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30432,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31199,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6413: g7181 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* chicken.platform#machine-byte-order in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_30427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30427,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_30432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30432,c,av);}
a=C_alloc(13);
t2=C_mutate((C_word*)lf[1290]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30433,a[2]=t1,a[3]=((C_word)li941),tmp=(C_word)a,a+=4,tmp));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30438,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31195,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6417: g7185 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* chicken.platform#software-version in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_30433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30433,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_30438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30438,c,av);}
a=C_alloc(10);
t2=C_mutate((C_word*)lf[1291]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30439,a[2]=t1,a[3]=((C_word)li942),tmp=(C_word)a,a+=4,tmp));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30444,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31191,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6421: software-type */
t5=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.platform#build-platform in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_30439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30439,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_fcall f_30444(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_30444,2,t0,t1);}
a=C_alloc(21);
t2=C_set_block_item(lf[1292] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1293]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30446,a[2]=((C_word)li944),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1327]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30585,a[2]=((C_word)li945),tmp=(C_word)a,a+=3,tmp));
t5=(C_truep(C_fast_retrieve(lf[1292]))?C_make_character(59):C_make_character(58));
t6=lf[1330] /* chicken.platform#path-list-separator */ =t5;;
t7=lf[1331];
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[1332]+1 /* (set! ##sys#split-path ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30607,a[2]=t8,a[3]=((C_word)li947),tmp=(C_word)a,a+=4,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30697,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31109,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t12=*((C_word*)lf[702]+1);{
C_word av2[4];
av2[0]=t12;
av2[1]=t11;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30446,c,av);}
a=C_alloc(6);
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?C_SCHEME_FALSE:C_get_rest_arg(c,2,av,2,t0));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30507,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30577,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6438: feature? */
t6=C_fast_retrieve(lf[1321]);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1326];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_fast_retrieve(lf[1295]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fast_retrieve(lf[1295]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_30456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30456,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30459,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6428: software-type */
t3=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in ... */
static void C_ccall f_30459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30459,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30462,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6429: software-version */
t3=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in ... */
static void C_ccall f_30462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30462,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30465,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6430: machine-type */
t3=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in ... */
static void C_ccall f_30465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30465,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30467,a[2]=((C_word)li943),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30489,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6435: str */
f_30467(t3,((C_word*)t0)[5]);}

/* str in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in ... */
static void C_fcall f_30467(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30467,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1301];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30481,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6434: scheme#symbol->string */
t5=*((C_word*)lf[634]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30479 in str in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in ... */
static void C_ccall f_30481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30481,c,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1302];
tp(4,av2);}}

/* k30487 in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in ... */
static void C_ccall f_30489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30489,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30493,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6435: str */
f_30467(t2,((C_word*)t0)[6]);}

/* k30491 in k30487 in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in ... */
static void C_ccall f_30493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30493,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30497,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6435: str */
f_30467(t2,((C_word*)t0)[6]);}

/* k30495 in k30491 in k30487 in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in ... */
static void C_ccall f_30497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30497,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30501,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6435: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30499 in k30495 in k30491 in k30487 in k30463 in k30460 in k30457 in k30454 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in ... */
static void C_ccall f_30501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30501,c,av);}
/* library.scm:6435: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30507,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30514,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1307]))){
/* library.scm:6445: scheme#string-append */
t3=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1308];
av2[3]=C_fast_retrieve(lf[1307]);
av2[4]=lf[1309];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[1310];
f_30514(2,av2);}}}

/* k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30514,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30518,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1303]))){
/* library.scm:6446: scheme#string-append */
t3=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1304];
av2[3]=C_fast_retrieve(lf[1303]);
av2[4]=lf[1305];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[1306];
f_30518(2,av2);}}}

/* k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30518,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30522,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30456,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6427: build-platform */
t4=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30520 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_30522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30522,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30526,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[5]);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:6443: scheme#string-append */
t5=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=t1;
av2[8]=lf[1297];
((C_proc)(void*)(*((C_word*)t5+1)))(9,av2);}}
else{
/* library.scm:6451: scheme#string-append */
t5=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[1298];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1299];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* k30524 in k30520 in k30516 in k30512 in k30505 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in ... */
static void C_ccall f_30526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30526,c,av);}
/* library.scm:6443: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1294];
av2[3]=C_fast_retrieve(lf[1295]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1296];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30563 in k30566 in k30569 in k30572 in k30575 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in ... */
static void C_ccall f_30565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30565,c,av);}
if(C_truep(t1)){
/* library.scm:6437: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1319];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6437: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1320];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30566 in k30569 in k30572 in k30575 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_30568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30568,c,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1317]:lf[1318]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30565,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6442: feature? */
t4=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1322];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30569 in k30572 in k30575 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30571,c,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1315]:lf[1316]);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30568,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6441: feature? */
t4=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1323];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30572 in k30575 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30574,c,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1313]:lf[1314]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30571,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6440: feature? */
t4=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1324];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30575 in chicken.platform#chicken-version in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30577,c,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1311]:lf[1312]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30574,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6439: feature? */
t4=C_fast_retrieve(lf[1321]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1325];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30585,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30589,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6461: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1329];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30587 in chicken.platform#chicken-home in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_30589,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30592,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
/* library.scm:6462: scheme#string-append */
t3=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
av2[3]=lf[1328];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
/* ##sys#peek-c-string */
t3=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k30590 in k30587 in chicken.platform#chicken-home in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30592,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_30607,c,av);}
a=C_alloc(13);
if(C_truep(C_i_not(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_i_equalp(t2,t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(((C_word*)((C_word*)t0)[2])[1]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_string_length(t2);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30629,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30635,a[2]=t4,a[3]=t2,a[4]=t7,a[5]=((C_word)li946),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_30635(t9,t5,C_fix(0),C_fix(0));}}}

/* k30627 in ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30629,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_fcall f_30635(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_30635,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[2]))){
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30655,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6480: scheme#substring */
t6=*((C_word*)lf[396]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}
else{
t4=C_i_string_ref(((C_word*)t0)[3],t3);
t5=C_retrieve2(lf[1330],C_text("chicken.platform#path-list-separator"));
if(C_truep(C_u_i_char_equalp(t4,C_retrieve2(lf[1330],C_text("chicken.platform#path-list-separator"))))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30670,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6483: scheme#substring */
t7=*((C_word*)lf[396]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
/* library.scm:6487: loop */
t8=t1;
t9=t2;
t10=C_fixnum_plus(t3,C_fix(1));
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k30653 in loop in ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30655,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list1(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30668 in loop in ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30670,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30674,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6484: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30635(t3,t2,C_fixnum_plus(((C_word*)t0)[4],C_fix(1)),C_fixnum_plus(((C_word*)t0)[4],C_fix(1)));}

/* k30672 in k30668 in loop in ##sys#split-path in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30674,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_30697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30697,c,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1333]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30701,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31093,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_30701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30701,c,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1335] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30718,a[2]=((C_word)li948),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,lf[1338]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30752,a[2]=((C_word)li949),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30770,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31089,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6538: software-type */
t8=C_fast_retrieve(lf[1287]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30718,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30725,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6523: chicken.keyword#keyword? */
t4=*((C_word*)lf[647]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30723 in chicken.platform#->feature-id in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30725,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[3]))){
/* library.scm:6524: chicken.keyword#string->keyword */
t2=*((C_word*)lf[648]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30747,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6525: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[633]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[633]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_a_i_list(&a,1,((C_word*)t0)[3]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[260];
av2[4]=lf[1336];
av2[5]=t2;
C_apply(6,av2);}}}}}

/* k30745 in k30723 in chicken.platform#->feature-id in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_30747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30747,c,av);}
/* library.scm:6525: chicken.keyword#string->keyword */
t2=*((C_word*)lf[648]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_fcall f_30752(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30752,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1300],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30767,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6537: ->feature-id */
t5=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30718(3,av2);}}}

/* k30765 in check in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30767,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1337]));
t3=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_30770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30770,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30773,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31085,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6539: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_30773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30773,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31081,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6540: build-platform */
t4=C_fast_retrieve(lf[1291]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_30776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30776,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30779,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31077,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6541: machine-type */
t4=C_fast_retrieve(lf[1288]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in ... */
static void C_ccall f_30779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30779,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30782,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31073,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6542: machine-byte-order */
t4=C_fast_retrieve(lf[1289]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in ... */
static void C_ccall f_30782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30782,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30785,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1325],C_fast_retrieve(lf[1337]));
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30785(t5,t4);}
else{
t3=t2;
f_30785(t3,C_SCHEME_UNDEFINED);}}

/* k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in ... */
static void C_fcall f_30785(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30785,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30788,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1324],C_fast_retrieve(lf[1337]));
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30788(t5,t4);}
else{
t3=t2;
f_30788(t3,C_SCHEME_UNDEFINED);}}

/* k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in ... */
static void C_fcall f_30788(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30788,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30791,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1323],C_fast_retrieve(lf[1337]));
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30791(t5,t4);}
else{
t3=t2;
f_30791(t3,C_SCHEME_UNDEFINED);}}

/* k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in ... */
static void C_fcall f_30791(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30791,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30794,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1322],C_fast_retrieve(lf[1337]));
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30794(t5,t4);}
else{
t3=t2;
f_30794(t3,C_SCHEME_UNDEFINED);}}

/* k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in ... */
static void C_fcall f_30794(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30794,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30797,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1326],C_fast_retrieve(lf[1337]));
t6=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30797(t7,t6);}
else{
t5=t2;
f_30797(t5,C_SCHEME_UNDEFINED);}}

/* k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in ... */
static void C_fcall f_30797(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30797,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30801,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6556: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in ... */
static void C_ccall f_30801(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30801,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30804,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6557: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[603]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[603]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in ... */
static void C_ccall f_30804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30804,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31027,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31043,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6558: scheme#string-append */
t4=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1356];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.platform#register-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30809,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30828,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30830,a[2]=t5,a[3]=((C_word)li950),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30830(t7,t3,t2);}

/* k30813 in for-each-loop7307 in chicken.platform#register-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_30815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30815,c,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1337])))){
t2=((C_word*)((C_word*)t0)[2])[1];
f_30830(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1337]));
t3=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)((C_word*)t0)[2])[1];
f_30830(t4,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}}

/* k30826 in chicken.platform#register-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_ccall f_30828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30828,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7307 in chicken.platform#register-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_fcall f_30830(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30830,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30815,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6565: ->feature-id */
t5=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t3;
f_30718(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +16,c,3)))){
C_save_and_reclaim((void*)f_30853,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+16);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30860,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30897,a[2]=t5,a[3]=t10,a[4]=t6,a[5]=((C_word)li953),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_30897(t12,t8,t2);}

/* k30858 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_ccall f_30860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30860,c,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30864,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30866,a[2]=t1,a[3]=t4,a[4]=((C_word)li952),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_30866(t6,t2,C_fast_retrieve(lf[1337]));}

/* k30862 in k30858 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_30864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30864,c,av);}
t2=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30858 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_fcall f_30866(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30866,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)t0)[2]))){
/* library.scm:6579: loop */
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30895,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6580: loop */
t7=t5;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}}

/* k30893 in loop in k30858 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in ... */
static void C_ccall f_30895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30895,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7330 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_fcall f_30897(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30897,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30922,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6571: g7336 */
t4=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=C_slot(t2,C_fix(0));
f_30718(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30920 in map-loop7330 in chicken.platform#unregister-feature! in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_30922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30922,c,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=((C_word*)((C_word*)t0)[3])[1];
f_30897(t5,((C_word*)t0)[4],C_slot(((C_word*)t0)[5],C_fix(1)));}

/* chicken.platform#features in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30931,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1337]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30934,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30940,a[2]=t4,a[3]=((C_word)li956),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30940(t6,t1,t2);}

/* loop in chicken.platform#feature? in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_fcall f_30940(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30940,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30964,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6588: ->feature-id */
t5=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=C_slot(t2,C_fix(0));
f_30718(3,av2);}}}

/* k30962 in loop in chicken.platform#feature? in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_30964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30964,c,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1337])))){
/* library.scm:6589: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_30940(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-config-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30971,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30975,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6595: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1347];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30973 in chicken.platform#system-config-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_ccall f_30975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30975,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1292]))){
/* library.scm:6597: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1344];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30987,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6598: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1346];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30985 in k30973 in chicken.platform#system-config-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_30987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30987,c,av);}
if(C_truep(t1)){
/* library.scm:6599: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1345];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-cache-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in ... */
static void C_ccall f_30995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30995,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30999,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6602: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1353];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30997 in chicken.platform#system-cache-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in ... */
static void C_ccall f_30999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30999,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1292]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31008,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6604: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1350];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31017,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6606: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1352];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k31006 in k30997 in chicken.platform#system-cache-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_31008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31008,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:6605: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1349];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* k31015 in k30997 in chicken.platform#system-cache-directory in k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in ... */
static void C_ccall f_31017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31017,c,av);}
if(C_truep(t1)){
/* library.scm:6607: scheme#string-append */
t2=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1351];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in ... */
static void C_ccall f_31027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_31027,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31035,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31039,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6559: scheme#string-append */
t4=*((C_word*)lf[416]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1354];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1355];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k31033 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in ... */
static void C_ccall f_31035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_31035,c,av);}
a=C_alloc(27);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1337]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1337]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1339]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30809,a[2]=((C_word)li951),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1340]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30853,a[2]=((C_word)li954),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1341]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30931,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1321]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30934,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1342]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1343]+1 /* (set! chicken.platform#system-config-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30971,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1348]+1 /* (set! chicken.platform#system-cache-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30995,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp));
t12=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}

/* k31037 in k31025 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in ... */
static void C_ccall f_31039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31039,c,av);}
/* library.scm:6559: ->feature-id */
t2=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30718(3,av2);}}

/* k31041 in k30802 in k30799 in k30795 in k30792 in k30789 in k30786 in k30783 in k30780 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in ... */
static void C_ccall f_31043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31043,c,av);}
/* library.scm:6558: ->feature-id */
t2=C_retrieve2(lf[1335],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30718(3,av2);}}

/* k31071 in k30777 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in ... */
static void C_ccall f_31073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31073,c,av);}
/* library.scm:6542: check */
f_30752(((C_word*)t0)[3],t1);}

/* k31075 in k30774 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in ... */
static void C_ccall f_31077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31077,c,av);}
/* library.scm:6541: check */
f_30752(((C_word*)t0)[3],t1);}

/* k31079 in k30771 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in ... */
static void C_ccall f_31081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31081,c,av);}
/* library.scm:6540: check */
f_30752(((C_word*)t0)[3],t1);}

/* k31083 in k30768 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static void C_ccall f_31085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31085,c,av);}
/* library.scm:6539: check */
f_30752(((C_word*)t0)[3],t1);}

/* k31087 in k30699 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_31089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31089,c,av);}
/* library.scm:6538: check */
f_30752(((C_word*)t0)[3],t1);}

/* k31091 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_31093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31093,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31096,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
/* library.scm:6508: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31099,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6510: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1357];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k31094 in k31091 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_31096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31096,c,av);}
/* library.scm:6508: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31097 in k31091 in k30695 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_31099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31099,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
/* library.scm:6508: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_31109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31109,c,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31112,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list1(&a,1,t1);
f_31112(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31158,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6495: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1194]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1359];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k31110 in k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_31112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31112,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31114,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6492: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31113 in k31110 in k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_31114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31114,c,av);}
a=C_alloc(3);
if(C_truep(t2)){
t3=C_i_check_list_2(t2,lf[1358]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31131,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t5=(
  f_31131(t2)
);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop7249 in a31113 in k31110 in k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in ... */
static C_word C_fcall f_31131(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_string_2(t2,lf[1358]);
t5=C_slot(t1,C_fix(1));
t1=t5;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k31156 in k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in ... */
static void C_ccall f_31158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31158,c,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:6493: ##sys#split-path */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1332]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1332]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31167,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k31165 in k31156 in k31107 in k30442 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in ... */
static void C_ccall f_31167(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31167,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_a_i_list1(&a,1,t1):C_SCHEME_FALSE);
f_31112(2,av2);}}

/* k31185 in k31189 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in ... */
static void C_ccall f_31187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31187,c,av);}
t2=((C_word*)t0)[2];
f_30444(t2,C_i_not(C_eqp(lf[1361],t1)));}

/* k31189 in k30436 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in ... */
static void C_ccall f_31191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31191,c,av);}
a=C_alloc(3);
t2=C_eqp(lf[1360],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31187,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6423: software-version */
t4=C_fast_retrieve(lf[1290]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30444(t3,C_SCHEME_FALSE);}}

/* k31193 in k30430 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in ... */
static void C_ccall f_31195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31195,c,av);}
/* library.scm:6417: scheme#string->symbol */
t2=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31197 in k30424 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in ... */
static void C_ccall f_31199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31199,c,av);}
/* library.scm:6413: scheme#string->symbol */
t2=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31201 in k30418 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in ... */
static void C_ccall f_31203(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31203,c,av);}
/* library.scm:6409: scheme#string->symbol */
t2=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31205 in k30412 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in ... */
static void C_ccall f_31207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31207,c,av);}
/* library.scm:6405: scheme#string->symbol */
t2=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31209 in k30111 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_31211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31211,c,av);}
/* library.scm:6401: scheme#string->symbol */
t2=*((C_word*)lf[636]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31212 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_31213(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31213,c,av);}
t3=C_i_check_symbol_2(t2,lf[1362]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31221 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in ... */
static void C_ccall f_31222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_31222,c,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1362]);
t5=C_i_check_list_2(t3,lf[1363]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31232,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=C_i_setslot(t2,C_fix(2),t3);
t9=C_i_nullp(t3);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=(C_truep(t9)?C_i_unpersist_symbol(t2):C_i_persist_symbol(t2));
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
/* library.scm:6304: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[260];
av2[3]=lf[1364];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k31230 in a31221 in k30040 in k29678 in k29440 in k29403 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in ... */
static void C_ccall f_31232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31232,c,av);}
t2=C_i_nullp(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(t2)?C_i_unpersist_symbol(((C_word*)t0)[4]):C_i_persist_symbol(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_31257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_31257,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31260,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31278,a[2]=t5,a[3]=((C_word)li971),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_31278(t7,t2,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f37044,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6014: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31258 in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_31260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31260,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31262,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6014: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31261 in k31258 in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_31262(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31262,c,av);}
t3=C_i_check_list_2(t2,lf[1366]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_fcall f_31278(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31278,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31297,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t4,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t6=C_block_size(t3);
if(C_truep(C_fixnum_greater_or_equal_p(t6,C_fix(3)))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31317,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6023: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t7;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t7=t5;
f_31297(t7,C_SCHEME_FALSE);}}}

/* k31295 in loop in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_fcall f_31297(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31297,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:6024: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31278(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31307,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6025: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_31278(t3,t2,((C_word*)t0)[4]);}}

/* k31305 in k31295 in loop in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in ... */
static void C_ccall f_31307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31307,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31315 in loop in k31255 in k29399 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in ... */
static void C_ccall f_31317(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31317,c,av);}
t2=((C_word*)t0)[2];
f_31297(t2,C_i_string_equal_p(lf[1367],t1));}

/* k31339 in k31343 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_31341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31341,c,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f37056,a[2]=((C_word)li974),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6005: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31343 in k29220 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_31345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31345,c,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f37050,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6005: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1369];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31341,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6008: argv */
t3=C_fast_retrieve(lf[1202]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31346 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31347,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31351,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31349 in a31346 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_31351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31351,c,av);}
a=C_alloc(5);
t2=C_curdir(t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31354,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1292]))){
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31354(2,av2);}}
else{
/* library.scm:5937: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t3;
tp(2,av2);}}}

/* k31352 in k31349 in a31346 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_31354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31354,c,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5939: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5940: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[699];
av2[3]=lf[1370];
av2[4]=lf[1371];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31368 in k28583 in k28523 in k27154 in k27151 in k27148 in k26381 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31369,c,av);}
/* library.scm:5944: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1192]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1192]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_31375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31375,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31379,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31532,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5126: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1005]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1005]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_31379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31379,c,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31388,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5128: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1380];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31482,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5153: chicken.base#open-output-string */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_31388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31388,c,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31391,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31476,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5130: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1379];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31391(2,av2);}}}

/* k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_31391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31391,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31394,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31420,a[2]=((C_word*)t0)[3],a[3]=((C_word)li978),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5132: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[920]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[920]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_31394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31394,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31397,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5144: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31395 in k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_31397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31397,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31400,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5145: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31398 in k31395 in k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31400,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31406,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1004]))){
/* library.scm:5146: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1146]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1146]+1);
av2[1]=t2;
av2[2]=lf[1377];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31406(2,av2);}}}

/* k31404 in k31398 in k31395 in k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in ... */
static void C_ccall f_31406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31406,c,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1377],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31412,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5146: g5877 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k31410 in k31404 in k31398 in k31395 in k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in ... */
static void C_ccall f_31412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31412,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31415,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5149: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31413 in k31410 in k31404 in k31398 in k31395 in k31392 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in ... */
static void C_ccall f_31415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31415,c,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31419 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_31420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31420,c,av);}
a=C_alloc(6);
t2=C_eqp(C_fix(1),C_u_i_length(((C_word*)t0)[2]));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31430,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5136: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1378];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31450,a[2]=t4,a[3]=((C_word)li977),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_31450(t6,t1,((C_word*)t0)[2]);}}

/* k31428 in a31419 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_31430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31430,c,av);}
/* library.scm:5137: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_slot(((C_word*)t0)[3],C_fix(0));
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31440 in for-each-loop5859 in a31419 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31442,c,av);}
/* library.scm:5142: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5859 in a31419 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_31450(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31450,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31460,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31442,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5141: ##sys#print */
t6=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31458 in for-each-loop5859 in a31419 in k31389 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31460,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_31450(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* k31474 in k31386 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_31476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31476,c,av);}
/* library.scm:5131: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[715]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in ... */
static void C_ccall f_31482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31482,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31485,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5154: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31485(2,av2);}}}

/* k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in ... */
static void C_ccall f_31485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31485,c,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31488,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5155: ##sys#print */
t3=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in ... */
static void C_ccall f_31488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31488,c,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31489,a[2]=((C_word*)t0)[2],a[3]=((C_word)li979),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31499,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31505,a[2]=t5,a[3]=t2,a[4]=((C_word)li980),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_31505(t7,t3,((C_word*)t0)[4]);}

/* g5891 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_31489(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31489,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31493,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5156: ##sys#print */
t4=*((C_word*)lf[866]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31491 in g5891 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31493,c,av);}
/* library.scm:5156: ##sys#print */
t2=*((C_word*)lf[866]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31497 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_ccall f_31499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31499,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31503,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5157: chicken.base#get-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31501 in k31497 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31503,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop5890 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in ... */
static void C_fcall f_31505(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31505,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31515,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5156: g5891 */
t4=((C_word*)t0)[3];
f_31489(t4,t3,C_slot(t2,C_fix(0)));}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31513 in for-each-loop5890 in k31486 in k31483 in k31480 in k31377 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in ... */
static void C_ccall f_31515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31515,c,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_31505(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}

/* a31531 in a31374 in k26069 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in ... */
static void C_ccall f_31532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31532,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1381]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31534 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_31535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31535,c,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31539,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5028: chicken.base#exit-handler */
t3=*((C_word*)lf[226]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31537 in a31534 in k26065 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in ... */
static void C_ccall f_31539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31539,c,av);}
/* library.scm:5027: g5766 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31543 in k26061 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31544,c,av);}
/* library.scm:5023: cleanup-before-exit */
f_25980(t1);}

/* a31549 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31550,c,av);}
a=C_alloc(4);
t2=C_rest_nullp(c,2);
t3=(C_truep(t2)?C_fix(0):C_get_rest_arg(c,2,av,2,t0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31557,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5013: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k31555 in a31549 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31557,c,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[955],C_text("exit-in-progress")))){
/* library.scm:5015: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1382];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31566,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5017: cleanup-before-exit */
f_25980(t2);}}

/* k31564 in k31555 in a31549 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_31566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31566,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31573 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31574,c,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31598 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31599,c,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=C_fixnum_greater_or_equal_p(t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_SCHEME_END_OF_FILE:C_subchar(t4,t3));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31616 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31617,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31621,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4769: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31619 in a31616 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31621,c,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),C_fixnum_plus(t2,C_fix(1)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31635 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31636,c,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31640,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4776: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31638 in a31635 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31640,c,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),C_fixnum_plus(t2,((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31654 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31655,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31657 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31658,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31660 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31661,c,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=C_slot(t2,C_fix(11));
t9=C_fixnum_difference(t8,t7);
t10=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31671,a[2]=t2,a[3]=t7,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t11=C_i_not(((C_word*)t6)[1]);
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_set_block_item(t6,0,t9);
t13=t10;
f_31671(t13,t12);}
else{
t12=t10;
f_31671(t12,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t9))){
t12=C_set_block_item(t6,0,t9);
t13=t10;
f_31671(t13,t12);}
else{
t12=t10;
f_31671(t12,C_SCHEME_UNDEFINED);}}}

/* k31669 in a31660 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_fcall f_31671(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31671,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31701 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31702,c,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=C_slot(t2,C_fix(11));
t6=C_slot(t2,C_fix(12));
t7=(C_truep(t3)?C_fixnum_plus(t4,t3):t5);
if(C_truep(C_fixnum_greater_or_equal_p(t4,t5))){
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31726,a[2]=t7,a[3]=t5,a[4]=t6,a[5]=t4,a[6]=((C_word)li746),tmp=(C_word)a,a+=7,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31745,a[2]=t2,a[3]=((C_word)li747),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4798: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
C_call_with_values(4,av2);}}}

/* a31725 in a31701 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31726,c,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31736,a[2]=((C_word)li745),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4799: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[923]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[923]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31735 in a31725 in a31701 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in ... */
static void C_ccall f_31736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31736,c,av);}
/* library.scm:4801: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31744 in a31701 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31745,c,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fixnum_plus(t5,t6));
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31785 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in ... */
static void C_ccall f_31786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31786,c,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[924];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31805,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4816: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=t3;
av2[4]=t5;
tp(5,av2);}}}

/* k31803 in a31785 in k24957 in k23793 in k23789 in k23785 in k20253 in k20249 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in ... */
static void C_ccall f_31805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31805,c,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31813 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in ... */
static void C_ccall f_31814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_31814,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31818,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
/* library.scm:3688: ##sys#check-keyword */
t4=*((C_word*)lf[352]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1384];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31816 in a31813 in k20245 in k20241 in k20237 in k19877 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in ... */
static void C_ccall f_31818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31818,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31822 in k19873 in k19869 in k19865 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in ... */
static void C_ccall f_31823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31823,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(C_i_list_tail(t2,t3),t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31832 in k19861 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in ... */
static void C_ccall f_31833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31833,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_cddr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31842 in k19857 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in ... */
static void C_ccall f_31843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31843,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_cdar(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31852 in k19853 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in ... */
static void C_ccall f_31853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31853,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_cadr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31862 in k19849 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in ... */
static void C_ccall f_31863(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31863,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_caar(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31872 in k19845 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in ... */
static void C_ccall f_31873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31873,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_cddr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31882 in k19841 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in ... */
static void C_ccall f_31883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31883,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_cdar(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31892 in k19837 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in ... */
static void C_ccall f_31893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31893,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_cadr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31902 in k19833 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in ... */
static void C_ccall f_31903(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31903,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_caar(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31912 in k19829 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in ... */
static void C_ccall f_31913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31913,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_cdr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31922 in k19825 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in ... */
static void C_ccall f_31923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31923,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(C_i_car(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31932 in k19821 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in ... */
static void C_ccall f_31933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31933,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_cdr(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31942 in k19817 in k19813 in k19733 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in ... */
static void C_ccall f_31943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31943,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(C_i_car(t2),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31952 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_31953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31953,c,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31969,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31977,a[2]=((C_word)li1000),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3509: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3511: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[757];
av2[3]=lf[1385];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31967 in a31952 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_31969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31969,c,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3511: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[757];
av2[3]=lf[1385];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3511: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[757];
av2[3]=lf[1385];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31976 in a31952 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_31977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31977,c,av);}
t3=C_i_pairp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_eqp(C_retrieve2(lf[758],C_text("setter-tag")),C_slot(t2,C_fix(0))):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31992 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_31993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31993,c,av);}
t3=C_i_pairp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_eqp(C_retrieve2(lf[758],C_text("setter-tag")),C_slot(t2,C_fix(0))):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32008 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_32009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_32009,c,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32019,a[2]=((C_word)li1005),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[758],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a32018 in a32008 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in ... */
static void C_ccall f_32019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32019,c,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32029,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32048,a[2]=((C_word)li1003),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32064,a[2]=t3,a[3]=((C_word)li1004),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3520: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3527: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1386];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k32027 in a32018 in a32008 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_32029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_32029,c,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3526: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[331]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[331]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a32047 in a32018 in a32008 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_32048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32048,c,av);}
t3=C_i_pairp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_eqp(C_retrieve2(lf[758],C_text("setter-tag")),C_slot(t2,C_fix(0))):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32063 in a32018 in a32008 in k18957 in k18954 in k18951 in k18948 in k18944 in k18940 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in ... */
static void C_ccall f_32064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_32064,c,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[758],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a32076 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_32077,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32083,a[2]=t2,a[3]=t4,a[4]=((C_word)li544),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_32083(2,av2);}}

/* loop in a32076 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_32083,c,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32114,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3179: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k32104 in k32112 in loop in a32076 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_32106,c,av);}
/* library.scm:3181: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=lf[700];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k32108 in k32112 in loop in a32076 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32110,c,av);}
/* library.scm:3183: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[701];
av2[3]=t1;
tp(4,av2);}}

/* k32112 in loop in a32076 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_32114,c,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3180: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[698]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[698]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32106,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32110,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32116 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_32117,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32123,a[2]=t2,a[3]=t4,a[4]=((C_word)li546),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_32123(2,av2);}}

/* loop in a32116 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_32123,c,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32154,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3191: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k32144 in k32152 in loop in a32116 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_32146,c,av);}
/* library.scm:3193: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=lf[704];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k32148 in k32152 in loop in a32116 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32150,c,av);}
/* library.scm:3195: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[705];
av2[3]=t1;
tp(4,av2);}}

/* k32152 in loop in a32116 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_32154,c,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3192: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[698]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[698]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32150,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32156 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32157,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32159 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32160,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32162 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32163,c,av);}
t4=C_close_file(t2);
/* library.scm:3204: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word *av2=av;
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t1;
tp(2,av2);}}

/* a32168 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32169,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32171 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32172(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32172,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_32175,c,av);}
a=C_alloc(9);
t6=(C_truep(t3)?t3:C_fixnum_difference(C_block_size(t4),t5));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32185,a[2]=t4,a[3]=t2,a[4]=t8,a[5]=t3,a[6]=((C_word)li554),tmp=(C_word)a,a+=7,tmp));
t10=((C_word*)t8)[1];
f_32185(t10,t1,t6,C_fix(0),t5);}

/* loop in a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_32185(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32185,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32240,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=t5,a[5]=t3,a[6]=t4,a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3215: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word av2[2];
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
/* library.scm:3224: loop */
t8=t1;
t9=C_fixnum_difference(t2,t5);
t10=C_fixnum_plus(t3,t5);
t11=C_fixnum_plus(t4,t5);
t1=t8;
t2=t9;
t3=t10;
t4=t11;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a32208 in k32238 in loop in a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_32209,c,av);}
/* library.scm:3218: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32185(t2,t1,C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]),C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[4]),C_fixnum_plus(((C_word*)t0)[6],((C_word*)t0)[4]));}

/* k32230 in k32238 in loop in a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_32232,c,av);}
/* library.scm:3219: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=lf[706];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k32234 in k32238 in loop in a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32236,c,av);}
/* library.scm:3221: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[707];
av2[3]=t1;
tp(4,av2);}}

/* k32238 in loop in a32174 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_32240,c,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32209,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li553),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3216: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[698]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[698]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32232,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32236,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_32274,c,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32278,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3228: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[708];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_32278(2,av2);}}}

/* k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_32278,c,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32281,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_32281(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32447,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3231: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_32281(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_32281,2,t0,t1);}
a=C_alloc(8);
t2=(C_truep(((C_word*)t0)[2])?((C_word*)t0)[2]:lf[271]);
t3=C_slot(((C_word*)t0)[3],C_fix(12));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32294,a[2]=((C_word*)t0)[3],a[3]=t5,a[4]=((C_word*)t0)[2],a[5]=((C_word)li557),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_32294(t7,((C_word*)t0)[4],C_fix(1024),t2,t3,lf[710],C_SCHEME_FALSE);}

/* loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_fcall f_32294(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32294,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32327,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3242: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=C_fixnum_difference(t3,t2);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32342,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t9,a[5]=t10,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:3245: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[379]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[379]+1);
av2[1]=t11;
av2[2]=C_fixnum_times(t2,C_fix(2));
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32401,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3249: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[703]);
C_word av2[2];
av2[0]=*((C_word*)lf[703]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32415,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3262: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3265: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32325 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32327(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32327,c,av);}
/* library.scm:3242: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32340 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32342(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32342,c,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32346,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3246: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32344 in k32340 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 in ... */
static void C_ccall f_32346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32346,c,av);}
/* library.scm:3243: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32294(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32369 in k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 in ... */
static void C_ccall f_32370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32370,c,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32378,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32382,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3255: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[398]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[398]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32376 in a32369 in k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_32378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32378,c,av);}
/* library.scm:3253: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32294(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32380 in a32369 in k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in ... */
static void C_ccall f_32382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32382,c,av);}
/* library.scm:3254: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32391 in k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 in ... */
static void C_ccall f_32393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32393,c,av);}
/* library.scm:3257: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[699];
av2[3]=lf[708];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32395 in k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 in ... */
static void C_ccall f_32397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32397,c,av);}
/* library.scm:3259: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[709];
av2[3]=t1;
tp(4,av2);}}

/* k32399 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32401,c,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32370,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t5,a[8]=((C_word)li556),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3251: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[698]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[698]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t6;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32393,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32397,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[702]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32413 in loop in k32279 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32415,c,av);}
/* library.scm:3262: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[415]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[415]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32445 in k32276 in a32273 in k18424 in k18421 in k18418 in k18415 in k18412 in k18409 in k18406 in k18403 in k18400 in k18397 in k18394 in k18391 in k18388 in k18385 in k18225 in k8543 */
static void C_ccall f_32447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32447,c,av);}
t2=((C_word*)t0)[2];
f_32281(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8543 */
static void C_ccall f_8545(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word t528;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1327,c,6)))){
C_save_and_reclaim((void *)f_8545,c,av);}
a=C_alloc(1327);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8547,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8550,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8553,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8556,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8559,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8562,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8565,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8568,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8571,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8574,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8577,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8580,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8583,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8586,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8589,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8592,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8595,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8598,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8601,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8615,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8622,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8629,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8643,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8650,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8664,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8678,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8696,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8707,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8718,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8725,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8736,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8740,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8747,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8765,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8776,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8787,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8794,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8812,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8823,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8841,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8847,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8850,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8853,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8856,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8859,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8898,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8901,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8904,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8907,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8910,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8913,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8916,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8919,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8922,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8925,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8928,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8931,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8934,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8938,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8941,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8947,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8950,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8953,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8956,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8959,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8967,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8971,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8974,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8977,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8980,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8983,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8986,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8989,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8992,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8996,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8999,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9002,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9005,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9008,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9016,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9019,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9026,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9033,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9036,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9039,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9042,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9045,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9048,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9054,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9065,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9071,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9077,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9083,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9089,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9095,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9102,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9108,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9124,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9135,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9141,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9147,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9153,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9159,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9168,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9171,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9174,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9177,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9180,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9183,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9187,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9234,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9237,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9240,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9248,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9254,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9261,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9276,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#record-printer */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#set-record-printer! */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t192=C_set_block_item(lf[215] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t193=C_set_block_item(lf[216] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t194=C_mutate((C_word*)lf[217]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9299,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9305,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[220]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9311,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t197=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9326,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t198=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9363,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t199=C_set_block_item(lf[225] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t200=C_set_block_item(lf[226] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t201=C_set_block_item(lf[227] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9403,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t203=C_mutate((C_word*)lf[229]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9410,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t204=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9428,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t205=C_set_block_item(lf[232] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t207=C_set_block_item(lf[234] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t208=C_set_block_item(lf[235] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9447,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9450,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9483,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9520,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9541,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9549,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9561,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9597,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[244]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9636,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9680,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[247]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9736,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9739,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[250]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9767,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9800,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[253]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9832,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[254]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9873,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[257]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9930,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[261]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10010,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[262]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10096,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate((C_word*)lf[266]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10200,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t229=C_mutate((C_word*)lf[269]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10312,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t230=C_mutate(&lf[271] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t231=C_a_i_provide(&a,1,lf[272]);
t232=C_set_block_item(lf[273] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t233=C_set_block_item(lf[274] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t234=C_set_block_item(lf[275] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t235=C_set_block_item(lf[276] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10365,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10368,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10371,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10374,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10380,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10383,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10386,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10389,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10392,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10395,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10398,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10401,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10404,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10407,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10410,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10413,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10416,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10419,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10422,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10425,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10428,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10431,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10434,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10437,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10440,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10443,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10446,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t263=C_mutate((C_word*)lf[304]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10449,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t264=C_mutate((C_word*)lf[305]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10452,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t265=C_set_block_item(lf[306] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t266=C_set_block_item(lf[307] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t267=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10457,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10466,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t269=C_mutate((C_word*)lf[312]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10478,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t270=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[308]+1));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[310]+1));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10493,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10496,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10504,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10510,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10530,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10537,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10540,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t286=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10543,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t287=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t288=C_set_block_item(lf[246] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10548,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10552,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t293=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t294=C_mutate((C_word*)lf[335]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10557,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t295=C_a_i_provide(&a,1,lf[338]);
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10592,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10595,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10598,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10615,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10626,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[343]+1));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10638,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10649,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10660,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10671,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10682,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10693,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10704,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10715,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10726,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10737,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10748,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10759,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10770,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10781,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10798,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10815,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10839,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[336]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10856,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[366]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10886,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10906,a[2]=((C_word)li274),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[369]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10917,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11045,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[373]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11061,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11077,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11093,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11109,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[374]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11125,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[364]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11141,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[375]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11157,a[2]=((C_word)li286),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[376]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11173,a[2]=((C_word)li289),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[378]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11252,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[379]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11282,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t336=C_mutate((C_word*)lf[380]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11302,a[2]=((C_word)li293),tmp=(C_word)a,a+=3,tmp));
t337=C_mutate((C_word*)lf[384]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11338,a[2]=((C_word)li295),tmp=(C_word)a,a+=3,tmp));
t338=C_mutate((C_word*)lf[386]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[384]+1));
t339=C_mutate((C_word*)lf[387]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11376,a[2]=((C_word)li297),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[389]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[387]+1));
t341=C_mutate((C_word*)lf[390]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11428,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[392]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11477,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t343=C_mutate((C_word*)lf[394]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11490,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t344=C_mutate((C_word*)lf[396]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11502,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t345=C_mutate((C_word*)lf[398]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11552,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp));
t346=C_SCHEME_UNDEFINED;
t347=(*a=C_VECTOR_TYPE|1,a[1]=t346,tmp=(C_word)a,a+=2,tmp);
t348=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11561,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
t349=C_set_block_item(t347,0,t348);
t350=C_mutate((C_word*)lf[399]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11582,a[2]=t347,a[3]=((C_word)li306),tmp=(C_word)a,a+=4,tmp));
t351=C_mutate((C_word*)lf[401]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11606,a[2]=t347,a[3]=((C_word)li308),tmp=(C_word)a,a+=4,tmp));
t352=C_mutate((C_word*)lf[403]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11630,a[2]=t347,a[3]=((C_word)li310),tmp=(C_word)a,a+=4,tmp));
t353=C_mutate((C_word*)lf[405]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11651,a[2]=t347,a[3]=((C_word)li312),tmp=(C_word)a,a+=4,tmp));
t354=C_SCHEME_UNDEFINED;
t355=(*a=C_VECTOR_TYPE|1,a[1]=t354,tmp=(C_word)a,a+=2,tmp);
t356=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11671,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
t357=C_set_block_item(t355,0,t356);
t358=C_mutate((C_word*)lf[407]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11692,a[2]=t355,a[3]=((C_word)li315),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[409]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11716,a[2]=t355,a[3]=((C_word)li317),tmp=(C_word)a,a+=4,tmp));
t360=C_mutate((C_word*)lf[411]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11740,a[2]=t355,a[3]=((C_word)li319),tmp=(C_word)a,a+=4,tmp));
t361=C_mutate((C_word*)lf[413]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11761,a[2]=t355,a[3]=((C_word)li321),tmp=(C_word)a,a+=4,tmp));
t362=C_mutate((C_word*)lf[415]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11782,a[2]=((C_word)li322),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[416]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11798,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t364=C_mutate((C_word*)lf[418]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11837,a[2]=((C_word)li325),tmp=(C_word)a,a+=3,tmp));
t365=C_mutate((C_word*)lf[419]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11843,a[2]=((C_word)li327),tmp=(C_word)a,a+=3,tmp));
t366=C_mutate((C_word*)lf[420]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11878,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t367=C_a_i_provide(&a,1,lf[423]);
t368=C_mutate((C_word*)lf[424]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t369=C_mutate((C_word*)lf[425]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t371=C_mutate((C_word*)lf[427]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t375=C_set_block_item(lf[431] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t376=C_set_block_item(lf[432] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t377=C_set_block_item(lf[433] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t378=C_mutate((C_word*)lf[434]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11973,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[436]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11997,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[438]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12021,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[440]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12045,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[442]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12069,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[444]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12093,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[446]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12117,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[448]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12141,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[450]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12165,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[452]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12189,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[454]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12213,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[456]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12237,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[458]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12255,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[460]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12279,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[462]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12303,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[464]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12321,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[466]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12339,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[468]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12357,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[470]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12375,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[472]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12393,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[474]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12411,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[476]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12429,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[478]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12447,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[480]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12465,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[482]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12483,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[484]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12507,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[486]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12525,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[488]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12549,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[490]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12567,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[492]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12585,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t408=C_mutate((C_word*)lf[494]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12603,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t409=C_mutate((C_word*)lf[496]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12621,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t411=C_mutate((C_word*)lf[499]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t412=C_mutate((C_word*)lf[500]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t413=C_mutate((C_word*)lf[501]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t414=C_mutate(&lf[502] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12643,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[504]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12679,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[506]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12691,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[508]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12714,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate((C_word*)lf[510]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12737,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate((C_word*)lf[512]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12763,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[514]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12779,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate(&lf[517] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12823,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[518]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12869,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[523]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12915,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t424=C_mutate((C_word*)lf[527]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12961,a[2]=((C_word)li373),tmp=(C_word)a,a+=3,tmp));
t425=C_mutate((C_word*)lf[521]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13085,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t426=C_mutate((C_word*)lf[534]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t427=C_mutate((C_word*)lf[535]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[521]+1));
t428=C_a_i_provide(&a,1,lf[536]);
t429=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13151,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13154,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[542]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13157,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[543]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13160,a[2]=((C_word)li383),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[544]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13163,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[529]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13214,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[547]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13497,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate((C_word*)lf[549]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13542,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate((C_word*)lf[551]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13587,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[553]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13624,a[2]=((C_word)li390),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate(&lf[555] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13668,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[557]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13818,a[2]=((C_word)li393),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[558]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13843,a[2]=((C_word)li395),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[560]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13887,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[562]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13931,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[564]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13976,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[568]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14025,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[569]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14054,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t450=C_mutate((C_word*)lf[573]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14088,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t451=C_mutate((C_word*)lf[575]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14122,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t452=C_mutate((C_word*)lf[577]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14147,a[2]=((C_word)li404),tmp=(C_word)a,a+=3,tmp));
t453=C_a_i_asin(&a,1,C_fix(1));
t454=C_mutate((C_word*)lf[582]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14209,a[2]=t453,a[3]=((C_word)li405),tmp=(C_word)a,a+=4,tmp));
t455=C_mutate((C_word*)lf[584]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14251,a[2]=((C_word)li406),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[586]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14315,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[588]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14506,a[2]=((C_word)li413),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[580]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14515,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[515]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14670,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[591]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14676,a[2]=((C_word)li422),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate((C_word*)lf[592]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14688,a[2]=((C_word)li424),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate((C_word*)lf[531]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14814,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[533]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14882,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate(&lf[545] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15149,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[596]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15219,a[2]=((C_word)li433),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[598]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15225,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[599]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15276,a[2]=((C_word)li436),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate((C_word*)lf[601]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15290,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate((C_word*)lf[602]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15348,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate((C_word*)lf[604]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15401,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate(&lf[610] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15575,a[2]=((C_word)li444),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate(&lf[611] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15618,a[2]=((C_word)li456),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[620]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17038,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17293,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[623]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t476=C_mutate((C_word*)lf[624]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li461),tmp=(C_word)a,a+=3,tmp));
t477=C_mutate((C_word*)lf[625]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li462),tmp=(C_word)a,a+=3,tmp));
t478=C_mutate((C_word*)lf[603]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t479=C_mutate((C_word*)lf[626]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17339,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#snafu ...) */,lf[628]);
t481=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t482=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#intern-keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_keyword,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t483=C_mutate((C_word*)lf[631]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17511,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp));
t484=C_mutate((C_word*)lf[632]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17514,a[2]=((C_word)li470),tmp=(C_word)a,a+=3,tmp));
t485=C_mutate((C_word*)lf[633]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17523,a[2]=((C_word)li471),tmp=(C_word)a,a+=3,tmp));
t486=C_mutate((C_word*)lf[634]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17529,a[2]=((C_word)li472),tmp=(C_word)a,a+=3,tmp));
t487=*((C_word*)lf[394]+1);
t488=C_mutate((C_word*)lf[636]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17542,a[2]=t487,a[3]=((C_word)li473),tmp=(C_word)a,a+=4,tmp));
t489=*((C_word*)lf[394]+1);
t490=C_mutate((C_word*)lf[638]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17555,a[2]=t489,a[3]=((C_word)li475),tmp=(C_word)a,a+=4,tmp));
t491=C_fix(-1);
t492=(*a=C_VECTOR_TYPE|1,a[1]=t491,tmp=(C_word)a,a+=2,tmp);
t493=C_mutate((C_word*)lf[640]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17568,a[2]=t492,a[3]=((C_word)li477),tmp=(C_word)a,a+=4,tmp));
t494=*((C_word*)lf[416]+1);
t495=C_mutate((C_word*)lf[644]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17622,a[2]=t494,a[3]=((C_word)li479),tmp=(C_word)a,a+=4,tmp));
t496=C_a_i_provide(&a,1,lf[646]);
t497=C_mutate((C_word*)lf[647]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17681,a[2]=((C_word)li480),tmp=(C_word)a,a+=3,tmp));
t498=C_mutate((C_word*)lf[648]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17684,a[2]=((C_word)li481),tmp=(C_word)a,a+=3,tmp));
t499=*((C_word*)lf[647]+1);
t500=C_mutate((C_word*)lf[650]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17693,a[2]=t499,a[3]=((C_word)li482),tmp=(C_word)a,a+=4,tmp));
t501=C_a_i_list1(&a,1,lf[653]);
t502=C_mutate((C_word*)lf[654]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17711,a[2]=t501,a[3]=((C_word)li483),tmp=(C_word)a,a+=4,tmp));
t503=C_mutate((C_word*)lf[656]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[654]+1));
t504=C_a_i_provide(&a,1,lf[657]);
t505=C_mutate((C_word*)lf[658]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17742,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t506=C_mutate((C_word*)lf[659]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17748,a[2]=((C_word)li485),tmp=(C_word)a,a+=3,tmp));
t507=C_mutate((C_word*)lf[661]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17757,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t508=C_mutate((C_word*)lf[662]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17763,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17772,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[666]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17784,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[668]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17796,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17819,a[2]=((C_word)li491),tmp=(C_word)a,a+=3,tmp));
t513=C_mutate((C_word*)lf[672]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t514=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17848,a[2]=((C_word)li493),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17900,a[2]=((C_word)li495),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17933,a[2]=((C_word)li496),tmp=(C_word)a,a+=3,tmp));
t517=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17939,a[2]=((C_word)li498),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17967,a[2]=((C_word)li500),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18036,a[2]=((C_word)li502),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18107,a[2]=((C_word)li503),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate(&lf[680] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18128,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18167,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18181,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18192,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18203,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t526=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18214,a[2]=((C_word)li510),tmp=(C_word)a,a+=3,tmp));
t527=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18227,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2940: scheme#make-vector */
t528=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t528;
av2[1]=t527;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t528+1)))(4,av2);}}

/* scheme#not in k8543 */
static void C_ccall f_8547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8547,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8543 */
static void C_ccall f_8550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8550,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8543 */
static void C_ccall f_8553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8553,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8543 */
static void C_ccall f_8556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8556,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8543 */
static void C_ccall f_8559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8559,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8543 */
static void C_ccall f_8562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8562,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8543 */
static void C_ccall f_8565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8565,c,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8543 */
static void C_ccall f_8568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8568,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8543 */
static void C_ccall f_8571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8571,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8543 */
static void C_ccall f_8574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8574,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8543 */
static void C_ccall f_8577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8577,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8543 */
static void C_ccall f_8580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8580,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8543 */
static void C_ccall f_8583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8583,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8543 */
static void C_ccall f_8586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8586,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8543 */
static void C_ccall f_8589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8589,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8543 */
static void C_ccall f_8592(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8592,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8543 */
static void C_ccall f_8595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8595,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8543 */
static void C_ccall f_8598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8598,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8543 */
static void C_ccall f_8601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8601,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(C_i_car(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caadr in k8543 */
static void C_ccall f_8615(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8615,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(C_i_cadr(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadar in k8543 */
static void C_ccall f_8622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8622,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(C_i_car(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdaar in k8543 */
static void C_ccall f_8629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8629,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(C_i_car(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdadr in k8543 */
static void C_ccall f_8643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8643,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(C_i_cadr(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddar in k8543 */
static void C_ccall f_8650(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8650,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(C_i_cdr(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdddr in k8543 */
static void C_ccall f_8664(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8664,c,av);}
t3=C_i_cdr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(C_i_cdr(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caaaar in k8543 */
static void C_ccall f_8678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8678,c,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(C_i_car(t4));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaadr in k8543 */
static void C_ccall f_8696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8696,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(C_i_car(C_i_cadr(t2)));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caadar in k8543 */
static void C_ccall f_8707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8707,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(C_i_cadr(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caaddr in k8543 */
static void C_ccall f_8718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8718,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(C_i_caddr(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadaar in k8543 */
static void C_ccall f_8725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8725,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(C_i_car(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadadr in k8543 */
static void C_ccall f_8736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8736,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(C_i_cadr(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddar in k8543 */
static void C_ccall f_8740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8740,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(C_i_car(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdaaar in k8543 */
static void C_ccall f_8747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8747,c,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(C_i_car(t4));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaadr in k8543 */
static void C_ccall f_8765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8765,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(C_i_car(C_i_cadr(t2)));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdadar in k8543 */
static void C_ccall f_8776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8776,c,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(C_i_cadr(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaddr in k8543 */
static void C_ccall f_8787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8787,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(C_i_caddr(t2));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddaar in k8543 */
static void C_ccall f_8794(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8794,c,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(C_i_cdr(t4));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cddadr in k8543 */
static void C_ccall f_8812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8812,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(C_i_cdr(C_i_cadr(t2)));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdddar in k8543 */
static void C_ccall f_8823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8823,c,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(C_i_cdr(t4));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#null? in k8543 */
static void C_ccall f_8841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8841,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8543 */
static void C_ccall f_8847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8847,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8543 */
static void C_ccall f_8850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8850,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8543 */
static void C_ccall f_8853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8853,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8543 */
static void C_ccall f_8856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8856,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8543 */
static void C_ccall f_8859(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8859,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8865,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8865(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8543 */
static void C_fcall f_8865(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8865,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8543 */
static void C_ccall f_8898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8898,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8543 */
static void C_ccall f_8901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8901,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8543 */
static void C_ccall f_8904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8904,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8543 */
static void C_ccall f_8907(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8907,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8543 */
static void C_ccall f_8910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8910,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8543 */
static void C_ccall f_8913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8913,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8543 */
static void C_ccall f_8916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8916,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8543 */
static void C_ccall f_8919(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8919,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8543 */
static void C_ccall f_8922(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8922,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8543 */
static void C_ccall f_8925(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8925,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8543 */
static void C_ccall f_8928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8928,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8543 */
static void C_ccall f_8931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8931,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8543 */
static void C_ccall f_8934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8934,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8543 */
static void C_ccall f_8938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8938,c,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8543 */
static void C_ccall f_8941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8941,c,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8543 */
static void C_ccall f_8947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8947,c,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8543 */
static void C_ccall f_8950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8950,c,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8543 */
static void C_ccall f_8953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8953,c,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8543 */
static void C_ccall f_8956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8956,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8543 */
static void C_ccall f_8959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8959,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8543 */
static void C_ccall f_8967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8967,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8543 */
static void C_ccall f_8971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8971,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8543 */
static void C_ccall f_8974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8974,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8543 */
static void C_ccall f_8977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8977,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8543 */
static void C_ccall f_8980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8980,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8543 */
static void C_ccall f_8983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8983,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8543 */
static void C_ccall f_8986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8986,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8543 */
static void C_ccall f_8989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8989,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8543 */
static void C_ccall f_8992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8992,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8543 */
static void C_ccall f_8996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8996,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8543 */
static void C_ccall f_8999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8999,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8543 */
static void C_ccall f_9002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9002,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8543 */
static void C_ccall f_9005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9005,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8543 */
static void C_ccall f_9008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9008,c,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8543 */
static void C_ccall f_9016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9016,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8543 */
static void C_ccall f_9019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9019,c,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(C_character_code(t2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#integer->char in k8543 */
static void C_ccall f_9026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9026,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9030,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k9028 in scheme#integer->char in k8543 */
static void C_ccall f_9030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9030,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_make_character(C_unfix(((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#char=? in k8543 */
static void C_ccall f_9033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9033,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8543 */
static void C_ccall f_9036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9036,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8543 */
static void C_ccall f_9039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9039,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8543 */
static void C_ccall f_9042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9042,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8543 */
static void C_ccall f_9045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9045,c,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8543 */
static void C_ccall f_9048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9048,c,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8543 */
static void C_ccall f_9054(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9054,c,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8543 */
static void C_ccall f_9065(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9065,c,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8543 */
static void C_ccall f_9071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9071,c,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8543 */
static void C_ccall f_9077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9077,c,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8543 */
static void C_ccall f_9083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9083,c,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8543 */
static void C_ccall f_9089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9089,c,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8543 */
static void C_ccall f_9095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9095,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8543 */
static void C_ccall f_9102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9102,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_blockp(t2))?C_input_portp(t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#output-port? in k8543 */
static void C_ccall f_9108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9108,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_blockp(t2))?C_output_portp(t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eof-object? in k8543 */
static void C_ccall f_9124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9124,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8543 */
static void C_ccall f_9135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9135,c,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8543 */
static void C_ccall f_9141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9141,c,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8543 */
static void C_ccall f_9147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9147,c,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8543 */
static void C_ccall f_9153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9153,c,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8543 */
static void C_ccall f_9159(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9159,c,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8543 */
static void C_ccall f_9168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9168,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8543 */
static void C_ccall f_9171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9171,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8543 */
static void C_ccall f_9174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9174,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8543 */
static void C_ccall f_9177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9177,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8543 */
static void C_ccall f_9180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9180,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8543 */
static void C_ccall f_9183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9183,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8543 */
static void C_ccall f_9187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9187,c,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9193,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9199,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:620: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9192 in chicken.base#quotient&modulo in k8543 */
static void C_ccall f_9193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9193,c,av);}
/* library.scm:620: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9198 in chicken.base#quotient&modulo in k8543 */
static void C_ccall f_9199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9199,c,av);}
a=C_alloc(29);
if(C_truep(C_i_positivep(((C_word*)t0)[2]))){
if(C_truep(C_i_negativep(t3))){
t4=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[2]);
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t4;
C_values(4,av2);}}
else{
/* library.scm:625: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
if(C_truep(C_i_positivep(t3))){
t4=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[2]);
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t4;
C_values(4,av2);}}
else{
/* library.scm:628: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8543 */
static void C_ccall f_9234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9234,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8543 */
static void C_ccall f_9237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9237,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8543 */
static void C_ccall f_9240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9240,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8543 */
static void C_ccall f_9248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9248,c,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8543 */
static void C_ccall f_9254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9254,c,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8543 */
static void C_ccall f_9261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9261,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:649: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8543 */
static void C_ccall f_9276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9276,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8543 */
static void C_ccall f_9299(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9299,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[218]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8543 */
static void C_ccall f_9305(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9305,c,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[218],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8543 */
static void C_ccall f_9311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9311,c,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9318,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:695: promise? */
t4=*((C_word*)lf[217]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9316 in chicken.base#make-promise in k8543 */
static void C_ccall f_9318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9318,c,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9323,a[2]=((C_word*)t0)[3],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:696: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[219]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[219]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
tp(3,av2);}}}

/* a9322 in k9316 in chicken.base#make-promise in k8543 */
static void C_ccall f_9323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9323,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8543 */
static void C_ccall f_9326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9326,c,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9335,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9335(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8543 */
static void C_fcall f_9335(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9335,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9353,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:705: f */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k9351 in loop in chicken.base#foldl in k8543 */
static void C_ccall f_9353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9353,c,av);}
/* library.scm:705: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9335(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8543 */
static void C_ccall f_9363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9363,c,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[224]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9372,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9372(t9,t1,t4);}

/* loop in chicken.base#foldr in k8543 */
static void C_fcall f_9372(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9372,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9390,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:712: loop */
t7=t5;
t8=C_slot(t2,C_fix(1));
t1=t7;
t2=t8;
goto loop;}}

/* k9388 in loop in chicken.base#foldr in k8543 */
static void C_ccall f_9390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9390,c,av);}
/* library.scm:712: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8543 */
static void C_ccall f_9403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9403,c,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[227]+1));
t4=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8543 */
static void C_ccall f_9410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9410,c,av);}
a=C_alloc(4);
if(C_truep(C_rest_nullp(c,2))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34740,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: chicken.base#exit-handler */
t3=*((C_word*)lf[226]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9417,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: chicken.base#exit-handler */
t4=*((C_word*)lf[226]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9415 in chicken.base#exit in k8543 */
static void C_ccall f_9417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9417,c,av);}
/* library.scm:724: g673 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8543 */
static void C_ccall f_9428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9428,c,av);}
a=C_alloc(4);
if(C_truep(C_rest_nullp(c,2))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34185,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:728: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=lf[231];
tp(4,av2);}}
else{
t2=C_get_rest_arg(c,2,av,2,t0);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9435,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:728: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[231];
tp(4,av2);}}}

/* k9433 in chicken.base#emergency-exit in k8543 */
static void C_ccall f_9435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9435,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8543 */
static void C_ccall f_9447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9447,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8543 */
static void C_ccall f_9450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9450,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9452,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9452 in chicken.base#conjoin in k8543 */
static void C_ccall f_9452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9452,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9458,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9458(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9458(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9458,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9474,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:746: g702 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9472 in loop */
static void C_ccall f_9474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9474,c,av);}
if(C_truep(t1)){
/* library.scm:747: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9458(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8543 */
static void C_ccall f_9483(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9483,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9485,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9485 in chicken.base#disjoin in k8543 */
static void C_ccall f_9485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9485,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9491,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9491(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9491(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9491,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9504,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:753: g714 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9502 in loop */
static void C_ccall f_9504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9504,c,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:754: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_9491(t2,((C_word*)t0)[2],C_slot(((C_word*)t0)[4],C_fix(1)));}}

/* chicken.base#constantly in k8543 */
static void C_ccall f_9520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9520,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_eqp(C_fix(1),C_u_i_length(t2));
if(C_truep(t3)){
t4=C_i_car(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9531,a[2]=t4,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9533,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9531 in chicken.base#constantly in k8543 */
static void C_ccall f_9531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9531,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9533 in chicken.base#constantly in k8543 */
static void C_ccall f_9533(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9533,c,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8543 */
static void C_ccall f_9541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9541,c,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9543,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9543 in chicken.base#flip in k8543 */
static void C_ccall f_9543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9543,c,av);}
/* library.scm:762: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8543 */
static void C_ccall f_9549(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9549,c,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9551,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9551 in chicken.base#complement in k8543 */
static void C_ccall f_9551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9551,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9559,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9557 */
static void C_ccall f_9559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9559,c,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8543 */
static void C_ccall f_9561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9561,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9564,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_rest_nullp(c,2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8543 */
static void C_ccall f_9564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9564,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9572,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9572 in rec in chicken.base#compose in k8543 */
static void C_ccall f_9572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9572,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9578,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:773: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9577 */
static void C_ccall f_9578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9578,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9586,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9584 in a9577 */
static void C_ccall f_9586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9586,c,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8543 */
static void C_ccall f_9597(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9597,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_rest_nullp(c,2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[236]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9609,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9609(t6,t1,t2);}}

/* loop in chicken.base#o in k8543 */
static void C_fcall f_9609(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9609,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9623,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* f_9623 in loop in chicken.base#o in k8543 */
static void C_ccall f_9623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9623,c,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9631,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:788: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9609(t4,t3,((C_word*)t0)[4]);}

/* k9629 */
static void C_ccall f_9631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9631,c,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9634,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:788: g743 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9632 in k9629 */
static void C_ccall f_9634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9634,c,av);}
/* library.scm:788: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8543 */
static void C_ccall f_9636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9636,c,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9638,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9638 in chicken.base#list-of? in k8543 */
static void C_ccall f_9638(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9638,c,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9644,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9644(t6,t1,t2);}

/* loop */
static void C_fcall f_9644(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9644,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9663,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:795: pred */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=C_slot(t2,C_fix(0));
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}}}

/* k9661 in loop */
static void C_ccall f_9663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9663,c,av);}
if(C_truep(t1)){
/* library.scm:795: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9644(t2,((C_word*)t0)[3],C_slot(((C_word*)t0)[4],C_fix(1)));}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8543 */
static void C_ccall f_9680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9680,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9688,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9702,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9688 in chicken.base#each in k8543 */
static void C_ccall f_9688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9688,c,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[246]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9702 in chicken.base#each in k8543 */
static void C_ccall f_9702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9702,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9708,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9708(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9708(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9708,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9727,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t5;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9725 in loop */
static void C_ccall f_9727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9727,c,av);}
/* library.scm:810: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9708(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8543 */
static void C_ccall f_9736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9736,c,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8543 */
static void C_ccall f_9739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9739,c,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[249]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9751,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9751(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8543 */
static C_word C_fcall f_9751(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t3=C_slot(t1,C_fix(1));
t1=t3;
goto loop;}}}

/* chicken.base#intersperse in k8543 */
static void C_ccall f_9767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9767,c,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9773,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9773(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8543 */
static void C_fcall f_9773(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9773,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9798,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:833: loop */
t7=t5;
t8=t3;
t1=t7;
t2=t8;
goto loop;}}}

/* k9796 in loop in chicken.base#intersperse in k8543 */
static void C_ccall f_9798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9798,c,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8543 */
static void C_ccall f_9800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9800,c,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[252]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9809,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9809(t7,t1,t2);}

/* loop in chicken.base#butlast in k8543 */
static void C_fcall f_9809(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9809,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9830,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:840: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9828 in loop in chicken.base#butlast in k8543 */
static void C_ccall f_9830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9830,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8543 */
static void C_ccall f_9832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9832,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9838,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9838(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8543 */
static void C_fcall f_9838(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9838,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t4))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9864,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:850: loop */
t8=t6;
t9=t5;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9871,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:851: loop */
t8=t6;
t9=t5;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k9862 in loop in chicken.base#flatten in k8543 */
static void C_ccall f_9864(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9864,c,av);}
/* library.scm:850: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9838(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9869 in loop in chicken.base#flatten in k8543 */
static void C_ccall f_9871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9871,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8543 */
static void C_ccall f_9873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9873,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t4=C_i_pairp(t3);
t5=(C_truep(t4)?C_get_rest_arg(c,3,av,3,t0):C_SCHEME_END_OF_LIST);
t6=C_i_check_list_2(t5,lf[255]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9885,a[2]=t5,a[3]=t8,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_9885(t10,t1,t2);}

/* loop in chicken.base#join in k8543 */
static void C_fcall f_9885(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9885,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:861: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9920,a[2]=t1,a[3]=t4,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:867: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}}

/* k9918 in loop in chicken.base#join in k8543 */
static void C_ccall f_9920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9920,c,av);}
/* library.scm:867: ##sys#append */
t2=*((C_word*)lf[256]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8543 */
static void C_ccall f_9930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9930,c,av);}
a=C_alloc(7);
t4=lf[258];
t5=C_i_check_list_2(t3,lf[259]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9939,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9939(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8543 */
static void C_fcall f_9939(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9939,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:876: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[259];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:878: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[260];
av2[3]=lf[259];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9981,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:880: loop */
t9=t7;
t10=C_slot(t2,C_fix(1));
t11=C_slot(t3,C_fix(1));
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:881: loop */
t9=t1;
t10=C_slot(t2,C_fix(1));
t11=C_slot(t3,C_fix(1));
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}}}

/* k9979 in loop in chicken.base#compress in k8543 */
static void C_ccall f_9981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9981,c,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7827))){
C_save(t1);
C_rereclaim2(7827*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1404);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],29, C_text("##sys#error-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],18, C_text("##sys#check-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],11, C_text("##sys#error"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],17, C_text("##sys#signal-hook"));
lf[195]=C_h_intern_kw(&lf[195],5, C_text("error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],27, C_text("chicken.base#record-printer"));
lf[205]=C_h_intern(&lf[205],32, C_text("chicken.base#set-record-printer!"));
lf[206]=C_h_intern(&lf[206],25, C_text("chicken.base#vector-copy!"));
lf[207]=C_h_intern(&lf[207],22, C_text("chicken.base#subvector"));
lf[208]=C_h_intern(&lf[208],26, C_text("chicken.base#vector-resize"));
lf[209]=C_h_intern(&lf[209],18, C_text("chicken.base#port\077"));
lf[210]=C_h_intern(&lf[210],25, C_text("chicken.base#port-closed\077"));
lf[211]=C_h_intern(&lf[211],29, C_text("chicken.base#input-port-open\077"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#output-port-open\077"));
lf[213]=C_h_intern(&lf[213],30, C_text("chicken.base#get-output-string"));
lf[214]=C_h_intern(&lf[214],30, C_text("chicken.base#open-input-string"));
lf[215]=C_h_intern(&lf[215],31, C_text("chicken.base#open-output-string"));
lf[216]=C_h_intern(&lf[216],25, C_text("chicken.base#flush-output"));
lf[217]=C_h_intern(&lf[217],21, C_text("chicken.base#promise\077"));
lf[218]=C_h_intern(&lf[218],7, C_text("promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("##sys#make-promise"));
lf[220]=C_h_intern(&lf[220],25, C_text("chicken.base#make-promise"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldl"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldl"));
lf[223]=C_h_intern(&lf[223],18, C_text("chicken.base#foldr"));
lf[224]=C_h_intern(&lf[224],5, C_text("foldr"));
lf[225]=C_h_intern(&lf[225],34, C_text("chicken.base#implicit-exit-handler"));
lf[226]=C_h_intern(&lf[226],25, C_text("chicken.base#exit-handler"));
lf[227]=C_h_intern(&lf[227],26, C_text("chicken.base#cleanup-tasks"));
lf[228]=C_h_intern(&lf[228],20, C_text("chicken.base#on-exit"));
lf[229]=C_h_intern(&lf[229],17, C_text("chicken.base#exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#emergency-exit"));
lf[231]=C_h_intern(&lf[231],14, C_text("emergency-exit"));
lf[232]=C_h_intern(&lf[232],27, C_text("chicken.base#case-sensitive"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#keyword-style"));
lf[234]=C_h_intern(&lf[234],33, C_text("chicken.base#parentheses-synonyms"));
lf[235]=C_h_intern(&lf[235],26, C_text("chicken.base#symbol-escape"));
lf[236]=C_h_intern(&lf[236],21, C_text("chicken.base#identity"));
lf[237]=C_h_intern(&lf[237],20, C_text("chicken.base#conjoin"));
lf[238]=C_h_intern(&lf[238],20, C_text("chicken.base#disjoin"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#constantly"));
lf[240]=C_h_intern(&lf[240],17, C_text("chicken.base#flip"));
lf[241]=C_h_intern(&lf[241],23, C_text("chicken.base#complement"));
lf[242]=C_h_intern(&lf[242],20, C_text("chicken.base#compose"));
lf[243]=C_h_intern(&lf[243],14, C_text("chicken.base#o"));
lf[244]=C_h_intern(&lf[244],21, C_text("chicken.base#list-of\077"));
lf[245]=C_h_intern(&lf[245],17, C_text("chicken.base#each"));
lf[246]=C_h_intern(&lf[246],21, C_text("##sys#undefined-value"));
lf[247]=C_h_intern(&lf[247],18, C_text("chicken.base#atom\077"));
lf[248]=C_h_intern(&lf[248],18, C_text("chicken.base#tail\077"));
lf[249]=C_h_intern(&lf[249],5, C_text("tail\077"));
lf[250]=C_h_intern(&lf[250],24, C_text("chicken.base#intersperse"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#butlast"));
lf[252]=C_h_intern(&lf[252],7, C_text("butlast"));
lf[253]=C_h_intern(&lf[253],20, C_text("chicken.base#flatten"));
lf[254]=C_h_intern(&lf[254],17, C_text("chicken.base#join"));
lf[255]=C_h_intern(&lf[255],4, C_text("join"));
lf[256]=C_h_intern(&lf[256],12, C_text("##sys#append"));
lf[257]=C_h_intern(&lf[257],21, C_text("chicken.base#compress"));
lf[258]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[259]=C_h_intern(&lf[259],8, C_text("compress"));
lf[260]=C_h_intern_kw(&lf[260],10, C_text("type-error"));
lf[261]=C_h_intern(&lf[261],26, C_text("chicken.base#alist-update!"));
lf[262]=C_h_intern(&lf[262],25, C_text("chicken.base#alist-update"));
lf[263]=C_h_intern(&lf[263],12, C_text("alist-update"));
lf[264]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[265]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[266]=C_h_intern(&lf[266],22, C_text("chicken.base#alist-ref"));
lf[267]=C_h_intern(&lf[267],9, C_text("alist-ref"));
lf[268]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[269]=C_h_intern(&lf[269],19, C_text("chicken.base#rassoc"));
lf[270]=C_h_intern(&lf[270],6, C_text("rassoc"));
lf[272]=C_h_intern(&lf[272],15, C_text("chicken.fixnum#"));
lf[273]=C_h_intern(&lf[273],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[274]=C_h_intern(&lf[274],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[275]=C_h_intern(&lf[275],26, C_text("chicken.fixnum#fixnum-bits"));
lf[276]=C_h_intern(&lf[276],31, C_text("chicken.fixnum#fixnum-precision"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx+"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx-"));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx\052"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx="));
lf[281]=C_h_intern(&lf[281],18, C_text("chicken.fixnum#fx>"));
lf[282]=C_h_intern(&lf[282],18, C_text("chicken.fixnum#fx<"));
lf[283]=C_h_intern(&lf[283],19, C_text("chicken.fixnum#fx>="));
lf[284]=C_h_intern(&lf[284],19, C_text("chicken.fixnum#fx<="));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxmin"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxmax"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxneg"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxand"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxior"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxxor"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxnot"));
lf[292]=C_h_intern(&lf[292],20, C_text("chicken.fixnum#fxshl"));
lf[293]=C_h_intern(&lf[293],20, C_text("chicken.fixnum#fxshr"));
lf[294]=C_h_intern(&lf[294],21, C_text("chicken.fixnum#fxodd\077"));
lf[295]=C_h_intern(&lf[295],22, C_text("chicken.fixnum#fxeven\077"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxlen"));
lf[297]=C_h_intern(&lf[297],18, C_text("chicken.fixnum#fx/"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxgcd"));
lf[299]=C_h_intern(&lf[299],20, C_text("chicken.fixnum#fxmod"));
lf[300]=C_h_intern(&lf[300],20, C_text("chicken.fixnum#fxrem"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx+\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx-\077"));
lf[303]=C_h_intern(&lf[303],19, C_text("chicken.fixnum#fx\052\077"));
lf[304]=C_h_intern(&lf[304],19, C_text("chicken.fixnum#fx/\077"));
lf[305]=C_h_intern(&lf[305],17, C_text("##sys#debug-mode\077"));
lf[306]=C_h_intern(&lf[306],22, C_text("##sys#warnings-enabled"));
lf[307]=C_h_intern(&lf[307],21, C_text("##sys#notices-enabled"));
lf[308]=C_h_intern(&lf[308],20, C_text("chicken.base#warning"));
lf[309]=C_h_intern_kw(&lf[309],7, C_text("warning"));
lf[310]=C_h_intern(&lf[310],19, C_text("chicken.base#notice"));
lf[311]=C_h_intern_kw(&lf[311],6, C_text("notice"));
lf[312]=C_h_intern(&lf[312],28, C_text("chicken.base#enable-warnings"));
lf[313]=C_h_intern(&lf[313],10, C_text("##sys#warn"));
lf[314]=C_h_intern(&lf[314],12, C_text("##sys#notice"));
lf[315]=C_h_intern(&lf[315],8, C_text("##sys#gc"));
lf[316]=C_h_intern(&lf[316],13, C_text("##sys#setslot"));
lf[317]=C_h_intern(&lf[317],14, C_text("##sys#setislot"));
lf[318]=C_h_intern(&lf[318],21, C_text("##sys#allocate-vector"));
lf[319]=C_h_intern(&lf[319],20, C_text("##sys#make-structure"));
lf[320]=C_h_intern(&lf[320],25, C_text("##sys#ensure-heap-reserve"));
lf[321]=C_h_intern(&lf[321],23, C_text("##sys#symbol-table-info"));
lf[322]=C_h_intern(&lf[322],17, C_text("##sys#memory-info"));
lf[323]=C_h_intern(&lf[323],17, C_text("##sys#start-timer"));
lf[324]=C_h_intern(&lf[324],16, C_text("##sys#stop-timer"));
lf[325]=C_h_intern(&lf[325],16, C_text("##sys#immediate\077"));
lf[326]=C_h_intern(&lf[326],13, C_text("##sys#message"));
lf[327]=C_h_intern(&lf[327],10, C_text("##sys#byte"));
lf[328]=C_h_intern(&lf[328],13, C_text("##sys#setbyte"));
lf[329]=C_h_intern(&lf[329],10, C_text("##sys#void"));
lf[330]=C_h_intern(&lf[330],10, C_text("##sys#halt"));
lf[331]=C_h_intern(&lf[331],13, C_text("##sys#become!"));
lf[332]=C_h_intern(&lf[332],15, C_text("##sys#block-ref"));
lf[333]=C_h_intern(&lf[333],18, C_text("##sys#apply-values"));
lf[334]=C_h_intern(&lf[334],18, C_text("##sys#copy-closure"));
lf[335]=C_h_intern(&lf[335],16, C_text("##sys#block-set!"));
lf[336]=C_h_intern(&lf[336],17, C_text("##sys#check-range"));
lf[337]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[338]=C_h_intern(&lf[338],13, C_text("chicken.time#"));
lf[339]=C_h_intern(&lf[339],33, C_text("chicken.time#current-milliseconds"));
lf[340]=C_h_intern(&lf[340],28, C_text("chicken.time#current-seconds"));
lf[341]=C_h_intern(&lf[341],21, C_text("chicken.time#cpu-time"));
lf[342]=C_h_intern(&lf[342],21, C_text("##sys#check-structure"));
lf[343]=C_h_intern(&lf[343],16, C_text("##sys#check-blob"));
lf[344]=C_h_intern(&lf[344],23, C_text("##sys#check-byte-vector"));
lf[345]=C_h_intern(&lf[345],16, C_text("##sys#check-pair"));
lf[346]=C_h_intern(&lf[346],16, C_text("##sys#check-list"));
lf[347]=C_h_intern(&lf[347],18, C_text("##sys#check-string"));
lf[348]=C_h_intern(&lf[348],18, C_text("##sys#check-number"));
lf[349]=C_h_intern(&lf[349],17, C_text("##sys#check-exact"));
lf[350]=C_h_intern(&lf[350],19, C_text("##sys#check-inexact"));
lf[351]=C_h_intern(&lf[351],18, C_text("##sys#check-symbol"));
lf[352]=C_h_intern(&lf[352],19, C_text("##sys#check-keyword"));
lf[353]=C_h_intern(&lf[353],18, C_text("##sys#check-vector"));
lf[354]=C_h_intern(&lf[354],16, C_text("##sys#check-char"));
lf[355]=C_h_intern(&lf[355],19, C_text("##sys#check-boolean"));
lf[356]=C_h_intern(&lf[356],20, C_text("##sys#check-locative"));
lf[357]=C_h_intern(&lf[357],19, C_text("##sys#check-integer"));
lf[358]=C_h_intern(&lf[358],23, C_text("##sys#error-bad-integer"));
lf[359]=C_h_intern(&lf[359],25, C_text("##sys#check-exact-integer"));
lf[360]=C_h_intern(&lf[360],29, C_text("##sys#error-bad-exact-integer"));
lf[361]=C_h_intern(&lf[361],26, C_text("##sys#check-exact-uinteger"));
lf[362]=C_h_intern(&lf[362],30, C_text("##sys#error-bad-exact-uinteger"));
lf[363]=C_h_intern(&lf[363],16, C_text("##sys#check-real"));
lf[364]=C_h_intern(&lf[364],20, C_text("##sys#error-bad-real"));
lf[365]=C_h_intern(&lf[365],16, C_text("##sys#error-hook"));
lf[366]=C_h_intern(&lf[366],19, C_text("##sys#check-special"));
lf[367]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[368]=C_h_intern(&lf[368],19, C_text("##sys#check-closure"));
lf[369]=C_h_intern(&lf[369],12, C_text("scheme#force"));
lf[370]=C_h_intern(&lf[370],10, C_text("##sys#list"));
lf[371]=C_h_intern(&lf[371],11, C_text("##sys#dload"));
lf[372]=C_h_intern(&lf[372],23, C_text("##sys#set-dlopen-flags!"));
lf[373]=C_h_intern(&lf[373],22, C_text("##sys#error-bad-number"));
lf[374]=C_h_intern(&lf[374],23, C_text("##sys#error-bad-inexact"));
lf[375]=C_h_intern(&lf[375],20, C_text("##sys#error-bad-base"));
lf[376]=C_h_intern(&lf[376],13, C_text("scheme#append"));
lf[377]=C_h_intern(&lf[377],6, C_text("append"));
lf[378]=C_h_intern(&lf[378],18, C_text("##sys#fast-reverse"));
lf[379]=C_h_intern(&lf[379],17, C_text("##sys#make-string"));
lf[380]=C_h_intern(&lf[380],18, C_text("scheme#make-string"));
lf[381]=C_h_intern(&lf[381],11, C_text("make-string"));
lf[382]=C_h_intern_kw(&lf[382],12, C_text("bounds-error"));
lf[383]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[384]=C_h_intern(&lf[384],19, C_text("scheme#string->list"));
lf[385]=C_h_intern(&lf[385],12, C_text("string->list"));
lf[386]=C_h_intern(&lf[386],18, C_text("##sys#string->list"));
lf[387]=C_h_intern(&lf[387],19, C_text("scheme#list->string"));
lf[388]=C_h_intern(&lf[388],12, C_text("list->string"));
lf[389]=C_h_intern(&lf[389],18, C_text("##sys#list->string"));
lf[390]=C_h_intern(&lf[390],26, C_text("##sys#reverse-list->string"));
lf[391]=C_h_intern(&lf[391],20, C_text("reverse-list->string"));
lf[392]=C_h_intern(&lf[392],19, C_text("scheme#string-fill!"));
lf[393]=C_h_intern(&lf[393],12, C_text("string-fill!"));
lf[394]=C_h_intern(&lf[394],18, C_text("scheme#string-copy"));
lf[395]=C_h_intern(&lf[395],11, C_text("string-copy"));
lf[396]=C_h_intern(&lf[396],16, C_text("scheme#substring"));
lf[397]=C_h_intern(&lf[397],9, C_text("substring"));
lf[398]=C_h_intern(&lf[398],15, C_text("##sys#substring"));
lf[399]=C_h_intern(&lf[399],15, C_text("scheme#string<\077"));
lf[400]=C_h_intern(&lf[400],8, C_text("string<\077"));
lf[401]=C_h_intern(&lf[401],15, C_text("scheme#string>\077"));
lf[402]=C_h_intern(&lf[402],8, C_text("string>\077"));
lf[403]=C_h_intern(&lf[403],16, C_text("scheme#string<=\077"));
lf[404]=C_h_intern(&lf[404],9, C_text("string<=\077"));
lf[405]=C_h_intern(&lf[405],16, C_text("scheme#string>=\077"));
lf[406]=C_h_intern(&lf[406],9, C_text("string>=\077"));
lf[407]=C_h_intern(&lf[407],18, C_text("scheme#string-ci<\077"));
lf[408]=C_h_intern(&lf[408],11, C_text("string-ci<\077"));
lf[409]=C_h_intern(&lf[409],18, C_text("scheme#string-ci>\077"));
lf[410]=C_h_intern(&lf[410],11, C_text("string-ci>\077"));
lf[411]=C_h_intern(&lf[411],19, C_text("scheme#string-ci<=\077"));
lf[412]=C_h_intern(&lf[412],12, C_text("string-ci<=\077"));
lf[413]=C_h_intern(&lf[413],19, C_text("scheme#string-ci>=\077"));
lf[414]=C_h_intern(&lf[414],12, C_text("string-ci>=\077"));
lf[415]=C_h_intern(&lf[415],19, C_text("##sys#string-append"));
lf[416]=C_h_intern(&lf[416],20, C_text("scheme#string-append"));
lf[417]=C_h_intern(&lf[417],13, C_text("string-append"));
lf[418]=C_h_intern(&lf[418],13, C_text("scheme#string"));
lf[419]=C_h_intern(&lf[419],23, C_text("##sys#fragments->string"));
lf[420]=C_h_intern(&lf[420],17, C_text("chicken.base#chop"));
lf[421]=C_h_intern(&lf[421],4, C_text("chop"));
lf[422]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[423]=C_h_intern(&lf[423],15, C_text("chicken.flonum#"));
lf[424]=C_h_intern(&lf[424],29, C_text("chicken.flonum#maximum-flonum"));
lf[425]=C_h_intern(&lf[425],29, C_text("chicken.flonum#minimum-flonum"));
lf[426]=C_h_intern(&lf[426],27, C_text("chicken.flonum#flonum-radix"));
lf[427]=C_h_intern(&lf[427],29, C_text("chicken.flonum#flonum-epsilon"));
lf[428]=C_h_intern(&lf[428],31, C_text("chicken.flonum#flonum-precision"));
lf[429]=C_h_intern(&lf[429],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[430]=C_h_intern(&lf[430],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[431]=C_h_intern(&lf[431],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[432]=C_h_intern(&lf[432],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[433]=C_h_intern(&lf[433],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[434]=C_h_intern(&lf[434],18, C_text("chicken.flonum#fp+"));
lf[435]=C_h_intern(&lf[435],3, C_text("fp+"));
lf[436]=C_h_intern(&lf[436],18, C_text("chicken.flonum#fp-"));
lf[437]=C_h_intern(&lf[437],3, C_text("fp-"));
lf[438]=C_h_intern(&lf[438],18, C_text("chicken.flonum#fp\052"));
lf[439]=C_h_intern(&lf[439],3, C_text("fp\052"));
lf[440]=C_h_intern(&lf[440],18, C_text("chicken.flonum#fp/"));
lf[441]=C_h_intern(&lf[441],3, C_text("fp/"));
lf[442]=C_h_intern(&lf[442],20, C_text("chicken.flonum#fpgcd"));
lf[443]=C_h_intern(&lf[443],5, C_text("fpgcd"));
lf[444]=C_h_intern(&lf[444],19, C_text("chicken.flonum#fp/\077"));
lf[445]=C_h_intern(&lf[445],4, C_text("fp/\077"));
lf[446]=C_h_intern(&lf[446],18, C_text("chicken.flonum#fp="));
lf[447]=C_h_intern(&lf[447],3, C_text("fp="));
lf[448]=C_h_intern(&lf[448],18, C_text("chicken.flonum#fp>"));
lf[449]=C_h_intern(&lf[449],3, C_text("fp>"));
lf[450]=C_h_intern(&lf[450],18, C_text("chicken.flonum#fp<"));
lf[451]=C_h_intern(&lf[451],3, C_text("fp<"));
lf[452]=C_h_intern(&lf[452],19, C_text("chicken.flonum#fp>="));
lf[453]=C_h_intern(&lf[453],4, C_text("fp>="));
lf[454]=C_h_intern(&lf[454],19, C_text("chicken.flonum#fp<="));
lf[455]=C_h_intern(&lf[455],4, C_text("fp<="));
lf[456]=C_h_intern(&lf[456],20, C_text("chicken.flonum#fpneg"));
lf[457]=C_h_intern(&lf[457],5, C_text("fpneg"));
lf[458]=C_h_intern(&lf[458],20, C_text("chicken.flonum#fpmax"));
lf[459]=C_h_intern(&lf[459],5, C_text("fpmax"));
lf[460]=C_h_intern(&lf[460],20, C_text("chicken.flonum#fpmin"));
lf[461]=C_h_intern(&lf[461],5, C_text("fpmin"));
lf[462]=C_h_intern(&lf[462],22, C_text("chicken.flonum#fpfloor"));
lf[463]=C_h_intern(&lf[463],7, C_text("fpfloor"));
lf[464]=C_h_intern(&lf[464],25, C_text("chicken.flonum#fptruncate"));
lf[465]=C_h_intern(&lf[465],10, C_text("fptruncate"));
lf[466]=C_h_intern(&lf[466],22, C_text("chicken.flonum#fpround"));
lf[467]=C_h_intern(&lf[467],7, C_text("fpround"));
lf[468]=C_h_intern(&lf[468],24, C_text("chicken.flonum#fpceiling"));
lf[469]=C_h_intern(&lf[469],9, C_text("fpceiling"));
lf[470]=C_h_intern(&lf[470],20, C_text("chicken.flonum#fpsin"));
lf[471]=C_h_intern(&lf[471],5, C_text("fpsin"));
lf[472]=C_h_intern(&lf[472],20, C_text("chicken.flonum#fpcos"));
lf[473]=C_h_intern(&lf[473],5, C_text("fpcos"));
lf[474]=C_h_intern(&lf[474],20, C_text("chicken.flonum#fptan"));
lf[475]=C_h_intern(&lf[475],5, C_text("fptan"));
lf[476]=C_h_intern(&lf[476],21, C_text("chicken.flonum#fpasin"));
lf[477]=C_h_intern(&lf[477],6, C_text("fpasin"));
lf[478]=C_h_intern(&lf[478],21, C_text("chicken.flonum#fpacos"));
lf[479]=C_h_intern(&lf[479],6, C_text("fpacos"));
lf[480]=C_h_intern(&lf[480],21, C_text("chicken.flonum#fpatan"));
lf[481]=C_h_intern(&lf[481],6, C_text("fpatan"));
lf[482]=C_h_intern(&lf[482],22, C_text("chicken.flonum#fpatan2"));
lf[483]=C_h_intern(&lf[483],7, C_text("fpatan2"));
lf[484]=C_h_intern(&lf[484],20, C_text("chicken.flonum#fpexp"));
lf[485]=C_h_intern(&lf[485],5, C_text("fpexp"));
lf[486]=C_h_intern(&lf[486],21, C_text("chicken.flonum#fpexpt"));
lf[487]=C_h_intern(&lf[487],6, C_text("fpexpt"));
lf[488]=C_h_intern(&lf[488],20, C_text("chicken.flonum#fplog"));
lf[489]=C_h_intern(&lf[489],5, C_text("fplog"));
lf[490]=C_h_intern(&lf[490],21, C_text("chicken.flonum#fpsqrt"));
lf[491]=C_h_intern(&lf[491],6, C_text("fpsqrt"));
lf[492]=C_h_intern(&lf[492],20, C_text("chicken.flonum#fpabs"));
lf[493]=C_h_intern(&lf[493],5, C_text("fpabs"));
lf[494]=C_h_intern(&lf[494],25, C_text("chicken.flonum#fpinteger\077"));
lf[495]=C_h_intern(&lf[495],10, C_text("fpinteger\077"));
lf[496]=C_h_intern(&lf[496],37, C_text("chicken.flonum#flonum-print-precision"));
lf[497]=C_h_intern(&lf[497],22, C_text("flonum-print-precision"));
lf[498]=C_h_intern(&lf[498],13, C_text("##sys#number\077"));
lf[499]=C_h_intern(&lf[499],14, C_text("##sys#integer\077"));
lf[500]=C_h_intern(&lf[500],12, C_text("##sys#exact\077"));
lf[501]=C_h_intern(&lf[501],14, C_text("##sys#inexact\077"));
lf[503]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[504]=C_h_intern(&lf[504],23, C_text("scheme#make-rectangular"));
lf[505]=C_h_intern(&lf[505],16, C_text("make-rectangular"));
lf[506]=C_h_intern(&lf[506],17, C_text("scheme#make-polar"));
lf[507]=C_h_intern(&lf[507],10, C_text("make-polar"));
lf[508]=C_h_intern(&lf[508],16, C_text("scheme#real-part"));
lf[509]=C_h_intern(&lf[509],9, C_text("real-part"));
lf[510]=C_h_intern(&lf[510],16, C_text("scheme#imag-part"));
lf[511]=C_h_intern(&lf[511],9, C_text("imag-part"));
lf[512]=C_h_intern(&lf[512],12, C_text("scheme#angle"));
lf[513]=C_h_intern(&lf[513],5, C_text("angle"));
lf[514]=C_h_intern(&lf[514],16, C_text("scheme#magnitude"));
lf[515]=C_h_intern(&lf[515],11, C_text("scheme#sqrt"));
lf[516]=C_h_intern(&lf[516],9, C_text("magnitude"));
lf[518]=C_h_intern(&lf[518],16, C_text("scheme#numerator"));
lf[519]=C_h_intern(&lf[519],11, C_text("bad-inexact"));
lf[520]=C_h_intern(&lf[520],9, C_text("numerator"));
lf[521]=C_h_intern(&lf[521],21, C_text("scheme#inexact->exact"));
lf[522]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[523]=C_h_intern(&lf[523],18, C_text("scheme#denominator"));
lf[524]=C_h_intern(&lf[524],11, C_text("denominator"));
lf[525]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[526]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[527]=C_h_intern(&lf[527],21, C_text("##sys#extended-signum"));
lf[528]=C_h_intern(&lf[528],6, C_text("signum"));
lf[529]=C_h_intern(&lf[529],9, C_text("##sys#/-2"));
lf[530]=C_h_intern(&lf[530],14, C_text("inexact->exact"));
lf[531]=C_h_intern(&lf[531],19, C_text("##sys#integer-power"));
lf[532]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[533]=C_h_intern(&lf[533],11, C_text("scheme#expt"));
lf[534]=C_h_intern(&lf[534],20, C_text("##sys#exact->inexact"));
lf[535]=C_h_intern(&lf[535],20, C_text("##sys#inexact->exact"));
lf[536]=C_h_intern(&lf[536],16, C_text("chicken.bitwise#"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-and"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-ior"));
lf[539]=C_h_intern(&lf[539],27, C_text("chicken.bitwise#bitwise-xor"));
lf[540]=C_h_intern(&lf[540],27, C_text("chicken.bitwise#bitwise-not"));
lf[541]=C_h_intern(&lf[541],28, C_text("chicken.bitwise#bit->boolean"));
lf[542]=C_h_intern(&lf[542],30, C_text("chicken.bitwise#integer-length"));
lf[543]=C_h_intern(&lf[543],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[544]=C_h_intern(&lf[544],8, C_text("scheme#/"));
lf[546]=C_h_intern(&lf[546],1, C_text("/"));
lf[547]=C_h_intern(&lf[547],12, C_text("scheme#floor"));
lf[548]=C_h_intern(&lf[548],5, C_text("floor"));
lf[549]=C_h_intern(&lf[549],14, C_text("scheme#ceiling"));
lf[550]=C_h_intern(&lf[550],7, C_text("ceiling"));
lf[551]=C_h_intern(&lf[551],15, C_text("scheme#truncate"));
lf[552]=C_h_intern(&lf[552],8, C_text("truncate"));
lf[553]=C_h_intern(&lf[553],12, C_text("scheme#round"));
lf[554]=C_h_intern(&lf[554],5, C_text("round"));
lf[556]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[557]=C_h_intern(&lf[557],18, C_text("scheme#rationalize"));
lf[558]=C_h_intern(&lf[558],10, C_text("scheme#max"));
lf[559]=C_h_intern(&lf[559],3, C_text("max"));
lf[560]=C_h_intern(&lf[560],10, C_text("scheme#min"));
lf[561]=C_h_intern(&lf[561],3, C_text("min"));
lf[562]=C_h_intern(&lf[562],10, C_text("scheme#exp"));
lf[563]=C_h_intern(&lf[563],3, C_text("exp"));
lf[564]=C_h_intern(&lf[564],11, C_text("##sys#log-1"));
lf[565]=C_h_intern_kw(&lf[565],16, C_text("arithmetic-error"));
lf[566]=C_h_intern(&lf[566],3, C_text("log"));
lf[567]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[568]=C_h_intern(&lf[568],10, C_text("scheme#log"));
lf[569]=C_h_intern(&lf[569],10, C_text("scheme#sin"));
lf[570]=C_h_intern(&lf[570],3, C_text("sin"));
lf[571]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[572]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[573]=C_h_intern(&lf[573],10, C_text("scheme#cos"));
lf[574]=C_h_intern(&lf[574],3, C_text("cos"));
lf[575]=C_h_intern(&lf[575],10, C_text("scheme#tan"));
lf[576]=C_h_intern(&lf[576],3, C_text("tan"));
lf[577]=C_h_intern(&lf[577],11, C_text("scheme#asin"));
lf[578]=C_h_intern(&lf[578],4, C_text("asin"));
lf[579]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[580]=C_h_intern(&lf[580],14, C_text("##sys#sqrt/loc"));
lf[581]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[582]=C_h_intern(&lf[582],11, C_text("scheme#acos"));
lf[583]=C_h_intern(&lf[583],4, C_text("acos"));
lf[584]=C_h_intern(&lf[584],11, C_text("scheme#atan"));
lf[585]=C_h_intern(&lf[585],4, C_text("atan"));
lf[586]=C_h_intern(&lf[586],24, C_text("##sys#exact-integer-sqrt"));
lf[587]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[588]=C_h_intern(&lf[588],31, C_text("chicken.base#exact-integer-sqrt"));
lf[589]=C_h_intern(&lf[589],18, C_text("exact-integer-sqrt"));
lf[590]=C_h_intern(&lf[590],4, C_text("sqrt"));
lf[591]=C_h_intern(&lf[591],35, C_text("chicken.base#exact-integer-nth-root"));
lf[592]=C_h_intern(&lf[592],32, C_text("##sys#exact-integer-nth-root/loc"));
lf[593]=C_h_intern(&lf[593],22, C_text("exact-integer-nth-root"));
lf[594]=C_h_intern(&lf[594],4, C_text("expt"));
lf[595]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[596]=C_h_intern(&lf[596],9, C_text("##sys#gcd"));
lf[597]=C_h_intern(&lf[597],3, C_text("gcd"));
lf[598]=C_h_intern(&lf[598],10, C_text("scheme#gcd"));
lf[599]=C_h_intern(&lf[599],9, C_text("##sys#lcm"));
lf[600]=C_h_intern(&lf[600],3, C_text("lcm"));
lf[601]=C_h_intern(&lf[601],10, C_text("scheme#lcm"));
lf[602]=C_h_intern(&lf[602],31, C_text("##sys#integer->string/recursive"));
lf[603]=C_h_intern(&lf[603],20, C_text("##sys#number->string"));
lf[604]=C_h_intern(&lf[604],29, C_text("##sys#extended-number->string"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[606]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[607]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[608]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[609]=C_h_intern(&lf[609],14, C_text("number->string"));
lf[612]=C_h_intern(&lf[612],1, C_text("e"));
lf[613]=C_h_intern(&lf[613],1, C_text("i"));
lf[614]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[615]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[616]=C_h_intern(&lf[616],3, C_text("neg"));
lf[617]=C_h_intern(&lf[617],3, C_text("pos"));
lf[618]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[619]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[620]=C_h_intern(&lf[620],21, C_text("scheme#string->number"));
lf[621]=C_h_intern(&lf[621],14, C_text("string->number"));
lf[622]=C_h_intern(&lf[622],20, C_text("##sys#string->number"));
lf[623]=C_h_intern(&lf[623],20, C_text("##sys#fixnum->string"));
lf[624]=C_h_intern(&lf[624],20, C_text("##sys#flonum->string"));
lf[625]=C_h_intern(&lf[625],21, C_text("##sys#integer->string"));
lf[626]=C_h_intern(&lf[626],20, C_text("chicken.base#equal=\077"));
lf[627]=C_h_intern(&lf[627],11, C_text("##sys#snafu"));
lf[628]=C_h_intern(&lf[628],11, C_text("##sys#fnord"));
lf[629]=C_h_intern(&lf[629],19, C_text("##sys#intern-symbol"));
lf[630]=C_h_intern(&lf[630],20, C_text("##sys#intern-keyword"));
lf[631]=C_h_intern(&lf[631],22, C_text("##sys#interned-symbol\077"));
lf[632]=C_h_intern(&lf[632],20, C_text("##sys#string->symbol"));
lf[633]=C_h_intern(&lf[633],20, C_text("##sys#symbol->string"));
lf[634]=C_h_intern(&lf[634],21, C_text("scheme#symbol->string"));
lf[635]=C_h_intern(&lf[635],14, C_text("symbol->string"));
lf[636]=C_h_intern(&lf[636],21, C_text("scheme#string->symbol"));
lf[637]=C_h_intern(&lf[637],14, C_text("string->symbol"));
lf[638]=C_h_intern(&lf[638],38, C_text("chicken.base#string->uninterned-symbol"));
lf[639]=C_h_intern(&lf[639],25, C_text("string->uninterned-symbol"));
lf[640]=C_h_intern(&lf[640],19, C_text("chicken.base#gensym"));
lf[641]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[642]=C_h_intern(&lf[642],6, C_text("gensym"));
lf[643]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[644]=C_h_intern(&lf[644],26, C_text("chicken.base#symbol-append"));
lf[645]=C_h_intern(&lf[645],13, C_text("symbol-append"));
lf[646]=C_h_intern(&lf[646],16, C_text("chicken.keyword#"));
lf[647]=C_h_intern(&lf[647],24, C_text("chicken.keyword#keyword\077"));
lf[648]=C_h_intern(&lf[648],31, C_text("chicken.keyword#string->keyword"));
lf[649]=C_h_intern(&lf[649],15, C_text("string->keyword"));
lf[650]=C_h_intern(&lf[650],31, C_text("chicken.keyword#keyword->string"));
lf[651]=C_h_intern(&lf[651],15, C_text("keyword->string"));
lf[652]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[653]=C_h_intern(&lf[653],3, C_text("tag"));
lf[654]=C_h_intern(&lf[654],27, C_text("chicken.keyword#get-keyword"));
lf[655]=C_h_intern(&lf[655],11, C_text("get-keyword"));
lf[656]=C_h_intern(&lf[656],17, C_text("##sys#get-keyword"));
lf[657]=C_h_intern(&lf[657],13, C_text("chicken.blob#"));
lf[658]=C_h_intern(&lf[658],15, C_text("##sys#make-blob"));
lf[659]=C_h_intern(&lf[659],22, C_text("chicken.blob#make-blob"));
lf[660]=C_h_intern(&lf[660],9, C_text("make-blob"));
lf[661]=C_h_intern(&lf[661],18, C_text("chicken.blob#blob\077"));
lf[662]=C_h_intern(&lf[662],22, C_text("chicken.blob#blob-size"));
lf[663]=C_h_intern(&lf[663],9, C_text("blob-size"));
lf[664]=C_h_intern(&lf[664],25, C_text("chicken.blob#string->blob"));
lf[665]=C_h_intern(&lf[665],12, C_text("string->blob"));
lf[666]=C_h_intern(&lf[666],25, C_text("chicken.blob#blob->string"));
lf[667]=C_h_intern(&lf[667],12, C_text("blob->string"));
lf[668]=C_h_intern(&lf[668],19, C_text("chicken.blob#blob=\077"));
lf[669]=C_h_intern(&lf[669],6, C_text("blob=\077"));
lf[670]=C_h_intern(&lf[670],11, C_text("make-vector"));
lf[671]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[672]=C_h_intern(&lf[672],17, C_text("##sys#make-vector"));
lf[673]=C_h_intern(&lf[673],12, C_text("list->vector"));
lf[674]=C_h_intern(&lf[674],12, C_text("vector->list"));
lf[675]=C_h_intern(&lf[675],12, C_text("vector-fill!"));
lf[676]=C_h_intern(&lf[676],12, C_text("vector-copy!"));
lf[677]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[678]=C_h_intern(&lf[678],9, C_text("subvector"));
lf[679]=C_h_intern(&lf[679],13, C_text("vector-resize"));
lf[681]=C_h_intern(&lf[681],9, C_text("char-name"));
lf[682]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[683]=C_h_intern(&lf[683],36, C_text("##sys#call-with-current-continuation"));
lf[684]=C_h_intern(&lf[684],23, C_text("##sys#call-with-cthulhu"));
lf[685]=C_h_intern(&lf[685],22, C_text("##sys#call-with-values"));
lf[686]=C_h_intern(&lf[686],14, C_text("##sys#for-each"));
lf[687]=C_h_intern(&lf[687],8, C_text("for-each"));
lf[688]=C_h_intern(&lf[688],9, C_text("##sys#map"));
lf[689]=C_h_intern(&lf[689],3, C_text("map"));
lf[690]=C_h_intern(&lf[690],19, C_text("##sys#dynamic-winds"));
lf[691]=C_h_intern(&lf[691],18, C_text("##sys#dynamic-wind"));
lf[693]=C_h_intern(&lf[693],16, C_text("input-port-open\077"));
lf[694]=C_h_intern(&lf[694],17, C_text("output-port-open\077"));
lf[695]=C_h_intern(&lf[695],16, C_text("##sys#check-port"));
lf[696]=C_h_intern(&lf[696],12, C_text("port-closed\077"));
lf[697]=C_h_intern(&lf[697],15, C_text("##sys#make-port"));
lf[698]=C_h_intern(&lf[698],24, C_text("##sys#dispatch-interrupt"));
lf[699]=C_h_intern_kw(&lf[699],10, C_text("file-error"));
lf[700]=C_h_intern(&lf[700],9, C_text("read-char"));
lf[701]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[702]=C_h_intern(&lf[702],19, C_text("##sys#peek-c-string"));
lf[703]=C_h_intern(&lf[703],18, C_text("##sys#update-errno"));
lf[704]=C_h_intern(&lf[704],9, C_text("peek-char"));
lf[705]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[706]=C_h_intern(&lf[706],12, C_text("read-string!"));
lf[707]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[708]=C_h_intern(&lf[708],9, C_text("read-line"));
lf[709]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[710]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[711]=C_h_intern(&lf[711],23, C_text("##sys#stream-port-class"));
lf[712]=C_h_intern(&lf[712],20, C_text("##sys#open-file-port"));
lf[713]=C_h_intern(&lf[713],20, C_text("##sys#standard-input"));
lf[714]=C_h_intern(&lf[714],21, C_text("##sys#standard-output"));
lf[715]=C_h_intern(&lf[715],20, C_text("##sys#standard-error"));
lf[716]=C_h_intern(&lf[716],22, C_text("##sys#check-input-port"));
lf[717]=C_h_intern(&lf[717],23, C_text("##sys#check-output-port"));
lf[718]=C_h_intern(&lf[718],21, C_text("##sys#check-open-port"));
lf[719]=C_h_intern(&lf[719],18, C_text("current-input-port"));
lf[720]=C_h_intern(&lf[720],19, C_text("current-output-port"));
lf[721]=C_h_intern(&lf[721],18, C_text("current-error-port"));
lf[722]=C_h_intern(&lf[722],15, C_text("##sys#tty-port\077"));
lf[723]=C_h_intern(&lf[723],27, C_text("##sys#peek-unsigned-integer"));
lf[724]=C_h_intern(&lf[724],15, C_text("##sys#port-data"));
lf[725]=C_h_intern(&lf[725],20, C_text("##sys#set-port-data!"));
lf[726]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[727]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[728]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[729]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[730]=C_h_intern(&lf[730],6, C_text("stream"));
lf[731]=C_h_intern_kw(&lf[731],6, C_text("binary"));
lf[732]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[733]=C_h_intern_kw(&lf[733],4, C_text("text"));
lf[734]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[735]=C_h_intern_kw(&lf[735],6, C_text("append"));
lf[736]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[737]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[738]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[739]=C_h_intern(&lf[739],15, C_text("open-input-file"));
lf[740]=C_h_intern(&lf[740],16, C_text("open-output-file"));
lf[741]=C_h_intern(&lf[741],16, C_text("close-input-port"));
lf[742]=C_h_intern(&lf[742],17, C_text("close-output-port"));
lf[743]=C_h_intern(&lf[743],18, C_text("##sys#file-exists\077"));
lf[744]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[745]=C_h_intern(&lf[745],19, C_text("##sys#make-c-string"));
lf[746]=C_h_intern(&lf[746],18, C_text("##sys#flush-output"));
lf[747]=C_h_intern(&lf[747],12, C_text("flush-output"));
lf[748]=C_h_intern(&lf[748],15, C_text("##sys#port-line"));
lf[749]=C_h_intern(&lf[749],21, C_text("##sys#decorate-lambda"));
lf[750]=C_h_intern(&lf[750],23, C_text("##sys#lambda-decoration"));
lf[751]=C_h_intern(&lf[751],22, C_text("##sys#make-lambda-info"));
lf[752]=C_h_intern(&lf[752],18, C_text("##sys#lambda-info\077"));
lf[753]=C_h_intern(&lf[753],17, C_text("##sys#lambda-info"));
lf[754]=C_h_intern(&lf[754],25, C_text("##sys#lambda-info->string"));
lf[755]=C_h_intern(&lf[755],10, C_text("##sys#read"));
lf[756]=C_h_intern(&lf[756],21, C_text("procedure-information"));
lf[757]=C_h_intern(&lf[757],6, C_text("setter"));
lf[759]=C_h_intern(&lf[759],12, C_text("##sys#setter"));
lf[760]=C_h_intern(&lf[760],18, C_text("getter-with-setter"));
lf[762]=C_h_intern(&lf[762],30, C_text("##sys#current-parameter-vector"));
lf[763]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[764]=C_h_intern(&lf[764],11, C_text("char-ready\077"));
lf[765]=C_h_intern(&lf[765],17, C_text("##sys#read-char-0"));
lf[766]=C_h_intern(&lf[766],20, C_text("##sys#read-char/port"));
lf[767]=C_h_intern(&lf[767],17, C_text("##sys#peek-char-0"));
lf[768]=C_h_intern(&lf[768],4, C_text("read"));
lf[769]=C_h_intern(&lf[769],28, C_text("##sys#default-read-info-hook"));
lf[770]=C_h_intern(&lf[770],33, C_text("##sys#read-error-with-line-number"));
lf[771]=C_h_intern(&lf[771],22, C_text("##sys#read-prompt-hook"));
lf[772]=C_h_intern(&lf[772],21, C_text("##sys#infix-list-hook"));
lf[773]=C_h_intern(&lf[773],23, C_text("##sys#sharp-number-hook"));
lf[774]=C_h_intern(&lf[774],16, C_text("##sys#read-error"));
lf[775]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[776]=C_h_intern(&lf[776],24, C_text("##sys#current-read-table"));
lf[777]=C_h_intern(&lf[777],18, C_text("##sys#read-warning"));
lf[778]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[779]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[780]=C_h_intern_kw(&lf[780],12, C_text("syntax-error"));
lf[781]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[782]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[783]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[784]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[787]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[788]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[789]=C_h_intern(&lf[789],23, C_text("##sys#char->utf8-string"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[792]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[793]=C_h_intern(&lf[793],27, C_text("##sys#surrogates->codepoint"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[795]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[796]=C_h_intern(&lf[796],24, C_text("##sys#unicode-surrogate\077"));
lf[797]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[800]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[804]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[805]=C_h_intern(&lf[805],9, C_text("list-info"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[809]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[810]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[811]=C_h_intern_kw(&lf[811],6, C_text("suffix"));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[814]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[815]=C_h_intern(&lf[815],18, C_text("##sys#list->vector"));
lf[816]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[817]=C_h_intern(&lf[817],11, C_text("symbol-info"));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[819]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[821]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[827]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[828]=C_h_intern_kw(&lf[828],6, C_text("prefix"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[832]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[833]=C_h_intern(&lf[833],5, C_text("quote"));
lf[834]=C_h_intern(&lf[834],10, C_text("quasiquote"));
lf[835]=C_h_intern(&lf[835],16, C_text("unquote-splicing"));
lf[836]=C_h_intern(&lf[836],7, C_text("unquote"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[838]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[839]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[840]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[841]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[842]=C_h_intern(&lf[842],11, C_text("quasisyntax"));
lf[843]=C_h_intern(&lf[843],29, C_text("##sys#read-bytevector-literal"));
lf[844]=C_h_intern(&lf[844],8, C_text("location"));
lf[845]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[846]=C_h_intern(&lf[846],11, C_text("cond-expand"));
lf[847]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004\001else\376\377\016"));
lf[848]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[849]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[851]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[852]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[853]=C_h_intern(&lf[853],16, C_text("##sys#read-marks"));
lf[854]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[855]=C_h_intern(&lf[855],20, C_text("##sys#user-read-hook"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[859]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[860]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[861]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[862]=C_h_intern(&lf[862],18, C_text("##sys#write-char-0"));
lf[863]=C_h_intern(&lf[863],21, C_text("##sys#write-char/port"));
lf[864]=C_h_intern(&lf[864],10, C_text("write-char"));
lf[865]=C_h_intern(&lf[865],5, C_text("write"));
lf[866]=C_h_intern(&lf[866],11, C_text("##sys#print"));
lf[867]=C_h_intern(&lf[867],7, C_text("display"));
lf[868]=C_h_intern(&lf[868],5, C_text("print"));
lf[870]=C_h_intern(&lf[870],24, C_text("##sys#print-length-limit"));
lf[872]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[873]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[874]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[875]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[876]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376B\000\000\006#!rest\376\003\000\000\002\376B\000\000\005#!key\376\003\000\000\002\376B\000\000\012#!optional\376\377\016"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[886]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[887]=C_h_intern(&lf[887],21, C_text("##sys#pointer->string"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[891]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[892]=C_h_intern(&lf[892],21, C_text("##sys#user-print-hook"));
lf[893]=C_h_intern(&lf[893],23, C_text("##sys#procedure->string"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[897]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[905]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[906]=C_h_intern(&lf[906],21, C_text("##sys#record-printers"));
lf[907]=C_h_intern(&lf[907],14, C_text("record-printer"));
lf[908]=C_h_intern(&lf[908],19, C_text("set-record-printer!"));
lf[909]=C_h_intern(&lf[909],29, C_text("##sys#register-record-printer"));
lf[910]=C_h_intern(&lf[910],9, C_text("condition"));
lf[911]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[912]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[913]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[914]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[915]=C_h_intern(&lf[915],40, C_text("chicken.condition#with-exception-handler"));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[917]=C_h_intern(&lf[917],6, C_text("thread"));
lf[918]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[919]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[920]=C_h_intern(&lf[920],29, C_text("##sys#with-print-length-limit"));
lf[921]=C_h_intern(&lf[921],16, C_text("##sys#copy-bytes"));
lf[922]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[923]=C_h_intern(&lf[923],22, C_text("##sys#scan-buffer-line"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[925]=C_h_intern(&lf[925],23, C_text("##sys#string-port-class"));
lf[926]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[927]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[928]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[929]=C_h_intern(&lf[929],17, C_text("open-input-string"));
lf[930]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[931]=C_h_intern(&lf[931],6, C_text("string"));
lf[932]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[933]=C_h_intern(&lf[933],17, C_text("get-output-string"));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[935]=C_h_intern(&lf[935],21, C_text("##sys#print-to-string"));
lf[936]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[937]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[938]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[939]=C_h_intern(&lf[939],22, C_text("##sys#pointer->address"));
lf[940]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[941]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[942]=C_h_intern(&lf[942],20, C_text("##sys#current-thread"));
lf[943]=C_h_intern(&lf[943],27, C_text("##sys#peek-nonnull-c-string"));
lf[944]=C_h_intern(&lf[944],29, C_text("##sys#really-print-call-chain"));
lf[945]=C_h_intern(&lf[945],9, C_text("frameinfo"));
lf[946]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[947]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[948]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[949]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[950]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[951]=C_h_intern(&lf[951],16, C_text("print-call-chain"));
lf[952]=C_h_intern(&lf[952],25, C_text("##sys#user-interrupt-hook"));
lf[953]=C_h_intern_kw(&lf[953],14, C_text("user-interrupt"));
lf[954]=C_h_intern(&lf[954],23, C_text("##sys#primordial-thread"));
lf[957]=C_h_intern(&lf[957],22, C_text("##sys#force-finalizers"));
lf[958]=C_h_intern(&lf[958],27, C_text("chicken.gc#force-finalizers"));
lf[959]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[960]=C_h_intern(&lf[960],21, C_text("##sys#dump-heap-state"));
lf[961]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[962]=C_h_intern(&lf[962],19, C_text("##sys#reset-handler"));
lf[963]=C_h_intern(&lf[963],18, C_text("chicken.condition#"));
lf[964]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[965]=C_h_intern(&lf[965],23, C_text("chicken.condition#abort"));
lf[966]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[967]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[968]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[969]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[970]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\012\001call-chain"));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\004\001type\376\377\016"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001syntax\376\377\016"));
lf[975]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001bounds\376\377\016"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\012\001arithmetic\376\377\016"));
lf[977]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\004\001file\376\377\016"));
lf[978]=C_h_intern_kw(&lf[978],13, C_text("runtime-error"));
lf[979]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\377\016"));
lf[980]=C_h_intern_kw(&lf[980],13, C_text("process-error"));
lf[981]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001process\376\377\016"));
lf[982]=C_h_intern_kw(&lf[982],13, C_text("network-error"));
lf[983]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\377\016"));
lf[984]=C_h_intern_kw(&lf[984],21, C_text("network-timeout-error"));
lf[985]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\003\000\000\002\376\001\000\000\007\001timeout\376\377\016"));
lf[986]=C_h_intern_kw(&lf[986],11, C_text("limit-error"));
lf[987]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\003\000\000\002\376\001\000\000\005\001limit\376\377\016"));
lf[988]=C_h_intern_kw(&lf[988],11, C_text("arity-error"));
lf[989]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\005\001arity\376\377\016"));
lf[990]=C_h_intern_kw(&lf[990],12, C_text("access-error"));
lf[991]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001access\376\377\016"));
lf[992]=C_h_intern_kw(&lf[992],12, C_text("domain-error"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001domain\376\377\016"));
lf[994]=C_h_intern_kw(&lf[994],12, C_text("memory-error"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001memory\376\377\016"));
lf[996]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[997]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[999]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[1000]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[1001]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[1002]=C_h_intern(&lf[1002],31, C_text("##sys#current-exception-handler"));
lf[1003]=C_h_intern(&lf[1003],24, C_text("chicken.condition#signal"));
lf[1004]=C_h_intern(&lf[1004],20, C_text("##sys#break-on-error"));
lf[1005]=C_h_intern(&lf[1005],19, C_text("##sys#error-handler"));
lf[1006]=C_h_intern(&lf[1006],20, C_text("##sys#last-exception"));
lf[1007]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1008]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\377\016"));
lf[1009]=C_h_intern(&lf[1009],3, C_text("exn"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[1011]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1014]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1016]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1017]=C_h_intern(&lf[1017],14, C_text("user-interrupt"));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1019]=C_h_intern(&lf[1019],18, C_text("uncaught-exception"));
lf[1020]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1021]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1022]=C_h_intern(&lf[1022],43, C_text("chicken.condition#current-exception-handler"));
lf[1023]=C_h_intern(&lf[1023],25, C_text("current-exception-handler"));
lf[1025]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1026]=C_h_intern(&lf[1026],41, C_text("chicken.condition#make-property-condition"));
lf[1027]=C_h_intern(&lf[1027],23, C_text("make-property-condition"));
lf[1028]=C_h_intern(&lf[1028],42, C_text("chicken.condition#make-composite-condition"));
lf[1029]=C_h_intern(&lf[1029],24, C_text("make-composite-condition"));
lf[1030]=C_h_intern(&lf[1030],27, C_text("chicken.condition#condition"));
lf[1031]=C_h_intern(&lf[1031],28, C_text("chicken.condition#condition\077"));
lf[1032]=C_h_intern(&lf[1032],33, C_text("chicken.condition#condition->list"));
lf[1033]=C_h_intern(&lf[1033],15, C_text("condition->list"));
lf[1034]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1035]=C_h_intern(&lf[1035],37, C_text("chicken.condition#condition-predicate"));
lf[1036]=C_h_intern(&lf[1036],45, C_text("chicken.condition#condition-property-accessor"));
lf[1037]=C_h_intern(&lf[1037],27, C_text("condition-property-accessor"));
lf[1038]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1039]=C_h_intern(&lf[1039],40, C_text("chicken.condition#get-condition-property"));
lf[1040]=C_h_intern(&lf[1040],37, C_text("chicken.condition#print-error-message"));
lf[1041]=C_h_intern(&lf[1041],19, C_text("print-error-message"));
lf[1042]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1043]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1049]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1052]=C_h_intern(&lf[1052],28, C_text("##sys#show-exception-warning"));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1111]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1112]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1113]=C_decode_literal(C_heaptop,C_text("\376B\000\000(attempted rest argument access at index "));
lf[1114]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031 but rest list length is "));
lf[1115]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1116]=C_h_intern(&lf[1116],16, C_text("##sys#structure\077"));
lf[1117]=C_h_intern(&lf[1117],24, C_text("##sys#generic-structure\077"));
lf[1118]=C_h_intern(&lf[1118],10, C_text("##sys#slot"));
lf[1119]=C_h_intern(&lf[1119],10, C_text("##sys#size"));
lf[1120]=C_h_intern(&lf[1120],18, C_text("##sys#make-pointer"));
lf[1121]=C_h_intern(&lf[1121],25, C_text("##sys#make-tagged-pointer"));
lf[1122]=C_h_intern(&lf[1122],14, C_text("##sys#pointer\077"));
lf[1123]=C_h_intern(&lf[1123],26, C_text("##sys#set-pointer-address!"));
lf[1124]=C_h_intern(&lf[1124],17, C_text("##sys#bytevector\077"));
lf[1125]=C_h_intern(&lf[1125],25, C_text("##sys#string->pbytevector"));
lf[1126]=C_h_intern(&lf[1126],16, C_text("##sys#permanent\077"));
lf[1127]=C_h_intern(&lf[1127],19, C_text("##sys#block-address"));
lf[1128]=C_h_intern(&lf[1128],15, C_text("##sys#locative\077"));
lf[1129]=C_h_intern(&lf[1129],20, C_text("##sys#srfi-4-vector\077"));
lf[1130]=C_h_intern(&lf[1130],18, C_text("##sys#null-pointer"));
lf[1131]=C_h_intern(&lf[1131],19, C_text("##sys#null-pointer\077"));
lf[1132]=C_h_intern(&lf[1132],22, C_text("##sys#address->pointer"));
lf[1133]=C_h_intern(&lf[1133],25, C_text("##sys#peek-signed-integer"));
lf[1134]=C_h_intern(&lf[1134],17, C_text("##sys#peek-fixnum"));
lf[1135]=C_h_intern(&lf[1135],15, C_text("##sys#peek-byte"));
lf[1136]=C_h_intern(&lf[1136],24, C_text("##sys#vector->structure!"));
lf[1137]=C_h_intern(&lf[1137],17, C_text("##sys#peek-double"));
lf[1138]=C_h_intern(&lf[1138],28, C_text("##sys#peek-and-free-c-string"));
lf[1139]=C_h_intern(&lf[1139],36, C_text("##sys#peek-and-free-nonnull-c-string"));
lf[1140]=C_h_intern(&lf[1140],19, C_text("##sys#poke-c-string"));
lf[1141]=C_h_intern(&lf[1141],18, C_text("##sys#poke-integer"));
lf[1142]=C_h_intern(&lf[1142],17, C_text("##sys#poke-double"));
lf[1143]=C_h_intern(&lf[1143],24, C_text("##sys#peek-c-string-list"));
lf[1144]=C_h_intern(&lf[1144],33, C_text("##sys#peek-and-free-c-string-list"));
lf[1145]=C_h_intern(&lf[1145],22, C_text("##sys#vector->closure!"));
lf[1146]=C_h_intern(&lf[1146],34, C_text("##sys#symbol-has-toplevel-binding\077"));
lf[1147]=C_h_intern(&lf[1147],16, C_text("##sys#copy-words"));
lf[1148]=C_h_intern(&lf[1148],19, C_text("##sys#compare-bytes"));
lf[1149]=C_h_intern(&lf[1149],19, C_text("##sys#block-pointer"));
lf[1150]=C_h_intern(&lf[1150],27, C_text("##sys#foreign-char-argument"));
lf[1151]=C_h_intern(&lf[1151],29, C_text("##sys#foreign-fixnum-argument"));
lf[1152]=C_h_intern(&lf[1152],29, C_text("##sys#foreign-flonum-argument"));
lf[1153]=C_h_intern(&lf[1153],28, C_text("##sys#foreign-block-argument"));
lf[1154]=C_h_intern(&lf[1154],37, C_text("##sys#foreign-struct-wrapper-argument"));
lf[1155]=C_h_intern(&lf[1155],29, C_text("##sys#foreign-string-argument"));
lf[1156]=C_h_intern(&lf[1156],29, C_text("##sys#foreign-symbol-argument"));
lf[1157]=C_h_intern(&lf[1157],30, C_text("##sys#foreign-pointer-argument"));
lf[1158]=C_h_intern(&lf[1158],37, C_text("##sys#foreign-tagged-pointer-argument"));
lf[1159]=C_h_intern(&lf[1159],37, C_text("##sys#foreign-ranged-integer-argument"));
lf[1160]=C_h_intern(&lf[1160],46, C_text("##sys#foreign-unsigned-ranged-integer-argument"));
lf[1161]=C_h_intern(&lf[1161],28, C_text("##sys#default-thread-quantum"));
lf[1162]=C_h_intern(&lf[1162],31, C_text("##sys#default-exception-handler"));
lf[1163]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1164]=C_h_intern(&lf[1164],17, C_text("##sys#make-thread"));
lf[1165]=C_h_intern(&lf[1165],16, C_text("##sys#make-mutex"));
lf[1166]=C_h_intern(&lf[1166],5, C_text("mutex"));
lf[1167]=C_h_intern(&lf[1167],14, C_text("##sys#schedule"));
lf[1168]=C_h_intern(&lf[1168],19, C_text("##sys#thread-yield!"));
lf[1169]=C_h_intern(&lf[1169],24, C_text("##sys#kill-other-threads"));
lf[1170]=C_h_intern(&lf[1170],23, C_text("chicken.base#sleep-hook"));
lf[1171]=C_h_intern(&lf[1171],5, C_text("sleep"));
lf[1172]=C_h_intern(&lf[1172],20, C_text("##sys#context-switch"));
lf[1173]=C_h_intern(&lf[1173],19, C_text("##sys#signal-vector"));
lf[1174]=C_h_intern(&lf[1174],20, C_text("##sys#interrupt-hook"));
lf[1175]=C_h_intern(&lf[1175],24, C_text("##sys#pending-finalizers"));
lf[1176]=C_h_intern(&lf[1176],28, C_text("##sys#run-pending-finalizers"));
lf[1177]=C_h_intern(&lf[1177],11, C_text("##sys#errno"));
lf[1178]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1183]=C_h_intern(&lf[1183],4, C_text("cons"));
lf[1184]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005\001quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1185]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1187]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1188]=C_h_intern(&lf[1188],24, C_text("chicken.process-context#"));
lf[1189]=C_h_intern(&lf[1189],40, C_text("chicken.process-context#change-directory"));
lf[1190]=C_h_intern(&lf[1190],16, C_text("change-directory"));
lf[1191]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1192]=C_h_intern(&lf[1192],27, C_text("##sys#change-directory-hook"));
lf[1193]=C_h_intern(&lf[1193],41, C_text("chicken.process-context#current-directory"));
lf[1194]=C_h_intern(&lf[1194],48, C_text("chicken.process-context#get-environment-variable"));
lf[1195]=C_h_intern(&lf[1195],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1196]=C_h_intern(&lf[1196],25, C_text("set-environment-variable!"));
lf[1197]=C_h_intern(&lf[1197],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1198]=C_h_intern(&lf[1198],27, C_text("unset-environment-variable!"));
lf[1199]=C_h_intern(&lf[1199],49, C_text("chicken.process-context#get-environment-variables"));
lf[1200]=C_h_intern(&lf[1200],43, C_text("chicken.process-context#executable-pathname"));
lf[1201]=C_h_intern(&lf[1201],33, C_text("chicken.process-context#argc+argv"));
lf[1202]=C_h_intern(&lf[1202],28, C_text("chicken.process-context#argv"));
lf[1203]=C_h_intern(&lf[1203],36, C_text("chicken.process-context#program-name"));
lf[1204]=C_h_intern(&lf[1204],46, C_text("chicken.process-context#command-line-arguments"));
lf[1205]=C_h_intern(&lf[1205],11, C_text("chicken.gc#"));
lf[1206]=C_h_intern(&lf[1206],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1207]=C_h_intern(&lf[1207],25, C_text("chicken.gc#set-gc-report!"));
lf[1208]=C_h_intern(&lf[1208],28, C_text("chicken.gc#memory-statistics"));
lf[1209]=C_h_intern(&lf[1209],20, C_text("##sys#set-finalizer!"));
lf[1210]=C_h_intern(&lf[1210],25, C_text("chicken.gc#set-finalizer!"));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1216]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1217]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1218]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1219]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1220]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1221]=C_decode_literal(C_heaptop,C_text("\376B\000\000Jre-entry from finalizer thread (maybe (gc #t) was called from a finalizer)"));
lf[1222]=C_h_intern(&lf[1222],13, C_text("chicken.gc#gc"));
lf[1223]=C_h_intern(&lf[1223],12, C_text("##sys#length"));
lf[1224]=C_h_intern(&lf[1224],10, C_text("##sys#cons"));
lf[1225]=C_h_intern(&lf[1225],12, C_text("##sys#vector"));
lf[1226]=C_h_intern(&lf[1226],11, C_text("##sys#apply"));
lf[1227]=C_h_intern(&lf[1227],12, C_text("##sys#values"));
lf[1228]=C_h_intern(&lf[1228],12, C_text("##sys#equal\077"));
lf[1229]=C_h_intern(&lf[1229],9, C_text("##sys#car"));
lf[1230]=C_h_intern(&lf[1230],9, C_text("##sys#cdr"));
lf[1231]=C_h_intern(&lf[1231],11, C_text("##sys#pair\077"));
lf[1232]=C_h_intern(&lf[1232],13, C_text("##sys#vector\077"));
lf[1233]=C_h_intern(&lf[1233],18, C_text("##sys#vector->list"));
lf[1234]=C_h_intern(&lf[1234],19, C_text("##sys#vector-length"));
lf[1235]=C_h_intern(&lf[1235],16, C_text("##sys#vector-ref"));
lf[1236]=C_h_intern(&lf[1236],8, C_text("##sys#>="));
lf[1237]=C_h_intern(&lf[1237],7, C_text("##sys#="));
lf[1238]=C_h_intern(&lf[1238],7, C_text("##sys#+"));
lf[1239]=C_h_intern(&lf[1239],9, C_text("##sys#eq\077"));
lf[1240]=C_h_intern(&lf[1240],10, C_text("##sys#eqv\077"));
lf[1241]=C_h_intern(&lf[1241],11, C_text("##sys#list\077"));
lf[1242]=C_h_intern(&lf[1242],11, C_text("##sys#null\077"));
lf[1243]=C_h_intern(&lf[1243],11, C_text("##sys#map-n"));
lf[1244]=C_h_intern(&lf[1244],19, C_text("##sys#make-locative"));
lf[1245]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1246]=C_h_intern(&lf[1246],8, C_text("u8vector"));
lf[1247]=C_h_intern(&lf[1247],8, C_text("s8vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("u16vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("s16vector"));
lf[1250]=C_h_intern(&lf[1250],9, C_text("u32vector"));
lf[1251]=C_h_intern(&lf[1251],9, C_text("s32vector"));
lf[1252]=C_h_intern(&lf[1252],9, C_text("u64vector"));
lf[1253]=C_h_intern(&lf[1253],9, C_text("s64vector"));
lf[1254]=C_h_intern(&lf[1254],9, C_text("f32vector"));
lf[1255]=C_h_intern(&lf[1255],9, C_text("f64vector"));
lf[1256]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1257]=C_h_intern(&lf[1257],14, C_text("chicken.plist#"));
lf[1258]=C_h_intern(&lf[1258],18, C_text("chicken.plist#put!"));
lf[1259]=C_h_intern(&lf[1259],4, C_text("put!"));
lf[1260]=C_h_intern(&lf[1260],17, C_text("chicken.plist#get"));
lf[1261]=C_h_intern(&lf[1261],3, C_text("get"));
lf[1262]=C_h_intern(&lf[1262],10, C_text("##sys#put!"));
lf[1263]=C_h_intern(&lf[1263],9, C_text("##sys#get"));
lf[1264]=C_h_intern(&lf[1264],22, C_text("chicken.plist#remprop!"));
lf[1265]=C_h_intern(&lf[1265],8, C_text("remprop!"));
lf[1266]=C_h_intern(&lf[1266],26, C_text("chicken.plist#symbol-plist"));
lf[1267]=C_h_intern(&lf[1267],28, C_text("chicken.plist#get-properties"));
lf[1268]=C_h_intern(&lf[1268],14, C_text("get-properties"));
lf[1269]=C_h_intern(&lf[1269],19, C_text("##sys#display-times"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1279]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1280]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1281]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1284]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1285]=C_h_intern(&lf[1285],25, C_text("##sys#filter-heap-objects"));
lf[1286]=C_h_intern(&lf[1286],17, C_text("chicken.platform#"));
lf[1287]=C_h_intern(&lf[1287],30, C_text("chicken.platform#software-type"));
lf[1288]=C_h_intern(&lf[1288],29, C_text("chicken.platform#machine-type"));
lf[1289]=C_h_intern(&lf[1289],35, C_text("chicken.platform#machine-byte-order"));
lf[1290]=C_h_intern(&lf[1290],33, C_text("chicken.platform#software-version"));
lf[1291]=C_h_intern(&lf[1291],31, C_text("chicken.platform#build-platform"));
lf[1292]=C_h_intern(&lf[1292],22, C_text("##sys#windows-platform"));
lf[1293]=C_h_intern(&lf[1293],32, C_text("chicken.platform#chicken-version"));
lf[1294]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1295]=C_h_intern(&lf[1295],19, C_text("##sys#build-version"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1297]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1300]=C_h_intern(&lf[1300],7, C_text("unknown"));
lf[1301]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1303]=C_h_intern(&lf[1303],14, C_text("##sys#build-id"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1307]=C_h_intern(&lf[1307],18, C_text("##sys#build-branch"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1315]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1316]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1317]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1319]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1320]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1321]=C_h_intern(&lf[1321],25, C_text("chicken.platform#feature\077"));
lf[1322]=C_h_intern_kw(&lf[1322],13, C_text("cross-chicken"));
lf[1323]=C_h_intern_kw(&lf[1323],7, C_text("gchooks"));
lf[1324]=C_h_intern_kw(&lf[1324],7, C_text("ptables"));
lf[1325]=C_h_intern_kw(&lf[1325],5, C_text("dload"));
lf[1326]=C_h_intern_kw(&lf[1326],5, C_text("64bit"));
lf[1327]=C_h_intern(&lf[1327],29, C_text("chicken.platform#chicken-home"));
lf[1328]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006/share"));
lf[1329]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026CHICKEN_INSTALL_PREFIX"));
lf[1331]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\006\000\376\377\016"));
lf[1332]=C_h_intern(&lf[1332],16, C_text("##sys#split-path"));
lf[1333]=C_h_intern(&lf[1333],32, C_text("chicken.platform#repository-path"));
lf[1334]=C_h_intern(&lf[1334],40, C_text("chicken.platform#installation-repository"));
lf[1336]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1337]=C_h_intern(&lf[1337],14, C_text("##sys#features"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\007\002chicken\376\003\000\000\002\376\001\000\000\006\002srfi-6\376\003\000\000\002\376\001\000\000\006\002srfi-8\376\003\000\000\002\376\001\000\000\007\002srfi-12\376\003\000\000\002\376\001\000\000\007"
"\002srfi-17\376\003\000\000\002\376\001\000\000\007\002srfi-23\376\003\000\000\002\376\001\000\000\007\002srfi-30\376\003\000\000\002\376\001\000\000\007\002srfi-39\376\003\000\000\002\376\001\000\000\007\002srfi-62"
"\376\003\000\000\002\376\001\000\000\007\002srfi-88\376\003\000\000\002\376\001\000\000\022\002full-numeric-tower\376\377\016"));
lf[1339]=C_h_intern(&lf[1339],34, C_text("chicken.platform#register-feature!"));
lf[1340]=C_h_intern(&lf[1340],36, C_text("chicken.platform#unregister-feature!"));
lf[1341]=C_h_intern(&lf[1341],25, C_text("chicken.platform#features"));
lf[1342]=C_h_intern(&lf[1342],31, C_text("chicken.platform#return-to-host"));
lf[1343]=C_h_intern(&lf[1343],40, C_text("chicken.platform#system-config-directory"));
lf[1344]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1345]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010/.config"));
lf[1346]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017XDG_CONFIG_HOME"));
lf[1348]=C_h_intern(&lf[1348],39, C_text("chicken.platform#system-cache-directory"));
lf[1349]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1350]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014LOCALAPPDATA"));
lf[1351]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007/.cache"));
lf[1352]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1353]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016XDG_CACHE_HOME"));
lf[1354]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1355]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1356]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1357]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1358]=C_h_intern(&lf[1358],15, C_text("repository-path"));
lf[1359]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1360]=C_h_intern(&lf[1360],7, C_text("windows"));
lf[1361]=C_h_intern(&lf[1361],6, C_text("cygwin"));
lf[1362]=C_h_intern(&lf[1362],12, C_text("symbol-plist"));
lf[1363]=C_h_intern(&lf[1363],19, C_text("symbol-plist/setter"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1365]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1366]=C_h_intern(&lf[1366],22, C_text("command-line-arguments"));
lf[1367]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1368]=C_h_intern(&lf[1368],12, C_text("program-name"));
lf[1369]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1370]=C_h_intern(&lf[1370],17, C_text("current-directory"));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1372]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1373]=C_h_intern(&lf[1373],7, C_text("running"));
lf[1374]=C_h_intern(&lf[1374],10, C_text("primordial"));
lf[1375]=C_h_intern(&lf[1375],9, C_text("arguments"));
lf[1376]=C_h_intern(&lf[1376],7, C_text("message"));
lf[1377]=C_h_intern(&lf[1377],17, C_text("chicken.repl#repl"));
lf[1378]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1379]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1381]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1382]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1383]=C_h_intern(&lf[1383],10, C_text("read-table"));
lf[1384]=C_h_intern(&lf[1384],13, C_text("keyword-style"));
lf[1385]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1386]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1387]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1388]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1389]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1390]=C_h_intern(&lf[1390],9, C_text("backspace"));
lf[1391]=C_h_intern(&lf[1391],4, C_text("page"));
lf[1392]=C_h_intern(&lf[1392],6, C_text("return"));
lf[1393]=C_h_intern(&lf[1393],4, C_text("null"));
lf[1394]=C_h_intern(&lf[1394],3, C_text("nul"));
lf[1395]=C_h_intern(&lf[1395],5, C_text("alarm"));
lf[1396]=C_h_intern(&lf[1396],6, C_text("escape"));
lf[1397]=C_h_intern(&lf[1397],3, C_text("esc"));
lf[1398]=C_h_intern(&lf[1398],6, C_text("delete"));
lf[1399]=C_h_intern(&lf[1399],4, C_text("vtab"));
lf[1400]=C_h_intern(&lf[1400],7, C_text("newline"));
lf[1401]=C_h_intern(&lf[1401],8, C_text("linefeed"));
lf[1402]=C_h_intern(&lf[1402],3, C_text("tab"));
lf[1403]=C_h_intern(&lf[1403],5, C_text("space"));
C_register_lf2(lf,1404,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8545,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2092] = {
{C_text("f34185:library_2escm"),(void*)f34185},
{C_text("f34740:library_2escm"),(void*)f34740},
{C_text("f34949:library_2escm"),(void*)f34949},
{C_text("f34953:library_2escm"),(void*)f34953},
{C_text("f37044:library_2escm"),(void*)f37044},
{C_text("f37050:library_2escm"),(void*)f37050},
{C_text("f37056:library_2escm"),(void*)f37056},
{C_text("f_10010:library_2escm"),(void*)f_10010},
{C_text("f_10017:library_2escm"),(void*)f_10017},
{C_text("f_10020:library_2escm"),(void*)f_10020},
{C_text("f_10049:library_2escm"),(void*)f_10049},
{C_text("f_10055:library_2escm"),(void*)f_10055},
{C_text("f_10071:library_2escm"),(void*)f_10071},
{C_text("f_10096:library_2escm"),(void*)f_10096},
{C_text("f_10105:library_2escm"),(void*)f_10105},
{C_text("f_10146:library_2escm"),(void*)f_10146},
{C_text("f_10168:library_2escm"),(void*)f_10168},
{C_text("f_10200:library_2escm"),(void*)f_10200},
{C_text("f_10216:library_2escm"),(void*)f_10216},
{C_text("f_10219:library_2escm"),(void*)f_10219},
{C_text("f_10241:library_2escm"),(void*)f_10241},
{C_text("f_10247:library_2escm"),(void*)f_10247},
{C_text("f_10272:library_2escm"),(void*)f_10272},
{C_text("f_10312:library_2escm"),(void*)f_10312},
{C_text("f_10324:library_2escm"),(void*)f_10324},
{C_text("f_10343:library_2escm"),(void*)f_10343},
{C_text("f_10365:library_2escm"),(void*)f_10365},
{C_text("f_10368:library_2escm"),(void*)f_10368},
{C_text("f_10371:library_2escm"),(void*)f_10371},
{C_text("f_10374:library_2escm"),(void*)f_10374},
{C_text("f_10380:library_2escm"),(void*)f_10380},
{C_text("f_10383:library_2escm"),(void*)f_10383},
{C_text("f_10386:library_2escm"),(void*)f_10386},
{C_text("f_10389:library_2escm"),(void*)f_10389},
{C_text("f_10392:library_2escm"),(void*)f_10392},
{C_text("f_10395:library_2escm"),(void*)f_10395},
{C_text("f_10398:library_2escm"),(void*)f_10398},
{C_text("f_10401:library_2escm"),(void*)f_10401},
{C_text("f_10404:library_2escm"),(void*)f_10404},
{C_text("f_10407:library_2escm"),(void*)f_10407},
{C_text("f_10410:library_2escm"),(void*)f_10410},
{C_text("f_10413:library_2escm"),(void*)f_10413},
{C_text("f_10416:library_2escm"),(void*)f_10416},
{C_text("f_10419:library_2escm"),(void*)f_10419},
{C_text("f_10422:library_2escm"),(void*)f_10422},
{C_text("f_10425:library_2escm"),(void*)f_10425},
{C_text("f_10428:library_2escm"),(void*)f_10428},
{C_text("f_10431:library_2escm"),(void*)f_10431},
{C_text("f_10434:library_2escm"),(void*)f_10434},
{C_text("f_10437:library_2escm"),(void*)f_10437},
{C_text("f_10440:library_2escm"),(void*)f_10440},
{C_text("f_10443:library_2escm"),(void*)f_10443},
{C_text("f_10446:library_2escm"),(void*)f_10446},
{C_text("f_10449:library_2escm"),(void*)f_10449},
{C_text("f_10452:library_2escm"),(void*)f_10452},
{C_text("f_10457:library_2escm"),(void*)f_10457},
{C_text("f_10466:library_2escm"),(void*)f_10466},
{C_text("f_10478:library_2escm"),(void*)f_10478},
{C_text("f_10493:library_2escm"),(void*)f_10493},
{C_text("f_10496:library_2escm"),(void*)f_10496},
{C_text("f_10504:library_2escm"),(void*)f_10504},
{C_text("f_10508:library_2escm"),(void*)f_10508},
{C_text("f_10510:library_2escm"),(void*)f_10510},
{C_text("f_10514:library_2escm"),(void*)f_10514},
{C_text("f_10517:library_2escm"),(void*)f_10517},
{C_text("f_10528:library_2escm"),(void*)f_10528},
{C_text("f_10530:library_2escm"),(void*)f_10530},
{C_text("f_10537:library_2escm"),(void*)f_10537},
{C_text("f_10540:library_2escm"),(void*)f_10540},
{C_text("f_10543:library_2escm"),(void*)f_10543},
{C_text("f_10548:library_2escm"),(void*)f_10548},
{C_text("f_10552:library_2escm"),(void*)f_10552},
{C_text("f_10557:library_2escm"),(void*)f_10557},
{C_text("f_10561:library_2escm"),(void*)f_10561},
{C_text("f_10564:library_2escm"),(void*)f_10564},
{C_text("f_10592:library_2escm"),(void*)f_10592},
{C_text("f_10595:library_2escm"),(void*)f_10595},
{C_text("f_10598:library_2escm"),(void*)f_10598},
{C_text("f_10615:library_2escm"),(void*)f_10615},
{C_text("f_10626:library_2escm"),(void*)f_10626},
{C_text("f_10638:library_2escm"),(void*)f_10638},
{C_text("f_10649:library_2escm"),(void*)f_10649},
{C_text("f_10660:library_2escm"),(void*)f_10660},
{C_text("f_10671:library_2escm"),(void*)f_10671},
{C_text("f_10682:library_2escm"),(void*)f_10682},
{C_text("f_10693:library_2escm"),(void*)f_10693},
{C_text("f_10704:library_2escm"),(void*)f_10704},
{C_text("f_10715:library_2escm"),(void*)f_10715},
{C_text("f_10726:library_2escm"),(void*)f_10726},
{C_text("f_10737:library_2escm"),(void*)f_10737},
{C_text("f_10748:library_2escm"),(void*)f_10748},
{C_text("f_10759:library_2escm"),(void*)f_10759},
{C_text("f_10770:library_2escm"),(void*)f_10770},
{C_text("f_10781:library_2escm"),(void*)f_10781},
{C_text("f_10798:library_2escm"),(void*)f_10798},
{C_text("f_10815:library_2escm"),(void*)f_10815},
{C_text("f_10839:library_2escm"),(void*)f_10839},
{C_text("f_10856:library_2escm"),(void*)f_10856},
{C_text("f_10860:library_2escm"),(void*)f_10860},
{C_text("f_10886:library_2escm"),(void*)f_10886},
{C_text("f_10906:library_2escm"),(void*)f_10906},
{C_text("f_10917:library_2escm"),(void*)f_10917},
{C_text("f_10929:library_2escm"),(void*)f_10929},
{C_text("f_10963:library_2escm"),(void*)f_10963},
{C_text("f_10978:library_2escm"),(void*)f_10978},
{C_text("f_11045:library_2escm"),(void*)f_11045},
{C_text("f_11061:library_2escm"),(void*)f_11061},
{C_text("f_11077:library_2escm"),(void*)f_11077},
{C_text("f_11093:library_2escm"),(void*)f_11093},
{C_text("f_11109:library_2escm"),(void*)f_11109},
{C_text("f_11125:library_2escm"),(void*)f_11125},
{C_text("f_11141:library_2escm"),(void*)f_11141},
{C_text("f_11157:library_2escm"),(void*)f_11157},
{C_text("f_11173:library_2escm"),(void*)f_11173},
{C_text("f_11185:library_2escm"),(void*)f_11185},
{C_text("f_11204:library_2escm"),(void*)f_11204},
{C_text("f_11235:library_2escm"),(void*)f_11235},
{C_text("f_11252:library_2escm"),(void*)f_11252},
{C_text("f_11258:library_2escm"),(void*)f_11258},
{C_text("f_11282:library_2escm"),(void*)f_11282},
{C_text("f_11302:library_2escm"),(void*)f_11302},
{C_text("f_11306:library_2escm"),(void*)f_11306},
{C_text("f_11309:library_2escm"),(void*)f_11309},
{C_text("f_11338:library_2escm"),(void*)f_11338},
{C_text("f_11354:library_2escm"),(void*)f_11354},
{C_text("f_11376:library_2escm"),(void*)f_11376},
{C_text("f_11392:library_2escm"),(void*)f_11392},
{C_text("f_11397:library_2escm"),(void*)f_11397},
{C_text("f_11428:library_2escm"),(void*)f_11428},
{C_text("f_11439:library_2escm"),(void*)f_11439},
{C_text("f_11448:library_2escm"),(void*)f_11448},
{C_text("f_11477:library_2escm"),(void*)f_11477},
{C_text("f_11490:library_2escm"),(void*)f_11490},
{C_text("f_11500:library_2escm"),(void*)f_11500},
{C_text("f_11502:library_2escm"),(void*)f_11502},
{C_text("f_11509:library_2escm"),(void*)f_11509},
{C_text("f_11512:library_2escm"),(void*)f_11512},
{C_text("f_11521:library_2escm"),(void*)f_11521},
{C_text("f_11547:library_2escm"),(void*)f_11547},
{C_text("f_11552:library_2escm"),(void*)f_11552},
{C_text("f_11556:library_2escm"),(void*)f_11556},
{C_text("f_11561:library_2escm"),(void*)f_11561},
{C_text("f_11582:library_2escm"),(void*)f_11582},
{C_text("f_11588:library_2escm"),(void*)f_11588},
{C_text("f_11606:library_2escm"),(void*)f_11606},
{C_text("f_11612:library_2escm"),(void*)f_11612},
{C_text("f_11630:library_2escm"),(void*)f_11630},
{C_text("f_11636:library_2escm"),(void*)f_11636},
{C_text("f_11651:library_2escm"),(void*)f_11651},
{C_text("f_11657:library_2escm"),(void*)f_11657},
{C_text("f_11671:library_2escm"),(void*)f_11671},
{C_text("f_11692:library_2escm"),(void*)f_11692},
{C_text("f_11698:library_2escm"),(void*)f_11698},
{C_text("f_11716:library_2escm"),(void*)f_11716},
{C_text("f_11722:library_2escm"),(void*)f_11722},
{C_text("f_11740:library_2escm"),(void*)f_11740},
{C_text("f_11746:library_2escm"),(void*)f_11746},
{C_text("f_11761:library_2escm"),(void*)f_11761},
{C_text("f_11767:library_2escm"),(void*)f_11767},
{C_text("f_11782:library_2escm"),(void*)f_11782},
{C_text("f_11792:library_2escm"),(void*)f_11792},
{C_text("f_11798:library_2escm"),(void*)f_11798},
{C_text("f_11802:library_2escm"),(void*)f_11802},
{C_text("f_11804:library_2escm"),(void*)f_11804},
{C_text("f_11815:library_2escm"),(void*)f_11815},
{C_text("f_11827:library_2escm"),(void*)f_11827},
{C_text("f_11837:library_2escm"),(void*)f_11837},
{C_text("f_11843:library_2escm"),(void*)f_11843},
{C_text("f_11847:library_2escm"),(void*)f_11847},
{C_text("f_11852:library_2escm"),(void*)f_11852},
{C_text("f_11878:library_2escm"),(void*)f_11878},
{C_text("f_11882:library_2escm"),(void*)f_11882},
{C_text("f_11885:library_2escm"),(void*)f_11885},
{C_text("f_11893:library_2escm"),(void*)f_11893},
{C_text("f_11914:library_2escm"),(void*)f_11914},
{C_text("f_11928:library_2escm"),(void*)f_11928},
{C_text("f_11932:library_2escm"),(void*)f_11932},
{C_text("f_11973:library_2escm"),(void*)f_11973},
{C_text("f_11995:library_2escm"),(void*)f_11995},
{C_text("f_11997:library_2escm"),(void*)f_11997},
{C_text("f_12019:library_2escm"),(void*)f_12019},
{C_text("f_12021:library_2escm"),(void*)f_12021},
{C_text("f_12043:library_2escm"),(void*)f_12043},
{C_text("f_12045:library_2escm"),(void*)f_12045},
{C_text("f_12067:library_2escm"),(void*)f_12067},
{C_text("f_12069:library_2escm"),(void*)f_12069},
{C_text("f_12091:library_2escm"),(void*)f_12091},
{C_text("f_12093:library_2escm"),(void*)f_12093},
{C_text("f_12115:library_2escm"),(void*)f_12115},
{C_text("f_12117:library_2escm"),(void*)f_12117},
{C_text("f_12139:library_2escm"),(void*)f_12139},
{C_text("f_12141:library_2escm"),(void*)f_12141},
{C_text("f_12163:library_2escm"),(void*)f_12163},
{C_text("f_12165:library_2escm"),(void*)f_12165},
{C_text("f_12187:library_2escm"),(void*)f_12187},
{C_text("f_12189:library_2escm"),(void*)f_12189},
{C_text("f_12211:library_2escm"),(void*)f_12211},
{C_text("f_12213:library_2escm"),(void*)f_12213},
{C_text("f_12235:library_2escm"),(void*)f_12235},
{C_text("f_12237:library_2escm"),(void*)f_12237},
{C_text("f_12253:library_2escm"),(void*)f_12253},
{C_text("f_12255:library_2escm"),(void*)f_12255},
{C_text("f_12277:library_2escm"),(void*)f_12277},
{C_text("f_12279:library_2escm"),(void*)f_12279},
{C_text("f_12301:library_2escm"),(void*)f_12301},
{C_text("f_12303:library_2escm"),(void*)f_12303},
{C_text("f_12319:library_2escm"),(void*)f_12319},
{C_text("f_12321:library_2escm"),(void*)f_12321},
{C_text("f_12337:library_2escm"),(void*)f_12337},
{C_text("f_12339:library_2escm"),(void*)f_12339},
{C_text("f_12355:library_2escm"),(void*)f_12355},
{C_text("f_12357:library_2escm"),(void*)f_12357},
{C_text("f_12373:library_2escm"),(void*)f_12373},
{C_text("f_12375:library_2escm"),(void*)f_12375},
{C_text("f_12391:library_2escm"),(void*)f_12391},
{C_text("f_12393:library_2escm"),(void*)f_12393},
{C_text("f_12409:library_2escm"),(void*)f_12409},
{C_text("f_12411:library_2escm"),(void*)f_12411},
{C_text("f_12427:library_2escm"),(void*)f_12427},
{C_text("f_12429:library_2escm"),(void*)f_12429},
{C_text("f_12445:library_2escm"),(void*)f_12445},
{C_text("f_12447:library_2escm"),(void*)f_12447},
{C_text("f_12463:library_2escm"),(void*)f_12463},
{C_text("f_12465:library_2escm"),(void*)f_12465},
{C_text("f_12481:library_2escm"),(void*)f_12481},
{C_text("f_12483:library_2escm"),(void*)f_12483},
{C_text("f_12505:library_2escm"),(void*)f_12505},
{C_text("f_12507:library_2escm"),(void*)f_12507},
{C_text("f_12523:library_2escm"),(void*)f_12523},
{C_text("f_12525:library_2escm"),(void*)f_12525},
{C_text("f_12547:library_2escm"),(void*)f_12547},
{C_text("f_12549:library_2escm"),(void*)f_12549},
{C_text("f_12565:library_2escm"),(void*)f_12565},
{C_text("f_12567:library_2escm"),(void*)f_12567},
{C_text("f_12583:library_2escm"),(void*)f_12583},
{C_text("f_12585:library_2escm"),(void*)f_12585},
{C_text("f_12601:library_2escm"),(void*)f_12601},
{C_text("f_12603:library_2escm"),(void*)f_12603},
{C_text("f_12619:library_2escm"),(void*)f_12619},
{C_text("f_12621:library_2escm"),(void*)f_12621},
{C_text("f_12631:library_2escm"),(void*)f_12631},
{C_text("f_12643:library_2escm"),(void*)f_12643},
{C_text("f_12653:library_2escm"),(void*)f_12653},
{C_text("f_12657:library_2escm"),(void*)f_12657},
{C_text("f_12679:library_2escm"),(void*)f_12679},
{C_text("f_12683:library_2escm"),(void*)f_12683},
{C_text("f_12686:library_2escm"),(void*)f_12686},
{C_text("f_12691:library_2escm"),(void*)f_12691},
{C_text("f_12695:library_2escm"),(void*)f_12695},
{C_text("f_12698:library_2escm"),(void*)f_12698},
{C_text("f_12701:library_2escm"),(void*)f_12701},
{C_text("f_12714:library_2escm"),(void*)f_12714},
{C_text("f_12737:library_2escm"),(void*)f_12737},
{C_text("f_12763:library_2escm"),(void*)f_12763},
{C_text("f_12772:library_2escm"),(void*)f_12772},
{C_text("f_12777:library_2escm"),(void*)f_12777},
{C_text("f_12779:library_2escm"),(void*)f_12779},
{C_text("f_12823:library_2escm"),(void*)f_12823},
{C_text("f_12869:library_2escm"),(void*)f_12869},
{C_text("f_12893:library_2escm"),(void*)f_12893},
{C_text("f_12897:library_2escm"),(void*)f_12897},
{C_text("f_12915:library_2escm"),(void*)f_12915},
{C_text("f_12939:library_2escm"),(void*)f_12939},
{C_text("f_12943:library_2escm"),(void*)f_12943},
{C_text("f_12961:library_2escm"),(void*)f_12961},
{C_text("f_13002:library_2escm"),(void*)f_13002},
{C_text("f_13013:library_2escm"),(void*)f_13013},
{C_text("f_13019:library_2escm"),(void*)f_13019},
{C_text("f_13023:library_2escm"),(void*)f_13023},
{C_text("f_13037:library_2escm"),(void*)f_13037},
{C_text("f_13050:library_2escm"),(void*)f_13050},
{C_text("f_13054:library_2escm"),(void*)f_13054},
{C_text("f_13071:library_2escm"),(void*)f_13071},
{C_text("f_13075:library_2escm"),(void*)f_13075},
{C_text("f_13081:library_2escm"),(void*)f_13081},
{C_text("f_13085:library_2escm"),(void*)f_13085},
{C_text("f_13125:library_2escm"),(void*)f_13125},
{C_text("f_13129:library_2escm"),(void*)f_13129},
{C_text("f_13151:library_2escm"),(void*)f_13151},
{C_text("f_13154:library_2escm"),(void*)f_13154},
{C_text("f_13157:library_2escm"),(void*)f_13157},
{C_text("f_13160:library_2escm"),(void*)f_13160},
{C_text("f_13163:library_2escm"),(void*)f_13163},
{C_text("f_13184:library_2escm"),(void*)f_13184},
{C_text("f_13186:library_2escm"),(void*)f_13186},
{C_text("f_13204:library_2escm"),(void*)f_13204},
{C_text("f_13214:library_2escm"),(void*)f_13214},
{C_text("f_13218:library_2escm"),(void*)f_13218},
{C_text("f_13256:library_2escm"),(void*)f_13256},
{C_text("f_13259:library_2escm"),(void*)f_13259},
{C_text("f_13262:library_2escm"),(void*)f_13262},
{C_text("f_13265:library_2escm"),(void*)f_13265},
{C_text("f_13271:library_2escm"),(void*)f_13271},
{C_text("f_13274:library_2escm"),(void*)f_13274},
{C_text("f_13322:library_2escm"),(void*)f_13322},
{C_text("f_13326:library_2escm"),(void*)f_13326},
{C_text("f_13403:library_2escm"),(void*)f_13403},
{C_text("f_13442:library_2escm"),(void*)f_13442},
{C_text("f_13497:library_2escm"),(void*)f_13497},
{C_text("f_13542:library_2escm"),(void*)f_13542},
{C_text("f_13587:library_2escm"),(void*)f_13587},
{C_text("f_13624:library_2escm"),(void*)f_13624},
{C_text("f_13644:library_2escm"),(void*)f_13644},
{C_text("f_13668:library_2escm"),(void*)f_13668},
{C_text("f_13671:library_2escm"),(void*)f_13671},
{C_text("f_13675:library_2escm"),(void*)f_13675},
{C_text("f_13678:library_2escm"),(void*)f_13678},
{C_text("f_13696:library_2escm"),(void*)f_13696},
{C_text("f_13719:library_2escm"),(void*)f_13719},
{C_text("f_13723:library_2escm"),(void*)f_13723},
{C_text("f_13746:library_2escm"),(void*)f_13746},
{C_text("f_13750:library_2escm"),(void*)f_13750},
{C_text("f_13782:library_2escm"),(void*)f_13782},
{C_text("f_13818:library_2escm"),(void*)f_13818},
{C_text("f_13822:library_2escm"),(void*)f_13822},
{C_text("f_13841:library_2escm"),(void*)f_13841},
{C_text("f_13843:library_2escm"),(void*)f_13843},
{C_text("f_13850:library_2escm"),(void*)f_13850},
{C_text("f_13887:library_2escm"),(void*)f_13887},
{C_text("f_13894:library_2escm"),(void*)f_13894},
{C_text("f_13931:library_2escm"),(void*)f_13931},
{C_text("f_13949:library_2escm"),(void*)f_13949},
{C_text("f_13958:library_2escm"),(void*)f_13958},
{C_text("f_13963:library_2escm"),(void*)f_13963},
{C_text("f_13976:library_2escm"),(void*)f_13976},
{C_text("f_14002:library_2escm"),(void*)f_14002},
{C_text("f_14010:library_2escm"),(void*)f_14010},
{C_text("f_14014:library_2escm"),(void*)f_14014},
{C_text("f_14018:library_2escm"),(void*)f_14018},
{C_text("f_14022:library_2escm"),(void*)f_14022},
{C_text("f_14025:library_2escm"),(void*)f_14025},
{C_text("f_14039:library_2escm"),(void*)f_14039},
{C_text("f_14043:library_2escm"),(void*)f_14043},
{C_text("f_14054:library_2escm"),(void*)f_14054},
{C_text("f_14078:library_2escm"),(void*)f_14078},
{C_text("f_14082:library_2escm"),(void*)f_14082},
{C_text("f_14088:library_2escm"),(void*)f_14088},
{C_text("f_14112:library_2escm"),(void*)f_14112},
{C_text("f_14116:library_2escm"),(void*)f_14116},
{C_text("f_14122:library_2escm"),(void*)f_14122},
{C_text("f_14139:library_2escm"),(void*)f_14139},
{C_text("f_14143:library_2escm"),(void*)f_14143},
{C_text("f_14147:library_2escm"),(void*)f_14147},
{C_text("f_14157:library_2escm"),(void*)f_14157},
{C_text("f_14163:library_2escm"),(void*)f_14163},
{C_text("f_14170:library_2escm"),(void*)f_14170},
{C_text("f_14182:library_2escm"),(void*)f_14182},
{C_text("f_14205:library_2escm"),(void*)f_14205},
{C_text("f_14209:library_2escm"),(void*)f_14209},
{C_text("f_14219:library_2escm"),(void*)f_14219},
{C_text("f_14225:library_2escm"),(void*)f_14225},
{C_text("f_14232:library_2escm"),(void*)f_14232},
{C_text("f_14247:library_2escm"),(void*)f_14247},
{C_text("f_14251:library_2escm"),(void*)f_14251},
{C_text("f_14284:library_2escm"),(void*)f_14284},
{C_text("f_14288:library_2escm"),(void*)f_14288},
{C_text("f_14305:library_2escm"),(void*)f_14305},
{C_text("f_14315:library_2escm"),(void*)f_14315},
{C_text("f_14388:library_2escm"),(void*)f_14388},
{C_text("f_14402:library_2escm"),(void*)f_14402},
{C_text("f_14419:library_2escm"),(void*)f_14419},
{C_text("f_14435:library_2escm"),(void*)f_14435},
{C_text("f_14506:library_2escm"),(void*)f_14506},
{C_text("f_14510:library_2escm"),(void*)f_14510},
{C_text("f_14515:library_2escm"),(void*)f_14515},
{C_text("f_14525:library_2escm"),(void*)f_14525},
{C_text("f_14529:library_2escm"),(void*)f_14529},
{C_text("f_14544:library_2escm"),(void*)f_14544},
{C_text("f_14548:library_2escm"),(void*)f_14548},
{C_text("f_14565:library_2escm"),(void*)f_14565},
{C_text("f_14576:library_2escm"),(void*)f_14576},
{C_text("f_14582:library_2escm"),(void*)f_14582},
{C_text("f_14593:library_2escm"),(void*)f_14593},
{C_text("f_14604:library_2escm"),(void*)f_14604},
{C_text("f_14616:library_2escm"),(void*)f_14616},
{C_text("f_14628:library_2escm"),(void*)f_14628},
{C_text("f_14640:library_2escm"),(void*)f_14640},
{C_text("f_14657:library_2escm"),(void*)f_14657},
{C_text("f_14664:library_2escm"),(void*)f_14664},
{C_text("f_14668:library_2escm"),(void*)f_14668},
{C_text("f_14670:library_2escm"),(void*)f_14670},
{C_text("f_14676:library_2escm"),(void*)f_14676},
{C_text("f_14680:library_2escm"),(void*)f_14680},
{C_text("f_14683:library_2escm"),(void*)f_14683},
{C_text("f_14688:library_2escm"),(void*)f_14688},
{C_text("f_14698:library_2escm"),(void*)f_14698},
{C_text("f_14718:library_2escm"),(void*)f_14718},
{C_text("f_14733:library_2escm"),(void*)f_14733},
{C_text("f_14763:library_2escm"),(void*)f_14763},
{C_text("f_14774:library_2escm"),(void*)f_14774},
{C_text("f_14790:library_2escm"),(void*)f_14790},
{C_text("f_14794:library_2escm"),(void*)f_14794},
{C_text("f_14798:library_2escm"),(void*)f_14798},
{C_text("f_14814:library_2escm"),(void*)f_14814},
{C_text("f_14832:library_2escm"),(void*)f_14832},
{C_text("f_14843:library_2escm"),(void*)f_14843},
{C_text("f_14865:library_2escm"),(void*)f_14865},
{C_text("f_14882:library_2escm"),(void*)f_14882},
{C_text("f_14885:library_2escm"),(void*)f_14885},
{C_text("f_14897:library_2escm"),(void*)f_14897},
{C_text("f_14899:library_2escm"),(void*)f_14899},
{C_text("f_14920:library_2escm"),(void*)f_14920},
{C_text("f_14951:library_2escm"),(void*)f_14951},
{C_text("f_14955:library_2escm"),(void*)f_14955},
{C_text("f_14990:library_2escm"),(void*)f_14990},
{C_text("f_14997:library_2escm"),(void*)f_14997},
{C_text("f_15009:library_2escm"),(void*)f_15009},
{C_text("f_15029:library_2escm"),(void*)f_15029},
{C_text("f_15033:library_2escm"),(void*)f_15033},
{C_text("f_15053:library_2escm"),(void*)f_15053},
{C_text("f_15073:library_2escm"),(void*)f_15073},
{C_text("f_15077:library_2escm"),(void*)f_15077},
{C_text("f_15081:library_2escm"),(void*)f_15081},
{C_text("f_15088:library_2escm"),(void*)f_15088},
{C_text("f_15104:library_2escm"),(void*)f_15104},
{C_text("f_15108:library_2escm"),(void*)f_15108},
{C_text("f_15149:library_2escm"),(void*)f_15149},
{C_text("f_15182:library_2escm"),(void*)f_15182},
{C_text("f_15211:library_2escm"),(void*)f_15211},
{C_text("f_15219:library_2escm"),(void*)f_15219},
{C_text("f_15225:library_2escm"),(void*)f_15225},
{C_text("f_15245:library_2escm"),(void*)f_15245},
{C_text("f_15270:library_2escm"),(void*)f_15270},
{C_text("f_15276:library_2escm"),(void*)f_15276},
{C_text("f_15280:library_2escm"),(void*)f_15280},
{C_text("f_15290:library_2escm"),(void*)f_15290},
{C_text("f_15310:library_2escm"),(void*)f_15310},
{C_text("f_15331:library_2escm"),(void*)f_15331},
{C_text("f_15348:library_2escm"),(void*)f_15348},
{C_text("f_15355:library_2escm"),(void*)f_15355},
{C_text("f_15360:library_2escm"),(void*)f_15360},
{C_text("f_15366:library_2escm"),(void*)f_15366},
{C_text("f_15370:library_2escm"),(void*)f_15370},
{C_text("f_15373:library_2escm"),(void*)f_15373},
{C_text("f_15380:library_2escm"),(void*)f_15380},
{C_text("f_15401:library_2escm"),(void*)f_15401},
{C_text("f_15415:library_2escm"),(void*)f_15415},
{C_text("f_15419:library_2escm"),(void*)f_15419},
{C_text("f_15456:library_2escm"),(void*)f_15456},
{C_text("f_15464:library_2escm"),(void*)f_15464},
{C_text("f_15493:library_2escm"),(void*)f_15493},
{C_text("f_15496:library_2escm"),(void*)f_15496},
{C_text("f_15511:library_2escm"),(void*)f_15511},
{C_text("f_15514:library_2escm"),(void*)f_15514},
{C_text("f_15521:library_2escm"),(void*)f_15521},
{C_text("f_15532:library_2escm"),(void*)f_15532},
{C_text("f_15550:library_2escm"),(void*)f_15550},
{C_text("f_15575:library_2escm"),(void*)f_15575},
{C_text("f_15590:library_2escm"),(void*)f_15590},
{C_text("f_15618:library_2escm"),(void*)f_15618},
{C_text("f_15622:library_2escm"),(void*)f_15622},
{C_text("f_15636:library_2escm"),(void*)f_15636},
{C_text("f_15696:library_2escm"),(void*)f_15696},
{C_text("f_15716:library_2escm"),(void*)f_15716},
{C_text("f_15722:library_2escm"),(void*)f_15722},
{C_text("f_15785:library_2escm"),(void*)f_15785},
{C_text("f_15824:library_2escm"),(void*)f_15824},
{C_text("f_15830:library_2escm"),(void*)f_15830},
{C_text("f_15874:library_2escm"),(void*)f_15874},
{C_text("f_15878:library_2escm"),(void*)f_15878},
{C_text("f_15881:library_2escm"),(void*)f_15881},
{C_text("f_15930:library_2escm"),(void*)f_15930},
{C_text("f_15945:library_2escm"),(void*)f_15945},
{C_text("f_15954:library_2escm"),(void*)f_15954},
{C_text("f_15988:library_2escm"),(void*)f_15988},
{C_text("f_15998:library_2escm"),(void*)f_15998},
{C_text("f_16007:library_2escm"),(void*)f_16007},
{C_text("f_16019:library_2escm"),(void*)f_16019},
{C_text("f_16028:library_2escm"),(void*)f_16028},
{C_text("f_16040:library_2escm"),(void*)f_16040},
{C_text("f_16046:library_2escm"),(void*)f_16046},
{C_text("f_16052:library_2escm"),(void*)f_16052},
{C_text("f_16094:library_2escm"),(void*)f_16094},
{C_text("f_16202:library_2escm"),(void*)f_16202},
{C_text("f_16209:library_2escm"),(void*)f_16209},
{C_text("f_16222:library_2escm"),(void*)f_16222},
{C_text("f_16280:library_2escm"),(void*)f_16280},
{C_text("f_16298:library_2escm"),(void*)f_16298},
{C_text("f_16308:library_2escm"),(void*)f_16308},
{C_text("f_16344:library_2escm"),(void*)f_16344},
{C_text("f_16370:library_2escm"),(void*)f_16370},
{C_text("f_16381:library_2escm"),(void*)f_16381},
{C_text("f_16548:library_2escm"),(void*)f_16548},
{C_text("f_16563:library_2escm"),(void*)f_16563},
{C_text("f_16621:library_2escm"),(void*)f_16621},
{C_text("f_16662:library_2escm"),(void*)f_16662},
{C_text("f_16740:library_2escm"),(void*)f_16740},
{C_text("f_16788:library_2escm"),(void*)f_16788},
{C_text("f_16791:library_2escm"),(void*)f_16791},
{C_text("f_16803:library_2escm"),(void*)f_16803},
{C_text("f_16890:library_2escm"),(void*)f_16890},
{C_text("f_16958:library_2escm"),(void*)f_16958},
{C_text("f_17038:library_2escm"),(void*)f_17038},
{C_text("f_17048:library_2escm"),(void*)f_17048},
{C_text("f_17057:library_2escm"),(void*)f_17057},
{C_text("f_17293:library_2escm"),(void*)f_17293},
{C_text("f_17339:library_2escm"),(void*)f_17339},
{C_text("f_17342:library_2escm"),(void*)f_17342},
{C_text("f_17369:library_2escm"),(void*)f_17369},
{C_text("f_17393:library_2escm"),(void*)f_17393},
{C_text("f_17410:library_2escm"),(void*)f_17410},
{C_text("f_17511:library_2escm"),(void*)f_17511},
{C_text("f_17514:library_2escm"),(void*)f_17514},
{C_text("f_17523:library_2escm"),(void*)f_17523},
{C_text("f_17529:library_2escm"),(void*)f_17529},
{C_text("f_17540:library_2escm"),(void*)f_17540},
{C_text("f_17542:library_2escm"),(void*)f_17542},
{C_text("f_17553:library_2escm"),(void*)f_17553},
{C_text("f_17555:library_2escm"),(void*)f_17555},
{C_text("f_17566:library_2escm"),(void*)f_17566},
{C_text("f_17568:library_2escm"),(void*)f_17568},
{C_text("f_17585:library_2escm"),(void*)f_17585},
{C_text("f_17589:library_2escm"),(void*)f_17589},
{C_text("f_17593:library_2escm"),(void*)f_17593},
{C_text("f_17602:library_2escm"),(void*)f_17602},
{C_text("f_17622:library_2escm"),(void*)f_17622},
{C_text("f_17630:library_2escm"),(void*)f_17630},
{C_text("f_17645:library_2escm"),(void*)f_17645},
{C_text("f_17647:library_2escm"),(void*)f_17647},
{C_text("f_17672:library_2escm"),(void*)f_17672},
{C_text("f_17681:library_2escm"),(void*)f_17681},
{C_text("f_17684:library_2escm"),(void*)f_17684},
{C_text("f_17693:library_2escm"),(void*)f_17693},
{C_text("f_17700:library_2escm"),(void*)f_17700},
{C_text("f_17711:library_2escm"),(void*)f_17711},
{C_text("f_17718:library_2escm"),(void*)f_17718},
{C_text("f_17742:library_2escm"),(void*)f_17742},
{C_text("f_17746:library_2escm"),(void*)f_17746},
{C_text("f_17748:library_2escm"),(void*)f_17748},
{C_text("f_17752:library_2escm"),(void*)f_17752},
{C_text("f_17757:library_2escm"),(void*)f_17757},
{C_text("f_17763:library_2escm"),(void*)f_17763},
{C_text("f_17767:library_2escm"),(void*)f_17767},
{C_text("f_17772:library_2escm"),(void*)f_17772},
{C_text("f_17782:library_2escm"),(void*)f_17782},
{C_text("f_17784:library_2escm"),(void*)f_17784},
{C_text("f_17788:library_2escm"),(void*)f_17788},
{C_text("f_17794:library_2escm"),(void*)f_17794},
{C_text("f_17796:library_2escm"),(void*)f_17796},
{C_text("f_17800:library_2escm"),(void*)f_17800},
{C_text("f_17803:library_2escm"),(void*)f_17803},
{C_text("f_17819:library_2escm"),(void*)f_17819},
{C_text("f_17823:library_2escm"),(void*)f_17823},
{C_text("f_17826:library_2escm"),(void*)f_17826},
{C_text("f_17848:library_2escm"),(void*)f_17848},
{C_text("f_17864:library_2escm"),(void*)f_17864},
{C_text("f_17869:library_2escm"),(void*)f_17869},
{C_text("f_17900:library_2escm"),(void*)f_17900},
{C_text("f_17909:library_2escm"),(void*)f_17909},
{C_text("f_17927:library_2escm"),(void*)f_17927},
{C_text("f_17933:library_2escm"),(void*)f_17933},
{C_text("f_17939:library_2escm"),(void*)f_17939},
{C_text("f_17948:library_2escm"),(void*)f_17948},
{C_text("f_17967:library_2escm"),(void*)f_17967},
{C_text("f_17986:library_2escm"),(void*)f_17986},
{C_text("f_17989:library_2escm"),(void*)f_17989},
{C_text("f_17994:library_2escm"),(void*)f_17994},
{C_text("f_18036:library_2escm"),(void*)f_18036},
{C_text("f_18055:library_2escm"),(void*)f_18055},
{C_text("f_18058:library_2escm"),(void*)f_18058},
{C_text("f_18061:library_2escm"),(void*)f_18061},
{C_text("f_18066:library_2escm"),(void*)f_18066},
{C_text("f_18107:library_2escm"),(void*)f_18107},
{C_text("f_18117:library_2escm"),(void*)f_18117},
{C_text("f_18128:library_2escm"),(void*)f_18128},
{C_text("f_18132:library_2escm"),(void*)f_18132},
{C_text("f_18135:library_2escm"),(void*)f_18135},
{C_text("f_18140:library_2escm"),(void*)f_18140},
{C_text("f_18167:library_2escm"),(void*)f_18167},
{C_text("f_18181:library_2escm"),(void*)f_18181},
{C_text("f_18192:library_2escm"),(void*)f_18192},
{C_text("f_18203:library_2escm"),(void*)f_18203},
{C_text("f_18214:library_2escm"),(void*)f_18214},
{C_text("f_18227:library_2escm"),(void*)f_18227},
{C_text("f_18229:library_2escm"),(void*)f_18229},
{C_text("f_18242:library_2escm"),(void*)f_18242},
{C_text("f_18270:library_2escm"),(void*)f_18270},
{C_text("f_18283:library_2escm"),(void*)f_18283},
{C_text("f_18301:library_2escm"),(void*)f_18301},
{C_text("f_18304:library_2escm"),(void*)f_18304},
{C_text("f_18387:library_2escm"),(void*)f_18387},
{C_text("f_18390:library_2escm"),(void*)f_18390},
{C_text("f_18393:library_2escm"),(void*)f_18393},
{C_text("f_18396:library_2escm"),(void*)f_18396},
{C_text("f_18399:library_2escm"),(void*)f_18399},
{C_text("f_18402:library_2escm"),(void*)f_18402},
{C_text("f_18405:library_2escm"),(void*)f_18405},
{C_text("f_18408:library_2escm"),(void*)f_18408},
{C_text("f_18411:library_2escm"),(void*)f_18411},
{C_text("f_18414:library_2escm"),(void*)f_18414},
{C_text("f_18417:library_2escm"),(void*)f_18417},
{C_text("f_18420:library_2escm"),(void*)f_18420},
{C_text("f_18423:library_2escm"),(void*)f_18423},
{C_text("f_18426:library_2escm"),(void*)f_18426},
{C_text("f_18431:library_2escm"),(void*)f_18431},
{C_text("f_18437:library_2escm"),(void*)f_18437},
{C_text("f_18453:library_2escm"),(void*)f_18453},
{C_text("f_18469:library_2escm"),(void*)f_18469},
{C_text("f_18475:library_2escm"),(void*)f_18475},
{C_text("f_18495:library_2escm"),(void*)f_18495},
{C_text("f_18499:library_2escm"),(void*)f_18499},
{C_text("f_18511:library_2escm"),(void*)f_18511},
{C_text("f_18517:library_2escm"),(void*)f_18517},
{C_text("f_18523:library_2escm"),(void*)f_18523},
{C_text("f_18555:library_2escm"),(void*)f_18555},
{C_text("f_18559:library_2escm"),(void*)f_18559},
{C_text("f_18569:library_2escm"),(void*)f_18569},
{C_text("f_18584:library_2escm"),(void*)f_18584},
{C_text("f_18594:library_2escm"),(void*)f_18594},
{C_text("f_18614:library_2escm"),(void*)f_18614},
{C_text("f_18621:library_2escm"),(void*)f_18621},
{C_text("f_18630:library_2escm"),(void*)f_18630},
{C_text("f_18637:library_2escm"),(void*)f_18637},
{C_text("f_18639:library_2escm"),(void*)f_18639},
{C_text("f_18645:library_2escm"),(void*)f_18645},
{C_text("f_18651:library_2escm"),(void*)f_18651},
{C_text("f_18669:library_2escm"),(void*)f_18669},
{C_text("f_18694:library_2escm"),(void*)f_18694},
{C_text("f_18710:library_2escm"),(void*)f_18710},
{C_text("f_18717:library_2escm"),(void*)f_18717},
{C_text("f_18730:library_2escm"),(void*)f_18730},
{C_text("f_18734:library_2escm"),(void*)f_18734},
{C_text("f_18738:library_2escm"),(void*)f_18738},
{C_text("f_18740:library_2escm"),(void*)f_18740},
{C_text("f_18746:library_2escm"),(void*)f_18746},
{C_text("f_18753:library_2escm"),(void*)f_18753},
{C_text("f_18757:library_2escm"),(void*)f_18757},
{C_text("f_18766:library_2escm"),(void*)f_18766},
{C_text("f_18774:library_2escm"),(void*)f_18774},
{C_text("f_18784:library_2escm"),(void*)f_18784},
{C_text("f_18790:library_2escm"),(void*)f_18790},
{C_text("f_18793:library_2escm"),(void*)f_18793},
{C_text("f_18797:library_2escm"),(void*)f_18797},
{C_text("f_18824:library_2escm"),(void*)f_18824},
{C_text("f_18840:library_2escm"),(void*)f_18840},
{C_text("f_18846:library_2escm"),(void*)f_18846},
{C_text("f_18869:library_2escm"),(void*)f_18869},
{C_text("f_18882:library_2escm"),(void*)f_18882},
{C_text("f_18888:library_2escm"),(void*)f_18888},
{C_text("f_18893:library_2escm"),(void*)f_18893},
{C_text("f_18898:library_2escm"),(void*)f_18898},
{C_text("f_18902:library_2escm"),(void*)f_18902},
{C_text("f_18911:library_2escm"),(void*)f_18911},
{C_text("f_18942:library_2escm"),(void*)f_18942},
{C_text("f_18946:library_2escm"),(void*)f_18946},
{C_text("f_18950:library_2escm"),(void*)f_18950},
{C_text("f_18953:library_2escm"),(void*)f_18953},
{C_text("f_18956:library_2escm"),(void*)f_18956},
{C_text("f_18959:library_2escm"),(void*)f_18959},
{C_text("f_18961:library_2escm"),(void*)f_18961},
{C_text("f_18972:library_2escm"),(void*)f_18972},
{C_text("f_18983:library_2escm"),(void*)f_18983},
{C_text("f_18994:library_2escm"),(void*)f_18994},
{C_text("f_19005:library_2escm"),(void*)f_19005},
{C_text("f_19018:library_2escm"),(void*)f_19018},
{C_text("f_19020:library_2escm"),(void*)f_19020},
{C_text("f_19026:library_2escm"),(void*)f_19026},
{C_text("f_19031:library_2escm"),(void*)f_19031},
{C_text("f_19066:library_2escm"),(void*)f_19066},
{C_text("f_19079:library_2escm"),(void*)f_19079},
{C_text("f_19081:library_2escm"),(void*)f_19081},
{C_text("f_19087:library_2escm"),(void*)f_19087},
{C_text("f_19092:library_2escm"),(void*)f_19092},
{C_text("f_19127:library_2escm"),(void*)f_19127},
{C_text("f_19140:library_2escm"),(void*)f_19140},
{C_text("f_19142:library_2escm"),(void*)f_19142},
{C_text("f_19148:library_2escm"),(void*)f_19148},
{C_text("f_19153:library_2escm"),(void*)f_19153},
{C_text("f_19188:library_2escm"),(void*)f_19188},
{C_text("f_19200:library_2escm"),(void*)f_19200},
{C_text("f_19202:library_2escm"),(void*)f_19202},
{C_text("f_19208:library_2escm"),(void*)f_19208},
{C_text("f_19214:library_2escm"),(void*)f_19214},
{C_text("f_19224:library_2escm"),(void*)f_19224},
{C_text("f_19227:library_2escm"),(void*)f_19227},
{C_text("f_19230:library_2escm"),(void*)f_19230},
{C_text("f_19233:library_2escm"),(void*)f_19233},
{C_text("f_19236:library_2escm"),(void*)f_19236},
{C_text("f_19243:library_2escm"),(void*)f_19243},
{C_text("f_19247:library_2escm"),(void*)f_19247},
{C_text("f_19251:library_2escm"),(void*)f_19251},
{C_text("f_19257:library_2escm"),(void*)f_19257},
{C_text("f_19270:library_2escm"),(void*)f_19270},
{C_text("f_19312:library_2escm"),(void*)f_19312},
{C_text("f_19316:library_2escm"),(void*)f_19316},
{C_text("f_19349:library_2escm"),(void*)f_19349},
{C_text("f_19355:library_2escm"),(void*)f_19355},
{C_text("f_19361:library_2escm"),(void*)f_19361},
{C_text("f_19367:library_2escm"),(void*)f_19367},
{C_text("f_19373:library_2escm"),(void*)f_19373},
{C_text("f_19377:library_2escm"),(void*)f_19377},
{C_text("f_19382:library_2escm"),(void*)f_19382},
{C_text("f_19388:library_2escm"),(void*)f_19388},
{C_text("f_19392:library_2escm"),(void*)f_19392},
{C_text("f_19397:library_2escm"),(void*)f_19397},
{C_text("f_19401:library_2escm"),(void*)f_19401},
{C_text("f_19406:library_2escm"),(void*)f_19406},
{C_text("f_19412:library_2escm"),(void*)f_19412},
{C_text("f_19416:library_2escm"),(void*)f_19416},
{C_text("f_19421:library_2escm"),(void*)f_19421},
{C_text("f_19425:library_2escm"),(void*)f_19425},
{C_text("f_19430:library_2escm"),(void*)f_19430},
{C_text("f_19435:library_2escm"),(void*)f_19435},
{C_text("f_19441:library_2escm"),(void*)f_19441},
{C_text("f_19445:library_2escm"),(void*)f_19445},
{C_text("f_19450:library_2escm"),(void*)f_19450},
{C_text("f_19455:library_2escm"),(void*)f_19455},
{C_text("f_19459:library_2escm"),(void*)f_19459},
{C_text("f_19464:library_2escm"),(void*)f_19464},
{C_text("f_19469:library_2escm"),(void*)f_19469},
{C_text("f_19475:library_2escm"),(void*)f_19475},
{C_text("f_19479:library_2escm"),(void*)f_19479},
{C_text("f_19484:library_2escm"),(void*)f_19484},
{C_text("f_19489:library_2escm"),(void*)f_19489},
{C_text("f_19494:library_2escm"),(void*)f_19494},
{C_text("f_19515:library_2escm"),(void*)f_19515},
{C_text("f_19522:library_2escm"),(void*)f_19522},
{C_text("f_19528:library_2escm"),(void*)f_19528},
{C_text("f_19546:library_2escm"),(void*)f_19546},
{C_text("f_19555:library_2escm"),(void*)f_19555},
{C_text("f_19568:library_2escm"),(void*)f_19568},
{C_text("f_19576:library_2escm"),(void*)f_19576},
{C_text("f_19581:library_2escm"),(void*)f_19581},
{C_text("f_19618:library_2escm"),(void*)f_19618},
{C_text("f_19630:library_2escm"),(void*)f_19630},
{C_text("f_19640:library_2escm"),(void*)f_19640},
{C_text("f_19656:library_2escm"),(void*)f_19656},
{C_text("f_19669:library_2escm"),(void*)f_19669},
{C_text("f_19676:library_2escm"),(void*)f_19676},
{C_text("f_19678:library_2escm"),(void*)f_19678},
{C_text("f_19691:library_2escm"),(void*)f_19691},
{C_text("f_19697:library_2escm"),(void*)f_19697},
{C_text("f_19704:library_2escm"),(void*)f_19704},
{C_text("f_19706:library_2escm"),(void*)f_19706},
{C_text("f_19710:library_2escm"),(void*)f_19710},
{C_text("f_19713:library_2escm"),(void*)f_19713},
{C_text("f_19723:library_2escm"),(void*)f_19723},
{C_text("f_19727:library_2escm"),(void*)f_19727},
{C_text("f_19735:library_2escm"),(void*)f_19735},
{C_text("f_19738:library_2escm"),(void*)f_19738},
{C_text("f_19745:library_2escm"),(void*)f_19745},
{C_text("f_19748:library_2escm"),(void*)f_19748},
{C_text("f_19751:library_2escm"),(void*)f_19751},
{C_text("f_19754:library_2escm"),(void*)f_19754},
{C_text("f_19762:library_2escm"),(void*)f_19762},
{C_text("f_19770:library_2escm"),(void*)f_19770},
{C_text("f_19772:library_2escm"),(void*)f_19772},
{C_text("f_19788:library_2escm"),(void*)f_19788},
{C_text("f_19815:library_2escm"),(void*)f_19815},
{C_text("f_19819:library_2escm"),(void*)f_19819},
{C_text("f_19823:library_2escm"),(void*)f_19823},
{C_text("f_19827:library_2escm"),(void*)f_19827},
{C_text("f_19831:library_2escm"),(void*)f_19831},
{C_text("f_19835:library_2escm"),(void*)f_19835},
{C_text("f_19839:library_2escm"),(void*)f_19839},
{C_text("f_19843:library_2escm"),(void*)f_19843},
{C_text("f_19847:library_2escm"),(void*)f_19847},
{C_text("f_19851:library_2escm"),(void*)f_19851},
{C_text("f_19855:library_2escm"),(void*)f_19855},
{C_text("f_19859:library_2escm"),(void*)f_19859},
{C_text("f_19863:library_2escm"),(void*)f_19863},
{C_text("f_19867:library_2escm"),(void*)f_19867},
{C_text("f_19871:library_2escm"),(void*)f_19871},
{C_text("f_19875:library_2escm"),(void*)f_19875},
{C_text("f_19879:library_2escm"),(void*)f_19879},
{C_text("f_19886:library_2escm"),(void*)f_19886},
{C_text("f_19893:library_2escm"),(void*)f_19893},
{C_text("f_19894:library_2escm"),(void*)f_19894},
{C_text("f_19898:library_2escm"),(void*)f_19898},
{C_text("f_19901:library_2escm"),(void*)f_19901},
{C_text("f_19917:library_2escm"),(void*)f_19917},
{C_text("f_19928:library_2escm"),(void*)f_19928},
{C_text("f_19936:library_2escm"),(void*)f_19936},
{C_text("f_19948:library_2escm"),(void*)f_19948},
{C_text("f_19957:library_2escm"),(void*)f_19957},
{C_text("f_19962:library_2escm"),(void*)f_19962},
{C_text("f_20018:library_2escm"),(void*)f_20018},
{C_text("f_20032:library_2escm"),(void*)f_20032},
{C_text("f_20044:library_2escm"),(void*)f_20044},
{C_text("f_20050:library_2escm"),(void*)f_20050},
{C_text("f_20075:library_2escm"),(void*)f_20075},
{C_text("f_20093:library_2escm"),(void*)f_20093},
{C_text("f_20097:library_2escm"),(void*)f_20097},
{C_text("f_20153:library_2escm"),(void*)f_20153},
{C_text("f_20162:library_2escm"),(void*)f_20162},
{C_text("f_20175:library_2escm"),(void*)f_20175},
{C_text("f_20187:library_2escm"),(void*)f_20187},
{C_text("f_20205:library_2escm"),(void*)f_20205},
{C_text("f_20225:library_2escm"),(void*)f_20225},
{C_text("f_20228:library_2escm"),(void*)f_20228},
{C_text("f_20231:library_2escm"),(void*)f_20231},
{C_text("f_20239:library_2escm"),(void*)f_20239},
{C_text("f_20243:library_2escm"),(void*)f_20243},
{C_text("f_20247:library_2escm"),(void*)f_20247},
{C_text("f_20251:library_2escm"),(void*)f_20251},
{C_text("f_20255:library_2escm"),(void*)f_20255},
{C_text("f_20257:library_2escm"),(void*)f_20257},
{C_text("f_20265:library_2escm"),(void*)f_20265},
{C_text("f_20268:library_2escm"),(void*)f_20268},
{C_text("f_20278:library_2escm"),(void*)f_20278},
{C_text("f_20280:library_2escm"),(void*)f_20280},
{C_text("f_20288:library_2escm"),(void*)f_20288},
{C_text("f_20291:library_2escm"),(void*)f_20291},
{C_text("f_20301:library_2escm"),(void*)f_20301},
{C_text("f_20303:library_2escm"),(void*)f_20303},
{C_text("f_20307:library_2escm"),(void*)f_20307},
{C_text("f_20310:library_2escm"),(void*)f_20310},
{C_text("f_20313:library_2escm"),(void*)f_20313},
{C_text("f_20316:library_2escm"),(void*)f_20316},
{C_text("f_20319:library_2escm"),(void*)f_20319},
{C_text("f_20321:library_2escm"),(void*)f_20321},
{C_text("f_20327:library_2escm"),(void*)f_20327},
{C_text("f_20336:library_2escm"),(void*)f_20336},
{C_text("f_20344:library_2escm"),(void*)f_20344},
{C_text("f_20346:library_2escm"),(void*)f_20346},
{C_text("f_20360:library_2escm"),(void*)f_20360},
{C_text("f_20373:library_2escm"),(void*)f_20373},
{C_text("f_20377:library_2escm"),(void*)f_20377},
{C_text("f_20382:library_2escm"),(void*)f_20382},
{C_text("f_20386:library_2escm"),(void*)f_20386},
{C_text("f_20397:library_2escm"),(void*)f_20397},
{C_text("f_20400:library_2escm"),(void*)f_20400},
{C_text("f_20408:library_2escm"),(void*)f_20408},
{C_text("f_20410:library_2escm"),(void*)f_20410},
{C_text("f_20423:library_2escm"),(void*)f_20423},
{C_text("f_20430:library_2escm"),(void*)f_20430},
{C_text("f_20439:library_2escm"),(void*)f_20439},
{C_text("f_20446:library_2escm"),(void*)f_20446},
{C_text("f_20448:library_2escm"),(void*)f_20448},
{C_text("f_20454:library_2escm"),(void*)f_20454},
{C_text("f_20464:library_2escm"),(void*)f_20464},
{C_text("f_20467:library_2escm"),(void*)f_20467},
{C_text("f_20477:library_2escm"),(void*)f_20477},
{C_text("f_20480:library_2escm"),(void*)f_20480},
{C_text("f_20508:library_2escm"),(void*)f_20508},
{C_text("f_20512:library_2escm"),(void*)f_20512},
{C_text("f_20520:library_2escm"),(void*)f_20520},
{C_text("f_20545:library_2escm"),(void*)f_20545},
{C_text("f_20553:library_2escm"),(void*)f_20553},
{C_text("f_20555:library_2escm"),(void*)f_20555},
{C_text("f_20572:library_2escm"),(void*)f_20572},
{C_text("f_20585:library_2escm"),(void*)f_20585},
{C_text("f_20602:library_2escm"),(void*)f_20602},
{C_text("f_20619:library_2escm"),(void*)f_20619},
{C_text("f_20636:library_2escm"),(void*)f_20636},
{C_text("f_20653:library_2escm"),(void*)f_20653},
{C_text("f_20670:library_2escm"),(void*)f_20670},
{C_text("f_20687:library_2escm"),(void*)f_20687},
{C_text("f_20707:library_2escm"),(void*)f_20707},
{C_text("f_20715:library_2escm"),(void*)f_20715},
{C_text("f_20724:library_2escm"),(void*)f_20724},
{C_text("f_20730:library_2escm"),(void*)f_20730},
{C_text("f_20736:library_2escm"),(void*)f_20736},
{C_text("f_20739:library_2escm"),(void*)f_20739},
{C_text("f_20742:library_2escm"),(void*)f_20742},
{C_text("f_20752:library_2escm"),(void*)f_20752},
{C_text("f_20756:library_2escm"),(void*)f_20756},
{C_text("f_20773:library_2escm"),(void*)f_20773},
{C_text("f_20778:library_2escm"),(void*)f_20778},
{C_text("f_20785:library_2escm"),(void*)f_20785},
{C_text("f_20789:library_2escm"),(void*)f_20789},
{C_text("f_20798:library_2escm"),(void*)f_20798},
{C_text("f_20804:library_2escm"),(void*)f_20804},
{C_text("f_20814:library_2escm"),(void*)f_20814},
{C_text("f_20818:library_2escm"),(void*)f_20818},
{C_text("f_20827:library_2escm"),(void*)f_20827},
{C_text("f_20834:library_2escm"),(void*)f_20834},
{C_text("f_20847:library_2escm"),(void*)f_20847},
{C_text("f_20852:library_2escm"),(void*)f_20852},
{C_text("f_20869:library_2escm"),(void*)f_20869},
{C_text("f_20884:library_2escm"),(void*)f_20884},
{C_text("f_20897:library_2escm"),(void*)f_20897},
{C_text("f_20919:library_2escm"),(void*)f_20919},
{C_text("f_20922:library_2escm"),(void*)f_20922},
{C_text("f_20951:library_2escm"),(void*)f_20951},
{C_text("f_20961:library_2escm"),(void*)f_20961},
{C_text("f_20977:library_2escm"),(void*)f_20977},
{C_text("f_20988:library_2escm"),(void*)f_20988},
{C_text("f_20995:library_2escm"),(void*)f_20995},
{C_text("f_21093:library_2escm"),(void*)f_21093},
{C_text("f_21099:library_2escm"),(void*)f_21099},
{C_text("f_21108:library_2escm"),(void*)f_21108},
{C_text("f_21122:library_2escm"),(void*)f_21122},
{C_text("f_21125:library_2escm"),(void*)f_21125},
{C_text("f_21136:library_2escm"),(void*)f_21136},
{C_text("f_21138:library_2escm"),(void*)f_21138},
{C_text("f_21141:library_2escm"),(void*)f_21141},
{C_text("f_21158:library_2escm"),(void*)f_21158},
{C_text("f_21163:library_2escm"),(void*)f_21163},
{C_text("f_21167:library_2escm"),(void*)f_21167},
{C_text("f_21170:library_2escm"),(void*)f_21170},
{C_text("f_21173:library_2escm"),(void*)f_21173},
{C_text("f_21183:library_2escm"),(void*)f_21183},
{C_text("f_21201:library_2escm"),(void*)f_21201},
{C_text("f_21204:library_2escm"),(void*)f_21204},
{C_text("f_21213:library_2escm"),(void*)f_21213},
{C_text("f_21216:library_2escm"),(void*)f_21216},
{C_text("f_21219:library_2escm"),(void*)f_21219},
{C_text("f_21225:library_2escm"),(void*)f_21225},
{C_text("f_21238:library_2escm"),(void*)f_21238},
{C_text("f_21242:library_2escm"),(void*)f_21242},
{C_text("f_21246:library_2escm"),(void*)f_21246},
{C_text("f_21257:library_2escm"),(void*)f_21257},
{C_text("f_21261:library_2escm"),(void*)f_21261},
{C_text("f_21264:library_2escm"),(void*)f_21264},
{C_text("f_21292:library_2escm"),(void*)f_21292},
{C_text("f_21348:library_2escm"),(void*)f_21348},
{C_text("f_21352:library_2escm"),(void*)f_21352},
{C_text("f_21359:library_2escm"),(void*)f_21359},
{C_text("f_21361:library_2escm"),(void*)f_21361},
{C_text("f_21365:library_2escm"),(void*)f_21365},
{C_text("f_21379:library_2escm"),(void*)f_21379},
{C_text("f_21385:library_2escm"),(void*)f_21385},
{C_text("f_21392:library_2escm"),(void*)f_21392},
{C_text("f_21399:library_2escm"),(void*)f_21399},
{C_text("f_21420:library_2escm"),(void*)f_21420},
{C_text("f_21449:library_2escm"),(void*)f_21449},
{C_text("f_21459:library_2escm"),(void*)f_21459},
{C_text("f_21462:library_2escm"),(void*)f_21462},
{C_text("f_21498:library_2escm"),(void*)f_21498},
{C_text("f_21500:library_2escm"),(void*)f_21500},
{C_text("f_21510:library_2escm"),(void*)f_21510},
{C_text("f_21513:library_2escm"),(void*)f_21513},
{C_text("f_21565:library_2escm"),(void*)f_21565},
{C_text("f_21567:library_2escm"),(void*)f_21567},
{C_text("f_21575:library_2escm"),(void*)f_21575},
{C_text("f_21577:library_2escm"),(void*)f_21577},
{C_text("f_21587:library_2escm"),(void*)f_21587},
{C_text("f_21602:library_2escm"),(void*)f_21602},
{C_text("f_21609:library_2escm"),(void*)f_21609},
{C_text("f_21631:library_2escm"),(void*)f_21631},
{C_text("f_21639:library_2escm"),(void*)f_21639},
{C_text("f_21641:library_2escm"),(void*)f_21641},
{C_text("f_21657:library_2escm"),(void*)f_21657},
{C_text("f_21664:library_2escm"),(void*)f_21664},
{C_text("f_21677:library_2escm"),(void*)f_21677},
{C_text("f_21683:library_2escm"),(void*)f_21683},
{C_text("f_21687:library_2escm"),(void*)f_21687},
{C_text("f_21694:library_2escm"),(void*)f_21694},
{C_text("f_21702:library_2escm"),(void*)f_21702},
{C_text("f_21708:library_2escm"),(void*)f_21708},
{C_text("f_21712:library_2escm"),(void*)f_21712},
{C_text("f_21721:library_2escm"),(void*)f_21721},
{C_text("f_21727:library_2escm"),(void*)f_21727},
{C_text("f_21734:library_2escm"),(void*)f_21734},
{C_text("f_21745:library_2escm"),(void*)f_21745},
{C_text("f_21791:library_2escm"),(void*)f_21791},
{C_text("f_21800:library_2escm"),(void*)f_21800},
{C_text("f_21807:library_2escm"),(void*)f_21807},
{C_text("f_21811:library_2escm"),(void*)f_21811},
{C_text("f_21815:library_2escm"),(void*)f_21815},
{C_text("f_21824:library_2escm"),(void*)f_21824},
{C_text("f_21835:library_2escm"),(void*)f_21835},
{C_text("f_21847:library_2escm"),(void*)f_21847},
{C_text("f_21878:library_2escm"),(void*)f_21878},
{C_text("f_21927:library_2escm"),(void*)f_21927},
{C_text("f_21931:library_2escm"),(void*)f_21931},
{C_text("f_21934:library_2escm"),(void*)f_21934},
{C_text("f_21946:library_2escm"),(void*)f_21946},
{C_text("f_21966:library_2escm"),(void*)f_21966},
{C_text("f_21972:library_2escm"),(void*)f_21972},
{C_text("f_21982:library_2escm"),(void*)f_21982},
{C_text("f_22111:library_2escm"),(void*)f_22111},
{C_text("f_22118:library_2escm"),(void*)f_22118},
{C_text("f_22136:library_2escm"),(void*)f_22136},
{C_text("f_22142:library_2escm"),(void*)f_22142},
{C_text("f_22146:library_2escm"),(void*)f_22146},
{C_text("f_22182:library_2escm"),(void*)f_22182},
{C_text("f_22205:library_2escm"),(void*)f_22205},
{C_text("f_22223:library_2escm"),(void*)f_22223},
{C_text("f_22227:library_2escm"),(void*)f_22227},
{C_text("f_22234:library_2escm"),(void*)f_22234},
{C_text("f_22236:library_2escm"),(void*)f_22236},
{C_text("f_22240:library_2escm"),(void*)f_22240},
{C_text("f_22251:library_2escm"),(void*)f_22251},
{C_text("f_22267:library_2escm"),(void*)f_22267},
{C_text("f_22270:library_2escm"),(void*)f_22270},
{C_text("f_22273:library_2escm"),(void*)f_22273},
{C_text("f_22287:library_2escm"),(void*)f_22287},
{C_text("f_22293:library_2escm"),(void*)f_22293},
{C_text("f_22315:library_2escm"),(void*)f_22315},
{C_text("f_22327:library_2escm"),(void*)f_22327},
{C_text("f_22339:library_2escm"),(void*)f_22339},
{C_text("f_22348:library_2escm"),(void*)f_22348},
{C_text("f_22358:library_2escm"),(void*)f_22358},
{C_text("f_22367:library_2escm"),(void*)f_22367},
{C_text("f_22370:library_2escm"),(void*)f_22370},
{C_text("f_22388:library_2escm"),(void*)f_22388},
{C_text("f_22391:library_2escm"),(void*)f_22391},
{C_text("f_22414:library_2escm"),(void*)f_22414},
{C_text("f_22420:library_2escm"),(void*)f_22420},
{C_text("f_22448:library_2escm"),(void*)f_22448},
{C_text("f_22471:library_2escm"),(void*)f_22471},
{C_text("f_22485:library_2escm"),(void*)f_22485},
{C_text("f_22491:library_2escm"),(void*)f_22491},
{C_text("f_22516:library_2escm"),(void*)f_22516},
{C_text("f_22528:library_2escm"),(void*)f_22528},
{C_text("f_22540:library_2escm"),(void*)f_22540},
{C_text("f_22552:library_2escm"),(void*)f_22552},
{C_text("f_22564:library_2escm"),(void*)f_22564},
{C_text("f_22576:library_2escm"),(void*)f_22576},
{C_text("f_22588:library_2escm"),(void*)f_22588},
{C_text("f_22591:library_2escm"),(void*)f_22591},
{C_text("f_22594:library_2escm"),(void*)f_22594},
{C_text("f_22599:library_2escm"),(void*)f_22599},
{C_text("f_22604:library_2escm"),(void*)f_22604},
{C_text("f_22610:library_2escm"),(void*)f_22610},
{C_text("f_22652:library_2escm"),(void*)f_22652},
{C_text("f_22664:library_2escm"),(void*)f_22664},
{C_text("f_22667:library_2escm"),(void*)f_22667},
{C_text("f_22679:library_2escm"),(void*)f_22679},
{C_text("f_22691:library_2escm"),(void*)f_22691},
{C_text("f_22694:library_2escm"),(void*)f_22694},
{C_text("f_22706:library_2escm"),(void*)f_22706},
{C_text("f_22718:library_2escm"),(void*)f_22718},
{C_text("f_22721:library_2escm"),(void*)f_22721},
{C_text("f_22730:library_2escm"),(void*)f_22730},
{C_text("f_22745:library_2escm"),(void*)f_22745},
{C_text("f_22748:library_2escm"),(void*)f_22748},
{C_text("f_22753:library_2escm"),(void*)f_22753},
{C_text("f_22758:library_2escm"),(void*)f_22758},
{C_text("f_22764:library_2escm"),(void*)f_22764},
{C_text("f_22793:library_2escm"),(void*)f_22793},
{C_text("f_22805:library_2escm"),(void*)f_22805},
{C_text("f_22808:library_2escm"),(void*)f_22808},
{C_text("f_22811:library_2escm"),(void*)f_22811},
{C_text("f_22826:library_2escm"),(void*)f_22826},
{C_text("f_22835:library_2escm"),(void*)f_22835},
{C_text("f_22838:library_2escm"),(void*)f_22838},
{C_text("f_22844:library_2escm"),(void*)f_22844},
{C_text("f_22847:library_2escm"),(void*)f_22847},
{C_text("f_22853:library_2escm"),(void*)f_22853},
{C_text("f_22872:library_2escm"),(void*)f_22872},
{C_text("f_22891:library_2escm"),(void*)f_22891},
{C_text("f_22907:library_2escm"),(void*)f_22907},
{C_text("f_22913:library_2escm"),(void*)f_22913},
{C_text("f_22985:library_2escm"),(void*)f_22985},
{C_text("f_22997:library_2escm"),(void*)f_22997},
{C_text("f_23075:library_2escm"),(void*)f_23075},
{C_text("f_23151:library_2escm"),(void*)f_23151},
{C_text("f_23316:library_2escm"),(void*)f_23316},
{C_text("f_23328:library_2escm"),(void*)f_23328},
{C_text("f_23390:library_2escm"),(void*)f_23390},
{C_text("f_23393:library_2escm"),(void*)f_23393},
{C_text("f_23439:library_2escm"),(void*)f_23439},
{C_text("f_23443:library_2escm"),(void*)f_23443},
{C_text("f_23461:library_2escm"),(void*)f_23461},
{C_text("f_23525:library_2escm"),(void*)f_23525},
{C_text("f_23536:library_2escm"),(void*)f_23536},
{C_text("f_23538:library_2escm"),(void*)f_23538},
{C_text("f_23551:library_2escm"),(void*)f_23551},
{C_text("f_23563:library_2escm"),(void*)f_23563},
{C_text("f_23583:library_2escm"),(void*)f_23583},
{C_text("f_23590:library_2escm"),(void*)f_23590},
{C_text("f_23599:library_2escm"),(void*)f_23599},
{C_text("f_23611:library_2escm"),(void*)f_23611},
{C_text("f_23632:library_2escm"),(void*)f_23632},
{C_text("f_23647:library_2escm"),(void*)f_23647},
{C_text("f_23665:library_2escm"),(void*)f_23665},
{C_text("f_23683:library_2escm"),(void*)f_23683},
{C_text("f_23702:library_2escm"),(void*)f_23702},
{C_text("f_23712:library_2escm"),(void*)f_23712},
{C_text("f_23726:library_2escm"),(void*)f_23726},
{C_text("f_23729:library_2escm"),(void*)f_23729},
{C_text("f_23734:library_2escm"),(void*)f_23734},
{C_text("f_23753:library_2escm"),(void*)f_23753},
{C_text("f_23763:library_2escm"),(void*)f_23763},
{C_text("f_23777:library_2escm"),(void*)f_23777},
{C_text("f_23780:library_2escm"),(void*)f_23780},
{C_text("f_23787:library_2escm"),(void*)f_23787},
{C_text("f_23791:library_2escm"),(void*)f_23791},
{C_text("f_23795:library_2escm"),(void*)f_23795},
{C_text("f_23797:library_2escm"),(void*)f_23797},
{C_text("f_23804:library_2escm"),(void*)f_23804},
{C_text("f_23807:library_2escm"),(void*)f_23807},
{C_text("f_23810:library_2escm"),(void*)f_23810},
{C_text("f_23812:library_2escm"),(void*)f_23812},
{C_text("f_23822:library_2escm"),(void*)f_23822},
{C_text("f_23828:library_2escm"),(void*)f_23828},
{C_text("f_23840:library_2escm"),(void*)f_23840},
{C_text("f_23843:library_2escm"),(void*)f_23843},
{C_text("f_23846:library_2escm"),(void*)f_23846},
{C_text("f_23863:library_2escm"),(void*)f_23863},
{C_text("f_23884:library_2escm"),(void*)f_23884},
{C_text("f_23888:library_2escm"),(void*)f_23888},
{C_text("f_23901:library_2escm"),(void*)f_23901},
{C_text("f_23904:library_2escm"),(void*)f_23904},
{C_text("f_23913:library_2escm"),(void*)f_23913},
{C_text("f_23916:library_2escm"),(void*)f_23916},
{C_text("f_23944:library_2escm"),(void*)f_23944},
{C_text("f_23948:library_2escm"),(void*)f_23948},
{C_text("f_23957:library_2escm"),(void*)f_23957},
{C_text("f_23968:library_2escm"),(void*)f_23968},
{C_text("f_23975:library_2escm"),(void*)f_23975},
{C_text("f_23980:library_2escm"),(void*)f_23980},
{C_text("f_24002:library_2escm"),(void*)f_24002},
{C_text("f_24008:library_2escm"),(void*)f_24008},
{C_text("f_24011:library_2escm"),(void*)f_24011},
{C_text("f_24022:library_2escm"),(void*)f_24022},
{C_text("f_24031:library_2escm"),(void*)f_24031},
{C_text("f_24034:library_2escm"),(void*)f_24034},
{C_text("f_24057:library_2escm"),(void*)f_24057},
{C_text("f_24106:library_2escm"),(void*)f_24106},
{C_text("f_24122:library_2escm"),(void*)f_24122},
{C_text("f_24129:library_2escm"),(void*)f_24129},
{C_text("f_24141:library_2escm"),(void*)f_24141},
{C_text("f_24246:library_2escm"),(void*)f_24246},
{C_text("f_24251:library_2escm"),(void*)f_24251},
{C_text("f_24300:library_2escm"),(void*)f_24300},
{C_text("f_24306:library_2escm"),(void*)f_24306},
{C_text("f_24310:library_2escm"),(void*)f_24310},
{C_text("f_24333:library_2escm"),(void*)f_24333},
{C_text("f_24340:library_2escm"),(void*)f_24340},
{C_text("f_24359:library_2escm"),(void*)f_24359},
{C_text("f_24395:library_2escm"),(void*)f_24395},
{C_text("f_24407:library_2escm"),(void*)f_24407},
{C_text("f_24413:library_2escm"),(void*)f_24413},
{C_text("f_24435:library_2escm"),(void*)f_24435},
{C_text("f_24442:library_2escm"),(void*)f_24442},
{C_text("f_24452:library_2escm"),(void*)f_24452},
{C_text("f_24461:library_2escm"),(void*)f_24461},
{C_text("f_24467:library_2escm"),(void*)f_24467},
{C_text("f_24480:library_2escm"),(void*)f_24480},
{C_text("f_24518:library_2escm"),(void*)f_24518},
{C_text("f_24584:library_2escm"),(void*)f_24584},
{C_text("f_24587:library_2escm"),(void*)f_24587},
{C_text("f_24594:library_2escm"),(void*)f_24594},
{C_text("f_24634:library_2escm"),(void*)f_24634},
{C_text("f_24637:library_2escm"),(void*)f_24637},
{C_text("f_24646:library_2escm"),(void*)f_24646},
{C_text("f_24659:library_2escm"),(void*)f_24659},
{C_text("f_24668:library_2escm"),(void*)f_24668},
{C_text("f_24678:library_2escm"),(void*)f_24678},
{C_text("f_24681:library_2escm"),(void*)f_24681},
{C_text("f_24707:library_2escm"),(void*)f_24707},
{C_text("f_24713:library_2escm"),(void*)f_24713},
{C_text("f_24718:library_2escm"),(void*)f_24718},
{C_text("f_24731:library_2escm"),(void*)f_24731},
{C_text("f_24734:library_2escm"),(void*)f_24734},
{C_text("f_24745:library_2escm"),(void*)f_24745},
{C_text("f_24767:library_2escm"),(void*)f_24767},
{C_text("f_24779:library_2escm"),(void*)f_24779},
{C_text("f_24782:library_2escm"),(void*)f_24782},
{C_text("f_24789:library_2escm"),(void*)f_24789},
{C_text("f_24798:library_2escm"),(void*)f_24798},
{C_text("f_24801:library_2escm"),(void*)f_24801},
{C_text("f_24845:library_2escm"),(void*)f_24845},
{C_text("f_24848:library_2escm"),(void*)f_24848},
{C_text("f_24857:library_2escm"),(void*)f_24857},
{C_text("f_24870:library_2escm"),(void*)f_24870},
{C_text("f_24873:library_2escm"),(void*)f_24873},
{C_text("f_24898:library_2escm"),(void*)f_24898},
{C_text("f_24902:library_2escm"),(void*)f_24902},
{C_text("f_24912:library_2escm"),(void*)f_24912},
{C_text("f_24915:library_2escm"),(void*)f_24915},
{C_text("f_24930:library_2escm"),(void*)f_24930},
{C_text("f_24937:library_2escm"),(void*)f_24937},
{C_text("f_24959:library_2escm"),(void*)f_24959},
{C_text("f_24961:library_2escm"),(void*)f_24961},
{C_text("f_24974:library_2escm"),(void*)f_24974},
{C_text("f_24979:library_2escm"),(void*)f_24979},
{C_text("f_24985:library_2escm"),(void*)f_24985},
{C_text("f_24991:library_2escm"),(void*)f_24991},
{C_text("f_24995:library_2escm"),(void*)f_24995},
{C_text("f_24998:library_2escm"),(void*)f_24998},
{C_text("f_25013:library_2escm"),(void*)f_25013},
{C_text("f_25016:library_2escm"),(void*)f_25016},
{C_text("f_25034:library_2escm"),(void*)f_25034},
{C_text("f_25036:library_2escm"),(void*)f_25036},
{C_text("f_25042:library_2escm"),(void*)f_25042},
{C_text("f_25051:library_2escm"),(void*)f_25051},
{C_text("f_25057:library_2escm"),(void*)f_25057},
{C_text("f_25064:library_2escm"),(void*)f_25064},
{C_text("f_25067:library_2escm"),(void*)f_25067},
{C_text("f_25070:library_2escm"),(void*)f_25070},
{C_text("f_25079:library_2escm"),(void*)f_25079},
{C_text("f_25095:library_2escm"),(void*)f_25095},
{C_text("f_25110:library_2escm"),(void*)f_25110},
{C_text("f_25112:library_2escm"),(void*)f_25112},
{C_text("f_25118:library_2escm"),(void*)f_25118},
{C_text("f_25124:library_2escm"),(void*)f_25124},
{C_text("f_25128:library_2escm"),(void*)f_25128},
{C_text("f_25131:library_2escm"),(void*)f_25131},
{C_text("f_25134:library_2escm"),(void*)f_25134},
{C_text("f_25138:library_2escm"),(void*)f_25138},
{C_text("f_25142:library_2escm"),(void*)f_25142},
{C_text("f_25146:library_2escm"),(void*)f_25146},
{C_text("f_25149:library_2escm"),(void*)f_25149},
{C_text("f_25152:library_2escm"),(void*)f_25152},
{C_text("f_25155:library_2escm"),(void*)f_25155},
{C_text("f_25167:library_2escm"),(void*)f_25167},
{C_text("f_25173:library_2escm"),(void*)f_25173},
{C_text("f_25177:library_2escm"),(void*)f_25177},
{C_text("f_25180:library_2escm"),(void*)f_25180},
{C_text("f_25183:library_2escm"),(void*)f_25183},
{C_text("f_25186:library_2escm"),(void*)f_25186},
{C_text("f_25189:library_2escm"),(void*)f_25189},
{C_text("f_25192:library_2escm"),(void*)f_25192},
{C_text("f_25197:library_2escm"),(void*)f_25197},
{C_text("f_25219:library_2escm"),(void*)f_25219},
{C_text("f_25225:library_2escm"),(void*)f_25225},
{C_text("f_25228:library_2escm"),(void*)f_25228},
{C_text("f_25253:library_2escm"),(void*)f_25253},
{C_text("f_25256:library_2escm"),(void*)f_25256},
{C_text("f_25263:library_2escm"),(void*)f_25263},
{C_text("f_25276:library_2escm"),(void*)f_25276},
{C_text("f_25286:library_2escm"),(void*)f_25286},
{C_text("f_25291:library_2escm"),(void*)f_25291},
{C_text("f_25297:library_2escm"),(void*)f_25297},
{C_text("f_25324:library_2escm"),(void*)f_25324},
{C_text("f_25330:library_2escm"),(void*)f_25330},
{C_text("f_25341:library_2escm"),(void*)f_25341},
{C_text("f_25350:library_2escm"),(void*)f_25350},
{C_text("f_25355:library_2escm"),(void*)f_25355},
{C_text("f_25361:library_2escm"),(void*)f_25361},
{C_text("f_25385:library_2escm"),(void*)f_25385},
{C_text("f_25393:library_2escm"),(void*)f_25393},
{C_text("f_25410:library_2escm"),(void*)f_25410},
{C_text("f_25450:library_2escm"),(void*)f_25450},
{C_text("f_25457:library_2escm"),(void*)f_25457},
{C_text("f_25469:library_2escm"),(void*)f_25469},
{C_text("f_25473:library_2escm"),(void*)f_25473},
{C_text("f_25486:library_2escm"),(void*)f_25486},
{C_text("f_25488:library_2escm"),(void*)f_25488},
{C_text("f_25522:library_2escm"),(void*)f_25522},
{C_text("f_25526:library_2escm"),(void*)f_25526},
{C_text("f_25527:library_2escm"),(void*)f_25527},
{C_text("f_25537:library_2escm"),(void*)f_25537},
{C_text("f_25542:library_2escm"),(void*)f_25542},
{C_text("f_25552:library_2escm"),(void*)f_25552},
{C_text("f_25565:library_2escm"),(void*)f_25565},
{C_text("f_25576:library_2escm"),(void*)f_25576},
{C_text("f_25580:library_2escm"),(void*)f_25580},
{C_text("f_25584:library_2escm"),(void*)f_25584},
{C_text("f_25606:library_2escm"),(void*)f_25606},
{C_text("f_25610:library_2escm"),(void*)f_25610},
{C_text("f_25618:library_2escm"),(void*)f_25618},
{C_text("f_25634:library_2escm"),(void*)f_25634},
{C_text("f_25645:library_2escm"),(void*)f_25645},
{C_text("f_25664:library_2escm"),(void*)f_25664},
{C_text("f_25675:library_2escm"),(void*)f_25675},
{C_text("f_25683:library_2escm"),(void*)f_25683},
{C_text("f_25762:library_2escm"),(void*)f_25762},
{C_text("f_25772:library_2escm"),(void*)f_25772},
{C_text("f_25773:library_2escm"),(void*)f_25773},
{C_text("f_25786:library_2escm"),(void*)f_25786},
{C_text("f_25789:library_2escm"),(void*)f_25789},
{C_text("f_25792:library_2escm"),(void*)f_25792},
{C_text("f_25795:library_2escm"),(void*)f_25795},
{C_text("f_25803:library_2escm"),(void*)f_25803},
{C_text("f_25810:library_2escm"),(void*)f_25810},
{C_text("f_25813:library_2escm"),(void*)f_25813},
{C_text("f_25816:library_2escm"),(void*)f_25816},
{C_text("f_25839:library_2escm"),(void*)f_25839},
{C_text("f_25844:library_2escm"),(void*)f_25844},
{C_text("f_25854:library_2escm"),(void*)f_25854},
{C_text("f_25867:library_2escm"),(void*)f_25867},
{C_text("f_25898:library_2escm"),(void*)f_25898},
{C_text("f_25908:library_2escm"),(void*)f_25908},
{C_text("f_25958:library_2escm"),(void*)f_25958},
{C_text("f_25961:library_2escm"),(void*)f_25961},
{C_text("f_25980:library_2escm"),(void*)f_25980},
{C_text("f_25985:library_2escm"),(void*)f_25985},
{C_text("f_25991:library_2escm"),(void*)f_25991},
{C_text("f_25994:library_2escm"),(void*)f_25994},
{C_text("f_26000:library_2escm"),(void*)f_26000},
{C_text("f_26008:library_2escm"),(void*)f_26008},
{C_text("f_26027:library_2escm"),(void*)f_26027},
{C_text("f_26032:library_2escm"),(void*)f_26032},
{C_text("f_26042:library_2escm"),(void*)f_26042},
{C_text("f_26056:library_2escm"),(void*)f_26056},
{C_text("f_26063:library_2escm"),(void*)f_26063},
{C_text("f_26067:library_2escm"),(void*)f_26067},
{C_text("f_26071:library_2escm"),(void*)f_26071},
{C_text("f_26073:library_2escm"),(void*)f_26073},
{C_text("f_26099:library_2escm"),(void*)f_26099},
{C_text("f_26102:library_2escm"),(void*)f_26102},
{C_text("f_26105:library_2escm"),(void*)f_26105},
{C_text("f_26112:library_2escm"),(void*)f_26112},
{C_text("f_26116:library_2escm"),(void*)f_26116},
{C_text("f_26122:library_2escm"),(void*)f_26122},
{C_text("f_26127:library_2escm"),(void*)f_26127},
{C_text("f_26137:library_2escm"),(void*)f_26137},
{C_text("f_26175:library_2escm"),(void*)f_26175},
{C_text("f_26178:library_2escm"),(void*)f_26178},
{C_text("f_26198:library_2escm"),(void*)f_26198},
{C_text("f_26206:library_2escm"),(void*)f_26206},
{C_text("f_26340:library_2escm"),(void*)f_26340},
{C_text("f_26357:library_2escm"),(void*)f_26357},
{C_text("f_26361:library_2escm"),(void*)f_26361},
{C_text("f_26374:library_2escm"),(void*)f_26374},
{C_text("f_26383:library_2escm"),(void*)f_26383},
{C_text("f_26386:library_2escm"),(void*)f_26386},
{C_text("f_26390:library_2escm"),(void*)f_26390},
{C_text("f_26429:library_2escm"),(void*)f_26429},
{C_text("f_26432:library_2escm"),(void*)f_26432},
{C_text("f_26439:library_2escm"),(void*)f_26439},
{C_text("f_26443:library_2escm"),(void*)f_26443},
{C_text("f_26469:library_2escm"),(void*)f_26469},
{C_text("f_26500:library_2escm"),(void*)f_26500},
{C_text("f_26503:library_2escm"),(void*)f_26503},
{C_text("f_26515:library_2escm"),(void*)f_26515},
{C_text("f_26518:library_2escm"),(void*)f_26518},
{C_text("f_26521:library_2escm"),(void*)f_26521},
{C_text("f_26546:library_2escm"),(void*)f_26546},
{C_text("f_26552:library_2escm"),(void*)f_26552},
{C_text("f_26556:library_2escm"),(void*)f_26556},
{C_text("f_26560:library_2escm"),(void*)f_26560},
{C_text("f_26573:library_2escm"),(void*)f_26573},
{C_text("f_26575:library_2escm"),(void*)f_26575},
{C_text("f_26581:library_2escm"),(void*)f_26581},
{C_text("f_26586:library_2escm"),(void*)f_26586},
{C_text("f_26621:library_2escm"),(void*)f_26621},
{C_text("f_26627:library_2escm"),(void*)f_26627},
{C_text("f_26643:library_2escm"),(void*)f_26643},
{C_text("f_26665:library_2escm"),(void*)f_26665},
{C_text("f_26689:library_2escm"),(void*)f_26689},
{C_text("f_26701:library_2escm"),(void*)f_26701},
{C_text("f_26703:library_2escm"),(void*)f_26703},
{C_text("f_26722:library_2escm"),(void*)f_26722},
{C_text("f_26726:library_2escm"),(void*)f_26726},
{C_text("f_26738:library_2escm"),(void*)f_26738},
{C_text("f_26740:library_2escm"),(void*)f_26740},
{C_text("f_26784:library_2escm"),(void*)f_26784},
{C_text("f_26786:library_2escm"),(void*)f_26786},
{C_text("f_26820:library_2escm"),(void*)f_26820},
{C_text("f_26843:library_2escm"),(void*)f_26843},
{C_text("f_26850:library_2escm"),(void*)f_26850},
{C_text("f_26860:library_2escm"),(void*)f_26860},
{C_text("f_26862:library_2escm"),(void*)f_26862},
{C_text("f_26912:library_2escm"),(void*)f_26912},
{C_text("f_26914:library_2escm"),(void*)f_26914},
{C_text("f_26939:library_2escm"),(void*)f_26939},
{C_text("f_26948:library_2escm"),(void*)f_26948},
{C_text("f_26954:library_2escm"),(void*)f_26954},
{C_text("f_26958:library_2escm"),(void*)f_26958},
{C_text("f_26962:library_2escm"),(void*)f_26962},
{C_text("f_26970:library_2escm"),(void*)f_26970},
{C_text("f_26976:library_2escm"),(void*)f_26976},
{C_text("f_27007:library_2escm"),(void*)f_27007},
{C_text("f_27032:library_2escm"),(void*)f_27032},
{C_text("f_27057:library_2escm"),(void*)f_27057},
{C_text("f_27067:library_2escm"),(void*)f_27067},
{C_text("f_27072:library_2escm"),(void*)f_27072},
{C_text("f_27074:library_2escm"),(void*)f_27074},
{C_text("f_27081:library_2escm"),(void*)f_27081},
{C_text("f_27093:library_2escm"),(void*)f_27093},
{C_text("f_27101:library_2escm"),(void*)f_27101},
{C_text("f_27139:library_2escm"),(void*)f_27139},
{C_text("f_27143:library_2escm"),(void*)f_27143},
{C_text("f_27150:library_2escm"),(void*)f_27150},
{C_text("f_27153:library_2escm"),(void*)f_27153},
{C_text("f_27156:library_2escm"),(void*)f_27156},
{C_text("f_27157:library_2escm"),(void*)f_27157},
{C_text("f_27159:library_2escm"),(void*)f_27159},
{C_text("f_27163:library_2escm"),(void*)f_27163},
{C_text("f_27168:library_2escm"),(void*)f_27168},
{C_text("f_27180:library_2escm"),(void*)f_27180},
{C_text("f_27190:library_2escm"),(void*)f_27190},
{C_text("f_27202:library_2escm"),(void*)f_27202},
{C_text("f_27204:library_2escm"),(void*)f_27204},
{C_text("f_27211:library_2escm"),(void*)f_27211},
{C_text("f_27214:library_2escm"),(void*)f_27214},
{C_text("f_27223:library_2escm"),(void*)f_27223},
{C_text("f_27226:library_2escm"),(void*)f_27226},
{C_text("f_27229:library_2escm"),(void*)f_27229},
{C_text("f_27244:library_2escm"),(void*)f_27244},
{C_text("f_27250:library_2escm"),(void*)f_27250},
{C_text("f_27258:library_2escm"),(void*)f_27258},
{C_text("f_27262:library_2escm"),(void*)f_27262},
{C_text("f_27265:library_2escm"),(void*)f_27265},
{C_text("f_27268:library_2escm"),(void*)f_27268},
{C_text("f_27281:library_2escm"),(void*)f_27281},
{C_text("f_27285:library_2escm"),(void*)f_27285},
{C_text("f_27306:library_2escm"),(void*)f_27306},
{C_text("f_27322:library_2escm"),(void*)f_27322},
{C_text("f_27325:library_2escm"),(void*)f_27325},
{C_text("f_27331:library_2escm"),(void*)f_27331},
{C_text("f_27353:library_2escm"),(void*)f_27353},
{C_text("f_27358:library_2escm"),(void*)f_27358},
{C_text("f_27393:library_2escm"),(void*)f_27393},
{C_text("f_27403:library_2escm"),(void*)f_27403},
{C_text("f_27406:library_2escm"),(void*)f_27406},
{C_text("f_27409:library_2escm"),(void*)f_27409},
{C_text("f_27412:library_2escm"),(void*)f_27412},
{C_text("f_27415:library_2escm"),(void*)f_27415},
{C_text("f_27418:library_2escm"),(void*)f_27418},
{C_text("f_27425:library_2escm"),(void*)f_27425},
{C_text("f_27428:library_2escm"),(void*)f_27428},
{C_text("f_27431:library_2escm"),(void*)f_27431},
{C_text("f_27442:library_2escm"),(void*)f_27442},
{C_text("f_27465:library_2escm"),(void*)f_27465},
{C_text("f_27476:library_2escm"),(void*)f_27476},
{C_text("f_27480:library_2escm"),(void*)f_27480},
{C_text("f_27502:library_2escm"),(void*)f_27502},
{C_text("f_27513:library_2escm"),(void*)f_27513},
{C_text("f_27517:library_2escm"),(void*)f_27517},
{C_text("f_28016:library_2escm"),(void*)f_28016},
{C_text("f_28027:library_2escm"),(void*)f_28027},
{C_text("f_28031:library_2escm"),(void*)f_28031},
{C_text("f_28148:library_2escm"),(void*)f_28148},
{C_text("f_28151:library_2escm"),(void*)f_28151},
{C_text("f_28154:library_2escm"),(void*)f_28154},
{C_text("f_28157:library_2escm"),(void*)f_28157},
{C_text("f_28162:library_2escm"),(void*)f_28162},
{C_text("f_28165:library_2escm"),(void*)f_28165},
{C_text("f_28168:library_2escm"),(void*)f_28168},
{C_text("f_28171:library_2escm"),(void*)f_28171},
{C_text("f_28174:library_2escm"),(void*)f_28174},
{C_text("f_28177:library_2escm"),(void*)f_28177},
{C_text("f_28180:library_2escm"),(void*)f_28180},
{C_text("f_28183:library_2escm"),(void*)f_28183},
{C_text("f_28186:library_2escm"),(void*)f_28186},
{C_text("f_28190:library_2escm"),(void*)f_28190},
{C_text("f_28192:library_2escm"),(void*)f_28192},
{C_text("f_28200:library_2escm"),(void*)f_28200},
{C_text("f_28202:library_2escm"),(void*)f_28202},
{C_text("f_28206:library_2escm"),(void*)f_28206},
{C_text("f_28208:library_2escm"),(void*)f_28208},
{C_text("f_28215:library_2escm"),(void*)f_28215},
{C_text("f_28225:library_2escm"),(void*)f_28225},
{C_text("f_28250:library_2escm"),(void*)f_28250},
{C_text("f_28253:library_2escm"),(void*)f_28253},
{C_text("f_28256:library_2escm"),(void*)f_28256},
{C_text("f_28259:library_2escm"),(void*)f_28259},
{C_text("f_28262:library_2escm"),(void*)f_28262},
{C_text("f_28272:library_2escm"),(void*)f_28272},
{C_text("f_28278:library_2escm"),(void*)f_28278},
{C_text("f_28282:library_2escm"),(void*)f_28282},
{C_text("f_28284:library_2escm"),(void*)f_28284},
{C_text("f_28294:library_2escm"),(void*)f_28294},
{C_text("f_28300:library_2escm"),(void*)f_28300},
{C_text("f_28304:library_2escm"),(void*)f_28304},
{C_text("f_28306:library_2escm"),(void*)f_28306},
{C_text("f_28311:library_2escm"),(void*)f_28311},
{C_text("f_28313:library_2escm"),(void*)f_28313},
{C_text("f_28316:library_2escm"),(void*)f_28316},
{C_text("f_28336:library_2escm"),(void*)f_28336},
{C_text("f_28342:library_2escm"),(void*)f_28342},
{C_text("f_28352:library_2escm"),(void*)f_28352},
{C_text("f_28362:library_2escm"),(void*)f_28362},
{C_text("f_28397:library_2escm"),(void*)f_28397},
{C_text("f_28401:library_2escm"),(void*)f_28401},
{C_text("f_28406:library_2escm"),(void*)f_28406},
{C_text("f_28416:library_2escm"),(void*)f_28416},
{C_text("f_28426:library_2escm"),(void*)f_28426},
{C_text("f_28435:library_2escm"),(void*)f_28435},
{C_text("f_28438:library_2escm"),(void*)f_28438},
{C_text("f_28441:library_2escm"),(void*)f_28441},
{C_text("f_28448:library_2escm"),(void*)f_28448},
{C_text("f_28455:library_2escm"),(void*)f_28455},
{C_text("f_28458:library_2escm"),(void*)f_28458},
{C_text("f_28462:library_2escm"),(void*)f_28462},
{C_text("f_28464:library_2escm"),(void*)f_28464},
{C_text("f_28467:library_2escm"),(void*)f_28467},
{C_text("f_28470:library_2escm"),(void*)f_28470},
{C_text("f_28473:library_2escm"),(void*)f_28473},
{C_text("f_28476:library_2escm"),(void*)f_28476},
{C_text("f_28479:library_2escm"),(void*)f_28479},
{C_text("f_28482:library_2escm"),(void*)f_28482},
{C_text("f_28485:library_2escm"),(void*)f_28485},
{C_text("f_28488:library_2escm"),(void*)f_28488},
{C_text("f_28491:library_2escm"),(void*)f_28491},
{C_text("f_28494:library_2escm"),(void*)f_28494},
{C_text("f_28498:library_2escm"),(void*)f_28498},
{C_text("f_28501:library_2escm"),(void*)f_28501},
{C_text("f_28517:library_2escm"),(void*)f_28517},
{C_text("f_28525:library_2escm"),(void*)f_28525},
{C_text("f_28528:library_2escm"),(void*)f_28528},
{C_text("f_28534:library_2escm"),(void*)f_28534},
{C_text("f_28543:library_2escm"),(void*)f_28543},
{C_text("f_28549:library_2escm"),(void*)f_28549},
{C_text("f_28558:library_2escm"),(void*)f_28558},
{C_text("f_28564:library_2escm"),(void*)f_28564},
{C_text("f_28570:library_2escm"),(void*)f_28570},
{C_text("f_28573:library_2escm"),(void*)f_28573},
{C_text("f_28577:library_2escm"),(void*)f_28577},
{C_text("f_28580:library_2escm"),(void*)f_28580},
{C_text("f_28585:library_2escm"),(void*)f_28585},
{C_text("f_28587:library_2escm"),(void*)f_28587},
{C_text("f_28591:library_2escm"),(void*)f_28591},
{C_text("f_28618:library_2escm"),(void*)f_28618},
{C_text("f_28628:library_2escm"),(void*)f_28628},
{C_text("f_28637:library_2escm"),(void*)f_28637},
{C_text("f_28644:library_2escm"),(void*)f_28644},
{C_text("f_28648:library_2escm"),(void*)f_28648},
{C_text("f_28662:library_2escm"),(void*)f_28662},
{C_text("f_28666:library_2escm"),(void*)f_28666},
{C_text("f_28673:library_2escm"),(void*)f_28673},
{C_text("f_28675:library_2escm"),(void*)f_28675},
{C_text("f_28697:library_2escm"),(void*)f_28697},
{C_text("f_28704:library_2escm"),(void*)f_28704},
{C_text("f_28709:library_2escm"),(void*)f_28709},
{C_text("f_28713:library_2escm"),(void*)f_28713},
{C_text("f_28716:library_2escm"),(void*)f_28716},
{C_text("f_28719:library_2escm"),(void*)f_28719},
{C_text("f_28724:library_2escm"),(void*)f_28724},
{C_text("f_28728:library_2escm"),(void*)f_28728},
{C_text("f_28754:library_2escm"),(void*)f_28754},
{C_text("f_28767:library_2escm"),(void*)f_28767},
{C_text("f_28770:library_2escm"),(void*)f_28770},
{C_text("f_28779:library_2escm"),(void*)f_28779},
{C_text("f_28782:library_2escm"),(void*)f_28782},
{C_text("f_28785:library_2escm"),(void*)f_28785},
{C_text("f_28791:library_2escm"),(void*)f_28791},
{C_text("f_28798:library_2escm"),(void*)f_28798},
{C_text("f_28800:library_2escm"),(void*)f_28800},
{C_text("f_28813:library_2escm"),(void*)f_28813},
{C_text("f_28826:library_2escm"),(void*)f_28826},
{C_text("f_28829:library_2escm"),(void*)f_28829},
{C_text("f_28832:library_2escm"),(void*)f_28832},
{C_text("f_28839:library_2escm"),(void*)f_28839},
{C_text("f_28892:library_2escm"),(void*)f_28892},
{C_text("f_28895:library_2escm"),(void*)f_28895},
{C_text("f_28898:library_2escm"),(void*)f_28898},
{C_text("f_28900:library_2escm"),(void*)f_28900},
{C_text("f_28904:library_2escm"),(void*)f_28904},
{C_text("f_28908:library_2escm"),(void*)f_28908},
{C_text("f_28914:library_2escm"),(void*)f_28914},
{C_text("f_28919:library_2escm"),(void*)f_28919},
{C_text("f_28923:library_2escm"),(void*)f_28923},
{C_text("f_28935:library_2escm"),(void*)f_28935},
{C_text("f_28947:library_2escm"),(void*)f_28947},
{C_text("f_28954:library_2escm"),(void*)f_28954},
{C_text("f_28960:library_2escm"),(void*)f_28960},
{C_text("f_28974:library_2escm"),(void*)f_28974},
{C_text("f_29013:library_2escm"),(void*)f_29013},
{C_text("f_29032:library_2escm"),(void*)f_29032},
{C_text("f_29055:library_2escm"),(void*)f_29055},
{C_text("f_29064:library_2escm"),(void*)f_29064},
{C_text("f_29071:library_2escm"),(void*)f_29071},
{C_text("f_29088:library_2escm"),(void*)f_29088},
{C_text("f_29096:library_2escm"),(void*)f_29096},
{C_text("f_29107:library_2escm"),(void*)f_29107},
{C_text("f_29115:library_2escm"),(void*)f_29115},
{C_text("f_29122:library_2escm"),(void*)f_29122},
{C_text("f_29184:library_2escm"),(void*)f_29184},
{C_text("f_29191:library_2escm"),(void*)f_29191},
{C_text("f_29194:library_2escm"),(void*)f_29194},
{C_text("f_29200:library_2escm"),(void*)f_29200},
{C_text("f_29207:library_2escm"),(void*)f_29207},
{C_text("f_29211:library_2escm"),(void*)f_29211},
{C_text("f_29214:library_2escm"),(void*)f_29214},
{C_text("f_29222:library_2escm"),(void*)f_29222},
{C_text("f_29224:library_2escm"),(void*)f_29224},
{C_text("f_29233:library_2escm"),(void*)f_29233},
{C_text("f_29239:library_2escm"),(void*)f_29239},
{C_text("f_29250:library_2escm"),(void*)f_29250},
{C_text("f_29254:library_2escm"),(void*)f_29254},
{C_text("f_29256:library_2escm"),(void*)f_29256},
{C_text("f_29264:library_2escm"),(void*)f_29264},
{C_text("f_29276:library_2escm"),(void*)f_29276},
{C_text("f_29282:library_2escm"),(void*)f_29282},
{C_text("f_29286:library_2escm"),(void*)f_29286},
{C_text("f_29294:library_2escm"),(void*)f_29294},
{C_text("f_29312:library_2escm"),(void*)f_29312},
{C_text("f_29320:library_2escm"),(void*)f_29320},
{C_text("f_29324:library_2escm"),(void*)f_29324},
{C_text("f_29342:library_2escm"),(void*)f_29342},
{C_text("f_29349:library_2escm"),(void*)f_29349},
{C_text("f_29361:library_2escm"),(void*)f_29361},
{C_text("f_29369:library_2escm"),(void*)f_29369},
{C_text("f_29375:library_2escm"),(void*)f_29375},
{C_text("f_29397:library_2escm"),(void*)f_29397},
{C_text("f_29401:library_2escm"),(void*)f_29401},
{C_text("f_29405:library_2escm"),(void*)f_29405},
{C_text("f_29407:library_2escm"),(void*)f_29407},
{C_text("f_29410:library_2escm"),(void*)f_29410},
{C_text("f_29413:library_2escm"),(void*)f_29413},
{C_text("f_29417:library_2escm"),(void*)f_29417},
{C_text("f_29420:library_2escm"),(void*)f_29420},
{C_text("f_29442:library_2escm"),(void*)f_29442},
{C_text("f_29448:library_2escm"),(void*)f_29448},
{C_text("f_29452:library_2escm"),(void*)f_29452},
{C_text("f_29469:library_2escm"),(void*)f_29469},
{C_text("f_29479:library_2escm"),(void*)f_29479},
{C_text("f_29483:library_2escm"),(void*)f_29483},
{C_text("f_29487:library_2escm"),(void*)f_29487},
{C_text("f_29499:library_2escm"),(void*)f_29499},
{C_text("f_29509:library_2escm"),(void*)f_29509},
{C_text("f_29513:library_2escm"),(void*)f_29513},
{C_text("f_29517:library_2escm"),(void*)f_29517},
{C_text("f_29548:library_2escm"),(void*)f_29548},
{C_text("f_29551:library_2escm"),(void*)f_29551},
{C_text("f_29554:library_2escm"),(void*)f_29554},
{C_text("f_29560:library_2escm"),(void*)f_29560},
{C_text("f_29573:library_2escm"),(void*)f_29573},
{C_text("f_29576:library_2escm"),(void*)f_29576},
{C_text("f_29585:library_2escm"),(void*)f_29585},
{C_text("f_29591:library_2escm"),(void*)f_29591},
{C_text("f_29597:library_2escm"),(void*)f_29597},
{C_text("f_29603:library_2escm"),(void*)f_29603},
{C_text("f_29609:library_2escm"),(void*)f_29609},
{C_text("f_29626:library_2escm"),(void*)f_29626},
{C_text("f_29632:library_2escm"),(void*)f_29632},
{C_text("f_29647:library_2escm"),(void*)f_29647},
{C_text("f_29651:library_2escm"),(void*)f_29651},
{C_text("f_29655:library_2escm"),(void*)f_29655},
{C_text("f_29659:library_2escm"),(void*)f_29659},
{C_text("f_29680:library_2escm"),(void*)f_29680},
{C_text("f_29682:library_2escm"),(void*)f_29682},
{C_text("f_29688:library_2escm"),(void*)f_29688},
{C_text("f_29692:library_2escm"),(void*)f_29692},
{C_text("f_29701:library_2escm"),(void*)f_29701},
{C_text("f_29710:library_2escm"),(void*)f_29710},
{C_text("f_29753:library_2escm"),(void*)f_29753},
{C_text("f_29775:library_2escm"),(void*)f_29775},
{C_text("f_29788:library_2escm"),(void*)f_29788},
{C_text("f_29813:library_2escm"),(void*)f_29813},
{C_text("f_29829:library_2escm"),(void*)f_29829},
{C_text("f_29845:library_2escm"),(void*)f_29845},
{C_text("f_29861:library_2escm"),(void*)f_29861},
{C_text("f_29877:library_2escm"),(void*)f_29877},
{C_text("f_29893:library_2escm"),(void*)f_29893},
{C_text("f_29909:library_2escm"),(void*)f_29909},
{C_text("f_29925:library_2escm"),(void*)f_29925},
{C_text("f_29941:library_2escm"),(void*)f_29941},
{C_text("f_29957:library_2escm"),(void*)f_29957},
{C_text("f_29964:library_2escm"),(void*)f_29964},
{C_text("f_30005:library_2escm"),(void*)f_30005},
{C_text("f_30017:library_2escm"),(void*)f_30017},
{C_text("f_30023:library_2escm"),(void*)f_30023},
{C_text("f_30042:library_2escm"),(void*)f_30042},
{C_text("f_30044:library_2escm"),(void*)f_30044},
{C_text("f_30067:library_2escm"),(void*)f_30067},
{C_text("f_30113:library_2escm"),(void*)f_30113},
{C_text("f_30115:library_2escm"),(void*)f_30115},
{C_text("f_30122:library_2escm"),(void*)f_30122},
{C_text("f_30134:library_2escm"),(void*)f_30134},
{C_text("f_30178:library_2escm"),(void*)f_30178},
{C_text("f_30193:library_2escm"),(void*)f_30193},
{C_text("f_30201:library_2escm"),(void*)f_30201},
{C_text("f_30207:library_2escm"),(void*)f_30207},
{C_text("f_30215:library_2escm"),(void*)f_30215},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30227:library_2escm"),(void*)f_30227},
{C_text("f_30229:library_2escm"),(void*)f_30229},
{C_text("f_30239:library_2escm"),(void*)f_30239},
{C_text("f_30246:library_2escm"),(void*)f_30246},
{C_text("f_30250:library_2escm"),(void*)f_30250},
{C_text("f_30261:library_2escm"),(void*)f_30261},
{C_text("f_30268:library_2escm"),(void*)f_30268},
{C_text("f_30272:library_2escm"),(void*)f_30272},
{C_text("f_30283:library_2escm"),(void*)f_30283},
{C_text("f_30290:library_2escm"),(void*)f_30290},
{C_text("f_30294:library_2escm"),(void*)f_30294},
{C_text("f_30299:library_2escm"),(void*)f_30299},
{C_text("f_30305:library_2escm"),(void*)f_30305},
{C_text("f_30308:library_2escm"),(void*)f_30308},
{C_text("f_30311:library_2escm"),(void*)f_30311},
{C_text("f_30317:library_2escm"),(void*)f_30317},
{C_text("f_30326:library_2escm"),(void*)f_30326},
{C_text("f_30335:library_2escm"),(void*)f_30335},
{C_text("f_30341:library_2escm"),(void*)f_30341},
{C_text("f_30344:library_2escm"),(void*)f_30344},
{C_text("f_30347:library_2escm"),(void*)f_30347},
{C_text("f_30359:library_2escm"),(void*)f_30359},
{C_text("f_30362:library_2escm"),(void*)f_30362},
{C_text("f_30365:library_2escm"),(void*)f_30365},
{C_text("f_30368:library_2escm"),(void*)f_30368},
{C_text("f_30380:library_2escm"),(void*)f_30380},
{C_text("f_30383:library_2escm"),(void*)f_30383},
{C_text("f_30386:library_2escm"),(void*)f_30386},
{C_text("f_30389:library_2escm"),(void*)f_30389},
{C_text("f_30398:library_2escm"),(void*)f_30398},
{C_text("f_30401:library_2escm"),(void*)f_30401},
{C_text("f_30414:library_2escm"),(void*)f_30414},
{C_text("f_30415:library_2escm"),(void*)f_30415},
{C_text("f_30420:library_2escm"),(void*)f_30420},
{C_text("f_30421:library_2escm"),(void*)f_30421},
{C_text("f_30426:library_2escm"),(void*)f_30426},
{C_text("f_30427:library_2escm"),(void*)f_30427},
{C_text("f_30432:library_2escm"),(void*)f_30432},
{C_text("f_30433:library_2escm"),(void*)f_30433},
{C_text("f_30438:library_2escm"),(void*)f_30438},
{C_text("f_30439:library_2escm"),(void*)f_30439},
{C_text("f_30444:library_2escm"),(void*)f_30444},
{C_text("f_30446:library_2escm"),(void*)f_30446},
{C_text("f_30456:library_2escm"),(void*)f_30456},
{C_text("f_30459:library_2escm"),(void*)f_30459},
{C_text("f_30462:library_2escm"),(void*)f_30462},
{C_text("f_30465:library_2escm"),(void*)f_30465},
{C_text("f_30467:library_2escm"),(void*)f_30467},
{C_text("f_30481:library_2escm"),(void*)f_30481},
{C_text("f_30489:library_2escm"),(void*)f_30489},
{C_text("f_30493:library_2escm"),(void*)f_30493},
{C_text("f_30497:library_2escm"),(void*)f_30497},
{C_text("f_30501:library_2escm"),(void*)f_30501},
{C_text("f_30507:library_2escm"),(void*)f_30507},
{C_text("f_30514:library_2escm"),(void*)f_30514},
{C_text("f_30518:library_2escm"),(void*)f_30518},
{C_text("f_30522:library_2escm"),(void*)f_30522},
{C_text("f_30526:library_2escm"),(void*)f_30526},
{C_text("f_30565:library_2escm"),(void*)f_30565},
{C_text("f_30568:library_2escm"),(void*)f_30568},
{C_text("f_30571:library_2escm"),(void*)f_30571},
{C_text("f_30574:library_2escm"),(void*)f_30574},
{C_text("f_30577:library_2escm"),(void*)f_30577},
{C_text("f_30585:library_2escm"),(void*)f_30585},
{C_text("f_30589:library_2escm"),(void*)f_30589},
{C_text("f_30592:library_2escm"),(void*)f_30592},
{C_text("f_30607:library_2escm"),(void*)f_30607},
{C_text("f_30629:library_2escm"),(void*)f_30629},
{C_text("f_30635:library_2escm"),(void*)f_30635},
{C_text("f_30655:library_2escm"),(void*)f_30655},
{C_text("f_30670:library_2escm"),(void*)f_30670},
{C_text("f_30674:library_2escm"),(void*)f_30674},
{C_text("f_30697:library_2escm"),(void*)f_30697},
{C_text("f_30701:library_2escm"),(void*)f_30701},
{C_text("f_30718:library_2escm"),(void*)f_30718},
{C_text("f_30725:library_2escm"),(void*)f_30725},
{C_text("f_30747:library_2escm"),(void*)f_30747},
{C_text("f_30752:library_2escm"),(void*)f_30752},
{C_text("f_30767:library_2escm"),(void*)f_30767},
{C_text("f_30770:library_2escm"),(void*)f_30770},
{C_text("f_30773:library_2escm"),(void*)f_30773},
{C_text("f_30776:library_2escm"),(void*)f_30776},
{C_text("f_30779:library_2escm"),(void*)f_30779},
{C_text("f_30782:library_2escm"),(void*)f_30782},
{C_text("f_30785:library_2escm"),(void*)f_30785},
{C_text("f_30788:library_2escm"),(void*)f_30788},
{C_text("f_30791:library_2escm"),(void*)f_30791},
{C_text("f_30794:library_2escm"),(void*)f_30794},
{C_text("f_30797:library_2escm"),(void*)f_30797},
{C_text("f_30801:library_2escm"),(void*)f_30801},
{C_text("f_30804:library_2escm"),(void*)f_30804},
{C_text("f_30809:library_2escm"),(void*)f_30809},
{C_text("f_30815:library_2escm"),(void*)f_30815},
{C_text("f_30828:library_2escm"),(void*)f_30828},
{C_text("f_30830:library_2escm"),(void*)f_30830},
{C_text("f_30853:library_2escm"),(void*)f_30853},
{C_text("f_30860:library_2escm"),(void*)f_30860},
{C_text("f_30864:library_2escm"),(void*)f_30864},
{C_text("f_30866:library_2escm"),(void*)f_30866},
{C_text("f_30895:library_2escm"),(void*)f_30895},
{C_text("f_30897:library_2escm"),(void*)f_30897},
{C_text("f_30922:library_2escm"),(void*)f_30922},
{C_text("f_30931:library_2escm"),(void*)f_30931},
{C_text("f_30934:library_2escm"),(void*)f_30934},
{C_text("f_30940:library_2escm"),(void*)f_30940},
{C_text("f_30964:library_2escm"),(void*)f_30964},
{C_text("f_30971:library_2escm"),(void*)f_30971},
{C_text("f_30975:library_2escm"),(void*)f_30975},
{C_text("f_30987:library_2escm"),(void*)f_30987},
{C_text("f_30995:library_2escm"),(void*)f_30995},
{C_text("f_30999:library_2escm"),(void*)f_30999},
{C_text("f_31008:library_2escm"),(void*)f_31008},
{C_text("f_31017:library_2escm"),(void*)f_31017},
{C_text("f_31027:library_2escm"),(void*)f_31027},
{C_text("f_31035:library_2escm"),(void*)f_31035},
{C_text("f_31039:library_2escm"),(void*)f_31039},
{C_text("f_31043:library_2escm"),(void*)f_31043},
{C_text("f_31073:library_2escm"),(void*)f_31073},
{C_text("f_31077:library_2escm"),(void*)f_31077},
{C_text("f_31081:library_2escm"),(void*)f_31081},
{C_text("f_31085:library_2escm"),(void*)f_31085},
{C_text("f_31089:library_2escm"),(void*)f_31089},
{C_text("f_31093:library_2escm"),(void*)f_31093},
{C_text("f_31096:library_2escm"),(void*)f_31096},
{C_text("f_31099:library_2escm"),(void*)f_31099},
{C_text("f_31109:library_2escm"),(void*)f_31109},
{C_text("f_31112:library_2escm"),(void*)f_31112},
{C_text("f_31114:library_2escm"),(void*)f_31114},
{C_text("f_31131:library_2escm"),(void*)f_31131},
{C_text("f_31158:library_2escm"),(void*)f_31158},
{C_text("f_31167:library_2escm"),(void*)f_31167},
{C_text("f_31187:library_2escm"),(void*)f_31187},
{C_text("f_31191:library_2escm"),(void*)f_31191},
{C_text("f_31195:library_2escm"),(void*)f_31195},
{C_text("f_31199:library_2escm"),(void*)f_31199},
{C_text("f_31203:library_2escm"),(void*)f_31203},
{C_text("f_31207:library_2escm"),(void*)f_31207},
{C_text("f_31211:library_2escm"),(void*)f_31211},
{C_text("f_31213:library_2escm"),(void*)f_31213},
{C_text("f_31222:library_2escm"),(void*)f_31222},
{C_text("f_31232:library_2escm"),(void*)f_31232},
{C_text("f_31257:library_2escm"),(void*)f_31257},
{C_text("f_31260:library_2escm"),(void*)f_31260},
{C_text("f_31262:library_2escm"),(void*)f_31262},
{C_text("f_31278:library_2escm"),(void*)f_31278},
{C_text("f_31297:library_2escm"),(void*)f_31297},
{C_text("f_31307:library_2escm"),(void*)f_31307},
{C_text("f_31317:library_2escm"),(void*)f_31317},
{C_text("f_31341:library_2escm"),(void*)f_31341},
{C_text("f_31345:library_2escm"),(void*)f_31345},
{C_text("f_31347:library_2escm"),(void*)f_31347},
{C_text("f_31351:library_2escm"),(void*)f_31351},
{C_text("f_31354:library_2escm"),(void*)f_31354},
{C_text("f_31369:library_2escm"),(void*)f_31369},
{C_text("f_31375:library_2escm"),(void*)f_31375},
{C_text("f_31379:library_2escm"),(void*)f_31379},
{C_text("f_31388:library_2escm"),(void*)f_31388},
{C_text("f_31391:library_2escm"),(void*)f_31391},
{C_text("f_31394:library_2escm"),(void*)f_31394},
{C_text("f_31397:library_2escm"),(void*)f_31397},
{C_text("f_31400:library_2escm"),(void*)f_31400},
{C_text("f_31406:library_2escm"),(void*)f_31406},
{C_text("f_31412:library_2escm"),(void*)f_31412},
{C_text("f_31415:library_2escm"),(void*)f_31415},
{C_text("f_31420:library_2escm"),(void*)f_31420},
{C_text("f_31430:library_2escm"),(void*)f_31430},
{C_text("f_31442:library_2escm"),(void*)f_31442},
{C_text("f_31450:library_2escm"),(void*)f_31450},
{C_text("f_31460:library_2escm"),(void*)f_31460},
{C_text("f_31476:library_2escm"),(void*)f_31476},
{C_text("f_31482:library_2escm"),(void*)f_31482},
{C_text("f_31485:library_2escm"),(void*)f_31485},
{C_text("f_31488:library_2escm"),(void*)f_31488},
{C_text("f_31489:library_2escm"),(void*)f_31489},
{C_text("f_31493:library_2escm"),(void*)f_31493},
{C_text("f_31499:library_2escm"),(void*)f_31499},
{C_text("f_31503:library_2escm"),(void*)f_31503},
{C_text("f_31505:library_2escm"),(void*)f_31505},
{C_text("f_31515:library_2escm"),(void*)f_31515},
{C_text("f_31532:library_2escm"),(void*)f_31532},
{C_text("f_31535:library_2escm"),(void*)f_31535},
{C_text("f_31539:library_2escm"),(void*)f_31539},
{C_text("f_31544:library_2escm"),(void*)f_31544},
{C_text("f_31550:library_2escm"),(void*)f_31550},
{C_text("f_31557:library_2escm"),(void*)f_31557},
{C_text("f_31566:library_2escm"),(void*)f_31566},
{C_text("f_31574:library_2escm"),(void*)f_31574},
{C_text("f_31599:library_2escm"),(void*)f_31599},
{C_text("f_31617:library_2escm"),(void*)f_31617},
{C_text("f_31621:library_2escm"),(void*)f_31621},
{C_text("f_31636:library_2escm"),(void*)f_31636},
{C_text("f_31640:library_2escm"),(void*)f_31640},
{C_text("f_31655:library_2escm"),(void*)f_31655},
{C_text("f_31658:library_2escm"),(void*)f_31658},
{C_text("f_31661:library_2escm"),(void*)f_31661},
{C_text("f_31671:library_2escm"),(void*)f_31671},
{C_text("f_31702:library_2escm"),(void*)f_31702},
{C_text("f_31726:library_2escm"),(void*)f_31726},
{C_text("f_31736:library_2escm"),(void*)f_31736},
{C_text("f_31745:library_2escm"),(void*)f_31745},
{C_text("f_31786:library_2escm"),(void*)f_31786},
{C_text("f_31805:library_2escm"),(void*)f_31805},
{C_text("f_31814:library_2escm"),(void*)f_31814},
{C_text("f_31818:library_2escm"),(void*)f_31818},
{C_text("f_31823:library_2escm"),(void*)f_31823},
{C_text("f_31833:library_2escm"),(void*)f_31833},
{C_text("f_31843:library_2escm"),(void*)f_31843},
{C_text("f_31853:library_2escm"),(void*)f_31853},
{C_text("f_31863:library_2escm"),(void*)f_31863},
{C_text("f_31873:library_2escm"),(void*)f_31873},
{C_text("f_31883:library_2escm"),(void*)f_31883},
{C_text("f_31893:library_2escm"),(void*)f_31893},
{C_text("f_31903:library_2escm"),(void*)f_31903},
{C_text("f_31913:library_2escm"),(void*)f_31913},
{C_text("f_31923:library_2escm"),(void*)f_31923},
{C_text("f_31933:library_2escm"),(void*)f_31933},
{C_text("f_31943:library_2escm"),(void*)f_31943},
{C_text("f_31953:library_2escm"),(void*)f_31953},
{C_text("f_31969:library_2escm"),(void*)f_31969},
{C_text("f_31977:library_2escm"),(void*)f_31977},
{C_text("f_31993:library_2escm"),(void*)f_31993},
{C_text("f_32009:library_2escm"),(void*)f_32009},
{C_text("f_32019:library_2escm"),(void*)f_32019},
{C_text("f_32029:library_2escm"),(void*)f_32029},
{C_text("f_32048:library_2escm"),(void*)f_32048},
{C_text("f_32064:library_2escm"),(void*)f_32064},
{C_text("f_32077:library_2escm"),(void*)f_32077},
{C_text("f_32083:library_2escm"),(void*)f_32083},
{C_text("f_32106:library_2escm"),(void*)f_32106},
{C_text("f_32110:library_2escm"),(void*)f_32110},
{C_text("f_32114:library_2escm"),(void*)f_32114},
{C_text("f_32117:library_2escm"),(void*)f_32117},
{C_text("f_32123:library_2escm"),(void*)f_32123},
{C_text("f_32146:library_2escm"),(void*)f_32146},
{C_text("f_32150:library_2escm"),(void*)f_32150},
{C_text("f_32154:library_2escm"),(void*)f_32154},
{C_text("f_32157:library_2escm"),(void*)f_32157},
{C_text("f_32160:library_2escm"),(void*)f_32160},
{C_text("f_32163:library_2escm"),(void*)f_32163},
{C_text("f_32169:library_2escm"),(void*)f_32169},
{C_text("f_32172:library_2escm"),(void*)f_32172},
{C_text("f_32175:library_2escm"),(void*)f_32175},
{C_text("f_32185:library_2escm"),(void*)f_32185},
{C_text("f_32209:library_2escm"),(void*)f_32209},
{C_text("f_32232:library_2escm"),(void*)f_32232},
{C_text("f_32236:library_2escm"),(void*)f_32236},
{C_text("f_32240:library_2escm"),(void*)f_32240},
{C_text("f_32274:library_2escm"),(void*)f_32274},
{C_text("f_32278:library_2escm"),(void*)f_32278},
{C_text("f_32281:library_2escm"),(void*)f_32281},
{C_text("f_32294:library_2escm"),(void*)f_32294},
{C_text("f_32327:library_2escm"),(void*)f_32327},
{C_text("f_32342:library_2escm"),(void*)f_32342},
{C_text("f_32346:library_2escm"),(void*)f_32346},
{C_text("f_32370:library_2escm"),(void*)f_32370},
{C_text("f_32378:library_2escm"),(void*)f_32378},
{C_text("f_32382:library_2escm"),(void*)f_32382},
{C_text("f_32393:library_2escm"),(void*)f_32393},
{C_text("f_32397:library_2escm"),(void*)f_32397},
{C_text("f_32401:library_2escm"),(void*)f_32401},
{C_text("f_32415:library_2escm"),(void*)f_32415},
{C_text("f_32447:library_2escm"),(void*)f_32447},
{C_text("f_8545:library_2escm"),(void*)f_8545},
{C_text("f_8547:library_2escm"),(void*)f_8547},
{C_text("f_8550:library_2escm"),(void*)f_8550},
{C_text("f_8553:library_2escm"),(void*)f_8553},
{C_text("f_8556:library_2escm"),(void*)f_8556},
{C_text("f_8559:library_2escm"),(void*)f_8559},
{C_text("f_8562:library_2escm"),(void*)f_8562},
{C_text("f_8565:library_2escm"),(void*)f_8565},
{C_text("f_8568:library_2escm"),(void*)f_8568},
{C_text("f_8571:library_2escm"),(void*)f_8571},
{C_text("f_8574:library_2escm"),(void*)f_8574},
{C_text("f_8577:library_2escm"),(void*)f_8577},
{C_text("f_8580:library_2escm"),(void*)f_8580},
{C_text("f_8583:library_2escm"),(void*)f_8583},
{C_text("f_8586:library_2escm"),(void*)f_8586},
{C_text("f_8589:library_2escm"),(void*)f_8589},
{C_text("f_8592:library_2escm"),(void*)f_8592},
{C_text("f_8595:library_2escm"),(void*)f_8595},
{C_text("f_8598:library_2escm"),(void*)f_8598},
{C_text("f_8601:library_2escm"),(void*)f_8601},
{C_text("f_8615:library_2escm"),(void*)f_8615},
{C_text("f_8622:library_2escm"),(void*)f_8622},
{C_text("f_8629:library_2escm"),(void*)f_8629},
{C_text("f_8643:library_2escm"),(void*)f_8643},
{C_text("f_8650:library_2escm"),(void*)f_8650},
{C_text("f_8664:library_2escm"),(void*)f_8664},
{C_text("f_8678:library_2escm"),(void*)f_8678},
{C_text("f_8696:library_2escm"),(void*)f_8696},
{C_text("f_8707:library_2escm"),(void*)f_8707},
{C_text("f_8718:library_2escm"),(void*)f_8718},
{C_text("f_8725:library_2escm"),(void*)f_8725},
{C_text("f_8736:library_2escm"),(void*)f_8736},
{C_text("f_8740:library_2escm"),(void*)f_8740},
{C_text("f_8747:library_2escm"),(void*)f_8747},
{C_text("f_8765:library_2escm"),(void*)f_8765},
{C_text("f_8776:library_2escm"),(void*)f_8776},
{C_text("f_8787:library_2escm"),(void*)f_8787},
{C_text("f_8794:library_2escm"),(void*)f_8794},
{C_text("f_8812:library_2escm"),(void*)f_8812},
{C_text("f_8823:library_2escm"),(void*)f_8823},
{C_text("f_8841:library_2escm"),(void*)f_8841},
{C_text("f_8847:library_2escm"),(void*)f_8847},
{C_text("f_8850:library_2escm"),(void*)f_8850},
{C_text("f_8853:library_2escm"),(void*)f_8853},
{C_text("f_8856:library_2escm"),(void*)f_8856},
{C_text("f_8859:library_2escm"),(void*)f_8859},
{C_text("f_8865:library_2escm"),(void*)f_8865},
{C_text("f_8898:library_2escm"),(void*)f_8898},
{C_text("f_8901:library_2escm"),(void*)f_8901},
{C_text("f_8904:library_2escm"),(void*)f_8904},
{C_text("f_8907:library_2escm"),(void*)f_8907},
{C_text("f_8910:library_2escm"),(void*)f_8910},
{C_text("f_8913:library_2escm"),(void*)f_8913},
{C_text("f_8916:library_2escm"),(void*)f_8916},
{C_text("f_8919:library_2escm"),(void*)f_8919},
{C_text("f_8922:library_2escm"),(void*)f_8922},
{C_text("f_8925:library_2escm"),(void*)f_8925},
{C_text("f_8928:library_2escm"),(void*)f_8928},
{C_text("f_8931:library_2escm"),(void*)f_8931},
{C_text("f_8934:library_2escm"),(void*)f_8934},
{C_text("f_8938:library_2escm"),(void*)f_8938},
{C_text("f_8941:library_2escm"),(void*)f_8941},
{C_text("f_8947:library_2escm"),(void*)f_8947},
{C_text("f_8950:library_2escm"),(void*)f_8950},
{C_text("f_8953:library_2escm"),(void*)f_8953},
{C_text("f_8956:library_2escm"),(void*)f_8956},
{C_text("f_8959:library_2escm"),(void*)f_8959},
{C_text("f_8967:library_2escm"),(void*)f_8967},
{C_text("f_8971:library_2escm"),(void*)f_8971},
{C_text("f_8974:library_2escm"),(void*)f_8974},
{C_text("f_8977:library_2escm"),(void*)f_8977},
{C_text("f_8980:library_2escm"),(void*)f_8980},
{C_text("f_8983:library_2escm"),(void*)f_8983},
{C_text("f_8986:library_2escm"),(void*)f_8986},
{C_text("f_8989:library_2escm"),(void*)f_8989},
{C_text("f_8992:library_2escm"),(void*)f_8992},
{C_text("f_8996:library_2escm"),(void*)f_8996},
{C_text("f_8999:library_2escm"),(void*)f_8999},
{C_text("f_9002:library_2escm"),(void*)f_9002},
{C_text("f_9005:library_2escm"),(void*)f_9005},
{C_text("f_9008:library_2escm"),(void*)f_9008},
{C_text("f_9016:library_2escm"),(void*)f_9016},
{C_text("f_9019:library_2escm"),(void*)f_9019},
{C_text("f_9026:library_2escm"),(void*)f_9026},
{C_text("f_9030:library_2escm"),(void*)f_9030},
{C_text("f_9033:library_2escm"),(void*)f_9033},
{C_text("f_9036:library_2escm"),(void*)f_9036},
{C_text("f_9039:library_2escm"),(void*)f_9039},
{C_text("f_9042:library_2escm"),(void*)f_9042},
{C_text("f_9045:library_2escm"),(void*)f_9045},
{C_text("f_9048:library_2escm"),(void*)f_9048},
{C_text("f_9054:library_2escm"),(void*)f_9054},
{C_text("f_9065:library_2escm"),(void*)f_9065},
{C_text("f_9071:library_2escm"),(void*)f_9071},
{C_text("f_9077:library_2escm"),(void*)f_9077},
{C_text("f_9083:library_2escm"),(void*)f_9083},
{C_text("f_9089:library_2escm"),(void*)f_9089},
{C_text("f_9095:library_2escm"),(void*)f_9095},
{C_text("f_9102:library_2escm"),(void*)f_9102},
{C_text("f_9108:library_2escm"),(void*)f_9108},
{C_text("f_9124:library_2escm"),(void*)f_9124},
{C_text("f_9135:library_2escm"),(void*)f_9135},
{C_text("f_9141:library_2escm"),(void*)f_9141},
{C_text("f_9147:library_2escm"),(void*)f_9147},
{C_text("f_9153:library_2escm"),(void*)f_9153},
{C_text("f_9159:library_2escm"),(void*)f_9159},
{C_text("f_9168:library_2escm"),(void*)f_9168},
{C_text("f_9171:library_2escm"),(void*)f_9171},
{C_text("f_9174:library_2escm"),(void*)f_9174},
{C_text("f_9177:library_2escm"),(void*)f_9177},
{C_text("f_9180:library_2escm"),(void*)f_9180},
{C_text("f_9183:library_2escm"),(void*)f_9183},
{C_text("f_9187:library_2escm"),(void*)f_9187},
{C_text("f_9193:library_2escm"),(void*)f_9193},
{C_text("f_9199:library_2escm"),(void*)f_9199},
{C_text("f_9234:library_2escm"),(void*)f_9234},
{C_text("f_9237:library_2escm"),(void*)f_9237},
{C_text("f_9240:library_2escm"),(void*)f_9240},
{C_text("f_9248:library_2escm"),(void*)f_9248},
{C_text("f_9254:library_2escm"),(void*)f_9254},
{C_text("f_9261:library_2escm"),(void*)f_9261},
{C_text("f_9276:library_2escm"),(void*)f_9276},
{C_text("f_9299:library_2escm"),(void*)f_9299},
{C_text("f_9305:library_2escm"),(void*)f_9305},
{C_text("f_9311:library_2escm"),(void*)f_9311},
{C_text("f_9318:library_2escm"),(void*)f_9318},
{C_text("f_9323:library_2escm"),(void*)f_9323},
{C_text("f_9326:library_2escm"),(void*)f_9326},
{C_text("f_9335:library_2escm"),(void*)f_9335},
{C_text("f_9353:library_2escm"),(void*)f_9353},
{C_text("f_9363:library_2escm"),(void*)f_9363},
{C_text("f_9372:library_2escm"),(void*)f_9372},
{C_text("f_9390:library_2escm"),(void*)f_9390},
{C_text("f_9403:library_2escm"),(void*)f_9403},
{C_text("f_9410:library_2escm"),(void*)f_9410},
{C_text("f_9417:library_2escm"),(void*)f_9417},
{C_text("f_9428:library_2escm"),(void*)f_9428},
{C_text("f_9435:library_2escm"),(void*)f_9435},
{C_text("f_9447:library_2escm"),(void*)f_9447},
{C_text("f_9450:library_2escm"),(void*)f_9450},
{C_text("f_9452:library_2escm"),(void*)f_9452},
{C_text("f_9458:library_2escm"),(void*)f_9458},
{C_text("f_9474:library_2escm"),(void*)f_9474},
{C_text("f_9483:library_2escm"),(void*)f_9483},
{C_text("f_9485:library_2escm"),(void*)f_9485},
{C_text("f_9491:library_2escm"),(void*)f_9491},
{C_text("f_9504:library_2escm"),(void*)f_9504},
{C_text("f_9520:library_2escm"),(void*)f_9520},
{C_text("f_9531:library_2escm"),(void*)f_9531},
{C_text("f_9533:library_2escm"),(void*)f_9533},
{C_text("f_9541:library_2escm"),(void*)f_9541},
{C_text("f_9543:library_2escm"),(void*)f_9543},
{C_text("f_9549:library_2escm"),(void*)f_9549},
{C_text("f_9551:library_2escm"),(void*)f_9551},
{C_text("f_9559:library_2escm"),(void*)f_9559},
{C_text("f_9561:library_2escm"),(void*)f_9561},
{C_text("f_9564:library_2escm"),(void*)f_9564},
{C_text("f_9572:library_2escm"),(void*)f_9572},
{C_text("f_9578:library_2escm"),(void*)f_9578},
{C_text("f_9586:library_2escm"),(void*)f_9586},
{C_text("f_9597:library_2escm"),(void*)f_9597},
{C_text("f_9609:library_2escm"),(void*)f_9609},
{C_text("f_9623:library_2escm"),(void*)f_9623},
{C_text("f_9631:library_2escm"),(void*)f_9631},
{C_text("f_9634:library_2escm"),(void*)f_9634},
{C_text("f_9636:library_2escm"),(void*)f_9636},
{C_text("f_9638:library_2escm"),(void*)f_9638},
{C_text("f_9644:library_2escm"),(void*)f_9644},
{C_text("f_9663:library_2escm"),(void*)f_9663},
{C_text("f_9680:library_2escm"),(void*)f_9680},
{C_text("f_9688:library_2escm"),(void*)f_9688},
{C_text("f_9702:library_2escm"),(void*)f_9702},
{C_text("f_9708:library_2escm"),(void*)f_9708},
{C_text("f_9727:library_2escm"),(void*)f_9727},
{C_text("f_9736:library_2escm"),(void*)f_9736},
{C_text("f_9739:library_2escm"),(void*)f_9739},
{C_text("f_9751:library_2escm"),(void*)f_9751},
{C_text("f_9767:library_2escm"),(void*)f_9767},
{C_text("f_9773:library_2escm"),(void*)f_9773},
{C_text("f_9798:library_2escm"),(void*)f_9798},
{C_text("f_9800:library_2escm"),(void*)f_9800},
{C_text("f_9809:library_2escm"),(void*)f_9809},
{C_text("f_9830:library_2escm"),(void*)f_9830},
{C_text("f_9832:library_2escm"),(void*)f_9832},
{C_text("f_9838:library_2escm"),(void*)f_9838},
{C_text("f_9864:library_2escm"),(void*)f_9864},
{C_text("f_9871:library_2escm"),(void*)f_9871},
{C_text("f_9873:library_2escm"),(void*)f_9873},
{C_text("f_9885:library_2escm"),(void*)f_9885},
{C_text("f_9920:library_2escm"),(void*)f_9920},
{C_text("f_9930:library_2escm"),(void*)f_9930},
{C_text("f_9939:library_2escm"),(void*)f_9939},
{C_text("f_9981:library_2escm"),(void*)f_9981},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#path-list-separator 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  scheme#for-each		9
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  scheme#map		7
o|eliminated procedure checks: 523 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  13 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  13 (##sys#check-list (or pair list) *)
o|  1 (scheme#zero? number)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  24 (scheme#eqv? (or eof null fixnum char boolean symbol keyword) *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  1 (scheme#- integer integer)
o|  5 (chicken.bitwise#integer-length *)
o|  208 (scheme#eqv? * (or eof null fixnum char boolean symbol keyword))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#- *)
o|  1 (scheme#odd? *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  49 (scheme#car pair)
o|  4 (scheme#length list)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3260 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 27 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-keyword ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-keyword ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#set-record-printer! chicken.base#record-printer chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8867 
o|inlining procedure: k8867 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9104 
o|inlining procedure: k9104 
o|inlining procedure: k9110 
o|inlining procedure: k9110 
o|inlining procedure: k9201 
o|inlining procedure: k9201 
o|inlining procedure: k9263 
o|inlining procedure: k9263 
o|inlining procedure: k9313 
o|inlining procedure: k9313 
o|inlining procedure: k9337 
o|inlining procedure: k9337 
o|inlining procedure: k9374 
o|inlining procedure: k9374 
o|inlining procedure: k9463 
o|inlining procedure: k9463 
o|inlining procedure: k9493 
o|inlining procedure: k9493 
o|inlining procedure: k9522 
o|inlining procedure: k9522 
o|inlining procedure: k9566 
o|inlining procedure: k9566 
o|inlining procedure: k9587 
o|propagated global variable: r958832475 scheme#values 
o|inlining procedure: k9587 
o|inlining procedure: k9599 
o|propagated global variable: r960032477 chicken.base#identity 
o|inlining procedure: k9599 
o|inlining procedure: k9617 
o|inlining procedure: k9617 
o|inlining procedure: k9646 
o|inlining procedure: k9646 
o|inlining procedure: k9658 
o|inlining procedure: k9658 
o|inlining procedure: k9682 
o|inlining procedure: k9682 
o|inlining procedure: k9716 
o|inlining procedure: k9716 
o|inlining procedure: k9744 
o|inlining procedure: k9744 
o|inlining procedure: k9753 
o|inlining procedure: k9753 
o|inlining procedure: k9775 
o|inlining procedure: k9775 
o|inlining procedure: k9814 
o|inlining procedure: k9814 
o|inlining procedure: k9840 
o|inlining procedure: k9840 
o|inlining procedure: k9887 
o|inlining procedure: k9887 
o|inlining procedure: k9908 
o|inlining procedure: k9908 
o|inlining procedure: k9941 
o|inlining procedure: k9941 
o|inlining procedure: k9956 
o|inlining procedure: k9956 
o|inlining procedure: k10021 
o|inlining procedure: k10021 
o|inlining procedure: k10037 
o|propagated global variable: r1003832509 scheme#assv 
o|inlining procedure: k10037 
o|inlining procedure: k10057 
o|inlining procedure: k10057 
o|inlining procedure: k10107 
o|inlining procedure: k10107 
o|inlining procedure: k10132 
o|inlining procedure: k10132 
o|inlining procedure: k10220 
o|inlining procedure: k10220 
o|inlining procedure: k10229 
o|propagated global variable: r1023032519 scheme#assv 
o|inlining procedure: k10229 
o|inlining procedure: k10249 
o|inlining procedure: k10249 
o|inlining procedure: k10267 
o|inlining procedure: k10267 
o|inlining procedure: k10326 
o|inlining procedure: k10326 
o|inlining procedure: k10459 
o|inlining procedure: k10459 
o|inlining procedure: k10468 
o|inlining procedure: k10468 
o|inlining procedure: k10480 
o|inlining procedure: k10480 
o|propagated global variable: r1048132532 ##sys#warnings-enabled 
o|inlining procedure: k10584 
o|inlining procedure: k10584 
o|inlining procedure: k10617 
o|inlining procedure: k10617 
o|inlining procedure: k10628 
o|inlining procedure: k10628 
o|inlining procedure: k10640 
o|inlining procedure: k10640 
o|inlining procedure: k10651 
o|inlining procedure: k10651 
o|inlining procedure: k10662 
o|inlining procedure: k10662 
o|inlining procedure: k10673 
o|inlining procedure: k10673 
o|inlining procedure: k10684 
o|inlining procedure: k10684 
o|inlining procedure: k10695 
o|inlining procedure: k10695 
o|inlining procedure: k10706 
o|inlining procedure: k10706 
o|inlining procedure: k10717 
o|inlining procedure: k10717 
o|inlining procedure: k10728 
o|inlining procedure: k10728 
o|inlining procedure: k10739 
o|inlining procedure: k10739 
o|inlining procedure: k10750 
o|inlining procedure: k10750 
o|inlining procedure: k10761 
o|inlining procedure: k10761 
o|inlining procedure: k10772 
o|inlining procedure: k10772 
o|inlining procedure: k10783 
o|inlining procedure: k10783 
o|inlining procedure: k10790 
o|inlining procedure: k10790 
o|inlining procedure: k10800 
o|inlining procedure: k10800 
o|inlining procedure: k10807 
o|inlining procedure: k10807 
o|inlining procedure: k10817 
o|inlining procedure: k10830 
o|inlining procedure: k10830 
o|inlining procedure: k10817 
o|inlining procedure: k10841 
o|inlining procedure: k10841 
o|inlining procedure: k10848 
o|inlining procedure: k10848 
o|inlining procedure: k10861 
o|inlining procedure: k10861 
o|inlining procedure: k10872 
o|inlining procedure: k10872 
o|inlining procedure: k10888 
o|inlining procedure: k10888 
o|inlining procedure: k10898 
o|inlining procedure: k10898 
o|inlining procedure: k10908 
o|inlining procedure: k10908 
o|inlining procedure: k10919 
o|inlining procedure: k10934 
o|inlining procedure: k10934 
o|inlining procedure: k10952 
o|inlining procedure: k10973 
o|inlining procedure: k10973 
o|inlining procedure: k11001 
o|inlining procedure: k11001 
o|inlining procedure: k10952 
o|inlining procedure: k10919 
o|inlining procedure: k11175 
o|inlining procedure: k11175 
o|inlining procedure: k11187 
o|inlining procedure: k11187 
o|inlining procedure: k11206 
o|inlining procedure: k11206 
o|inlining procedure: k11260 
o|inlining procedure: k11260 
o|contracted procedure: "(library.scm:1311) g15011502" 
o|contracted procedure: "(library.scm:1318) g15071508" 
o|inlining procedure: k11356 
o|inlining procedure: k11356 
o|inlining procedure: k11378 
o|inlining procedure: k11378 
o|inlining procedure: k11399 
o|inlining procedure: k11399 
o|inlining procedure: k11430 
o|inlining procedure: k11450 
o|inlining procedure: k11450 
o|inlining procedure: k11430 
o|inlining procedure: k11516 
o|inlining procedure: k11516 
o|inlining procedure: k11532 
o|inlining procedure: k11532 
o|inlining procedure: k11593 
o|inlining procedure: k11593 
o|inlining procedure: k11617 
o|inlining procedure: k11617 
o|inlining procedure: k11638 
o|inlining procedure: k11638 
o|inlining procedure: k11659 
o|inlining procedure: k11659 
o|inlining procedure: k11703 
o|inlining procedure: k11703 
o|inlining procedure: k11727 
o|inlining procedure: k11727 
o|inlining procedure: k11748 
o|inlining procedure: k11748 
o|inlining procedure: k11769 
o|inlining procedure: k11769 
o|inlining procedure: k11806 
o|inlining procedure: k11806 
o|inlining procedure: k11854 
o|inlining procedure: k11854 
o|inlining procedure: k11895 
o|inlining procedure: k11895 
o|inlining procedure: k11916 
o|inlining procedure: k11916 
o|contracted procedure: "(library.scm:1572) g17551756" 
o|inlining procedure: k11977 
o|inlining procedure: k11977 
o|contracted procedure: "(library.scm:1576) g17661767" 
o|inlining procedure: k12001 
o|inlining procedure: k12001 
o|contracted procedure: "(library.scm:1580) g17771778" 
o|inlining procedure: k12025 
o|inlining procedure: k12025 
o|contracted procedure: "(library.scm:1584) g17881789" 
o|inlining procedure: k12049 
o|inlining procedure: k12049 
o|contracted procedure: "(library.scm:1588) g17991800" 
o|inlining procedure: k12073 
o|inlining procedure: k12073 
o|contracted procedure: "(library.scm:1592) g18101811" 
o|inlining procedure: k12097 
o|inlining procedure: k12097 
o|contracted procedure: "(library.scm:1596) g18211822" 
o|inlining procedure: k12121 
o|inlining procedure: k12121 
o|contracted procedure: "(library.scm:1600) g18321833" 
o|inlining procedure: k12145 
o|inlining procedure: k12145 
o|contracted procedure: "(library.scm:1604) g18431844" 
o|inlining procedure: k12169 
o|inlining procedure: k12169 
o|contracted procedure: "(library.scm:1608) g18541855" 
o|inlining procedure: k12193 
o|inlining procedure: k12193 
o|contracted procedure: "(library.scm:1612) g18651866" 
o|inlining procedure: k12217 
o|inlining procedure: k12217 
o|contracted procedure: "(library.scm:1616) g18751876" 
o|inlining procedure: k12241 
o|inlining procedure: k12241 
o|contracted procedure: "(library.scm:1620) g18841885" 
o|inlining procedure: k12259 
o|inlining procedure: k12259 
o|contracted procedure: "(library.scm:1624) g18951896" 
o|inlining procedure: k12283 
o|inlining procedure: k12283 
o|contracted procedure: "(library.scm:1628) g19051906" 
o|inlining procedure: k12307 
o|inlining procedure: k12307 
o|contracted procedure: "(library.scm:1632) g19131914" 
o|inlining procedure: k12325 
o|inlining procedure: k12325 
o|contracted procedure: "(library.scm:1636) g19211922" 
o|inlining procedure: k12343 
o|inlining procedure: k12343 
o|contracted procedure: "(library.scm:1640) g19291930" 
o|inlining procedure: k12361 
o|inlining procedure: k12361 
o|contracted procedure: "(library.scm:1644) g19371938" 
o|inlining procedure: k12379 
o|inlining procedure: k12379 
o|contracted procedure: "(library.scm:1648) g19451946" 
o|inlining procedure: k12397 
o|inlining procedure: k12397 
o|contracted procedure: "(library.scm:1652) g19531954" 
o|inlining procedure: k12415 
o|inlining procedure: k12415 
o|contracted procedure: "(library.scm:1656) g19611962" 
o|inlining procedure: k12433 
o|inlining procedure: k12433 
o|contracted procedure: "(library.scm:1660) g19691970" 
o|inlining procedure: k12451 
o|inlining procedure: k12451 
o|contracted procedure: "(library.scm:1664) g19771978" 
o|inlining procedure: k12469 
o|inlining procedure: k12469 
o|contracted procedure: "(library.scm:1668) g19861987" 
o|inlining procedure: k12487 
o|inlining procedure: k12487 
o|contracted procedure: "(library.scm:1672) g19961997" 
o|inlining procedure: k12511 
o|inlining procedure: k12511 
o|contracted procedure: "(library.scm:1676) g20052006" 
o|inlining procedure: k12529 
o|inlining procedure: k12529 
o|contracted procedure: "(library.scm:1680) g20152016" 
o|inlining procedure: k12553 
o|inlining procedure: k12553 
o|contracted procedure: "(library.scm:1684) g20232024" 
o|inlining procedure: k12571 
o|inlining procedure: k12571 
o|contracted procedure: "(library.scm:1688) g20312032" 
o|inlining procedure: k12589 
o|inlining procedure: k12589 
o|contracted procedure: "(library.scm:1692) g20392040" 
o|inlining procedure: k12607 
o|inlining procedure: k12607 
o|inlining procedure: k12626 
o|inlining procedure: k12626 
o|inlining procedure: k12645 
o|inlining procedure: k12645 
o|inlining procedure: k12672 
o|inlining procedure: k12672 
o|inlining procedure: k12716 
o|contracted procedure: "(library.scm:1741) g21302131" 
o|inlining procedure: k12716 
o|inlining procedure: k12739 
o|contracted procedure: "(library.scm:1747) g21382139" 
o|inlining procedure: k12739 
o|inlining procedure: k12753 
o|inlining procedure: k12753 
o|inlining procedure: k12781 
o|contracted procedure: "(library.scm:1763) g21532154" 
o|contracted procedure: "(library.scm:1762) g21502151" 
o|inlining procedure: k12781 
o|inlining procedure: k12825 
o|inlining procedure: k12825 
o|contracted procedure: "(library.scm:1777) g21632164" 
o|inlining procedure: k12842 
o|contracted procedure: "(library.scm:1779) g21662167" 
o|contracted procedure: "(library.scm:1779) g21732174" 
o|contracted procedure: "(library.scm:1779) g21702171" 
o|inlining procedure: k12842 
o|contracted procedure: "(library.scm:1780) g21762177" 
o|inlining procedure: k12871 
o|inlining procedure: k12871 
o|inlining procedure: k12878 
o|inlining procedure: k12878 
o|inlining procedure: k12900 
o|contracted procedure: "(library.scm:1789) g21892190" 
o|inlining procedure: k12900 
o|inlining procedure: k12917 
o|inlining procedure: k12917 
o|inlining procedure: k12924 
o|inlining procedure: k12924 
o|inlining procedure: k12946 
o|contracted procedure: "(library.scm:1801) g22012202" 
o|inlining procedure: k12946 
o|inlining procedure: k12963 
o|contracted procedure: "(library.scm:1808) g22102211" 
o|inlining procedure: k12963 
o|inlining procedure: k13087 
o|inlining procedure: k13087 
o|inlining procedure: k13096 
o|contracted procedure: "(library.scm:1841) g22422243" 
o|inlining procedure: k13096 
o|contracted procedure: "(library.scm:1842) flonum->ratnum" 
o|inlining procedure: k13027 
o|contracted procedure: "(library.scm:1826) g22272228" 
o|inlining procedure: k13027 
o|contracted procedure: "(library.scm:1823) float-fraction-length2215" 
o|inlining procedure: k13004 
o|inlining procedure: k13004 
o|inlining procedure: k13055 
o|inlining procedure: k13055 
o|substituted constant variable: a13083 
o|inlining procedure: k13113 
o|contracted procedure: "(library.scm:1846) g22482249" 
o|contracted procedure: "(library.scm:1845) g22452246" 
o|inlining procedure: k13113 
o|inlining procedure: k13165 
o|inlining procedure: k13165 
o|inlining procedure: k13188 
o|inlining procedure: k13188 
o|inlining procedure: k13219 
o|contracted procedure: "(library.scm:1898) g23052306" 
o|contracted procedure: "(library.scm:1898) g23012302" 
o|contracted procedure: "(library.scm:1897) g22972298" 
o|inlining procedure: k13219 
o|inlining procedure: k13310 
o|inlining procedure: k13310 
o|inlining procedure: k13333 
o|contracted procedure: "(library.scm:1918) g23442345" 
o|contracted procedure: "(library.scm:1917) g23392340" 
o|contracted procedure: "(library.scm:1916) g23352336" 
o|contracted procedure: "(library.scm:1916) g23312332" 
o|contracted procedure: "(library.scm:1915) g23272328" 
o|contracted procedure: "(library.scm:1915) g23232324" 
o|inlining procedure: k13333 
o|contracted procedure: "(library.scm:1927) g23552356" 
o|contracted procedure: "(library.scm:1924) g23492350" 
o|inlining procedure: k13429 
o|contracted procedure: "(library.scm:1937) g23642365" 
o|contracted procedure: "(library.scm:1935) g23592360" 
o|inlining procedure: k13429 
o|inlining procedure: k13499 
o|inlining procedure: k13499 
o|inlining procedure: k13509 
o|contracted procedure: "(library.scm:1951) g23792380" 
o|contracted procedure: "(library.scm:1950) g23752376" 
o|inlining procedure: k13509 
o|inlining procedure: k13544 
o|inlining procedure: k13544 
o|inlining procedure: k13554 
o|contracted procedure: "(library.scm:1961) g23922393" 
o|contracted procedure: "(library.scm:1960) g23882389" 
o|inlining procedure: k13554 
o|inlining procedure: k13589 
o|inlining procedure: k13589 
o|inlining procedure: k13599 
o|contracted procedure: "(library.scm:1971) g24032404" 
o|contracted procedure: "(library.scm:1970) g24002401" 
o|inlining procedure: k13599 
o|inlining procedure: k13626 
o|inlining procedure: k13626 
o|inlining procedure: k13633 
o|contracted procedure: "(library.scm:1980) g24122413" 
o|inlining procedure: k13633 
o|inlining procedure: k13679 
o|inlining procedure: k13679 
o|inlining procedure: k13751 
o|inlining procedure: k13751 
o|inlining procedure: k13769 
o|inlining procedure: k13769 
o|inlining procedure: k13823 
o|inlining procedure: k13823 
o|contracted procedure: "(library.scm:2007) find-ratio" 
o|inlining procedure: k13855 
o|inlining procedure: k13855 
o|inlining procedure: k13899 
o|inlining procedure: k13899 
o|inlining procedure: k13936 
o|contracted procedure: "(library.scm:2040) g24752476" 
o|contracted procedure: "(library.scm:2039) g24712472" 
o|inlining procedure: k13936 
o|inlining procedure: k13978 
o|inlining procedure: k13978 
o|inlining procedure: k14030 
o|inlining procedure: k14030 
o|inlining procedure: k14059 
o|inlining procedure: k14059 
o|inlining procedure: k14093 
o|inlining procedure: k14093 
o|inlining procedure: k14127 
o|inlining procedure: k14127 
o|inlining procedure: k14152 
o|inlining procedure: k14152 
o|inlining procedure: k14191 
o|inlining procedure: k14191 
o|inlining procedure: k14200 
o|substituted constant variable: a14207 
o|inlining procedure: k14200 
o|inlining procedure: k14214 
o|inlining procedure: k14214 
o|inlining procedure: k14233 
o|inlining procedure: k14233 
o|inlining procedure: k14242 
o|substituted constant variable: a14249 
o|inlining procedure: k14242 
o|inlining procedure: k14259 
o|inlining procedure: k14259 
o|inlining procedure: k14317 
o|inlining procedure: k14335 
o|inlining procedure: k14335 
o|inlining procedure: k14353 
o|inlining procedure: k14353 
o|substituted constant variable: a14366 
o|substituted constant variable: a14368 
o|substituted constant variable: a14370 
o|substituted constant variable: a14375 
o|substituted constant variable: a14377 
o|inlining procedure: k14317 
o|substituted constant variable: a14408 
o|inlining procedure: k14443 
o|inlining procedure: k14443 
o|inlining procedure: k14517 
o|inlining procedure: k14517 
o|inlining procedure: k14568 
o|inlining procedure: k14584 
o|inlining procedure: k14584 
o|inlining procedure: k14568 
o|contracted procedure: "(library.scm:2181) g26172618" 
o|inlining procedure: k14618 
o|contracted procedure: "(library.scm:2184) g26222623" 
o|inlining procedure: k14642 
o|inlining procedure: k14642 
o|inlining procedure: k14618 
o|inlining procedure: k14690 
o|inlining procedure: k14690 
o|inlining procedure: k14735 
o|inlining procedure: k14735 
o|inlining procedure: k14807 
o|inlining procedure: k14807 
o|inlining procedure: k14822 
o|contracted procedure: "(library.scm:2226) g26552656" 
o|inlining procedure: k14822 
o|inlining procedure: k14845 
o|inlining procedure: k14845 
o|contracted procedure: "(library.scm:2231) square2653" 
o|inlining procedure: k14901 
o|inlining procedure: k14901 
o|inlining procedure: k14921 
o|inlining procedure: k14921 
o|inlining procedure: k14939 
o|contracted procedure: "(library.scm:2251) g26832684" 
o|contracted procedure: "(library.scm:2250) g26802681" 
o|inlining procedure: k14939 
o|inlining procedure: k14976 
o|contracted procedure: "(library.scm:2260) g26902691" 
o|inlining procedure: k15011 
o|contracted procedure: "(library.scm:2262) g26952696" 
o|inlining procedure: k15011 
o|inlining procedure: k14976 
o|inlining procedure: k15045 
o|inlining procedure: k15045 
o|inlining procedure: k15063 
o|inlining procedure: k15063 
o|inlining procedure: k15082 
o|inlining procedure: k15082 
o|inlining procedure: k15119 
o|inlining procedure: k15119 
o|inlining procedure: k15151 
o|contracted procedure: "(library.scm:2288) g27202721" 
o|inlining procedure: k15164 
o|contracted procedure: "(library.scm:2291) g27252726" 
o|inlining procedure: k15164 
o|inlining procedure: k15151 
o|inlining procedure: k15192 
o|inlining procedure: k15192 
o|contracted procedure: "(library.scm:2298) g27342735" 
o|inlining procedure: k15227 
o|inlining procedure: k15227 
o|inlining procedure: k15247 
o|inlining procedure: k15247 
o|inlining procedure: k15292 
o|inlining procedure: k15292 
o|inlining procedure: k15312 
o|inlining procedure: k15312 
o|substituted constant variable: a15385 
o|inlining procedure: k15403 
o|contracted procedure: "(library.scm:2354) g28002801" 
o|contracted procedure: "(library.scm:2352) g27972798" 
o|inlining procedure: k15403 
o|inlining procedure: k15467 
o|inlining procedure: k15467 
o|contracted procedure: "(library.scm:2358) g28082809" 
o|contracted procedure: "(library.scm:2357) g28052806" 
o|inlining procedure: k15582 
o|inlining procedure: k15595 
o|inlining procedure: k15595 
o|inlining procedure: k15582 
o|contracted procedure: "(library.scm:2396) g28382839" 
o|inlining procedure: k15624 
o|inlining procedure: k15624 
o|inlining procedure: k15638 
o|inlining procedure: k15647 
o|inlining procedure: k15659 
o|inlining procedure: k15659 
o|inlining procedure: k15647 
o|inlining procedure: k15675 
o|inlining procedure: k15675 
o|inlining procedure: k15681 
o|contracted procedure: "(library.scm:2421) mantexp->dbl" 
o|inlining procedure: k15480 
o|inlining procedure: k15480 
o|contracted procedure: "(library.scm:2388) ldexp" 
o|propagated global variable: a15539 chicken.flonum#flonum-precision 
o|inlining procedure: k15681 
o|inlining procedure: k15638 
o|inlining procedure: k15724 
o|inlining procedure: k15724 
o|inlining procedure: k15750 
o|inlining procedure: k15750 
o|inlining procedure: k15777 
o|inlining procedure: k15777 
o|inlining procedure: k15805 
o|inlining procedure: k15805 
o|substituted constant variable: a15812 
o|substituted constant variable: a15816 
o|substituted constant variable: a15823 
o|contracted procedure: "(library.scm:2443) g28822883" 
o|inlining procedure: k15832 
o|inlining procedure: k15832 
o|inlining procedure: k15865 
o|inlining procedure: k15865 
o|contracted procedure: "(library.scm:2458) g29052906" 
o|inlining procedure: k15885 
o|inlining procedure: k15885 
o|inlining procedure: k15907 
o|inlining procedure: k15907 
o|inlining procedure: k15918 
o|inlining procedure: k15918 
o|inlining procedure: k15932 
o|inlining procedure: k15955 
o|inlining procedure: k15955 
o|inlining procedure: k15978 
o|inlining procedure: k15978 
o|substituted constant variable: a15985 
o|substituted constant variable: a15987 
o|contracted procedure: "(library.scm:2480) g29412942" 
o|inlining procedure: k15932 
o|inlining procedure: k15990 
o|inlining procedure: k16011 
o|inlining procedure: k16029 
o|inlining procedure: k16041 
o|inlining procedure: k16057 
o|inlining procedure: k16057 
o|inlining procedure: k16041 
o|inlining procedure: k16029 
o|inlining procedure: k16011 
o|inlining procedure: k16102 
o|inlining procedure: k16102 
o|inlining procedure: k16117 
o|inlining procedure: k16117 
o|inlining procedure: k16129 
o|inlining procedure: k16129 
o|inlining procedure: k16141 
o|inlining procedure: k16141 
o|inlining procedure: k16153 
o|inlining procedure: k16153 
o|substituted constant variable: a16166 
o|substituted constant variable: a16168 
o|substituted constant variable: a16170 
o|substituted constant variable: a16172 
o|substituted constant variable: a16174 
o|substituted constant variable: a16176 
o|substituted constant variable: a16178 
o|substituted constant variable: a16180 
o|substituted constant variable: a16182 
o|substituted constant variable: a16184 
o|contracted procedure: "(library.scm:2495) g29692970" 
o|inlining procedure: k16193 
o|inlining procedure: k16193 
o|inlining procedure: k15990 
o|inlining procedure: k16204 
o|inlining procedure: k16204 
o|inlining procedure: k16229 
o|inlining procedure: k16244 
o|inlining procedure: k16244 
o|inlining procedure: k16229 
o|inlining procedure: k16287 
o|inlining procedure: k16299 
o|inlining procedure: k16309 
o|inlining procedure: k16309 
o|inlining procedure: k16299 
o|inlining procedure: k16287 
o|inlining procedure: k16329 
o|inlining procedure: k16345 
o|inlining procedure: k16355 
o|inlining procedure: k16373 
o|inlining procedure: k16393 
o|inlining procedure: "(library.scm:2549) make-nan2852" 
o|inlining procedure: k16393 
o|substituted constant variable: a16420 
o|substituted constant variable: a16422 
o|substituted constant variable: a16424 
o|inlining procedure: k16373 
o|inlining procedure: k16355 
o|inlining procedure: k16345 
o|inlining procedure: k16329 
o|substituted constant variable: a16442 
o|inlining procedure: k16446 
o|inlining procedure: k16446 
o|inlining procedure: k16458 
o|inlining procedure: k16458 
o|inlining procedure: k16470 
o|inlining procedure: k16470 
o|inlining procedure: k16482 
o|inlining procedure: k16482 
o|substituted constant variable: a16495 
o|substituted constant variable: a16497 
o|substituted constant variable: a16499 
o|substituted constant variable: a16501 
o|substituted constant variable: a16503 
o|substituted constant variable: a16505 
o|substituted constant variable: a16507 
o|substituted constant variable: a16509 
o|substituted constant variable: a16511 
o|substituted constant variable: a16513 
o|substituted constant variable: a16515 
o|contracted procedure: "(library.scm:2520) g30433044" 
o|inlining procedure: k16529 
o|contracted procedure: "(library.scm:2515) g30303031" 
o|inlining procedure: k16529 
o|inlining procedure: k16550 
o|inlining procedure: k16578 
o|inlining procedure: k16600 
o|inlining procedure: k16610 
o|inlining procedure: k16610 
o|inlining procedure: k16600 
o|inlining procedure: k16633 
o|inlining procedure: k16633 
o|inlining procedure: k16578 
o|inlining procedure: k16687 
o|inlining procedure: k16687 
o|inlining procedure: k16697 
o|inlining procedure: k16720 
o|inlining procedure: k16720 
o|inlining procedure: "(library.scm:2578) make-nan2852" 
o|inlining procedure: k16697 
o|substituted constant variable: a16760 
o|substituted constant variable: a16762 
o|substituted constant variable: a16767 
o|substituted constant variable: a16769 
o|contracted procedure: "(library.scm:2559) g31253126" 
o|inlining procedure: k16776 
o|inlining procedure: k16776 
o|substituted constant variable: a16783 
o|substituted constant variable: a16785 
o|contracted procedure: "(library.scm:2555) g31133114" 
o|inlining procedure: k16550 
o|inlining procedure: k16792 
o|inlining procedure: k16804 
o|inlining procedure: k16804 
o|inlining procedure: k16814 
o|inlining procedure: k16814 
o|inlining procedure: k16792 
o|inlining procedure: k16821 
o|inlining procedure: k16821 
o|inlining procedure: k16837 
o|contracted procedure: "(library.scm:2588) g31793180" 
o|contracted procedure: "(library.scm:2587) g31753176" 
o|inlining procedure: k16837 
o|inlining procedure: k16878 
o|inlining procedure: k16897 
o|inlining procedure: k16912 
o|inlining procedure: k16912 
o|contracted procedure: "(library.scm:2596) g32033204" 
o|contracted procedure: "(library.scm:2595) g31993200" 
o|inlining procedure: k16897 
o|inlining procedure: k16878 
o|inlining procedure: k16959 
o|inlining procedure: k16959 
o|substituted constant variable: a16986 
o|substituted constant variable: a16991 
o|substituted constant variable: a16993 
o|substituted constant variable: a16998 
o|substituted constant variable: a17000 
o|substituted constant variable: a17002 
o|contracted procedure: "(library.scm:2584) g31633164" 
o|inlining procedure: k17059 
o|inlining procedure: k17079 
o|inlining procedure: k17079 
o|inlining procedure: k17092 
o|inlining procedure: k17092 
o|inlining procedure: k17123 
o|inlining procedure: k17123 
o|inlining procedure: k17136 
o|inlining procedure: k17136 
o|inlining procedure: k17167 
o|inlining procedure: k17167 
o|inlining procedure: k17180 
o|inlining procedure: k17180 
o|substituted constant variable: a17206 
o|substituted constant variable: a17208 
o|substituted constant variable: a17213 
o|substituted constant variable: a17215 
o|substituted constant variable: a17220 
o|substituted constant variable: a17222 
o|substituted constant variable: a17227 
o|substituted constant variable: a17229 
o|substituted constant variable: a17234 
o|substituted constant variable: a17236 
o|substituted constant variable: a17241 
o|substituted constant variable: a17243 
o|contracted procedure: "(library.scm:2623) g32533254" 
o|inlining procedure: k17059 
o|inlining procedure: k17252 
o|inlining procedure: k17252 
o|contracted procedure: "(library.scm:2622) g32433244" 
o|inlining procedure: k17277 
o|inlining procedure: k17277 
o|inlining procedure: k17350 
o|inlining procedure: k17371 
o|inlining procedure: k17371 
o|inlining procedure: k17350 
o|inlining procedure: k17415 
o|inlining procedure: k17415 
o|inlining procedure: k17424 
o|inlining procedure: k17424 
o|inlining procedure: k17436 
o|inlining procedure: k17436 
o|inlining procedure: k17448 
o|inlining procedure: k17448 
o|inlining procedure: k17457 
o|inlining procedure: k17457 
o|inlining procedure: k17466 
o|inlining procedure: k17475 
o|inlining procedure: k17475 
o|inlining procedure: k17466 
o|inlining procedure: k17603 
o|inlining procedure: k17603 
o|inlining procedure: "(library.scm:2725) err3365" 
o|inlining procedure: k17609 
o|inlining procedure: k17609 
o|inlining procedure: "(library.scm:2724) err3365" 
o|inlining procedure: k17649 
o|contracted procedure: "(library.scm:2734) g33893398" 
o|inlining procedure: k17649 
o|inlining procedure: k17695 
o|inlining procedure: k17695 
o|inlining procedure: k17722 
o|inlining procedure: k17722 
o|inlining procedure: k17759 
o|inlining procedure: k17759 
o|inlining procedure: k17807 
o|inlining procedure: k17807 
o|inlining procedure: k17831 
o|inlining procedure: k17831 
o|inlining procedure: k17850 
o|inlining procedure: k17850 
o|inlining procedure: k17871 
o|inlining procedure: k17871 
o|inlining procedure: k17911 
o|inlining procedure: k17911 
o|inlining procedure: k17950 
o|inlining procedure: k17950 
o|inlining procedure: k17996 
o|inlining procedure: k17996 
o|inlining procedure: k18068 
o|inlining procedure: k18068 
o|inlining procedure: k18142 
o|inlining procedure: k18142 
o|inlining procedure: k18244 
o|inlining procedure: k18244 
o|inlining procedure: k18275 
o|inlining procedure: k18275 
o|inlining procedure: k18305 
o|inlining procedure: k18305 
o|inlining procedure: k18375 
o|inlining procedure: k18375 
o|inlining procedure: k18439 
o|inlining procedure: k18439 
o|inlining procedure: k18477 
o|inlining procedure: k18477 
o|inlining procedure: k18525 
o|inlining procedure: k18525 
o|inlining procedure: k18543 
o|inlining procedure: k18543 
o|inlining procedure: k18571 
o|inlining procedure: k18586 
o|inlining procedure: k18586 
o|inlining procedure: k18571 
o|inlining procedure: k18622 
o|inlining procedure: k18622 
o|inlining procedure: k18653 
o|inlining procedure: k18671 
o|inlining procedure: k18671 
o|inlining procedure: k18653 
o|inlining procedure: k18718 
o|inlining procedure: k18718 
o|inlining procedure: k18795 
o|inlining procedure: k18795 
o|inlining procedure: k18829 
o|inlining procedure: k18829 
o|inlining procedure: k18884 
o|inlining procedure: k18884 
o|substituted constant variable: a18891 
o|substituted constant variable: a18896 
o|inlining procedure: k18963 
o|inlining procedure: k18963 
o|inlining procedure: k18974 
o|inlining procedure: k18974 
o|inlining procedure: k18985 
o|inlining procedure: k18985 
o|inlining procedure: k18996 
o|inlining procedure: k18996 
o|inlining procedure: k19007 
o|propagated global variable: r1900833177 ##sys#standard-input 
o|removed unused formal parameters: (convert?3905) 
o|inlining procedure: k19022 
o|inlining procedure: k19022 
o|removed unused parameter to known procedure: convert?3905 "(library.scm:3305) body38953904" 
o|inlining procedure: k19007 
o|inlining procedure: k19049 
o|inlining procedure: k19049 
o|removed unused parameter to known procedure: convert?3905 "(library.scm:3305) body38953904" 
o|inlining procedure: k19068 
o|propagated global variable: r1906933183 ##sys#standard-output 
o|removed unused formal parameters: (convert?3930) 
o|inlining procedure: k19083 
o|inlining procedure: k19083 
o|removed unused parameter to known procedure: convert?3930 "(library.scm:3315) body39203929" 
o|inlining procedure: k19068 
o|inlining procedure: k19110 
o|inlining procedure: k19110 
o|removed unused parameter to known procedure: convert?3930 "(library.scm:3315) body39203929" 
o|inlining procedure: k19129 
o|propagated global variable: r1913033189 ##sys#standard-error 
o|removed unused formal parameters: (convert?3955) 
o|inlining procedure: k19144 
o|inlining procedure: k19144 
o|removed unused parameter to known procedure: convert?3955 "(library.scm:3325) body39453954" 
o|inlining procedure: k19129 
o|inlining procedure: k19171 
o|inlining procedure: k19171 
o|removed unused parameter to known procedure: convert?3955 "(library.scm:3325) body39453954" 
o|inlining procedure: k19190 
o|inlining procedure: k19190 
o|inlining procedure: k19228 
o|inlining procedure: k19228 
o|inlining procedure: k19253 
o|inlining procedure: k19253 
o|inlining procedure: k19259 
o|inlining procedure: k19259 
o|inlining procedure: k19282 
o|inlining procedure: k19282 
o|inlining procedure: k19295 
o|inlining procedure: k19295 
o|substituted constant variable: a19306 
o|substituted constant variable: a19308 
o|substituted constant variable: a19310 
o|inlining procedure: k19320 
o|inlining procedure: k19320 
o|inlining procedure: k19495 
o|inlining procedure: k19495 
o|substituted constant variable: a19511 
o|substituted constant variable: a19513 
o|substituted constant variable: a19534 
o|substituted constant variable: a19535 
o|inlining procedure: k19548 
o|inlining procedure: k19548 
o|inlining procedure: k19570 
o|inlining procedure: k19583 
o|inlining procedure: k19583 
o|inlining procedure: k19570 
o|inlining procedure: k19642 
o|inlining procedure: k19642 
o|inlining procedure: k19680 
o|inlining procedure: k19680 
o|inlining procedure: k19714 
o|inlining procedure: k19714 
o|inlining procedure: k19755 
o|inlining procedure: k19755 
o|inlining procedure: k19774 
o|inlining procedure: k19774 
o|inlining procedure: k19902 
o|inlining procedure: k19902 
o|inlining procedure: k19941 
o|inlining procedure: k19980 
o|inlining procedure: k19980 
o|inlining procedure: k19941 
o|inlining procedure: k20008 
o|inlining procedure: k20008 
o|substituted constant variable: a20056 
o|substituted constant variable: a20057 
o|substituted constant variable: a20081 
o|substituted constant variable: a20082 
o|inlining procedure: k20098 
o|inlining procedure: k20098 
o|substituted constant variable: a20156 
o|substituted constant variable: a20157 
o|inlining procedure: k20164 
o|inlining procedure: k20164 
o|substituted constant variable: a20193 
o|substituted constant variable: a20194 
o|substituted constant variable: a20211 
o|substituted constant variable: a20212 
o|inlining procedure: k20266 
o|inlining procedure: k20266 
o|inlining procedure: k20289 
o|inlining procedure: k20289 
o|inlining procedure: k20329 
o|inlining procedure: k20329 
o|inlining procedure: k20348 
o|inlining procedure: k20348 
o|inlining procedure: k20387 
o|inlining procedure: k20387 
o|inlining procedure: k20412 
o|inlining procedure: k20412 
o|inlining procedure: k20431 
o|inlining procedure: k20431 
o|inlining procedure: k20456 
o|inlining procedure: k20456 
o|inlining procedure: k20522 
o|inlining procedure: k20522 
o|inlining procedure: k20557 
o|inlining procedure: k20557 
o|inlining procedure: k20573 
o|inlining procedure: k20573 
o|inlining procedure: k20607 
o|inlining procedure: k20607 
o|inlining procedure: k20641 
o|inlining procedure: k20641 
o|inlining procedure: k20675 
o|inlining procedure: k20675 
o|inlining procedure: k20716 
o|inlining procedure: k20731 
o|inlining procedure: k20731 
o|substituted constant variable: a20769 
o|substituted constant variable: a20774 
o|inlining procedure: k20716 
o|inlining procedure: k20799 
o|inlining procedure: k20799 
o|inlining procedure: k20819 
o|inlining procedure: k20819 
o|inlining procedure: k20854 
o|inlining procedure: k20854 
o|inlining procedure: k20876 
o|inlining procedure: k20876 
o|inlining procedure: k20901 
o|inlining procedure: k20901 
o|substituted constant variable: a20930 
o|substituted constant variable: a20932 
o|substituted constant variable: a20937 
o|substituted constant variable: a20939 
o|inlining procedure: k20940 
o|inlining procedure: k20940 
o|inlining procedure: k21003 
o|inlining procedure: k21003 
o|inlining procedure: k21015 
o|inlining procedure: k21015 
o|substituted constant variable: a21028 
o|substituted constant variable: a21030 
o|substituted constant variable: a21032 
o|substituted constant variable: a21034 
o|inlining procedure: k21038 
o|inlining procedure: k21038 
o|substituted constant variable: a21051 
o|substituted constant variable: a21053 
o|substituted constant variable: a21055 
o|substituted constant variable: a21057 
o|substituted constant variable: a21059 
o|substituted constant variable: a21061 
o|substituted constant variable: a21063 
o|substituted constant variable: a21065 
o|substituted constant variable: a21067 
o|substituted constant variable: a21069 
o|substituted constant variable: a21071 
o|substituted constant variable: a21073 
o|substituted constant variable: a21075 
o|substituted constant variable: a21077 
o|inlining procedure: k21078 
o|inlining procedure: k21078 
o|inlining procedure: k21110 
o|inlining procedure: k21110 
o|inlining procedure: k21101 
o|inlining procedure: k21143 
o|inlining procedure: k21143 
o|inlining procedure: k21174 
o|inlining procedure: k21174 
o|inlining procedure: k21193 
o|inlining procedure: k21226 
o|inlining procedure: k21226 
o|inlining procedure: k21268 
o|inlining procedure: k21268 
o|inlining procedure: "(library.scm:3927) build-keyword4432" 
o|inlining procedure: k21284 
o|inlining procedure: "(library.scm:3928) build-keyword4432" 
o|inlining procedure: k21284 
o|inlining procedure: "(library.scm:3931) build-symbol4431" 
o|inlining procedure: k21314 
o|inlining procedure: k21314 
o|inlining procedure: k21326 
o|inlining procedure: k21326 
o|inlining procedure: k21193 
o|inlining procedure: k21101 
o|inlining procedure: k21366 
o|inlining procedure: k21366 
o|inlining procedure: k21387 
o|inlining procedure: "(library.scm:3959) build-keyword4432" 
o|inlining procedure: k21387 
o|inlining procedure: k21409 
o|inlining procedure: k21409 
o|inlining procedure: k21424 
o|inlining procedure: k21424 
o|inlining procedure: "(library.scm:3967) build-symbol4431" 
o|inlining procedure: k21434 
o|inlining procedure: k21434 
o|substituted constant variable: a21442 
o|substituted constant variable: a21443 
o|inlining procedure: k21451 
o|inlining procedure: k21472 
o|inlining procedure: k21472 
o|substituted constant variable: a21485 
o|inlining procedure: k21451 
o|inlining procedure: k21502 
o|inlining procedure: k21523 
o|inlining procedure: k21523 
o|substituted constant variable: a21536 
o|substituted constant variable: a21544 
o|inlining procedure: k21540 
o|inlining procedure: k21540 
o|substituted constant variable: a21552 
o|inlining procedure: k21502 
o|inlining procedure: k21579 
o|inlining procedure: k21579 
o|inlining procedure: k21615 
o|inlining procedure: k21615 
o|inlining procedure: k21624 
o|inlining procedure: k21624 
o|inlining procedure: k21643 
o|inlining procedure: k21643 
o|inlining procedure: "(library.scm:4019) build-keyword4432" 
o|inlining procedure: "(library.scm:4019) build-symbol4431" 
o|inlining procedure: k21713 
o|inlining procedure: k21747 
o|inlining procedure: k21747 
o|inlining procedure: k21760 
o|inlining procedure: k21760 
o|inlining procedure: k21713 
o|inlining procedure: k21792 
o|inlining procedure: k21792 
o|inlining procedure: k21836 
o|inlining procedure: k21861 
o|inlining procedure: k21861 
o|inlining procedure: k21836 
o|inlining procedure: k21879 
o|inlining procedure: k21879 
o|inlining procedure: k21903 
o|inlining procedure: k21903 
o|substituted constant variable: a21910 
o|substituted constant variable: a21912 
o|substituted constant variable: a21914 
o|substituted constant variable: a21916 
o|inlining procedure: k21920 
o|inlining procedure: k21920 
o|inlining procedure: k21938 
o|contracted procedure: "(library.scm:4075) g47274728" 
o|inlining procedure: k21967 
o|inlining procedure: k21967 
o|inlining procedure: k21986 
o|inlining procedure: k22004 
o|inlining procedure: k22020 
o|inlining procedure: k22020 
o|inlining procedure: k22004 
o|inlining procedure: k21986 
o|substituted constant variable: a22119 
o|inlining procedure: k22121 
o|inlining procedure: k22121 
o|substituted constant variable: a22124 
o|inlining procedure: k21938 
o|inlining procedure: k22147 
o|inlining procedure: k22159 
o|inlining procedure: k22159 
o|inlining procedure: k22147 
o|inlining procedure: k22193 
o|inlining procedure: k22193 
o|inlining procedure: k22206 
o|inlining procedure: k22206 
o|substituted constant variable: a22219 
o|substituted constant variable: a22221 
o|inlining procedure: "(library.scm:4122) build-symbol4431" 
o|inlining procedure: k22280 
o|inlining procedure: k22295 
o|inlining procedure: k22295 
o|inlining procedure: k22280 
o|inlining procedure: k22319 
o|inlining procedure: k22319 
o|inlining procedure: k22340 
o|inlining procedure: k22340 
o|inlining procedure: k22359 
o|inlining procedure: k22380 
o|inlining procedure: k22407 
o|inlining procedure: k22422 
o|inlining procedure: k22422 
o|inlining procedure: k22407 
o|inlining procedure: k22458 
o|inlining procedure: k22458 
o|inlining procedure: k22380 
o|inlining procedure: k22493 
o|inlining procedure: k22493 
o|inlining procedure: k22508 
o|inlining procedure: k22508 
o|inlining procedure: k22532 
o|inlining procedure: k22532 
o|inlining procedure: k22556 
o|inlining procedure: k22556 
o|inlining procedure: k22580 
o|inlining procedure: k22620 
o|inlining procedure: k22620 
o|inlining procedure: k22580 
o|inlining procedure: k22644 
o|inlining procedure: k22644 
o|inlining procedure: k22671 
o|inlining procedure: k22671 
o|inlining procedure: k22698 
o|inlining procedure: k22698 
o|inlining procedure: k22722 
o|inlining procedure: k22722 
o|inlining procedure: k22737 
o|inlining procedure: k22766 
o|inlining procedure: k22766 
o|inlining procedure: "(library.scm:4249) build-keyword4432" 
o|inlining procedure: k22737 
o|inlining procedure: k22827 
o|inlining procedure: k22854 
o|inlining procedure: k22854 
o|inlining procedure: "(library.scm:4268) build-symbol4431" 
o|inlining procedure: k22876 
o|inlining procedure: k22876 
o|inlining procedure: k22898 
o|inlining procedure: k22898 
o|substituted constant variable: a22901 
o|inlining procedure: k22827 
o|inlining procedure: k22915 
o|inlining procedure: k22915 
o|substituted constant variable: a22928 
o|substituted constant variable: a22930 
o|substituted constant variable: a22932 
o|substituted constant variable: a22934 
o|substituted constant variable: a22936 
o|substituted constant variable: a22938 
o|substituted constant variable: a22940 
o|substituted constant variable: a22942 
o|substituted constant variable: a22944 
o|substituted constant variable: a22946 
o|substituted constant variable: a22948 
o|substituted constant variable: a22950 
o|substituted constant variable: a22952 
o|substituted constant variable: a22954 
o|substituted constant variable: a22956 
o|substituted constant variable: a22958 
o|substituted constant variable: a22960 
o|inlining procedure: k22359 
o|inlining procedure: k22977 
o|inlining procedure: k22977 
o|inlining procedure: k23001 
o|inlining procedure: k23001 
o|inlining procedure: k23022 
o|inlining procedure: k23022 
o|inlining procedure: k23037 
o|inlining procedure: k23037 
o|inlining procedure: k23055 
o|inlining procedure: k23055 
o|substituted constant variable: a23086 
o|substituted constant variable: a23088 
o|substituted constant variable: a23090 
o|substituted constant variable: a23092 
o|substituted constant variable: a23097 
o|substituted constant variable: a23099 
o|substituted constant variable: a23101 
o|substituted constant variable: a23103 
o|substituted constant variable: a23105 
o|substituted constant variable: a23107 
o|substituted constant variable: a23109 
o|substituted constant variable: a23111 
o|substituted constant variable: a23113 
o|substituted constant variable: a23115 
o|inlining procedure: k23119 
o|inlining procedure: k23119 
o|inlining procedure: k23138 
o|inlining procedure: k23138 
o|inlining procedure: k23156 
o|inlining procedure: k23156 
o|inlining procedure: k23198 
o|inlining procedure: k23198 
o|inlining procedure: k23318 
o|inlining procedure: k23318 
o|inlining procedure: k23330 
o|inlining procedure: k23342 
o|inlining procedure: k23342 
o|inlining procedure: k23330 
o|inlining procedure: k23398 
o|inlining procedure: k23398 
o|substituted constant variable: a23428 
o|substituted constant variable: a23430 
o|substituted constant variable: a23432 
o|substituted constant variable: a23434 
o|inlining procedure: k23444 
o|inlining procedure: k23444 
o|inlining procedure: k23463 
o|inlining procedure: k23463 
o|inlining procedure: k23477 
o|inlining procedure: k23477 
o|inlining procedure: k23540 
o|inlining procedure: k23540 
o|substituted constant variable: a23571 
o|substituted constant variable: a23573 
o|substituted constant variable: a23578 
o|substituted constant variable: a23580 
o|substituted constant variable: a23602 
o|substituted constant variable: a23603 
o|substituted constant variable: a23620 
o|substituted constant variable: a23621 
o|inlining procedure: k23634 
o|propagated global variable: r2363533547 ##sys#standard-output 
o|inlining procedure: k23634 
o|substituted constant variable: a23653 
o|substituted constant variable: a23654 
o|substituted constant variable: a23671 
o|substituted constant variable: a23672 
o|propagated global variable: a23685 ##sys#standard-output 
o|substituted constant variable: a23686 
o|substituted constant variable: a23687 
o|contracted procedure: "(library.scm:4418) g50595060" 
o|inlining procedure: k23704 
o|contracted procedure: "(library.scm:4413) g50655072" 
o|propagated global variable: g50805081 ##sys#print 
o|inlining procedure: k23704 
o|propagated global variable: a23736 ##sys#standard-output 
o|substituted constant variable: a23737 
o|substituted constant variable: a23738 
o|contracted procedure: "(library.scm:4425) g50915092" 
o|inlining procedure: k23755 
o|contracted procedure: "(library.scm:4413) g50975104" 
o|propagated global variable: g51125113 ##sys#print 
o|inlining procedure: k23755 
o|substituted constant variable: a23800 
o|substituted constant variable: a23801 
o|inlining procedure: k23814 
o|inlining procedure: k23814 
o|inlining procedure: k23905 
o|inlining procedure: k23905 
o|inlining procedure: k23937 
o|inlining procedure: k23937 
o|substituted constant variable: special-characters5134 
o|inlining procedure: k23949 
o|inlining procedure: k23949 
o|inlining procedure: k23982 
o|inlining procedure: k23982 
o|substituted constant variable: a24055 
o|inlining procedure: k24062 
o|inlining procedure: k24062 
o|inlining procedure: k24074 
o|inlining procedure: k24074 
o|inlining procedure: k24089 
o|inlining procedure: k24089 
o|inlining procedure: k24108 
o|inlining procedure: k24130 
o|inlining procedure: k24130 
o|inlining procedure: k24145 
o|inlining procedure: k24145 
o|inlining procedure: k24158 
o|inlining procedure: k24158 
o|inlining procedure: k24182 
o|inlining procedure: k24182 
o|inlining procedure: k24108 
o|inlining procedure: k24200 
o|inlining procedure: k24200 
o|inlining procedure: k24253 
o|inlining procedure: k24253 
o|inlining procedure: k24271 
o|inlining procedure: k24271 
o|inlining procedure: k24286 
o|inlining procedure: k24286 
o|inlining procedure: k24295 
o|inlining procedure: k24322 
o|inlining procedure: k24322 
o|inlining procedure: k24295 
o|inlining procedure: k24350 
o|inlining procedure: k24350 
o|inlining procedure: k24366 
o|inlining procedure: k24366 
o|inlining procedure: k24381 
o|inlining procedure: k24399 
o|inlining procedure: k24399 
o|substituted constant variable: a24418 
o|substituted constant variable: a24420 
o|inlining procedure: k24381 
o|inlining procedure: k24430 
o|inlining procedure: k24430 
o|inlining procedure: k24453 
o|inlining procedure: k24469 
o|inlining procedure: k24469 
o|inlining procedure: k24498 
o|inlining procedure: k24498 
o|inlining procedure: k24519 
o|inlining procedure: k24519 
o|inlining procedure: k24537 
o|inlining procedure: k24537 
o|inlining procedure: k24555 
o|inlining procedure: k24555 
o|inlining procedure: k24573 
o|inlining procedure: k24573 
o|substituted constant variable: a24602 
o|substituted constant variable: a24604 
o|substituted constant variable: a24606 
o|substituted constant variable: a24608 
o|substituted constant variable: a24610 
o|substituted constant variable: a24612 
o|substituted constant variable: a24614 
o|substituted constant variable: a24623 
o|substituted constant variable: a24625 
o|inlining procedure: k24453 
o|inlining procedure: k24648 
o|inlining procedure: k24648 
o|inlining procedure: k24702 
o|inlining procedure: k24720 
o|inlining procedure: k24720 
o|inlining procedure: k24702 
o|inlining procedure: k24758 
o|inlining procedure: k24758 
o|inlining procedure: k24774 
o|inlining procedure: k24774 
o|inlining procedure: k24815 
o|inlining procedure: k24815 
o|substituted constant variable: a24828 
o|substituted constant variable: a24830 
o|inlining procedure: k24831 
o|inlining procedure: k24859 
o|inlining procedure: k24859 
o|inlining procedure: k24831 
o|inlining procedure: k24903 
o|inlining procedure: k24903 
o|inlining procedure: k24923 
o|inlining procedure: k24923 
o|inlining procedure: k24941 
o|inlining procedure: k24941 
o|inlining procedure: k24969 
o|inlining procedure: k24999 
o|inlining procedure: k24999 
o|inlining procedure: k24969 
o|inlining procedure: k25087 
o|inlining procedure: k25087 
o|substituted constant variable: a25104 
o|substituted constant variable: a25106 
o|substituted constant variable: saved543554365448 
o|inlining procedure: k25211 
o|inlining procedure: k25211 
o|inlining procedure: k25278 
o|inlining procedure: k25299 
o|inlining procedure: k25299 
o|inlining procedure: k25278 
o|inlining procedure: k25325 
o|inlining procedure: k25325 
o|inlining procedure: k25363 
o|inlining procedure: k25363 
o|inlining procedure: k25394 
o|inlining procedure: k25394 
o|inlining procedure: k25431 
o|inlining procedure: k25431 
o|substituted constant variable: a25491 
o|substituted constant variable: a25492 
o|inlining procedure: k25493 
o|inlining procedure: k25493 
o|inlining procedure: k25544 
o|inlining procedure: k25544 
o|inlining procedure: k25567 
o|inlining procedure: k25593 
o|inlining procedure: k25593 
o|inlining procedure: k25567 
o|inlining procedure: k25647 
o|inlining procedure: k25647 
o|substituted constant variable: c5644 
o|contracted procedure: "(library.scm:4934) extract5621" 
o|substituted constant variable: c5644 
o|inlining procedure: k25714 
o|inlining procedure: k25714 
o|substituted constant variable: c5644 
o|substituted constant variable: c5644 
o|inlining procedure: k25796 
o|inlining procedure: k25796 
o|inlining procedure: k25821 
o|inlining procedure: k25821 
o|inlining procedure: k25827 
o|inlining procedure: k25827 
o|inlining procedure: k25764 
o|inlining procedure: k25846 
o|inlining procedure: k25846 
o|inlining procedure: k25764 
o|substituted constant variable: a25894 
o|substituted constant variable: a25895 
o|inlining procedure: k25966 
o|inlining procedure: "(library.scm:4982) break5717" 
o|inlining procedure: k25966 
o|inlining procedure: k25995 
o|inlining procedure: k25995 
o|inlining procedure: k26011 
o|inlining procedure: k26011 
o|inlining procedure: k26034 
o|contracted procedure: "(library.scm:5003) g57275734" 
o|inlining procedure: k26034 
o|inlining procedure: k26075 
o|inlining procedure: k26075 
o|inlining procedure: k26129 
o|contracted procedure: "(library.scm:5067) g57955802" 
o|inlining procedure: k26129 
o|inlining procedure: k26167 
o|inlining procedure: k26167 
o|inlining procedure: k26210 
o|inlining procedure: k26210 
o|inlining procedure: k26222 
o|inlining procedure: k26222 
o|inlining procedure: k26234 
o|inlining procedure: k26234 
o|inlining procedure: k26246 
o|inlining procedure: k26246 
o|inlining procedure: k26258 
o|inlining procedure: k26258 
o|inlining procedure: k26270 
o|inlining procedure: k26270 
o|inlining procedure: k26282 
o|inlining procedure: k26282 
o|substituted constant variable: a26289 
o|substituted constant variable: a26291 
o|substituted constant variable: a26293 
o|substituted constant variable: a26295 
o|substituted constant variable: a26297 
o|substituted constant variable: a26299 
o|substituted constant variable: a26301 
o|substituted constant variable: a26303 
o|substituted constant variable: a26305 
o|substituted constant variable: a26307 
o|substituted constant variable: a26309 
o|substituted constant variable: a26311 
o|substituted constant variable: a26313 
o|substituted constant variable: a26315 
o|substituted constant variable: a26351 
o|substituted constant variable: a26353 
o|substituted constant variable: a26355 
o|inlining procedure: k26409 
o|inlining procedure: k26445 
o|inlining procedure: k26445 
o|inlining procedure: k26457 
o|inlining procedure: k26471 
o|inlining procedure: k26471 
o|inlining procedure: k26457 
o|inlining procedure: k26409 
o|inlining procedure: k26507 
o|inlining procedure: k26507 
o|inlining procedure: k26562 
o|propagated global variable: r2656333743 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5964) 
o|inlining procedure: k26577 
o|inlining procedure: k26577 
o|removed unused parameter to known procedure: convert?5964 "(library.scm:5219) body59545963" 
o|inlining procedure: k26562 
o|inlining procedure: k26604 
o|inlining procedure: k26604 
o|removed unused parameter to known procedure: convert?5964 "(library.scm:5219) body59545963" 
o|inlining procedure: k26629 
o|inlining procedure: k26629 
o|inlining procedure: k26742 
o|contracted procedure: "(library.scm:5247) g60496058" 
o|inlining procedure: k26742 
o|inlining procedure: k26788 
o|contracted procedure: "(library.scm:5246) g60226031" 
o|inlining procedure: k26788 
o|inlining procedure: k26822 
o|contracted procedure: "(library.scm:5243) g59996006" 
o|inlining procedure: k26822 
o|inlining procedure: k26864 
o|inlining procedure: k26864 
o|inlining procedure: k26916 
o|contracted procedure: "(library.scm:5252) g60826091" 
o|inlining procedure: k26916 
o|inlining procedure: k26978 
o|inlining procedure: k26978 
o|inlining procedure: k27034 
o|inlining procedure: k27034 
o|inlining procedure: k27076 
o|inlining procedure: k27076 
o|inlining procedure: k27106 
o|inlining procedure: k27121 
o|inlining procedure: k27121 
o|inlining procedure: k27106 
o|inlining procedure: k27182 
o|inlining procedure: k27182 
o|substituted constant variable: a27207 
o|substituted constant variable: a27208 
o|inlining procedure: k27215 
o|inlining procedure: k27236 
o|inlining procedure: k27236 
o|inlining procedure: k27266 
o|inlining procedure: k27266 
o|inlining procedure: k27295 
o|inlining procedure: k27295 
o|inlining procedure: k27215 
o|inlining procedure: k27363 
(o x)|known list op on rest arg sublist: ##core#rest-cdr args6221 0 
o|inlining procedure: k27363 
o|inlining procedure: k27398 
o|inlining procedure: k27398 
o|inlining procedure: k27444 
o|inlining procedure: k27467 
o|inlining procedure: k27467 
o|inlining procedure: k27444 
o|inlining procedure: k27504 
o|inlining procedure: k27504 
o|inlining procedure: k27518 
o|inlining procedure: k27518 
o|inlining procedure: k27536 
o|inlining procedure: k27536 
o|inlining procedure: k27554 
o|inlining procedure: k27554 
o|inlining procedure: k27572 
o|inlining procedure: k27572 
o|inlining procedure: k27590 
o|inlining procedure: k27590 
o|inlining procedure: k27608 
o|inlining procedure: k27608 
o|inlining procedure: k27626 
o|inlining procedure: k27626 
o|inlining procedure: k27644 
o|inlining procedure: k27644 
o|inlining procedure: k27662 
o|inlining procedure: k27662 
o|inlining procedure: k27680 
o|inlining procedure: k27680 
o|inlining procedure: k27698 
o|inlining procedure: k27698 
o|inlining procedure: k27716 
o|inlining procedure: k27716 
o|inlining procedure: k27734 
o|inlining procedure: k27734 
o|inlining procedure: k27752 
o|inlining procedure: k27752 
o|inlining procedure: k27770 
o|inlining procedure: k27770 
o|inlining procedure: k27788 
o|inlining procedure: k27788 
o|inlining procedure: k27806 
o|inlining procedure: k27806 
o|inlining procedure: k27824 
o|inlining procedure: k27824 
o|inlining procedure: k27842 
o|inlining procedure: k27842 
o|inlining procedure: k27860 
o|inlining procedure: k27860 
o|inlining procedure: k27878 
o|inlining procedure: k27878 
o|inlining procedure: k27896 
o|inlining procedure: k27896 
o|inlining procedure: k27914 
o|inlining procedure: k27914 
o|inlining procedure: k27932 
o|inlining procedure: k27932 
o|inlining procedure: k27950 
o|inlining procedure: k27950 
o|inlining procedure: k27968 
o|inlining procedure: k27968 
o|inlining procedure: k27986 
o|inlining procedure: k27986 
o|inlining procedure: k28018 
o|inlining procedure: k28018 
o|substituted constant variable: a28036 
o|substituted constant variable: a28038 
o|substituted constant variable: a28040 
o|substituted constant variable: a28042 
o|substituted constant variable: a28044 
o|substituted constant variable: a28046 
o|substituted constant variable: a28048 
o|substituted constant variable: a28050 
o|substituted constant variable: a28052 
o|substituted constant variable: a28054 
o|substituted constant variable: a28056 
o|substituted constant variable: a28058 
o|substituted constant variable: a28060 
o|substituted constant variable: a28062 
o|substituted constant variable: a28064 
o|substituted constant variable: a28066 
o|substituted constant variable: a28068 
o|substituted constant variable: a28070 
o|substituted constant variable: a28072 
o|substituted constant variable: a28074 
o|substituted constant variable: a28076 
o|substituted constant variable: a28078 
o|substituted constant variable: a28080 
o|substituted constant variable: a28082 
o|substituted constant variable: a28084 
o|substituted constant variable: a28086 
o|substituted constant variable: a28088 
o|substituted constant variable: a28090 
o|substituted constant variable: a28092 
o|substituted constant variable: a28094 
o|substituted constant variable: a28096 
o|substituted constant variable: a28098 
o|substituted constant variable: a28100 
o|substituted constant variable: a28102 
o|substituted constant variable: a28104 
o|substituted constant variable: a28106 
o|substituted constant variable: a28108 
o|substituted constant variable: a28110 
o|substituted constant variable: a28112 
o|substituted constant variable: a28114 
o|substituted constant variable: a28116 
o|substituted constant variable: a28118 
o|substituted constant variable: a28120 
o|substituted constant variable: a28122 
o|substituted constant variable: a28124 
o|substituted constant variable: a28126 
o|substituted constant variable: a28128 
o|substituted constant variable: a28130 
o|substituted constant variable: a28132 
o|substituted constant variable: a28134 
o|substituted constant variable: a28136 
o|substituted constant variable: a28138 
o|substituted constant variable: a28140 
o|substituted constant variable: a28142 
o|substituted constant variable: a28144 
o|substituted constant variable: a28146 
o|inlining procedure: k28226 
o|inlining procedure: k28226 
o|inlining procedure: k28264 
o|inlining procedure: k28264 
o|inlining procedure: k28286 
o|inlining procedure: k28286 
o|inlining procedure: k28344 
o|inlining procedure: k28344 
o|contracted procedure: "(library.scm:5565) fetch6463" 
o|contracted procedure: "(library.scm:5582) free6482" 
o|inlining procedure: k28391 
o|inlining procedure: k28391 
o|inlining procedure: k28408 
o|inlining procedure: k28408 
o|contracted procedure: "(library.scm:5577) fetch6481" 
o|propagated global variable: ct6583 ##sys#current-thread 
o|inlining procedure: k28592 
o|inlining procedure: k28592 
o|inlining procedure: k28620 
o|inlining procedure: k28620 
o|inlining procedure: k28677 
o|inlining procedure: k28677 
o|inlining procedure: k28717 
o|inlining procedure: k28729 
o|inlining procedure: k28729 
o|inlining procedure: k28717 
o|inlining procedure: k28756 
o|inlining procedure: k28756 
o|inlining procedure: k28802 
o|inlining procedure: k28802 
o|substituted constant variable: a28860 
o|inlining procedure: k28853 
o|inlining procedure: k28853 
o|substituted constant variable: a28873 
o|inlining procedure: k28884 
o|inlining procedure: k28924 
o|inlining procedure: k28962 
o|inlining procedure: k28962 
o|inlining procedure: k28924 
o|inlining procedure: k29056 
o|inlining procedure: k29056 
o|substituted constant variable: a29117 
o|substituted constant variable: a29119 
o|substituted constant variable: a29127 
o|substituted constant variable: a29132 
o|substituted constant variable: a29134 
o|substituted constant variable: a29148 
o|inlining procedure: k29141 
o|inlining procedure: k29141 
o|substituted constant variable: a29161 
o|inlining procedure: k28884 
o|substituted constant variable: a29176 
o|substituted constant variable: a29178 
o|inlining procedure: k29192 
o|inlining procedure: k29192 
o|inlining procedure: k29287 
o|inlining procedure: k29296 
o|inlining procedure: k29296 
o|inlining procedure: k29287 
o|contracted procedure: "(library.scm:5971) get6794" 
o|inlining procedure: k29363 
o|inlining procedure: k29363 
o|inlining procedure: k29377 
o|inlining procedure: k29377 
o|contracted procedure: "(library.scm:6000) fetch-arg6814" 
o|inlining procedure: k29450 
o|inlining procedure: k29470 
o|inlining procedure: k29470 
o|inlining procedure: k29497 
o|inlining procedure: k29497 
o|inlining procedure: k29450 
o|inlining procedure: k29521 
o|inlining procedure: k29521 
o|inlining procedure: k29533 
o|inlining procedure: k29533 
o|inlining procedure: k29562 
o|inlining procedure: k29562 
o|inlining procedure: k29662 
o|inlining procedure: k29662 
o|inlining procedure: k29693 
o|inlining procedure: k29693 
o|inlining procedure: k29715 
o|inlining procedure: k29715 
o|inlining procedure: k29755 
o|inlining procedure: k29755 
o|inlining procedure: k29780 
o|inlining procedure: k29780 
o|inlining procedure: k29802 
o|inlining procedure: k29802 
o|inlining procedure: k29834 
o|inlining procedure: k29834 
o|inlining procedure: k29866 
o|inlining procedure: k29866 
o|inlining procedure: k29898 
o|inlining procedure: k29898 
o|inlining procedure: k29930 
o|inlining procedure: k29930 
o|substituted constant variable: a29978 
o|substituted constant variable: a29980 
o|substituted constant variable: a29982 
o|substituted constant variable: a29984 
o|substituted constant variable: a29986 
o|substituted constant variable: a29988 
o|substituted constant variable: a29990 
o|substituted constant variable: a29992 
o|substituted constant variable: a29994 
o|substituted constant variable: a29996 
o|inlining procedure: k29997 
o|inlining procedure: k29997 
o|inlining procedure: k30052 
o|inlining procedure: k30052 
o|inlining procedure: k30069 
o|inlining procedure: k30093 
o|inlining procedure: k30093 
o|inlining procedure: k30069 
o|inlining procedure: k30136 
o|inlining procedure: k30136 
o|inlining procedure: k30199 
o|inlining procedure: k30199 
o|inlining procedure: k30231 
o|inlining procedure: "(library.scm:6341) pstr7097" 
o|substituted constant variable: a30252 
o|inlining procedure: k30231 
o|inlining procedure: "(library.scm:6343) pstr7097" 
o|substituted constant variable: a30274 
o|inlining procedure: k30275 
o|inlining procedure: "(library.scm:6345) pstr7097" 
o|substituted constant variable: a30296 
o|inlining procedure: k30275 
o|inlining procedure: "(library.scm:6346) pstr7097" 
o|inlining procedure: "(library.scm:6372) pstr7097" 
o|inlining procedure: "(library.scm:6370) pstr7097" 
o|inlining procedure: "(library.scm:6368) pchr7098" 
o|inlining procedure: "(library.scm:6366) pstr7097" 
o|inlining procedure: "(library.scm:6362) pstr7097" 
o|inlining procedure: "(library.scm:6360) pchr7098" 
o|inlining procedure: "(library.scm:6358) pstr7097" 
o|inlining procedure: "(library.scm:6354) pstr7097" 
o|inlining procedure: "(library.scm:6352) pstr7097" 
o|inlining procedure: "(library.scm:6349) pstr7097" 
o|inlining procedure: k30502 
o|inlining procedure: k30524 
o|inlining procedure: k30524 
o|contracted procedure: "(library.scm:6448) get-config7200" 
o|inlining procedure: k30469 
o|inlining procedure: k30469 
o|substituted constant variable: a30482 
o|inlining procedure: k30560 
o|inlining procedure: k30560 
o|inlining procedure: k30502 
o|propagated global variable: r3050334066 ##sys#build-version 
o|inlining procedure: k30593 
o|inlining procedure: k30593 
o|inlining procedure: k30609 
o|inlining procedure: k30609 
o|inlining procedure: k30637 
o|inlining procedure: k30637 
o|removed side-effect free assignment to unused variable: prefix7277 
o|inlining procedure: k30720 
o|inlining procedure: k30720 
o|inlining procedure: k30735 
o|inlining procedure: k30735 
o|contracted procedure: "(library.scm:6526) err7276" 
o|inlining procedure: k30754 
o|inlining procedure: k30754 
o|inlining procedure: k30832 
o|contracted procedure: "(library.scm:6563) g73087315" 
o|inlining procedure: k30816 
o|inlining procedure: k30816 
o|inlining procedure: k30832 
o|inlining procedure: k30868 
o|inlining procedure: k30868 
o|inlining procedure: k30899 
o|inlining procedure: k30899 
o|inlining procedure: k30945 
o|inlining procedure: k30945 
o|inlining procedure: k30976 
o|inlining procedure: k30976 
o|inlining procedure: k30988 
o|inlining procedure: k30988 
o|inlining procedure: k31000 
o|inlining procedure: k31000 
o|inlining procedure: k31009 
o|inlining procedure: k31009 
o|inlining procedure: k31018 
o|inlining procedure: k31018 
o|inlining procedure: k31094 
o|inlining procedure: k31094 
o|inlining procedure: k31116 
o|inlining procedure: k31133 
o|contracted procedure: "(library.scm:6504) g72507257" 
o|inlining procedure: k31133 
o|inlining procedure: k31116 
o|inlining procedure: k31159 
o|inlining procedure: k31159 
o|inlining procedure: k31233 
o|inlining procedure: k31233 
o|inlining procedure: k31280 
o|inlining procedure: k31280 
o|inlining procedure: k31355 
o|inlining procedure: k31355 
o|substituted constant variable: a31367 
o|inlining procedure: k31380 
o|inlining procedure: k31422 
o|inlining procedure: k31422 
o|inlining procedure: k31452 
o|contracted procedure: "(library.scm:5139) g58605867" 
o|inlining procedure: k31452 
o|inlining procedure: k31380 
o|inlining procedure: k31507 
o|inlining procedure: k31507 
o|inlining procedure: k31558 
o|inlining procedure: k31558 
o|inlining procedure: k31585 
o|inlining procedure: k31585 
o|inlining procedure: k31610 
o|inlining procedure: k31610 
o|inlining procedure: k31690 
o|inlining procedure: k31690 
o|inlining procedure: k31716 
o|inlining procedure: k31716 
o|inlining procedure: k31797 
o|inlining procedure: k31797 
o|inlining procedure: k31816 
o|inlining procedure: k31816 
o|inlining procedure: k31961 
o|inlining procedure: k31961 
o|inlining procedure: k31970 
o|inlining procedure: k31970 
o|inlining procedure: k31979 
o|inlining procedure: k31979 
o|inlining procedure: k31995 
o|inlining procedure: k31995 
o|inlining procedure: k32021 
o|inlining procedure: k32050 
o|inlining procedure: k32050 
o|inlining procedure: k32021 
o|inlining procedure: k32085 
o|inlining procedure: k32085 
o|inlining procedure: k32125 
o|inlining procedure: k32125 
o|inlining procedure: k32187 
o|inlining procedure: k32187 
o|inlining procedure: k32199 
o|inlining procedure: k32199 
o|inlining procedure: k32242 
o|inlining procedure: k32242 
o|inlining procedure: k32300 
o|inlining procedure: k32300 
o|inlining procedure: k32315 
o|inlining procedure: k32315 
o|inlining procedure: k32351 
o|inlining procedure: k32351 
o|substituted constant variable: sblen3851 
o|substituted constant variable: sblen3851 
o|replaced variables: 6423 
o|removed binding forms: 1870 
o|substituted constant variable: r910532454 
o|substituted constant variable: r911132456 
o|inlining procedure: k9430 
o|substituted constant variable: r949432470 
o|substituted constant variable: r964732481 
o|substituted constant variable: r965932484 
o|substituted constant variable: r975432491 
o|substituted constant variable: r981532496 
o|substituted constant variable: r988832499 
o|substituted constant variable: r994232503 
o|substituted constant variable: r1005832512 
o|substituted constant variable: r1025032521 
o|substituted constant variable: r1032732526 
o|substituted constant variable: r1079132569 
o|substituted constant variable: r1079132569 
o|substituted constant variable: r1080832575 
o|substituted constant variable: r1080832575 
o|substituted constant variable: r1083132580 
o|substituted constant variable: r1083132580 
o|substituted constant variable: r1084932587 
o|substituted constant variable: r1084932587 
o|substituted constant variable: r1087332593 
o|substituted constant variable: r1087332593 
o|substituted constant variable: r1089932599 
o|substituted constant variable: r1089932599 
o|substituted constant variable: r1100232610 
o|substituted constant variable: r1153332634 
o|substituted constant variable: r1189632655 
o|substituted constant variable: loc1759 
o|substituted constant variable: loc1770 
o|substituted constant variable: loc1781 
o|substituted constant variable: loc1792 
o|substituted constant variable: loc1803 
o|substituted constant variable: loc1814 
o|substituted constant variable: loc1825 
o|substituted constant variable: loc1836 
o|substituted constant variable: loc1847 
o|substituted constant variable: loc1858 
o|substituted constant variable: loc1869 
o|substituted constant variable: loc1878 
o|substituted constant variable: loc1888 
o|substituted constant variable: loc1899 
o|substituted constant variable: loc1908 
o|substituted constant variable: loc1916 
o|substituted constant variable: loc1924 
o|substituted constant variable: loc1932 
o|substituted constant variable: loc1940 
o|substituted constant variable: loc1948 
o|substituted constant variable: loc1956 
o|substituted constant variable: loc1964 
o|substituted constant variable: loc1972 
o|substituted constant variable: loc1980 
o|substituted constant variable: loc1990 
o|substituted constant variable: loc1999 
o|substituted constant variable: loc2009 
o|substituted constant variable: loc2018 
o|substituted constant variable: loc2026 
o|substituted constant variable: loc2034 
o|substituted constant variable: loc2042 
o|inlining procedure: k12659 
o|inlining procedure: k12659 
o|substituted constant variable: r1267332728 
o|substituted constant variable: r1275432733 
o|substituted constant variable: r1291832747 
o|converted assignments to bindings: (deliver2216) 
o|substituted constant variable: n2414 
o|substituted constant variable: d2415 
o|substituted constant variable: r1419232822 
o|substituted constant variable: r1420132824 
o|substituted constant variable: r1423432828 
o|substituted constant variable: r1424332830 
o|substituted constant variable: r1512032878 
o|substituted constant variable: r1522832885 
o|substituted constant variable: r1529332889 
o|substituted constant variable: r1546832896 
o|substituted constant variable: r1559632898 
o|substituted constant variable: r1559632898 
o|substituted constant variable: r1559632900 
o|substituted constant variable: r1559632900 
o|inlining procedure: k15632 
o|inlining procedure: k15632 
o|substituted constant variable: r1566032907 
o|substituted constant variable: r1567632910 
o|substituted constant variable: r1567632911 
o|substituted constant variable: r1563932916 
o|removed side-effect free assignment to unused variable: make-nan2852 
o|substituted constant variable: r1586632928 
o|substituted constant variable: r1588632930 
o|substituted constant variable: r1590832932 
o|substituted constant variable: r1591932934 
o|substituted constant variable: r1595632937 
o|substituted constant variable: r1597932938 
o|substituted constant variable: r1597932939 
o|substituted constant variable: r1593332940 
o|substituted constant variable: r1604232953 
o|substituted constant variable: r1603032954 
o|substituted constant variable: r1599132970 
o|substituted constant variable: r1631032980 
o|substituted constant variable: r1630032981 
o|substituted constant variable: r1628832982 
o|substituted constant variable: r1637432990 
o|substituted constant variable: r1635632991 
o|substituted constant variable: r1634632992 
o|substituted constant variable: r1653033003 
o|substituted constant variable: r1661133007 
o|substituted constant variable: r1661133007 
o|substituted constant variable: r1661133009 
o|substituted constant variable: r1661133009 
o|substituted constant variable: r1663433014 
o|substituted constant variable: r1663433014 
o|substituted constant variable: r1672133022 
o|substituted constant variable: r1672133022 
o|substituted constant variable: r1669833025 
o|substituted constant variable: r1677733026 
o|substituted constant variable: r1677733027 
o|substituted constant variable: r1655133028 
o|substituted constant variable: r1681533033 
o|substituted constant variable: r1679333034 
o|substituted constant variable: r1683833038 
o|substituted constant variable: r1691333042 
o|substituted constant variable: r1689833043 
o|substituted constant variable: r1696033046 
o|substituted constant variable: r1708033049 
o|substituted constant variable: r1712433053 
o|substituted constant variable: r1716833057 
o|substituted constant variable: r1718133059 
o|substituted constant variable: r1727833066 
o|substituted constant variable: r1735133070 
o|substituted constant variable: r1743733075 
o|substituted constant variable: r1744933077 
o|substituted constant variable: r1745833080 
o|substituted constant variable: r1747633083 
o|substituted constant variable: r1776033106 
o|substituted constant variable: r1780833108 
o|substituted constant variable: r1791233117 
o|substituted constant variable: r1824533128 
o|substituted constant variable: r1837633134 
o|removed call to pure procedure with unused result: "(library.scm:3035) ##sys#slot" 
o|substituted constant variable: r1871933154 
o|removed call to pure procedure with unused result: "(library.scm:3046) ##sys#slot" 
o|converted assignments to bindings: (continuation3761) 
o|substituted constant variable: r1888533168 
o|removed unused formal parameters: (%convert?38933908) 
o|removed unused parameter to known procedure: %convert?38933908 "(library.scm:3305) def-set?38983907" 
o|removed unused parameter to known procedure: %convert?38933908 "(library.scm:3305) def-set?38983907" 
o|removed unused formal parameters: (%convert?39183933) 
o|removed unused parameter to known procedure: %convert?39183933 "(library.scm:3315) def-set?39233932" 
o|removed unused parameter to known procedure: %convert?39183933 "(library.scm:3315) def-set?39233932" 
o|removed unused formal parameters: (%convert?39433958) 
o|removed unused parameter to known procedure: %convert?39433958 "(library.scm:3325) def-set?39483957" 
o|removed unused parameter to known procedure: %convert?39433958 "(library.scm:3325) def-set?39483957" 
o|substituted constant variable: r1919133196 
o|substituted constant variable: r1925433201 
o|substituted constant variable: r1925433201 
o|substituted constant variable: r1925433203 
o|substituted constant variable: r1925433203 
o|substituted constant variable: r1949633213 
o|substituted constant variable: r1954933216 
o|substituted constant variable: r1964333222 
o|substituted constant variable: r1968133224 
o|substituted constant variable: r1971533226 
o|substituted constant variable: r1977533230 
o|inlining procedure: k20098 
o|substituted constant variable: r2016533245 
o|inlining procedure: k20176 
o|substituted constant variable: r2100433296 
o|substituted constant variable: tok477033324 
o|inlining procedure: k21335 
o|converted assignments to bindings: (starting-line4537) 
o|substituted constant variable: r2143533366 
o|substituted constant variable: r2143533366 
o|inlining procedure: k21747 
o|substituted constant variable: r2174833401 
o|substituted constant variable: r2174833401 
o|substituted constant variable: r2176133404 
o|substituted constant variable: r2186233410 
o|inlining procedure: k22007 
o|inlining procedure: k22007 
o|inlining procedure: k22007 
o|substituted constant variable: r2200533427 
o|substituted constant variable: r2198733428 
o|removed side-effect free assignment to unused variable: build-symbol4431 
o|removed side-effect free assignment to unused variable: build-keyword4432 
o|substituted constant variable: r2245933462 
o|substituted constant variable: r2262133473 
o|substituted constant variable: r2285533494 
o|substituted constant variable: r2312033520 
o|substituted constant variable: r2313933521 
o|substituted constant variable: r2313933521 
o|substituted constant variable: r2313933523 
o|substituted constant variable: r2313933523 
o|substituted constant variable: r2331933530 
o|substituted constant variable: r2334333533 
o|substituted constant variable: r2333133534 
o|converted assignments to bindings: (hex4961) 
o|substituted constant variable: r2354133545 
o|propagated global variable: port502933548 ##sys#standard-output 
o|substituted constant variable: r2406333571 
o|substituted constant variable: r2407533573 
o|substituted constant variable: r2409033575 
o|substituted constant variable: r2409033576 
o|substituted constant variable: r2413133578 
o|substituted constant variable: r2414633580 
o|substituted constant variable: r2414633581 
o|inlining procedure: k24158 
o|substituted constant variable: r2415933584 
o|substituted constant variable: r2415933584 
o|folded constant expression: (scheme#not (quote #f)) 
o|substituted constant variable: r2420133590 
o|inlining procedure: k24657 
o|substituted constant variable: r2490433642 
o|substituted constant variable: r2492433644 
o|inlining procedure: k25068 
o|substituted constant variable: r2543233668 
o|converted assignments to bindings: (copy&append5548) 
o|substituted constant variable: r2564833679 
o|converted assignments to bindings: (break5717) 
o|substituted constant variable: r2616833711 
o|substituted constant variable: r2616833711 
o|substituted constant variable: r2616833713 
o|substituted constant variable: r2616833713 
o|substituted constant variable: r2621133715 
o|substituted constant variable: r2622333717 
o|substituted constant variable: r2623533719 
o|substituted constant variable: r2624733721 
o|substituted constant variable: r2625933723 
o|substituted constant variable: r2627133725 
o|substituted constant variable: r2628333727 
o|substituted constant variable: r2628333728 
o|substituted constant variable: r2644633732 
o|substituted constant variable: r2644633732 
o|inlining procedure: k26471 
o|inlining procedure: k26471 
o|removed unused formal parameters: (%convert?59525967) 
o|removed unused parameter to known procedure: %convert?59525967 "(library.scm:5219) def-set?59575966" 
o|removed unused parameter to known procedure: %convert?59525967 "(library.scm:5219) def-set?59575966" 
o|substituted constant variable: r2663033749 
o|substituted constant variable: r2697933761 
o|substituted constant variable: r2707733766 
o|substituted constant variable: r2710733770 
o|substituted constant variable: r2746833796 
o|substituted constant variable: r2746833796 
o|substituted constant variable: r2750533801 
o|substituted constant variable: r2750533801 
o|substituted constant variable: r2801933859 
o|substituted constant variable: r2801933859 
o|substituted constant variable: r2826533864 
o|substituted constant variable: r2828733866 
o|substituted constant variable: r2834533867 
o|substituted constant variable: r2839233871 
o|substituted constant variable: r2839233871 
o|substituted constant variable: r2840933873 
o|inlining procedure: k28811 
o|converted assignments to bindings: (get/clear-str6683) 
o|substituted constant variable: r2928833910 
o|inlining procedure: k29450 
o|inlining procedure: k29450 
o|substituted constant variable: r3007033974 
o|removed side-effect free assignment to unused variable: pstr7097 
o|removed side-effect free assignment to unused variable: pchr7098 
o|substituted constant variable: r3020033977 
o|substituted constant variable: r3020033977 
o|substituted constant variable: str710233983 
o|substituted constant variable: str710233989 
o|substituted constant variable: str710233995 
o|substituted constant variable: str710234001 
o|substituted constant variable: str710234006 
o|substituted constant variable: str710234011 
o|substituted constant variable: chr710334016 
o|substituted constant variable: str710234021 
o|substituted constant variable: str710234026 
o|substituted constant variable: chr710334031 
o|substituted constant variable: str710234036 
o|substituted constant variable: str710234041 
o|substituted constant variable: str710234046 
o|substituted constant variable: str710234051 
o|substituted constant variable: r3052534056 
o|substituted constant variable: r3052534056 
o|substituted constant variable: r3047034060 
o|converted assignments to bindings: (str7205) 
o|substituted constant variable: r3056134062 
o|substituted constant variable: r3056134062 
o|substituted constant variable: r3056134064 
o|substituted constant variable: r3056134064 
o|substituted constant variable: r3061034069 
o|substituted constant variable: r3086934084 
o|substituted constant variable: r3098934093 
o|substituted constant variable: r3101934099 
o|inlining procedure: k31094 
o|substituted constant variable: r3111734107 
o|substituted constant variable: r3128134112 
o|inlining procedure: k31401 
o|inlining procedure: k31401 
o|substituted constant variable: r3158634126 
o|substituted constant variable: r3161134128 
o|substituted constant variable: r3171734134 
o|substituted constant variable: r3179834136 
o|substituted constant variable: r3197134145 
o|substituted constant variable: r3198034147 
o|substituted constant variable: r3199634149 
o|substituted constant variable: r3205134152 
o|converted assignments to bindings: (lookup-char3613) 
o|simplifications: ((let . 10)) 
o|replaced variables: 640 
o|removed binding forms: 5376 
o|removed conditional forms: 1 
o|inlining procedure: k9412 
o|substituted constant variable: r943134182 
o|substituted constant variable: r943134182 
o|inlining procedure: k10575 
o|inlining procedure: k10575 
o|inlining procedure: k10575 
o|inlining procedure: k11047 
o|inlining procedure: k11063 
o|inlining procedure: k11079 
o|inlining procedure: k11095 
o|inlining procedure: k11111 
o|inlining procedure: k11127 
o|inlining procedure: k11143 
o|inlining procedure: k11159 
o|inlining procedure: k11284 
o|inlining procedure: k11319 
o|inlining procedure: k11319 
o|inlining procedure: k11574 
o|inlining procedure: k11574 
o|inlining procedure: k11684 
o|inlining procedure: k11684 
o|inlining procedure: k11993 
o|inlining procedure: k12017 
o|inlining procedure: k12041 
o|inlining procedure: k12065 
o|inlining procedure: k12089 
o|inlining procedure: k12113 
o|inlining procedure: k12137 
o|inlining procedure: k12161 
o|inlining procedure: k12185 
o|inlining procedure: k12209 
o|inlining procedure: k12233 
o|inlining procedure: k12251 
o|inlining procedure: k12275 
o|inlining procedure: k12299 
o|inlining procedure: k12317 
o|inlining procedure: k12335 
o|inlining procedure: k12353 
o|inlining procedure: k12371 
o|inlining procedure: k12389 
o|inlining procedure: k12407 
o|inlining procedure: k12425 
o|inlining procedure: k12443 
o|inlining procedure: k12461 
o|inlining procedure: k12479 
o|inlining procedure: k12503 
o|inlining procedure: k12521 
o|inlining procedure: k12545 
o|inlining procedure: k12563 
o|inlining procedure: k12581 
o|inlining procedure: k12599 
o|inlining procedure: k12617 
o|inlining procedure: k12860 
o|inlining procedure: k12972 
o|inlining procedure: k13041 
o|inlining procedure: k13133 
o|inlining procedure: k13139 
o|inlining procedure: k13242 
o|inlining procedure: k13465 
o|inlining procedure: k13535 
o|inlining procedure: k13580 
o|inlining procedure: k13617 
o|inlining procedure: k13648 
o|inlining procedure: k13648 
o|inlining procedure: k13661 
o|inlining procedure: k13829 
o|inlining procedure: k13970 
o|inlining procedure: k14612 
o|inlining procedure: k14636 
o|inlining procedure: k14836 
o|inlining procedure: k14959 
o|inlining procedure: k14967 
o|inlining procedure: k15005 
o|inlining procedure: k15023 
o|inlining procedure: k15176 
o|inlining procedure: k15205 
o|inlining procedure: k15423 
o|inlining procedure: k15430 
o|inlining procedure: k15895 
o|inlining procedure: k16403 
o|inlining procedure: k16541 
o|inlining procedure: k16807 
o|inlining procedure: k16807 
o|inlining procedure: k16849 
o|inlining procedure: k16863 
o|inlining procedure: k16869 
o|inlining procedure: k16928 
o|inlining procedure: k16936 
o|inlining procedure: k17264 
o|inlining procedure: k17271 
o|inlining procedure: k17271 
o|inlining procedure: k17304 
o|inlining procedure: k17587 
o|inlining procedure: k17587 
o|contracted procedure: k18616 
o|contracted procedure: k18712 
o|inlining procedure: k19268 
o|inlining procedure: k19268 
o|inlining procedure: k19268 
o|inlining procedure: k19530 
o|propagated global variable: r1953134999 ##sys#standard-output 
o|propagated global variable: r1953134999 ##sys#standard-output 
o|inlining procedure: k20077 
o|propagated global variable: r2007835007 ##sys#standard-input 
o|propagated global variable: r2007835007 ##sys#standard-input 
o|inlining procedure: k20189 
o|propagated global variable: r2019035009 ##sys#standard-input 
o|propagated global variable: r2019035009 ##sys#standard-input 
o|inlining procedure: k20207 
o|propagated global variable: r2020835011 ##sys#standard-input 
o|propagated global variable: r2020835011 ##sys#standard-input 
o|inlining procedure: k20920 
o|inlining procedure: k23649 
o|propagated global variable: r2365035038 ##sys#standard-output 
o|propagated global variable: r2365035038 ##sys#standard-output 
o|inlining procedure: k23667 
o|propagated global variable: r2366835040 ##sys#standard-output 
o|propagated global variable: r2366835040 ##sys#standard-output 
o|inlining procedure: k24045 
o|substituted constant variable: r2415934532 
o|folded constant expression: (scheme#not (quote #f)) 
o|inlining procedure: k26325 
o|inlining procedure: k28402 
o|inlining procedure: k28402 
o|inlining procedure: k28626 
o|inlining procedure: "(library.scm:5798) ##sys#format-here-doc-warning" 
o|inlining procedure: k28861 
o|inlining procedure: k28861 
o|inlining procedure: "(library.scm:5832) ##sys#format-here-doc-warning" 
o|inlining procedure: k29149 
o|inlining procedure: k29149 
o|inlining procedure: k29712 
o|inlining procedure: k29712 
o|inlining procedure: k30081 
o|inlining procedure: k30081 
o|inlining procedure: k30590 
o|inlining procedure: k30838 
o|inlining procedure: k30838 
o|inlining procedure: k31958 
o|inlining procedure: k31958 
o|replaced variables: 9 
o|removed binding forms: 843 
o|substituted constant variable: r941334738 
o|substituted constant variable: r1104834779 
o|substituted constant variable: r1106434781 
o|substituted constant variable: r1108034783 
o|substituted constant variable: r1109634785 
o|substituted constant variable: r1111234787 
o|substituted constant variable: r1112834789 
o|substituted constant variable: r1114434791 
o|substituted constant variable: r1116034793 
o|substituted constant variable: r1128534801 
o|substituted constant variable: r1132034805 
o|contracted procedure: k12789 
o|contracted procedure: k12794 
o|contracted procedure: k12854 
o|contracted procedure: k13227 
o|contracted procedure: k13236 
o|contracted procedure: k13341 
o|contracted procedure: k13346 
o|contracted procedure: k13351 
o|contracted procedure: k13356 
o|contracted procedure: k13361 
o|contracted procedure: k13366 
o|contracted procedure: k13398 
o|contracted procedure: k13422 
o|contracted procedure: k13437 
o|contracted procedure: k13517 
o|contracted procedure: k13562 
o|contracted procedure: k13611 
o|substituted constant variable: r1364934889 
o|contracted procedure: k13953 
o|contracted procedure: k15442 
o|contracted procedure: k15447 
o|contracted procedure: k15579 
o|contracted procedure: k15741 
o|contracted procedure: k15849 
o|contracted procedure: k15940 
o|contracted procedure: k16558 
o|contracted procedure: k16575 
o|contracted procedure: k16716 
o|substituted constant variable: r1680834931 
o|contracted procedure: k17067 
o|substituted constant variable: r1727234942 
o|substituted constant variable: r1727234943 
o|substituted constant variable: r1758834947 
o|inlining procedure: k21290 
o|inlining procedure: k22769 
o|substituted constant variable: r2647234586 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2971335143 
o|substituted constant variable: r2971335143 
o|substituted constant variable: r3008235144 
o|substituted constant variable: r3008235144 
o|substituted constant variable: r3008235145 
o|substituted constant variable: r3008235145 
o|substituted constant variable: r3059135150 
o|substituted constant variable: r3059135150 
o|substituted constant variable: r3195935178 
o|substituted constant variable: r3195935178 
o|substituted constant variable: r3195935180 
o|substituted constant variable: r3195935180 
o|simplifications: ((let . 4)) 
o|replaced variables: 19 
o|removed binding forms: 144 
o|removed conditional forms: 10 
o|substituted constant variable: r2129135326 
o|substituted constant variable: r2129135326 
o|substituted constant variable: r2277035337 
o|removed binding forms: 75 
o|removed conditional forms: 2 
o|simplifications: ((let . 1)) 
o|removed binding forms: 2 
o|simplifications: ((if . 268) (let . 197) (##core#call . 2703)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#generic-structure?
o|    chicken.fixnum#fx/
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	3
o|    scheme#string-ref	3
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    scheme#caddr	3
o|    scheme#write-char
o|    scheme#equal?	2
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    scheme#symbol?	7
o|    ##sys#apply	2
o|    ##sys#byte
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#string	4
o|    scheme#member	8
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	6
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    ##sys#check-symbol	12
o|    ##sys#intern-symbol	10
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    scheme#remainder
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.bitwise#bitwise-and	2
o|    chicken.fixnum#fxneg	5
o|    chicken.bitwise#arithmetic-shift	11
o|    scheme#>	7
o|    scheme#<	7
o|    scheme#cadr	15
o|    scheme#=	3
o|    scheme#>=	2
o|    scheme#quotient	17
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#*	44
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	34
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	25
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	26
o|    chicken.fixnum#fx<	38
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	66
o|    scheme#list	26
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	19
o|    scheme#not	89
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	98
o|    scheme#-	19
o|    scheme#call-with-values	2
o|    scheme#+	24
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	91
o|    ##sys#slot	343
o|    scheme#cons	142
o|    scheme#eq?	396
o|    scheme#cdr	47
o|    scheme#car	121
o|contracted procedure: k8611 
o|contracted procedure: k8607 
o|contracted procedure: k8625 
o|contracted procedure: k8639 
o|contracted procedure: k8635 
o|contracted procedure: k8660 
o|contracted procedure: k8656 
o|contracted procedure: k8674 
o|contracted procedure: k8670 
o|contracted procedure: k8692 
o|contracted procedure: k8688 
o|contracted procedure: k8684 
o|contracted procedure: k8702 
o|contracted procedure: k8714 
o|contracted procedure: k8732 
o|contracted procedure: k8728 
o|contracted procedure: k8743 
o|contracted procedure: k8761 
o|contracted procedure: k8757 
o|contracted procedure: k8753 
o|contracted procedure: k8771 
o|contracted procedure: k8783 
o|contracted procedure: k8808 
o|contracted procedure: k8804 
o|contracted procedure: k8800 
o|contracted procedure: k8818 
o|contracted procedure: k8837 
o|contracted procedure: k8833 
o|contracted procedure: k8829 
o|contracted procedure: k8870 
o|contracted procedure: k8876 
o|contracted procedure: k8883 
o|contracted procedure: k8891 
o|contracted procedure: k8887 
o|contracted procedure: k9021 
o|contracted procedure: k9050 
o|contracted procedure: k9056 
o|contracted procedure: k9067 
o|contracted procedure: k9073 
o|contracted procedure: k9079 
o|contracted procedure: k9085 
o|contracted procedure: k9091 
o|contracted procedure: k9213 
o|contracted procedure: k9227 
o|contracted procedure: k9266 
o|contracted procedure: k9328 
o|contracted procedure: k9359 
o|contracted procedure: k9340 
o|contracted procedure: k9347 
o|contracted procedure: k9355 
o|contracted procedure: k9365 
o|contracted procedure: k9396 
o|contracted procedure: k9377 
o|contracted procedure: k9384 
o|contracted procedure: k9392 
o|contracted procedure: k9406 
o|contracted procedure: k9421 
o|contracted procedure: k9412 
o|contracted procedure: k9436 
o|contracted procedure: k9430 
o|contracted procedure: k9460 
o|contracted procedure: k9469 
o|contracted procedure: k9479 
o|contracted procedure: k9516 
o|contracted procedure: k9496 
o|contracted procedure: k9499 
o|contracted procedure: k9512 
o|contracted procedure: k9525 
o|contracted procedure: k9528 
o|contracted procedure: k9569 
o|contracted procedure: k9590 
o|contracted procedure: k9602 
o|contracted procedure: k9611 
o|contracted procedure: k9614 
o|contracted procedure: k9620 
o|contracted procedure: k9649 
o|contracted procedure: k9676 
o|contracted procedure: k9655 
o|contracted procedure: k9668 
o|contracted procedure: k9672 
o|contracted procedure: k9685 
o|contracted procedure: k9732 
o|contracted procedure: k9696 
o|contracted procedure: k9710 
o|contracted procedure: k9713 
o|contracted procedure: k9719 
o|contracted procedure: k9741 
o|contracted procedure: k9763 
o|contracted procedure: k9778 
o|contracted procedure: k9788 
o|contracted procedure: k9792 
o|contracted procedure: k9802 
o|contracted procedure: k9811 
o|contracted procedure: k9817 
o|contracted procedure: k9824 
o|contracted procedure: k9843 
o|contracted procedure: k9846 
o|contracted procedure: k9849 
o|contracted procedure: k9855 
o|contracted procedure: k9925 
o|contracted procedure: k9875 
o|contracted procedure: k9878 
o|contracted procedure: k9890 
o|contracted procedure: k9922 
o|contracted procedure: k9896 
o|contracted procedure: k9902 
o|contracted procedure: k9905 
o|contracted procedure: k9911 
o|contracted procedure: k9932 
o|contracted procedure: k9944 
o|contracted procedure: k10006 
o|contracted procedure: k9950 
o|contracted procedure: k10002 
o|contracted procedure: k9959 
o|contracted procedure: k9968 
o|contracted procedure: k9975 
o|contracted procedure: k9983 
o|contracted procedure: k9987 
o|contracted procedure: k9994 
o|contracted procedure: k9998 
o|contracted procedure: k10089 
o|contracted procedure: k10012 
o|contracted procedure: k10024 
o|contracted procedure: k10031 
o|contracted procedure: k10034 
o|contracted procedure: k10040 
o|contracted procedure: k10046 
o|contracted procedure: k10060 
o|contracted procedure: k10063 
o|contracted procedure: k10076 
o|contracted procedure: k10079 
o|contracted procedure: k10086 
o|contracted procedure: k10193 
o|contracted procedure: k10098 
o|contracted procedure: k10110 
o|contracted procedure: k10117 
o|contracted procedure: k10190 
o|contracted procedure: k10123 
o|contracted procedure: k10129 
o|contracted procedure: k10186 
o|contracted procedure: k10135 
o|contracted procedure: k10151 
o|contracted procedure: k10155 
o|contracted procedure: k10174 
o|contracted procedure: k10178 
o|contracted procedure: k10162 
o|contracted procedure: k10170 
o|contracted procedure: k10182 
o|contracted procedure: k10305 
o|contracted procedure: k10202 
o|contracted procedure: k10299 
o|contracted procedure: k10205 
o|contracted procedure: k10293 
o|contracted procedure: k10208 
o|contracted procedure: k10287 
o|contracted procedure: k10211 
o|contracted procedure: k10226 
o|contracted procedure: k10232 
o|contracted procedure: k10238 
o|contracted procedure: k10252 
o|contracted procedure: k10258 
o|contracted procedure: k10261 
o|contracted procedure: k10264 
o|contracted procedure: k10277 
o|contracted procedure: k10281 
o|contracted procedure: k10314 
o|contracted procedure: k10355 
o|contracted procedure: k10317 
o|contracted procedure: k10329 
o|contracted procedure: k10332 
o|contracted procedure: k10335 
o|contracted procedure: k10348 
o|contracted procedure: k10352 
o|contracted procedure: k10471 
o|contracted procedure: k10483 
o|contracted procedure: k10522 
o|contracted procedure: k10518 
o|contracted procedure: k10569 
o|contracted procedure: k10572 
o|contracted procedure: k10581 
o|contracted procedure: k10600 
o|contracted procedure: k10607 
o|contracted procedure: k10611 
o|contracted procedure: k10620 
o|contracted procedure: k10631 
o|contracted procedure: k10643 
o|contracted procedure: k10654 
o|contracted procedure: k10665 
o|contracted procedure: k10676 
o|contracted procedure: k10687 
o|contracted procedure: k10698 
o|contracted procedure: k10709 
o|contracted procedure: k10720 
o|contracted procedure: k10731 
o|contracted procedure: k10742 
o|contracted procedure: k10753 
o|contracted procedure: k10764 
o|contracted procedure: k10775 
o|contracted procedure: k10793 
o|contracted procedure: k10810 
o|contracted procedure: k10820 
o|contracted procedure: k10823 
o|contracted procedure: k10833 
o|contracted procedure: k10851 
o|contracted procedure: k10879 
o|contracted procedure: k10864 
o|contracted procedure: k10875 
o|contracted procedure: k10891 
o|contracted procedure: k10901 
o|contracted procedure: k10911 
o|contracted procedure: k10922 
o|contracted procedure: k10931 
o|contracted procedure: k10937 
o|contracted procedure: k10946 
o|contracted procedure: k10955 
o|contracted procedure: k10958 
o|contracted procedure: k11027 
o|contracted procedure: k11023 
o|contracted procedure: k10967 
o|contracted procedure: k10979 
o|contracted procedure: k10989 
o|contracted procedure: k10982 
o|contracted procedure: k10992 
o|contracted procedure: k11019 
o|contracted procedure: k10998 
o|contracted procedure: k11015 
o|contracted procedure: k11004 
o|contracted procedure: k11011 
o|contracted procedure: k11036 
o|contracted procedure: k11054 
o|contracted procedure: k11047 
o|contracted procedure: k11070 
o|contracted procedure: k11063 
o|contracted procedure: k11086 
o|contracted procedure: k11079 
o|contracted procedure: k11102 
o|contracted procedure: k11095 
o|contracted procedure: k11118 
o|contracted procedure: k11111 
o|contracted procedure: k11134 
o|contracted procedure: k11127 
o|contracted procedure: k11150 
o|contracted procedure: k11143 
o|contracted procedure: k11166 
o|contracted procedure: k11159 
o|contracted procedure: k11178 
o|contracted procedure: k11248 
o|contracted procedure: k11190 
o|contracted procedure: k11200 
o|contracted procedure: k11209 
o|contracted procedure: k11216 
o|contracted procedure: k11222 
o|contracted procedure: k11229 
o|contracted procedure: k11237 
o|contracted procedure: k11244 
o|contracted procedure: k11263 
o|contracted procedure: k11270 
o|contracted procedure: k11278 
o|contracted procedure: k11274 
o|contracted procedure: k11295 
o|contracted procedure: k11284 
o|contracted procedure: k11322 
o|contracted procedure: k11325 
o|contracted procedure: k11328 
o|contracted procedure: k11331 
o|contracted procedure: k11340 
o|contracted procedure: k11343 
o|contracted procedure: k11350 
o|contracted procedure: k11359 
o|contracted procedure: k11366 
o|contracted procedure: k11370 
o|contracted procedure: k11423 
o|contracted procedure: k11381 
o|contracted procedure: k11387 
o|contracted procedure: k11402 
o|contracted procedure: k11405 
o|contracted procedure: k11408 
o|contracted procedure: k11415 
o|contracted procedure: k11419 
o|contracted procedure: k11433 
o|contracted procedure: k11444 
o|contracted procedure: k11453 
o|contracted procedure: k11456 
o|contracted procedure: k11459 
o|contracted procedure: k11466 
o|contracted procedure: k11470 
o|contracted procedure: k11479 
o|contracted procedure: k11482 
o|contracted procedure: k11486 
o|contracted procedure: k11492 
o|contracted procedure: k11495 
o|contracted procedure: k11504 
o|contracted procedure: k11513 
o|contracted procedure: k11529 
o|contracted procedure: k11535 
o|contracted procedure: k11541 
o|contracted procedure: k11558 
o|contracted procedure: k11563 
o|contracted procedure: k11566 
o|contracted procedure: k11577 
o|contracted procedure: k11590 
o|contracted procedure: k11599 
o|contracted procedure: k11614 
o|contracted procedure: k11623 
o|contracted procedure: k11641 
o|contracted procedure: k11662 
o|contracted procedure: k11673 
o|contracted procedure: k11676 
o|contracted procedure: k11687 
o|contracted procedure: k11700 
o|contracted procedure: k11709 
o|contracted procedure: k11724 
o|contracted procedure: k11733 
o|contracted procedure: k11751 
o|contracted procedure: k11772 
o|contracted procedure: k11784 
o|contracted procedure: k11787 
o|contracted procedure: k11794 
o|contracted procedure: k11809 
o|contracted procedure: k11816 
o|contracted procedure: k11819 
o|contracted procedure: k11822 
o|contracted procedure: k11829 
o|contracted procedure: k11833 
o|contracted procedure: k11857 
o|contracted procedure: k11860 
o|contracted procedure: k11863 
o|contracted procedure: k11870 
o|contracted procedure: k11874 
o|contracted procedure: k11886 
o|contracted procedure: k11898 
o|contracted procedure: k11904 
o|contracted procedure: k11919 
o|contracted procedure: k11934 
o|contracted procedure: k11953 
o|contracted procedure: k11941 
o|contracted procedure: k11945 
o|contracted procedure: k11949 
o|contracted procedure: k11956 
o|contracted procedure: k11987 
o|contracted procedure: k11980 
o|contracted procedure: k12011 
o|contracted procedure: k12004 
o|contracted procedure: k12035 
o|contracted procedure: k12028 
o|contracted procedure: k12059 
o|contracted procedure: k12052 
o|contracted procedure: k12083 
o|contracted procedure: k12076 
o|contracted procedure: k12107 
o|contracted procedure: k12100 
o|contracted procedure: k12131 
o|contracted procedure: k12124 
o|contracted procedure: k12155 
o|contracted procedure: k12148 
o|contracted procedure: k12179 
o|contracted procedure: k12172 
o|contracted procedure: k12203 
o|contracted procedure: k12196 
o|contracted procedure: k12227 
o|contracted procedure: k12220 
o|contracted procedure: k12244 
o|contracted procedure: k12269 
o|contracted procedure: k12262 
o|contracted procedure: k12293 
o|contracted procedure: k12286 
o|contracted procedure: k12310 
o|contracted procedure: k12328 
o|contracted procedure: k12346 
o|contracted procedure: k12364 
o|contracted procedure: k12382 
o|contracted procedure: k12400 
o|contracted procedure: k12418 
o|contracted procedure: k12436 
o|contracted procedure: k12454 
o|contracted procedure: k12472 
o|contracted procedure: k12497 
o|contracted procedure: k12490 
o|contracted procedure: k12514 
o|contracted procedure: k12539 
o|contracted procedure: k12532 
o|contracted procedure: k12556 
o|contracted procedure: k12574 
o|contracted procedure: k12592 
o|contracted procedure: k12610 
o|contracted procedure: k12632 
o|contracted procedure: k12623 
o|contracted procedure: k12648 
o|contracted procedure: k12662 
o|contracted procedure: k12666 
o|contracted procedure: k12706 
o|contracted procedure: k12710 
o|contracted procedure: k12719 
o|contracted procedure: k12730 
o|contracted procedure: k12742 
o|contracted procedure: k12756 
o|contracted procedure: k12765 
o|contracted procedure: k12784 
o|contracted procedure: k12805 
o|contracted procedure: k12809 
o|contracted procedure: k12801 
o|contracted procedure: k12815 
o|contracted procedure: k12828 
o|contracted procedure: k12834 
o|contracted procedure: k12881 
o|contracted procedure: k12903 
o|contracted procedure: k12927 
o|contracted procedure: k12949 
o|contracted procedure: k12966 
o|contracted procedure: k12978 
o|contracted procedure: k13090 
o|contracted procedure: k13024 
o|contracted procedure: k13015 
o|contracted procedure: k13058 
o|contracted procedure: k13065 
o|contracted procedure: k13116 
o|contracted procedure: k13168 
o|contracted procedure: k13178 
o|contracted procedure: k13191 
o|contracted procedure: k13198 
o|contracted procedure: k13206 
o|contracted procedure: k13210 
o|contracted procedure: k13222 
o|contracted procedure: k13248 
o|contracted procedure: k13251 
o|contracted procedure: k13303 
o|contracted procedure: k13307 
o|contracted procedure: k13266 
o|contracted procedure: k13283 
o|contracted procedure: k13287 
o|contracted procedure: k13279 
o|contracted procedure: k13295 
o|contracted procedure: k13299 
o|contracted procedure: k13291 
o|contracted procedure: k13313 
o|contracted procedure: k13330 
o|contracted procedure: k13336 
o|contracted procedure: k13389 
o|contracted procedure: k13393 
o|contracted procedure: k13373 
o|contracted procedure: k13381 
o|contracted procedure: k13385 
o|contracted procedure: k13377 
o|contracted procedure: k13404 
o|contracted procedure: k13426 
o|contracted procedure: k13407 
o|contracted procedure: k13432 
o|contracted procedure: k13459 
o|contracted procedure: k13443 
o|contracted procedure: k13446 
o|contracted procedure: k13481 
o|contracted procedure: k13471 
o|contracted procedure: k13489 
o|contracted procedure: k13512 
o|contracted procedure: k13520 
o|contracted procedure: k13526 
o|contracted procedure: k13557 
o|contracted procedure: k13565 
o|contracted procedure: k13571 
o|contracted procedure: k13602 
o|contracted procedure: k13636 
o|contracted procedure: k13639 
o|contracted procedure: k13654 
o|contracted procedure: k13740 
o|contracted procedure: k13682 
o|contracted procedure: k13691 
o|contracted procedure: k13707 
o|contracted procedure: k13711 
o|contracted procedure: k13701 
o|contracted procedure: k13725 
o|contracted procedure: k13729 
o|contracted procedure: k13736 
o|contracted procedure: k13754 
o|contracted procedure: k13800 
o|contracted procedure: k13763 
o|contracted procedure: k13788 
o|contracted procedure: k13792 
o|contracted procedure: k13826 
o|contracted procedure: k13829 
o|contracted procedure: k13810 
o|contracted procedure: k13814 
o|contracted procedure: k13852 
o|contracted procedure: k13858 
o|contracted procedure: k13865 
o|contracted procedure: k13872 
o|contracted procedure: k13883 
o|contracted procedure: k13876 
o|contracted procedure: k13880 
o|contracted procedure: k13896 
o|contracted procedure: k13902 
o|contracted procedure: k13909 
o|contracted procedure: k13916 
o|contracted procedure: k13927 
o|contracted procedure: k13920 
o|contracted procedure: k13924 
o|contracted procedure: k13933 
o|contracted procedure: k13939 
o|contracted procedure: k13981 
o|contracted procedure: k13990 
o|contracted procedure: k13993 
o|contracted procedure: k14004 
o|contracted procedure: k14047 
o|contracted procedure: k14027 
o|contracted procedure: k14056 
o|contracted procedure: k14062 
o|contracted procedure: k14065 
o|contracted procedure: k14072 
o|contracted procedure: k14090 
o|contracted procedure: k14096 
o|contracted procedure: k14099 
o|contracted procedure: k14106 
o|contracted procedure: k14124 
o|contracted procedure: k14130 
o|contracted procedure: k14149 
o|contracted procedure: k14176 
o|contracted procedure: k14172 
o|contracted procedure: k14188 
o|contracted procedure: k14184 
o|contracted procedure: k14194 
o|contracted procedure: k14211 
o|contracted procedure: k14236 
o|contracted procedure: k14308 
o|contracted procedure: k14253 
o|contracted procedure: k14256 
o|contracted procedure: k14262 
o|contracted procedure: k14271 
o|contracted procedure: k14278 
o|contracted procedure: k14290 
o|contracted procedure: k14294 
o|contracted procedure: k14499 
o|contracted procedure: k14320 
o|contracted procedure: k14326 
o|contracted procedure: k14329 
o|contracted procedure: k14338 
o|contracted procedure: k14347 
o|contracted procedure: k14356 
o|contracted procedure: k14494 
o|contracted procedure: k14378 
o|contracted procedure: k14381 
o|contracted procedure: k14398 
o|contracted procedure: k14394 
o|contracted procedure: k14405 
o|contracted procedure: k14409 
o|contracted procedure: k14490 
o|contracted procedure: k14486 
o|contracted procedure: k14412 
o|contracted procedure: k14426 
o|contracted procedure: k14431 
o|contracted procedure: k14482 
o|contracted procedure: k14437 
o|contracted procedure: k14470 
o|contracted procedure: k14478 
o|contracted procedure: k14474 
o|contracted procedure: k14440 
o|contracted procedure: k14451 
o|contracted procedure: k14463 
o|contracted procedure: k14459 
o|contracted procedure: k14455 
o|contracted procedure: k14520 
o|contracted procedure: k14534 
o|contracted procedure: k14538 
o|contracted procedure: k14587 
o|contracted procedure: k14597 
o|contracted procedure: k14621 
o|contracted procedure: k14645 
o|contracted procedure: k14693 
o|contracted procedure: k14706 
o|contracted procedure: k14713 
o|contracted procedure: k14719 
o|contracted procedure: k14722 
o|contracted procedure: k14780 
o|contracted procedure: k14784 
o|contracted procedure: k14776 
o|contracted procedure: k14729 
o|contracted procedure: k14738 
o|contracted procedure: k14753 
o|contracted procedure: k14757 
o|contracted procedure: k14749 
o|contracted procedure: k14745 
o|contracted procedure: k14768 
o|contracted procedure: k14800 
o|contracted procedure: k14804 
o|contracted procedure: k14848 
o|contracted procedure: k14859 
o|contracted procedure: k14867 
o|contracted procedure: k14874 
o|contracted procedure: k14878 
o|contracted procedure: k14891 
o|contracted procedure: k14904 
o|contracted procedure: k14914 
o|contracted procedure: k15145 
o|contracted procedure: k14924 
o|contracted procedure: k15141 
o|contracted procedure: k14933 
o|contracted procedure: k14973 
o|contracted procedure: k15014 
o|contracted procedure: k15048 
o|contracted procedure: k15060 
o|contracted procedure: k15092 
o|contracted procedure: k15095 
o|contracted procedure: k15122 
o|contracted procedure: k15130 
o|contracted procedure: k15137 
o|contracted procedure: k15167 
o|contracted procedure: k15189 
o|contracted procedure: k15230 
o|contracted procedure: k15237 
o|contracted procedure: k15241 
o|contracted procedure: k15250 
o|contracted procedure: k15261 
o|contracted procedure: k15272 
o|contracted procedure: k15286 
o|contracted procedure: k15282 
o|contracted procedure: k15295 
o|contracted procedure: k15302 
o|contracted procedure: k15306 
o|contracted procedure: k15315 
o|contracted procedure: k15326 
o|contracted procedure: k15344 
o|contracted procedure: k15336 
o|contracted procedure: k15340 
o|contracted procedure: k15397 
o|contracted procedure: k15350 
o|contracted procedure: k15387 
o|contracted procedure: k15382 
o|contracted procedure: k15406 
o|contracted procedure: k15437 
o|contracted procedure: k15458 
o|contracted procedure: k15585 
o|contracted procedure: k15598 
o|contracted procedure: k15613 
o|contracted procedure: k15606 
o|contracted procedure: k15627 
o|contracted procedure: k15644 
o|contracted procedure: k15650 
o|contracted procedure: k15656 
o|contracted procedure: k15666 
o|contracted procedure: k15698 
o|contracted procedure: k15672 
o|contracted procedure: k15678 
o|contracted procedure: k15684 
o|contracted procedure: k15483 
o|contracted procedure: k15487 
o|contracted procedure: k15552 
o|contracted procedure: k15497 
o|contracted procedure: k15503 
o|contracted procedure: k15541 
o|contracted procedure: k15506 
o|contracted procedure: k15567 
o|contracted procedure: k15571 
o|contracted procedure: k15522 
o|contracted procedure: k15526 
o|contracted procedure: k15534 
o|contracted procedure: k15704 
o|contracted procedure: k17034 
o|contracted procedure: k17030 
o|contracted procedure: k15707 
o|contracted procedure: k17026 
o|contracted procedure: k17022 
o|contracted procedure: k15710 
o|contracted procedure: k17018 
o|contracted procedure: k17014 
o|contracted procedure: k15713 
o|contracted procedure: k15727 
o|contracted procedure: k15733 
o|contracted procedure: k15747 
o|contracted procedure: k15772 
o|contracted procedure: k15753 
o|contracted procedure: k15760 
o|contracted procedure: k15766 
o|contracted procedure: k15819 
o|contracted procedure: k15780 
o|contracted procedure: k15790 
o|contracted procedure: k15796 
o|contracted procedure: k15802 
o|contracted procedure: k15835 
o|contracted procedure: k15841 
o|contracted procedure: k15855 
o|contracted procedure: k15862 
o|contracted procedure: k15868 
o|contracted procedure: k15882 
o|contracted procedure: k15889 
o|contracted procedure: k15910 
o|contracted procedure: k15924 
o|contracted procedure: k15935 
o|contracted procedure: k15946 
o|contracted procedure: k15963 
o|contracted procedure: k15967 
o|contracted procedure: k15975 
o|contracted procedure: k15981 
o|contracted procedure: k15993 
o|contracted procedure: k15999 
o|contracted procedure: k16008 
o|contracted procedure: k16014 
o|contracted procedure: k16020 
o|contracted procedure: k16032 
o|contracted procedure: k16047 
o|contracted procedure: k16057 
o|contracted procedure: k16076 
o|contracted procedure: k16072 
o|contracted procedure: k16080 
o|contracted procedure: k16083 
o|contracted procedure: k16086 
o|contracted procedure: k16089 
o|contracted procedure: k16095 
o|contracted procedure: k16102 
o|contracted procedure: k16114 
o|contracted procedure: k16120 
o|contracted procedure: k16126 
o|contracted procedure: k16132 
o|contracted procedure: k16138 
o|contracted procedure: k16144 
o|contracted procedure: k16150 
o|contracted procedure: k16156 
o|contracted procedure: k16190 
o|contracted procedure: k16217 
o|contracted procedure: k16516 
o|contracted procedure: k16226 
o|contracted procedure: k16232 
o|contracted procedure: k16241 
o|contracted procedure: k16267 
o|contracted procedure: k16247 
o|contracted procedure: k16254 
o|contracted procedure: k16275 
o|contracted procedure: k16284 
o|contracted procedure: k16290 
o|contracted procedure: k16318 
o|contracted procedure: k16322 
o|contracted procedure: k16332 
o|contracted procedure: k16336 
o|contracted procedure: k16352 
o|contracted procedure: k16430 
o|contracted procedure: k16361 
o|contracted procedure: k16426 
o|contracted procedure: k16376 
o|contracted procedure: k16385 
o|contracted procedure: k16396 
o|contracted procedure: k16411 
o|contracted procedure: k16434 
o|contracted procedure: k16443 
o|contracted procedure: k16449 
o|contracted procedure: k16455 
o|contracted procedure: k16461 
o|contracted procedure: k16467 
o|contracted procedure: k16473 
o|contracted procedure: k16479 
o|contracted procedure: k16485 
o|contracted procedure: k16545 
o|contracted procedure: k16526 
o|contracted procedure: k16532 
o|contracted procedure: k16553 
o|contracted procedure: k16564 
o|contracted procedure: k16570 
o|contracted procedure: k16581 
o|contracted procedure: k16584 
o|contracted procedure: k16597 
o|contracted procedure: k16672 
o|contracted procedure: k16603 
o|contracted procedure: k16613 
o|contracted procedure: k16646 
o|contracted procedure: k16629 
o|contracted procedure: k16643 
o|contracted procedure: k16636 
o|contracted procedure: k16633 
o|contracted procedure: k16650 
o|contracted procedure: k16668 
o|contracted procedure: k16653 
o|contracted procedure: k16664 
o|contracted procedure: k16678 
o|contracted procedure: k16681 
o|contracted procedure: k16694 
o|contracted procedure: k16746 
o|contracted procedure: k16700 
o|contracted procedure: k16706 
o|contracted procedure: k16730 
o|contracted procedure: k16723 
o|contracted procedure: k16720 
o|contracted procedure: k16734 
o|contracted procedure: k16742 
o|contracted procedure: k16753 
o|contracted procedure: k16773 
o|contracted procedure: k16779 
o|contracted procedure: k16798 
o|contracted procedure: k17003 
o|contracted procedure: k16818 
o|contracted procedure: k16824 
o|contracted procedure: k16831 
o|contracted procedure: k16834 
o|contracted procedure: k16873 
o|contracted procedure: k16840 
o|contracted procedure: k16846 
o|contracted procedure: k16849 
o|contracted procedure: k16881 
o|contracted procedure: k16884 
o|contracted procedure: k16894 
o|contracted procedure: k16942 
o|contracted procedure: k16900 
o|contracted procedure: k16906 
o|inlining procedure: k16909 
o|inlining procedure: k16909 
o|contracted procedure: k16952 
o|contracted procedure: k16976 
o|contracted procedure: k16962 
o|contracted procedure: k16980 
o|contracted procedure: k17286 
o|contracted procedure: k17040 
o|contracted procedure: k17043 
o|contracted procedure: k17053 
o|contracted procedure: k17268 
o|contracted procedure: k17255 
o|contracted procedure: k17062 
o|contracted procedure: k17245 
o|contracted procedure: k17073 
o|contracted procedure: k17076 
o|contracted procedure: k17082 
o|contracted procedure: k17089 
o|contracted procedure: k17095 
o|contracted procedure: k17098 
o|contracted procedure: k17104 
o|contracted procedure: k17111 
o|contracted procedure: k17117 
o|contracted procedure: k17120 
o|contracted procedure: k17126 
o|contracted procedure: k17133 
o|contracted procedure: k17139 
o|contracted procedure: k17142 
o|contracted procedure: k17148 
o|contracted procedure: k17155 
o|contracted procedure: k17161 
o|contracted procedure: k17164 
o|contracted procedure: k17170 
o|contracted procedure: k17177 
o|contracted procedure: k17183 
o|contracted procedure: k17186 
o|contracted procedure: k17192 
o|contracted procedure: k17199 
o|contracted procedure: k17280 
o|contracted procedure: k17271 
o|contracted procedure: k17328 
o|contracted procedure: k17295 
o|contracted procedure: k17322 
o|contracted procedure: k17298 
o|contracted procedure: k17316 
o|contracted procedure: k17301 
o|contracted procedure: k17310 
o|contracted procedure: k17304 
o|contracted procedure: k17344 
o|contracted procedure: k17347 
o|contracted procedure: k17353 
o|contracted procedure: k17356 
o|contracted procedure: k17362 
o|contracted procedure: k17374 
o|contracted procedure: k17381 
o|contracted procedure: k17385 
o|contracted procedure: k17398 
o|contracted procedure: k17402 
o|contracted procedure: k17406 
o|contracted procedure: k17412 
o|contracted procedure: k17421 
o|contracted procedure: k17427 
o|contracted procedure: k17439 
o|contracted procedure: k17445 
o|contracted procedure: k17451 
o|contracted procedure: k17472 
o|contracted procedure: k17482 
o|contracted procedure: k17478 
o|contracted procedure: k17485 
o|contracted procedure: k17498 
o|contracted procedure: k17491 
o|contracted procedure: k17516 
o|contracted procedure: k17531 
o|contracted procedure: k17544 
o|contracted procedure: k17557 
o|contracted procedure: k17576 
o|contracted procedure: k17594 
o|contracted procedure: k17597 
o|contracted procedure: k17632 
o|contracted procedure: k17652 
o|contracted procedure: k17655 
o|contracted procedure: k17658 
o|contracted procedure: k17666 
o|contracted procedure: k17674 
o|contracted procedure: k17637 
o|contracted procedure: k17686 
o|contracted procedure: k17708 
o|contracted procedure: k17734 
o|contracted procedure: k17713 
o|contracted procedure: k17719 
o|contracted procedure: k17725 
o|contracted procedure: k17774 
o|contracted procedure: k17777 
o|contracted procedure: k17789 
o|contracted procedure: k17804 
o|contracted procedure: k17815 
o|contracted procedure: k17810 
o|contracted procedure: k17834 
o|contracted procedure: k17831 
o|contracted procedure: k17840 
o|contracted procedure: k17896 
o|contracted procedure: k17853 
o|contracted procedure: k17859 
o|contracted procedure: k17874 
o|contracted procedure: k17892 
o|contracted procedure: k17877 
o|contracted procedure: k17884 
o|contracted procedure: k17888 
o|contracted procedure: k17902 
o|contracted procedure: k17914 
o|contracted procedure: k17921 
o|contracted procedure: k17929 
o|contracted procedure: k17941 
o|contracted procedure: k17953 
o|contracted procedure: k17956 
o|contracted procedure: k17963 
o|contracted procedure: k17969 
o|contracted procedure: k17972 
o|contracted procedure: k17975 
o|contracted procedure: k17978 
o|contracted procedure: k18028 
o|contracted procedure: k17981 
o|contracted procedure: k17999 
o|contracted procedure: k18013 
o|contracted procedure: k18002 
o|contracted procedure: k18009 
o|contracted procedure: k18016 
o|contracted procedure: k18019 
o|contracted procedure: k18100 
o|contracted procedure: k18038 
o|contracted procedure: k18041 
o|contracted procedure: k18044 
o|contracted procedure: k18047 
o|contracted procedure: k18050 
o|contracted procedure: k18071 
o|contracted procedure: k18089 
o|contracted procedure: k18085 
o|contracted procedure: k18074 
o|contracted procedure: k18081 
o|contracted procedure: k18093 
o|contracted procedure: k18097 
o|contracted procedure: k18121 
o|contracted procedure: k18109 
o|contracted procedure: k18112 
o|contracted procedure: k18145 
o|contracted procedure: k18159 
o|contracted procedure: k18148 
o|contracted procedure: k18155 
o|contracted procedure: k18163 
o|contracted procedure: k18173 
o|contracted procedure: k18177 
o|contracted procedure: k18184 
o|contracted procedure: k18188 
o|contracted procedure: k18195 
o|contracted procedure: k18199 
o|contracted procedure: k18206 
o|contracted procedure: k18210 
o|contracted procedure: k18217 
o|contracted procedure: k18221 
o|contracted procedure: k18231 
o|contracted procedure: k18238 
o|contracted procedure: k18247 
o|contracted procedure: k18250 
o|contracted procedure: k18267 
o|contracted procedure: k18256 
o|contracted procedure: k18263 
o|contracted procedure: k18381 
o|contracted procedure: k18272 
o|contracted procedure: k18278 
o|contracted procedure: k18293 
o|contracted procedure: k18296 
o|contracted procedure: k18308 
o|contracted procedure: k18311 
o|contracted procedure: k18325 
o|contracted procedure: k18321 
o|contracted procedure: k18329 
o|contracted procedure: k18352 
o|contracted procedure: k18333 
o|contracted procedure: k18344 
o|contracted procedure: k18348 
o|contracted procedure: k18340 
o|contracted procedure: k18366 
o|contracted procedure: k18362 
o|contracted procedure: k18355 
o|contracted procedure: k18369 
o|contracted procedure: k18372 
o|contracted procedure: k18442 
o|contracted procedure: k18448 
o|contracted procedure: k18458 
o|contracted procedure: k18462 
o|contracted procedure: k18480 
o|contracted procedure: k18486 
o|contracted procedure: k18501 
o|contracted procedure: k18505 
o|contracted procedure: k18528 
o|contracted procedure: k18531 
o|contracted procedure: k18537 
o|contracted procedure: k18546 
o|contracted procedure: k18561 
o|contracted procedure: k18574 
o|contracted procedure: k18577 
o|contracted procedure: k18589 
o|contracted procedure: k18599 
o|contracted procedure: k18603 
o|contracted procedure: k18610 
o|contracted procedure: k18625 
o|contracted procedure: k18656 
o|contracted procedure: k18659 
o|contracted procedure: k18662 
o|contracted procedure: k18674 
o|contracted procedure: k18677 
o|contracted procedure: k18680 
o|contracted procedure: k18688 
o|contracted procedure: k18696 
o|contracted procedure: k18706 
o|contracted procedure: k18721 
o|contracted procedure: k18779 
o|contracted procedure: k18759 
o|contracted procedure: k18769 
o|contracted procedure: k18801 
o|contracted procedure: k18812 
o|contracted procedure: k18816 
o|contracted procedure: k18808 
o|contracted procedure: k18826 
o|contracted procedure: k18835 
o|contracted procedure: k18849 
o|contracted procedure: k18841 
o|contracted procedure: k18853 
o|contracted procedure: k18857 
o|contracted procedure: k18878 
o|contracted procedure: k18860 
o|contracted procedure: k18864 
o|contracted procedure: k18874 
o|contracted procedure: k18907 
o|contracted procedure: k18913 
o|contracted procedure: k18916 
o|contracted procedure: k18919 
o|contracted procedure: k18922 
o|contracted procedure: k18925 
o|contracted procedure: k18928 
o|contracted procedure: k18931 
o|contracted procedure: k32088 
o|contracted procedure: k32094 
o|contracted procedure: k32128 
o|contracted procedure: k32134 
o|contracted procedure: k32190 
o|contracted procedure: k32196 
o|contracted procedure: k32202 
o|contracted procedure: k32215 
o|contracted procedure: k32219 
o|contracted procedure: k32223 
o|contracted procedure: k32245 
o|contracted procedure: k32252 
o|contracted procedure: k32256 
o|contracted procedure: k32260 
o|contracted procedure: k32270 
o|contracted procedure: k32286 
o|contracted procedure: k32290 
o|contracted procedure: k32297 
o|contracted procedure: k32303 
o|contracted procedure: k32312 
o|contracted procedure: k32318 
o|contracted procedure: k32332 
o|contracted procedure: k32336 
o|contracted procedure: k32348 
o|contracted procedure: k32354 
o|contracted procedure: k32360 
o|contracted procedure: k32384 
o|contracted procedure: k32363 
o|contracted procedure: k32421 
o|contracted procedure: k32417 
o|contracted procedure: k32406 
o|contracted procedure: k32435 
o|contracted procedure: k32431 
o|contracted procedure: k32424 
o|contracted procedure: k32438 
o|contracted procedure: k18935 
o|contracted procedure: k18966 
o|contracted procedure: k18977 
o|contracted procedure: k18988 
o|contracted procedure: k18999 
o|contracted procedure: k19010 
o|contracted procedure: k19013 
o|contracted procedure: k19039 
o|contracted procedure: k19045 
o|contracted procedure: k19052 
o|contracted procedure: k19058 
o|contracted procedure: k19071 
o|contracted procedure: k19074 
o|contracted procedure: k19100 
o|contracted procedure: k19106 
o|contracted procedure: k19113 
o|contracted procedure: k19119 
o|contracted procedure: k19132 
o|contracted procedure: k19135 
o|contracted procedure: k19161 
o|contracted procedure: k19167 
o|contracted procedure: k19174 
o|contracted procedure: k19180 
o|contracted procedure: k19193 
o|contracted procedure: k19216 
o|contracted procedure: k19219 
o|contracted procedure: k19262 
o|contracted procedure: k19265 
o|contracted procedure: k19275 
o|contracted procedure: k19278 
o|contracted procedure: k1927534988 
o|contracted procedure: k19285 
o|contracted procedure: k1927534992 
o|contracted procedure: k19292 
o|contracted procedure: k1927534996 
o|contracted procedure: k19317 
o|contracted procedure: k19341 
o|contracted procedure: k19345 
o|contracted procedure: k19337 
o|contracted procedure: k19323 
o|contracted procedure: k19333 
o|contracted procedure: k19326 
o|contracted procedure: k19498 
o|contracted procedure: k19504 
o|contracted procedure: k19524 
o|contracted procedure: k19517 
o|contracted procedure: k19539 
o|contracted procedure: k19530 
o|contracted procedure: k19557 
o|contracted procedure: k19564 
o|contracted procedure: k19586 
o|contracted procedure: k19603 
o|contracted procedure: k19592 
o|contracted procedure: k19599 
o|contracted procedure: k19607 
o|contracted procedure: k19610 
o|contracted procedure: k19626 
o|contracted procedure: k19665 
o|contracted procedure: k19636 
o|contracted procedure: k19645 
o|contracted procedure: k19648 
o|contracted procedure: k19661 
o|contracted procedure: k19671 
o|contracted procedure: k19687 
o|contracted procedure: k19683 
o|contracted procedure: k19699 
o|contracted procedure: k19729 
o|contracted procedure: k19806 
o|contracted procedure: k19740 
o|contracted procedure: k19764 
o|contracted procedure: k19777 
o|contracted procedure: k19784 
o|contracted procedure: k19794 
o|contracted procedure: k19790 
o|contracted procedure: k19797 
o|contracted procedure: k19881 
o|contracted procedure: k20041 
o|contracted procedure: k19888 
o|contracted procedure: k19902 
o|contracted procedure: k19911 
o|contracted procedure: k19919 
o|contracted procedure: k19923 
o|contracted procedure: k19929 
o|contracted procedure: k19938 
o|contracted procedure: k19944 
o|contracted procedure: k19954 
o|contracted procedure: k19970 
o|contracted procedure: k19976 
o|contracted procedure: k19983 
o|contracted procedure: k19989 
o|contracted procedure: k19999 
o|contracted procedure: k20005 
o|contracted procedure: k20011 
o|contracted procedure: k20020 
o|contracted procedure: k20038 
o|contracted procedure: k20026 
o|contracted procedure: k20034 
o|contracted procedure: k20068 
o|contracted procedure: k20052 
o|contracted procedure: k20065 
o|contracted procedure: k20058 
o|contracted procedure: k20086 
o|contracted procedure: k20077 
o|contracted procedure: k20101 
o|contracted procedure: k20115 
o|contracted procedure: k20111 
o|contracted procedure: k20104 
o|inlining procedure: k20098 
o|contracted procedure: k20121 
o|contracted procedure: k20132 
o|contracted procedure: k20128 
o|inlining procedure: k20098 
o|contracted procedure: k20136 
o|contracted procedure: k20139 
o|contracted procedure: k20149 
o|contracted procedure: k20142 
o|contracted procedure: k20167 
o|contracted procedure: k20183 
o|contracted procedure: k20170 
o|contracted procedure: k20176 
o|contracted procedure: k20198 
o|contracted procedure: k20189 
o|contracted procedure: k20216 
o|contracted procedure: k20207 
o|contracted procedure: k20269 
o|contracted procedure: k20292 
o|contracted procedure: k20361 
o|contracted procedure: k20368 
o|contracted procedure: k20390 
o|contracted procedure: k20418 
o|contracted procedure: k20434 
o|contracted procedure: k20459 
o|contracted procedure: k20484 
o|contracted procedure: k20487 
o|contracted procedure: k20497 
o|contracted procedure: k20501 
o|contracted procedure: k20513 
o|contracted procedure: k20525 
o|contracted procedure: k20532 
o|contracted procedure: k20536 
o|contracted procedure: k20541 
o|contracted procedure: k20566 
o|contracted procedure: k20576 
o|contracted procedure: k20587 
o|contracted procedure: k20593 
o|contracted procedure: k20604 
o|contracted procedure: k20610 
o|contracted procedure: k20621 
o|contracted procedure: k20627 
o|contracted procedure: k20638 
o|contracted procedure: k20644 
o|contracted procedure: k20655 
o|contracted procedure: k20661 
o|contracted procedure: k20672 
o|contracted procedure: k20678 
o|contracted procedure: k20689 
o|contracted procedure: k20695 
o|contracted procedure: k20698 
o|contracted procedure: k20709 
o|contracted procedure: k20719 
o|contracted procedure: k20763 
o|contracted procedure: k20793 
o|contracted procedure: k20822 
o|contracted procedure: k20836 
o|contracted procedure: k20842 
o|contracted procedure: k20857 
o|contracted procedure: k20860 
o|contracted procedure: k20873 
o|contracted procedure: k20888 
o|contracted procedure: k20904 
o|contracted procedure: k20983 
o|contracted procedure: k20979 
o|contracted procedure: k20971 
o|contracted procedure: k20967 
o|contracted procedure: k20952 
o|contracted procedure: k20963 
o|contracted procedure: k20997 
o|contracted procedure: k21000 
o|contracted procedure: k21006 
o|contracted procedure: k21012 
o|contracted procedure: k21018 
o|contracted procedure: k21035 
o|contracted procedure: k21041 
o|contracted procedure: k21081 
o|contracted procedure: k21095 
o|contracted procedure: k21104 
o|contracted procedure: k21113 
o|contracted procedure: k21146 
o|contracted procedure: k21187 
o|contracted procedure: k21196 
o|contracted procedure: k21208 
o|contracted procedure: k21220 
o|contracted procedure: k21229 
o|contracted procedure: k21247 
o|contracted procedure: k21265 
o|contracted procedure: k21268 
o|contracted procedure: k21305 
o|contracted procedure: k21278 
o|contracted procedure: k21299 
o|contracted procedure: k21311 
o|contracted procedure: k21317 
o|contracted procedure: k21323 
o|contracted procedure: k21332 
o|contracted procedure: k21335 
o|contracted procedure: k21369 
o|contracted procedure: k21403 
o|contracted procedure: k21445 
o|contracted procedure: k21437 
o|contracted procedure: k21412 
o|contracted procedure: k21454 
o|contracted procedure: k21466 
o|contracted procedure: k21475 
o|contracted procedure: k21505 
o|contracted procedure: k21517 
o|contracted procedure: k21526 
o|contracted procedure: k21582 
o|contracted procedure: k21594 
o|inlining procedure: k21611 
o|contracted procedure: k21615 
o|inlining procedure: k21611 
o|contracted procedure: k21621 
o|contracted procedure: k21646 
o|contracted procedure: k21666 
o|contracted procedure: k21673 
o|contracted procedure: k21716 
o|contracted procedure: k21736 
o|contracted procedure: k21757 
o|contracted procedure: k21747 
o|contracted procedure: k21763 
o|contracted procedure: k21777 
o|contracted procedure: k21773 
o|contracted procedure: k21783 
o|contracted procedure: k21795 
o|contracted procedure: k21819 
o|contracted procedure: k21829 
o|contracted procedure: k21839 
o|contracted procedure: k21855 
o|contracted procedure: k21858 
o|contracted procedure: k21864 
o|contracted procedure: k21873 
o|contracted procedure: k21882 
o|contracted procedure: k21892 
o|inlining procedure: k21899 
o|contracted procedure: k21903 
o|inlining procedure: k21899 
o|contracted procedure: k21917 
o|contracted procedure: k21935 
o|contracted procedure: k21941 
o|contracted procedure: k21958 
o|contracted procedure: k21961 
o|contracted procedure: k21983 
o|contracted procedure: k22102 
o|contracted procedure: k21989 
o|contracted procedure: k22098 
o|contracted procedure: k22090 
o|contracted procedure: k22094 
o|contracted procedure: k22086 
o|contracted procedure: k21992 
o|contracted procedure: k21995 
o|contracted procedure: k22082 
o|contracted procedure: k22078 
o|contracted procedure: k22074 
o|contracted procedure: k22070 
o|contracted procedure: k22057 
o|contracted procedure: k22065 
o|contracted procedure: k22061 
o|contracted procedure: k22001 
o|contracted procedure: k22013 
o|contracted procedure: k22044 
o|contracted procedure: k22052 
o|contracted procedure: k22048 
o|contracted procedure: k22017 
o|contracted procedure: k22023 
o|contracted procedure: k22031 
o|contracted procedure: k22039 
o|contracted procedure: k22035 
o|contracted procedure: k22027 
o|contracted procedure: k22106 
o|contracted procedure: k22129 
o|contracted procedure: k22150 
o|contracted procedure: k22156 
o|contracted procedure: k22173 
o|contracted procedure: k22162 
o|contracted procedure: k22169 
o|contracted procedure: k22186 
o|contracted procedure: k22196 
o|contracted procedure: k22193 
o|contracted procedure: k22209 
o|contracted procedure: k22245 
o|contracted procedure: k22274 
o|contracted procedure: k22298 
o|contracted procedure: k22310 
o|contracted procedure: k22322 
o|contracted procedure: k22334 
o|contracted procedure: k22343 
o|contracted procedure: k22362 
o|contracted procedure: k22374 
o|contracted procedure: k22383 
o|contracted procedure: k22392 
o|contracted procedure: k22401 
o|contracted procedure: k22425 
o|contracted procedure: k22437 
o|contracted procedure: k22440 
o|contracted procedure: k22455 
o|contracted procedure: k22465 
o|contracted procedure: k22472 
o|contracted procedure: k22496 
o|contracted procedure: k22505 
o|contracted procedure: k22511 
o|contracted procedure: k22523 
o|contracted procedure: k22535 
o|contracted procedure: k22547 
o|contracted procedure: k22559 
o|contracted procedure: k22571 
o|contracted procedure: k22583 
o|contracted procedure: k22614 
o|contracted procedure: k22623 
o|contracted procedure: k22629 
o|contracted procedure: k22638 
o|contracted procedure: k22647 
o|contracted procedure: k22659 
o|contracted procedure: k22674 
o|contracted procedure: k22686 
o|contracted procedure: k22701 
o|contracted procedure: k22713 
o|contracted procedure: k22725 
o|contracted procedure: k22740 
o|contracted procedure: k22789 
o|contracted procedure: k22778 
o|contracted procedure: k22785 
o|contracted procedure: k22769 
o|contracted procedure: k22800 
o|contracted procedure: k22820 
o|contracted procedure: k22816 
o|contracted procedure: k22830 
o|contracted procedure: k22857 
o|contracted procedure: k22863 
o|contracted procedure: k22873 
o|contracted procedure: k22879 
o|contracted procedure: k22892 
o|contracted procedure: k22895 
o|contracted procedure: k22918 
o|contracted procedure: k22965 
o|contracted procedure: k22971 
o|contracted procedure: k22980 
o|contracted procedure: k22992 
o|contracted procedure: k23004 
o|contracted procedure: k23013 
o|contracted procedure: k23016 
o|contracted procedure: k23025 
o|contracted procedure: k23031 
o|contracted procedure: k23040 
o|contracted procedure: k23049 
o|contracted procedure: k23058 
o|contracted procedure: k23067 
o|contracted procedure: k23070 
o|contracted procedure: k23130 
o|contracted procedure: k23116 
o|contracted procedure: k23126 
o|contracted procedure: k23144 
o|contracted procedure: k23134 
o|contracted procedure: k23141 
o|contracted procedure: k23153 
o|contracted procedure: k23159 
o|contracted procedure: k23168 
o|contracted procedure: k23195 
o|contracted procedure: k23191 
o|contracted procedure: k23175 
o|contracted procedure: k23187 
o|contracted procedure: k23183 
o|contracted procedure: k23179 
o|contracted procedure: k23201 
o|contracted procedure: k23244 
o|contracted procedure: k23240 
o|contracted procedure: k23208 
o|contracted procedure: k23236 
o|contracted procedure: k23232 
o|contracted procedure: k23228 
o|contracted procedure: k23212 
o|contracted procedure: k23224 
o|contracted procedure: k23220 
o|contracted procedure: k23216 
o|contracted procedure: k23250 
o|contracted procedure: k23309 
o|contracted procedure: k23305 
o|contracted procedure: k23257 
o|contracted procedure: k23301 
o|contracted procedure: k23297 
o|contracted procedure: k23293 
o|contracted procedure: k23261 
o|contracted procedure: k23289 
o|contracted procedure: k23285 
o|contracted procedure: k23281 
o|contracted procedure: k23265 
o|contracted procedure: k23277 
o|contracted procedure: k23273 
o|contracted procedure: k23269 
o|contracted procedure: k23321 
o|contracted procedure: k23333 
o|contracted procedure: k23339 
o|contracted procedure: k23345 
o|contracted procedure: k23351 
o|contracted procedure: k23386 
o|contracted procedure: k23382 
o|contracted procedure: k23378 
o|contracted procedure: k23358 
o|contracted procedure: k23374 
o|contracted procedure: k23366 
o|contracted procedure: k23370 
o|contracted procedure: k23362 
o|contracted procedure: k23395 
o|contracted procedure: k23401 
o|contracted procedure: k23408 
o|contracted procedure: k23414 
o|contracted procedure: k23421 
o|contracted procedure: k23447 
o|contracted procedure: k23456 
o|contracted procedure: k23474 
o|contracted procedure: k23470 
o|contracted procedure: k23463 
o|contracted procedure: k23480 
o|contracted procedure: k23498 
o|contracted procedure: k23494 
o|contracted procedure: k23490 
o|contracted procedure: k23519 
o|contracted procedure: k23515 
o|contracted procedure: k23511 
o|contracted procedure: k23530 
o|contracted procedure: k23543 
o|contracted procedure: k23546 
o|contracted procedure: k23555 
o|contracted procedure: k23558 
o|contracted procedure: k23595 
o|contracted procedure: k23585 
o|contracted procedure: k23604 
o|contracted procedure: k23625 
o|contracted procedure: k23613 
o|contracted procedure: k23616 
o|contracted procedure: k23640 
o|contracted procedure: k23634 
o|contracted procedure: k23658 
o|contracted procedure: k23649 
o|contracted procedure: k23676 
o|contracted procedure: k23667 
o|contracted procedure: k23695 
o|contracted procedure: k23707 
o|contracted procedure: k23717 
o|contracted procedure: k23721 
o|contracted procedure: k23746 
o|contracted procedure: k23758 
o|contracted procedure: k23768 
o|contracted procedure: k23772 
o|contracted procedure: k23817 
o|contracted procedure: k23823 
o|contracted procedure: k23832 
o|contracted procedure: k23835 
o|contracted procedure: k23851 
o|propagated global variable: r23852 ##sys#undefined-value 
o|contracted procedure: k23854 
o|contracted procedure: k23880 
o|contracted procedure: k23873 
o|contracted procedure: k23896 
o|contracted procedure: k23889 
o|contracted procedure: k23908 
o|contracted procedure: k23921 
o|propagated global variable: r23922 ##sys#undefined-value 
o|contracted procedure: k23925 
o|contracted procedure: k23931 
o|contracted procedure: k23934 
o|contracted procedure: k23952 
o|contracted procedure: k23970 
o|contracted procedure: k23985 
o|contracted procedure: k23994 
o|contracted procedure: k23997 
o|contracted procedure: k24003 
o|contracted procedure: k24016 
o|contracted procedure: k24023 
o|contracted procedure: k24039 
o|contracted procedure: k24042 
o|contracted procedure: k24045 
o|contracted procedure: k24059 
o|contracted procedure: k24065 
o|contracted procedure: k24071 
o|contracted procedure: k24077 
o|contracted procedure: k24080 
o|contracted procedure: k24092 
o|contracted procedure: k24102 
o|contracted procedure: k24111 
o|contracted procedure: k24117 
o|contracted procedure: k24133 
o|contracted procedure: k24151 
o|contracted procedure: k24161 
o|contracted procedure: k24167 
o|contracted procedure: k24174 
o|contracted procedure: k24158 
o|contracted procedure: k24179 
o|contracted procedure: k24185 
o|contracted procedure: k24203 
o|contracted procedure: k24230 
o|contracted procedure: k24209 
o|contracted procedure: k24219 
o|contracted procedure: k24226 
o|contracted procedure: k24241 
o|contracted procedure: k24256 
o|contracted procedure: k24265 
o|contracted procedure: k24274 
o|contracted procedure: k24301 
o|contracted procedure: k24316 
o|contracted procedure: k24325 
o|contracted procedure: k24328 
o|contracted procedure: k24369 
o|contracted procedure: k24421 
o|contracted procedure: k24384 
o|contracted procedure: k24390 
o|contracted procedure: k24402 
o|contracted procedure: k24472 
o|contracted procedure: k24485 
o|contracted procedure: k24489 
o|contracted procedure: k24492 
o|contracted procedure: k24501 
o|contracted procedure: k24510 
o|contracted procedure: k24513 
o|contracted procedure: k24522 
o|contracted procedure: k24531 
o|contracted procedure: k24540 
o|contracted procedure: k24549 
o|contracted procedure: k24558 
o|contracted procedure: k24567 
o|contracted procedure: k24576 
o|contracted procedure: k24595 
o|contracted procedure: k24642 
o|contracted procedure: k24651 
o|contracted procedure: k24654 
o|contracted procedure: k24673 
o|contracted procedure: k24663 
o|contracted procedure: k24686 
o|contracted procedure: k24690 
o|contracted procedure: k24699 
o|contracted procedure: k24708 
o|contracted procedure: k24723 
o|contracted procedure: k24726 
o|contracted procedure: k24739 
o|contracted procedure: k24746 
o|contracted procedure: k24793 
o|contracted procedure: k24806 
o|contracted procedure: k24809 
o|contracted procedure: k24818 
o|contracted procedure: k24837 
o|contracted procedure: k24853 
o|contracted procedure: k24862 
o|contracted procedure: k24878 
o|contracted procedure: k24882 
o|contracted procedure: k24886 
o|contracted procedure: k24890 
o|contracted procedure: k24917 
o|contracted procedure: k24920 
o|contracted procedure: k24932 
o|contracted procedure: k24938 
o|contracted procedure: k24941 
o|contracted procedure: k24952 
o|contracted procedure: k24948 
o|contracted procedure: k24963 
o|contracted procedure: k24966 
o|contracted procedure: k25002 
o|contracted procedure: k25025 
o|contracted procedure: k25005 
o|contracted procedure: k25021 
o|contracted procedure: k25044 
o|contracted procedure: k25074 
o|contracted procedure: k25084 
o|contracted procedure: k25090 
o|contracted procedure: k25100 
o|contracted procedure: k25199 
o|contracted procedure: k25202 
o|contracted procedure: k25205 
o|contracted procedure: k25208 
o|contracted procedure: k25214 
o|contracted procedure: k25239 
o|contracted procedure: k25220 
o|contracted procedure: k25229 
o|contracted procedure: k25232 
o|contracted procedure: k25242 
o|contracted procedure: k31576 
o|contracted procedure: k31579 
o|contracted procedure: k31582 
o|contracted procedure: k31588 
o|contracted procedure: k31595 
o|contracted procedure: k31591 
o|contracted procedure: k31601 
o|contracted procedure: k31604 
o|contracted procedure: k31607 
o|contracted procedure: k31613 
o|contracted procedure: k31622 
o|contracted procedure: k31625 
o|contracted procedure: k31632 
o|contracted procedure: k31641 
o|contracted procedure: k31644 
o|contracted procedure: k31651 
o|contracted procedure: k31663 
o|contracted procedure: k31698 
o|contracted procedure: k31666 
o|contracted procedure: k31673 
o|contracted procedure: k31677 
o|contracted procedure: k31684 
o|contracted procedure: k31680 
o|contracted procedure: k31687 
o|contracted procedure: k31690 
o|contracted procedure: k31704 
o|contracted procedure: k31707 
o|contracted procedure: k31710 
o|contracted procedure: k31713 
o|contracted procedure: k31719 
o|contracted procedure: k31741 
o|contracted procedure: k31732 
o|contracted procedure: k31750 
o|contracted procedure: k31764 
o|contracted procedure: k31760 
o|contracted procedure: k31753 
o|contracted procedure: k31775 
o|contracted procedure: k31779 
o|contracted procedure: k31771 
o|contracted procedure: k31788 
o|contracted procedure: k31791 
o|contracted procedure: k31794 
o|contracted procedure: k31800 
o|contracted procedure: k31806 
o|contracted procedure: k25249 
o|contracted procedure: k25258 
o|contracted procedure: k25269 
o|contracted procedure: k25265 
o|contracted procedure: k25281 
o|contracted procedure: k25311 
o|contracted procedure: k25318 
o|contracted procedure: k25335 
o|contracted procedure: k25369 
o|contracted procedure: k25376 
o|contracted procedure: k25397 
o|contracted procedure: k25404 
o|contracted procedure: k25415 
o|contracted procedure: k25418 
o|contracted procedure: k25425 
o|contracted procedure: k25428 
o|contracted procedure: k25446 
o|contracted procedure: k25434 
o|contracted procedure: k25442 
o|contracted procedure: k25452 
o|contracted procedure: k25458 
o|contracted procedure: k25461 
o|contracted procedure: k25464 
o|contracted procedure: k25474 
o|contracted procedure: k25477 
o|contracted procedure: k25480 
o|contracted procedure: k25518 
o|contracted procedure: k25514 
o|contracted procedure: k25496 
o|contracted procedure: k25506 
o|contracted procedure: k25510 
o|contracted procedure: k25532 
o|contracted procedure: k25547 
o|contracted procedure: k25557 
o|contracted procedure: k25561 
o|contracted procedure: k25586 
o|contracted procedure: k25596 
o|inlining procedure: k25589 
o|inlining procedure: k25589 
o|contracted procedure: k25755 
o|contracted procedure: k25620 
o|contracted procedure: k25749 
o|contracted procedure: k25623 
o|contracted procedure: k25743 
o|contracted procedure: k25626 
o|contracted procedure: k25737 
o|contracted procedure: k25629 
o|contracted procedure: k25727 
o|contracted procedure: k25635 
o|contracted procedure: k25638 
o|contracted procedure: k25650 
o|contracted procedure: k25721 
o|contracted procedure: k25653 
o|contracted procedure: k25659 
o|contracted procedure: k25697 
o|contracted procedure: k25685 
o|contracted procedure: k25693 
o|contracted procedure: k25689 
o|contracted procedure: k25669 
o|contracted procedure: k25677 
o|contracted procedure: k25701 
o|contracted procedure: k25708 
o|contracted procedure: k25711 
o|contracted procedure: k25734 
o|contracted procedure: k25767 
o|contracted procedure: k25775 
o|contracted procedure: k25778 
o|contracted procedure: k25781 
o|contracted procedure: k25821 
o|contracted procedure: k25834 
o|contracted procedure: k25849 
o|contracted procedure: k25859 
o|contracted procedure: k25863 
o|contracted procedure: k25951 
o|contracted procedure: k25869 
o|contracted procedure: k25945 
o|contracted procedure: k25872 
o|contracted procedure: k25939 
o|contracted procedure: k25875 
o|contracted procedure: k25933 
o|contracted procedure: k25878 
o|contracted procedure: k25927 
o|contracted procedure: k25881 
o|contracted procedure: k25921 
o|contracted procedure: k25884 
o|contracted procedure: k25915 
o|contracted procedure: k25887 
o|contracted procedure: k25909 
o|contracted procedure: k25890 
o|contracted procedure: k25899 
o|contracted procedure: k25969 
o|contracted procedure: k25986 
o|contracted procedure: k26014 
o|contracted procedure: k26022 
o|contracted procedure: k26037 
o|contracted procedure: k26047 
o|contracted procedure: k26051 
o|contracted procedure: k26078 
o|contracted procedure: k26085 
o|contracted procedure: k26091 
o|contracted procedure: k26094 
o|contracted procedure: k26132 
o|contracted procedure: k26142 
o|contracted procedure: k26146 
o|contracted procedure: k26149 
o|contracted procedure: k26152 
o|contracted procedure: k26170 
o|contracted procedure: k26179 
o|contracted procedure: k26182 
o|contracted procedure: k26185 
o|contracted procedure: k26200 
o|contracted procedure: k26192 
o|contracted procedure: k26207 
o|contracted procedure: k26213 
o|contracted procedure: k26219 
o|contracted procedure: k26225 
o|contracted procedure: k26231 
o|contracted procedure: k26237 
o|contracted procedure: k26243 
o|contracted procedure: k26249 
o|contracted procedure: k26255 
o|contracted procedure: k26261 
o|contracted procedure: k26267 
o|contracted procedure: k26273 
o|contracted procedure: k26279 
o|contracted procedure: k26285 
o|contracted procedure: k26322 
o|contracted procedure: k26325 
o|contracted procedure: k26341 
o|contracted procedure: k26334 
o|contracted procedure: k26370 
o|contracted procedure: k26366 
o|contracted procedure: k26399 
o|contracted procedure: k26395 
o|contracted procedure: k26402 
o|contracted procedure: k26406 
o|contracted procedure: k26412 
o|contracted procedure: k26415 
o|contracted procedure: k26418 
o|contracted procedure: k26421 
o|contracted procedure: k26424 
o|contracted procedure: k26445 
o|contracted procedure: k26451 
o|contracted procedure: k26454 
o|contracted procedure: k26460 
o|contracted procedure: k26474 
o|contracted procedure: k26471 
o|contracted procedure: k26483 
o|contracted procedure: k26542 
o|contracted procedure: k26495 
o|contracted procedure: k26538 
o|contracted procedure: k26510 
o|contracted procedure: k26534 
o|contracted procedure: k26530 
o|contracted procedure: k26526 
o|contracted procedure: k26565 
o|contracted procedure: k26568 
o|contracted procedure: k26594 
o|contracted procedure: k26600 
o|contracted procedure: k26607 
o|contracted procedure: k26613 
o|contracted procedure: k26632 
o|contracted procedure: k26685 
o|contracted procedure: k26638 
o|contracted procedure: k26670 
o|contracted procedure: k26651 
o|contracted procedure: k26659 
o|contracted procedure: k26655 
o|contracted procedure: k26681 
o|contracted procedure: k26677 
o|contracted procedure: k26695 
o|contracted procedure: k26705 
o|contracted procedure: k26728 
o|contracted procedure: k26745 
o|contracted procedure: k26767 
o|contracted procedure: k26763 
o|contracted procedure: k26748 
o|contracted procedure: k26751 
o|contracted procedure: k26759 
o|contracted procedure: k26774 
o|contracted procedure: k26791 
o|contracted procedure: k26813 
o|contracted procedure: k26809 
o|contracted procedure: k26794 
o|contracted procedure: k26797 
o|contracted procedure: k26805 
o|contracted procedure: k26825 
o|contracted procedure: k26839 
o|contracted procedure: k26828 
o|contracted procedure: k26835 
o|contracted procedure: k26845 
o|contracted procedure: k26855 
o|contracted procedure: k26867 
o|contracted procedure: k26889 
o|contracted procedure: k26885 
o|contracted procedure: k26870 
o|contracted procedure: k26873 
o|contracted procedure: k26881 
o|contracted procedure: k26896 
o|contracted procedure: k26919 
o|contracted procedure: k26922 
o|contracted procedure: k26925 
o|contracted procedure: k26933 
o|contracted procedure: k26941 
o|contracted procedure: k26905 
o|contracted procedure: k26959 
o|contracted procedure: k26972 
o|contracted procedure: k26981 
o|contracted procedure: k27019 
o|contracted procedure: k26987 
o|contracted procedure: k27001 
o|contracted procedure: k26997 
o|contracted procedure: k27015 
o|contracted procedure: k27022 
o|contracted procedure: k27025 
o|contracted procedure: k27037 
o|contracted procedure: k27040 
o|contracted procedure: k27043 
o|contracted procedure: k27051 
o|contracted procedure: k27059 
o|contracted procedure: k27089 
o|contracted procedure: k27085 
o|contracted procedure: k27095 
o|contracted procedure: k27098 
o|contracted procedure: k27103 
o|contracted procedure: k27135 
o|contracted procedure: k27109 
o|contracted procedure: k27131 
o|contracted procedure: k27112 
o|contracted procedure: k27173 
o|contracted procedure: k27185 
o|contracted procedure: k27195 
o|contracted procedure: k27199 
o|contracted procedure: k27230 
o|contracted procedure: k27255 
o|contracted procedure: k27239 
o|contracted procedure: k27272 
o|contracted procedure: k27292 
o|contracted procedure: k27298 
o|contracted procedure: k27311 
o|contracted procedure: k27317 
o|contracted procedure: k27336 
o|contracted procedure: k27350 
o|contracted procedure: k27339 
o|contracted procedure: k27346 
o|contracted procedure: k27366 
o|contracted procedure: k27372 
o|contracted procedure: k27379 
o|contracted procedure: k27385 
o|contracted procedure: k27435 
o|contracted procedure: k27395 
o|contracted procedure: k27447 
o|contracted procedure: k27450 
o|contracted procedure: k27453 
o|contracted procedure: k27456 
o|contracted procedure: k27467 
o|contracted procedure: k27484 
o|contracted procedure: k27487 
o|contracted procedure: k27490 
o|contracted procedure: k27493 
o|contracted procedure: k27504 
o|contracted procedure: k27521 
o|contracted procedure: k27530 
o|contracted procedure: k27539 
o|contracted procedure: k27548 
o|contracted procedure: k27557 
o|contracted procedure: k27566 
o|contracted procedure: k27575 
o|contracted procedure: k27584 
o|contracted procedure: k27593 
o|contracted procedure: k27602 
o|contracted procedure: k27611 
o|contracted procedure: k27620 
o|contracted procedure: k27629 
o|contracted procedure: k27638 
o|contracted procedure: k27647 
o|contracted procedure: k27656 
o|contracted procedure: k27665 
o|contracted procedure: k27674 
o|contracted procedure: k27683 
o|contracted procedure: k27692 
o|contracted procedure: k27701 
o|contracted procedure: k27710 
o|contracted procedure: k27719 
o|contracted procedure: k27728 
o|contracted procedure: k27737 
o|contracted procedure: k27746 
o|contracted procedure: k27755 
o|contracted procedure: k27764 
o|contracted procedure: k27773 
o|contracted procedure: k27782 
o|contracted procedure: k27791 
o|contracted procedure: k27800 
o|contracted procedure: k27809 
o|contracted procedure: k27818 
o|contracted procedure: k27827 
o|contracted procedure: k27836 
o|contracted procedure: k27845 
o|contracted procedure: k27854 
o|contracted procedure: k27863 
o|contracted procedure: k27872 
o|contracted procedure: k27881 
o|contracted procedure: k27890 
o|contracted procedure: k27899 
o|contracted procedure: k27908 
o|contracted procedure: k27917 
o|contracted procedure: k27926 
o|contracted procedure: k27935 
o|contracted procedure: k27944 
o|contracted procedure: k27953 
o|contracted procedure: k27962 
o|contracted procedure: k27971 
o|contracted procedure: k27980 
o|contracted procedure: k27989 
o|contracted procedure: k27998 
o|contracted procedure: k28001 
o|contracted procedure: k28004 
o|contracted procedure: k28007 
o|contracted procedure: k28018 
o|contracted procedure: k28211 
o|contracted procedure: k28241 
o|contracted procedure: k28217 
o|contracted procedure: k28220 
o|contracted procedure: k28229 
o|contracted procedure: k28238 
o|contracted procedure: k28274 
o|contracted procedure: k28267 
o|contracted procedure: k28296 
o|contracted procedure: k28289 
o|contracted procedure: k28347 
o|contracted procedure: k28364 
o|contracted procedure: k28326 
o|contracted procedure: k28330 
o|contracted procedure: k28391 
o|contracted procedure: k28411 
o|contracted procedure: k28428 
o|contracted procedure: k28378 
o|contracted procedure: k28382 
o|contracted procedure: k28444 
o|contracted procedure: k28451 
o|contracted procedure: k28507 
o|contracted procedure: k28511 
o|contracted procedure: k28519 
o|contracted procedure: k28536 
o|contracted procedure: k28551 
o|contracted procedure: k28614 
o|contracted procedure: k28595 
o|contracted procedure: k28604 
o|contracted procedure: k28623 
o|contracted procedure: k28680 
o|contracted procedure: k28683 
o|contracted procedure: k28689 
o|contracted procedure: k28732 
o|contracted procedure: k28748 
o|contracted procedure: k28741 
o|contracted procedure: k29180 
o|contracted procedure: k28759 
o|contracted procedure: k28774 
o|contracted procedure: k28878 
o|contracted procedure: k28786 
o|contracted procedure: k28805 
o|contracted procedure: k28808 
o|contracted procedure: k28817 
o|contracted procedure: k2865735112 
o|contracted procedure: k28847 
o|contracted procedure: k28875 
o|contracted procedure: k28857 
o|contracted procedure: k28870 
o|contracted procedure: k28887 
o|contracted procedure: k29166 
o|contracted procedure: k28909 
o|contracted procedure: k28927 
o|contracted procedure: k28930 
o|contracted procedure: k28939 
o|contracted procedure: k28942 
o|contracted procedure: k28956 
o|contracted procedure: k28965 
o|contracted procedure: k29020 
o|contracted procedure: k28978 
o|contracted procedure: k28981 
o|contracted procedure: k28990 
o|contracted procedure: k29007 
o|contracted procedure: k29001 
o|contracted procedure: k29023 
o|contracted procedure: k2865735125 
o|contracted procedure: k29041 
o|contracted procedure: k29037 
o|contracted procedure: k29050 
o|contracted procedure: k29059 
o|contracted procedure: k29075 
o|contracted procedure: k29090 
o|contracted procedure: k29082 
o|contracted procedure: k29109 
o|contracted procedure: k29101 
o|contracted procedure: k29135 
o|contracted procedure: k29163 
o|contracted procedure: k29145 
o|contracted procedure: k29158 
o|contracted procedure: k29186 
o|contracted procedure: k29195 
o|contracted procedure: k29235 
o|contracted procedure: k29241 
o|contracted procedure: k29244 
o|contracted procedure: k29258 
o|contracted procedure: k29299 
o|contracted procedure: k29306 
o|contracted procedure: k29314 
o|contracted procedure: k29326 
o|contracted procedure: k29330 
o|contracted procedure: k29337 
o|contracted procedure: k29273 
o|contracted procedure: k29371 
o|contracted procedure: k29380 
o|contracted procedure: k29387 
o|contracted procedure: k29391 
o|contracted procedure: k29436 
o|contracted procedure: k29421 
o|contracted procedure: k29428 
o|contracted procedure: k29432 
o|contracted procedure: k29443 
o|contracted procedure: k29456 
o|contracted procedure: k29463 
o|contracted procedure: k29494 
o|contracted procedure: k29490 
o|contracted procedure: k29518 
o|contracted procedure: k29527 
o|contracted procedure: k29539 
o|contracted procedure: k29543 
o|contracted procedure: k29555 
o|contracted procedure: k29565 
o|contracted procedure: k29638 
o|contracted procedure: k29568 
o|contracted procedure: k29581 
o|contracted procedure: k29622 
o|contracted procedure: k29611 
o|contracted procedure: k29618 
o|contracted procedure: k29668 
o|contracted procedure: k29706 
o|contracted procedure: k29696 
o|contracted procedure: k29724 
o|contracted procedure: k29758 
o|contracted procedure: k29767 
o|contracted procedure: k29770 
o|contracted procedure: k29777 
o|contracted procedure: k29783 
o|contracted procedure: k29790 
o|contracted procedure: k29796 
o|contracted procedure: k29799 
o|contracted procedure: k29805 
o|contracted procedure: k29808 
o|contracted procedure: k29815 
o|contracted procedure: k29821 
o|contracted procedure: k29824 
o|contracted procedure: k29831 
o|contracted procedure: k29837 
o|contracted procedure: k29840 
o|contracted procedure: k29847 
o|contracted procedure: k29853 
o|contracted procedure: k29856 
o|contracted procedure: k29863 
o|contracted procedure: k29869 
o|contracted procedure: k29872 
o|contracted procedure: k29879 
o|contracted procedure: k29885 
o|contracted procedure: k29888 
o|contracted procedure: k29895 
o|contracted procedure: k29901 
o|contracted procedure: k29904 
o|contracted procedure: k29911 
o|contracted procedure: k29917 
o|contracted procedure: k29920 
o|contracted procedure: k29927 
o|contracted procedure: k29933 
o|contracted procedure: k29936 
o|contracted procedure: k29943 
o|contracted procedure: k29949 
o|contracted procedure: k29952 
o|contracted procedure: k29959 
o|contracted procedure: k29966 
o|contracted procedure: k29974 
o|contracted procedure: k29970 
o|contracted procedure: k30000 
o|contracted procedure: k30007 
o|contracted procedure: k30019 
o|contracted procedure: k30031 
o|contracted procedure: k30025 
o|contracted procedure: k30028 
o|contracted procedure: k30046 
o|contracted procedure: k30059 
o|contracted procedure: k30055 
o|contracted procedure: k30063 
o|contracted procedure: k30107 
o|contracted procedure: k30072 
o|contracted procedure: k30075 
o|contracted procedure: k30078 
o|contracted procedure: k30103 
o|contracted procedure: k30090 
o|contracted procedure: k30093 
o|contracted procedure: k30117 
o|contracted procedure: k30123 
o|contracted procedure: k30130 
o|contracted procedure: k30139 
o|contracted procedure: k30145 
o|contracted procedure: k30148 
o|contracted procedure: k30151 
o|contracted procedure: k30157 
o|contracted procedure: k30164 
o|contracted procedure: k30170 
o|contracted procedure: k30174 
o|contracted procedure: k30221 
o|contracted procedure: k30234 
o|contracted procedure: k30256 
o|contracted procedure: k30278 
o|contracted procedure: k30312 
o|contracted procedure: k30318 
o|contracted procedure: k30321 
o|contracted procedure: k30327 
o|contracted procedure: k30330 
o|contracted procedure: k30336 
o|contracted procedure: k30351 
o|contracted procedure: k30354 
o|contracted procedure: k30375 
o|contracted procedure: k30393 
o|contracted procedure: k30406 
o|contracted procedure: k30578 
o|contracted procedure: k30448 
o|contracted procedure: k30534 
o|contracted procedure: k30527 
o|contracted procedure: k30472 
o|contracted procedure: k30544 
o|contracted procedure: k30548 
o|contracted procedure: k30552 
o|contracted procedure: k30556 
o|contracted procedure: k30603 
o|contracted procedure: k30612 
o|contracted procedure: k30691 
o|contracted procedure: k30618 
o|contracted procedure: k30624 
o|contracted procedure: k30631 
o|contracted procedure: k30640 
o|contracted procedure: k30646 
o|contracted procedure: k30660 
o|contracted procedure: k30676 
o|contracted procedure: k30680 
o|contracted procedure: k30687 
o|contracted procedure: k30729 
o|contracted procedure: k30738 
o|contracted procedure: k30757 
o|contracted procedure: k30761 
o|contracted procedure: k31029 
o|contracted procedure: k30805 
o|contracted procedure: k30835 
o|contracted procedure: k30849 
o|contracted procedure: k30819 
o|contracted procedure: k3084535157 
o|contracted procedure: k30823 
o|contracted procedure: k3084535161 
o|contracted procedure: k30855 
o|contracted procedure: k30871 
o|contracted procedure: k30874 
o|contracted procedure: k30877 
o|contracted procedure: k30883 
o|contracted procedure: k30902 
o|contracted procedure: k30905 
o|contracted procedure: k30908 
o|contracted procedure: k30916 
o|contracted procedure: k30924 
o|contracted procedure: k30942 
o|contracted procedure: k30951 
o|contracted procedure: k30958 
o|contracted procedure: k30966 
o|contracted procedure: k31046 
o|contracted procedure: k31050 
o|contracted procedure: k31055 
o|contracted procedure: k31059 
o|contracted procedure: k31063 
o|contracted procedure: k31067 
o|contracted procedure: k31119 
o|contracted procedure: k31136 
o|contracted procedure: k31150 
o|contracted procedure: k31139 
o|contracted procedure: k31146 
o|contracted procedure: k31174 
o|contracted procedure: k31181 
o|contracted procedure: k31215 
o|contracted procedure: k31224 
o|contracted procedure: k31227 
o|contracted procedure: k31236 
o|contracted procedure: k31251 
o|contracted procedure: k31247 
o|contracted procedure: k31264 
o|contracted procedure: k31267 
o|contracted procedure: k31274 
o|contracted procedure: k31283 
o|contracted procedure: k31286 
o|contracted procedure: k31289 
o|contracted procedure: k31319 
o|contracted procedure: k31308 
o|contracted procedure: k31329 
o|contracted procedure: k31332 
o|contracted procedure: k31383 
o|contracted procedure: k31407 
o|contracted procedure: k31425 
o|contracted procedure: k31435 
o|contracted procedure: k31455 
o|contracted procedure: k31465 
o|contracted procedure: k31469 
o|contracted procedure: k31510 
o|contracted procedure: k31520 
o|contracted procedure: k31524 
o|contracted procedure: k31567 
o|contracted procedure: k31552 
o|contracted procedure: k31810 
o|contracted procedure: k31829 
o|contracted procedure: k31839 
o|contracted procedure: k31849 
o|contracted procedure: k31859 
o|contracted procedure: k31869 
o|contracted procedure: k31879 
o|contracted procedure: k31889 
o|contracted procedure: k31899 
o|contracted procedure: k31909 
o|contracted procedure: k31919 
o|contracted procedure: k31929 
o|contracted procedure: k31939 
o|contracted procedure: k31949 
o|contracted procedure: k31955 
o|contracted procedure: k31958 
o|contracted procedure: k31982 
o|contracted procedure: k31989 
o|contracted procedure: k31998 
o|contracted procedure: k32005 
o|contracted procedure: k32024 
o|contracted procedure: k32033 
o|contracted procedure: k32044 
o|contracted procedure: k32040 
o|contracted procedure: k32053 
o|contracted procedure: k32060 
o|contracted procedure: k32070 
o|contracted procedure: k32066 
o|contracted procedure: k32015 
o|contracted procedure: k32011 
o|simplifications: ((if . 19) (let . 808)) 
o|removed binding forms: 2330 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest666667 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest666667 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest679680 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest679680 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? fns730 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? fns737 0 
(o x)|known list op on rest arg sublist: ##core#rest-car lst816 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest845849 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest845849 0 
o|inlining procedure: k10069 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest874878 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest874878 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest900903 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest900903 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest900903 0 
(o x)|known list op on rest arg sublist: ##core#rest-cdr rest900903 0 
(o x)|known list op on rest arg sublist: ##core#rest-car tst934 0 
(o x)|known list op on rest arg sublist: ##core#rest-car bool1184 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1265 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1268 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1272 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1275 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1278 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1281 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1284 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1287 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1290 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1293 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1296 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1299 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1302 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1305 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1308 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1311 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1315 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1319 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1326 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1339 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc1344 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest13721374 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest13721374 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest13851387 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest13851387 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest13981400 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest13981400 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14111413 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14111413 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14241426 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14241426 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14371439 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14371439 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14501452 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14501452 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14631465 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14631465 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest14931495 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest14931495 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest20492050 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest20492050 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? args2282 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest24912493 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest24912493 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest25312533 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest25312533 0 
o|contracted procedure: k14942 
(o x)|known list op on rest arg sublist: ##core#rest-null? ns2751 0 
o|inlining procedure: k16587 
o|inlining procedure: k16587 
o|inlining procedure: k16587 
o|inlining procedure: k16587 
o|inlining procedure: k16587 
o|inlining procedure: k16684 
o|inlining procedure: k16684 
o|inlining procedure: k16684 
o|inlining procedure: k16684 
o|inlining procedure: k16684 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest32273229 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest32273229 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest32913293 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest32913293 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest32913293 0 
(o x)|known list op on rest arg sublist: ##core#rest-cdr rest32913293 0 
(o x)|known list op on rest arg sublist: ##core#rest-car str-or-sym3364 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest34313434 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest34313434 0 
(o x)|known list op on rest arg sublist: ##core#rest-car n3528 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest35473550 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest35473550 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest35743577 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest35743577 0 
(o x)|known list op on rest arg sublist: ##core#rest-car y3623 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? lsts3684 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? lsts3712 0 
o|contracted procedure: k32181 
(o x)|known list op on rest arg sublist: ##core#rest-car loc3880 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc3884 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc3887 0 
(o x)|known list op on rest arg sublist: ##core#rest-car loc3890 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest40894090 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest40894090 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest41784181 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest41784181 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest42364238 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest42364238 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest42914292 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest42914292 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest43044305 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest43044305 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest43364337 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest43364337 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest43474348 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest43474348 0 
o|contracted procedure: k20351 
o|contracted procedure: k21649 
o|contracted procedure: k22277 
(o x)|known list op on rest arg sublist: ##core#rest-null? xs4776 0 
(o x)|known list op on rest arg sublist: ##core#rest-car xs4776 0 
o|contracted procedure: k22395 
(o x)|known list op on rest arg sublist: ##core#rest-null? xs4806 0 
(o x)|known list op on rest arg sublist: ##core#rest-car xs4806 0 
o|contracted procedure: k22475 
(o x)|known list op on rest arg sublist: ##core#rest-null? xs4814 0 
(o x)|known list op on rest arg sublist: ##core#rest-car xs4814 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? xs4894 0 
(o x)|known list op on rest arg sublist: ##core#rest-car xs4894 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest50145016 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest50145016 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest50275028 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest50275028 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest50375039 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest50375039 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest50495051 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest50495051 0 
o|inlining procedure: "(library.scm:4451) outstr05136" 
o|inlining procedure: "(library.scm:4450) outstr05136" 
o|inlining procedure: "(library.scm:4453) outstr05136" 
o|inlining procedure: "(library.scm:4455) outstr05136" 
o|inlining procedure: "(library.scm:4465) outstr05136" 
o|inlining procedure: k23886 
o|inlining procedure: k23886 
o|inlining procedure: "(library.scm:4504) specialchar?5138" 
o|inlining procedure: "(library.scm:4523) specialchar?5138" 
o|contracted procedure: k24197 
o|contracted procedure: k24212 
o|inlining procedure: "(library.scm:4527) specialchar?5138" 
o|inlining procedure: k31747 
o|inlining procedure: k31747 
o|contracted procedure: k25345 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest56305631 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest56305631 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest56305631 0 
(o x)|known list op on rest arg sublist: ##core#rest-cdr rest56305631 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest56975698 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest56975698 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest56975698 0 
(o x)|known list op on rest arg sublist: ##core#rest-cdr rest56975698 0 
o|inlining procedure: k26388 
o|inlining procedure: k26388 
o|contracted procedure: k27218 
(o x)|known list op on rest arg sublist: ##core#rest-null? args6221 0 
(o x)|known list op on rest arg sublist: ##core#rest-car args6221 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? _%rest62256277 1 
(o x)|known list op on rest arg sublist: ##core#rest-car _%rest62256277 1 
(o x)|known list op on rest arg sublist: ##core#rest-cdr _%rest62256277 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest62906293 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest62906293 0 
(o x)|known list op on rest arg sublist: ##core#rest-car args6311 0 
(o x)|known list op on rest arg sublist: ##core#rest-car args6311 0 
(o x)|known list op on rest arg sublist: ##core#rest-car args6311 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest63966398 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest63966398 0 
(o x)|known list op on rest arg sublist: ##core#rest-car arg6936 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest70387041 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest70387041 0 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest71937194 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest71937194 0 
o|inlining procedure: k31230 
o|inlining procedure: k31258 
o|inlining procedure: k31323 
o|inlining procedure: k31323 
(o x)|known list op on rest arg sublist: ##core#rest-null? rest57535754 0 
(o x)|known list op on rest arg sublist: ##core#rest-car rest57535754 0 
o|replaced variables: 4 
o|removed binding forms: 16 
o|substituted constant variable: r1007036762 
(o x)|known list op on rest arg sublist: ##core#rest-null? r10206 1 
(o x)|known list op on rest arg sublist: ##core#rest-car r10206 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? r10206 1 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r10206 1 
o|substituted constant variable: r1658836818 
o|substituted constant variable: r1658836818 
o|substituted constant variable: r1658836819 
o|substituted constant variable: r1658836819 
o|substituted constant variable: r1668536822 
o|substituted constant variable: r1668536822 
o|substituted constant variable: r1668536823 
o|substituted constant variable: r1668536823 
o|substituted constant variable: r1668536824 
o|substituted constant variable: r1668536824 
(o x)|known list op on rest arg sublist: ##core#rest-null? r17299 1 
(o x)|known list op on rest arg sublist: ##core#rest-car r17299 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? r17299 1 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r17299 1 
o|substituted constant variable: str515436905 
o|removed side-effect free assignment to unused variable: outstr05136 
o|substituted constant variable: str515436921 
o|removed side-effect free assignment to unused variable: specialchar?5138 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25624 1 
(o x)|known list op on rest arg sublist: ##core#rest-car r25624 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25624 1 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r25624 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25873 1 
(o x)|known list op on rest arg sublist: ##core#rest-car r25873 1 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25873 1 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r25873 1 
o|substituted constant variable: r3132437047 
o|replaced variables: 28 
o|removed binding forms: 12 
o|removed conditional forms: 6 
o|inlining procedure: k24086 
o|inlining procedure: k24148 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25879 2 
(o x)|known list op on rest arg sublist: ##core#rest-car r25879 2 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25879 2 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r25879 2 
o|removed binding forms: 42 
o|contracted procedure: k24234 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25885 3 
(o x)|known list op on rest arg sublist: ##core#rest-car r25885 3 
(o x)|known list op on rest arg sublist: ##core#rest-null? r25885 3 
(o x)|known list op on rest arg sublist: ##core#rest-cdr r25885 3 
o|removed binding forms: 4 
o|removed binding forms: 2 
o|direct leaf routine/allocation: loop778 0 
o|direct leaf routine/allocation: doloop15261527 0 
o|direct leaf routine/allocation: iter1539 0 
o|direct leaf routine/allocation: loop1690 0 
o|direct leaf routine/allocation: ratnum 21 
o|direct leaf routine/allocation: go-inexact!2850 0 
o|direct leaf routine/allocation: loop3505 0 
o|direct leaf routine/allocation: doloop35203521 0 
o|direct leaf routine/allocation: doloop35323536 0 
o|direct leaf routine/allocation: doloop35633564 0 
o|direct leaf routine/allocation: doloop35913592 0 
o|direct leaf routine/allocation: loop3617 0 
o|direct leaf routine/allocation: body38953904 0 
o|direct leaf routine/allocation: def-set?38983907 0 
o|direct leaf routine/allocation: def-convert?38973909 0 
o|direct leaf routine/allocation: body39203929 0 
o|direct leaf routine/allocation: def-set?39233932 0 
o|direct leaf routine/allocation: def-convert?39223934 0 
o|direct leaf routine/allocation: body39453954 0 
o|direct leaf routine/allocation: def-set?39483957 0 
o|direct leaf routine/allocation: def-convert?39473959 0 
o|direct leaf routine/allocation: body59545963 0 
o|direct leaf routine/allocation: def-set?59575966 0 
o|direct leaf routine/allocation: def-convert?59565968 0 
o|direct leaf routine/allocation: for-each-loop59986009 0 
o|direct leaf routine/allocation: loop7053 0 
o|direct leaf routine/allocation: for-each-loop72497260 0 
o|converted assignments to bindings: (loop778) 
o|converted assignments to bindings: (doloop15261527) 
o|contracted procedure: k11440 
o|converted assignments to bindings: (iter1539) 
o|converted assignments to bindings: (loop1690) 
o|contracted procedure: "(library.scm:2475) k15895" 
o|contracted procedure: "(library.scm:2517) k16210" 
o|contracted procedure: "(library.scm:2522) k16235" 
o|contracted procedure: "(library.scm:2529) k16281" 
o|contracted procedure: "(library.scm:2567) k16622" 
o|contracted procedure: "(library.scm:2577) k16709" 
o|converted assignments to bindings: (loop3505) 
o|converted assignments to bindings: (doloop35203521) 
o|converted assignments to bindings: (doloop35323536) 
o|converted assignments to bindings: (doloop35633564) 
o|converted assignments to bindings: (doloop35913592) 
o|converted assignments to bindings: (loop3617) 
o|inlining procedure: "(library.scm:3305) k19036" 
o|inlining procedure: "(library.scm:3305) k19036" 
o|inlining procedure: "(library.scm:3315) k19097" 
o|inlining procedure: "(library.scm:3315) k19097" 
o|inlining procedure: "(library.scm:3325) k19158" 
o|inlining procedure: "(library.scm:3325) k19158" 
o|inlining procedure: "(library.scm:5219) k26591" 
o|inlining procedure: "(library.scm:5219) k26591" 
o|contracted procedure: k26713 
o|converted assignments to bindings: (for-each-loop59986009) 
o|contracted procedure: k30049 
o|converted assignments to bindings: (loop7053) 
o|contracted procedure: k31127 
o|converted assignments to bindings: (for-each-loop72497260) 
o|simplifications: ((let . 13)) 
o|removed binding forms: 10 
o|contracted procedure: "(library.scm:3305) k19036" 
o|contracted procedure: "(library.scm:3315) k19097" 
o|contracted procedure: "(library.scm:3325) k19158" 
o|contracted procedure: "(library.scm:5219) k26591" 
o|removed binding forms: 4 
x|number of unboxed float variables: 0
x|number of inline operations replaced with unboxed ones: 56
o|customizable procedures: (cleanup-before-exit g58915898 for-each-loop58905902 for-each-loop58595871 k31295 loop6831 k30442 check7288 k30783 k30786 k30789 k30792 k30795 loop7363 map-loop73307347 loop7354 for-each-loop73077319 loop7226 str7205 pmem7101 round-to7100 pnum7099 k30120 loop7078 loop6927 doloop68996900 doloop68206821 scan6803 loop6800 read-escaped-sexp6623 get/clear-str6683 loop6694 loop26717 readln6622 doloop66616670 loop6637 doloop66266627 loop6601 loop6501 loop6475 def-port62266275 def-header62276273 body62246233 g62476248 writeargs6198 g62046211 for-each-loop62036215 g61396148 map-loop61336158 loop6151 map-loop60766094 map-loop61036120 map-loop60166034 map-loop60436061 chicken.condition#prop-list->kind-prefixed-prop-list k26641 loop5979 k26173 k26176 k26196 for-each-loop57945806 for-each-loop57265737 loop5722 g56675674 for-each-loop56665687 k25808 k25662 loop5650 g56015608 for-each-loop56005611 k25328 copy&append5548 loop5557 k31669 doloop53515352 doloop53275328 doloop53135314 out5246 doloop52835284 outsym5139 g52625263 loop5216 k24120 k24139 loop5181 outchr5137 sym-is-readable?5141 outreadablesym5140 outstr5135 for-each-loop50965114 for-each-loop50645082 hex4961 loop4970 r-symbol4425 k22842 r-ext-symbol4429 r-comment4428 r-char4427 r-vector4419 r-number-with-radix4422 r-number-with-exactness4421 r-digits4424 r-quote4430 loop4756 r-token4423 k22109 k21964 k21719 k21845 r-string4417 loop4665 k21725 loop4649 k21585 read-unreserved-char-04400 loop4634 r-number4420 r-list4418 k21168 k21211 r-xtoken4426 loop4542 readrec4401 r-spaces4414 starting-line4537 info4397 k20825 k20845 k20949 eat-ws4507 k20734 r-cons-codepoint4416 r-usequence4415 loop4470 lp4465 loop4448 skip-to-eol4398 loop4433 reserved-character4399 skip4406 k19926 def-convert?42654277 def-set?42664275 body42634272 assign4247 k19896 loop4124 loop4105 doloop41124113 close3975 open3974 doloop39823983 k32279 loop3852 loop3835 ##sys#dynamic-unwind loop3739 map-loop37153732 loop3702 for-each-loop36873697 lp3674 loop3660 loop3649 lookup-char3613 ##sys#vector-resize loop3512 map-loop33833402 compare-slots3310 loop3322 walk3311 ##sys#string->compnum scan-prefix3237 scan-real3103 k16561 k16619 scan-ureal3025 k16207 k16278 scan-decimal-tail2948 scan-digits+hashes2911 k16005 k16017 scan-exponent2931 k16044 safe-exponent2851 k15943 scan-digits2876 scan-hashes2899 lp2901 k15783 lp2878 round-quotient k15512 loop2752 loop2742 k15051 slow-expt2674 log-expt2673 lp2658 k14696 lp2646 k14217 k14223 k14155 k14161 loop2460 loop2448 find-ratio-between sr2425 ##sys#internal-gcd loop2283 deliver2216 doloop22182219 make-complex doloop17071708 loop1700 loop1675 k11510 k11519 loop1517 loop1485 copy1475 loop1473 k10976 lp1346 loop936 loop921 k10214 loop884 loop862 k10015 loop832 loop818 loop803 loop795 loop789 loop764 loop749 loop738 loop708 loop696 loop653 loop644 loop108) 
o|calls to known targets: 840 
o|identified direct recursive calls: f_8865 1 
o|unused rest argument: env348 f_9135 
o|unused rest argument: evaluator355 f_9159 
o|unused rest argument: _607 f_9276 
o|identified direct recursive calls: f_9372 1 
o|unused rest argument: rest666667 f_9410 
o|unused rest argument: rest679680 f_9428 
o|unused rest argument: _720 f_9531 
o|unused rest argument: _721 f_9533 
o|unused rest argument: _762 f_9688 
o|identified direct recursive calls: f_9751 1 
o|identified direct recursive calls: f_9773 1 
o|identified direct recursive calls: f_9809 1 
o|identified direct recursive calls: f_9838 2 
o|identified direct recursive calls: f_9885 1 
o|identified direct recursive calls: f_9939 2 
o|identified direct recursive calls: f_10055 1 
o|unused rest argument: rest845849 f_10010 
o|unused rest argument: rest874878 f_10096 
o|unused rest argument: rest900903 f_10200 
o|identified direct recursive calls: f_10929 1 
o|unused rest argument: rest13721374 f_11045 
o|unused rest argument: rest13851387 f_11061 
o|unused rest argument: rest13981400 f_11077 
o|unused rest argument: rest14111413 f_11093 
o|unused rest argument: rest14241426 f_11109 
o|unused rest argument: rest14371439 f_11125 
o|unused rest argument: rest14501452 f_11141 
o|unused rest argument: rest14631465 f_11157 
o|identified direct recursive calls: f_11204 1 
o|identified direct recursive calls: f_11258 1 
o|unused rest argument: rest14931495 f_11282 
o|identified direct recursive calls: f_11354 1 
o|identified direct recursive calls: f_11397 1 
o|identified direct recursive calls: f_11448 1 
o|identified direct recursive calls: f_11804 1 
o|identified direct recursive calls: f_11852 1 
o|identified direct recursive calls: f_11914 1 
o|unused rest argument: rest20492050 f_12621 
o|identified direct recursive calls: f_13668 1 
o|identified direct recursive calls: f_13850 1 
o|identified direct recursive calls: f_13894 1 
o|unused rest argument: rest24912493 f_14025 
o|unused rest argument: rest25312533 f_14251 
o|identified direct recursive calls: f_14843 2 
o|identified direct recursive calls: f_15722 1 
o|identified direct recursive calls: f_15830 1 
o|identified direct recursive calls: f_17057 6 
o|unused rest argument: rest32273229 f_17038 
o|unused rest argument: rest32913293 f_17293 
o|unused rest argument: rest34313434 f_17711 
o|identified direct recursive calls: f_17869 1 
o|identified direct recursive calls: f_17909 1 
o|identified direct recursive calls: f_17948 1 
o|identified direct recursive calls: f_17994 1 
o|identified direct recursive calls: f_18066 1 
o|unused rest argument: rest35473550 f_18036 
o|unused rest argument: rest35743577 f_18107 
o|identified direct recursive calls: f_18140 1 
o|identified direct recursive calls: f_18242 1 
o|identified direct recursive calls: f_18824 1 
o|identified direct recursive calls: f_32185 1 
o|identified direct recursive calls: f_19257 3 
o|unused rest argument: rest40894090 f_19528 
o|identified direct recursive calls: f_19581 1 
o|unused rest argument: rest41784181 f_19738 
o|unused rest argument: rest42364238 f_19886 
o|unused rest argument: rest42914292 f_20050 
o|unused rest argument: rest43044305 f_20075 
o|unused rest argument: rest43364337 f_20187 
o|unused rest argument: rest43474348 f_20205 
o|identified direct recursive calls: f_20520 1 
o|unused rest argument: xs4776 f_22293 
o|unused rest argument: xs4806 f_22420 
o|unused rest argument: xs4814 f_22491 
o|unused rest argument: xs4894 f_22913 
o|unused rest argument: rest50145016 f_23611 
o|unused rest argument: rest50275028 f_23632 
o|unused rest argument: rest50375039 f_23647 
o|unused rest argument: rest50495051 f_23665 
o|identified direct recursive calls: f_24106 1 
o|unused rest argument: rest56305631 f_25618 
o|unused rest argument: rest56975698 f_25867 
o|identified direct recursive calls: f_26820 1 
o|identified direct recursive calls: f_26740 1 
o|identified direct recursive calls: f_26786 1 
o|identified direct recursive calls: f_26862 1 
o|identified direct recursive calls: f_26976 2 
o|unused rest argument: args6221 f_27202 
o|unused rest argument: rest62906293 f_27393 
o|unused rest argument: rest63966398 f_28215 
o|identified direct recursive calls: f_28618 1 
o|identified direct recursive calls: f_28960 1 
o|identified direct recursive calls: f_29294 1 
o|unused rest argument: rest70387041 f_30023 
o|identified direct recursive calls: f_30067 1 
o|identified direct recursive calls: f_30134 1 
o|unused rest argument: rest71937194 f_30446 
o|identified direct recursive calls: f_30635 1 
o|identified direct recursive calls: f_30866 2 
o|identified direct recursive calls: f_31131 1 
o|unused rest argument: args5849 f_31532 
o|unused rest argument: rest57535754 f_31550 
o|fast box initializations: 161 
o|fast global references: 81 
o|fast global assignments: 20 
o|dropping unused closure argument: f_12643 
o|dropping unused closure argument: f_12823 
o|dropping unused closure argument: f_13668 
o|dropping unused closure argument: f_14885 
o|dropping unused closure argument: f_14899 
o|dropping unused closure argument: f_15149 
o|dropping unused closure argument: f_15575 
o|dropping unused closure argument: f_15618 
o|dropping unused closure argument: f_18128 
o|dropping unused closure argument: f_18824 
o|dropping unused closure argument: f_19214 
o|dropping unused closure argument: f_19312 
o|dropping unused closure argument: f_20508 
o|dropping unused closure argument: f_25256 
o|dropping unused closure argument: f_25980 
o|dropping unused closure argument: f_26621 
o|dropping unused closure argument: f_26820 
o|dropping unused closure argument: f_27157 
o|dropping unused closure argument: f_28662 
o|dropping unused closure argument: f_28709 
o|dropping unused closure argument: f_30193 
o|dropping unused closure argument: f_30207 
o|dropping unused closure argument: f_30467 
o|dropping unused closure argument: f_30752 
o|dropping unused closure argument: f_31131 
*/
/* end of file */
